#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 3932
#define LARGE_STATE_COUNT 725
#define SYMBOL_COUNT 347
#define ALIAS_COUNT 7
#define TOKEN_COUNT 155
#define EXTERNAL_TOKEN_COUNT 4
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 257

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_var = 16,
  anon_sym_let = 17,
  anon_sym_const = 18,
  anon_sym_BANG = 19,
  anon_sym_else = 20,
  anon_sym_if = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_await = 26,
  anon_sym_in = 27,
  anon_sym_of = 28,
  anon_sym_while = 29,
  anon_sym_do = 30,
  anon_sym_try = 31,
  anon_sym_with = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_SLASH = 48,
  anon_sym_DOT = 49,
  anon_sym_class = 50,
  anon_sym_async = 51,
  anon_sym_function = 52,
  anon_sym_EQ_GT = 53,
  anon_sym_QMARK_DOT = 54,
  anon_sym_new = 55,
  anon_sym_PLUS_EQ = 56,
  anon_sym_DASH_EQ = 57,
  anon_sym_STAR_EQ = 58,
  anon_sym_SLASH_EQ = 59,
  anon_sym_PERCENT_EQ = 60,
  anon_sym_CARET_EQ = 61,
  anon_sym_AMP_EQ = 62,
  anon_sym_PIPE_EQ = 63,
  anon_sym_GT_GT_EQ = 64,
  anon_sym_GT_GT_GT_EQ = 65,
  anon_sym_LT_LT_EQ = 66,
  anon_sym_STAR_STAR_EQ = 67,
  anon_sym_AMP_AMP_EQ = 68,
  anon_sym_PIPE_PIPE_EQ = 69,
  anon_sym_QMARK_QMARK_EQ = 70,
  anon_sym_DOT_DOT_DOT = 71,
  anon_sym_QMARK = 72,
  anon_sym_AMP_AMP = 73,
  anon_sym_PIPE_PIPE = 74,
  anon_sym_GT_GT = 75,
  anon_sym_GT_GT_GT = 76,
  anon_sym_LT_LT = 77,
  anon_sym_AMP = 78,
  anon_sym_CARET = 79,
  anon_sym_PIPE = 80,
  anon_sym_PLUS = 81,
  anon_sym_DASH = 82,
  anon_sym_PERCENT = 83,
  anon_sym_STAR_STAR = 84,
  anon_sym_LT_EQ = 85,
  anon_sym_EQ_EQ = 86,
  anon_sym_EQ_EQ_EQ = 87,
  anon_sym_BANG_EQ = 88,
  anon_sym_BANG_EQ_EQ = 89,
  anon_sym_GT_EQ = 90,
  anon_sym_QMARK_QMARK = 91,
  anon_sym_instanceof = 92,
  anon_sym_TILDE = 93,
  anon_sym_void = 94,
  anon_sym_delete = 95,
  anon_sym_PLUS_PLUS = 96,
  anon_sym_DASH_DASH = 97,
  anon_sym_DQUOTE = 98,
  anon_sym_SQUOTE = 99,
  sym_unescaped_double_string_fragment = 100,
  sym_unescaped_single_string_fragment = 101,
  sym_escape_sequence = 102,
  sym_comment = 103,
  anon_sym_BQUOTE = 104,
  anon_sym_DOLLAR_LBRACE = 105,
  anon_sym_SLASH2 = 106,
  sym_regex_pattern = 107,
  sym_regex_flags = 108,
  sym_number = 109,
  sym_private_property_identifier = 110,
  anon_sym_target = 111,
  sym_this = 112,
  sym_super = 113,
  sym_true = 114,
  sym_false = 115,
  sym_null = 116,
  sym_undefined = 117,
  anon_sym_AT = 118,
  anon_sym_static = 119,
  anon_sym_readonly = 120,
  anon_sym_get = 121,
  anon_sym_set = 122,
  anon_sym_declare = 123,
  anon_sym_public = 124,
  anon_sym_private = 125,
  anon_sym_protected = 126,
  anon_sym_override = 127,
  anon_sym_module = 128,
  anon_sym_any = 129,
  anon_sym_number = 130,
  anon_sym_boolean = 131,
  anon_sym_string = 132,
  anon_sym_symbol = 133,
  anon_sym_abstract = 134,
  anon_sym_require = 135,
  anon_sym_extends = 136,
  anon_sym_implements = 137,
  anon_sym_global = 138,
  anon_sym_interface = 139,
  anon_sym_enum = 140,
  anon_sym_DASH_QMARK_COLON = 141,
  anon_sym_QMARK_COLON = 142,
  anon_sym_asserts = 143,
  anon_sym_infer = 144,
  anon_sym_is = 145,
  anon_sym_keyof = 146,
  anon_sym_unknown = 147,
  anon_sym_never = 148,
  anon_sym_object = 149,
  anon_sym_LBRACE_PIPE = 150,
  anon_sym_PIPE_RBRACE = 151,
  sym__automatic_semicolon = 152,
  sym__template_chars = 153,
  sym__function_signature_automatic_semicolon = 154,
  sym_program = 155,
  sym_export_statement = 156,
  sym_export_clause = 157,
  sym__import_export_specifier = 158,
  sym_declaration = 159,
  sym_import = 160,
  sym_import_statement = 161,
  sym_import_clause = 162,
  sym__from_clause = 163,
  sym_namespace_import = 164,
  sym_named_imports = 165,
  sym_expression_statement = 166,
  sym_variable_declaration = 167,
  sym_lexical_declaration = 168,
  sym_variable_declarator = 169,
  sym_statement_block = 170,
  sym_else_clause = 171,
  sym_if_statement = 172,
  sym_switch_statement = 173,
  sym_for_statement = 174,
  sym_for_in_statement = 175,
  sym__for_header = 176,
  sym_while_statement = 177,
  sym_do_statement = 178,
  sym_try_statement = 179,
  sym_with_statement = 180,
  sym_break_statement = 181,
  sym_continue_statement = 182,
  sym_debugger_statement = 183,
  sym_return_statement = 184,
  sym_throw_statement = 185,
  sym_empty_statement = 186,
  sym_labeled_statement = 187,
  sym_switch_body = 188,
  sym_switch_case = 189,
  sym_switch_default = 190,
  sym_catch_clause = 191,
  sym_finally_clause = 192,
  sym_parenthesized_expression = 193,
  sym_expression = 194,
  sym_primary_expression = 195,
  sym_yield_expression = 196,
  sym_object = 197,
  sym_object_pattern = 198,
  sym_assignment_pattern = 199,
  sym_object_assignment_pattern = 200,
  sym_array = 201,
  sym_array_pattern = 202,
  sym_nested_identifier = 203,
  sym_class = 204,
  sym_class_declaration = 205,
  sym_class_heritage = 206,
  sym_function = 207,
  sym_function_declaration = 208,
  sym_generator_function = 209,
  sym_generator_function_declaration = 210,
  sym_arrow_function = 211,
  sym__call_signature = 212,
  sym__formal_parameter = 213,
  sym_call_expression = 214,
  sym_new_expression = 215,
  sym_await_expression = 216,
  sym_member_expression = 217,
  sym_subscript_expression = 218,
  sym_assignment_expression = 219,
  sym__augmented_assignment_lhs = 220,
  sym_augmented_assignment_expression = 221,
  sym__initializer = 222,
  sym__destructuring_pattern = 223,
  sym_spread_element = 224,
  sym_ternary_expression = 225,
  sym_binary_expression = 226,
  sym_unary_expression = 227,
  sym_update_expression = 228,
  sym_sequence_expression = 229,
  sym_string = 230,
  sym_template_string = 231,
  sym_template_substitution = 232,
  sym_regex = 233,
  sym_meta_property = 234,
  sym_arguments = 235,
  sym_decorator = 236,
  sym_decorator_member_expression = 237,
  sym_decorator_call_expression = 238,
  sym_class_body = 239,
  sym_formal_parameters = 240,
  sym_pattern = 241,
  sym_rest_pattern = 242,
  sym_method_definition = 243,
  sym_pair = 244,
  sym_pair_pattern = 245,
  sym__property_name = 246,
  sym_computed_property_name = 247,
  sym_public_field_definition = 248,
  sym_non_null_expression = 249,
  sym_method_signature = 250,
  sym_abstract_method_signature = 251,
  sym_function_signature = 252,
  sym_type_assertion = 253,
  sym_as_expression = 254,
  sym_import_require_clause = 255,
  sym_extends_clause = 256,
  sym_implements_clause = 257,
  sym_ambient_declaration = 258,
  sym_abstract_class_declaration = 259,
  sym_module = 260,
  sym_internal_module = 261,
  sym__module = 262,
  sym_import_alias = 263,
  sym_nested_type_identifier = 264,
  sym_interface_declaration = 265,
  sym_extends_type_clause = 266,
  sym_enum_declaration = 267,
  sym_enum_body = 268,
  sym_enum_assignment = 269,
  sym_type_alias_declaration = 270,
  sym_accessibility_modifier = 271,
  sym_override_modifier = 272,
  sym_required_parameter = 273,
  sym_optional_parameter = 274,
  sym__parameter_name = 275,
  sym_omitting_type_annotation = 276,
  sym_opting_type_annotation = 277,
  sym_type_annotation = 278,
  sym_asserts = 279,
  sym__type = 280,
  sym_tuple_parameter = 281,
  sym_optional_tuple_parameter = 282,
  sym_optional_type = 283,
  sym_rest_type = 284,
  sym__tuple_type_member = 285,
  sym_constructor_type = 286,
  sym__primary_type = 287,
  sym_template_type = 288,
  sym_template_literal_type = 289,
  sym_infer_type = 290,
  sym_conditional_type = 291,
  sym_generic_type = 292,
  sym_type_predicate = 293,
  sym_type_predicate_annotation = 294,
  sym__type_query_member_expression = 295,
  sym__type_query_subscript_expression = 296,
  sym__type_query_call_expression = 297,
  sym_type_query = 298,
  sym_index_type_query = 299,
  sym_lookup_type = 300,
  sym_mapped_type_clause = 301,
  sym_literal_type = 302,
  sym__number = 303,
  sym_existential_type = 304,
  sym_flow_maybe_type = 305,
  sym_parenthesized_type = 306,
  sym_predefined_type = 307,
  sym_type_arguments = 308,
  sym_object_type = 309,
  sym_call_signature = 310,
  sym_property_signature = 311,
  sym_type_parameters = 312,
  sym_type_parameter = 313,
  sym_default_type = 314,
  sym_constraint = 315,
  sym_construct_signature = 316,
  sym_index_signature = 317,
  sym_array_type = 318,
  sym_tuple_type = 319,
  sym_readonly_type = 320,
  sym_union_type = 321,
  sym_intersection_type = 322,
  sym_function_type = 323,
  aux_sym_program_repeat1 = 324,
  aux_sym_export_statement_repeat1 = 325,
  aux_sym_export_clause_repeat1 = 326,
  aux_sym_named_imports_repeat1 = 327,
  aux_sym_variable_declaration_repeat1 = 328,
  aux_sym_switch_body_repeat1 = 329,
  aux_sym_object_repeat1 = 330,
  aux_sym_object_pattern_repeat1 = 331,
  aux_sym_array_repeat1 = 332,
  aux_sym_array_pattern_repeat1 = 333,
  aux_sym_string_repeat1 = 334,
  aux_sym_string_repeat2 = 335,
  aux_sym_template_string_repeat1 = 336,
  aux_sym_class_body_repeat1 = 337,
  aux_sym_formal_parameters_repeat1 = 338,
  aux_sym_extends_clause_repeat1 = 339,
  aux_sym_implements_clause_repeat1 = 340,
  aux_sym_extends_type_clause_repeat1 = 341,
  aux_sym_enum_body_repeat1 = 342,
  aux_sym_template_literal_type_repeat1 = 343,
  aux_sym_object_type_repeat1 = 344,
  aux_sym_type_parameters_repeat1 = 345,
  aux_sym_tuple_type_repeat1 = 346,
  alias_sym_import_specifier = 347,
  alias_sym_property_identifier = 348,
  alias_sym_shorthand_property_identifier = 349,
  alias_sym_shorthand_property_identifier_pattern = 350,
  alias_sym_statement_identifier = 351,
  alias_sym_this_type = 352,
  alias_sym_type_identifier = 353,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_abstract] = "abstract",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_object] = "object",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "export_specifier",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym_asserts] = "asserts",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym_asserts] = sym_asserts,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_condition = 6,
  field_consequence = 7,
  field_constraint = 8,
  field_constructor = 9,
  field_declaration = 10,
  field_decorator = 11,
  field_finalizer = 12,
  field_flags = 13,
  field_function = 14,
  field_handler = 15,
  field_increment = 16,
  field_index = 17,
  field_index_type = 18,
  field_initializer = 19,
  field_key = 20,
  field_kind = 21,
  field_label = 22,
  field_left = 23,
  field_module = 24,
  field_name = 25,
  field_object = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_return_type = 32,
  field_right = 33,
  field_sign = 34,
  field_source = 35,
  field_type = 36,
  field_type_arguments = 37,
  field_type_parameters = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [13] = {.index = 3, .length = 1},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 1},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 2},
  [29] = {.index = 34, .length = 1},
  [30] = {.index = 35, .length = 2},
  [31] = {.index = 37, .length = 2},
  [32] = {.index = 39, .length = 1},
  [33] = {.index = 40, .length = 2},
  [34] = {.index = 42, .length = 2},
  [35] = {.index = 44, .length = 5},
  [36] = {.index = 49, .length = 1},
  [37] = {.index = 50, .length = 3},
  [38] = {.index = 53, .length = 3},
  [39] = {.index = 56, .length = 2},
  [40] = {.index = 58, .length = 2},
  [41] = {.index = 60, .length = 2},
  [42] = {.index = 62, .length = 2},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 1},
  [45] = {.index = 67, .length = 3},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 2},
  [50] = {.index = 78, .length = 2},
  [51] = {.index = 80, .length = 2},
  [53] = {.index = 76, .length = 2},
  [54] = {.index = 82, .length = 2},
  [55] = {.index = 84, .length = 1},
  [56] = {.index = 85, .length = 1},
  [57] = {.index = 86, .length = 2},
  [58] = {.index = 88, .length = 4},
  [59] = {.index = 92, .length = 2},
  [60] = {.index = 94, .length = 2},
  [61] = {.index = 26, .length = 2},
  [62] = {.index = 30, .length = 2},
  [63] = {.index = 82, .length = 2},
  [64] = {.index = 96, .length = 3},
  [65] = {.index = 99, .length = 2},
  [66] = {.index = 99, .length = 2},
  [67] = {.index = 101, .length = 3},
  [68] = {.index = 104, .length = 2},
  [69] = {.index = 106, .length = 4},
  [70] = {.index = 110, .length = 3},
  [71] = {.index = 113, .length = 2},
  [72] = {.index = 115, .length = 2},
  [73] = {.index = 117, .length = 1},
  [74] = {.index = 118, .length = 1},
  [75] = {.index = 119, .length = 1},
  [76] = {.index = 120, .length = 2},
  [77] = {.index = 26, .length = 2},
  [78] = {.index = 122, .length = 2},
  [79] = {.index = 124, .length = 5},
  [80] = {.index = 129, .length = 1},
  [81] = {.index = 120, .length = 2},
  [82] = {.index = 130, .length = 2},
  [83] = {.index = 132, .length = 3},
  [84] = {.index = 135, .length = 2},
  [85] = {.index = 137, .length = 3},
  [86] = {.index = 140, .length = 5},
  [87] = {.index = 145, .length = 1},
  [88] = {.index = 146, .length = 1},
  [89] = {.index = 147, .length = 3},
  [90] = {.index = 150, .length = 3},
  [91] = {.index = 153, .length = 4},
  [92] = {.index = 157, .length = 2},
  [93] = {.index = 159, .length = 3},
  [94] = {.index = 162, .length = 1},
  [95] = {.index = 163, .length = 4},
  [96] = {.index = 167, .length = 4},
  [97] = {.index = 171, .length = 4},
  [98] = {.index = 175, .length = 2},
  [99] = {.index = 177, .length = 3},
  [100] = {.index = 180, .length = 2},
  [101] = {.index = 182, .length = 2},
  [102] = {.index = 184, .length = 2},
  [103] = {.index = 186, .length = 3},
  [104] = {.index = 189, .length = 2},
  [105] = {.index = 191, .length = 3},
  [106] = {.index = 194, .length = 2},
  [107] = {.index = 196, .length = 2},
  [108] = {.index = 198, .length = 4},
  [109] = {.index = 196, .length = 2},
  [110] = {.index = 202, .length = 4},
  [111] = {.index = 206, .length = 4},
  [112] = {.index = 210, .length = 5},
  [113] = {.index = 215, .length = 3},
  [114] = {.index = 135, .length = 2},
  [115] = {.index = 218, .length = 1},
  [116] = {.index = 218, .length = 1},
  [117] = {.index = 219, .length = 2},
  [118] = {.index = 221, .length = 3},
  [119] = {.index = 224, .length = 2},
  [120] = {.index = 226, .length = 3},
  [121] = {.index = 229, .length = 2},
  [122] = {.index = 231, .length = 3},
  [123] = {.index = 234, .length = 2},
  [124] = {.index = 236, .length = 2},
  [125] = {.index = 238, .length = 5},
  [126] = {.index = 243, .length = 1},
  [127] = {.index = 244, .length = 1},
  [128] = {.index = 245, .length = 4},
  [129] = {.index = 249, .length = 2},
  [130] = {.index = 251, .length = 2},
  [131] = {.index = 253, .length = 2},
  [132] = {.index = 255, .length = 2},
  [133] = {.index = 257, .length = 1},
  [134] = {.index = 258, .length = 2},
  [135] = {.index = 260, .length = 4},
  [136] = {.index = 264, .length = 4},
  [137] = {.index = 264, .length = 4},
  [138] = {.index = 268, .length = 4},
  [139] = {.index = 268, .length = 4},
  [140] = {.index = 272, .length = 4},
  [141] = {.index = 272, .length = 4},
  [142] = {.index = 276, .length = 2},
  [143] = {.index = 278, .length = 3},
  [144] = {.index = 281, .length = 2},
  [145] = {.index = 283, .length = 2},
  [146] = {.index = 285, .length = 3},
  [147] = {.index = 288, .length = 4},
  [148] = {.index = 292, .length = 4},
  [149] = {.index = 296, .length = 4},
  [150] = {.index = 300, .length = 4},
  [151] = {.index = 304, .length = 5},
  [152] = {.index = 309, .length = 2},
  [153] = {.index = 311, .length = 3},
  [154] = {.index = 314, .length = 2},
  [155] = {.index = 314, .length = 2},
  [156] = {.index = 316, .length = 2},
  [157] = {.index = 318, .length = 3},
  [158] = {.index = 321, .length = 2},
  [159] = {.index = 323, .length = 3},
  [160] = {.index = 326, .length = 4},
  [161] = {.index = 330, .length = 3},
  [162] = {.index = 333, .length = 3},
  [163] = {.index = 336, .length = 2},
  [164] = {.index = 338, .length = 3},
  [165] = {.index = 341, .length = 5},
  [166] = {.index = 346, .length = 3},
  [167] = {.index = 346, .length = 3},
  [168] = {.index = 349, .length = 3},
  [169] = {.index = 352, .length = 2},
  [170] = {.index = 354, .length = 4},
  [171] = {.index = 130, .length = 2},
  [172] = {.index = 358, .length = 1},
  [173] = {.index = 359, .length = 3},
  [174] = {.index = 362, .length = 2},
  [175] = {.index = 364, .length = 2},
  [176] = {.index = 366, .length = 1},
  [177] = {.index = 367, .length = 4},
  [178] = {.index = 371, .length = 4},
  [179] = {.index = 375, .length = 4},
  [180] = {.index = 379, .length = 3},
  [181] = {.index = 382, .length = 2},
  [182] = {.index = 384, .length = 2},
  [183] = {.index = 386, .length = 3},
  [184] = {.index = 389, .length = 3},
  [185] = {.index = 392, .length = 5},
  [186] = {.index = 397, .length = 3},
  [187] = {.index = 400, .length = 2},
  [188] = {.index = 402, .length = 2},
  [189] = {.index = 404, .length = 2},
  [190] = {.index = 406, .length = 1},
  [191] = {.index = 407, .length = 4},
  [192] = {.index = 411, .length = 3},
  [193] = {.index = 414, .length = 4},
  [194] = {.index = 418, .length = 5},
  [195] = {.index = 423, .length = 1},
  [196] = {.index = 424, .length = 2},
  [197] = {.index = 426, .length = 4},
  [198] = {.index = 430, .length = 4},
  [199] = {.index = 434, .length = 2},
  [200] = {.index = 436, .length = 4},
  [201] = {.index = 440, .length = 4},
  [202] = {.index = 444, .length = 2},
  [203] = {.index = 446, .length = 2},
  [204] = {.index = 448, .length = 1},
  [205] = {.index = 449, .length = 1},
  [206] = {.index = 450, .length = 4},
  [207] = {.index = 454, .length = 4},
  [208] = {.index = 458, .length = 4},
  [209] = {.index = 462, .length = 2},
  [210] = {.index = 464, .length = 3},
  [211] = {.index = 467, .length = 3},
  [212] = {.index = 470, .length = 2},
  [214] = {.index = 472, .length = 4},
  [215] = {.index = 476, .length = 5},
  [216] = {.index = 481, .length = 5},
  [217] = {.index = 486, .length = 3},
  [218] = {.index = 489, .length = 3},
  [219] = {.index = 492, .length = 3},
  [220] = {.index = 489, .length = 3},
  [221] = {.index = 495, .length = 2},
  [222] = {.index = 497, .length = 4},
  [223] = {.index = 501, .length = 4},
  [224] = {.index = 505, .length = 2},
  [225] = {.index = 507, .length = 2},
  [226] = {.index = 509, .length = 4},
  [227] = {.index = 513, .length = 3},
  [228] = {.index = 516, .length = 2},
  [229] = {.index = 518, .length = 3},
  [230] = {.index = 521, .length = 2},
  [231] = {.index = 523, .length = 1},
  [232] = {.index = 524, .length = 5},
  [233] = {.index = 529, .length = 5},
  [234] = {.index = 534, .length = 4},
  [235] = {.index = 538, .length = 4},
  [236] = {.index = 542, .length = 3},
  [237] = {.index = 542, .length = 3},
  [238] = {.index = 545, .length = 2},
  [239] = {.index = 547, .length = 3},
  [240] = {.index = 550, .length = 2},
  [241] = {.index = 552, .length = 3},
  [242] = {.index = 555, .length = 2},
  [243] = {.index = 557, .length = 2},
  [244] = {.index = 559, .length = 5},
  [245] = {.index = 564, .length = 5},
  [246] = {.index = 569, .length = 4},
  [247] = {.index = 569, .length = 4},
  [248] = {.index = 573, .length = 4},
  [249] = {.index = 577, .length = 4},
  [250] = {.index = 581, .length = 3},
  [251] = {.index = 584, .length = 2},
  [252] = {.index = 586, .length = 2},
  [253] = {.index = 588, .length = 3},
  [254] = {.index = 591, .length = 5},
  [255] = {.index = 596, .length = 4},
  [256] = {.index = 600, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [14] =
    {field_constructor, 1},
  [15] =
    {field_argument, 0},
    {field_operator, 1},
  [17] =
    {field_arguments, 1},
    {field_function, 0},
  [19] =
    {field_parameters, 0},
    {field_return_type, 1},
  [21] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [23] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [25] =
    {field_declaration, 2},
  [26] =
    {field_left, 0},
    {field_right, 2},
  [28] =
    {field_body, 2},
    {field_label, 0},
  [30] =
    {field_body, 2},
    {field_parameter, 0},
  [32] =
    {field_body, 1},
    {field_name, 0},
  [34] =
    {field_source, 1},
  [35] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [37] =
    {field_name, 0},
    {field_type, 1},
  [39] =
    {field_kind, 0},
  [40] =
    {field_condition, 1},
    {field_consequence, 2},
  [42] =
    {field_body, 2},
    {field_value, 1},
  [44] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_pattern, 1},
  [50] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [56] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [58] =
    {field_body, 2},
    {field_condition, 1},
  [60] =
    {field_body, 1},
    {field_handler, 2},
  [62] =
    {field_body, 1},
    {field_finalizer, 2},
  [64] =
    {field_body, 2},
    {field_object, 1},
  [66] =
    {field_label, 1},
  [67] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [70] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [72] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [74] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [76] =
    {field_name, 0},
    {field_type_arguments, 1},
  [78] =
    {field_name, 0},
    {field_value, 1},
  [80] =
    {field_constraint, 1},
    {field_name, 0},
  [82] =
    {field_body, 2},
    {field_name, 1},
  [84] =
    {field_value, 1},
  [85] =
    {field_body, 2},
  [86] =
    {field_body, 2},
    {field_type_parameters, 1},
  [88] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [92] =
    {field_arguments, 2},
    {field_constructor, 1},
  [94] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [96] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [99] =
    {field_object, 0},
    {field_property, 2},
  [101] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [104] =
    {field_arguments, 2},
    {field_function, 0},
  [106] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [110] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [113] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [115] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [117] =
    {field_source, 2, .inherited = true},
  [118] =
    {field_value, 2},
  [119] =
    {field_name, 1},
  [120] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [122] =
    {field_key, 0},
    {field_value, 2},
  [124] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [129] =
    {field_source, 2},
  [130] =
    {field_name, 0},
    {field_type, 2},
  [132] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [145] =
    {field_type, 2},
  [146] =
    {field_pattern, 2},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [150] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [153] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [157] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [159] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [162] =
    {field_parameters, 1},
  [163] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [167] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [171] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [175] =
    {field_module, 0},
    {field_name, 2},
  [177] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [180] =
    {field_parameters, 0},
    {field_return_type, 2},
  [182] =
    {field_flags, 3},
    {field_pattern, 1},
  [184] =
    {field_body, 3},
    {field_name, 1},
  [186] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [189] =
    {field_type_arguments, 2},
    {field_value, 1},
  [191] =
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [194] =
    {field_body, 3},
    {field_type_parameters, 1},
  [196] =
    {field_body, 3},
    {field_parameter, 1},
  [198] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [202] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [206] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [210] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [215] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [218] =
    {field_type, 1},
  [219] =
    {field_index, 2},
    {field_object, 0},
  [221] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [224] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [226] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [229] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [231] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [234] =
    {field_alias, 2},
    {field_name, 0},
  [236] =
    {field_name, 1},
    {field_value, 3},
  [238] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [243] =
    {field_source, 3, .inherited = true},
  [244] =
    {field_pattern, 3},
  [245] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [249] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [251] =
    {field_body, 1},
    {field_condition, 3},
  [253] =
    {field_parameters, 1},
    {field_type, 2},
  [255] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [257] =
    {field_name, 2},
  [258] =
    {field_name, 1},
    {field_type, 2},
  [260] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [264] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [268] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [272] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [276] =
    {field_parameters, 1},
    {field_type, 3},
  [278] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [281] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [283] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [285] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [288] =
    {field_type_arguments, 2},
    {field_type_arguments, 3, .inherited = true},
    {field_value, 1},
    {field_value, 3, .inherited = true},
  [292] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [296] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [300] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [304] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [309] =
    {field_body, 4},
    {field_name, 2},
  [311] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [314] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [316] =
    {field_index, 3},
    {field_object, 0},
  [318] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [321] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [323] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [326] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [330] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [333] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [336] =
    {field_alias, 3},
    {field_name, 1},
  [338] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [341] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [346] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [349] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [352] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [354] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [358] =
    {field_type, 3},
  [359] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [362] =
    {field_name, 2},
    {field_type, 3},
  [364] =
    {field_name, 1},
    {field_type, 3},
  [366] =
    {field_name, 3},
  [367] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [371] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [375] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [379] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [382] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [384] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [386] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [389] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [392] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [397] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [400] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [402] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [404] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [406] =
    {field_name, 2, .inherited = true},
  [407] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [411] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [414] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [418] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [423] =
    {field_source, 4},
  [424] =
    {field_body, 3},
    {field_value, 1},
  [426] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [430] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [434] =
    {field_body, 4},
    {field_parameter, 2},
  [436] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [440] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [444] =
    {field_name, 2},
    {field_type, 4},
  [446] =
    {field_name, 3},
    {field_type, 4},
  [448] =
    {field_type, 4},
  [449] =
    {field_name, 4},
  [450] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [454] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [458] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [462] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [464] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [467] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [470] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [472] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [476] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [481] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [486] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [489] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [492] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [495] =
    {field_sign, 0},
    {field_type, 5},
  [497] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [501] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [505] =
    {field_name, 3},
    {field_type, 5},
  [507] =
    {field_name, 4},
    {field_type, 5},
  [509] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [513] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [516] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [518] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [521] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [523] =
    {field_name, 5},
  [524] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [529] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [534] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [538] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [542] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [545] =
    {field_name, 4},
    {field_type, 6},
  [547] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [550] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [552] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [555] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [557] =
    {field_name, 5},
    {field_type, 6},
  [559] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [564] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [569] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [573] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [577] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [581] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [584] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [586] =
    {field_name, 5},
    {field_type, 7},
  [588] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [591] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [596] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [600] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [0] = alias_sym_this_type,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [24] = {
    [0] = alias_sym_statement_identifier,
  },
  [25] = {
    [0] = sym_identifier,
  },
  [27] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [28] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [44] = {
    [1] = alias_sym_statement_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_type_identifier,
  },
  [52] = {
    [1] = alias_sym_type_identifier,
  },
  [54] = {
    [1] = alias_sym_type_identifier,
  },
  [65] = {
    [2] = alias_sym_property_identifier,
  },
  [77] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [81] = {
    [1] = alias_sym_import_specifier,
  },
  [98] = {
    [2] = alias_sym_type_identifier,
  },
  [99] = {
    [0] = alias_sym_type_identifier,
  },
  [102] = {
    [1] = alias_sym_type_identifier,
  },
  [103] = {
    [1] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = sym_identifier,
  },
  [114] = {
    [2] = alias_sym_type_identifier,
  },
  [115] = {
    [1] = alias_sym_type_identifier,
  },
  [120] = {
    [2] = alias_sym_type_identifier,
  },
  [124] = {
    [1] = alias_sym_type_identifier,
  },
  [136] = {
    [2] = alias_sym_property_identifier,
  },
  [138] = {
    [2] = alias_sym_property_identifier,
  },
  [140] = {
    [2] = alias_sym_property_identifier,
  },
  [146] = {
    [1] = alias_sym_type_identifier,
  },
  [152] = {
    [2] = alias_sym_type_identifier,
  },
  [153] = {
    [2] = alias_sym_type_identifier,
  },
  [154] = {
    [1] = alias_sym_type_identifier,
  },
  [159] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [2] = alias_sym_type_identifier,
  },
  [162] = {
    [3] = alias_sym_type_identifier,
  },
  [164] = {
    [1] = alias_sym_type_identifier,
  },
  [166] = {
    [1] = sym_identifier,
  },
  [171] = {
    [0] = alias_sym_type_identifier,
  },
  [186] = {
    [2] = alias_sym_type_identifier,
  },
  [191] = {
    [2] = alias_sym_type_identifier,
  },
  [192] = {
    [3] = alias_sym_type_identifier,
  },
  [193] = {
    [3] = alias_sym_type_identifier,
  },
  [213] = {
    [3] = alias_sym_property_identifier,
  },
  [214] = {
    [3] = alias_sym_type_identifier,
  },
  [218] = {
    [1] = sym_identifier,
  },
  [219] = {
    [0] = alias_sym_type_identifier,
  },
  [236] = {
    [2] = sym_identifier,
  },
  [246] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__import_export_specifier, 2,
    sym__import_export_specifier,
    alias_sym_import_specifier,
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '~' || (c < 8288
      ? (c < 8203
        ? c == 160
        : c <= 8203)
      : (c <= 8288 || c == 65279))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '|' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < '{'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : c <= '`')))
    : (c <= '~' || (c < 8288
      ? (c < 8203
        ? c == 160
        : c <= 8203)
      : (c <= 8288 || c == 65279))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(203);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(151);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '/') ADVANCE(189);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(76);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '?') ADVANCE(122);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(164);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(204);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(20)
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '[') ADVANCE(26);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(190);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(25);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(76);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '?') ADVANCE(122);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(150);
      if (lookahead == '.') ADVANCE(99);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(76);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '?') ADVANCE(122);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(140);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '%') ADVANCE(152);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(92);
      if (lookahead == '=') ADVANCE(23);
      if (lookahead == '>') ADVANCE(95);
      if (lookahead == '?') ADVANCE(123);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(137);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(192);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '%') ADVANCE(152);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(92);
      if (lookahead == '=') ADVANCE(23);
      if (lookahead == '>') ADVANCE(95);
      if (lookahead == '?') ADVANCE(123);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(137);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(28);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(205);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == '<') ADVANCE(90);
      if (lookahead == '?') ADVANCE(120);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == '|') ADVANCE(139);
      if (lookahead == '~') ADVANCE(164);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(204);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(25);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(145);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(18);
      if (lookahead == '/') ADVANCE(189);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(90);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(93);
      if (lookahead == '?') ADVANCE(120);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == '|') ADVANCE(144);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > '!' &&
          lookahead != '%' &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(25);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(145);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(18);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(90);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(93);
      if (lookahead == '?') ADVANCE(120);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == '|') ADVANCE(144);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > '!' &&
          lookahead != '%' &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(25);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(90);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(93);
      if (lookahead == '?') ADVANCE(121);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(144);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '+' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(204);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(173);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 12:
      if (lookahead == '$') ADVANCE(31);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '?') ADVANCE(22);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      END_STATE();
    case 13:
      if (lookahead == '$') ADVANCE(31);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '?') ADVANCE(22);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      END_STATE();
    case 14:
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(179);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(186);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(185);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(119);
      END_STATE();
    case 20:
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      END_STATE();
    case 21:
      if (lookahead == ':') ADVANCE(207);
      END_STATE();
    case 22:
      if (lookahead == ':') ADVANCE(208);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 24:
      if (lookahead == '?') ADVANCE(21);
      END_STATE();
    case 25:
      if (lookahead == '\\') ADVANCE(28);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(205);
      END_STATE();
    case 26:
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']') ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(184);
      if (lookahead != 0) ADVANCE(181);
      END_STATE();
    case 28:
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 29:
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(184);
      if (lookahead != 0) ADVANCE(181);
      END_STATE();
    case 31:
      if (lookahead == '{') ADVANCE(188);
      END_STATE();
    case 32:
      if (lookahead == '{') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 33:
      if (lookahead == '{') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 34:
      if (lookahead == '{') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '}') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 41:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(196);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(197);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(195);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(199);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(205);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(198);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(182);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 64:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(26);
      END_STATE();
    case 65:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(191);
      END_STATE();
    case 66:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(203);
      if (lookahead == '%') ADVANCE(153);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(151);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(76);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '?') ADVANCE(122);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(138);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(164);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(204);
      END_STATE();
    case 67:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(83);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '%') ADVANCE(152);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(101);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(92);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(95);
      if (lookahead == '?') ADVANCE(123);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '^') ADVANCE(137);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(164);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(67)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > '#') ADVANCE(204);
      END_STATE();
    case 68:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '(') ADVANCE(84);
      if (lookahead == ')') ADVANCE(85);
      if (lookahead == '*') ADVANCE(71);
      if (lookahead == '+') ADVANCE(146);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(194);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == ';') ADVANCE(86);
      if (lookahead == '<') ADVANCE(90);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(93);
      if (lookahead == '?') ADVANCE(120);
      if (lookahead == '@') ADVANCE(206);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(89);
      if (lookahead == '`') ADVANCE(187);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(144);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(164);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(68)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '%' &&
          lookahead != '^') ADVANCE(204);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(154);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(157);
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(209);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(133);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(132);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(128);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(129);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(186);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(186);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(19);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(103);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '?') ADVANCE(163);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '?') ADVANCE(162);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(112);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(125);
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(124);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '|') ADVANCE(127);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(210);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(126);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(126);
      if (lookahead == '}') ADVANCE(210);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(210);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(165);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(166);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(166);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(166);
      if (lookahead == '=') ADVANCE(105);
      if (lookahead == '?') ADVANCE(21);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(172);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(172);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(29);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(204);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(181);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(183);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(186);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(20)
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '[') ADVANCE(26);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(190);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(26);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(29);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(192);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(204);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == '0') ADVANCE(199);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(41);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(42);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(50);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(195);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == '_') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(195);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(193);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(197);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == '_') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == '{') ADVANCE(188);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(204);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(29);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(28);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'k') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'r') ADVANCE(15);
      if (lookahead == 's') ADVANCE(16);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(43);
      if (lookahead == 'm') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(45);
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(53);
      if (lookahead == 'f') ADVANCE(54);
      if (lookahead == 'v') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      if (lookahead == 'u') ADVANCE(61);
      if (lookahead == 'w') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(64);
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      if (lookahead == 'y') ADVANCE(67);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'o') ADVANCE(70);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(71);
      if (lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(73);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 23:
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(76);
      if (lookahead == 'y') ADVANCE(77);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'f') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(89);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 44:
      if (lookahead == 'p') ADVANCE(100);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(101);
      if (lookahead == 's') ADVANCE(102);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 47:
      if (lookahead == 'y') ADVANCE(104);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 49:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 50:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'v') ADVANCE(108);
      if (lookahead == 'w') ADVANCE(109);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(110);
      if (lookahead == 'm') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'j') ADVANCE(112);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(113);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(114);
      if (lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 57:
      if (lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(117);
      if (lookahead == 'q') ADVANCE(118);
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(121);
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'p') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(124);
      END_STATE();
    case 63:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(129);
      if (lookahead == 'y') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'd') ADVANCE(132);
      if (lookahead == 'k') ADVANCE(133);
      END_STATE();
    case 69:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(144);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(146);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(148);
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 85:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 86:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 90:
      if (lookahead == 'm') ADVANCE(155);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 93:
      if (lookahead == 's') ADVANCE(158);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(159);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(160);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(161);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 99:
      if (lookahead == 'b') ADVANCE(162);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(163);
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(166);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 104:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(169);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 110:
      if (lookahead == 'l') ADVANCE(172);
      END_STATE();
    case 111:
      if (lookahead == 'b') ADVANCE(173);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 113:
      if (lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 114:
      if (lookahead == 'v') ADVANCE(176);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 119:
      if (lookahead == 'u') ADVANCE(181);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(183);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 125:
      if (lookahead == 'b') ADVANCE(186);
      END_STATE();
    case 126:
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 127:
      if (lookahead == 's') ADVANCE(188);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 133:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 135:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 137:
      if (lookahead == 'h') ADVANCE(196);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 139:
      if (lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 141:
      if (lookahead == 'c') ADVANCE(200);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 144:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 146:
      if (lookahead == 'h') ADVANCE(204);
      END_STATE();
    case 147:
      if (lookahead == 's') ADVANCE(205);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 150:
      if (lookahead == 'g') ADVANCE(208);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(210);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 159:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(216);
      END_STATE();
    case 162:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(219);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 167:
      if (lookahead == 'r') ADVANCE(222);
      END_STATE();
    case 168:
      if (lookahead == 'f') ADVANCE(223);
      END_STATE();
    case 169:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 170:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 171:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 174:
      if (lookahead == 'c') ADVANCE(228);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(229);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 179:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(236);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(239);
      END_STATE();
    case 186:
      if (lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 189:
      if (lookahead == 'w') ADVANCE(242);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 192:
      if (lookahead == 'f') ADVANCE(244);
      END_STATE();
    case 193:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 197:
      if (lookahead == 'd') ADVANCE(247);
      END_STATE();
    case 198:
      if (lookahead == 'a') ADVANCE(248);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 202:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(251);
      END_STATE();
    case 208:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 209:
      if (lookahead == 'r') ADVANCE(253);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(254);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 212:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 213:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 215:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 218:
      if (lookahead == 'm') ADVANCE(261);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 222:
      if (lookahead == 'f') ADVANCE(264);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 225:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 227:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 228:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(269);
      END_STATE();
    case 230:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 232:
      if (lookahead == 'c') ADVANCE(272);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 234:
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 235:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(276);
      END_STATE();
    case 237:
      if (lookahead == 'g') ADVANCE(277);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 239:
      if (lookahead == 'h') ADVANCE(278);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(279);
      END_STATE();
    case 241:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 243:
      if (lookahead == 'f') ADVANCE(281);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(282);
      END_STATE();
    case 245:
      if (lookahead == 'w') ADVANCE(283);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 248:
      if (lookahead == 'c') ADVANCE(284);
      END_STATE();
    case 249:
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 251:
      if (lookahead == 'u') ADVANCE(287);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 254:
      if (lookahead == 't') ADVANCE(290);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 257:
      if (lookahead == 's') ADVANCE(291);
      END_STATE();
    case 258:
      if (lookahead == 'y') ADVANCE(292);
      END_STATE();
    case 259:
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 264:
      if (lookahead == 'a') ADVANCE(296);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(297);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 269:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 273:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 282:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 283:
      if (lookahead == 'n') ADVANCE(304);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(307);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 297:
      if (lookahead == 'c') ADVANCE(312);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(314);
      END_STATE();
    case 301:
      if (lookahead == 'y') ADVANCE(315);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(317);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 314:
      if (lookahead == 'd') ADVANCE(321);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 316:
      if (lookahead == 'd') ADVANCE(322);
      END_STATE();
    case 317:
      if (lookahead == 's') ADVANCE(323);
      END_STATE();
    case 318:
      if (lookahead == 'f') ADVANCE(324);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 68},
  [2] = {.lex_state = 68},
  [3] = {.lex_state = 68},
  [4] = {.lex_state = 68},
  [5] = {.lex_state = 68},
  [6] = {.lex_state = 68},
  [7] = {.lex_state = 68},
  [8] = {.lex_state = 68},
  [9] = {.lex_state = 68},
  [10] = {.lex_state = 68},
  [11] = {.lex_state = 68},
  [12] = {.lex_state = 68},
  [13] = {.lex_state = 68},
  [14] = {.lex_state = 68},
  [15] = {.lex_state = 68},
  [16] = {.lex_state = 68},
  [17] = {.lex_state = 68},
  [18] = {.lex_state = 68},
  [19] = {.lex_state = 68},
  [20] = {.lex_state = 68},
  [21] = {.lex_state = 68},
  [22] = {.lex_state = 68},
  [23] = {.lex_state = 68},
  [24] = {.lex_state = 68},
  [25] = {.lex_state = 68},
  [26] = {.lex_state = 68},
  [27] = {.lex_state = 68},
  [28] = {.lex_state = 68},
  [29] = {.lex_state = 68},
  [30] = {.lex_state = 68},
  [31] = {.lex_state = 68},
  [32] = {.lex_state = 68},
  [33] = {.lex_state = 68},
  [34] = {.lex_state = 68},
  [35] = {.lex_state = 68},
  [36] = {.lex_state = 68},
  [37] = {.lex_state = 68},
  [38] = {.lex_state = 68},
  [39] = {.lex_state = 68},
  [40] = {.lex_state = 68},
  [41] = {.lex_state = 68},
  [42] = {.lex_state = 68},
  [43] = {.lex_state = 68},
  [44] = {.lex_state = 68},
  [45] = {.lex_state = 68},
  [46] = {.lex_state = 7},
  [47] = {.lex_state = 7},
  [48] = {.lex_state = 7},
  [49] = {.lex_state = 7},
  [50] = {.lex_state = 7},
  [51] = {.lex_state = 7},
  [52] = {.lex_state = 7},
  [53] = {.lex_state = 7},
  [54] = {.lex_state = 7},
  [55] = {.lex_state = 7},
  [56] = {.lex_state = 7},
  [57] = {.lex_state = 7},
  [58] = {.lex_state = 7},
  [59] = {.lex_state = 2, .external_lex_state = 2},
  [60] = {.lex_state = 7},
  [61] = {.lex_state = 7},
  [62] = {.lex_state = 7},
  [63] = {.lex_state = 7},
  [64] = {.lex_state = 7},
  [65] = {.lex_state = 7},
  [66] = {.lex_state = 7},
  [67] = {.lex_state = 7},
  [68] = {.lex_state = 67, .external_lex_state = 2},
  [69] = {.lex_state = 67, .external_lex_state = 3},
  [70] = {.lex_state = 67, .external_lex_state = 2},
  [71] = {.lex_state = 67, .external_lex_state = 3},
  [72] = {.lex_state = 67, .external_lex_state = 2},
  [73] = {.lex_state = 67, .external_lex_state = 2},
  [74] = {.lex_state = 68},
  [75] = {.lex_state = 68},
  [76] = {.lex_state = 68},
  [77] = {.lex_state = 68},
  [78] = {.lex_state = 68},
  [79] = {.lex_state = 68},
  [80] = {.lex_state = 2, .external_lex_state = 2},
  [81] = {.lex_state = 2, .external_lex_state = 3},
  [82] = {.lex_state = 2, .external_lex_state = 2},
  [83] = {.lex_state = 2, .external_lex_state = 3},
  [84] = {.lex_state = 2, .external_lex_state = 2},
  [85] = {.lex_state = 2, .external_lex_state = 2},
  [86] = {.lex_state = 2, .external_lex_state = 2},
  [87] = {.lex_state = 2, .external_lex_state = 2},
  [88] = {.lex_state = 67, .external_lex_state = 3},
  [89] = {.lex_state = 67, .external_lex_state = 3},
  [90] = {.lex_state = 67, .external_lex_state = 3},
  [91] = {.lex_state = 67, .external_lex_state = 3},
  [92] = {.lex_state = 67, .external_lex_state = 3},
  [93] = {.lex_state = 67, .external_lex_state = 3},
  [94] = {.lex_state = 67, .external_lex_state = 3},
  [95] = {.lex_state = 68},
  [96] = {.lex_state = 67, .external_lex_state = 3},
  [97] = {.lex_state = 67, .external_lex_state = 3},
  [98] = {.lex_state = 67, .external_lex_state = 3},
  [99] = {.lex_state = 68},
  [100] = {.lex_state = 67, .external_lex_state = 3},
  [101] = {.lex_state = 67, .external_lex_state = 3},
  [102] = {.lex_state = 67, .external_lex_state = 3},
  [103] = {.lex_state = 67, .external_lex_state = 3},
  [104] = {.lex_state = 67, .external_lex_state = 3},
  [105] = {.lex_state = 67, .external_lex_state = 3},
  [106] = {.lex_state = 67, .external_lex_state = 3},
  [107] = {.lex_state = 67, .external_lex_state = 3},
  [108] = {.lex_state = 67, .external_lex_state = 3},
  [109] = {.lex_state = 67, .external_lex_state = 3},
  [110] = {.lex_state = 67, .external_lex_state = 3},
  [111] = {.lex_state = 67, .external_lex_state = 3},
  [112] = {.lex_state = 67, .external_lex_state = 3},
  [113] = {.lex_state = 67, .external_lex_state = 3},
  [114] = {.lex_state = 67, .external_lex_state = 3},
  [115] = {.lex_state = 67, .external_lex_state = 3},
  [116] = {.lex_state = 67, .external_lex_state = 3},
  [117] = {.lex_state = 68},
  [118] = {.lex_state = 68},
  [119] = {.lex_state = 68},
  [120] = {.lex_state = 68},
  [121] = {.lex_state = 68},
  [122] = {.lex_state = 68},
  [123] = {.lex_state = 68},
  [124] = {.lex_state = 68},
  [125] = {.lex_state = 68},
  [126] = {.lex_state = 68},
  [127] = {.lex_state = 68},
  [128] = {.lex_state = 68},
  [129] = {.lex_state = 68, .external_lex_state = 4},
  [130] = {.lex_state = 68},
  [131] = {.lex_state = 68},
  [132] = {.lex_state = 68},
  [133] = {.lex_state = 68},
  [134] = {.lex_state = 68},
  [135] = {.lex_state = 68},
  [136] = {.lex_state = 68},
  [137] = {.lex_state = 68},
  [138] = {.lex_state = 68},
  [139] = {.lex_state = 68},
  [140] = {.lex_state = 68},
  [141] = {.lex_state = 68},
  [142] = {.lex_state = 68},
  [143] = {.lex_state = 68},
  [144] = {.lex_state = 68},
  [145] = {.lex_state = 68},
  [146] = {.lex_state = 68},
  [147] = {.lex_state = 68},
  [148] = {.lex_state = 3, .external_lex_state = 3},
  [149] = {.lex_state = 3, .external_lex_state = 3},
  [150] = {.lex_state = 3, .external_lex_state = 3},
  [151] = {.lex_state = 68},
  [152] = {.lex_state = 68},
  [153] = {.lex_state = 68},
  [154] = {.lex_state = 68, .external_lex_state = 4},
  [155] = {.lex_state = 68},
  [156] = {.lex_state = 68},
  [157] = {.lex_state = 68},
  [158] = {.lex_state = 68},
  [159] = {.lex_state = 68},
  [160] = {.lex_state = 68},
  [161] = {.lex_state = 68},
  [162] = {.lex_state = 68},
  [163] = {.lex_state = 68},
  [164] = {.lex_state = 68},
  [165] = {.lex_state = 68},
  [166] = {.lex_state = 68},
  [167] = {.lex_state = 68},
  [168] = {.lex_state = 3, .external_lex_state = 3},
  [169] = {.lex_state = 68},
  [170] = {.lex_state = 68},
  [171] = {.lex_state = 68},
  [172] = {.lex_state = 68},
  [173] = {.lex_state = 68},
  [174] = {.lex_state = 68},
  [175] = {.lex_state = 68},
  [176] = {.lex_state = 2, .external_lex_state = 3},
  [177] = {.lex_state = 68},
  [178] = {.lex_state = 68},
  [179] = {.lex_state = 68},
  [180] = {.lex_state = 68},
  [181] = {.lex_state = 68},
  [182] = {.lex_state = 68},
  [183] = {.lex_state = 68},
  [184] = {.lex_state = 68},
  [185] = {.lex_state = 68},
  [186] = {.lex_state = 68},
  [187] = {.lex_state = 68},
  [188] = {.lex_state = 68},
  [189] = {.lex_state = 68},
  [190] = {.lex_state = 2, .external_lex_state = 3},
  [191] = {.lex_state = 68},
  [192] = {.lex_state = 68},
  [193] = {.lex_state = 68},
  [194] = {.lex_state = 68},
  [195] = {.lex_state = 68},
  [196] = {.lex_state = 68},
  [197] = {.lex_state = 68},
  [198] = {.lex_state = 68},
  [199] = {.lex_state = 68},
  [200] = {.lex_state = 8},
  [201] = {.lex_state = 68},
  [202] = {.lex_state = 68},
  [203] = {.lex_state = 68},
  [204] = {.lex_state = 8},
  [205] = {.lex_state = 68},
  [206] = {.lex_state = 68},
  [207] = {.lex_state = 68},
  [208] = {.lex_state = 68},
  [209] = {.lex_state = 68},
  [210] = {.lex_state = 68},
  [211] = {.lex_state = 68},
  [212] = {.lex_state = 68},
  [213] = {.lex_state = 68},
  [214] = {.lex_state = 68},
  [215] = {.lex_state = 68},
  [216] = {.lex_state = 68},
  [217] = {.lex_state = 68},
  [218] = {.lex_state = 68},
  [219] = {.lex_state = 68},
  [220] = {.lex_state = 68},
  [221] = {.lex_state = 68},
  [222] = {.lex_state = 68},
  [223] = {.lex_state = 68},
  [224] = {.lex_state = 3, .external_lex_state = 3},
  [225] = {.lex_state = 68},
  [226] = {.lex_state = 68},
  [227] = {.lex_state = 68},
  [228] = {.lex_state = 68},
  [229] = {.lex_state = 68},
  [230] = {.lex_state = 68},
  [231] = {.lex_state = 68},
  [232] = {.lex_state = 2, .external_lex_state = 3},
  [233] = {.lex_state = 68},
  [234] = {.lex_state = 8},
  [235] = {.lex_state = 68},
  [236] = {.lex_state = 8},
  [237] = {.lex_state = 68},
  [238] = {.lex_state = 68},
  [239] = {.lex_state = 8},
  [240] = {.lex_state = 68},
  [241] = {.lex_state = 68},
  [242] = {.lex_state = 68},
  [243] = {.lex_state = 68},
  [244] = {.lex_state = 68},
  [245] = {.lex_state = 68},
  [246] = {.lex_state = 68},
  [247] = {.lex_state = 68},
  [248] = {.lex_state = 68},
  [249] = {.lex_state = 68},
  [250] = {.lex_state = 68},
  [251] = {.lex_state = 68},
  [252] = {.lex_state = 68},
  [253] = {.lex_state = 68},
  [254] = {.lex_state = 68},
  [255] = {.lex_state = 68},
  [256] = {.lex_state = 68},
  [257] = {.lex_state = 68},
  [258] = {.lex_state = 68},
  [259] = {.lex_state = 68},
  [260] = {.lex_state = 68},
  [261] = {.lex_state = 68},
  [262] = {.lex_state = 68},
  [263] = {.lex_state = 68},
  [264] = {.lex_state = 68},
  [265] = {.lex_state = 68},
  [266] = {.lex_state = 68},
  [267] = {.lex_state = 68},
  [268] = {.lex_state = 68},
  [269] = {.lex_state = 68},
  [270] = {.lex_state = 68},
  [271] = {.lex_state = 68},
  [272] = {.lex_state = 68},
  [273] = {.lex_state = 68},
  [274] = {.lex_state = 68},
  [275] = {.lex_state = 68},
  [276] = {.lex_state = 68},
  [277] = {.lex_state = 68},
  [278] = {.lex_state = 68},
  [279] = {.lex_state = 68},
  [280] = {.lex_state = 68},
  [281] = {.lex_state = 68},
  [282] = {.lex_state = 68},
  [283] = {.lex_state = 68},
  [284] = {.lex_state = 68},
  [285] = {.lex_state = 68},
  [286] = {.lex_state = 68},
  [287] = {.lex_state = 8},
  [288] = {.lex_state = 68},
  [289] = {.lex_state = 68},
  [290] = {.lex_state = 68},
  [291] = {.lex_state = 68},
  [292] = {.lex_state = 68},
  [293] = {.lex_state = 68},
  [294] = {.lex_state = 68},
  [295] = {.lex_state = 68},
  [296] = {.lex_state = 68},
  [297] = {.lex_state = 68},
  [298] = {.lex_state = 68},
  [299] = {.lex_state = 68},
  [300] = {.lex_state = 68},
  [301] = {.lex_state = 68},
  [302] = {.lex_state = 68},
  [303] = {.lex_state = 68},
  [304] = {.lex_state = 68},
  [305] = {.lex_state = 68},
  [306] = {.lex_state = 68},
  [307] = {.lex_state = 68},
  [308] = {.lex_state = 68},
  [309] = {.lex_state = 68},
  [310] = {.lex_state = 68},
  [311] = {.lex_state = 68},
  [312] = {.lex_state = 68},
  [313] = {.lex_state = 8},
  [314] = {.lex_state = 68},
  [315] = {.lex_state = 68},
  [316] = {.lex_state = 68},
  [317] = {.lex_state = 68},
  [318] = {.lex_state = 68},
  [319] = {.lex_state = 8},
  [320] = {.lex_state = 68},
  [321] = {.lex_state = 68},
  [322] = {.lex_state = 68},
  [323] = {.lex_state = 68},
  [324] = {.lex_state = 68},
  [325] = {.lex_state = 68},
  [326] = {.lex_state = 68},
  [327] = {.lex_state = 68},
  [328] = {.lex_state = 68},
  [329] = {.lex_state = 68},
  [330] = {.lex_state = 68},
  [331] = {.lex_state = 68},
  [332] = {.lex_state = 68},
  [333] = {.lex_state = 68},
  [334] = {.lex_state = 68},
  [335] = {.lex_state = 68},
  [336] = {.lex_state = 68},
  [337] = {.lex_state = 68},
  [338] = {.lex_state = 68},
  [339] = {.lex_state = 68},
  [340] = {.lex_state = 68},
  [341] = {.lex_state = 68},
  [342] = {.lex_state = 68},
  [343] = {.lex_state = 68},
  [344] = {.lex_state = 68},
  [345] = {.lex_state = 68},
  [346] = {.lex_state = 68},
  [347] = {.lex_state = 68},
  [348] = {.lex_state = 68},
  [349] = {.lex_state = 68},
  [350] = {.lex_state = 68},
  [351] = {.lex_state = 68},
  [352] = {.lex_state = 68},
  [353] = {.lex_state = 68},
  [354] = {.lex_state = 68},
  [355] = {.lex_state = 68},
  [356] = {.lex_state = 68},
  [357] = {.lex_state = 68},
  [358] = {.lex_state = 68},
  [359] = {.lex_state = 68},
  [360] = {.lex_state = 68},
  [361] = {.lex_state = 68},
  [362] = {.lex_state = 68},
  [363] = {.lex_state = 68},
  [364] = {.lex_state = 68},
  [365] = {.lex_state = 68},
  [366] = {.lex_state = 68},
  [367] = {.lex_state = 68},
  [368] = {.lex_state = 68},
  [369] = {.lex_state = 68},
  [370] = {.lex_state = 68},
  [371] = {.lex_state = 68},
  [372] = {.lex_state = 68},
  [373] = {.lex_state = 68},
  [374] = {.lex_state = 68},
  [375] = {.lex_state = 68},
  [376] = {.lex_state = 68},
  [377] = {.lex_state = 68},
  [378] = {.lex_state = 68},
  [379] = {.lex_state = 68},
  [380] = {.lex_state = 68},
  [381] = {.lex_state = 68},
  [382] = {.lex_state = 68},
  [383] = {.lex_state = 68},
  [384] = {.lex_state = 68},
  [385] = {.lex_state = 68},
  [386] = {.lex_state = 68},
  [387] = {.lex_state = 68},
  [388] = {.lex_state = 68},
  [389] = {.lex_state = 68},
  [390] = {.lex_state = 68},
  [391] = {.lex_state = 68},
  [392] = {.lex_state = 68},
  [393] = {.lex_state = 68},
  [394] = {.lex_state = 68},
  [395] = {.lex_state = 8},
  [396] = {.lex_state = 68},
  [397] = {.lex_state = 68},
  [398] = {.lex_state = 68},
  [399] = {.lex_state = 68},
  [400] = {.lex_state = 68},
  [401] = {.lex_state = 68},
  [402] = {.lex_state = 68},
  [403] = {.lex_state = 68},
  [404] = {.lex_state = 68},
  [405] = {.lex_state = 68},
  [406] = {.lex_state = 68},
  [407] = {.lex_state = 2, .external_lex_state = 3},
  [408] = {.lex_state = 2, .external_lex_state = 3},
  [409] = {.lex_state = 2, .external_lex_state = 3},
  [410] = {.lex_state = 2, .external_lex_state = 3},
  [411] = {.lex_state = 2, .external_lex_state = 3},
  [412] = {.lex_state = 2, .external_lex_state = 3},
  [413] = {.lex_state = 2, .external_lex_state = 3},
  [414] = {.lex_state = 2, .external_lex_state = 3},
  [415] = {.lex_state = 2, .external_lex_state = 3},
  [416] = {.lex_state = 2, .external_lex_state = 3},
  [417] = {.lex_state = 2, .external_lex_state = 3},
  [418] = {.lex_state = 68},
  [419] = {.lex_state = 2, .external_lex_state = 3},
  [420] = {.lex_state = 8},
  [421] = {.lex_state = 68},
  [422] = {.lex_state = 68},
  [423] = {.lex_state = 68},
  [424] = {.lex_state = 68},
  [425] = {.lex_state = 68},
  [426] = {.lex_state = 2, .external_lex_state = 3},
  [427] = {.lex_state = 2, .external_lex_state = 3},
  [428] = {.lex_state = 2, .external_lex_state = 3},
  [429] = {.lex_state = 2, .external_lex_state = 3},
  [430] = {.lex_state = 68},
  [431] = {.lex_state = 8},
  [432] = {.lex_state = 2, .external_lex_state = 3},
  [433] = {.lex_state = 3, .external_lex_state = 2},
  [434] = {.lex_state = 2, .external_lex_state = 3},
  [435] = {.lex_state = 2, .external_lex_state = 3},
  [436] = {.lex_state = 2, .external_lex_state = 3},
  [437] = {.lex_state = 2, .external_lex_state = 3},
  [438] = {.lex_state = 2, .external_lex_state = 3},
  [439] = {.lex_state = 2, .external_lex_state = 2},
  [440] = {.lex_state = 2, .external_lex_state = 2},
  [441] = {.lex_state = 2, .external_lex_state = 3},
  [442] = {.lex_state = 2, .external_lex_state = 3},
  [443] = {.lex_state = 2, .external_lex_state = 3},
  [444] = {.lex_state = 2, .external_lex_state = 3},
  [445] = {.lex_state = 2, .external_lex_state = 3},
  [446] = {.lex_state = 2, .external_lex_state = 2},
  [447] = {.lex_state = 2, .external_lex_state = 2},
  [448] = {.lex_state = 2, .external_lex_state = 2},
  [449] = {.lex_state = 3, .external_lex_state = 2},
  [450] = {.lex_state = 68, .external_lex_state = 4},
  [451] = {.lex_state = 3, .external_lex_state = 2},
  [452] = {.lex_state = 68, .external_lex_state = 4},
  [453] = {.lex_state = 68},
  [454] = {.lex_state = 2, .external_lex_state = 3},
  [455] = {.lex_state = 2, .external_lex_state = 2},
  [456] = {.lex_state = 2, .external_lex_state = 3},
  [457] = {.lex_state = 68, .external_lex_state = 4},
  [458] = {.lex_state = 68, .external_lex_state = 4},
  [459] = {.lex_state = 68, .external_lex_state = 4},
  [460] = {.lex_state = 3, .external_lex_state = 2},
  [461] = {.lex_state = 2, .external_lex_state = 2},
  [462] = {.lex_state = 2, .external_lex_state = 3},
  [463] = {.lex_state = 68, .external_lex_state = 4},
  [464] = {.lex_state = 2, .external_lex_state = 3},
  [465] = {.lex_state = 3, .external_lex_state = 2},
  [466] = {.lex_state = 68},
  [467] = {.lex_state = 68},
  [468] = {.lex_state = 68, .external_lex_state = 4},
  [469] = {.lex_state = 2, .external_lex_state = 2},
  [470] = {.lex_state = 2, .external_lex_state = 3},
  [471] = {.lex_state = 68, .external_lex_state = 4},
  [472] = {.lex_state = 68},
  [473] = {.lex_state = 68},
  [474] = {.lex_state = 2, .external_lex_state = 2},
  [475] = {.lex_state = 2, .external_lex_state = 2},
  [476] = {.lex_state = 2, .external_lex_state = 2},
  [477] = {.lex_state = 2, .external_lex_state = 2},
  [478] = {.lex_state = 68, .external_lex_state = 4},
  [479] = {.lex_state = 68, .external_lex_state = 4},
  [480] = {.lex_state = 68, .external_lex_state = 4},
  [481] = {.lex_state = 68},
  [482] = {.lex_state = 68, .external_lex_state = 4},
  [483] = {.lex_state = 68},
  [484] = {.lex_state = 68},
  [485] = {.lex_state = 68, .external_lex_state = 4},
  [486] = {.lex_state = 68},
  [487] = {.lex_state = 68, .external_lex_state = 4},
  [488] = {.lex_state = 68},
  [489] = {.lex_state = 68, .external_lex_state = 4},
  [490] = {.lex_state = 68, .external_lex_state = 4},
  [491] = {.lex_state = 68, .external_lex_state = 4},
  [492] = {.lex_state = 68, .external_lex_state = 4},
  [493] = {.lex_state = 68, .external_lex_state = 4},
  [494] = {.lex_state = 68, .external_lex_state = 4},
  [495] = {.lex_state = 68},
  [496] = {.lex_state = 68},
  [497] = {.lex_state = 68},
  [498] = {.lex_state = 68},
  [499] = {.lex_state = 68},
  [500] = {.lex_state = 68},
  [501] = {.lex_state = 68},
  [502] = {.lex_state = 68},
  [503] = {.lex_state = 68},
  [504] = {.lex_state = 68},
  [505] = {.lex_state = 68},
  [506] = {.lex_state = 68},
  [507] = {.lex_state = 68},
  [508] = {.lex_state = 68},
  [509] = {.lex_state = 68},
  [510] = {.lex_state = 68},
  [511] = {.lex_state = 68},
  [512] = {.lex_state = 68},
  [513] = {.lex_state = 68},
  [514] = {.lex_state = 68},
  [515] = {.lex_state = 68},
  [516] = {.lex_state = 68},
  [517] = {.lex_state = 68},
  [518] = {.lex_state = 68},
  [519] = {.lex_state = 68},
  [520] = {.lex_state = 68},
  [521] = {.lex_state = 68},
  [522] = {.lex_state = 68},
  [523] = {.lex_state = 68},
  [524] = {.lex_state = 68},
  [525] = {.lex_state = 68},
  [526] = {.lex_state = 68},
  [527] = {.lex_state = 68},
  [528] = {.lex_state = 68},
  [529] = {.lex_state = 68},
  [530] = {.lex_state = 68},
  [531] = {.lex_state = 68},
  [532] = {.lex_state = 68},
  [533] = {.lex_state = 68},
  [534] = {.lex_state = 68},
  [535] = {.lex_state = 68},
  [536] = {.lex_state = 68},
  [537] = {.lex_state = 68},
  [538] = {.lex_state = 68},
  [539] = {.lex_state = 68},
  [540] = {.lex_state = 68},
  [541] = {.lex_state = 68},
  [542] = {.lex_state = 68},
  [543] = {.lex_state = 68},
  [544] = {.lex_state = 68},
  [545] = {.lex_state = 68},
  [546] = {.lex_state = 68},
  [547] = {.lex_state = 68},
  [548] = {.lex_state = 68},
  [549] = {.lex_state = 68},
  [550] = {.lex_state = 68},
  [551] = {.lex_state = 68},
  [552] = {.lex_state = 68},
  [553] = {.lex_state = 68},
  [554] = {.lex_state = 68},
  [555] = {.lex_state = 68},
  [556] = {.lex_state = 68},
  [557] = {.lex_state = 68},
  [558] = {.lex_state = 68},
  [559] = {.lex_state = 68},
  [560] = {.lex_state = 68},
  [561] = {.lex_state = 68},
  [562] = {.lex_state = 68},
  [563] = {.lex_state = 68},
  [564] = {.lex_state = 68},
  [565] = {.lex_state = 68},
  [566] = {.lex_state = 68},
  [567] = {.lex_state = 68},
  [568] = {.lex_state = 68},
  [569] = {.lex_state = 68},
  [570] = {.lex_state = 68},
  [571] = {.lex_state = 68},
  [572] = {.lex_state = 68},
  [573] = {.lex_state = 68},
  [574] = {.lex_state = 68},
  [575] = {.lex_state = 68},
  [576] = {.lex_state = 68},
  [577] = {.lex_state = 68},
  [578] = {.lex_state = 68},
  [579] = {.lex_state = 68},
  [580] = {.lex_state = 68},
  [581] = {.lex_state = 68},
  [582] = {.lex_state = 68},
  [583] = {.lex_state = 68},
  [584] = {.lex_state = 68},
  [585] = {.lex_state = 68},
  [586] = {.lex_state = 68},
  [587] = {.lex_state = 68},
  [588] = {.lex_state = 68},
  [589] = {.lex_state = 68},
  [590] = {.lex_state = 68},
  [591] = {.lex_state = 68},
  [592] = {.lex_state = 68},
  [593] = {.lex_state = 68},
  [594] = {.lex_state = 68},
  [595] = {.lex_state = 68},
  [596] = {.lex_state = 68},
  [597] = {.lex_state = 68},
  [598] = {.lex_state = 68},
  [599] = {.lex_state = 68},
  [600] = {.lex_state = 68},
  [601] = {.lex_state = 68},
  [602] = {.lex_state = 68},
  [603] = {.lex_state = 68},
  [604] = {.lex_state = 68},
  [605] = {.lex_state = 68},
  [606] = {.lex_state = 68},
  [607] = {.lex_state = 68},
  [608] = {.lex_state = 68},
  [609] = {.lex_state = 68},
  [610] = {.lex_state = 68},
  [611] = {.lex_state = 68},
  [612] = {.lex_state = 68},
  [613] = {.lex_state = 68},
  [614] = {.lex_state = 68},
  [615] = {.lex_state = 68},
  [616] = {.lex_state = 68},
  [617] = {.lex_state = 68},
  [618] = {.lex_state = 68},
  [619] = {.lex_state = 68},
  [620] = {.lex_state = 68},
  [621] = {.lex_state = 68},
  [622] = {.lex_state = 68},
  [623] = {.lex_state = 68},
  [624] = {.lex_state = 68},
  [625] = {.lex_state = 68},
  [626] = {.lex_state = 68},
  [627] = {.lex_state = 68},
  [628] = {.lex_state = 68},
  [629] = {.lex_state = 68},
  [630] = {.lex_state = 68},
  [631] = {.lex_state = 68},
  [632] = {.lex_state = 68},
  [633] = {.lex_state = 68},
  [634] = {.lex_state = 68},
  [635] = {.lex_state = 68},
  [636] = {.lex_state = 68},
  [637] = {.lex_state = 68},
  [638] = {.lex_state = 68},
  [639] = {.lex_state = 68},
  [640] = {.lex_state = 68},
  [641] = {.lex_state = 68},
  [642] = {.lex_state = 68},
  [643] = {.lex_state = 68},
  [644] = {.lex_state = 68},
  [645] = {.lex_state = 68},
  [646] = {.lex_state = 68},
  [647] = {.lex_state = 68},
  [648] = {.lex_state = 8},
  [649] = {.lex_state = 8},
  [650] = {.lex_state = 8},
  [651] = {.lex_state = 8},
  [652] = {.lex_state = 8},
  [653] = {.lex_state = 8},
  [654] = {.lex_state = 8},
  [655] = {.lex_state = 8},
  [656] = {.lex_state = 8},
  [657] = {.lex_state = 8},
  [658] = {.lex_state = 8},
  [659] = {.lex_state = 8},
  [660] = {.lex_state = 8},
  [661] = {.lex_state = 8},
  [662] = {.lex_state = 8},
  [663] = {.lex_state = 8},
  [664] = {.lex_state = 68},
  [665] = {.lex_state = 68},
  [666] = {.lex_state = 68},
  [667] = {.lex_state = 68},
  [668] = {.lex_state = 68},
  [669] = {.lex_state = 8},
  [670] = {.lex_state = 8},
  [671] = {.lex_state = 8},
  [672] = {.lex_state = 8},
  [673] = {.lex_state = 2, .external_lex_state = 3},
  [674] = {.lex_state = 2, .external_lex_state = 3},
  [675] = {.lex_state = 2, .external_lex_state = 3},
  [676] = {.lex_state = 2, .external_lex_state = 3},
  [677] = {.lex_state = 8},
  [678] = {.lex_state = 2, .external_lex_state = 3},
  [679] = {.lex_state = 2, .external_lex_state = 3},
  [680] = {.lex_state = 8},
  [681] = {.lex_state = 8},
  [682] = {.lex_state = 8},
  [683] = {.lex_state = 10},
  [684] = {.lex_state = 8},
  [685] = {.lex_state = 8},
  [686] = {.lex_state = 10},
  [687] = {.lex_state = 8},
  [688] = {.lex_state = 8},
  [689] = {.lex_state = 10},
  [690] = {.lex_state = 8},
  [691] = {.lex_state = 8},
  [692] = {.lex_state = 8},
  [693] = {.lex_state = 8},
  [694] = {.lex_state = 68},
  [695] = {.lex_state = 8},
  [696] = {.lex_state = 68},
  [697] = {.lex_state = 10},
  [698] = {.lex_state = 8},
  [699] = {.lex_state = 8},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 10},
  [702] = {.lex_state = 8},
  [703] = {.lex_state = 10},
  [704] = {.lex_state = 8},
  [705] = {.lex_state = 68},
  [706] = {.lex_state = 10},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 10},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 10},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 8},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 8},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 8},
  [765] = {.lex_state = 8},
  [766] = {.lex_state = 8},
  [767] = {.lex_state = 8},
  [768] = {.lex_state = 8},
  [769] = {.lex_state = 8},
  [770] = {.lex_state = 8},
  [771] = {.lex_state = 8},
  [772] = {.lex_state = 8},
  [773] = {.lex_state = 8},
  [774] = {.lex_state = 8},
  [775] = {.lex_state = 2, .external_lex_state = 2},
  [776] = {.lex_state = 8},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 8},
  [779] = {.lex_state = 8},
  [780] = {.lex_state = 8},
  [781] = {.lex_state = 8},
  [782] = {.lex_state = 8},
  [783] = {.lex_state = 8},
  [784] = {.lex_state = 8},
  [785] = {.lex_state = 8},
  [786] = {.lex_state = 8},
  [787] = {.lex_state = 8},
  [788] = {.lex_state = 8},
  [789] = {.lex_state = 8},
  [790] = {.lex_state = 8},
  [791] = {.lex_state = 8},
  [792] = {.lex_state = 8},
  [793] = {.lex_state = 8},
  [794] = {.lex_state = 8},
  [795] = {.lex_state = 8},
  [796] = {.lex_state = 8},
  [797] = {.lex_state = 8},
  [798] = {.lex_state = 8},
  [799] = {.lex_state = 8},
  [800] = {.lex_state = 8},
  [801] = {.lex_state = 8},
  [802] = {.lex_state = 8},
  [803] = {.lex_state = 8},
  [804] = {.lex_state = 8},
  [805] = {.lex_state = 8},
  [806] = {.lex_state = 8},
  [807] = {.lex_state = 8},
  [808] = {.lex_state = 8},
  [809] = {.lex_state = 8},
  [810] = {.lex_state = 8},
  [811] = {.lex_state = 8},
  [812] = {.lex_state = 8},
  [813] = {.lex_state = 8},
  [814] = {.lex_state = 8},
  [815] = {.lex_state = 8},
  [816] = {.lex_state = 8},
  [817] = {.lex_state = 8},
  [818] = {.lex_state = 8},
  [819] = {.lex_state = 8},
  [820] = {.lex_state = 8},
  [821] = {.lex_state = 8},
  [822] = {.lex_state = 8},
  [823] = {.lex_state = 8},
  [824] = {.lex_state = 8},
  [825] = {.lex_state = 8},
  [826] = {.lex_state = 8},
  [827] = {.lex_state = 2, .external_lex_state = 2},
  [828] = {.lex_state = 8},
  [829] = {.lex_state = 8},
  [830] = {.lex_state = 8},
  [831] = {.lex_state = 8},
  [832] = {.lex_state = 8},
  [833] = {.lex_state = 8},
  [834] = {.lex_state = 8},
  [835] = {.lex_state = 8},
  [836] = {.lex_state = 2, .external_lex_state = 3},
  [837] = {.lex_state = 2, .external_lex_state = 3},
  [838] = {.lex_state = 2, .external_lex_state = 3},
  [839] = {.lex_state = 2, .external_lex_state = 3},
  [840] = {.lex_state = 2, .external_lex_state = 3},
  [841] = {.lex_state = 2, .external_lex_state = 3},
  [842] = {.lex_state = 2, .external_lex_state = 3},
  [843] = {.lex_state = 2, .external_lex_state = 2},
  [844] = {.lex_state = 2, .external_lex_state = 2},
  [845] = {.lex_state = 3, .external_lex_state = 2},
  [846] = {.lex_state = 2, .external_lex_state = 2},
  [847] = {.lex_state = 3, .external_lex_state = 2},
  [848] = {.lex_state = 2, .external_lex_state = 3},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 2, .external_lex_state = 2},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 2, .external_lex_state = 3},
  [853] = {.lex_state = 10},
  [854] = {.lex_state = 2, .external_lex_state = 3},
  [855] = {.lex_state = 2, .external_lex_state = 3},
  [856] = {.lex_state = 2, .external_lex_state = 2},
  [857] = {.lex_state = 10},
  [858] = {.lex_state = 2, .external_lex_state = 3},
  [859] = {.lex_state = 2, .external_lex_state = 2},
  [860] = {.lex_state = 10},
  [861] = {.lex_state = 2, .external_lex_state = 3},
  [862] = {.lex_state = 2, .external_lex_state = 3},
  [863] = {.lex_state = 10},
  [864] = {.lex_state = 2, .external_lex_state = 3},
  [865] = {.lex_state = 2, .external_lex_state = 2},
  [866] = {.lex_state = 2, .external_lex_state = 3},
  [867] = {.lex_state = 2, .external_lex_state = 2},
  [868] = {.lex_state = 2, .external_lex_state = 3},
  [869] = {.lex_state = 2, .external_lex_state = 3},
  [870] = {.lex_state = 2, .external_lex_state = 2},
  [871] = {.lex_state = 3, .external_lex_state = 2},
  [872] = {.lex_state = 2, .external_lex_state = 3},
  [873] = {.lex_state = 3, .external_lex_state = 2},
  [874] = {.lex_state = 3, .external_lex_state = 2},
  [875] = {.lex_state = 3, .external_lex_state = 2},
  [876] = {.lex_state = 2, .external_lex_state = 3},
  [877] = {.lex_state = 2, .external_lex_state = 3},
  [878] = {.lex_state = 2, .external_lex_state = 2},
  [879] = {.lex_state = 2, .external_lex_state = 2},
  [880] = {.lex_state = 2, .external_lex_state = 2},
  [881] = {.lex_state = 3, .external_lex_state = 2},
  [882] = {.lex_state = 3, .external_lex_state = 2},
  [883] = {.lex_state = 3, .external_lex_state = 2},
  [884] = {.lex_state = 2, .external_lex_state = 3},
  [885] = {.lex_state = 2, .external_lex_state = 3},
  [886] = {.lex_state = 2, .external_lex_state = 3},
  [887] = {.lex_state = 2, .external_lex_state = 2},
  [888] = {.lex_state = 2, .external_lex_state = 2},
  [889] = {.lex_state = 3, .external_lex_state = 2},
  [890] = {.lex_state = 2, .external_lex_state = 2},
  [891] = {.lex_state = 2, .external_lex_state = 3},
  [892] = {.lex_state = 2, .external_lex_state = 3},
  [893] = {.lex_state = 2, .external_lex_state = 3},
  [894] = {.lex_state = 2, .external_lex_state = 3},
  [895] = {.lex_state = 2, .external_lex_state = 3},
  [896] = {.lex_state = 10},
  [897] = {.lex_state = 2, .external_lex_state = 2},
  [898] = {.lex_state = 2, .external_lex_state = 3},
  [899] = {.lex_state = 3, .external_lex_state = 2},
  [900] = {.lex_state = 2, .external_lex_state = 2},
  [901] = {.lex_state = 2, .external_lex_state = 2},
  [902] = {.lex_state = 3, .external_lex_state = 2},
  [903] = {.lex_state = 2, .external_lex_state = 2},
  [904] = {.lex_state = 2, .external_lex_state = 2},
  [905] = {.lex_state = 10},
  [906] = {.lex_state = 2, .external_lex_state = 3},
  [907] = {.lex_state = 2, .external_lex_state = 2},
  [908] = {.lex_state = 2, .external_lex_state = 3},
  [909] = {.lex_state = 2, .external_lex_state = 3},
  [910] = {.lex_state = 2, .external_lex_state = 2},
  [911] = {.lex_state = 2, .external_lex_state = 2},
  [912] = {.lex_state = 2, .external_lex_state = 3},
  [913] = {.lex_state = 2, .external_lex_state = 2},
  [914] = {.lex_state = 2, .external_lex_state = 2},
  [915] = {.lex_state = 3, .external_lex_state = 2},
  [916] = {.lex_state = 2, .external_lex_state = 3},
  [917] = {.lex_state = 2, .external_lex_state = 3},
  [918] = {.lex_state = 2, .external_lex_state = 3},
  [919] = {.lex_state = 2, .external_lex_state = 3},
  [920] = {.lex_state = 2, .external_lex_state = 3},
  [921] = {.lex_state = 2, .external_lex_state = 2},
  [922] = {.lex_state = 2, .external_lex_state = 3},
  [923] = {.lex_state = 2, .external_lex_state = 2},
  [924] = {.lex_state = 2, .external_lex_state = 3},
  [925] = {.lex_state = 2, .external_lex_state = 3},
  [926] = {.lex_state = 2, .external_lex_state = 2},
  [927] = {.lex_state = 2, .external_lex_state = 3},
  [928] = {.lex_state = 2, .external_lex_state = 3},
  [929] = {.lex_state = 2, .external_lex_state = 3},
  [930] = {.lex_state = 2, .external_lex_state = 3},
  [931] = {.lex_state = 2, .external_lex_state = 3},
  [932] = {.lex_state = 2, .external_lex_state = 3},
  [933] = {.lex_state = 2, .external_lex_state = 3},
  [934] = {.lex_state = 2, .external_lex_state = 3},
  [935] = {.lex_state = 2, .external_lex_state = 2},
  [936] = {.lex_state = 2, .external_lex_state = 2},
  [937] = {.lex_state = 2, .external_lex_state = 3},
  [938] = {.lex_state = 2, .external_lex_state = 3},
  [939] = {.lex_state = 2, .external_lex_state = 2},
  [940] = {.lex_state = 2, .external_lex_state = 2},
  [941] = {.lex_state = 3, .external_lex_state = 2},
  [942] = {.lex_state = 2, .external_lex_state = 2},
  [943] = {.lex_state = 2, .external_lex_state = 3},
  [944] = {.lex_state = 2, .external_lex_state = 2},
  [945] = {.lex_state = 2, .external_lex_state = 3},
  [946] = {.lex_state = 2, .external_lex_state = 2},
  [947] = {.lex_state = 2, .external_lex_state = 2},
  [948] = {.lex_state = 2, .external_lex_state = 2},
  [949] = {.lex_state = 3, .external_lex_state = 2},
  [950] = {.lex_state = 3, .external_lex_state = 2},
  [951] = {.lex_state = 2, .external_lex_state = 2},
  [952] = {.lex_state = 2, .external_lex_state = 2},
  [953] = {.lex_state = 3, .external_lex_state = 2},
  [954] = {.lex_state = 2, .external_lex_state = 2},
  [955] = {.lex_state = 2, .external_lex_state = 3},
  [956] = {.lex_state = 2, .external_lex_state = 2},
  [957] = {.lex_state = 2, .external_lex_state = 3},
  [958] = {.lex_state = 2, .external_lex_state = 2},
  [959] = {.lex_state = 2, .external_lex_state = 3},
  [960] = {.lex_state = 2, .external_lex_state = 3},
  [961] = {.lex_state = 2, .external_lex_state = 2},
  [962] = {.lex_state = 2, .external_lex_state = 2},
  [963] = {.lex_state = 2, .external_lex_state = 2},
  [964] = {.lex_state = 2, .external_lex_state = 2},
  [965] = {.lex_state = 2, .external_lex_state = 3},
  [966] = {.lex_state = 3, .external_lex_state = 2},
  [967] = {.lex_state = 2, .external_lex_state = 2},
  [968] = {.lex_state = 2, .external_lex_state = 2},
  [969] = {.lex_state = 2, .external_lex_state = 2},
  [970] = {.lex_state = 2, .external_lex_state = 3},
  [971] = {.lex_state = 2, .external_lex_state = 2},
  [972] = {.lex_state = 2, .external_lex_state = 2},
  [973] = {.lex_state = 2, .external_lex_state = 3},
  [974] = {.lex_state = 2, .external_lex_state = 2},
  [975] = {.lex_state = 2, .external_lex_state = 2},
  [976] = {.lex_state = 2, .external_lex_state = 2},
  [977] = {.lex_state = 2, .external_lex_state = 2},
  [978] = {.lex_state = 2, .external_lex_state = 2},
  [979] = {.lex_state = 2, .external_lex_state = 2},
  [980] = {.lex_state = 2, .external_lex_state = 2},
  [981] = {.lex_state = 2, .external_lex_state = 2},
  [982] = {.lex_state = 8},
  [983] = {.lex_state = 8},
  [984] = {.lex_state = 8},
  [985] = {.lex_state = 8},
  [986] = {.lex_state = 8},
  [987] = {.lex_state = 8},
  [988] = {.lex_state = 68, .external_lex_state = 4},
  [989] = {.lex_state = 68, .external_lex_state = 4},
  [990] = {.lex_state = 68, .external_lex_state = 4},
  [991] = {.lex_state = 68, .external_lex_state = 4},
  [992] = {.lex_state = 68, .external_lex_state = 4},
  [993] = {.lex_state = 8},
  [994] = {.lex_state = 8},
  [995] = {.lex_state = 8},
  [996] = {.lex_state = 8},
  [997] = {.lex_state = 8},
  [998] = {.lex_state = 8},
  [999] = {.lex_state = 8},
  [1000] = {.lex_state = 8},
  [1001] = {.lex_state = 8},
  [1002] = {.lex_state = 8},
  [1003] = {.lex_state = 68, .external_lex_state = 4},
  [1004] = {.lex_state = 8},
  [1005] = {.lex_state = 8},
  [1006] = {.lex_state = 67, .external_lex_state = 3},
  [1007] = {.lex_state = 8},
  [1008] = {.lex_state = 8},
  [1009] = {.lex_state = 8},
  [1010] = {.lex_state = 8},
  [1011] = {.lex_state = 8},
  [1012] = {.lex_state = 8},
  [1013] = {.lex_state = 68, .external_lex_state = 4},
  [1014] = {.lex_state = 68, .external_lex_state = 4},
  [1015] = {.lex_state = 68, .external_lex_state = 4},
  [1016] = {.lex_state = 8},
  [1017] = {.lex_state = 8},
  [1018] = {.lex_state = 8},
  [1019] = {.lex_state = 8},
  [1020] = {.lex_state = 8},
  [1021] = {.lex_state = 10},
  [1022] = {.lex_state = 10},
  [1023] = {.lex_state = 8},
  [1024] = {.lex_state = 8},
  [1025] = {.lex_state = 10},
  [1026] = {.lex_state = 68},
  [1027] = {.lex_state = 68},
  [1028] = {.lex_state = 68},
  [1029] = {.lex_state = 68},
  [1030] = {.lex_state = 68},
  [1031] = {.lex_state = 68},
  [1032] = {.lex_state = 68},
  [1033] = {.lex_state = 67, .external_lex_state = 3},
  [1034] = {.lex_state = 67, .external_lex_state = 3},
  [1035] = {.lex_state = 67, .external_lex_state = 2},
  [1036] = {.lex_state = 67, .external_lex_state = 3},
  [1037] = {.lex_state = 67, .external_lex_state = 2},
  [1038] = {.lex_state = 68},
  [1039] = {.lex_state = 67, .external_lex_state = 2},
  [1040] = {.lex_state = 67, .external_lex_state = 3},
  [1041] = {.lex_state = 67, .external_lex_state = 2},
  [1042] = {.lex_state = 67, .external_lex_state = 2},
  [1043] = {.lex_state = 67, .external_lex_state = 2},
  [1044] = {.lex_state = 67, .external_lex_state = 3},
  [1045] = {.lex_state = 67, .external_lex_state = 2},
  [1046] = {.lex_state = 67, .external_lex_state = 2},
  [1047] = {.lex_state = 67, .external_lex_state = 2},
  [1048] = {.lex_state = 67, .external_lex_state = 2},
  [1049] = {.lex_state = 67, .external_lex_state = 2},
  [1050] = {.lex_state = 67, .external_lex_state = 2},
  [1051] = {.lex_state = 67, .external_lex_state = 2},
  [1052] = {.lex_state = 67, .external_lex_state = 2},
  [1053] = {.lex_state = 67, .external_lex_state = 2},
  [1054] = {.lex_state = 67, .external_lex_state = 2},
  [1055] = {.lex_state = 67, .external_lex_state = 2},
  [1056] = {.lex_state = 67, .external_lex_state = 2},
  [1057] = {.lex_state = 67, .external_lex_state = 2},
  [1058] = {.lex_state = 67, .external_lex_state = 2},
  [1059] = {.lex_state = 67, .external_lex_state = 2},
  [1060] = {.lex_state = 67, .external_lex_state = 2},
  [1061] = {.lex_state = 67, .external_lex_state = 2},
  [1062] = {.lex_state = 67, .external_lex_state = 2},
  [1063] = {.lex_state = 67, .external_lex_state = 2},
  [1064] = {.lex_state = 67, .external_lex_state = 2},
  [1065] = {.lex_state = 67, .external_lex_state = 2},
  [1066] = {.lex_state = 67, .external_lex_state = 2},
  [1067] = {.lex_state = 67, .external_lex_state = 2},
  [1068] = {.lex_state = 67, .external_lex_state = 2},
  [1069] = {.lex_state = 67, .external_lex_state = 2},
  [1070] = {.lex_state = 67, .external_lex_state = 2},
  [1071] = {.lex_state = 67, .external_lex_state = 2},
  [1072] = {.lex_state = 67, .external_lex_state = 2},
  [1073] = {.lex_state = 67, .external_lex_state = 2},
  [1074] = {.lex_state = 67, .external_lex_state = 2},
  [1075] = {.lex_state = 67, .external_lex_state = 2},
  [1076] = {.lex_state = 67, .external_lex_state = 2},
  [1077] = {.lex_state = 67, .external_lex_state = 2},
  [1078] = {.lex_state = 67, .external_lex_state = 2},
  [1079] = {.lex_state = 67, .external_lex_state = 2},
  [1080] = {.lex_state = 67, .external_lex_state = 2},
  [1081] = {.lex_state = 67, .external_lex_state = 2},
  [1082] = {.lex_state = 67, .external_lex_state = 2},
  [1083] = {.lex_state = 67, .external_lex_state = 2},
  [1084] = {.lex_state = 67, .external_lex_state = 2},
  [1085] = {.lex_state = 67, .external_lex_state = 2},
  [1086] = {.lex_state = 67, .external_lex_state = 2},
  [1087] = {.lex_state = 67, .external_lex_state = 2},
  [1088] = {.lex_state = 67, .external_lex_state = 2},
  [1089] = {.lex_state = 67, .external_lex_state = 2},
  [1090] = {.lex_state = 67, .external_lex_state = 2},
  [1091] = {.lex_state = 67, .external_lex_state = 2},
  [1092] = {.lex_state = 67, .external_lex_state = 3},
  [1093] = {.lex_state = 67, .external_lex_state = 2},
  [1094] = {.lex_state = 67, .external_lex_state = 2},
  [1095] = {.lex_state = 67, .external_lex_state = 2},
  [1096] = {.lex_state = 67, .external_lex_state = 2},
  [1097] = {.lex_state = 67, .external_lex_state = 2},
  [1098] = {.lex_state = 67, .external_lex_state = 2},
  [1099] = {.lex_state = 67, .external_lex_state = 2},
  [1100] = {.lex_state = 67, .external_lex_state = 2},
  [1101] = {.lex_state = 67, .external_lex_state = 2},
  [1102] = {.lex_state = 67, .external_lex_state = 2},
  [1103] = {.lex_state = 67, .external_lex_state = 2},
  [1104] = {.lex_state = 67, .external_lex_state = 2},
  [1105] = {.lex_state = 67, .external_lex_state = 2},
  [1106] = {.lex_state = 67, .external_lex_state = 2},
  [1107] = {.lex_state = 67, .external_lex_state = 2},
  [1108] = {.lex_state = 67, .external_lex_state = 2},
  [1109] = {.lex_state = 67, .external_lex_state = 2},
  [1110] = {.lex_state = 67, .external_lex_state = 2},
  [1111] = {.lex_state = 67, .external_lex_state = 2},
  [1112] = {.lex_state = 67, .external_lex_state = 2},
  [1113] = {.lex_state = 67, .external_lex_state = 2},
  [1114] = {.lex_state = 67, .external_lex_state = 2},
  [1115] = {.lex_state = 67, .external_lex_state = 2},
  [1116] = {.lex_state = 67, .external_lex_state = 2},
  [1117] = {.lex_state = 67, .external_lex_state = 2},
  [1118] = {.lex_state = 67, .external_lex_state = 2},
  [1119] = {.lex_state = 67, .external_lex_state = 2},
  [1120] = {.lex_state = 67, .external_lex_state = 2},
  [1121] = {.lex_state = 67, .external_lex_state = 2},
  [1122] = {.lex_state = 67, .external_lex_state = 2},
  [1123] = {.lex_state = 67, .external_lex_state = 2},
  [1124] = {.lex_state = 67, .external_lex_state = 2},
  [1125] = {.lex_state = 67, .external_lex_state = 2},
  [1126] = {.lex_state = 67, .external_lex_state = 2},
  [1127] = {.lex_state = 67, .external_lex_state = 2},
  [1128] = {.lex_state = 67, .external_lex_state = 2},
  [1129] = {.lex_state = 67, .external_lex_state = 2},
  [1130] = {.lex_state = 67, .external_lex_state = 2},
  [1131] = {.lex_state = 67, .external_lex_state = 2},
  [1132] = {.lex_state = 67, .external_lex_state = 2},
  [1133] = {.lex_state = 67, .external_lex_state = 2},
  [1134] = {.lex_state = 67, .external_lex_state = 2},
  [1135] = {.lex_state = 67, .external_lex_state = 3},
  [1136] = {.lex_state = 67, .external_lex_state = 2},
  [1137] = {.lex_state = 67, .external_lex_state = 2},
  [1138] = {.lex_state = 67, .external_lex_state = 2},
  [1139] = {.lex_state = 67, .external_lex_state = 2},
  [1140] = {.lex_state = 67, .external_lex_state = 2},
  [1141] = {.lex_state = 67, .external_lex_state = 2},
  [1142] = {.lex_state = 67, .external_lex_state = 2},
  [1143] = {.lex_state = 67, .external_lex_state = 3},
  [1144] = {.lex_state = 67, .external_lex_state = 2},
  [1145] = {.lex_state = 67, .external_lex_state = 2},
  [1146] = {.lex_state = 67, .external_lex_state = 2},
  [1147] = {.lex_state = 67, .external_lex_state = 2},
  [1148] = {.lex_state = 67, .external_lex_state = 2},
  [1149] = {.lex_state = 67, .external_lex_state = 2},
  [1150] = {.lex_state = 67, .external_lex_state = 2},
  [1151] = {.lex_state = 67, .external_lex_state = 2},
  [1152] = {.lex_state = 67, .external_lex_state = 2},
  [1153] = {.lex_state = 67, .external_lex_state = 2},
  [1154] = {.lex_state = 67, .external_lex_state = 2},
  [1155] = {.lex_state = 67, .external_lex_state = 2},
  [1156] = {.lex_state = 67, .external_lex_state = 2},
  [1157] = {.lex_state = 67, .external_lex_state = 2},
  [1158] = {.lex_state = 67, .external_lex_state = 2},
  [1159] = {.lex_state = 67, .external_lex_state = 2},
  [1160] = {.lex_state = 67, .external_lex_state = 2},
  [1161] = {.lex_state = 67, .external_lex_state = 2},
  [1162] = {.lex_state = 67, .external_lex_state = 2},
  [1163] = {.lex_state = 67, .external_lex_state = 2},
  [1164] = {.lex_state = 67, .external_lex_state = 2},
  [1165] = {.lex_state = 67, .external_lex_state = 2},
  [1166] = {.lex_state = 67, .external_lex_state = 2},
  [1167] = {.lex_state = 67, .external_lex_state = 2},
  [1168] = {.lex_state = 67, .external_lex_state = 2},
  [1169] = {.lex_state = 67, .external_lex_state = 2},
  [1170] = {.lex_state = 67, .external_lex_state = 2},
  [1171] = {.lex_state = 67, .external_lex_state = 2},
  [1172] = {.lex_state = 67, .external_lex_state = 2},
  [1173] = {.lex_state = 67, .external_lex_state = 2},
  [1174] = {.lex_state = 67, .external_lex_state = 2},
  [1175] = {.lex_state = 67, .external_lex_state = 2},
  [1176] = {.lex_state = 67, .external_lex_state = 2},
  [1177] = {.lex_state = 67, .external_lex_state = 2},
  [1178] = {.lex_state = 67, .external_lex_state = 2},
  [1179] = {.lex_state = 67, .external_lex_state = 2},
  [1180] = {.lex_state = 67, .external_lex_state = 2},
  [1181] = {.lex_state = 67, .external_lex_state = 2},
  [1182] = {.lex_state = 67, .external_lex_state = 3},
  [1183] = {.lex_state = 67, .external_lex_state = 3},
  [1184] = {.lex_state = 67, .external_lex_state = 2},
  [1185] = {.lex_state = 67, .external_lex_state = 2},
  [1186] = {.lex_state = 67, .external_lex_state = 2},
  [1187] = {.lex_state = 67, .external_lex_state = 3},
  [1188] = {.lex_state = 8},
  [1189] = {.lex_state = 67, .external_lex_state = 3},
  [1190] = {.lex_state = 67, .external_lex_state = 3},
  [1191] = {.lex_state = 67, .external_lex_state = 3},
  [1192] = {.lex_state = 67, .external_lex_state = 2},
  [1193] = {.lex_state = 67, .external_lex_state = 2},
  [1194] = {.lex_state = 67, .external_lex_state = 3},
  [1195] = {.lex_state = 67, .external_lex_state = 2},
  [1196] = {.lex_state = 67, .external_lex_state = 3},
  [1197] = {.lex_state = 67, .external_lex_state = 3},
  [1198] = {.lex_state = 67, .external_lex_state = 2},
  [1199] = {.lex_state = 67, .external_lex_state = 2},
  [1200] = {.lex_state = 67, .external_lex_state = 3},
  [1201] = {.lex_state = 67, .external_lex_state = 3},
  [1202] = {.lex_state = 67, .external_lex_state = 3},
  [1203] = {.lex_state = 67, .external_lex_state = 3},
  [1204] = {.lex_state = 67, .external_lex_state = 3},
  [1205] = {.lex_state = 8},
  [1206] = {.lex_state = 67, .external_lex_state = 3},
  [1207] = {.lex_state = 67, .external_lex_state = 3},
  [1208] = {.lex_state = 67, .external_lex_state = 3},
  [1209] = {.lex_state = 8},
  [1210] = {.lex_state = 67, .external_lex_state = 2},
  [1211] = {.lex_state = 67, .external_lex_state = 2},
  [1212] = {.lex_state = 67, .external_lex_state = 2},
  [1213] = {.lex_state = 67, .external_lex_state = 3},
  [1214] = {.lex_state = 8},
  [1215] = {.lex_state = 67, .external_lex_state = 2},
  [1216] = {.lex_state = 68, .external_lex_state = 4},
  [1217] = {.lex_state = 67, .external_lex_state = 2},
  [1218] = {.lex_state = 67, .external_lex_state = 2},
  [1219] = {.lex_state = 8},
  [1220] = {.lex_state = 67, .external_lex_state = 2},
  [1221] = {.lex_state = 67, .external_lex_state = 3},
  [1222] = {.lex_state = 67, .external_lex_state = 2},
  [1223] = {.lex_state = 67, .external_lex_state = 2},
  [1224] = {.lex_state = 67, .external_lex_state = 2},
  [1225] = {.lex_state = 67, .external_lex_state = 2},
  [1226] = {.lex_state = 8},
  [1227] = {.lex_state = 67, .external_lex_state = 3},
  [1228] = {.lex_state = 67, .external_lex_state = 3},
  [1229] = {.lex_state = 67, .external_lex_state = 3},
  [1230] = {.lex_state = 67, .external_lex_state = 2},
  [1231] = {.lex_state = 67, .external_lex_state = 2},
  [1232] = {.lex_state = 67, .external_lex_state = 2},
  [1233] = {.lex_state = 67, .external_lex_state = 2},
  [1234] = {.lex_state = 67, .external_lex_state = 2},
  [1235] = {.lex_state = 67, .external_lex_state = 2},
  [1236] = {.lex_state = 67, .external_lex_state = 3},
  [1237] = {.lex_state = 67, .external_lex_state = 2},
  [1238] = {.lex_state = 8},
  [1239] = {.lex_state = 67, .external_lex_state = 2},
  [1240] = {.lex_state = 67, .external_lex_state = 2},
  [1241] = {.lex_state = 67, .external_lex_state = 2},
  [1242] = {.lex_state = 67, .external_lex_state = 2},
  [1243] = {.lex_state = 67, .external_lex_state = 3},
  [1244] = {.lex_state = 67, .external_lex_state = 3},
  [1245] = {.lex_state = 67, .external_lex_state = 2},
  [1246] = {.lex_state = 67, .external_lex_state = 3},
  [1247] = {.lex_state = 67, .external_lex_state = 2},
  [1248] = {.lex_state = 67, .external_lex_state = 3},
  [1249] = {.lex_state = 8},
  [1250] = {.lex_state = 67, .external_lex_state = 2},
  [1251] = {.lex_state = 67, .external_lex_state = 3},
  [1252] = {.lex_state = 67, .external_lex_state = 3},
  [1253] = {.lex_state = 67, .external_lex_state = 2},
  [1254] = {.lex_state = 67, .external_lex_state = 2},
  [1255] = {.lex_state = 67, .external_lex_state = 3},
  [1256] = {.lex_state = 67, .external_lex_state = 2},
  [1257] = {.lex_state = 67, .external_lex_state = 2},
  [1258] = {.lex_state = 67, .external_lex_state = 3},
  [1259] = {.lex_state = 67, .external_lex_state = 2},
  [1260] = {.lex_state = 67, .external_lex_state = 3},
  [1261] = {.lex_state = 67, .external_lex_state = 2},
  [1262] = {.lex_state = 8},
  [1263] = {.lex_state = 67, .external_lex_state = 3},
  [1264] = {.lex_state = 67, .external_lex_state = 2},
  [1265] = {.lex_state = 67, .external_lex_state = 3},
  [1266] = {.lex_state = 67, .external_lex_state = 3},
  [1267] = {.lex_state = 67, .external_lex_state = 3},
  [1268] = {.lex_state = 68, .external_lex_state = 4},
  [1269] = {.lex_state = 67, .external_lex_state = 2},
  [1270] = {.lex_state = 68, .external_lex_state = 4},
  [1271] = {.lex_state = 67, .external_lex_state = 2},
  [1272] = {.lex_state = 8},
  [1273] = {.lex_state = 67, .external_lex_state = 2},
  [1274] = {.lex_state = 67, .external_lex_state = 2},
  [1275] = {.lex_state = 67, .external_lex_state = 2},
  [1276] = {.lex_state = 67, .external_lex_state = 2},
  [1277] = {.lex_state = 67, .external_lex_state = 2},
  [1278] = {.lex_state = 67, .external_lex_state = 3},
  [1279] = {.lex_state = 67, .external_lex_state = 2},
  [1280] = {.lex_state = 67, .external_lex_state = 3},
  [1281] = {.lex_state = 67, .external_lex_state = 2},
  [1282] = {.lex_state = 67, .external_lex_state = 2},
  [1283] = {.lex_state = 67, .external_lex_state = 2},
  [1284] = {.lex_state = 67, .external_lex_state = 2},
  [1285] = {.lex_state = 68, .external_lex_state = 4},
  [1286] = {.lex_state = 67, .external_lex_state = 3},
  [1287] = {.lex_state = 67, .external_lex_state = 2},
  [1288] = {.lex_state = 67, .external_lex_state = 2},
  [1289] = {.lex_state = 67, .external_lex_state = 2},
  [1290] = {.lex_state = 67, .external_lex_state = 3},
  [1291] = {.lex_state = 68, .external_lex_state = 4},
  [1292] = {.lex_state = 8},
  [1293] = {.lex_state = 67, .external_lex_state = 2},
  [1294] = {.lex_state = 67, .external_lex_state = 2},
  [1295] = {.lex_state = 67, .external_lex_state = 2},
  [1296] = {.lex_state = 67, .external_lex_state = 2},
  [1297] = {.lex_state = 67, .external_lex_state = 2},
  [1298] = {.lex_state = 67, .external_lex_state = 2},
  [1299] = {.lex_state = 67, .external_lex_state = 3},
  [1300] = {.lex_state = 67, .external_lex_state = 2},
  [1301] = {.lex_state = 67, .external_lex_state = 2},
  [1302] = {.lex_state = 67, .external_lex_state = 2},
  [1303] = {.lex_state = 67, .external_lex_state = 3},
  [1304] = {.lex_state = 67, .external_lex_state = 3},
  [1305] = {.lex_state = 67, .external_lex_state = 3},
  [1306] = {.lex_state = 67, .external_lex_state = 3},
  [1307] = {.lex_state = 68, .external_lex_state = 4},
  [1308] = {.lex_state = 68, .external_lex_state = 4},
  [1309] = {.lex_state = 68, .external_lex_state = 4},
  [1310] = {.lex_state = 67, .external_lex_state = 3},
  [1311] = {.lex_state = 67, .external_lex_state = 3},
  [1312] = {.lex_state = 67, .external_lex_state = 2},
  [1313] = {.lex_state = 67, .external_lex_state = 2},
  [1314] = {.lex_state = 67, .external_lex_state = 2},
  [1315] = {.lex_state = 67, .external_lex_state = 3},
  [1316] = {.lex_state = 67, .external_lex_state = 2},
  [1317] = {.lex_state = 68, .external_lex_state = 4},
  [1318] = {.lex_state = 67, .external_lex_state = 2},
  [1319] = {.lex_state = 67, .external_lex_state = 2},
  [1320] = {.lex_state = 68, .external_lex_state = 4},
  [1321] = {.lex_state = 67, .external_lex_state = 3},
  [1322] = {.lex_state = 67, .external_lex_state = 3},
  [1323] = {.lex_state = 67, .external_lex_state = 2},
  [1324] = {.lex_state = 67, .external_lex_state = 2},
  [1325] = {.lex_state = 68, .external_lex_state = 4},
  [1326] = {.lex_state = 68, .external_lex_state = 4},
  [1327] = {.lex_state = 67, .external_lex_state = 2},
  [1328] = {.lex_state = 68, .external_lex_state = 4},
  [1329] = {.lex_state = 67, .external_lex_state = 2},
  [1330] = {.lex_state = 67, .external_lex_state = 2},
  [1331] = {.lex_state = 67, .external_lex_state = 2},
  [1332] = {.lex_state = 67, .external_lex_state = 2},
  [1333] = {.lex_state = 67, .external_lex_state = 2},
  [1334] = {.lex_state = 67, .external_lex_state = 2},
  [1335] = {.lex_state = 67, .external_lex_state = 3},
  [1336] = {.lex_state = 67, .external_lex_state = 3},
  [1337] = {.lex_state = 67, .external_lex_state = 2},
  [1338] = {.lex_state = 67, .external_lex_state = 2},
  [1339] = {.lex_state = 67, .external_lex_state = 2},
  [1340] = {.lex_state = 67, .external_lex_state = 3},
  [1341] = {.lex_state = 67, .external_lex_state = 3},
  [1342] = {.lex_state = 67, .external_lex_state = 3},
  [1343] = {.lex_state = 67, .external_lex_state = 2},
  [1344] = {.lex_state = 67, .external_lex_state = 2},
  [1345] = {.lex_state = 67, .external_lex_state = 2},
  [1346] = {.lex_state = 67, .external_lex_state = 2},
  [1347] = {.lex_state = 67, .external_lex_state = 2},
  [1348] = {.lex_state = 67, .external_lex_state = 2},
  [1349] = {.lex_state = 67, .external_lex_state = 2},
  [1350] = {.lex_state = 67, .external_lex_state = 2},
  [1351] = {.lex_state = 67, .external_lex_state = 2},
  [1352] = {.lex_state = 67, .external_lex_state = 2},
  [1353] = {.lex_state = 67, .external_lex_state = 3},
  [1354] = {.lex_state = 67, .external_lex_state = 2},
  [1355] = {.lex_state = 67, .external_lex_state = 3},
  [1356] = {.lex_state = 67, .external_lex_state = 2},
  [1357] = {.lex_state = 68, .external_lex_state = 4},
  [1358] = {.lex_state = 67, .external_lex_state = 2},
  [1359] = {.lex_state = 67, .external_lex_state = 2},
  [1360] = {.lex_state = 67, .external_lex_state = 2},
  [1361] = {.lex_state = 67, .external_lex_state = 2},
  [1362] = {.lex_state = 68, .external_lex_state = 4},
  [1363] = {.lex_state = 68, .external_lex_state = 4},
  [1364] = {.lex_state = 67, .external_lex_state = 2},
  [1365] = {.lex_state = 67, .external_lex_state = 2},
  [1366] = {.lex_state = 67, .external_lex_state = 3},
  [1367] = {.lex_state = 67, .external_lex_state = 3},
  [1368] = {.lex_state = 67, .external_lex_state = 3},
  [1369] = {.lex_state = 67, .external_lex_state = 3},
  [1370] = {.lex_state = 67, .external_lex_state = 3},
  [1371] = {.lex_state = 67, .external_lex_state = 3},
  [1372] = {.lex_state = 4, .external_lex_state = 2},
  [1373] = {.lex_state = 67, .external_lex_state = 2},
  [1374] = {.lex_state = 67, .external_lex_state = 2},
  [1375] = {.lex_state = 67, .external_lex_state = 2},
  [1376] = {.lex_state = 67, .external_lex_state = 2},
  [1377] = {.lex_state = 67, .external_lex_state = 2},
  [1378] = {.lex_state = 67, .external_lex_state = 2},
  [1379] = {.lex_state = 67, .external_lex_state = 2},
  [1380] = {.lex_state = 67, .external_lex_state = 3},
  [1381] = {.lex_state = 67, .external_lex_state = 3},
  [1382] = {.lex_state = 67, .external_lex_state = 3},
  [1383] = {.lex_state = 67, .external_lex_state = 2},
  [1384] = {.lex_state = 67, .external_lex_state = 3},
  [1385] = {.lex_state = 67, .external_lex_state = 3},
  [1386] = {.lex_state = 68, .external_lex_state = 4},
  [1387] = {.lex_state = 68, .external_lex_state = 4},
  [1388] = {.lex_state = 67, .external_lex_state = 3},
  [1389] = {.lex_state = 67, .external_lex_state = 3},
  [1390] = {.lex_state = 67, .external_lex_state = 3},
  [1391] = {.lex_state = 67, .external_lex_state = 3},
  [1392] = {.lex_state = 67, .external_lex_state = 2},
  [1393] = {.lex_state = 67, .external_lex_state = 3},
  [1394] = {.lex_state = 67, .external_lex_state = 3},
  [1395] = {.lex_state = 67, .external_lex_state = 3},
  [1396] = {.lex_state = 67, .external_lex_state = 3},
  [1397] = {.lex_state = 67, .external_lex_state = 3},
  [1398] = {.lex_state = 67, .external_lex_state = 3},
  [1399] = {.lex_state = 67, .external_lex_state = 3},
  [1400] = {.lex_state = 67, .external_lex_state = 3},
  [1401] = {.lex_state = 67, .external_lex_state = 3},
  [1402] = {.lex_state = 67, .external_lex_state = 3},
  [1403] = {.lex_state = 67, .external_lex_state = 3},
  [1404] = {.lex_state = 67, .external_lex_state = 3},
  [1405] = {.lex_state = 67, .external_lex_state = 3},
  [1406] = {.lex_state = 67, .external_lex_state = 3},
  [1407] = {.lex_state = 67, .external_lex_state = 3},
  [1408] = {.lex_state = 67, .external_lex_state = 3},
  [1409] = {.lex_state = 67, .external_lex_state = 3},
  [1410] = {.lex_state = 67, .external_lex_state = 3},
  [1411] = {.lex_state = 67, .external_lex_state = 3},
  [1412] = {.lex_state = 67, .external_lex_state = 3},
  [1413] = {.lex_state = 67, .external_lex_state = 3},
  [1414] = {.lex_state = 67, .external_lex_state = 3},
  [1415] = {.lex_state = 67, .external_lex_state = 3},
  [1416] = {.lex_state = 67, .external_lex_state = 2},
  [1417] = {.lex_state = 68, .external_lex_state = 4},
  [1418] = {.lex_state = 67, .external_lex_state = 3},
  [1419] = {.lex_state = 67, .external_lex_state = 3},
  [1420] = {.lex_state = 67, .external_lex_state = 3},
  [1421] = {.lex_state = 67, .external_lex_state = 3},
  [1422] = {.lex_state = 67, .external_lex_state = 3},
  [1423] = {.lex_state = 67, .external_lex_state = 3},
  [1424] = {.lex_state = 67, .external_lex_state = 3},
  [1425] = {.lex_state = 67, .external_lex_state = 3},
  [1426] = {.lex_state = 67, .external_lex_state = 3},
  [1427] = {.lex_state = 67, .external_lex_state = 3},
  [1428] = {.lex_state = 67, .external_lex_state = 3},
  [1429] = {.lex_state = 67, .external_lex_state = 3},
  [1430] = {.lex_state = 67, .external_lex_state = 3},
  [1431] = {.lex_state = 67, .external_lex_state = 3},
  [1432] = {.lex_state = 67, .external_lex_state = 3},
  [1433] = {.lex_state = 67, .external_lex_state = 2},
  [1434] = {.lex_state = 67, .external_lex_state = 3},
  [1435] = {.lex_state = 67, .external_lex_state = 2},
  [1436] = {.lex_state = 67, .external_lex_state = 3},
  [1437] = {.lex_state = 67, .external_lex_state = 3},
  [1438] = {.lex_state = 67, .external_lex_state = 2},
  [1439] = {.lex_state = 67, .external_lex_state = 3},
  [1440] = {.lex_state = 67, .external_lex_state = 3},
  [1441] = {.lex_state = 67, .external_lex_state = 3},
  [1442] = {.lex_state = 67, .external_lex_state = 3},
  [1443] = {.lex_state = 67, .external_lex_state = 3},
  [1444] = {.lex_state = 67, .external_lex_state = 3},
  [1445] = {.lex_state = 67, .external_lex_state = 2},
  [1446] = {.lex_state = 67, .external_lex_state = 3},
  [1447] = {.lex_state = 67, .external_lex_state = 2},
  [1448] = {.lex_state = 67, .external_lex_state = 3},
  [1449] = {.lex_state = 67, .external_lex_state = 3},
  [1450] = {.lex_state = 67, .external_lex_state = 3},
  [1451] = {.lex_state = 67, .external_lex_state = 3},
  [1452] = {.lex_state = 67, .external_lex_state = 3},
  [1453] = {.lex_state = 67, .external_lex_state = 3},
  [1454] = {.lex_state = 67, .external_lex_state = 3},
  [1455] = {.lex_state = 67, .external_lex_state = 3},
  [1456] = {.lex_state = 67, .external_lex_state = 3},
  [1457] = {.lex_state = 68, .external_lex_state = 4},
  [1458] = {.lex_state = 67, .external_lex_state = 3},
  [1459] = {.lex_state = 68, .external_lex_state = 4},
  [1460] = {.lex_state = 67, .external_lex_state = 3},
  [1461] = {.lex_state = 67, .external_lex_state = 3},
  [1462] = {.lex_state = 67, .external_lex_state = 3},
  [1463] = {.lex_state = 67, .external_lex_state = 3},
  [1464] = {.lex_state = 67, .external_lex_state = 3},
  [1465] = {.lex_state = 67, .external_lex_state = 3},
  [1466] = {.lex_state = 67, .external_lex_state = 3},
  [1467] = {.lex_state = 67, .external_lex_state = 3},
  [1468] = {.lex_state = 68, .external_lex_state = 4},
  [1469] = {.lex_state = 67, .external_lex_state = 3},
  [1470] = {.lex_state = 67, .external_lex_state = 3},
  [1471] = {.lex_state = 4, .external_lex_state = 3},
  [1472] = {.lex_state = 67, .external_lex_state = 3},
  [1473] = {.lex_state = 67, .external_lex_state = 3},
  [1474] = {.lex_state = 67, .external_lex_state = 3},
  [1475] = {.lex_state = 67, .external_lex_state = 3},
  [1476] = {.lex_state = 67, .external_lex_state = 3},
  [1477] = {.lex_state = 67, .external_lex_state = 3},
  [1478] = {.lex_state = 67, .external_lex_state = 3},
  [1479] = {.lex_state = 67, .external_lex_state = 3},
  [1480] = {.lex_state = 67, .external_lex_state = 3},
  [1481] = {.lex_state = 67, .external_lex_state = 3},
  [1482] = {.lex_state = 67, .external_lex_state = 2},
  [1483] = {.lex_state = 67, .external_lex_state = 3},
  [1484] = {.lex_state = 67, .external_lex_state = 3},
  [1485] = {.lex_state = 67, .external_lex_state = 3},
  [1486] = {.lex_state = 67, .external_lex_state = 3},
  [1487] = {.lex_state = 67, .external_lex_state = 3},
  [1488] = {.lex_state = 67, .external_lex_state = 3},
  [1489] = {.lex_state = 67, .external_lex_state = 3},
  [1490] = {.lex_state = 67, .external_lex_state = 3},
  [1491] = {.lex_state = 67, .external_lex_state = 3},
  [1492] = {.lex_state = 67, .external_lex_state = 2},
  [1493] = {.lex_state = 67, .external_lex_state = 2},
  [1494] = {.lex_state = 67, .external_lex_state = 3},
  [1495] = {.lex_state = 67, .external_lex_state = 3},
  [1496] = {.lex_state = 67, .external_lex_state = 3},
  [1497] = {.lex_state = 68, .external_lex_state = 4},
  [1498] = {.lex_state = 68, .external_lex_state = 4},
  [1499] = {.lex_state = 67, .external_lex_state = 2},
  [1500] = {.lex_state = 67, .external_lex_state = 3},
  [1501] = {.lex_state = 67, .external_lex_state = 3},
  [1502] = {.lex_state = 67, .external_lex_state = 3},
  [1503] = {.lex_state = 67, .external_lex_state = 3},
  [1504] = {.lex_state = 67, .external_lex_state = 3},
  [1505] = {.lex_state = 67, .external_lex_state = 3},
  [1506] = {.lex_state = 67, .external_lex_state = 3},
  [1507] = {.lex_state = 67, .external_lex_state = 3},
  [1508] = {.lex_state = 67, .external_lex_state = 3},
  [1509] = {.lex_state = 67, .external_lex_state = 3},
  [1510] = {.lex_state = 67, .external_lex_state = 3},
  [1511] = {.lex_state = 67, .external_lex_state = 3},
  [1512] = {.lex_state = 67, .external_lex_state = 3},
  [1513] = {.lex_state = 67, .external_lex_state = 3},
  [1514] = {.lex_state = 67, .external_lex_state = 2},
  [1515] = {.lex_state = 67, .external_lex_state = 2},
  [1516] = {.lex_state = 67, .external_lex_state = 3},
  [1517] = {.lex_state = 67, .external_lex_state = 3},
  [1518] = {.lex_state = 67, .external_lex_state = 2},
  [1519] = {.lex_state = 67, .external_lex_state = 3},
  [1520] = {.lex_state = 67, .external_lex_state = 3},
  [1521] = {.lex_state = 67, .external_lex_state = 2},
  [1522] = {.lex_state = 67, .external_lex_state = 3},
  [1523] = {.lex_state = 67, .external_lex_state = 2},
  [1524] = {.lex_state = 67, .external_lex_state = 3},
  [1525] = {.lex_state = 67, .external_lex_state = 2},
  [1526] = {.lex_state = 67, .external_lex_state = 3},
  [1527] = {.lex_state = 67, .external_lex_state = 3},
  [1528] = {.lex_state = 67, .external_lex_state = 3},
  [1529] = {.lex_state = 67, .external_lex_state = 3},
  [1530] = {.lex_state = 67, .external_lex_state = 2},
  [1531] = {.lex_state = 67, .external_lex_state = 3},
  [1532] = {.lex_state = 67, .external_lex_state = 3},
  [1533] = {.lex_state = 67, .external_lex_state = 3},
  [1534] = {.lex_state = 67, .external_lex_state = 3},
  [1535] = {.lex_state = 67, .external_lex_state = 3},
  [1536] = {.lex_state = 67, .external_lex_state = 3},
  [1537] = {.lex_state = 67, .external_lex_state = 3},
  [1538] = {.lex_state = 67, .external_lex_state = 3},
  [1539] = {.lex_state = 67, .external_lex_state = 3},
  [1540] = {.lex_state = 67, .external_lex_state = 3},
  [1541] = {.lex_state = 67, .external_lex_state = 3},
  [1542] = {.lex_state = 67, .external_lex_state = 2},
  [1543] = {.lex_state = 68, .external_lex_state = 4},
  [1544] = {.lex_state = 67, .external_lex_state = 3},
  [1545] = {.lex_state = 67, .external_lex_state = 3},
  [1546] = {.lex_state = 67, .external_lex_state = 2},
  [1547] = {.lex_state = 67, .external_lex_state = 3},
  [1548] = {.lex_state = 67, .external_lex_state = 3},
  [1549] = {.lex_state = 67, .external_lex_state = 2},
  [1550] = {.lex_state = 67, .external_lex_state = 3},
  [1551] = {.lex_state = 67, .external_lex_state = 3},
  [1552] = {.lex_state = 67, .external_lex_state = 3},
  [1553] = {.lex_state = 67, .external_lex_state = 3},
  [1554] = {.lex_state = 67, .external_lex_state = 3},
  [1555] = {.lex_state = 67, .external_lex_state = 3},
  [1556] = {.lex_state = 67, .external_lex_state = 3},
  [1557] = {.lex_state = 67, .external_lex_state = 3},
  [1558] = {.lex_state = 67, .external_lex_state = 2},
  [1559] = {.lex_state = 67, .external_lex_state = 2},
  [1560] = {.lex_state = 68, .external_lex_state = 4},
  [1561] = {.lex_state = 67, .external_lex_state = 3},
  [1562] = {.lex_state = 67, .external_lex_state = 3},
  [1563] = {.lex_state = 67, .external_lex_state = 2},
  [1564] = {.lex_state = 67, .external_lex_state = 3},
  [1565] = {.lex_state = 67, .external_lex_state = 2},
  [1566] = {.lex_state = 67, .external_lex_state = 3},
  [1567] = {.lex_state = 67, .external_lex_state = 3},
  [1568] = {.lex_state = 67, .external_lex_state = 3},
  [1569] = {.lex_state = 67, .external_lex_state = 3},
  [1570] = {.lex_state = 67, .external_lex_state = 3},
  [1571] = {.lex_state = 67, .external_lex_state = 3},
  [1572] = {.lex_state = 67, .external_lex_state = 3},
  [1573] = {.lex_state = 67, .external_lex_state = 3},
  [1574] = {.lex_state = 67, .external_lex_state = 2},
  [1575] = {.lex_state = 67, .external_lex_state = 2},
  [1576] = {.lex_state = 67, .external_lex_state = 3},
  [1577] = {.lex_state = 67, .external_lex_state = 3},
  [1578] = {.lex_state = 67, .external_lex_state = 3},
  [1579] = {.lex_state = 67, .external_lex_state = 3},
  [1580] = {.lex_state = 67, .external_lex_state = 3},
  [1581] = {.lex_state = 67, .external_lex_state = 3},
  [1582] = {.lex_state = 67, .external_lex_state = 3},
  [1583] = {.lex_state = 67, .external_lex_state = 3},
  [1584] = {.lex_state = 67, .external_lex_state = 2},
  [1585] = {.lex_state = 67, .external_lex_state = 2},
  [1586] = {.lex_state = 67, .external_lex_state = 2},
  [1587] = {.lex_state = 68, .external_lex_state = 4},
  [1588] = {.lex_state = 68},
  [1589] = {.lex_state = 67, .external_lex_state = 2},
  [1590] = {.lex_state = 67, .external_lex_state = 2},
  [1591] = {.lex_state = 67, .external_lex_state = 3},
  [1592] = {.lex_state = 68},
  [1593] = {.lex_state = 67, .external_lex_state = 2},
  [1594] = {.lex_state = 68, .external_lex_state = 4},
  [1595] = {.lex_state = 67, .external_lex_state = 3},
  [1596] = {.lex_state = 68, .external_lex_state = 4},
  [1597] = {.lex_state = 68},
  [1598] = {.lex_state = 67, .external_lex_state = 2},
  [1599] = {.lex_state = 67, .external_lex_state = 3},
  [1600] = {.lex_state = 67, .external_lex_state = 3},
  [1601] = {.lex_state = 67, .external_lex_state = 3},
  [1602] = {.lex_state = 67, .external_lex_state = 3},
  [1603] = {.lex_state = 67, .external_lex_state = 3},
  [1604] = {.lex_state = 67, .external_lex_state = 3},
  [1605] = {.lex_state = 67, .external_lex_state = 2},
  [1606] = {.lex_state = 67, .external_lex_state = 2},
  [1607] = {.lex_state = 67, .external_lex_state = 2},
  [1608] = {.lex_state = 68},
  [1609] = {.lex_state = 67, .external_lex_state = 3},
  [1610] = {.lex_state = 67, .external_lex_state = 2},
  [1611] = {.lex_state = 67, .external_lex_state = 2},
  [1612] = {.lex_state = 67, .external_lex_state = 3},
  [1613] = {.lex_state = 67, .external_lex_state = 2},
  [1614] = {.lex_state = 67, .external_lex_state = 3},
  [1615] = {.lex_state = 67, .external_lex_state = 3},
  [1616] = {.lex_state = 67, .external_lex_state = 2},
  [1617] = {.lex_state = 67, .external_lex_state = 2},
  [1618] = {.lex_state = 67, .external_lex_state = 3},
  [1619] = {.lex_state = 67, .external_lex_state = 2},
  [1620] = {.lex_state = 68},
  [1621] = {.lex_state = 67, .external_lex_state = 2},
  [1622] = {.lex_state = 67, .external_lex_state = 3},
  [1623] = {.lex_state = 67, .external_lex_state = 2},
  [1624] = {.lex_state = 67, .external_lex_state = 3},
  [1625] = {.lex_state = 67, .external_lex_state = 2},
  [1626] = {.lex_state = 68},
  [1627] = {.lex_state = 67, .external_lex_state = 2},
  [1628] = {.lex_state = 67, .external_lex_state = 3},
  [1629] = {.lex_state = 67, .external_lex_state = 2},
  [1630] = {.lex_state = 67, .external_lex_state = 2},
  [1631] = {.lex_state = 67, .external_lex_state = 2},
  [1632] = {.lex_state = 67, .external_lex_state = 2},
  [1633] = {.lex_state = 67, .external_lex_state = 3},
  [1634] = {.lex_state = 67, .external_lex_state = 3},
  [1635] = {.lex_state = 67, .external_lex_state = 3},
  [1636] = {.lex_state = 67, .external_lex_state = 2},
  [1637] = {.lex_state = 67, .external_lex_state = 2},
  [1638] = {.lex_state = 67, .external_lex_state = 2},
  [1639] = {.lex_state = 67, .external_lex_state = 2},
  [1640] = {.lex_state = 68},
  [1641] = {.lex_state = 67, .external_lex_state = 3},
  [1642] = {.lex_state = 67, .external_lex_state = 2},
  [1643] = {.lex_state = 67, .external_lex_state = 3},
  [1644] = {.lex_state = 67, .external_lex_state = 2},
  [1645] = {.lex_state = 68},
  [1646] = {.lex_state = 67, .external_lex_state = 2},
  [1647] = {.lex_state = 67, .external_lex_state = 3},
  [1648] = {.lex_state = 67, .external_lex_state = 2},
  [1649] = {.lex_state = 67, .external_lex_state = 2},
  [1650] = {.lex_state = 67, .external_lex_state = 2},
  [1651] = {.lex_state = 68},
  [1652] = {.lex_state = 67, .external_lex_state = 2},
  [1653] = {.lex_state = 67, .external_lex_state = 2},
  [1654] = {.lex_state = 68},
  [1655] = {.lex_state = 67, .external_lex_state = 3},
  [1656] = {.lex_state = 67, .external_lex_state = 2},
  [1657] = {.lex_state = 67, .external_lex_state = 2},
  [1658] = {.lex_state = 67, .external_lex_state = 3},
  [1659] = {.lex_state = 67, .external_lex_state = 2},
  [1660] = {.lex_state = 67, .external_lex_state = 2},
  [1661] = {.lex_state = 67, .external_lex_state = 2},
  [1662] = {.lex_state = 67, .external_lex_state = 2},
  [1663] = {.lex_state = 67, .external_lex_state = 2},
  [1664] = {.lex_state = 67, .external_lex_state = 3},
  [1665] = {.lex_state = 67, .external_lex_state = 2},
  [1666] = {.lex_state = 67, .external_lex_state = 3},
  [1667] = {.lex_state = 67, .external_lex_state = 2},
  [1668] = {.lex_state = 67, .external_lex_state = 2},
  [1669] = {.lex_state = 67, .external_lex_state = 2},
  [1670] = {.lex_state = 67, .external_lex_state = 2},
  [1671] = {.lex_state = 67, .external_lex_state = 3},
  [1672] = {.lex_state = 67, .external_lex_state = 2},
  [1673] = {.lex_state = 67, .external_lex_state = 3},
  [1674] = {.lex_state = 67, .external_lex_state = 3},
  [1675] = {.lex_state = 67, .external_lex_state = 2},
  [1676] = {.lex_state = 67, .external_lex_state = 2},
  [1677] = {.lex_state = 4, .external_lex_state = 2},
  [1678] = {.lex_state = 68},
  [1679] = {.lex_state = 67, .external_lex_state = 3},
  [1680] = {.lex_state = 67, .external_lex_state = 3},
  [1681] = {.lex_state = 67, .external_lex_state = 2},
  [1682] = {.lex_state = 67, .external_lex_state = 2},
  [1683] = {.lex_state = 67, .external_lex_state = 2},
  [1684] = {.lex_state = 67, .external_lex_state = 3},
  [1685] = {.lex_state = 67, .external_lex_state = 2},
  [1686] = {.lex_state = 67, .external_lex_state = 2},
  [1687] = {.lex_state = 67, .external_lex_state = 2},
  [1688] = {.lex_state = 67, .external_lex_state = 2},
  [1689] = {.lex_state = 67, .external_lex_state = 3},
  [1690] = {.lex_state = 67, .external_lex_state = 2},
  [1691] = {.lex_state = 67, .external_lex_state = 2},
  [1692] = {.lex_state = 67, .external_lex_state = 2},
  [1693] = {.lex_state = 67, .external_lex_state = 3},
  [1694] = {.lex_state = 67, .external_lex_state = 3},
  [1695] = {.lex_state = 67, .external_lex_state = 3},
  [1696] = {.lex_state = 67, .external_lex_state = 3},
  [1697] = {.lex_state = 67, .external_lex_state = 2},
  [1698] = {.lex_state = 67, .external_lex_state = 2},
  [1699] = {.lex_state = 67, .external_lex_state = 2},
  [1700] = {.lex_state = 68},
  [1701] = {.lex_state = 67, .external_lex_state = 2},
  [1702] = {.lex_state = 67, .external_lex_state = 2},
  [1703] = {.lex_state = 67, .external_lex_state = 2},
  [1704] = {.lex_state = 67, .external_lex_state = 3},
  [1705] = {.lex_state = 68},
  [1706] = {.lex_state = 68, .external_lex_state = 4},
  [1707] = {.lex_state = 67, .external_lex_state = 2},
  [1708] = {.lex_state = 67, .external_lex_state = 3},
  [1709] = {.lex_state = 67, .external_lex_state = 3},
  [1710] = {.lex_state = 68, .external_lex_state = 4},
  [1711] = {.lex_state = 67, .external_lex_state = 2},
  [1712] = {.lex_state = 67, .external_lex_state = 2},
  [1713] = {.lex_state = 67, .external_lex_state = 3},
  [1714] = {.lex_state = 67, .external_lex_state = 3},
  [1715] = {.lex_state = 68, .external_lex_state = 4},
  [1716] = {.lex_state = 68, .external_lex_state = 4},
  [1717] = {.lex_state = 67, .external_lex_state = 2},
  [1718] = {.lex_state = 68},
  [1719] = {.lex_state = 67, .external_lex_state = 2},
  [1720] = {.lex_state = 67, .external_lex_state = 3},
  [1721] = {.lex_state = 67, .external_lex_state = 3},
  [1722] = {.lex_state = 67, .external_lex_state = 3},
  [1723] = {.lex_state = 67, .external_lex_state = 2},
  [1724] = {.lex_state = 68, .external_lex_state = 4},
  [1725] = {.lex_state = 68, .external_lex_state = 4},
  [1726] = {.lex_state = 67, .external_lex_state = 3},
  [1727] = {.lex_state = 68},
  [1728] = {.lex_state = 67, .external_lex_state = 3},
  [1729] = {.lex_state = 67, .external_lex_state = 2},
  [1730] = {.lex_state = 67, .external_lex_state = 2},
  [1731] = {.lex_state = 68, .external_lex_state = 4},
  [1732] = {.lex_state = 67, .external_lex_state = 2},
  [1733] = {.lex_state = 67, .external_lex_state = 3},
  [1734] = {.lex_state = 68, .external_lex_state = 4},
  [1735] = {.lex_state = 67, .external_lex_state = 2},
  [1736] = {.lex_state = 67, .external_lex_state = 3},
  [1737] = {.lex_state = 67, .external_lex_state = 2},
  [1738] = {.lex_state = 67, .external_lex_state = 3},
  [1739] = {.lex_state = 67, .external_lex_state = 3},
  [1740] = {.lex_state = 67, .external_lex_state = 2},
  [1741] = {.lex_state = 67, .external_lex_state = 2},
  [1742] = {.lex_state = 67, .external_lex_state = 3},
  [1743] = {.lex_state = 68, .external_lex_state = 4},
  [1744] = {.lex_state = 68},
  [1745] = {.lex_state = 68},
  [1746] = {.lex_state = 67, .external_lex_state = 3},
  [1747] = {.lex_state = 67, .external_lex_state = 2},
  [1748] = {.lex_state = 68},
  [1749] = {.lex_state = 67, .external_lex_state = 3},
  [1750] = {.lex_state = 68, .external_lex_state = 4},
  [1751] = {.lex_state = 68, .external_lex_state = 4},
  [1752] = {.lex_state = 68, .external_lex_state = 4},
  [1753] = {.lex_state = 68},
  [1754] = {.lex_state = 68},
  [1755] = {.lex_state = 67, .external_lex_state = 2},
  [1756] = {.lex_state = 68, .external_lex_state = 4},
  [1757] = {.lex_state = 68, .external_lex_state = 4},
  [1758] = {.lex_state = 68, .external_lex_state = 4},
  [1759] = {.lex_state = 68, .external_lex_state = 4},
  [1760] = {.lex_state = 68},
  [1761] = {.lex_state = 67, .external_lex_state = 2},
  [1762] = {.lex_state = 68},
  [1763] = {.lex_state = 68, .external_lex_state = 4},
  [1764] = {.lex_state = 68, .external_lex_state = 4},
  [1765] = {.lex_state = 67, .external_lex_state = 3},
  [1766] = {.lex_state = 68, .external_lex_state = 4},
  [1767] = {.lex_state = 68, .external_lex_state = 4},
  [1768] = {.lex_state = 68, .external_lex_state = 4},
  [1769] = {.lex_state = 68, .external_lex_state = 4},
  [1770] = {.lex_state = 68, .external_lex_state = 4},
  [1771] = {.lex_state = 68, .external_lex_state = 4},
  [1772] = {.lex_state = 68, .external_lex_state = 4},
  [1773] = {.lex_state = 68, .external_lex_state = 4},
  [1774] = {.lex_state = 68, .external_lex_state = 4},
  [1775] = {.lex_state = 68},
  [1776] = {.lex_state = 67, .external_lex_state = 2},
  [1777] = {.lex_state = 68, .external_lex_state = 4},
  [1778] = {.lex_state = 68, .external_lex_state = 4},
  [1779] = {.lex_state = 68, .external_lex_state = 4},
  [1780] = {.lex_state = 67, .external_lex_state = 2},
  [1781] = {.lex_state = 68},
  [1782] = {.lex_state = 68, .external_lex_state = 4},
  [1783] = {.lex_state = 68},
  [1784] = {.lex_state = 68, .external_lex_state = 4},
  [1785] = {.lex_state = 68},
  [1786] = {.lex_state = 68, .external_lex_state = 4},
  [1787] = {.lex_state = 68, .external_lex_state = 4},
  [1788] = {.lex_state = 68, .external_lex_state = 4},
  [1789] = {.lex_state = 68, .external_lex_state = 4},
  [1790] = {.lex_state = 67, .external_lex_state = 2},
  [1791] = {.lex_state = 67, .external_lex_state = 2},
  [1792] = {.lex_state = 67, .external_lex_state = 2},
  [1793] = {.lex_state = 68},
  [1794] = {.lex_state = 68, .external_lex_state = 4},
  [1795] = {.lex_state = 68, .external_lex_state = 4},
  [1796] = {.lex_state = 67, .external_lex_state = 2},
  [1797] = {.lex_state = 67, .external_lex_state = 2},
  [1798] = {.lex_state = 68},
  [1799] = {.lex_state = 67, .external_lex_state = 2},
  [1800] = {.lex_state = 67, .external_lex_state = 2},
  [1801] = {.lex_state = 67, .external_lex_state = 2},
  [1802] = {.lex_state = 68, .external_lex_state = 4},
  [1803] = {.lex_state = 67, .external_lex_state = 2},
  [1804] = {.lex_state = 67, .external_lex_state = 3},
  [1805] = {.lex_state = 67, .external_lex_state = 2},
  [1806] = {.lex_state = 68},
  [1807] = {.lex_state = 68, .external_lex_state = 4},
  [1808] = {.lex_state = 68, .external_lex_state = 4},
  [1809] = {.lex_state = 68, .external_lex_state = 4},
  [1810] = {.lex_state = 67, .external_lex_state = 3},
  [1811] = {.lex_state = 68},
  [1812] = {.lex_state = 68, .external_lex_state = 4},
  [1813] = {.lex_state = 68},
  [1814] = {.lex_state = 68},
  [1815] = {.lex_state = 68, .external_lex_state = 4},
  [1816] = {.lex_state = 68, .external_lex_state = 4},
  [1817] = {.lex_state = 67, .external_lex_state = 2},
  [1818] = {.lex_state = 68},
  [1819] = {.lex_state = 68},
  [1820] = {.lex_state = 68, .external_lex_state = 4},
  [1821] = {.lex_state = 68, .external_lex_state = 4},
  [1822] = {.lex_state = 68, .external_lex_state = 4},
  [1823] = {.lex_state = 67, .external_lex_state = 2},
  [1824] = {.lex_state = 68, .external_lex_state = 4},
  [1825] = {.lex_state = 67, .external_lex_state = 2},
  [1826] = {.lex_state = 67, .external_lex_state = 2},
  [1827] = {.lex_state = 68},
  [1828] = {.lex_state = 68},
  [1829] = {.lex_state = 67, .external_lex_state = 2},
  [1830] = {.lex_state = 68},
  [1831] = {.lex_state = 68},
  [1832] = {.lex_state = 68, .external_lex_state = 4},
  [1833] = {.lex_state = 68, .external_lex_state = 4},
  [1834] = {.lex_state = 68, .external_lex_state = 4},
  [1835] = {.lex_state = 68, .external_lex_state = 4},
  [1836] = {.lex_state = 68, .external_lex_state = 4},
  [1837] = {.lex_state = 68, .external_lex_state = 4},
  [1838] = {.lex_state = 68, .external_lex_state = 4},
  [1839] = {.lex_state = 68},
  [1840] = {.lex_state = 68, .external_lex_state = 4},
  [1841] = {.lex_state = 68, .external_lex_state = 4},
  [1842] = {.lex_state = 68, .external_lex_state = 4},
  [1843] = {.lex_state = 68, .external_lex_state = 4},
  [1844] = {.lex_state = 68, .external_lex_state = 4},
  [1845] = {.lex_state = 68},
  [1846] = {.lex_state = 68, .external_lex_state = 4},
  [1847] = {.lex_state = 68},
  [1848] = {.lex_state = 68, .external_lex_state = 4},
  [1849] = {.lex_state = 67, .external_lex_state = 2},
  [1850] = {.lex_state = 68},
  [1851] = {.lex_state = 10},
  [1852] = {.lex_state = 68, .external_lex_state = 4},
  [1853] = {.lex_state = 68, .external_lex_state = 4},
  [1854] = {.lex_state = 68, .external_lex_state = 4},
  [1855] = {.lex_state = 68},
  [1856] = {.lex_state = 68, .external_lex_state = 4},
  [1857] = {.lex_state = 68, .external_lex_state = 4},
  [1858] = {.lex_state = 68},
  [1859] = {.lex_state = 10},
  [1860] = {.lex_state = 68, .external_lex_state = 4},
  [1861] = {.lex_state = 68},
  [1862] = {.lex_state = 68, .external_lex_state = 4},
  [1863] = {.lex_state = 68, .external_lex_state = 4},
  [1864] = {.lex_state = 68, .external_lex_state = 4},
  [1865] = {.lex_state = 68, .external_lex_state = 4},
  [1866] = {.lex_state = 68, .external_lex_state = 4},
  [1867] = {.lex_state = 68},
  [1868] = {.lex_state = 68, .external_lex_state = 4},
  [1869] = {.lex_state = 68, .external_lex_state = 4},
  [1870] = {.lex_state = 68},
  [1871] = {.lex_state = 68},
  [1872] = {.lex_state = 68},
  [1873] = {.lex_state = 68},
  [1874] = {.lex_state = 68},
  [1875] = {.lex_state = 68},
  [1876] = {.lex_state = 68},
  [1877] = {.lex_state = 68},
  [1878] = {.lex_state = 68},
  [1879] = {.lex_state = 68},
  [1880] = {.lex_state = 68, .external_lex_state = 4},
  [1881] = {.lex_state = 68},
  [1882] = {.lex_state = 68},
  [1883] = {.lex_state = 68},
  [1884] = {.lex_state = 68},
  [1885] = {.lex_state = 68},
  [1886] = {.lex_state = 68},
  [1887] = {.lex_state = 68},
  [1888] = {.lex_state = 68},
  [1889] = {.lex_state = 68},
  [1890] = {.lex_state = 68},
  [1891] = {.lex_state = 68},
  [1892] = {.lex_state = 68},
  [1893] = {.lex_state = 68},
  [1894] = {.lex_state = 68},
  [1895] = {.lex_state = 68},
  [1896] = {.lex_state = 68},
  [1897] = {.lex_state = 10},
  [1898] = {.lex_state = 68},
  [1899] = {.lex_state = 10},
  [1900] = {.lex_state = 68},
  [1901] = {.lex_state = 68},
  [1902] = {.lex_state = 68},
  [1903] = {.lex_state = 68},
  [1904] = {.lex_state = 68},
  [1905] = {.lex_state = 68},
  [1906] = {.lex_state = 68},
  [1907] = {.lex_state = 68},
  [1908] = {.lex_state = 68},
  [1909] = {.lex_state = 8, .external_lex_state = 4},
  [1910] = {.lex_state = 68},
  [1911] = {.lex_state = 68},
  [1912] = {.lex_state = 68},
  [1913] = {.lex_state = 68},
  [1914] = {.lex_state = 8, .external_lex_state = 4},
  [1915] = {.lex_state = 8, .external_lex_state = 4},
  [1916] = {.lex_state = 8, .external_lex_state = 4},
  [1917] = {.lex_state = 8, .external_lex_state = 4},
  [1918] = {.lex_state = 68},
  [1919] = {.lex_state = 68},
  [1920] = {.lex_state = 68},
  [1921] = {.lex_state = 68},
  [1922] = {.lex_state = 8, .external_lex_state = 4},
  [1923] = {.lex_state = 8, .external_lex_state = 4},
  [1924] = {.lex_state = 8, .external_lex_state = 4},
  [1925] = {.lex_state = 8, .external_lex_state = 4},
  [1926] = {.lex_state = 8, .external_lex_state = 4},
  [1927] = {.lex_state = 8, .external_lex_state = 4},
  [1928] = {.lex_state = 8, .external_lex_state = 4},
  [1929] = {.lex_state = 8, .external_lex_state = 4},
  [1930] = {.lex_state = 8, .external_lex_state = 4},
  [1931] = {.lex_state = 8, .external_lex_state = 4},
  [1932] = {.lex_state = 8, .external_lex_state = 4},
  [1933] = {.lex_state = 8, .external_lex_state = 4},
  [1934] = {.lex_state = 68},
  [1935] = {.lex_state = 8, .external_lex_state = 4},
  [1936] = {.lex_state = 8, .external_lex_state = 4},
  [1937] = {.lex_state = 68},
  [1938] = {.lex_state = 8, .external_lex_state = 4},
  [1939] = {.lex_state = 8, .external_lex_state = 4},
  [1940] = {.lex_state = 8, .external_lex_state = 4},
  [1941] = {.lex_state = 8, .external_lex_state = 4},
  [1942] = {.lex_state = 8, .external_lex_state = 4},
  [1943] = {.lex_state = 8, .external_lex_state = 4},
  [1944] = {.lex_state = 68},
  [1945] = {.lex_state = 8, .external_lex_state = 4},
  [1946] = {.lex_state = 8, .external_lex_state = 4},
  [1947] = {.lex_state = 68},
  [1948] = {.lex_state = 68},
  [1949] = {.lex_state = 68},
  [1950] = {.lex_state = 68},
  [1951] = {.lex_state = 68},
  [1952] = {.lex_state = 68},
  [1953] = {.lex_state = 68},
  [1954] = {.lex_state = 68},
  [1955] = {.lex_state = 68},
  [1956] = {.lex_state = 68},
  [1957] = {.lex_state = 68},
  [1958] = {.lex_state = 68},
  [1959] = {.lex_state = 68},
  [1960] = {.lex_state = 68},
  [1961] = {.lex_state = 68},
  [1962] = {.lex_state = 68},
  [1963] = {.lex_state = 68},
  [1964] = {.lex_state = 68},
  [1965] = {.lex_state = 68},
  [1966] = {.lex_state = 68},
  [1967] = {.lex_state = 68},
  [1968] = {.lex_state = 68},
  [1969] = {.lex_state = 68},
  [1970] = {.lex_state = 68},
  [1971] = {.lex_state = 68},
  [1972] = {.lex_state = 68},
  [1973] = {.lex_state = 68},
  [1974] = {.lex_state = 68},
  [1975] = {.lex_state = 68},
  [1976] = {.lex_state = 68},
  [1977] = {.lex_state = 68},
  [1978] = {.lex_state = 8},
  [1979] = {.lex_state = 68},
  [1980] = {.lex_state = 68},
  [1981] = {.lex_state = 68},
  [1982] = {.lex_state = 68},
  [1983] = {.lex_state = 68},
  [1984] = {.lex_state = 68},
  [1985] = {.lex_state = 68},
  [1986] = {.lex_state = 68},
  [1987] = {.lex_state = 68},
  [1988] = {.lex_state = 68},
  [1989] = {.lex_state = 68},
  [1990] = {.lex_state = 68},
  [1991] = {.lex_state = 68},
  [1992] = {.lex_state = 68},
  [1993] = {.lex_state = 68},
  [1994] = {.lex_state = 68},
  [1995] = {.lex_state = 68},
  [1996] = {.lex_state = 68},
  [1997] = {.lex_state = 68},
  [1998] = {.lex_state = 68},
  [1999] = {.lex_state = 68},
  [2000] = {.lex_state = 68},
  [2001] = {.lex_state = 68},
  [2002] = {.lex_state = 68},
  [2003] = {.lex_state = 68},
  [2004] = {.lex_state = 68},
  [2005] = {.lex_state = 68},
  [2006] = {.lex_state = 68},
  [2007] = {.lex_state = 68},
  [2008] = {.lex_state = 68},
  [2009] = {.lex_state = 68},
  [2010] = {.lex_state = 68},
  [2011] = {.lex_state = 68},
  [2012] = {.lex_state = 68},
  [2013] = {.lex_state = 68},
  [2014] = {.lex_state = 68},
  [2015] = {.lex_state = 68},
  [2016] = {.lex_state = 68},
  [2017] = {.lex_state = 68},
  [2018] = {.lex_state = 68},
  [2019] = {.lex_state = 68},
  [2020] = {.lex_state = 68},
  [2021] = {.lex_state = 68},
  [2022] = {.lex_state = 68},
  [2023] = {.lex_state = 68},
  [2024] = {.lex_state = 68},
  [2025] = {.lex_state = 68},
  [2026] = {.lex_state = 68},
  [2027] = {.lex_state = 68},
  [2028] = {.lex_state = 68},
  [2029] = {.lex_state = 68},
  [2030] = {.lex_state = 68},
  [2031] = {.lex_state = 68},
  [2032] = {.lex_state = 68},
  [2033] = {.lex_state = 68},
  [2034] = {.lex_state = 68},
  [2035] = {.lex_state = 68},
  [2036] = {.lex_state = 68},
  [2037] = {.lex_state = 68},
  [2038] = {.lex_state = 68},
  [2039] = {.lex_state = 68},
  [2040] = {.lex_state = 68},
  [2041] = {.lex_state = 68},
  [2042] = {.lex_state = 68},
  [2043] = {.lex_state = 68},
  [2044] = {.lex_state = 68},
  [2045] = {.lex_state = 68},
  [2046] = {.lex_state = 10},
  [2047] = {.lex_state = 10},
  [2048] = {.lex_state = 10},
  [2049] = {.lex_state = 10},
  [2050] = {.lex_state = 10},
  [2051] = {.lex_state = 10},
  [2052] = {.lex_state = 68},
  [2053] = {.lex_state = 10},
  [2054] = {.lex_state = 10},
  [2055] = {.lex_state = 10},
  [2056] = {.lex_state = 10},
  [2057] = {.lex_state = 10},
  [2058] = {.lex_state = 10},
  [2059] = {.lex_state = 10},
  [2060] = {.lex_state = 10},
  [2061] = {.lex_state = 10},
  [2062] = {.lex_state = 10},
  [2063] = {.lex_state = 10},
  [2064] = {.lex_state = 10},
  [2065] = {.lex_state = 10},
  [2066] = {.lex_state = 10},
  [2067] = {.lex_state = 10},
  [2068] = {.lex_state = 10},
  [2069] = {.lex_state = 10},
  [2070] = {.lex_state = 10},
  [2071] = {.lex_state = 10},
  [2072] = {.lex_state = 10},
  [2073] = {.lex_state = 10},
  [2074] = {.lex_state = 10},
  [2075] = {.lex_state = 10},
  [2076] = {.lex_state = 10},
  [2077] = {.lex_state = 10},
  [2078] = {.lex_state = 10},
  [2079] = {.lex_state = 10},
  [2080] = {.lex_state = 10},
  [2081] = {.lex_state = 10},
  [2082] = {.lex_state = 10},
  [2083] = {.lex_state = 10},
  [2084] = {.lex_state = 68},
  [2085] = {.lex_state = 10},
  [2086] = {.lex_state = 10},
  [2087] = {.lex_state = 68},
  [2088] = {.lex_state = 10},
  [2089] = {.lex_state = 10},
  [2090] = {.lex_state = 68},
  [2091] = {.lex_state = 68, .external_lex_state = 4},
  [2092] = {.lex_state = 68, .external_lex_state = 4},
  [2093] = {.lex_state = 68},
  [2094] = {.lex_state = 68},
  [2095] = {.lex_state = 68},
  [2096] = {.lex_state = 10, .external_lex_state = 4},
  [2097] = {.lex_state = 68},
  [2098] = {.lex_state = 10, .external_lex_state = 4},
  [2099] = {.lex_state = 10, .external_lex_state = 4},
  [2100] = {.lex_state = 2},
  [2101] = {.lex_state = 68},
  [2102] = {.lex_state = 68},
  [2103] = {.lex_state = 68},
  [2104] = {.lex_state = 68},
  [2105] = {.lex_state = 68},
  [2106] = {.lex_state = 68},
  [2107] = {.lex_state = 68},
  [2108] = {.lex_state = 68},
  [2109] = {.lex_state = 68},
  [2110] = {.lex_state = 68, .external_lex_state = 4},
  [2111] = {.lex_state = 68},
  [2112] = {.lex_state = 68},
  [2113] = {.lex_state = 68},
  [2114] = {.lex_state = 68},
  [2115] = {.lex_state = 68},
  [2116] = {.lex_state = 68},
  [2117] = {.lex_state = 2},
  [2118] = {.lex_state = 68},
  [2119] = {.lex_state = 68},
  [2120] = {.lex_state = 68},
  [2121] = {.lex_state = 68},
  [2122] = {.lex_state = 2},
  [2123] = {.lex_state = 2},
  [2124] = {.lex_state = 68},
  [2125] = {.lex_state = 68},
  [2126] = {.lex_state = 68},
  [2127] = {.lex_state = 68},
  [2128] = {.lex_state = 2},
  [2129] = {.lex_state = 68},
  [2130] = {.lex_state = 2},
  [2131] = {.lex_state = 68},
  [2132] = {.lex_state = 68},
  [2133] = {.lex_state = 10, .external_lex_state = 4},
  [2134] = {.lex_state = 68},
  [2135] = {.lex_state = 10, .external_lex_state = 4},
  [2136] = {.lex_state = 10, .external_lex_state = 4},
  [2137] = {.lex_state = 68},
  [2138] = {.lex_state = 10, .external_lex_state = 4},
  [2139] = {.lex_state = 68},
  [2140] = {.lex_state = 10, .external_lex_state = 4},
  [2141] = {.lex_state = 10, .external_lex_state = 4},
  [2142] = {.lex_state = 68},
  [2143] = {.lex_state = 10, .external_lex_state = 4},
  [2144] = {.lex_state = 10, .external_lex_state = 4},
  [2145] = {.lex_state = 10, .external_lex_state = 4},
  [2146] = {.lex_state = 10, .external_lex_state = 4},
  [2147] = {.lex_state = 68},
  [2148] = {.lex_state = 10, .external_lex_state = 4},
  [2149] = {.lex_state = 10, .external_lex_state = 4},
  [2150] = {.lex_state = 10, .external_lex_state = 4},
  [2151] = {.lex_state = 68},
  [2152] = {.lex_state = 10, .external_lex_state = 4},
  [2153] = {.lex_state = 10, .external_lex_state = 4},
  [2154] = {.lex_state = 10, .external_lex_state = 4},
  [2155] = {.lex_state = 10, .external_lex_state = 4},
  [2156] = {.lex_state = 68},
  [2157] = {.lex_state = 10, .external_lex_state = 4},
  [2158] = {.lex_state = 10, .external_lex_state = 4},
  [2159] = {.lex_state = 10, .external_lex_state = 4},
  [2160] = {.lex_state = 68},
  [2161] = {.lex_state = 10, .external_lex_state = 4},
  [2162] = {.lex_state = 10, .external_lex_state = 4},
  [2163] = {.lex_state = 10, .external_lex_state = 4},
  [2164] = {.lex_state = 10, .external_lex_state = 4},
  [2165] = {.lex_state = 10, .external_lex_state = 4},
  [2166] = {.lex_state = 10, .external_lex_state = 4},
  [2167] = {.lex_state = 68},
  [2168] = {.lex_state = 10, .external_lex_state = 4},
  [2169] = {.lex_state = 10, .external_lex_state = 4},
  [2170] = {.lex_state = 68},
  [2171] = {.lex_state = 68},
  [2172] = {.lex_state = 68},
  [2173] = {.lex_state = 68, .external_lex_state = 4},
  [2174] = {.lex_state = 68},
  [2175] = {.lex_state = 68, .external_lex_state = 4},
  [2176] = {.lex_state = 68},
  [2177] = {.lex_state = 10, .external_lex_state = 4},
  [2178] = {.lex_state = 68, .external_lex_state = 4},
  [2179] = {.lex_state = 10, .external_lex_state = 4},
  [2180] = {.lex_state = 68},
  [2181] = {.lex_state = 10, .external_lex_state = 4},
  [2182] = {.lex_state = 68},
  [2183] = {.lex_state = 10, .external_lex_state = 4},
  [2184] = {.lex_state = 68, .external_lex_state = 4},
  [2185] = {.lex_state = 68},
  [2186] = {.lex_state = 68},
  [2187] = {.lex_state = 10, .external_lex_state = 4},
  [2188] = {.lex_state = 10, .external_lex_state = 4},
  [2189] = {.lex_state = 68},
  [2190] = {.lex_state = 68},
  [2191] = {.lex_state = 68},
  [2192] = {.lex_state = 68},
  [2193] = {.lex_state = 68, .external_lex_state = 4},
  [2194] = {.lex_state = 68},
  [2195] = {.lex_state = 68},
  [2196] = {.lex_state = 68},
  [2197] = {.lex_state = 68},
  [2198] = {.lex_state = 68},
  [2199] = {.lex_state = 68},
  [2200] = {.lex_state = 68},
  [2201] = {.lex_state = 68},
  [2202] = {.lex_state = 68},
  [2203] = {.lex_state = 68},
  [2204] = {.lex_state = 68},
  [2205] = {.lex_state = 68},
  [2206] = {.lex_state = 68},
  [2207] = {.lex_state = 68, .external_lex_state = 4},
  [2208] = {.lex_state = 68, .external_lex_state = 4},
  [2209] = {.lex_state = 68},
  [2210] = {.lex_state = 68},
  [2211] = {.lex_state = 68},
  [2212] = {.lex_state = 68},
  [2213] = {.lex_state = 68},
  [2214] = {.lex_state = 68},
  [2215] = {.lex_state = 68},
  [2216] = {.lex_state = 68},
  [2217] = {.lex_state = 68},
  [2218] = {.lex_state = 68, .external_lex_state = 4},
  [2219] = {.lex_state = 68},
  [2220] = {.lex_state = 68},
  [2221] = {.lex_state = 10, .external_lex_state = 4},
  [2222] = {.lex_state = 68, .external_lex_state = 4},
  [2223] = {.lex_state = 68, .external_lex_state = 4},
  [2224] = {.lex_state = 68, .external_lex_state = 4},
  [2225] = {.lex_state = 10, .external_lex_state = 4},
  [2226] = {.lex_state = 68},
  [2227] = {.lex_state = 68, .external_lex_state = 4},
  [2228] = {.lex_state = 10, .external_lex_state = 4},
  [2229] = {.lex_state = 68, .external_lex_state = 4},
  [2230] = {.lex_state = 68, .external_lex_state = 4},
  [2231] = {.lex_state = 10, .external_lex_state = 4},
  [2232] = {.lex_state = 68, .external_lex_state = 4},
  [2233] = {.lex_state = 10, .external_lex_state = 5},
  [2234] = {.lex_state = 68},
  [2235] = {.lex_state = 68, .external_lex_state = 4},
  [2236] = {.lex_state = 68, .external_lex_state = 4},
  [2237] = {.lex_state = 68, .external_lex_state = 4},
  [2238] = {.lex_state = 10, .external_lex_state = 5},
  [2239] = {.lex_state = 68, .external_lex_state = 4},
  [2240] = {.lex_state = 68, .external_lex_state = 4},
  [2241] = {.lex_state = 68, .external_lex_state = 4},
  [2242] = {.lex_state = 10, .external_lex_state = 4},
  [2243] = {.lex_state = 10, .external_lex_state = 5},
  [2244] = {.lex_state = 68, .external_lex_state = 5},
  [2245] = {.lex_state = 68, .external_lex_state = 4},
  [2246] = {.lex_state = 10, .external_lex_state = 4},
  [2247] = {.lex_state = 10, .external_lex_state = 4},
  [2248] = {.lex_state = 68, .external_lex_state = 4},
  [2249] = {.lex_state = 10, .external_lex_state = 5},
  [2250] = {.lex_state = 10, .external_lex_state = 5},
  [2251] = {.lex_state = 10, .external_lex_state = 5},
  [2252] = {.lex_state = 68, .external_lex_state = 4},
  [2253] = {.lex_state = 10, .external_lex_state = 5},
  [2254] = {.lex_state = 68, .external_lex_state = 5},
  [2255] = {.lex_state = 68, .external_lex_state = 4},
  [2256] = {.lex_state = 10, .external_lex_state = 5},
  [2257] = {.lex_state = 68, .external_lex_state = 4},
  [2258] = {.lex_state = 68, .external_lex_state = 4},
  [2259] = {.lex_state = 68, .external_lex_state = 4},
  [2260] = {.lex_state = 68, .external_lex_state = 4},
  [2261] = {.lex_state = 10, .external_lex_state = 5},
  [2262] = {.lex_state = 68, .external_lex_state = 4},
  [2263] = {.lex_state = 68, .external_lex_state = 4},
  [2264] = {.lex_state = 10, .external_lex_state = 5},
  [2265] = {.lex_state = 68},
  [2266] = {.lex_state = 68, .external_lex_state = 4},
  [2267] = {.lex_state = 68},
  [2268] = {.lex_state = 68, .external_lex_state = 4},
  [2269] = {.lex_state = 10, .external_lex_state = 5},
  [2270] = {.lex_state = 68, .external_lex_state = 4},
  [2271] = {.lex_state = 10, .external_lex_state = 5},
  [2272] = {.lex_state = 10, .external_lex_state = 5},
  [2273] = {.lex_state = 68, .external_lex_state = 4},
  [2274] = {.lex_state = 10, .external_lex_state = 5},
  [2275] = {.lex_state = 10, .external_lex_state = 5},
  [2276] = {.lex_state = 68, .external_lex_state = 4},
  [2277] = {.lex_state = 10, .external_lex_state = 5},
  [2278] = {.lex_state = 68, .external_lex_state = 4},
  [2279] = {.lex_state = 10, .external_lex_state = 5},
  [2280] = {.lex_state = 68, .external_lex_state = 4},
  [2281] = {.lex_state = 10, .external_lex_state = 5},
  [2282] = {.lex_state = 10, .external_lex_state = 5},
  [2283] = {.lex_state = 10, .external_lex_state = 5},
  [2284] = {.lex_state = 10, .external_lex_state = 5},
  [2285] = {.lex_state = 10, .external_lex_state = 5},
  [2286] = {.lex_state = 10, .external_lex_state = 5},
  [2287] = {.lex_state = 10, .external_lex_state = 5},
  [2288] = {.lex_state = 68, .external_lex_state = 4},
  [2289] = {.lex_state = 10, .external_lex_state = 5},
  [2290] = {.lex_state = 10, .external_lex_state = 5},
  [2291] = {.lex_state = 10, .external_lex_state = 5},
  [2292] = {.lex_state = 68, .external_lex_state = 4},
  [2293] = {.lex_state = 68, .external_lex_state = 4},
  [2294] = {.lex_state = 10, .external_lex_state = 5},
  [2295] = {.lex_state = 10, .external_lex_state = 5},
  [2296] = {.lex_state = 68, .external_lex_state = 4},
  [2297] = {.lex_state = 10, .external_lex_state = 5},
  [2298] = {.lex_state = 10, .external_lex_state = 5},
  [2299] = {.lex_state = 10, .external_lex_state = 5},
  [2300] = {.lex_state = 68, .external_lex_state = 4},
  [2301] = {.lex_state = 68, .external_lex_state = 4},
  [2302] = {.lex_state = 10, .external_lex_state = 5},
  [2303] = {.lex_state = 10, .external_lex_state = 5},
  [2304] = {.lex_state = 10, .external_lex_state = 5},
  [2305] = {.lex_state = 10, .external_lex_state = 5},
  [2306] = {.lex_state = 68, .external_lex_state = 4},
  [2307] = {.lex_state = 10, .external_lex_state = 5},
  [2308] = {.lex_state = 68, .external_lex_state = 4},
  [2309] = {.lex_state = 68, .external_lex_state = 4},
  [2310] = {.lex_state = 68, .external_lex_state = 5},
  [2311] = {.lex_state = 68, .external_lex_state = 4},
  [2312] = {.lex_state = 68, .external_lex_state = 4},
  [2313] = {.lex_state = 68, .external_lex_state = 4},
  [2314] = {.lex_state = 68, .external_lex_state = 4},
  [2315] = {.lex_state = 68, .external_lex_state = 4},
  [2316] = {.lex_state = 68, .external_lex_state = 4},
  [2317] = {.lex_state = 68, .external_lex_state = 4},
  [2318] = {.lex_state = 68, .external_lex_state = 5},
  [2319] = {.lex_state = 68, .external_lex_state = 4},
  [2320] = {.lex_state = 68, .external_lex_state = 4},
  [2321] = {.lex_state = 68, .external_lex_state = 4},
  [2322] = {.lex_state = 68, .external_lex_state = 4},
  [2323] = {.lex_state = 10, .external_lex_state = 5},
  [2324] = {.lex_state = 68, .external_lex_state = 4},
  [2325] = {.lex_state = 68, .external_lex_state = 4},
  [2326] = {.lex_state = 68, .external_lex_state = 4},
  [2327] = {.lex_state = 10, .external_lex_state = 5},
  [2328] = {.lex_state = 68, .external_lex_state = 4},
  [2329] = {.lex_state = 68, .external_lex_state = 4},
  [2330] = {.lex_state = 10, .external_lex_state = 5},
  [2331] = {.lex_state = 68, .external_lex_state = 4},
  [2332] = {.lex_state = 68, .external_lex_state = 4},
  [2333] = {.lex_state = 68, .external_lex_state = 4},
  [2334] = {.lex_state = 68, .external_lex_state = 4},
  [2335] = {.lex_state = 10, .external_lex_state = 5},
  [2336] = {.lex_state = 68, .external_lex_state = 4},
  [2337] = {.lex_state = 68, .external_lex_state = 4},
  [2338] = {.lex_state = 68},
  [2339] = {.lex_state = 68, .external_lex_state = 4},
  [2340] = {.lex_state = 68, .external_lex_state = 4},
  [2341] = {.lex_state = 68, .external_lex_state = 4},
  [2342] = {.lex_state = 68, .external_lex_state = 4},
  [2343] = {.lex_state = 68, .external_lex_state = 4},
  [2344] = {.lex_state = 68, .external_lex_state = 4},
  [2345] = {.lex_state = 68, .external_lex_state = 4},
  [2346] = {.lex_state = 10, .external_lex_state = 5},
  [2347] = {.lex_state = 68, .external_lex_state = 4},
  [2348] = {.lex_state = 68, .external_lex_state = 4},
  [2349] = {.lex_state = 68, .external_lex_state = 4},
  [2350] = {.lex_state = 68, .external_lex_state = 4},
  [2351] = {.lex_state = 68, .external_lex_state = 4},
  [2352] = {.lex_state = 68, .external_lex_state = 4},
  [2353] = {.lex_state = 68, .external_lex_state = 4},
  [2354] = {.lex_state = 68, .external_lex_state = 4},
  [2355] = {.lex_state = 68, .external_lex_state = 4},
  [2356] = {.lex_state = 68, .external_lex_state = 4},
  [2357] = {.lex_state = 68, .external_lex_state = 4},
  [2358] = {.lex_state = 68, .external_lex_state = 4},
  [2359] = {.lex_state = 68, .external_lex_state = 4},
  [2360] = {.lex_state = 10, .external_lex_state = 5},
  [2361] = {.lex_state = 68, .external_lex_state = 4},
  [2362] = {.lex_state = 10, .external_lex_state = 5},
  [2363] = {.lex_state = 68, .external_lex_state = 4},
  [2364] = {.lex_state = 68, .external_lex_state = 4},
  [2365] = {.lex_state = 68, .external_lex_state = 4},
  [2366] = {.lex_state = 68, .external_lex_state = 4},
  [2367] = {.lex_state = 68},
  [2368] = {.lex_state = 68, .external_lex_state = 4},
  [2369] = {.lex_state = 68},
  [2370] = {.lex_state = 68},
  [2371] = {.lex_state = 68, .external_lex_state = 4},
  [2372] = {.lex_state = 68, .external_lex_state = 4},
  [2373] = {.lex_state = 68, .external_lex_state = 5},
  [2374] = {.lex_state = 10},
  [2375] = {.lex_state = 68},
  [2376] = {.lex_state = 68},
  [2377] = {.lex_state = 68, .external_lex_state = 4},
  [2378] = {.lex_state = 68},
  [2379] = {.lex_state = 68},
  [2380] = {.lex_state = 68},
  [2381] = {.lex_state = 10},
  [2382] = {.lex_state = 68},
  [2383] = {.lex_state = 10},
  [2384] = {.lex_state = 68},
  [2385] = {.lex_state = 68, .external_lex_state = 4},
  [2386] = {.lex_state = 68, .external_lex_state = 4},
  [2387] = {.lex_state = 68},
  [2388] = {.lex_state = 68},
  [2389] = {.lex_state = 68},
  [2390] = {.lex_state = 68},
  [2391] = {.lex_state = 68, .external_lex_state = 5},
  [2392] = {.lex_state = 68, .external_lex_state = 5},
  [2393] = {.lex_state = 68},
  [2394] = {.lex_state = 68},
  [2395] = {.lex_state = 68, .external_lex_state = 5},
  [2396] = {.lex_state = 68, .external_lex_state = 5},
  [2397] = {.lex_state = 68, .external_lex_state = 5},
  [2398] = {.lex_state = 68},
  [2399] = {.lex_state = 7},
  [2400] = {.lex_state = 68, .external_lex_state = 5},
  [2401] = {.lex_state = 68},
  [2402] = {.lex_state = 68, .external_lex_state = 5},
  [2403] = {.lex_state = 68, .external_lex_state = 5},
  [2404] = {.lex_state = 68, .external_lex_state = 5},
  [2405] = {.lex_state = 68, .external_lex_state = 5},
  [2406] = {.lex_state = 68},
  [2407] = {.lex_state = 68},
  [2408] = {.lex_state = 68},
  [2409] = {.lex_state = 68, .external_lex_state = 5},
  [2410] = {.lex_state = 68, .external_lex_state = 5},
  [2411] = {.lex_state = 68, .external_lex_state = 5},
  [2412] = {.lex_state = 68},
  [2413] = {.lex_state = 68},
  [2414] = {.lex_state = 68, .external_lex_state = 5},
  [2415] = {.lex_state = 68, .external_lex_state = 5},
  [2416] = {.lex_state = 68, .external_lex_state = 5},
  [2417] = {.lex_state = 68, .external_lex_state = 4},
  [2418] = {.lex_state = 68, .external_lex_state = 5},
  [2419] = {.lex_state = 68, .external_lex_state = 5},
  [2420] = {.lex_state = 68, .external_lex_state = 5},
  [2421] = {.lex_state = 68},
  [2422] = {.lex_state = 68},
  [2423] = {.lex_state = 68, .external_lex_state = 5},
  [2424] = {.lex_state = 68},
  [2425] = {.lex_state = 68},
  [2426] = {.lex_state = 68, .external_lex_state = 5},
  [2427] = {.lex_state = 68, .external_lex_state = 5},
  [2428] = {.lex_state = 68},
  [2429] = {.lex_state = 68, .external_lex_state = 5},
  [2430] = {.lex_state = 68},
  [2431] = {.lex_state = 68, .external_lex_state = 5},
  [2432] = {.lex_state = 68, .external_lex_state = 5},
  [2433] = {.lex_state = 68, .external_lex_state = 5},
  [2434] = {.lex_state = 68, .external_lex_state = 5},
  [2435] = {.lex_state = 68, .external_lex_state = 5},
  [2436] = {.lex_state = 68},
  [2437] = {.lex_state = 68, .external_lex_state = 4},
  [2438] = {.lex_state = 68, .external_lex_state = 4},
  [2439] = {.lex_state = 68, .external_lex_state = 5},
  [2440] = {.lex_state = 68, .external_lex_state = 5},
  [2441] = {.lex_state = 68, .external_lex_state = 5},
  [2442] = {.lex_state = 68, .external_lex_state = 5},
  [2443] = {.lex_state = 68},
  [2444] = {.lex_state = 68, .external_lex_state = 4},
  [2445] = {.lex_state = 68, .external_lex_state = 5},
  [2446] = {.lex_state = 68},
  [2447] = {.lex_state = 68, .external_lex_state = 5},
  [2448] = {.lex_state = 68},
  [2449] = {.lex_state = 68},
  [2450] = {.lex_state = 68},
  [2451] = {.lex_state = 68},
  [2452] = {.lex_state = 7},
  [2453] = {.lex_state = 68},
  [2454] = {.lex_state = 68},
  [2455] = {.lex_state = 68},
  [2456] = {.lex_state = 68},
  [2457] = {.lex_state = 68, .external_lex_state = 5},
  [2458] = {.lex_state = 68},
  [2459] = {.lex_state = 68},
  [2460] = {.lex_state = 68, .external_lex_state = 4},
  [2461] = {.lex_state = 68},
  [2462] = {.lex_state = 68, .external_lex_state = 4},
  [2463] = {.lex_state = 68},
  [2464] = {.lex_state = 68, .external_lex_state = 5},
  [2465] = {.lex_state = 68, .external_lex_state = 5},
  [2466] = {.lex_state = 68},
  [2467] = {.lex_state = 68, .external_lex_state = 5},
  [2468] = {.lex_state = 68},
  [2469] = {.lex_state = 7},
  [2470] = {.lex_state = 68},
  [2471] = {.lex_state = 68, .external_lex_state = 5},
  [2472] = {.lex_state = 68},
  [2473] = {.lex_state = 68},
  [2474] = {.lex_state = 68, .external_lex_state = 5},
  [2475] = {.lex_state = 68, .external_lex_state = 5},
  [2476] = {.lex_state = 68},
  [2477] = {.lex_state = 68, .external_lex_state = 5},
  [2478] = {.lex_state = 68, .external_lex_state = 5},
  [2479] = {.lex_state = 68},
  [2480] = {.lex_state = 68},
  [2481] = {.lex_state = 68, .external_lex_state = 5},
  [2482] = {.lex_state = 68},
  [2483] = {.lex_state = 68, .external_lex_state = 5},
  [2484] = {.lex_state = 68},
  [2485] = {.lex_state = 68, .external_lex_state = 5},
  [2486] = {.lex_state = 68},
  [2487] = {.lex_state = 68, .external_lex_state = 5},
  [2488] = {.lex_state = 12, .external_lex_state = 6},
  [2489] = {.lex_state = 68, .external_lex_state = 4},
  [2490] = {.lex_state = 68, .external_lex_state = 4},
  [2491] = {.lex_state = 68, .external_lex_state = 4},
  [2492] = {.lex_state = 68, .external_lex_state = 4},
  [2493] = {.lex_state = 12, .external_lex_state = 6},
  [2494] = {.lex_state = 12, .external_lex_state = 6},
  [2495] = {.lex_state = 68},
  [2496] = {.lex_state = 12, .external_lex_state = 6},
  [2497] = {.lex_state = 12, .external_lex_state = 6},
  [2498] = {.lex_state = 12, .external_lex_state = 6},
  [2499] = {.lex_state = 12, .external_lex_state = 6},
  [2500] = {.lex_state = 68, .external_lex_state = 5},
  [2501] = {.lex_state = 10},
  [2502] = {.lex_state = 68},
  [2503] = {.lex_state = 68},
  [2504] = {.lex_state = 10},
  [2505] = {.lex_state = 12, .external_lex_state = 6},
  [2506] = {.lex_state = 68},
  [2507] = {.lex_state = 10},
  [2508] = {.lex_state = 68},
  [2509] = {.lex_state = 68},
  [2510] = {.lex_state = 68},
  [2511] = {.lex_state = 68},
  [2512] = {.lex_state = 68},
  [2513] = {.lex_state = 68},
  [2514] = {.lex_state = 68},
  [2515] = {.lex_state = 68},
  [2516] = {.lex_state = 7},
  [2517] = {.lex_state = 68, .external_lex_state = 4},
  [2518] = {.lex_state = 0, .external_lex_state = 4},
  [2519] = {.lex_state = 68},
  [2520] = {.lex_state = 68},
  [2521] = {.lex_state = 7},
  [2522] = {.lex_state = 68},
  [2523] = {.lex_state = 68},
  [2524] = {.lex_state = 68},
  [2525] = {.lex_state = 68},
  [2526] = {.lex_state = 68},
  [2527] = {.lex_state = 68, .external_lex_state = 4},
  [2528] = {.lex_state = 68},
  [2529] = {.lex_state = 68, .external_lex_state = 4},
  [2530] = {.lex_state = 68},
  [2531] = {.lex_state = 68},
  [2532] = {.lex_state = 68},
  [2533] = {.lex_state = 68},
  [2534] = {.lex_state = 68},
  [2535] = {.lex_state = 68},
  [2536] = {.lex_state = 68},
  [2537] = {.lex_state = 0, .external_lex_state = 4},
  [2538] = {.lex_state = 68},
  [2539] = {.lex_state = 68},
  [2540] = {.lex_state = 68},
  [2541] = {.lex_state = 68, .external_lex_state = 4},
  [2542] = {.lex_state = 68},
  [2543] = {.lex_state = 68},
  [2544] = {.lex_state = 0, .external_lex_state = 4},
  [2545] = {.lex_state = 68},
  [2546] = {.lex_state = 68},
  [2547] = {.lex_state = 68},
  [2548] = {.lex_state = 68},
  [2549] = {.lex_state = 68},
  [2550] = {.lex_state = 0, .external_lex_state = 4},
  [2551] = {.lex_state = 68},
  [2552] = {.lex_state = 68},
  [2553] = {.lex_state = 68, .external_lex_state = 4},
  [2554] = {.lex_state = 68},
  [2555] = {.lex_state = 68},
  [2556] = {.lex_state = 68, .external_lex_state = 4},
  [2557] = {.lex_state = 68, .external_lex_state = 4},
  [2558] = {.lex_state = 68, .external_lex_state = 4},
  [2559] = {.lex_state = 68},
  [2560] = {.lex_state = 68, .external_lex_state = 4},
  [2561] = {.lex_state = 68, .external_lex_state = 4},
  [2562] = {.lex_state = 68, .external_lex_state = 4},
  [2563] = {.lex_state = 68, .external_lex_state = 4},
  [2564] = {.lex_state = 68},
  [2565] = {.lex_state = 68, .external_lex_state = 4},
  [2566] = {.lex_state = 68, .external_lex_state = 4},
  [2567] = {.lex_state = 68, .external_lex_state = 4},
  [2568] = {.lex_state = 68, .external_lex_state = 4},
  [2569] = {.lex_state = 68, .external_lex_state = 4},
  [2570] = {.lex_state = 68, .external_lex_state = 4},
  [2571] = {.lex_state = 68},
  [2572] = {.lex_state = 68, .external_lex_state = 4},
  [2573] = {.lex_state = 68, .external_lex_state = 4},
  [2574] = {.lex_state = 68, .external_lex_state = 4},
  [2575] = {.lex_state = 68, .external_lex_state = 4},
  [2576] = {.lex_state = 0, .external_lex_state = 4},
  [2577] = {.lex_state = 68},
  [2578] = {.lex_state = 0, .external_lex_state = 4},
  [2579] = {.lex_state = 68},
  [2580] = {.lex_state = 68},
  [2581] = {.lex_state = 68},
  [2582] = {.lex_state = 68},
  [2583] = {.lex_state = 68, .external_lex_state = 4},
  [2584] = {.lex_state = 68, .external_lex_state = 4},
  [2585] = {.lex_state = 68, .external_lex_state = 4},
  [2586] = {.lex_state = 0, .external_lex_state = 4},
  [2587] = {.lex_state = 68, .external_lex_state = 4},
  [2588] = {.lex_state = 68},
  [2589] = {.lex_state = 68},
  [2590] = {.lex_state = 68},
  [2591] = {.lex_state = 68, .external_lex_state = 4},
  [2592] = {.lex_state = 68, .external_lex_state = 4},
  [2593] = {.lex_state = 68},
  [2594] = {.lex_state = 68, .external_lex_state = 4},
  [2595] = {.lex_state = 68},
  [2596] = {.lex_state = 68},
  [2597] = {.lex_state = 68},
  [2598] = {.lex_state = 68, .external_lex_state = 4},
  [2599] = {.lex_state = 68},
  [2600] = {.lex_state = 68, .external_lex_state = 4},
  [2601] = {.lex_state = 68, .external_lex_state = 4},
  [2602] = {.lex_state = 0, .external_lex_state = 4},
  [2603] = {.lex_state = 68, .external_lex_state = 4},
  [2604] = {.lex_state = 68},
  [2605] = {.lex_state = 68, .external_lex_state = 4},
  [2606] = {.lex_state = 68, .external_lex_state = 4},
  [2607] = {.lex_state = 7},
  [2608] = {.lex_state = 68},
  [2609] = {.lex_state = 0, .external_lex_state = 4},
  [2610] = {.lex_state = 68, .external_lex_state = 4},
  [2611] = {.lex_state = 68, .external_lex_state = 4},
  [2612] = {.lex_state = 68},
  [2613] = {.lex_state = 68},
  [2614] = {.lex_state = 68},
  [2615] = {.lex_state = 68, .external_lex_state = 4},
  [2616] = {.lex_state = 0, .external_lex_state = 4},
  [2617] = {.lex_state = 68},
  [2618] = {.lex_state = 68},
  [2619] = {.lex_state = 68},
  [2620] = {.lex_state = 68},
  [2621] = {.lex_state = 68},
  [2622] = {.lex_state = 68},
  [2623] = {.lex_state = 68},
  [2624] = {.lex_state = 0, .external_lex_state = 4},
  [2625] = {.lex_state = 0, .external_lex_state = 4},
  [2626] = {.lex_state = 68},
  [2627] = {.lex_state = 68, .external_lex_state = 4},
  [2628] = {.lex_state = 68, .external_lex_state = 4},
  [2629] = {.lex_state = 68},
  [2630] = {.lex_state = 68},
  [2631] = {.lex_state = 68},
  [2632] = {.lex_state = 68},
  [2633] = {.lex_state = 68},
  [2634] = {.lex_state = 68, .external_lex_state = 5},
  [2635] = {.lex_state = 68},
  [2636] = {.lex_state = 68, .external_lex_state = 4},
  [2637] = {.lex_state = 7},
  [2638] = {.lex_state = 68},
  [2639] = {.lex_state = 68},
  [2640] = {.lex_state = 68},
  [2641] = {.lex_state = 68},
  [2642] = {.lex_state = 68},
  [2643] = {.lex_state = 68},
  [2644] = {.lex_state = 68},
  [2645] = {.lex_state = 68, .external_lex_state = 4},
  [2646] = {.lex_state = 68, .external_lex_state = 4},
  [2647] = {.lex_state = 68},
  [2648] = {.lex_state = 68, .external_lex_state = 4},
  [2649] = {.lex_state = 68},
  [2650] = {.lex_state = 0, .external_lex_state = 4},
  [2651] = {.lex_state = 68},
  [2652] = {.lex_state = 68},
  [2653] = {.lex_state = 68},
  [2654] = {.lex_state = 68},
  [2655] = {.lex_state = 68},
  [2656] = {.lex_state = 68},
  [2657] = {.lex_state = 68},
  [2658] = {.lex_state = 68, .external_lex_state = 5},
  [2659] = {.lex_state = 68, .external_lex_state = 5},
  [2660] = {.lex_state = 68, .external_lex_state = 5},
  [2661] = {.lex_state = 68},
  [2662] = {.lex_state = 68},
  [2663] = {.lex_state = 68},
  [2664] = {.lex_state = 68},
  [2665] = {.lex_state = 68},
  [2666] = {.lex_state = 68, .external_lex_state = 5},
  [2667] = {.lex_state = 68},
  [2668] = {.lex_state = 68},
  [2669] = {.lex_state = 0, .external_lex_state = 4},
  [2670] = {.lex_state = 68, .external_lex_state = 5},
  [2671] = {.lex_state = 68, .external_lex_state = 5},
  [2672] = {.lex_state = 68},
  [2673] = {.lex_state = 68},
  [2674] = {.lex_state = 12},
  [2675] = {.lex_state = 12},
  [2676] = {.lex_state = 12},
  [2677] = {.lex_state = 68},
  [2678] = {.lex_state = 68},
  [2679] = {.lex_state = 0, .external_lex_state = 4},
  [2680] = {.lex_state = 68, .external_lex_state = 5},
  [2681] = {.lex_state = 68, .external_lex_state = 4},
  [2682] = {.lex_state = 68, .external_lex_state = 5},
  [2683] = {.lex_state = 68},
  [2684] = {.lex_state = 68, .external_lex_state = 5},
  [2685] = {.lex_state = 68, .external_lex_state = 5},
  [2686] = {.lex_state = 0, .external_lex_state = 4},
  [2687] = {.lex_state = 12},
  [2688] = {.lex_state = 12},
  [2689] = {.lex_state = 68},
  [2690] = {.lex_state = 68},
  [2691] = {.lex_state = 68},
  [2692] = {.lex_state = 0, .external_lex_state = 4},
  [2693] = {.lex_state = 68},
  [2694] = {.lex_state = 68},
  [2695] = {.lex_state = 68},
  [2696] = {.lex_state = 68},
  [2697] = {.lex_state = 68, .external_lex_state = 5},
  [2698] = {.lex_state = 68, .external_lex_state = 5},
  [2699] = {.lex_state = 68, .external_lex_state = 5},
  [2700] = {.lex_state = 68, .external_lex_state = 5},
  [2701] = {.lex_state = 68},
  [2702] = {.lex_state = 68, .external_lex_state = 5},
  [2703] = {.lex_state = 68, .external_lex_state = 5},
  [2704] = {.lex_state = 68},
  [2705] = {.lex_state = 0, .external_lex_state = 4},
  [2706] = {.lex_state = 0, .external_lex_state = 4},
  [2707] = {.lex_state = 0, .external_lex_state = 4},
  [2708] = {.lex_state = 12},
  [2709] = {.lex_state = 68, .external_lex_state = 5},
  [2710] = {.lex_state = 12, .external_lex_state = 6},
  [2711] = {.lex_state = 68},
  [2712] = {.lex_state = 68},
  [2713] = {.lex_state = 68},
  [2714] = {.lex_state = 68, .external_lex_state = 5},
  [2715] = {.lex_state = 12},
  [2716] = {.lex_state = 12, .external_lex_state = 6},
  [2717] = {.lex_state = 12},
  [2718] = {.lex_state = 0, .external_lex_state = 4},
  [2719] = {.lex_state = 68, .external_lex_state = 5},
  [2720] = {.lex_state = 68},
  [2721] = {.lex_state = 68},
  [2722] = {.lex_state = 0, .external_lex_state = 4},
  [2723] = {.lex_state = 0, .external_lex_state = 4},
  [2724] = {.lex_state = 12, .external_lex_state = 6},
  [2725] = {.lex_state = 68},
  [2726] = {.lex_state = 68},
  [2727] = {.lex_state = 68},
  [2728] = {.lex_state = 0, .external_lex_state = 4},
  [2729] = {.lex_state = 68},
  [2730] = {.lex_state = 68},
  [2731] = {.lex_state = 68, .external_lex_state = 5},
  [2732] = {.lex_state = 68, .external_lex_state = 5},
  [2733] = {.lex_state = 0, .external_lex_state = 4},
  [2734] = {.lex_state = 68},
  [2735] = {.lex_state = 68},
  [2736] = {.lex_state = 7},
  [2737] = {.lex_state = 0, .external_lex_state = 4},
  [2738] = {.lex_state = 0},
  [2739] = {.lex_state = 68},
  [2740] = {.lex_state = 0, .external_lex_state = 4},
  [2741] = {.lex_state = 68},
  [2742] = {.lex_state = 68, .external_lex_state = 5},
  [2743] = {.lex_state = 0, .external_lex_state = 4},
  [2744] = {.lex_state = 68},
  [2745] = {.lex_state = 68},
  [2746] = {.lex_state = 68, .external_lex_state = 5},
  [2747] = {.lex_state = 68},
  [2748] = {.lex_state = 68},
  [2749] = {.lex_state = 68},
  [2750] = {.lex_state = 68},
  [2751] = {.lex_state = 68, .external_lex_state = 4},
  [2752] = {.lex_state = 68},
  [2753] = {.lex_state = 0, .external_lex_state = 4},
  [2754] = {.lex_state = 0, .external_lex_state = 4},
  [2755] = {.lex_state = 68},
  [2756] = {.lex_state = 68, .external_lex_state = 5},
  [2757] = {.lex_state = 68},
  [2758] = {.lex_state = 68},
  [2759] = {.lex_state = 68},
  [2760] = {.lex_state = 68},
  [2761] = {.lex_state = 68, .external_lex_state = 4},
  [2762] = {.lex_state = 68},
  [2763] = {.lex_state = 68, .external_lex_state = 5},
  [2764] = {.lex_state = 0, .external_lex_state = 4},
  [2765] = {.lex_state = 68, .external_lex_state = 5},
  [2766] = {.lex_state = 12, .external_lex_state = 6},
  [2767] = {.lex_state = 68},
  [2768] = {.lex_state = 68},
  [2769] = {.lex_state = 0, .external_lex_state = 4},
  [2770] = {.lex_state = 0, .external_lex_state = 4},
  [2771] = {.lex_state = 12},
  [2772] = {.lex_state = 68},
  [2773] = {.lex_state = 12, .external_lex_state = 6},
  [2774] = {.lex_state = 0, .external_lex_state = 4},
  [2775] = {.lex_state = 68},
  [2776] = {.lex_state = 68},
  [2777] = {.lex_state = 68},
  [2778] = {.lex_state = 68},
  [2779] = {.lex_state = 68, .external_lex_state = 5},
  [2780] = {.lex_state = 68, .external_lex_state = 5},
  [2781] = {.lex_state = 12, .external_lex_state = 6},
  [2782] = {.lex_state = 68},
  [2783] = {.lex_state = 68, .external_lex_state = 4},
  [2784] = {.lex_state = 0},
  [2785] = {.lex_state = 68, .external_lex_state = 5},
  [2786] = {.lex_state = 68, .external_lex_state = 5},
  [2787] = {.lex_state = 0, .external_lex_state = 4},
  [2788] = {.lex_state = 68},
  [2789] = {.lex_state = 68},
  [2790] = {.lex_state = 68},
  [2791] = {.lex_state = 0, .external_lex_state = 4},
  [2792] = {.lex_state = 68},
  [2793] = {.lex_state = 68},
  [2794] = {.lex_state = 0, .external_lex_state = 4},
  [2795] = {.lex_state = 68},
  [2796] = {.lex_state = 0, .external_lex_state = 4},
  [2797] = {.lex_state = 68},
  [2798] = {.lex_state = 0, .external_lex_state = 4},
  [2799] = {.lex_state = 0, .external_lex_state = 4},
  [2800] = {.lex_state = 0, .external_lex_state = 4},
  [2801] = {.lex_state = 0, .external_lex_state = 4},
  [2802] = {.lex_state = 68, .external_lex_state = 5},
  [2803] = {.lex_state = 68},
  [2804] = {.lex_state = 68},
  [2805] = {.lex_state = 0, .external_lex_state = 4},
  [2806] = {.lex_state = 68},
  [2807] = {.lex_state = 12, .external_lex_state = 6},
  [2808] = {.lex_state = 68},
  [2809] = {.lex_state = 0},
  [2810] = {.lex_state = 0, .external_lex_state = 4},
  [2811] = {.lex_state = 68},
  [2812] = {.lex_state = 68},
  [2813] = {.lex_state = 68},
  [2814] = {.lex_state = 0, .external_lex_state = 4},
  [2815] = {.lex_state = 68},
  [2816] = {.lex_state = 68},
  [2817] = {.lex_state = 0, .external_lex_state = 4},
  [2818] = {.lex_state = 0, .external_lex_state = 4},
  [2819] = {.lex_state = 68},
  [2820] = {.lex_state = 68},
  [2821] = {.lex_state = 68},
  [2822] = {.lex_state = 0, .external_lex_state = 4},
  [2823] = {.lex_state = 68},
  [2824] = {.lex_state = 0, .external_lex_state = 4},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 0, .external_lex_state = 4},
  [2827] = {.lex_state = 0, .external_lex_state = 4},
  [2828] = {.lex_state = 68},
  [2829] = {.lex_state = 68},
  [2830] = {.lex_state = 7},
  [2831] = {.lex_state = 0},
  [2832] = {.lex_state = 68},
  [2833] = {.lex_state = 7},
  [2834] = {.lex_state = 68},
  [2835] = {.lex_state = 68},
  [2836] = {.lex_state = 12, .external_lex_state = 6},
  [2837] = {.lex_state = 0, .external_lex_state = 4},
  [2838] = {.lex_state = 68},
  [2839] = {.lex_state = 0, .external_lex_state = 4},
  [2840] = {.lex_state = 68},
  [2841] = {.lex_state = 68},
  [2842] = {.lex_state = 68},
  [2843] = {.lex_state = 12, .external_lex_state = 6},
  [2844] = {.lex_state = 68},
  [2845] = {.lex_state = 68, .external_lex_state = 5},
  [2846] = {.lex_state = 68, .external_lex_state = 5},
  [2847] = {.lex_state = 68},
  [2848] = {.lex_state = 68, .external_lex_state = 5},
  [2849] = {.lex_state = 68},
  [2850] = {.lex_state = 68},
  [2851] = {.lex_state = 12, .external_lex_state = 6},
  [2852] = {.lex_state = 68, .external_lex_state = 5},
  [2853] = {.lex_state = 68},
  [2854] = {.lex_state = 68, .external_lex_state = 5},
  [2855] = {.lex_state = 0, .external_lex_state = 4},
  [2856] = {.lex_state = 68},
  [2857] = {.lex_state = 68},
  [2858] = {.lex_state = 68},
  [2859] = {.lex_state = 68},
  [2860] = {.lex_state = 0, .external_lex_state = 4},
  [2861] = {.lex_state = 68},
  [2862] = {.lex_state = 12, .external_lex_state = 6},
  [2863] = {.lex_state = 0, .external_lex_state = 4},
  [2864] = {.lex_state = 0, .external_lex_state = 4},
  [2865] = {.lex_state = 0, .external_lex_state = 4},
  [2866] = {.lex_state = 12, .external_lex_state = 6},
  [2867] = {.lex_state = 0, .external_lex_state = 4},
  [2868] = {.lex_state = 68},
  [2869] = {.lex_state = 68, .external_lex_state = 5},
  [2870] = {.lex_state = 68},
  [2871] = {.lex_state = 0, .external_lex_state = 4},
  [2872] = {.lex_state = 0, .external_lex_state = 4},
  [2873] = {.lex_state = 68},
  [2874] = {.lex_state = 7},
  [2875] = {.lex_state = 0, .external_lex_state = 4},
  [2876] = {.lex_state = 0, .external_lex_state = 4},
  [2877] = {.lex_state = 0, .external_lex_state = 4},
  [2878] = {.lex_state = 0, .external_lex_state = 4},
  [2879] = {.lex_state = 68},
  [2880] = {.lex_state = 0, .external_lex_state = 4},
  [2881] = {.lex_state = 0, .external_lex_state = 4},
  [2882] = {.lex_state = 0, .external_lex_state = 4},
  [2883] = {.lex_state = 0, .external_lex_state = 4},
  [2884] = {.lex_state = 0, .external_lex_state = 4},
  [2885] = {.lex_state = 0, .external_lex_state = 4},
  [2886] = {.lex_state = 0, .external_lex_state = 4},
  [2887] = {.lex_state = 0, .external_lex_state = 4},
  [2888] = {.lex_state = 0, .external_lex_state = 4},
  [2889] = {.lex_state = 0, .external_lex_state = 4},
  [2890] = {.lex_state = 0, .external_lex_state = 4},
  [2891] = {.lex_state = 0, .external_lex_state = 4},
  [2892] = {.lex_state = 0, .external_lex_state = 4},
  [2893] = {.lex_state = 0, .external_lex_state = 4},
  [2894] = {.lex_state = 0, .external_lex_state = 4},
  [2895] = {.lex_state = 0, .external_lex_state = 4},
  [2896] = {.lex_state = 0, .external_lex_state = 4},
  [2897] = {.lex_state = 0, .external_lex_state = 4},
  [2898] = {.lex_state = 0, .external_lex_state = 4},
  [2899] = {.lex_state = 68},
  [2900] = {.lex_state = 0, .external_lex_state = 4},
  [2901] = {.lex_state = 0, .external_lex_state = 4},
  [2902] = {.lex_state = 0},
  [2903] = {.lex_state = 0, .external_lex_state = 4},
  [2904] = {.lex_state = 0, .external_lex_state = 4},
  [2905] = {.lex_state = 68},
  [2906] = {.lex_state = 0, .external_lex_state = 4},
  [2907] = {.lex_state = 68},
  [2908] = {.lex_state = 68},
  [2909] = {.lex_state = 68},
  [2910] = {.lex_state = 68},
  [2911] = {.lex_state = 0, .external_lex_state = 4},
  [2912] = {.lex_state = 68, .external_lex_state = 5},
  [2913] = {.lex_state = 0, .external_lex_state = 4},
  [2914] = {.lex_state = 68, .external_lex_state = 4},
  [2915] = {.lex_state = 0, .external_lex_state = 4},
  [2916] = {.lex_state = 68},
  [2917] = {.lex_state = 0, .external_lex_state = 4},
  [2918] = {.lex_state = 68},
  [2919] = {.lex_state = 0, .external_lex_state = 4},
  [2920] = {.lex_state = 68},
  [2921] = {.lex_state = 0, .external_lex_state = 4},
  [2922] = {.lex_state = 0, .external_lex_state = 4},
  [2923] = {.lex_state = 0, .external_lex_state = 4},
  [2924] = {.lex_state = 68},
  [2925] = {.lex_state = 0, .external_lex_state = 4},
  [2926] = {.lex_state = 0, .external_lex_state = 4},
  [2927] = {.lex_state = 68, .external_lex_state = 4},
  [2928] = {.lex_state = 68},
  [2929] = {.lex_state = 68},
  [2930] = {.lex_state = 68},
  [2931] = {.lex_state = 68, .external_lex_state = 5},
  [2932] = {.lex_state = 0, .external_lex_state = 4},
  [2933] = {.lex_state = 68},
  [2934] = {.lex_state = 0, .external_lex_state = 4},
  [2935] = {.lex_state = 0, .external_lex_state = 4},
  [2936] = {.lex_state = 0, .external_lex_state = 4},
  [2937] = {.lex_state = 68},
  [2938] = {.lex_state = 0, .external_lex_state = 4},
  [2939] = {.lex_state = 0, .external_lex_state = 4},
  [2940] = {.lex_state = 0, .external_lex_state = 4},
  [2941] = {.lex_state = 0, .external_lex_state = 4},
  [2942] = {.lex_state = 0},
  [2943] = {.lex_state = 0, .external_lex_state = 4},
  [2944] = {.lex_state = 0},
  [2945] = {.lex_state = 68},
  [2946] = {.lex_state = 0, .external_lex_state = 4},
  [2947] = {.lex_state = 68},
  [2948] = {.lex_state = 0, .external_lex_state = 4},
  [2949] = {.lex_state = 0, .external_lex_state = 4},
  [2950] = {.lex_state = 0, .external_lex_state = 4},
  [2951] = {.lex_state = 0, .external_lex_state = 4},
  [2952] = {.lex_state = 0, .external_lex_state = 4},
  [2953] = {.lex_state = 68},
  [2954] = {.lex_state = 68},
  [2955] = {.lex_state = 0, .external_lex_state = 4},
  [2956] = {.lex_state = 0},
  [2957] = {.lex_state = 0},
  [2958] = {.lex_state = 7},
  [2959] = {.lex_state = 68, .external_lex_state = 4},
  [2960] = {.lex_state = 0, .external_lex_state = 4},
  [2961] = {.lex_state = 68},
  [2962] = {.lex_state = 0, .external_lex_state = 4},
  [2963] = {.lex_state = 0, .external_lex_state = 4},
  [2964] = {.lex_state = 0, .external_lex_state = 4},
  [2965] = {.lex_state = 0, .external_lex_state = 4},
  [2966] = {.lex_state = 68},
  [2967] = {.lex_state = 0, .external_lex_state = 4},
  [2968] = {.lex_state = 68},
  [2969] = {.lex_state = 0, .external_lex_state = 4},
  [2970] = {.lex_state = 68},
  [2971] = {.lex_state = 68},
  [2972] = {.lex_state = 68},
  [2973] = {.lex_state = 0, .external_lex_state = 4},
  [2974] = {.lex_state = 0, .external_lex_state = 4},
  [2975] = {.lex_state = 0, .external_lex_state = 4},
  [2976] = {.lex_state = 68, .external_lex_state = 4},
  [2977] = {.lex_state = 0},
  [2978] = {.lex_state = 68},
  [2979] = {.lex_state = 68},
  [2980] = {.lex_state = 68},
  [2981] = {.lex_state = 0, .external_lex_state = 4},
  [2982] = {.lex_state = 0, .external_lex_state = 4},
  [2983] = {.lex_state = 0, .external_lex_state = 4},
  [2984] = {.lex_state = 0, .external_lex_state = 4},
  [2985] = {.lex_state = 0, .external_lex_state = 4},
  [2986] = {.lex_state = 0},
  [2987] = {.lex_state = 0},
  [2988] = {.lex_state = 0, .external_lex_state = 4},
  [2989] = {.lex_state = 68},
  [2990] = {.lex_state = 68, .external_lex_state = 5},
  [2991] = {.lex_state = 0, .external_lex_state = 4},
  [2992] = {.lex_state = 0, .external_lex_state = 4},
  [2993] = {.lex_state = 68},
  [2994] = {.lex_state = 68},
  [2995] = {.lex_state = 0, .external_lex_state = 4},
  [2996] = {.lex_state = 0, .external_lex_state = 4},
  [2997] = {.lex_state = 0, .external_lex_state = 4},
  [2998] = {.lex_state = 68},
  [2999] = {.lex_state = 0, .external_lex_state = 4},
  [3000] = {.lex_state = 68},
  [3001] = {.lex_state = 0, .external_lex_state = 4},
  [3002] = {.lex_state = 0},
  [3003] = {.lex_state = 68},
  [3004] = {.lex_state = 0, .external_lex_state = 4},
  [3005] = {.lex_state = 0, .external_lex_state = 4},
  [3006] = {.lex_state = 0, .external_lex_state = 4},
  [3007] = {.lex_state = 0, .external_lex_state = 4},
  [3008] = {.lex_state = 0, .external_lex_state = 4},
  [3009] = {.lex_state = 68},
  [3010] = {.lex_state = 0, .external_lex_state = 4},
  [3011] = {.lex_state = 0, .external_lex_state = 4},
  [3012] = {.lex_state = 0, .external_lex_state = 4},
  [3013] = {.lex_state = 68},
  [3014] = {.lex_state = 68},
  [3015] = {.lex_state = 68},
  [3016] = {.lex_state = 0, .external_lex_state = 4},
  [3017] = {.lex_state = 68},
  [3018] = {.lex_state = 0, .external_lex_state = 4},
  [3019] = {.lex_state = 12, .external_lex_state = 6},
  [3020] = {.lex_state = 0, .external_lex_state = 4},
  [3021] = {.lex_state = 68},
  [3022] = {.lex_state = 12, .external_lex_state = 6},
  [3023] = {.lex_state = 0, .external_lex_state = 4},
  [3024] = {.lex_state = 12, .external_lex_state = 6},
  [3025] = {.lex_state = 0, .external_lex_state = 4},
  [3026] = {.lex_state = 68},
  [3027] = {.lex_state = 12, .external_lex_state = 6},
  [3028] = {.lex_state = 0, .external_lex_state = 4},
  [3029] = {.lex_state = 68},
  [3030] = {.lex_state = 0, .external_lex_state = 4},
  [3031] = {.lex_state = 68, .external_lex_state = 4},
  [3032] = {.lex_state = 0, .external_lex_state = 4},
  [3033] = {.lex_state = 0, .external_lex_state = 4},
  [3034] = {.lex_state = 0, .external_lex_state = 4},
  [3035] = {.lex_state = 0, .external_lex_state = 4},
  [3036] = {.lex_state = 0, .external_lex_state = 4},
  [3037] = {.lex_state = 68},
  [3038] = {.lex_state = 0, .external_lex_state = 4},
  [3039] = {.lex_state = 0, .external_lex_state = 4},
  [3040] = {.lex_state = 68},
  [3041] = {.lex_state = 0, .external_lex_state = 4},
  [3042] = {.lex_state = 68},
  [3043] = {.lex_state = 0, .external_lex_state = 4},
  [3044] = {.lex_state = 68},
  [3045] = {.lex_state = 0, .external_lex_state = 4},
  [3046] = {.lex_state = 0, .external_lex_state = 4},
  [3047] = {.lex_state = 0, .external_lex_state = 4},
  [3048] = {.lex_state = 68},
  [3049] = {.lex_state = 68},
  [3050] = {.lex_state = 68},
  [3051] = {.lex_state = 0, .external_lex_state = 4},
  [3052] = {.lex_state = 0, .external_lex_state = 4},
  [3053] = {.lex_state = 0, .external_lex_state = 4},
  [3054] = {.lex_state = 11},
  [3055] = {.lex_state = 14},
  [3056] = {.lex_state = 68},
  [3057] = {.lex_state = 68},
  [3058] = {.lex_state = 0},
  [3059] = {.lex_state = 68},
  [3060] = {.lex_state = 68},
  [3061] = {.lex_state = 68},
  [3062] = {.lex_state = 68},
  [3063] = {.lex_state = 68},
  [3064] = {.lex_state = 68},
  [3065] = {.lex_state = 0},
  [3066] = {.lex_state = 68},
  [3067] = {.lex_state = 68},
  [3068] = {.lex_state = 68},
  [3069] = {.lex_state = 14},
  [3070] = {.lex_state = 68},
  [3071] = {.lex_state = 0},
  [3072] = {.lex_state = 0},
  [3073] = {.lex_state = 68},
  [3074] = {.lex_state = 0, .external_lex_state = 4},
  [3075] = {.lex_state = 68},
  [3076] = {.lex_state = 0, .external_lex_state = 4},
  [3077] = {.lex_state = 68},
  [3078] = {.lex_state = 11},
  [3079] = {.lex_state = 0},
  [3080] = {.lex_state = 68},
  [3081] = {.lex_state = 12, .external_lex_state = 6},
  [3082] = {.lex_state = 12, .external_lex_state = 6},
  [3083] = {.lex_state = 0},
  [3084] = {.lex_state = 0},
  [3085] = {.lex_state = 68},
  [3086] = {.lex_state = 68},
  [3087] = {.lex_state = 68},
  [3088] = {.lex_state = 68},
  [3089] = {.lex_state = 68},
  [3090] = {.lex_state = 11},
  [3091] = {.lex_state = 14},
  [3092] = {.lex_state = 0, .external_lex_state = 5},
  [3093] = {.lex_state = 68},
  [3094] = {.lex_state = 68},
  [3095] = {.lex_state = 11},
  [3096] = {.lex_state = 0},
  [3097] = {.lex_state = 14},
  [3098] = {.lex_state = 0, .external_lex_state = 4},
  [3099] = {.lex_state = 14},
  [3100] = {.lex_state = 11},
  [3101] = {.lex_state = 68},
  [3102] = {.lex_state = 68},
  [3103] = {.lex_state = 68},
  [3104] = {.lex_state = 68},
  [3105] = {.lex_state = 68},
  [3106] = {.lex_state = 68},
  [3107] = {.lex_state = 68},
  [3108] = {.lex_state = 68},
  [3109] = {.lex_state = 14},
  [3110] = {.lex_state = 11},
  [3111] = {.lex_state = 14},
  [3112] = {.lex_state = 0, .external_lex_state = 4},
  [3113] = {.lex_state = 68},
  [3114] = {.lex_state = 11},
  [3115] = {.lex_state = 14},
  [3116] = {.lex_state = 68},
  [3117] = {.lex_state = 68},
  [3118] = {.lex_state = 68},
  [3119] = {.lex_state = 0, .external_lex_state = 4},
  [3120] = {.lex_state = 0, .external_lex_state = 4},
  [3121] = {.lex_state = 68},
  [3122] = {.lex_state = 68},
  [3123] = {.lex_state = 14},
  [3124] = {.lex_state = 11},
  [3125] = {.lex_state = 14},
  [3126] = {.lex_state = 68, .external_lex_state = 4},
  [3127] = {.lex_state = 0},
  [3128] = {.lex_state = 68},
  [3129] = {.lex_state = 68},
  [3130] = {.lex_state = 0, .external_lex_state = 4},
  [3131] = {.lex_state = 11},
  [3132] = {.lex_state = 68, .external_lex_state = 4},
  [3133] = {.lex_state = 68},
  [3134] = {.lex_state = 14},
  [3135] = {.lex_state = 68},
  [3136] = {.lex_state = 68},
  [3137] = {.lex_state = 68},
  [3138] = {.lex_state = 0},
  [3139] = {.lex_state = 11},
  [3140] = {.lex_state = 68},
  [3141] = {.lex_state = 0, .external_lex_state = 4},
  [3142] = {.lex_state = 0, .external_lex_state = 4},
  [3143] = {.lex_state = 0},
  [3144] = {.lex_state = 0},
  [3145] = {.lex_state = 68},
  [3146] = {.lex_state = 68},
  [3147] = {.lex_state = 68},
  [3148] = {.lex_state = 14},
  [3149] = {.lex_state = 0},
  [3150] = {.lex_state = 11},
  [3151] = {.lex_state = 14},
  [3152] = {.lex_state = 11},
  [3153] = {.lex_state = 0},
  [3154] = {.lex_state = 11},
  [3155] = {.lex_state = 14},
  [3156] = {.lex_state = 0},
  [3157] = {.lex_state = 68},
  [3158] = {.lex_state = 68},
  [3159] = {.lex_state = 68},
  [3160] = {.lex_state = 68},
  [3161] = {.lex_state = 11},
  [3162] = {.lex_state = 68},
  [3163] = {.lex_state = 11},
  [3164] = {.lex_state = 14},
  [3165] = {.lex_state = 0},
  [3166] = {.lex_state = 0},
  [3167] = {.lex_state = 68},
  [3168] = {.lex_state = 68},
  [3169] = {.lex_state = 68},
  [3170] = {.lex_state = 0, .external_lex_state = 4},
  [3171] = {.lex_state = 68},
  [3172] = {.lex_state = 0},
  [3173] = {.lex_state = 0},
  [3174] = {.lex_state = 68},
  [3175] = {.lex_state = 68},
  [3176] = {.lex_state = 0, .external_lex_state = 4},
  [3177] = {.lex_state = 0},
  [3178] = {.lex_state = 0},
  [3179] = {.lex_state = 0},
  [3180] = {.lex_state = 0},
  [3181] = {.lex_state = 0, .external_lex_state = 4},
  [3182] = {.lex_state = 68},
  [3183] = {.lex_state = 68},
  [3184] = {.lex_state = 0},
  [3185] = {.lex_state = 0, .external_lex_state = 4},
  [3186] = {.lex_state = 0, .external_lex_state = 4},
  [3187] = {.lex_state = 0},
  [3188] = {.lex_state = 0, .external_lex_state = 4},
  [3189] = {.lex_state = 0, .external_lex_state = 4},
  [3190] = {.lex_state = 0, .external_lex_state = 4},
  [3191] = {.lex_state = 0, .external_lex_state = 4},
  [3192] = {.lex_state = 0},
  [3193] = {.lex_state = 68},
  [3194] = {.lex_state = 0},
  [3195] = {.lex_state = 0, .external_lex_state = 4},
  [3196] = {.lex_state = 0},
  [3197] = {.lex_state = 0, .external_lex_state = 4},
  [3198] = {.lex_state = 0, .external_lex_state = 4},
  [3199] = {.lex_state = 0, .external_lex_state = 4},
  [3200] = {.lex_state = 0, .external_lex_state = 4},
  [3201] = {.lex_state = 0},
  [3202] = {.lex_state = 0},
  [3203] = {.lex_state = 0, .external_lex_state = 4},
  [3204] = {.lex_state = 0, .external_lex_state = 4},
  [3205] = {.lex_state = 68},
  [3206] = {.lex_state = 68},
  [3207] = {.lex_state = 68},
  [3208] = {.lex_state = 68},
  [3209] = {.lex_state = 0, .external_lex_state = 4},
  [3210] = {.lex_state = 0},
  [3211] = {.lex_state = 0},
  [3212] = {.lex_state = 0, .external_lex_state = 4},
  [3213] = {.lex_state = 0, .external_lex_state = 4},
  [3214] = {.lex_state = 0, .external_lex_state = 4},
  [3215] = {.lex_state = 0},
  [3216] = {.lex_state = 0, .external_lex_state = 4},
  [3217] = {.lex_state = 0, .external_lex_state = 4},
  [3218] = {.lex_state = 0, .external_lex_state = 4},
  [3219] = {.lex_state = 0, .external_lex_state = 4},
  [3220] = {.lex_state = 68},
  [3221] = {.lex_state = 68},
  [3222] = {.lex_state = 0, .external_lex_state = 4},
  [3223] = {.lex_state = 0, .external_lex_state = 4},
  [3224] = {.lex_state = 0, .external_lex_state = 4},
  [3225] = {.lex_state = 0},
  [3226] = {.lex_state = 0, .external_lex_state = 4},
  [3227] = {.lex_state = 0, .external_lex_state = 4},
  [3228] = {.lex_state = 0, .external_lex_state = 4},
  [3229] = {.lex_state = 0, .external_lex_state = 4},
  [3230] = {.lex_state = 0, .external_lex_state = 4},
  [3231] = {.lex_state = 0, .external_lex_state = 4},
  [3232] = {.lex_state = 0, .external_lex_state = 4},
  [3233] = {.lex_state = 0, .external_lex_state = 4},
  [3234] = {.lex_state = 0, .external_lex_state = 4},
  [3235] = {.lex_state = 68},
  [3236] = {.lex_state = 0, .external_lex_state = 4},
  [3237] = {.lex_state = 0, .external_lex_state = 4},
  [3238] = {.lex_state = 0, .external_lex_state = 4},
  [3239] = {.lex_state = 0, .external_lex_state = 4},
  [3240] = {.lex_state = 68},
  [3241] = {.lex_state = 0, .external_lex_state = 4},
  [3242] = {.lex_state = 0, .external_lex_state = 4},
  [3243] = {.lex_state = 0, .external_lex_state = 4},
  [3244] = {.lex_state = 0},
  [3245] = {.lex_state = 0},
  [3246] = {.lex_state = 0},
  [3247] = {.lex_state = 0},
  [3248] = {.lex_state = 0},
  [3249] = {.lex_state = 0},
  [3250] = {.lex_state = 0},
  [3251] = {.lex_state = 68},
  [3252] = {.lex_state = 68},
  [3253] = {.lex_state = 68},
  [3254] = {.lex_state = 68},
  [3255] = {.lex_state = 0, .external_lex_state = 4},
  [3256] = {.lex_state = 68},
  [3257] = {.lex_state = 0},
  [3258] = {.lex_state = 0},
  [3259] = {.lex_state = 0},
  [3260] = {.lex_state = 0},
  [3261] = {.lex_state = 68},
  [3262] = {.lex_state = 0},
  [3263] = {.lex_state = 68},
  [3264] = {.lex_state = 68},
  [3265] = {.lex_state = 0},
  [3266] = {.lex_state = 68},
  [3267] = {.lex_state = 0, .external_lex_state = 4},
  [3268] = {.lex_state = 68},
  [3269] = {.lex_state = 68},
  [3270] = {.lex_state = 68},
  [3271] = {.lex_state = 0},
  [3272] = {.lex_state = 68},
  [3273] = {.lex_state = 0},
  [3274] = {.lex_state = 0},
  [3275] = {.lex_state = 68},
  [3276] = {.lex_state = 0},
  [3277] = {.lex_state = 0},
  [3278] = {.lex_state = 0},
  [3279] = {.lex_state = 0},
  [3280] = {.lex_state = 68},
  [3281] = {.lex_state = 7},
  [3282] = {.lex_state = 0},
  [3283] = {.lex_state = 0},
  [3284] = {.lex_state = 0},
  [3285] = {.lex_state = 0},
  [3286] = {.lex_state = 0},
  [3287] = {.lex_state = 0},
  [3288] = {.lex_state = 68},
  [3289] = {.lex_state = 0},
  [3290] = {.lex_state = 0},
  [3291] = {.lex_state = 0},
  [3292] = {.lex_state = 68},
  [3293] = {.lex_state = 68},
  [3294] = {.lex_state = 0},
  [3295] = {.lex_state = 68},
  [3296] = {.lex_state = 68},
  [3297] = {.lex_state = 0},
  [3298] = {.lex_state = 68},
  [3299] = {.lex_state = 68},
  [3300] = {.lex_state = 7},
  [3301] = {.lex_state = 0, .external_lex_state = 4},
  [3302] = {.lex_state = 0},
  [3303] = {.lex_state = 68},
  [3304] = {.lex_state = 0},
  [3305] = {.lex_state = 0},
  [3306] = {.lex_state = 68},
  [3307] = {.lex_state = 7},
  [3308] = {.lex_state = 68},
  [3309] = {.lex_state = 0},
  [3310] = {.lex_state = 68},
  [3311] = {.lex_state = 0},
  [3312] = {.lex_state = 0},
  [3313] = {.lex_state = 0},
  [3314] = {.lex_state = 68},
  [3315] = {.lex_state = 68},
  [3316] = {.lex_state = 0},
  [3317] = {.lex_state = 0},
  [3318] = {.lex_state = 68},
  [3319] = {.lex_state = 68},
  [3320] = {.lex_state = 68},
  [3321] = {.lex_state = 0},
  [3322] = {.lex_state = 68},
  [3323] = {.lex_state = 0},
  [3324] = {.lex_state = 0},
  [3325] = {.lex_state = 68},
  [3326] = {.lex_state = 0},
  [3327] = {.lex_state = 68},
  [3328] = {.lex_state = 0},
  [3329] = {.lex_state = 0},
  [3330] = {.lex_state = 0},
  [3331] = {.lex_state = 0},
  [3332] = {.lex_state = 0},
  [3333] = {.lex_state = 0},
  [3334] = {.lex_state = 0},
  [3335] = {.lex_state = 0},
  [3336] = {.lex_state = 68},
  [3337] = {.lex_state = 0},
  [3338] = {.lex_state = 68},
  [3339] = {.lex_state = 0},
  [3340] = {.lex_state = 0},
  [3341] = {.lex_state = 0},
  [3342] = {.lex_state = 0},
  [3343] = {.lex_state = 0},
  [3344] = {.lex_state = 0},
  [3345] = {.lex_state = 0},
  [3346] = {.lex_state = 0},
  [3347] = {.lex_state = 68},
  [3348] = {.lex_state = 0},
  [3349] = {.lex_state = 68},
  [3350] = {.lex_state = 68},
  [3351] = {.lex_state = 0},
  [3352] = {.lex_state = 68},
  [3353] = {.lex_state = 12, .external_lex_state = 6},
  [3354] = {.lex_state = 68},
  [3355] = {.lex_state = 68},
  [3356] = {.lex_state = 68},
  [3357] = {.lex_state = 68},
  [3358] = {.lex_state = 0},
  [3359] = {.lex_state = 68},
  [3360] = {.lex_state = 0},
  [3361] = {.lex_state = 0},
  [3362] = {.lex_state = 0},
  [3363] = {.lex_state = 0},
  [3364] = {.lex_state = 0},
  [3365] = {.lex_state = 68},
  [3366] = {.lex_state = 0},
  [3367] = {.lex_state = 68},
  [3368] = {.lex_state = 0},
  [3369] = {.lex_state = 0},
  [3370] = {.lex_state = 68, .external_lex_state = 4},
  [3371] = {.lex_state = 68, .external_lex_state = 4},
  [3372] = {.lex_state = 0, .external_lex_state = 4},
  [3373] = {.lex_state = 68},
  [3374] = {.lex_state = 68},
  [3375] = {.lex_state = 68},
  [3376] = {.lex_state = 0},
  [3377] = {.lex_state = 0},
  [3378] = {.lex_state = 0},
  [3379] = {.lex_state = 0, .external_lex_state = 4},
  [3380] = {.lex_state = 0, .external_lex_state = 4},
  [3381] = {.lex_state = 68},
  [3382] = {.lex_state = 0, .external_lex_state = 4},
  [3383] = {.lex_state = 0, .external_lex_state = 4},
  [3384] = {.lex_state = 0, .external_lex_state = 4},
  [3385] = {.lex_state = 0, .external_lex_state = 4},
  [3386] = {.lex_state = 0},
  [3387] = {.lex_state = 0},
  [3388] = {.lex_state = 68},
  [3389] = {.lex_state = 0},
  [3390] = {.lex_state = 0},
  [3391] = {.lex_state = 68},
  [3392] = {.lex_state = 68},
  [3393] = {.lex_state = 68},
  [3394] = {.lex_state = 68},
  [3395] = {.lex_state = 68},
  [3396] = {.lex_state = 0},
  [3397] = {.lex_state = 0},
  [3398] = {.lex_state = 68},
  [3399] = {.lex_state = 0},
  [3400] = {.lex_state = 68},
  [3401] = {.lex_state = 0, .external_lex_state = 4},
  [3402] = {.lex_state = 68},
  [3403] = {.lex_state = 68},
  [3404] = {.lex_state = 68},
  [3405] = {.lex_state = 68},
  [3406] = {.lex_state = 68},
  [3407] = {.lex_state = 0, .external_lex_state = 4},
  [3408] = {.lex_state = 0},
  [3409] = {.lex_state = 0, .external_lex_state = 4},
  [3410] = {.lex_state = 0},
  [3411] = {.lex_state = 68},
  [3412] = {.lex_state = 0, .external_lex_state = 4},
  [3413] = {.lex_state = 68},
  [3414] = {.lex_state = 0, .external_lex_state = 4},
  [3415] = {.lex_state = 68},
  [3416] = {.lex_state = 68},
  [3417] = {.lex_state = 68},
  [3418] = {.lex_state = 0, .external_lex_state = 4},
  [3419] = {.lex_state = 68},
  [3420] = {.lex_state = 0},
  [3421] = {.lex_state = 0},
  [3422] = {.lex_state = 68},
  [3423] = {.lex_state = 0, .external_lex_state = 4},
  [3424] = {.lex_state = 68},
  [3425] = {.lex_state = 68},
  [3426] = {.lex_state = 68},
  [3427] = {.lex_state = 0},
  [3428] = {.lex_state = 0},
  [3429] = {.lex_state = 0, .external_lex_state = 4},
  [3430] = {.lex_state = 0, .external_lex_state = 4},
  [3431] = {.lex_state = 0},
  [3432] = {.lex_state = 68},
  [3433] = {.lex_state = 0},
  [3434] = {.lex_state = 0},
  [3435] = {.lex_state = 0, .external_lex_state = 4},
  [3436] = {.lex_state = 0, .external_lex_state = 4},
  [3437] = {.lex_state = 0, .external_lex_state = 4},
  [3438] = {.lex_state = 0},
  [3439] = {.lex_state = 68},
  [3440] = {.lex_state = 0, .external_lex_state = 4},
  [3441] = {.lex_state = 0},
  [3442] = {.lex_state = 0},
  [3443] = {.lex_state = 0},
  [3444] = {.lex_state = 68},
  [3445] = {.lex_state = 0},
  [3446] = {.lex_state = 68},
  [3447] = {.lex_state = 0},
  [3448] = {.lex_state = 0},
  [3449] = {.lex_state = 68},
  [3450] = {.lex_state = 68},
  [3451] = {.lex_state = 0},
  [3452] = {.lex_state = 68},
  [3453] = {.lex_state = 68},
  [3454] = {.lex_state = 68},
  [3455] = {.lex_state = 68},
  [3456] = {.lex_state = 68},
  [3457] = {.lex_state = 68},
  [3458] = {.lex_state = 0, .external_lex_state = 4},
  [3459] = {.lex_state = 0},
  [3460] = {.lex_state = 68},
  [3461] = {.lex_state = 68},
  [3462] = {.lex_state = 0},
  [3463] = {.lex_state = 0},
  [3464] = {.lex_state = 0},
  [3465] = {.lex_state = 68},
  [3466] = {.lex_state = 0},
  [3467] = {.lex_state = 68},
  [3468] = {.lex_state = 0},
  [3469] = {.lex_state = 0},
  [3470] = {.lex_state = 68},
  [3471] = {.lex_state = 68},
  [3472] = {.lex_state = 68},
  [3473] = {.lex_state = 68},
  [3474] = {.lex_state = 0},
  [3475] = {.lex_state = 0},
  [3476] = {.lex_state = 0},
  [3477] = {.lex_state = 68},
  [3478] = {.lex_state = 0},
  [3479] = {.lex_state = 68},
  [3480] = {.lex_state = 0, .external_lex_state = 4},
  [3481] = {.lex_state = 0, .external_lex_state = 4},
  [3482] = {.lex_state = 68},
  [3483] = {.lex_state = 68},
  [3484] = {.lex_state = 68},
  [3485] = {.lex_state = 68},
  [3486] = {.lex_state = 0, .external_lex_state = 4},
  [3487] = {.lex_state = 0, .external_lex_state = 4},
  [3488] = {.lex_state = 0},
  [3489] = {.lex_state = 68},
  [3490] = {.lex_state = 68},
  [3491] = {.lex_state = 68},
  [3492] = {.lex_state = 68},
  [3493] = {.lex_state = 68},
  [3494] = {.lex_state = 68},
  [3495] = {.lex_state = 0},
  [3496] = {.lex_state = 68},
  [3497] = {.lex_state = 68},
  [3498] = {.lex_state = 0},
  [3499] = {.lex_state = 68},
  [3500] = {.lex_state = 68},
  [3501] = {.lex_state = 0},
  [3502] = {.lex_state = 0},
  [3503] = {.lex_state = 68},
  [3504] = {.lex_state = 0},
  [3505] = {.lex_state = 68},
  [3506] = {.lex_state = 68},
  [3507] = {.lex_state = 68},
  [3508] = {.lex_state = 68},
  [3509] = {.lex_state = 0},
  [3510] = {.lex_state = 68},
  [3511] = {.lex_state = 68},
  [3512] = {.lex_state = 68},
  [3513] = {.lex_state = 0},
  [3514] = {.lex_state = 0},
  [3515] = {.lex_state = 0},
  [3516] = {.lex_state = 0},
  [3517] = {.lex_state = 0},
  [3518] = {.lex_state = 0},
  [3519] = {.lex_state = 68},
  [3520] = {.lex_state = 68},
  [3521] = {.lex_state = 68},
  [3522] = {.lex_state = 68},
  [3523] = {.lex_state = 68},
  [3524] = {.lex_state = 68},
  [3525] = {.lex_state = 68},
  [3526] = {.lex_state = 68},
  [3527] = {.lex_state = 68},
  [3528] = {.lex_state = 68},
  [3529] = {.lex_state = 68},
  [3530] = {.lex_state = 0},
  [3531] = {.lex_state = 68},
  [3532] = {.lex_state = 68},
  [3533] = {.lex_state = 0, .external_lex_state = 4},
  [3534] = {.lex_state = 0, .external_lex_state = 4},
  [3535] = {.lex_state = 68},
  [3536] = {.lex_state = 68},
  [3537] = {.lex_state = 0, .external_lex_state = 4},
  [3538] = {.lex_state = 0},
  [3539] = {.lex_state = 0},
  [3540] = {.lex_state = 68},
  [3541] = {.lex_state = 68},
  [3542] = {.lex_state = 68},
  [3543] = {.lex_state = 0},
  [3544] = {.lex_state = 68},
  [3545] = {.lex_state = 68},
  [3546] = {.lex_state = 68},
  [3547] = {.lex_state = 68},
  [3548] = {.lex_state = 68},
  [3549] = {.lex_state = 68},
  [3550] = {.lex_state = 68},
  [3551] = {.lex_state = 68},
  [3552] = {.lex_state = 68},
  [3553] = {.lex_state = 68},
  [3554] = {.lex_state = 0},
  [3555] = {.lex_state = 68},
  [3556] = {.lex_state = 68},
  [3557] = {.lex_state = 68},
  [3558] = {.lex_state = 68},
  [3559] = {.lex_state = 0},
  [3560] = {.lex_state = 68},
  [3561] = {.lex_state = 68},
  [3562] = {.lex_state = 0},
  [3563] = {.lex_state = 68},
  [3564] = {.lex_state = 0},
  [3565] = {.lex_state = 0},
  [3566] = {.lex_state = 68},
  [3567] = {.lex_state = 0},
  [3568] = {.lex_state = 68},
  [3569] = {.lex_state = 0},
  [3570] = {.lex_state = 68},
  [3571] = {.lex_state = 0},
  [3572] = {.lex_state = 68},
  [3573] = {.lex_state = 0},
  [3574] = {.lex_state = 0},
  [3575] = {.lex_state = 0},
  [3576] = {.lex_state = 0},
  [3577] = {.lex_state = 0},
  [3578] = {.lex_state = 68},
  [3579] = {.lex_state = 0},
  [3580] = {.lex_state = 68},
  [3581] = {.lex_state = 68},
  [3582] = {.lex_state = 68},
  [3583] = {.lex_state = 68},
  [3584] = {.lex_state = 0},
  [3585] = {.lex_state = 68},
  [3586] = {.lex_state = 68},
  [3587] = {.lex_state = 68},
  [3588] = {.lex_state = 0},
  [3589] = {.lex_state = 68},
  [3590] = {.lex_state = 0},
  [3591] = {.lex_state = 0},
  [3592] = {.lex_state = 0},
  [3593] = {.lex_state = 68},
  [3594] = {.lex_state = 0, .external_lex_state = 4},
  [3595] = {.lex_state = 68},
  [3596] = {.lex_state = 68},
  [3597] = {.lex_state = 68},
  [3598] = {.lex_state = 0},
  [3599] = {.lex_state = 68},
  [3600] = {.lex_state = 0},
  [3601] = {.lex_state = 0},
  [3602] = {.lex_state = 68},
  [3603] = {.lex_state = 0},
  [3604] = {.lex_state = 68},
  [3605] = {.lex_state = 68},
  [3606] = {.lex_state = 0},
  [3607] = {.lex_state = 68},
  [3608] = {.lex_state = 0},
  [3609] = {.lex_state = 0},
  [3610] = {.lex_state = 0},
  [3611] = {.lex_state = 0, .external_lex_state = 4},
  [3612] = {.lex_state = 0},
  [3613] = {.lex_state = 0},
  [3614] = {.lex_state = 68},
  [3615] = {.lex_state = 0},
  [3616] = {.lex_state = 68},
  [3617] = {.lex_state = 0},
  [3618] = {.lex_state = 68},
  [3619] = {.lex_state = 68},
  [3620] = {.lex_state = 0, .external_lex_state = 4},
  [3621] = {.lex_state = 68},
  [3622] = {.lex_state = 68},
  [3623] = {.lex_state = 0, .external_lex_state = 4},
  [3624] = {.lex_state = 68},
  [3625] = {.lex_state = 0, .external_lex_state = 4},
  [3626] = {.lex_state = 68},
  [3627] = {.lex_state = 68},
  [3628] = {.lex_state = 68},
  [3629] = {.lex_state = 68},
  [3630] = {.lex_state = 68},
  [3631] = {.lex_state = 0},
  [3632] = {.lex_state = 68},
  [3633] = {.lex_state = 0, .external_lex_state = 4},
  [3634] = {.lex_state = 0},
  [3635] = {.lex_state = 0},
  [3636] = {.lex_state = 68},
  [3637] = {.lex_state = 68},
  [3638] = {.lex_state = 68},
  [3639] = {.lex_state = 68},
  [3640] = {.lex_state = 68},
  [3641] = {.lex_state = 0},
  [3642] = {.lex_state = 68},
  [3643] = {.lex_state = 0},
  [3644] = {.lex_state = 0},
  [3645] = {.lex_state = 0},
  [3646] = {.lex_state = 0},
  [3647] = {.lex_state = 68},
  [3648] = {.lex_state = 0},
  [3649] = {.lex_state = 0},
  [3650] = {.lex_state = 0},
  [3651] = {.lex_state = 68},
  [3652] = {.lex_state = 68},
  [3653] = {.lex_state = 68},
  [3654] = {.lex_state = 1},
  [3655] = {.lex_state = 0},
  [3656] = {.lex_state = 68},
  [3657] = {.lex_state = 0},
  [3658] = {.lex_state = 0},
  [3659] = {.lex_state = 68},
  [3660] = {.lex_state = 68},
  [3661] = {.lex_state = 0},
  [3662] = {.lex_state = 0},
  [3663] = {.lex_state = 0},
  [3664] = {.lex_state = 68},
  [3665] = {.lex_state = 0},
  [3666] = {.lex_state = 0},
  [3667] = {.lex_state = 68},
  [3668] = {.lex_state = 0},
  [3669] = {.lex_state = 0},
  [3670] = {.lex_state = 0},
  [3671] = {.lex_state = 0},
  [3672] = {.lex_state = 0},
  [3673] = {.lex_state = 68},
  [3674] = {.lex_state = 8},
  [3675] = {.lex_state = 0},
  [3676] = {.lex_state = 0},
  [3677] = {.lex_state = 68},
  [3678] = {.lex_state = 68},
  [3679] = {.lex_state = 0},
  [3680] = {.lex_state = 0},
  [3681] = {.lex_state = 0},
  [3682] = {.lex_state = 0},
  [3683] = {.lex_state = 0},
  [3684] = {.lex_state = 0},
  [3685] = {.lex_state = 0},
  [3686] = {.lex_state = 0},
  [3687] = {.lex_state = 0},
  [3688] = {.lex_state = 68},
  [3689] = {.lex_state = 0},
  [3690] = {.lex_state = 68},
  [3691] = {.lex_state = 0},
  [3692] = {.lex_state = 0},
  [3693] = {.lex_state = 0},
  [3694] = {.lex_state = 0},
  [3695] = {.lex_state = 0},
  [3696] = {.lex_state = 0},
  [3697] = {.lex_state = 0},
  [3698] = {.lex_state = 0},
  [3699] = {.lex_state = 68},
  [3700] = {.lex_state = 0},
  [3701] = {.lex_state = 0},
  [3702] = {.lex_state = 0},
  [3703] = {.lex_state = 0},
  [3704] = {.lex_state = 68},
  [3705] = {.lex_state = 0},
  [3706] = {.lex_state = 0},
  [3707] = {.lex_state = 68},
  [3708] = {.lex_state = 0},
  [3709] = {.lex_state = 0},
  [3710] = {.lex_state = 0},
  [3711] = {.lex_state = 68},
  [3712] = {.lex_state = 0},
  [3713] = {.lex_state = 0},
  [3714] = {.lex_state = 0},
  [3715] = {.lex_state = 0},
  [3716] = {.lex_state = 0},
  [3717] = {.lex_state = 0},
  [3718] = {.lex_state = 0},
  [3719] = {.lex_state = 0},
  [3720] = {.lex_state = 0},
  [3721] = {.lex_state = 0},
  [3722] = {.lex_state = 0},
  [3723] = {.lex_state = 0},
  [3724] = {.lex_state = 0},
  [3725] = {.lex_state = 0},
  [3726] = {.lex_state = 0},
  [3727] = {.lex_state = 68},
  [3728] = {.lex_state = 0},
  [3729] = {.lex_state = 0},
  [3730] = {.lex_state = 0},
  [3731] = {.lex_state = 0},
  [3732] = {.lex_state = 0},
  [3733] = {.lex_state = 0},
  [3734] = {.lex_state = 0},
  [3735] = {.lex_state = 0},
  [3736] = {.lex_state = 0},
  [3737] = {.lex_state = 0},
  [3738] = {.lex_state = 0},
  [3739] = {.lex_state = 0},
  [3740] = {.lex_state = 0},
  [3741] = {.lex_state = 0},
  [3742] = {.lex_state = 0},
  [3743] = {.lex_state = 0},
  [3744] = {.lex_state = 0},
  [3745] = {.lex_state = 0},
  [3746] = {.lex_state = 0},
  [3747] = {.lex_state = 0},
  [3748] = {.lex_state = 0},
  [3749] = {.lex_state = 0},
  [3750] = {.lex_state = 0},
  [3751] = {.lex_state = 0},
  [3752] = {.lex_state = 0},
  [3753] = {.lex_state = 0},
  [3754] = {.lex_state = 0},
  [3755] = {.lex_state = 0},
  [3756] = {.lex_state = 0},
  [3757] = {.lex_state = 68},
  [3758] = {.lex_state = 0},
  [3759] = {.lex_state = 0},
  [3760] = {.lex_state = 68},
  [3761] = {.lex_state = 0},
  [3762] = {.lex_state = 0},
  [3763] = {.lex_state = 0},
  [3764] = {.lex_state = 0},
  [3765] = {.lex_state = 0},
  [3766] = {.lex_state = 0},
  [3767] = {.lex_state = 0},
  [3768] = {.lex_state = 68},
  [3769] = {.lex_state = 0},
  [3770] = {.lex_state = 0},
  [3771] = {.lex_state = 0},
  [3772] = {.lex_state = 0},
  [3773] = {.lex_state = 68},
  [3774] = {.lex_state = 0},
  [3775] = {.lex_state = 0},
  [3776] = {.lex_state = 68},
  [3777] = {.lex_state = 0},
  [3778] = {.lex_state = 0},
  [3779] = {.lex_state = 0},
  [3780] = {.lex_state = 0},
  [3781] = {.lex_state = 0},
  [3782] = {.lex_state = 0},
  [3783] = {.lex_state = 0},
  [3784] = {.lex_state = 0},
  [3785] = {.lex_state = 0},
  [3786] = {.lex_state = 0},
  [3787] = {.lex_state = 68},
  [3788] = {.lex_state = 68},
  [3789] = {.lex_state = 68},
  [3790] = {.lex_state = 0},
  [3791] = {.lex_state = 0},
  [3792] = {.lex_state = 0},
  [3793] = {.lex_state = 0},
  [3794] = {.lex_state = 68},
  [3795] = {.lex_state = 0},
  [3796] = {.lex_state = 0},
  [3797] = {.lex_state = 0},
  [3798] = {.lex_state = 68},
  [3799] = {.lex_state = 0},
  [3800] = {.lex_state = 0},
  [3801] = {.lex_state = 0},
  [3802] = {.lex_state = 0},
  [3803] = {.lex_state = 68},
  [3804] = {.lex_state = 68},
  [3805] = {.lex_state = 0},
  [3806] = {.lex_state = 68},
  [3807] = {.lex_state = 0},
  [3808] = {.lex_state = 68},
  [3809] = {.lex_state = 68},
  [3810] = {.lex_state = 0},
  [3811] = {.lex_state = 0},
  [3812] = {.lex_state = 0},
  [3813] = {.lex_state = 0},
  [3814] = {.lex_state = 68},
  [3815] = {.lex_state = 68},
  [3816] = {.lex_state = 0},
  [3817] = {.lex_state = 0},
  [3818] = {.lex_state = 0},
  [3819] = {.lex_state = 68},
  [3820] = {.lex_state = 68},
  [3821] = {.lex_state = 0},
  [3822] = {.lex_state = 0},
  [3823] = {.lex_state = 0},
  [3824] = {.lex_state = 68},
  [3825] = {.lex_state = 0},
  [3826] = {.lex_state = 68},
  [3827] = {.lex_state = 0},
  [3828] = {.lex_state = 68},
  [3829] = {.lex_state = 0},
  [3830] = {.lex_state = 68},
  [3831] = {.lex_state = 68},
  [3832] = {.lex_state = 68},
  [3833] = {.lex_state = 0},
  [3834] = {.lex_state = 0},
  [3835] = {.lex_state = 0},
  [3836] = {.lex_state = 0},
  [3837] = {.lex_state = 68},
  [3838] = {.lex_state = 0},
  [3839] = {.lex_state = 0},
  [3840] = {.lex_state = 8},
  [3841] = {.lex_state = 68},
  [3842] = {.lex_state = 0},
  [3843] = {.lex_state = 0},
  [3844] = {.lex_state = 0},
  [3845] = {.lex_state = 68},
  [3846] = {.lex_state = 0},
  [3847] = {.lex_state = 0},
  [3848] = {.lex_state = 68},
  [3849] = {.lex_state = 68},
  [3850] = {.lex_state = 68},
  [3851] = {.lex_state = 68},
  [3852] = {.lex_state = 0},
  [3853] = {.lex_state = 0},
  [3854] = {.lex_state = 1},
  [3855] = {.lex_state = 0},
  [3856] = {.lex_state = 0},
  [3857] = {.lex_state = 0},
  [3858] = {.lex_state = 0},
  [3859] = {.lex_state = 68},
  [3860] = {.lex_state = 0},
  [3861] = {.lex_state = 0},
  [3862] = {.lex_state = 0},
  [3863] = {.lex_state = 68},
  [3864] = {.lex_state = 0},
  [3865] = {.lex_state = 0},
  [3866] = {.lex_state = 68},
  [3867] = {.lex_state = 0},
  [3868] = {.lex_state = 0},
  [3869] = {.lex_state = 0},
  [3870] = {.lex_state = 0},
  [3871] = {.lex_state = 68},
  [3872] = {.lex_state = 68},
  [3873] = {.lex_state = 0},
  [3874] = {.lex_state = 68},
  [3875] = {.lex_state = 0},
  [3876] = {.lex_state = 0},
  [3877] = {.lex_state = 0},
  [3878] = {.lex_state = 0},
  [3879] = {.lex_state = 0},
  [3880] = {.lex_state = 0},
  [3881] = {.lex_state = 0},
  [3882] = {.lex_state = 68},
  [3883] = {.lex_state = 0},
  [3884] = {.lex_state = 0},
  [3885] = {.lex_state = 0},
  [3886] = {.lex_state = 68},
  [3887] = {.lex_state = 0},
  [3888] = {.lex_state = 0},
  [3889] = {.lex_state = 0},
  [3890] = {.lex_state = 0},
  [3891] = {.lex_state = 0},
  [3892] = {.lex_state = 68},
  [3893] = {.lex_state = 0},
  [3894] = {.lex_state = 68},
  [3895] = {.lex_state = 68},
  [3896] = {.lex_state = 68},
  [3897] = {.lex_state = 0},
  [3898] = {.lex_state = 0},
  [3899] = {.lex_state = 0},
  [3900] = {.lex_state = 0},
  [3901] = {.lex_state = 0},
  [3902] = {.lex_state = 0},
  [3903] = {.lex_state = 0},
  [3904] = {.lex_state = 0},
  [3905] = {.lex_state = 0},
  [3906] = {.lex_state = 68},
  [3907] = {.lex_state = 68},
  [3908] = {.lex_state = 68},
  [3909] = {.lex_state = 68},
  [3910] = {.lex_state = 68},
  [3911] = {.lex_state = 68},
  [3912] = {.lex_state = 0},
  [3913] = {.lex_state = 68},
  [3914] = {.lex_state = 68},
  [3915] = {.lex_state = 0},
  [3916] = {.lex_state = 0},
  [3917] = {.lex_state = 0},
  [3918] = {.lex_state = 1},
  [3919] = {.lex_state = 0},
  [3920] = {.lex_state = 68},
  [3921] = {.lex_state = 0},
  [3922] = {.lex_state = 0},
  [3923] = {.lex_state = 0},
  [3924] = {.lex_state = 0},
  [3925] = {.lex_state = 0},
  [3926] = {.lex_state = 0},
  [3927] = {.lex_state = 0},
  [3928] = {.lex_state = 0},
  [3929] = {.lex_state = 0},
  [3930] = {.lex_state = 8},
  [3931] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token_PIPE_PIPE = 2,
  ts_external_token__function_signature_automatic_semicolon = 3,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[7][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token_PIPE_PIPE] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(3905),
    [sym_export_statement] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [2] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3884),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3884),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3884),
    [sym_spread_element] = STATE(3361),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1658),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2535),
    [sym_computed_property_name] = STATE(2535),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_accessibility_modifier] = STATE(1976),
    [sym_override_modifier] = STATE(1988),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(105),
    [anon_sym_export] = ACTIONS(107),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(129),
    [anon_sym_readonly] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(133),
    [anon_sym_set] = ACTIONS(133),
    [anon_sym_declare] = ACTIONS(135),
    [anon_sym_public] = ACTIONS(137),
    [anon_sym_private] = ACTIONS(137),
    [anon_sym_protected] = ACTIONS(137),
    [anon_sym_override] = ACTIONS(139),
    [anon_sym_module] = ACTIONS(141),
    [anon_sym_any] = ACTIONS(143),
    [anon_sym_number] = ACTIONS(143),
    [anon_sym_boolean] = ACTIONS(143),
    [anon_sym_string] = ACTIONS(143),
    [anon_sym_symbol] = ACTIONS(143),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [3] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3884),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3884),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3884),
    [sym_spread_element] = STATE(3337),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1658),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3337),
    [sym_pair] = STATE(3337),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2535),
    [sym_computed_property_name] = STATE(2535),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_accessibility_modifier] = STATE(1976),
    [sym_override_modifier] = STATE(1988),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [aux_sym_object_repeat1] = STATE(3333),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_export] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(149),
    [anon_sym_namespace] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(159),
    [anon_sym_get] = ACTIONS(161),
    [anon_sym_set] = ACTIONS(161),
    [anon_sym_declare] = ACTIONS(163),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_override] = ACTIONS(167),
    [anon_sym_module] = ACTIONS(169),
    [anon_sym_any] = ACTIONS(171),
    [anon_sym_number] = ACTIONS(171),
    [anon_sym_boolean] = ACTIONS(171),
    [anon_sym_string] = ACTIONS(171),
    [anon_sym_symbol] = ACTIONS(171),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [4] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3884),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3884),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3884),
    [sym_spread_element] = STATE(3361),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1658),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2535),
    [sym_computed_property_name] = STATE(2535),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_accessibility_modifier] = STATE(1976),
    [sym_override_modifier] = STATE(1988),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(173),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(177),
    [anon_sym_namespace] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(183),
    [anon_sym_readonly] = ACTIONS(185),
    [anon_sym_get] = ACTIONS(187),
    [anon_sym_set] = ACTIONS(187),
    [anon_sym_declare] = ACTIONS(189),
    [anon_sym_public] = ACTIONS(191),
    [anon_sym_private] = ACTIONS(191),
    [anon_sym_protected] = ACTIONS(191),
    [anon_sym_override] = ACTIONS(193),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [5] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3884),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3884),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3884),
    [sym_spread_element] = STATE(3337),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1658),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3337),
    [sym_pair] = STATE(3337),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2535),
    [sym_computed_property_name] = STATE(2535),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_accessibility_modifier] = STATE(1976),
    [sym_override_modifier] = STATE(1988),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [aux_sym_object_repeat1] = STATE(3333),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_export] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(149),
    [anon_sym_namespace] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(159),
    [anon_sym_get] = ACTIONS(161),
    [anon_sym_set] = ACTIONS(161),
    [anon_sym_declare] = ACTIONS(163),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_override] = ACTIONS(167),
    [anon_sym_module] = ACTIONS(169),
    [anon_sym_any] = ACTIONS(171),
    [anon_sym_number] = ACTIONS(171),
    [anon_sym_boolean] = ACTIONS(171),
    [anon_sym_string] = ACTIONS(171),
    [anon_sym_symbol] = ACTIONS(171),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [6] = {
    [sym_export_statement] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_for_in_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_with_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_debugger_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_throw_statement] = STATE(26),
    [sym_empty_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3884),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3884),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3884),
    [sym_spread_element] = STATE(3337),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1658),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3337),
    [sym_pair] = STATE(3337),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2535),
    [sym_computed_property_name] = STATE(2535),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_accessibility_modifier] = STATE(1976),
    [sym_override_modifier] = STATE(1988),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [aux_sym_object_repeat1] = STATE(3333),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_export] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(149),
    [anon_sym_namespace] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(159),
    [anon_sym_get] = ACTIONS(161),
    [anon_sym_set] = ACTIONS(161),
    [anon_sym_declare] = ACTIONS(163),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_override] = ACTIONS(167),
    [anon_sym_module] = ACTIONS(169),
    [anon_sym_any] = ACTIONS(171),
    [anon_sym_number] = ACTIONS(171),
    [anon_sym_boolean] = ACTIONS(171),
    [anon_sym_string] = ACTIONS(171),
    [anon_sym_symbol] = ACTIONS(171),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [7] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [ts_builtin_sym_end] = ACTIONS(203),
    [sym_identifier] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(208),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_type] = ACTIONS(213),
    [anon_sym_namespace] = ACTIONS(216),
    [anon_sym_LBRACE] = ACTIONS(219),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_typeof] = ACTIONS(222),
    [anon_sym_import] = ACTIONS(225),
    [anon_sym_var] = ACTIONS(228),
    [anon_sym_let] = ACTIONS(231),
    [anon_sym_const] = ACTIONS(234),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_if] = ACTIONS(240),
    [anon_sym_switch] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_LPAREN] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(252),
    [anon_sym_while] = ACTIONS(255),
    [anon_sym_do] = ACTIONS(258),
    [anon_sym_try] = ACTIONS(261),
    [anon_sym_with] = ACTIONS(264),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(270),
    [anon_sym_debugger] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(276),
    [anon_sym_throw] = ACTIONS(279),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_yield] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(288),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_SLASH] = ACTIONS(294),
    [anon_sym_class] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(300),
    [anon_sym_function] = ACTIONS(303),
    [anon_sym_new] = ACTIONS(306),
    [anon_sym_PLUS] = ACTIONS(222),
    [anon_sym_DASH] = ACTIONS(222),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_void] = ACTIONS(222),
    [anon_sym_delete] = ACTIONS(222),
    [anon_sym_PLUS_PLUS] = ACTIONS(309),
    [anon_sym_DASH_DASH] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(312),
    [anon_sym_SQUOTE] = ACTIONS(315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(318),
    [sym_number] = ACTIONS(321),
    [sym_this] = ACTIONS(324),
    [sym_super] = ACTIONS(324),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_null] = ACTIONS(324),
    [sym_undefined] = ACTIONS(327),
    [anon_sym_AT] = ACTIONS(330),
    [anon_sym_static] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_get] = ACTIONS(333),
    [anon_sym_set] = ACTIONS(333),
    [anon_sym_declare] = ACTIONS(336),
    [anon_sym_public] = ACTIONS(333),
    [anon_sym_private] = ACTIONS(333),
    [anon_sym_protected] = ACTIONS(333),
    [anon_sym_override] = ACTIONS(333),
    [anon_sym_module] = ACTIONS(339),
    [anon_sym_any] = ACTIONS(333),
    [anon_sym_number] = ACTIONS(333),
    [anon_sym_boolean] = ACTIONS(333),
    [anon_sym_string] = ACTIONS(333),
    [anon_sym_symbol] = ACTIONS(333),
    [anon_sym_abstract] = ACTIONS(342),
    [anon_sym_interface] = ACTIONS(345),
    [anon_sym_enum] = ACTIONS(348),
  },
  [8] = {
    [sym_export_statement] = STATE(11),
    [sym_declaration] = STATE(11),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(351),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(351),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [9] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [10] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(359),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(359),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [11] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(363),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [12] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [ts_builtin_sym_end] = ACTIONS(367),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [13] = {
    [sym_export_statement] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_for_in_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_with_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_debugger_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_throw_statement] = STATE(26),
    [sym_empty_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [14] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [15] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [16] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [17] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [18] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [19] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [20] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [21] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [22] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [23] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [24] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [25] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [26] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [27] = {
    [sym_export_statement] = STATE(554),
    [sym_declaration] = STATE(553),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(504),
    [sym_expression_statement] = STATE(550),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(549),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(547),
    [sym_for_statement] = STATE(546),
    [sym_for_in_statement] = STATE(545),
    [sym_while_statement] = STATE(542),
    [sym_do_statement] = STATE(538),
    [sym_try_statement] = STATE(537),
    [sym_with_statement] = STATE(536),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(534),
    [sym_debugger_statement] = STATE(533),
    [sym_return_statement] = STATE(532),
    [sym_throw_statement] = STATE(531),
    [sym_empty_statement] = STATE(498),
    [sym_labeled_statement] = STATE(530),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [28] = {
    [sym_export_statement] = STATE(633),
    [sym_declaration] = STATE(633),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(633),
    [sym_expression_statement] = STATE(633),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(633),
    [sym_if_statement] = STATE(633),
    [sym_switch_statement] = STATE(633),
    [sym_for_statement] = STATE(633),
    [sym_for_in_statement] = STATE(633),
    [sym_while_statement] = STATE(633),
    [sym_do_statement] = STATE(633),
    [sym_try_statement] = STATE(633),
    [sym_with_statement] = STATE(633),
    [sym_break_statement] = STATE(633),
    [sym_continue_statement] = STATE(633),
    [sym_debugger_statement] = STATE(633),
    [sym_return_statement] = STATE(633),
    [sym_throw_statement] = STATE(633),
    [sym_empty_statement] = STATE(633),
    [sym_labeled_statement] = STATE(633),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [29] = {
    [sym_export_statement] = STATE(511),
    [sym_declaration] = STATE(511),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_for_in_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_with_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_debugger_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_empty_statement] = STATE(511),
    [sym_labeled_statement] = STATE(511),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [30] = {
    [sym_export_statement] = STATE(642),
    [sym_declaration] = STATE(642),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(642),
    [sym_expression_statement] = STATE(642),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(642),
    [sym_if_statement] = STATE(642),
    [sym_switch_statement] = STATE(642),
    [sym_for_statement] = STATE(642),
    [sym_for_in_statement] = STATE(642),
    [sym_while_statement] = STATE(642),
    [sym_do_statement] = STATE(642),
    [sym_try_statement] = STATE(642),
    [sym_with_statement] = STATE(642),
    [sym_break_statement] = STATE(642),
    [sym_continue_statement] = STATE(642),
    [sym_debugger_statement] = STATE(642),
    [sym_return_statement] = STATE(642),
    [sym_throw_statement] = STATE(642),
    [sym_empty_statement] = STATE(642),
    [sym_labeled_statement] = STATE(642),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [31] = {
    [sym_export_statement] = STATE(3859),
    [sym_declaration] = STATE(3859),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(3859),
    [sym_expression_statement] = STATE(3859),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(3859),
    [sym_if_statement] = STATE(3859),
    [sym_switch_statement] = STATE(3859),
    [sym_for_statement] = STATE(3859),
    [sym_for_in_statement] = STATE(3859),
    [sym_while_statement] = STATE(3859),
    [sym_do_statement] = STATE(3859),
    [sym_try_statement] = STATE(3859),
    [sym_with_statement] = STATE(3859),
    [sym_break_statement] = STATE(3859),
    [sym_continue_statement] = STATE(3859),
    [sym_debugger_statement] = STATE(3859),
    [sym_return_statement] = STATE(3859),
    [sym_throw_statement] = STATE(3859),
    [sym_empty_statement] = STATE(3859),
    [sym_labeled_statement] = STATE(3859),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [32] = {
    [sym_export_statement] = STATE(511),
    [sym_declaration] = STATE(511),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_for_in_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_with_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_debugger_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_empty_statement] = STATE(511),
    [sym_labeled_statement] = STATE(511),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [33] = {
    [sym_export_statement] = STATE(634),
    [sym_declaration] = STATE(634),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(634),
    [sym_expression_statement] = STATE(634),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(634),
    [sym_if_statement] = STATE(634),
    [sym_switch_statement] = STATE(634),
    [sym_for_statement] = STATE(634),
    [sym_for_in_statement] = STATE(634),
    [sym_while_statement] = STATE(634),
    [sym_do_statement] = STATE(634),
    [sym_try_statement] = STATE(634),
    [sym_with_statement] = STATE(634),
    [sym_break_statement] = STATE(634),
    [sym_continue_statement] = STATE(634),
    [sym_debugger_statement] = STATE(634),
    [sym_return_statement] = STATE(634),
    [sym_throw_statement] = STATE(634),
    [sym_empty_statement] = STATE(634),
    [sym_labeled_statement] = STATE(634),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [34] = {
    [sym_export_statement] = STATE(595),
    [sym_declaration] = STATE(594),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(593),
    [sym_expression_statement] = STATE(590),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(499),
    [sym_if_statement] = STATE(588),
    [sym_switch_statement] = STATE(587),
    [sym_for_statement] = STATE(586),
    [sym_for_in_statement] = STATE(585),
    [sym_while_statement] = STATE(583),
    [sym_do_statement] = STATE(582),
    [sym_try_statement] = STATE(581),
    [sym_with_statement] = STATE(580),
    [sym_break_statement] = STATE(575),
    [sym_continue_statement] = STATE(573),
    [sym_debugger_statement] = STATE(572),
    [sym_return_statement] = STATE(571),
    [sym_throw_statement] = STATE(570),
    [sym_empty_statement] = STATE(569),
    [sym_labeled_statement] = STATE(568),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [35] = {
    [sym_export_statement] = STATE(3292),
    [sym_declaration] = STATE(3292),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(3292),
    [sym_expression_statement] = STATE(3292),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(3292),
    [sym_if_statement] = STATE(3292),
    [sym_switch_statement] = STATE(3292),
    [sym_for_statement] = STATE(3292),
    [sym_for_in_statement] = STATE(3292),
    [sym_while_statement] = STATE(3292),
    [sym_do_statement] = STATE(3292),
    [sym_try_statement] = STATE(3292),
    [sym_with_statement] = STATE(3292),
    [sym_break_statement] = STATE(3292),
    [sym_continue_statement] = STATE(3292),
    [sym_debugger_statement] = STATE(3292),
    [sym_return_statement] = STATE(3292),
    [sym_throw_statement] = STATE(3292),
    [sym_empty_statement] = STATE(3292),
    [sym_labeled_statement] = STATE(3292),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [36] = {
    [sym_export_statement] = STATE(551),
    [sym_declaration] = STATE(551),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(551),
    [sym_expression_statement] = STATE(551),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(551),
    [sym_if_statement] = STATE(551),
    [sym_switch_statement] = STATE(551),
    [sym_for_statement] = STATE(551),
    [sym_for_in_statement] = STATE(551),
    [sym_while_statement] = STATE(551),
    [sym_do_statement] = STATE(551),
    [sym_try_statement] = STATE(551),
    [sym_with_statement] = STATE(551),
    [sym_break_statement] = STATE(551),
    [sym_continue_statement] = STATE(551),
    [sym_debugger_statement] = STATE(551),
    [sym_return_statement] = STATE(551),
    [sym_throw_statement] = STATE(551),
    [sym_empty_statement] = STATE(551),
    [sym_labeled_statement] = STATE(551),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [37] = {
    [sym_export_statement] = STATE(551),
    [sym_declaration] = STATE(551),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(551),
    [sym_expression_statement] = STATE(551),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(551),
    [sym_if_statement] = STATE(551),
    [sym_switch_statement] = STATE(551),
    [sym_for_statement] = STATE(551),
    [sym_for_in_statement] = STATE(551),
    [sym_while_statement] = STATE(551),
    [sym_do_statement] = STATE(551),
    [sym_try_statement] = STATE(551),
    [sym_with_statement] = STATE(551),
    [sym_break_statement] = STATE(551),
    [sym_continue_statement] = STATE(551),
    [sym_debugger_statement] = STATE(551),
    [sym_return_statement] = STATE(551),
    [sym_throw_statement] = STATE(551),
    [sym_empty_statement] = STATE(551),
    [sym_labeled_statement] = STATE(551),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [38] = {
    [sym_export_statement] = STATE(633),
    [sym_declaration] = STATE(633),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(633),
    [sym_expression_statement] = STATE(633),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(633),
    [sym_if_statement] = STATE(633),
    [sym_switch_statement] = STATE(633),
    [sym_for_statement] = STATE(633),
    [sym_for_in_statement] = STATE(633),
    [sym_while_statement] = STATE(633),
    [sym_do_statement] = STATE(633),
    [sym_try_statement] = STATE(633),
    [sym_with_statement] = STATE(633),
    [sym_break_statement] = STATE(633),
    [sym_continue_statement] = STATE(633),
    [sym_debugger_statement] = STATE(633),
    [sym_return_statement] = STATE(633),
    [sym_throw_statement] = STATE(633),
    [sym_empty_statement] = STATE(633),
    [sym_labeled_statement] = STATE(633),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [39] = {
    [sym_export_statement] = STATE(642),
    [sym_declaration] = STATE(642),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(642),
    [sym_expression_statement] = STATE(642),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(642),
    [sym_if_statement] = STATE(642),
    [sym_switch_statement] = STATE(642),
    [sym_for_statement] = STATE(642),
    [sym_for_in_statement] = STATE(642),
    [sym_while_statement] = STATE(642),
    [sym_do_statement] = STATE(642),
    [sym_try_statement] = STATE(642),
    [sym_with_statement] = STATE(642),
    [sym_break_statement] = STATE(642),
    [sym_continue_statement] = STATE(642),
    [sym_debugger_statement] = STATE(642),
    [sym_return_statement] = STATE(642),
    [sym_throw_statement] = STATE(642),
    [sym_empty_statement] = STATE(642),
    [sym_labeled_statement] = STATE(642),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [40] = {
    [sym_export_statement] = STATE(634),
    [sym_declaration] = STATE(634),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(634),
    [sym_expression_statement] = STATE(634),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(634),
    [sym_if_statement] = STATE(634),
    [sym_switch_statement] = STATE(634),
    [sym_for_statement] = STATE(634),
    [sym_for_in_statement] = STATE(634),
    [sym_while_statement] = STATE(634),
    [sym_do_statement] = STATE(634),
    [sym_try_statement] = STATE(634),
    [sym_with_statement] = STATE(634),
    [sym_break_statement] = STATE(634),
    [sym_continue_statement] = STATE(634),
    [sym_debugger_statement] = STATE(634),
    [sym_return_statement] = STATE(634),
    [sym_throw_statement] = STATE(634),
    [sym_empty_statement] = STATE(634),
    [sym_labeled_statement] = STATE(634),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [41] = {
    [sym_export_statement] = STATE(554),
    [sym_declaration] = STATE(553),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(504),
    [sym_expression_statement] = STATE(550),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(549),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(547),
    [sym_for_statement] = STATE(546),
    [sym_for_in_statement] = STATE(545),
    [sym_while_statement] = STATE(542),
    [sym_do_statement] = STATE(538),
    [sym_try_statement] = STATE(537),
    [sym_with_statement] = STATE(536),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(534),
    [sym_debugger_statement] = STATE(533),
    [sym_return_statement] = STATE(532),
    [sym_throw_statement] = STATE(531),
    [sym_empty_statement] = STATE(498),
    [sym_labeled_statement] = STATE(530),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [42] = {
    [sym_export_statement] = STATE(508),
    [sym_declaration] = STATE(508),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(508),
    [sym_expression_statement] = STATE(508),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(508),
    [sym_if_statement] = STATE(508),
    [sym_switch_statement] = STATE(508),
    [sym_for_statement] = STATE(508),
    [sym_for_in_statement] = STATE(508),
    [sym_while_statement] = STATE(508),
    [sym_do_statement] = STATE(508),
    [sym_try_statement] = STATE(508),
    [sym_with_statement] = STATE(508),
    [sym_break_statement] = STATE(508),
    [sym_continue_statement] = STATE(508),
    [sym_debugger_statement] = STATE(508),
    [sym_return_statement] = STATE(508),
    [sym_throw_statement] = STATE(508),
    [sym_empty_statement] = STATE(508),
    [sym_labeled_statement] = STATE(508),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2663),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [43] = {
    [sym_export_statement] = STATE(483),
    [sym_declaration] = STATE(483),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(483),
    [sym_expression_statement] = STATE(483),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(483),
    [sym_if_statement] = STATE(483),
    [sym_switch_statement] = STATE(483),
    [sym_for_statement] = STATE(483),
    [sym_for_in_statement] = STATE(483),
    [sym_while_statement] = STATE(483),
    [sym_do_statement] = STATE(483),
    [sym_try_statement] = STATE(483),
    [sym_with_statement] = STATE(483),
    [sym_break_statement] = STATE(483),
    [sym_continue_statement] = STATE(483),
    [sym_debugger_statement] = STATE(483),
    [sym_return_statement] = STATE(483),
    [sym_throw_statement] = STATE(483),
    [sym_empty_statement] = STATE(483),
    [sym_labeled_statement] = STATE(483),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [44] = {
    [sym_export_statement] = STATE(508),
    [sym_declaration] = STATE(508),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(508),
    [sym_expression_statement] = STATE(508),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(508),
    [sym_if_statement] = STATE(508),
    [sym_switch_statement] = STATE(508),
    [sym_for_statement] = STATE(508),
    [sym_for_in_statement] = STATE(508),
    [sym_while_statement] = STATE(508),
    [sym_do_statement] = STATE(508),
    [sym_try_statement] = STATE(508),
    [sym_with_statement] = STATE(508),
    [sym_break_statement] = STATE(508),
    [sym_continue_statement] = STATE(508),
    [sym_debugger_statement] = STATE(508),
    [sym_return_statement] = STATE(508),
    [sym_throw_statement] = STATE(508),
    [sym_empty_statement] = STATE(508),
    [sym_labeled_statement] = STATE(508),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [45] = {
    [sym_export_statement] = STATE(595),
    [sym_declaration] = STATE(594),
    [sym_import] = STATE(1602),
    [sym_import_statement] = STATE(593),
    [sym_expression_statement] = STATE(590),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_statement_block] = STATE(499),
    [sym_if_statement] = STATE(588),
    [sym_switch_statement] = STATE(587),
    [sym_for_statement] = STATE(586),
    [sym_for_in_statement] = STATE(585),
    [sym_while_statement] = STATE(583),
    [sym_do_statement] = STATE(582),
    [sym_try_statement] = STATE(581),
    [sym_with_statement] = STATE(580),
    [sym_break_statement] = STATE(575),
    [sym_continue_statement] = STATE(573),
    [sym_debugger_statement] = STATE(572),
    [sym_return_statement] = STATE(571),
    [sym_throw_statement] = STATE(570),
    [sym_empty_statement] = STATE(569),
    [sym_labeled_statement] = STATE(568),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2757),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [46] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(451),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [47] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3321),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3317),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(507),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [48] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [49] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [50] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [51] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3321),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3317),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [52] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(517),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [53] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3179),
    [sym_optional_tuple_parameter] = STATE(3179),
    [sym_optional_type] = STATE(3179),
    [sym_rest_type] = STATE(3179),
    [sym__tuple_type_member] = STATE(3179),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(521),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [54] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1801),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(437),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(523),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [sym_number] = ACTIONS(485),
    [sym_this] = ACTIONS(487),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(495),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(497),
    [anon_sym_number] = ACTIONS(497),
    [anon_sym_boolean] = ACTIONS(497),
    [anon_sym_string] = ACTIONS(497),
    [anon_sym_symbol] = ACTIONS(497),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [55] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1193),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym__formal_parameter] = STATE(3324),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3686),
    [sym_string] = STATE(1445),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3060),
    [sym_constructor_type] = STATE(3060),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3060),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3060),
    [sym_union_type] = STATE(3060),
    [sym_intersection_type] = STATE(3060),
    [sym_function_type] = STATE(3060),
    [aux_sym_export_statement_repeat1] = STATE(1887),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_export] = ACTIONS(527),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_namespace] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_typeof] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym_number] = ACTIONS(547),
    [sym_this] = ACTIONS(549),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(553),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(527),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_declare] = ACTIONS(527),
    [anon_sym_public] = ACTIONS(557),
    [anon_sym_private] = ACTIONS(557),
    [anon_sym_protected] = ACTIONS(557),
    [anon_sym_override] = ACTIONS(559),
    [anon_sym_module] = ACTIONS(527),
    [anon_sym_any] = ACTIONS(561),
    [anon_sym_number] = ACTIONS(561),
    [anon_sym_boolean] = ACTIONS(561),
    [anon_sym_string] = ACTIONS(561),
    [anon_sym_symbol] = ACTIONS(561),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [56] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1193),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym__formal_parameter] = STATE(3324),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3686),
    [sym_string] = STATE(1445),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3136),
    [sym_constructor_type] = STATE(3136),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3136),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3136),
    [sym_union_type] = STATE(3136),
    [sym_intersection_type] = STATE(3136),
    [sym_function_type] = STATE(3136),
    [aux_sym_export_statement_repeat1] = STATE(1887),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_export] = ACTIONS(527),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_namespace] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_typeof] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym_number] = ACTIONS(547),
    [sym_this] = ACTIONS(549),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(553),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(527),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_declare] = ACTIONS(527),
    [anon_sym_public] = ACTIONS(557),
    [anon_sym_private] = ACTIONS(557),
    [anon_sym_protected] = ACTIONS(557),
    [anon_sym_override] = ACTIONS(559),
    [anon_sym_module] = ACTIONS(527),
    [anon_sym_any] = ACTIONS(561),
    [anon_sym_number] = ACTIONS(561),
    [anon_sym_boolean] = ACTIONS(561),
    [anon_sym_string] = ACTIONS(561),
    [anon_sym_symbol] = ACTIONS(561),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [57] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1269),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym__formal_parameter] = STATE(3324),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3861),
    [sym_string] = STATE(1445),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3060),
    [sym_constructor_type] = STATE(3060),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3060),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3060),
    [sym_union_type] = STATE(3060),
    [sym_intersection_type] = STATE(3060),
    [sym_function_type] = STATE(3060),
    [aux_sym_export_statement_repeat1] = STATE(1887),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_export] = ACTIONS(527),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_namespace] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_typeof] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym_number] = ACTIONS(547),
    [sym_this] = ACTIONS(549),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(553),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_readonly] = ACTIONS(555),
    [anon_sym_get] = ACTIONS(527),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_declare] = ACTIONS(527),
    [anon_sym_public] = ACTIONS(557),
    [anon_sym_private] = ACTIONS(557),
    [anon_sym_protected] = ACTIONS(557),
    [anon_sym_override] = ACTIONS(559),
    [anon_sym_module] = ACTIONS(527),
    [anon_sym_any] = ACTIONS(561),
    [anon_sym_number] = ACTIONS(561),
    [anon_sym_boolean] = ACTIONS(561),
    [anon_sym_string] = ACTIONS(561),
    [anon_sym_symbol] = ACTIONS(561),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [58] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3634),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_nested_identifier] = STATE(3658),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1355),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(3002),
    [sym_pattern] = STATE(3184),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2368),
    [sym_constructor_type] = STATE(2368),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2368),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3474),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2368),
    [sym_union_type] = STATE(2368),
    [sym_intersection_type] = STATE(2368),
    [sym_function_type] = STATE(2368),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(563),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_typeof] = ACTIONS(569),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(573),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(575),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(585),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(587),
    [sym_number] = ACTIONS(589),
    [sym_this] = ACTIONS(591),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(593),
    [sym_false] = ACTIONS(593),
    [sym_null] = ACTIONS(593),
    [sym_undefined] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(597),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(599),
    [anon_sym_number] = ACTIONS(599),
    [anon_sym_boolean] = ACTIONS(599),
    [anon_sym_string] = ACTIONS(599),
    [anon_sym_symbol] = ACTIONS(599),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [59] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2994),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(657),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [60] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1530),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3679),
    [sym_string] = STATE(1445),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(3240),
    [sym_constructor_type] = STATE(3240),
    [sym__primary_type] = STATE(3021),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3063),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3240),
    [sym_union_type] = STATE(3240),
    [sym_intersection_type] = STATE(3240),
    [sym_function_type] = STATE(3240),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_typeof] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym_number] = ACTIONS(547),
    [sym_this] = ACTIONS(677),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(553),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(681),
    [anon_sym_number] = ACTIONS(681),
    [anon_sym_boolean] = ACTIONS(681),
    [anon_sym_string] = ACTIONS(681),
    [anon_sym_symbol] = ACTIONS(681),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [61] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1377),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1167),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(325),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_typeof] = ACTIONS(691),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(709),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(715),
    [sym_number] = ACTIONS(717),
    [sym_this] = ACTIONS(719),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(721),
    [sym_false] = ACTIONS(721),
    [sym_null] = ACTIONS(721),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(725),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(727),
    [anon_sym_number] = ACTIONS(727),
    [anon_sym_boolean] = ACTIONS(727),
    [anon_sym_string] = ACTIONS(727),
    [anon_sym_symbol] = ACTIONS(727),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [62] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1665),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1681),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(242),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_typeof] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(749),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(753),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(759),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_undefined] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(769),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(771),
    [anon_sym_number] = ACTIONS(771),
    [anon_sym_boolean] = ACTIONS(771),
    [anon_sym_string] = ACTIONS(771),
    [anon_sym_symbol] = ACTIONS(771),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [63] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1566),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(362),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_typeof] = ACTIONS(781),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(785),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(795),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(799),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(801),
    [sym_number] = ACTIONS(803),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(807),
    [sym_false] = ACTIONS(807),
    [sym_null] = ACTIONS(807),
    [sym_undefined] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(813),
    [anon_sym_number] = ACTIONS(813),
    [anon_sym_boolean] = ACTIONS(813),
    [anon_sym_string] = ACTIONS(813),
    [anon_sym_symbol] = ACTIONS(813),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [64] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3058),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3058),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3058),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1803),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2947),
    [sym_constructor_type] = STATE(2947),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2947),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2947),
    [sym_union_type] = STATE(2947),
    [sym_intersection_type] = STATE(2947),
    [sym_function_type] = STATE(2947),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(827),
    [sym_this] = ACTIONS(829),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(831),
    [sym_false] = ACTIONS(831),
    [sym_null] = ACTIONS(831),
    [sym_undefined] = ACTIONS(833),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(835),
    [anon_sym_number] = ACTIONS(835),
    [anon_sym_boolean] = ACTIONS(835),
    [anon_sym_string] = ACTIONS(835),
    [anon_sym_symbol] = ACTIONS(835),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [65] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1544),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1708),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(269),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(843),
    [anon_sym_typeof] = ACTIONS(845),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(785),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(859),
    [anon_sym_DASH] = ACTIONS(859),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(861),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(867),
    [sym_number] = ACTIONS(869),
    [sym_this] = ACTIONS(871),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(873),
    [sym_false] = ACTIONS(873),
    [sym_null] = ACTIONS(873),
    [sym_undefined] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(877),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(879),
    [anon_sym_number] = ACTIONS(879),
    [anon_sym_boolean] = ACTIONS(879),
    [anon_sym_string] = ACTIONS(879),
    [anon_sym_symbol] = ACTIONS(879),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [66] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1171),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1167),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(350),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_typeof] = ACTIONS(883),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(461),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(473),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(715),
    [sym_number] = ACTIONS(717),
    [sym_this] = ACTIONS(719),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(721),
    [sym_false] = ACTIONS(721),
    [sym_null] = ACTIONS(721),
    [sym_undefined] = ACTIONS(887),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(889),
    [anon_sym_number] = ACTIONS(889),
    [anon_sym_boolean] = ACTIONS(889),
    [anon_sym_string] = ACTIONS(889),
    [anon_sym_symbol] = ACTIONS(889),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [67] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1682),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_nested_identifier] = STATE(3844),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1681),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2809),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_type_arguments] = STATE(348),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3613),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(897),
    [anon_sym_typeof] = ACTIONS(899),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(913),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(759),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_undefined] = ACTIONS(919),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(921),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(923),
    [anon_sym_number] = ACTIONS(923),
    [anon_sym_boolean] = ACTIONS(923),
    [anon_sym_string] = ACTIONS(923),
    [anon_sym_symbol] = ACTIONS(923),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [68] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(933),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(933),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_QMARK_DOT] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(933),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(933),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(933),
    [anon_sym_QMARK_QMARK] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [69] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_as] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(933),
    [anon_sym_RBRACE] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_QMARK_DOT] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(933),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(933),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(933),
    [anon_sym_QMARK_QMARK] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [70] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1360),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_STAR] = ACTIONS(957),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_QMARK_DOT] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(933),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(933),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(933),
    [anon_sym_QMARK_QMARK] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
    [anon_sym_implements] = ACTIONS(929),
  },
  [71] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1526),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(965),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_as] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_QMARK_DOT] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(933),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(933),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(933),
    [anon_sym_QMARK_QMARK] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [72] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1702),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_as] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_QMARK_DOT] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(933),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(933),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(933),
    [anon_sym_QMARK_QMARK] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [73] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1585),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_STAR] = ACTIONS(981),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_as] = ACTIONS(929),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_QMARK_DOT] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(933),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_STAR_STAR] = ACTIONS(933),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(933),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(933),
    [anon_sym_QMARK_QMARK] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [74] = {
    [sym_declaration] = STATE(2941),
    [sym_import] = STATE(1602),
    [sym_variable_declaration] = STATE(3046),
    [sym_lexical_declaration] = STATE(3046),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1382),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(3046),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(3046),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(3046),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_function_signature] = STATE(3046),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(3046),
    [sym_abstract_class_declaration] = STATE(3046),
    [sym_module] = STATE(3046),
    [sym_internal_module] = STATE(1573),
    [sym_import_alias] = STATE(3046),
    [sym_interface_declaration] = STATE(3046),
    [sym_enum_declaration] = STATE(3046),
    [sym_type_alias_declaration] = STATE(3046),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2804),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(991),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(993),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_const] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(1001),
    [anon_sym_async] = ACTIONS(1003),
    [anon_sym_function] = ACTIONS(1005),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(1007),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_interface] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1015),
  },
  [75] = {
    [sym_declaration] = STATE(646),
    [sym_import] = STATE(1602),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2929),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(1017),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(1023),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(1025),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [76] = {
    [sym_declaration] = STATE(599),
    [sym_import] = STATE(1602),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1483),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(1519),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2929),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(1017),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(1023),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(1025),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [77] = {
    [sym_declaration] = STATE(646),
    [sym_import] = STATE(1602),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2905),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(1017),
    [anon_sym_namespace] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(1029),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(1023),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(1025),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [78] = {
    [sym_declaration] = STATE(3038),
    [sym_import] = STATE(1602),
    [sym_variable_declaration] = STATE(3046),
    [sym_lexical_declaration] = STATE(3046),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1484),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(3046),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(3046),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(3046),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_function_signature] = STATE(3046),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(3046),
    [sym_abstract_class_declaration] = STATE(3046),
    [sym_module] = STATE(3046),
    [sym_internal_module] = STATE(1573),
    [sym_import_alias] = STATE(3046),
    [sym_interface_declaration] = STATE(3046),
    [sym_enum_declaration] = STATE(3046),
    [sym_type_alias_declaration] = STATE(3046),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2804),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(991),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(993),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_const] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(1001),
    [anon_sym_async] = ACTIONS(1003),
    [anon_sym_function] = ACTIONS(1005),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(1007),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_interface] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1015),
  },
  [79] = {
    [sym_declaration] = STATE(599),
    [sym_import] = STATE(1602),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1483),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_class_declaration] = STATE(621),
    [sym_function] = STATE(1602),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function] = STATE(1602),
    [sym_generator_function_declaration] = STATE(621),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_function_signature] = STATE(621),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(105),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(2905),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(1017),
    [anon_sym_namespace] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(1029),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(1023),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(1025),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [80] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(1033),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [81] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [82] = {
    [sym_nested_identifier] = STATE(3658),
    [sym_string] = STATE(2352),
    [sym_formal_parameters] = STATE(3675),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2322),
    [sym_constructor_type] = STATE(2322),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2322),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3617),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2322),
    [sym_union_type] = STATE(2322),
    [sym_intersection_type] = STATE(2322),
    [sym_function_type] = STATE(2322),
    [sym_identifier] = ACTIONS(1047),
    [anon_sym_STAR] = ACTIONS(1049),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(1059),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1061),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1073),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(1077),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(605),
    [anon_sym_number] = ACTIONS(605),
    [anon_sym_boolean] = ACTIONS(605),
    [anon_sym_string] = ACTIONS(605),
    [anon_sym_symbol] = ACTIONS(605),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [83] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [84] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_implements] = ACTIONS(618),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [85] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [86] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [87] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_EQ_GT] = ACTIONS(1097),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(641),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1103),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_EQ] = ACTIONS(1105),
    [anon_sym_as] = ACTIONS(1103),
    [anon_sym_namespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_let] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_else] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_in] = ACTIONS(1103),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_with] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_debugger] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_throw] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_GT] = ACTIONS(1103),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_class] = ACTIONS(1101),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_QMARK_DOT] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_QMARK] = ACTIONS(1103),
    [anon_sym_AMP_AMP] = ACTIONS(1107),
    [anon_sym_PIPE_PIPE] = ACTIONS(1107),
    [anon_sym_GT_GT] = ACTIONS(1103),
    [anon_sym_GT_GT_GT] = ACTIONS(1107),
    [anon_sym_LT_LT] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1103),
    [anon_sym_CARET] = ACTIONS(1107),
    [anon_sym_PIPE] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [anon_sym_STAR_STAR] = ACTIONS(1107),
    [anon_sym_LT_EQ] = ACTIONS(1107),
    [anon_sym_EQ_EQ] = ACTIONS(1103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1107),
    [anon_sym_BANG_EQ] = ACTIONS(1103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1107),
    [anon_sym_GT_EQ] = ACTIONS(1107),
    [anon_sym_QMARK_QMARK] = ACTIONS(1107),
    [anon_sym_instanceof] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_delete] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1099),
    [sym_number] = ACTIONS(1099),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(1101),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1099),
    [anon_sym_static] = ACTIONS(1101),
    [anon_sym_readonly] = ACTIONS(1101),
    [anon_sym_get] = ACTIONS(1101),
    [anon_sym_set] = ACTIONS(1101),
    [anon_sym_declare] = ACTIONS(1101),
    [anon_sym_public] = ACTIONS(1101),
    [anon_sym_private] = ACTIONS(1101),
    [anon_sym_protected] = ACTIONS(1101),
    [anon_sym_override] = ACTIONS(1101),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_any] = ACTIONS(1101),
    [anon_sym_number] = ACTIONS(1101),
    [anon_sym_boolean] = ACTIONS(1101),
    [anon_sym_string] = ACTIONS(1101),
    [anon_sym_symbol] = ACTIONS(1101),
    [anon_sym_abstract] = ACTIONS(1101),
    [anon_sym_interface] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [sym__automatic_semicolon] = ACTIONS(1109),
  },
  [89] = {
    [sym_statement_block] = STATE(94),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [anon_sym_export] = ACTIONS(1113),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_type] = ACTIONS(1113),
    [anon_sym_as] = ACTIONS(1113),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_typeof] = ACTIONS(1113),
    [anon_sym_import] = ACTIONS(1113),
    [anon_sym_var] = ACTIONS(1113),
    [anon_sym_let] = ACTIONS(1113),
    [anon_sym_const] = ACTIONS(1113),
    [anon_sym_BANG] = ACTIONS(1113),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_await] = ACTIONS(1113),
    [anon_sym_in] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_with] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_debugger] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1113),
    [anon_sym_GT] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_DOT] = ACTIONS(1117),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_async] = ACTIONS(1113),
    [anon_sym_function] = ACTIONS(1113),
    [anon_sym_QMARK_DOT] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_QMARK] = ACTIONS(1113),
    [anon_sym_AMP_AMP] = ACTIONS(1111),
    [anon_sym_PIPE_PIPE] = ACTIONS(1111),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_GT_GT_GT] = ACTIONS(1111),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym_PIPE] = ACTIONS(1113),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1111),
    [anon_sym_STAR_STAR] = ACTIONS(1111),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_EQ_EQ] = ACTIONS(1113),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1111),
    [anon_sym_BANG_EQ] = ACTIONS(1113),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1111),
    [anon_sym_QMARK_QMARK] = ACTIONS(1111),
    [anon_sym_instanceof] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_void] = ACTIONS(1113),
    [anon_sym_delete] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1111),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(1113),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_static] = ACTIONS(1113),
    [anon_sym_readonly] = ACTIONS(1113),
    [anon_sym_get] = ACTIONS(1113),
    [anon_sym_set] = ACTIONS(1113),
    [anon_sym_declare] = ACTIONS(1113),
    [anon_sym_public] = ACTIONS(1113),
    [anon_sym_private] = ACTIONS(1113),
    [anon_sym_protected] = ACTIONS(1113),
    [anon_sym_override] = ACTIONS(1113),
    [anon_sym_module] = ACTIONS(1113),
    [anon_sym_any] = ACTIONS(1113),
    [anon_sym_number] = ACTIONS(1113),
    [anon_sym_boolean] = ACTIONS(1113),
    [anon_sym_string] = ACTIONS(1113),
    [anon_sym_symbol] = ACTIONS(1113),
    [anon_sym_abstract] = ACTIONS(1113),
    [anon_sym_interface] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
    [sym__automatic_semicolon] = ACTIONS(1111),
  },
  [90] = {
    [sym_statement_block] = STATE(94),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [anon_sym_export] = ACTIONS(1113),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_type] = ACTIONS(1113),
    [anon_sym_as] = ACTIONS(1113),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_typeof] = ACTIONS(1113),
    [anon_sym_import] = ACTIONS(1113),
    [anon_sym_var] = ACTIONS(1113),
    [anon_sym_let] = ACTIONS(1113),
    [anon_sym_const] = ACTIONS(1113),
    [anon_sym_BANG] = ACTIONS(1113),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_await] = ACTIONS(1113),
    [anon_sym_in] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_with] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_debugger] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1113),
    [anon_sym_GT] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_DOT] = ACTIONS(1113),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_async] = ACTIONS(1113),
    [anon_sym_function] = ACTIONS(1113),
    [anon_sym_QMARK_DOT] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_QMARK] = ACTIONS(1113),
    [anon_sym_AMP_AMP] = ACTIONS(1111),
    [anon_sym_PIPE_PIPE] = ACTIONS(1111),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_GT_GT_GT] = ACTIONS(1111),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym_PIPE] = ACTIONS(1113),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1111),
    [anon_sym_STAR_STAR] = ACTIONS(1111),
    [anon_sym_LT_EQ] = ACTIONS(1111),
    [anon_sym_EQ_EQ] = ACTIONS(1113),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1111),
    [anon_sym_BANG_EQ] = ACTIONS(1113),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1111),
    [anon_sym_GT_EQ] = ACTIONS(1111),
    [anon_sym_QMARK_QMARK] = ACTIONS(1111),
    [anon_sym_instanceof] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_void] = ACTIONS(1113),
    [anon_sym_delete] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1111),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(1113),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_static] = ACTIONS(1113),
    [anon_sym_readonly] = ACTIONS(1113),
    [anon_sym_get] = ACTIONS(1113),
    [anon_sym_set] = ACTIONS(1113),
    [anon_sym_declare] = ACTIONS(1113),
    [anon_sym_public] = ACTIONS(1113),
    [anon_sym_private] = ACTIONS(1113),
    [anon_sym_protected] = ACTIONS(1113),
    [anon_sym_override] = ACTIONS(1113),
    [anon_sym_module] = ACTIONS(1113),
    [anon_sym_any] = ACTIONS(1113),
    [anon_sym_number] = ACTIONS(1113),
    [anon_sym_boolean] = ACTIONS(1113),
    [anon_sym_string] = ACTIONS(1113),
    [anon_sym_symbol] = ACTIONS(1113),
    [anon_sym_abstract] = ACTIONS(1113),
    [anon_sym_interface] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
    [sym__automatic_semicolon] = ACTIONS(1111),
  },
  [91] = {
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_default] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_as] = ACTIONS(1123),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_COMMA] = ACTIONS(1125),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_typeof] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1121),
    [anon_sym_var] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1121),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(1121),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_while] = ACTIONS(1121),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1121),
    [anon_sym_with] = ACTIONS(1121),
    [anon_sym_break] = ACTIONS(1121),
    [anon_sym_continue] = ACTIONS(1121),
    [anon_sym_debugger] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1121),
    [anon_sym_throw] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_case] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1121),
    [anon_sym_LBRACK] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1121),
    [anon_sym_GT] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1121),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1121),
    [anon_sym_async] = ACTIONS(1121),
    [anon_sym_function] = ACTIONS(1121),
    [anon_sym_QMARK_DOT] = ACTIONS(1125),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1125),
    [anon_sym_GT_GT] = ACTIONS(1123),
    [anon_sym_GT_GT_GT] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_PIPE] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_STAR_STAR] = ACTIONS(1125),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1125),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1125),
    [anon_sym_QMARK_QMARK] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_void] = ACTIONS(1121),
    [anon_sym_delete] = ACTIONS(1121),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1119),
    [sym_number] = ACTIONS(1119),
    [sym_this] = ACTIONS(1121),
    [sym_super] = ACTIONS(1121),
    [sym_true] = ACTIONS(1121),
    [sym_false] = ACTIONS(1121),
    [sym_null] = ACTIONS(1121),
    [sym_undefined] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1121),
    [anon_sym_private] = ACTIONS(1121),
    [anon_sym_protected] = ACTIONS(1121),
    [anon_sym_override] = ACTIONS(1121),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_abstract] = ACTIONS(1121),
    [anon_sym_interface] = ACTIONS(1121),
    [anon_sym_enum] = ACTIONS(1121),
    [sym__automatic_semicolon] = ACTIONS(1127),
  },
  [92] = {
    [ts_builtin_sym_end] = ACTIONS(1129),
    [sym_identifier] = ACTIONS(1131),
    [anon_sym_export] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_type] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(1133),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_COMMA] = ACTIONS(1135),
    [anon_sym_RBRACE] = ACTIONS(1129),
    [anon_sym_typeof] = ACTIONS(1131),
    [anon_sym_import] = ACTIONS(1131),
    [anon_sym_var] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1129),
    [anon_sym_await] = ACTIONS(1131),
    [anon_sym_in] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_try] = ACTIONS(1131),
    [anon_sym_with] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_debugger] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_throw] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_yield] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1131),
    [anon_sym_DOT] = ACTIONS(1133),
    [anon_sym_class] = ACTIONS(1131),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(1131),
    [anon_sym_QMARK_DOT] = ACTIONS(1135),
    [anon_sym_new] = ACTIONS(1131),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_AMP_AMP] = ACTIONS(1135),
    [anon_sym_PIPE_PIPE] = ACTIONS(1135),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_GT_GT_GT] = ACTIONS(1135),
    [anon_sym_LT_LT] = ACTIONS(1135),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1135),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PERCENT] = ACTIONS(1135),
    [anon_sym_STAR_STAR] = ACTIONS(1135),
    [anon_sym_LT_EQ] = ACTIONS(1135),
    [anon_sym_EQ_EQ] = ACTIONS(1133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1135),
    [anon_sym_BANG_EQ] = ACTIONS(1133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1135),
    [anon_sym_GT_EQ] = ACTIONS(1135),
    [anon_sym_QMARK_QMARK] = ACTIONS(1135),
    [anon_sym_instanceof] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1131),
    [anon_sym_delete] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1129),
    [sym_number] = ACTIONS(1129),
    [sym_this] = ACTIONS(1131),
    [sym_super] = ACTIONS(1131),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [sym_null] = ACTIONS(1131),
    [sym_undefined] = ACTIONS(1131),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_readonly] = ACTIONS(1131),
    [anon_sym_get] = ACTIONS(1131),
    [anon_sym_set] = ACTIONS(1131),
    [anon_sym_declare] = ACTIONS(1131),
    [anon_sym_public] = ACTIONS(1131),
    [anon_sym_private] = ACTIONS(1131),
    [anon_sym_protected] = ACTIONS(1131),
    [anon_sym_override] = ACTIONS(1131),
    [anon_sym_module] = ACTIONS(1131),
    [anon_sym_any] = ACTIONS(1131),
    [anon_sym_number] = ACTIONS(1131),
    [anon_sym_boolean] = ACTIONS(1131),
    [anon_sym_string] = ACTIONS(1131),
    [anon_sym_symbol] = ACTIONS(1131),
    [anon_sym_abstract] = ACTIONS(1131),
    [anon_sym_interface] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [sym__automatic_semicolon] = ACTIONS(1137),
  },
  [93] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_export] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_default] = ACTIONS(1141),
    [anon_sym_type] = ACTIONS(1141),
    [anon_sym_as] = ACTIONS(1141),
    [anon_sym_namespace] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1139),
    [anon_sym_RBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(1141),
    [anon_sym_var] = ACTIONS(1141),
    [anon_sym_let] = ACTIONS(1141),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_else] = ACTIONS(1141),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_switch] = ACTIONS(1141),
    [anon_sym_for] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_in] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(1141),
    [anon_sym_do] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1141),
    [anon_sym_with] = ACTIONS(1141),
    [anon_sym_break] = ACTIONS(1141),
    [anon_sym_continue] = ACTIONS(1141),
    [anon_sym_debugger] = ACTIONS(1141),
    [anon_sym_return] = ACTIONS(1141),
    [anon_sym_throw] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_class] = ACTIONS(1141),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_QMARK_DOT] = ACTIONS(1139),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_QMARK] = ACTIONS(1141),
    [anon_sym_AMP_AMP] = ACTIONS(1139),
    [anon_sym_PIPE_PIPE] = ACTIONS(1139),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_GT_GT_GT] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1139),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_STAR_STAR] = ACTIONS(1139),
    [anon_sym_LT_EQ] = ACTIONS(1139),
    [anon_sym_EQ_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1139),
    [anon_sym_GT_EQ] = ACTIONS(1139),
    [anon_sym_QMARK_QMARK] = ACTIONS(1139),
    [anon_sym_instanceof] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1139),
    [anon_sym_void] = ACTIONS(1141),
    [anon_sym_delete] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1139),
    [anon_sym_DQUOTE] = ACTIONS(1139),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1139),
    [sym_number] = ACTIONS(1139),
    [sym_this] = ACTIONS(1141),
    [sym_super] = ACTIONS(1141),
    [sym_true] = ACTIONS(1141),
    [sym_false] = ACTIONS(1141),
    [sym_null] = ACTIONS(1141),
    [sym_undefined] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1141),
    [anon_sym_readonly] = ACTIONS(1141),
    [anon_sym_get] = ACTIONS(1141),
    [anon_sym_set] = ACTIONS(1141),
    [anon_sym_declare] = ACTIONS(1141),
    [anon_sym_public] = ACTIONS(1141),
    [anon_sym_private] = ACTIONS(1141),
    [anon_sym_protected] = ACTIONS(1141),
    [anon_sym_override] = ACTIONS(1141),
    [anon_sym_module] = ACTIONS(1141),
    [anon_sym_any] = ACTIONS(1141),
    [anon_sym_number] = ACTIONS(1141),
    [anon_sym_boolean] = ACTIONS(1141),
    [anon_sym_string] = ACTIONS(1141),
    [anon_sym_symbol] = ACTIONS(1141),
    [anon_sym_abstract] = ACTIONS(1141),
    [anon_sym_interface] = ACTIONS(1141),
    [anon_sym_enum] = ACTIONS(1141),
    [sym__automatic_semicolon] = ACTIONS(1139),
  },
  [94] = {
    [ts_builtin_sym_end] = ACTIONS(1143),
    [sym_identifier] = ACTIONS(1145),
    [anon_sym_export] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_type] = ACTIONS(1145),
    [anon_sym_as] = ACTIONS(1145),
    [anon_sym_namespace] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_typeof] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_var] = ACTIONS(1145),
    [anon_sym_let] = ACTIONS(1145),
    [anon_sym_const] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(1145),
    [anon_sym_in] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_with] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_debugger] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_yield] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_async] = ACTIONS(1145),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_QMARK_DOT] = ACTIONS(1143),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_QMARK] = ACTIONS(1145),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_GT_GT_GT] = ACTIONS(1143),
    [anon_sym_LT_LT] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1143),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1143),
    [anon_sym_STAR_STAR] = ACTIONS(1143),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_EQ_EQ] = ACTIONS(1145),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1145),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1143),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_QMARK_QMARK] = ACTIONS(1143),
    [anon_sym_instanceof] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_void] = ACTIONS(1145),
    [anon_sym_delete] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1143),
    [sym_number] = ACTIONS(1143),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [sym_null] = ACTIONS(1145),
    [sym_undefined] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_readonly] = ACTIONS(1145),
    [anon_sym_get] = ACTIONS(1145),
    [anon_sym_set] = ACTIONS(1145),
    [anon_sym_declare] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_override] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_any] = ACTIONS(1145),
    [anon_sym_number] = ACTIONS(1145),
    [anon_sym_boolean] = ACTIONS(1145),
    [anon_sym_string] = ACTIONS(1145),
    [anon_sym_symbol] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_interface] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [sym__automatic_semicolon] = ACTIONS(1143),
  },
  [95] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1269),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym__formal_parameter] = STATE(3324),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3861),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(1887),
    [sym_identifier] = ACTIONS(1147),
    [anon_sym_export] = ACTIONS(527),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_namespace] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(527),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_declare] = ACTIONS(527),
    [anon_sym_public] = ACTIONS(557),
    [anon_sym_private] = ACTIONS(557),
    [anon_sym_protected] = ACTIONS(557),
    [anon_sym_override] = ACTIONS(559),
    [anon_sym_module] = ACTIONS(527),
    [anon_sym_any] = ACTIONS(527),
    [anon_sym_number] = ACTIONS(527),
    [anon_sym_boolean] = ACTIONS(527),
    [anon_sym_string] = ACTIONS(527),
    [anon_sym_symbol] = ACTIONS(527),
  },
  [96] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1159),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_as] = ACTIONS(1159),
    [anon_sym_namespace] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_typeof] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_var] = ACTIONS(1159),
    [anon_sym_let] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_await] = ACTIONS(1159),
    [anon_sym_in] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_with] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_debugger] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_yield] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1159),
    [anon_sym_SLASH] = ACTIONS(1159),
    [anon_sym_DOT] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_async] = ACTIONS(1159),
    [anon_sym_function] = ACTIONS(1159),
    [anon_sym_QMARK_DOT] = ACTIONS(1157),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_QMARK] = ACTIONS(1159),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_GT_GT_GT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_STAR_STAR] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_QMARK_QMARK] = ACTIONS(1157),
    [anon_sym_instanceof] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_void] = ACTIONS(1159),
    [anon_sym_delete] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1157),
    [sym_number] = ACTIONS(1157),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [anon_sym_declare] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_override] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_any] = ACTIONS(1159),
    [anon_sym_number] = ACTIONS(1159),
    [anon_sym_boolean] = ACTIONS(1159),
    [anon_sym_string] = ACTIONS(1159),
    [anon_sym_symbol] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_interface] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [sym__automatic_semicolon] = ACTIONS(1157),
  },
  [97] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1163),
    [anon_sym_export] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_as] = ACTIONS(1163),
    [anon_sym_namespace] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_typeof] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1163),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_let] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_await] = ACTIONS(1163),
    [anon_sym_in] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_with] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_debugger] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_throw] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_yield] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_class] = ACTIONS(1163),
    [anon_sym_async] = ACTIONS(1163),
    [anon_sym_function] = ACTIONS(1163),
    [anon_sym_QMARK_DOT] = ACTIONS(1161),
    [anon_sym_new] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1161),
    [anon_sym_PIPE_PIPE] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_GT_GT_GT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_STAR_STAR] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1161),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1161),
    [anon_sym_QMARK_QMARK] = ACTIONS(1161),
    [anon_sym_instanceof] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_void] = ACTIONS(1163),
    [anon_sym_delete] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1161),
    [sym_number] = ACTIONS(1161),
    [sym_this] = ACTIONS(1163),
    [sym_super] = ACTIONS(1163),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_null] = ACTIONS(1163),
    [sym_undefined] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1163),
    [anon_sym_set] = ACTIONS(1163),
    [anon_sym_declare] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_any] = ACTIONS(1163),
    [anon_sym_number] = ACTIONS(1163),
    [anon_sym_boolean] = ACTIONS(1163),
    [anon_sym_string] = ACTIONS(1163),
    [anon_sym_symbol] = ACTIONS(1163),
    [anon_sym_abstract] = ACTIONS(1163),
    [anon_sym_interface] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [sym__automatic_semicolon] = ACTIONS(1161),
  },
  [98] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_export] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_type] = ACTIONS(1167),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_namespace] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1171),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_typeof] = ACTIONS(1167),
    [anon_sym_import] = ACTIONS(1167),
    [anon_sym_var] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_BANG] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_await] = ACTIONS(1167),
    [anon_sym_in] = ACTIONS(1169),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_with] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_debugger] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_throw] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_yield] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1167),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_class] = ACTIONS(1167),
    [anon_sym_async] = ACTIONS(1167),
    [anon_sym_function] = ACTIONS(1167),
    [anon_sym_QMARK_DOT] = ACTIONS(1171),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1171),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1171),
    [anon_sym_LT_LT] = ACTIONS(1171),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1171),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PERCENT] = ACTIONS(1171),
    [anon_sym_STAR_STAR] = ACTIONS(1171),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_EQ_EQ] = ACTIONS(1169),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1171),
    [anon_sym_BANG_EQ] = ACTIONS(1169),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1171),
    [anon_sym_GT_EQ] = ACTIONS(1171),
    [anon_sym_QMARK_QMARK] = ACTIONS(1171),
    [anon_sym_instanceof] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_void] = ACTIONS(1167),
    [anon_sym_delete] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1165),
    [sym_number] = ACTIONS(1165),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(1167),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_null] = ACTIONS(1167),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_readonly] = ACTIONS(1167),
    [anon_sym_get] = ACTIONS(1167),
    [anon_sym_set] = ACTIONS(1167),
    [anon_sym_declare] = ACTIONS(1167),
    [anon_sym_public] = ACTIONS(1167),
    [anon_sym_private] = ACTIONS(1167),
    [anon_sym_protected] = ACTIONS(1167),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1167),
    [anon_sym_any] = ACTIONS(1167),
    [anon_sym_number] = ACTIONS(1167),
    [anon_sym_boolean] = ACTIONS(1167),
    [anon_sym_string] = ACTIONS(1167),
    [anon_sym_symbol] = ACTIONS(1167),
    [anon_sym_abstract] = ACTIONS(1167),
    [anon_sym_interface] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [sym__automatic_semicolon] = ACTIONS(1173),
  },
  [99] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1193),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym__formal_parameter] = STATE(3324),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3686),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(1887),
    [sym_identifier] = ACTIONS(1147),
    [anon_sym_export] = ACTIONS(527),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_namespace] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_readonly] = ACTIONS(1155),
    [anon_sym_get] = ACTIONS(527),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_declare] = ACTIONS(527),
    [anon_sym_public] = ACTIONS(557),
    [anon_sym_private] = ACTIONS(557),
    [anon_sym_protected] = ACTIONS(557),
    [anon_sym_override] = ACTIONS(559),
    [anon_sym_module] = ACTIONS(527),
    [anon_sym_any] = ACTIONS(527),
    [anon_sym_number] = ACTIONS(527),
    [anon_sym_boolean] = ACTIONS(527),
    [anon_sym_string] = ACTIONS(527),
    [anon_sym_symbol] = ACTIONS(527),
  },
  [100] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_export] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_type] = ACTIONS(1177),
    [anon_sym_as] = ACTIONS(1179),
    [anon_sym_namespace] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_typeof] = ACTIONS(1177),
    [anon_sym_import] = ACTIONS(1177),
    [anon_sym_var] = ACTIONS(1177),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_const] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_else] = ACTIONS(1177),
    [anon_sym_if] = ACTIONS(1177),
    [anon_sym_switch] = ACTIONS(1177),
    [anon_sym_for] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_await] = ACTIONS(1177),
    [anon_sym_in] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_do] = ACTIONS(1177),
    [anon_sym_try] = ACTIONS(1177),
    [anon_sym_with] = ACTIONS(1177),
    [anon_sym_break] = ACTIONS(1177),
    [anon_sym_continue] = ACTIONS(1177),
    [anon_sym_debugger] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_yield] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_GT] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_DOT] = ACTIONS(1179),
    [anon_sym_class] = ACTIONS(1177),
    [anon_sym_async] = ACTIONS(1177),
    [anon_sym_function] = ACTIONS(1177),
    [anon_sym_QMARK_DOT] = ACTIONS(1181),
    [anon_sym_new] = ACTIONS(1177),
    [anon_sym_QMARK] = ACTIONS(1179),
    [anon_sym_AMP_AMP] = ACTIONS(1181),
    [anon_sym_PIPE_PIPE] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1179),
    [anon_sym_GT_GT_GT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_STAR_STAR] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1181),
    [anon_sym_BANG_EQ] = ACTIONS(1179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1181),
    [anon_sym_QMARK_QMARK] = ACTIONS(1181),
    [anon_sym_instanceof] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_void] = ACTIONS(1177),
    [anon_sym_delete] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1175),
    [anon_sym_SQUOTE] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [sym_number] = ACTIONS(1175),
    [sym_this] = ACTIONS(1177),
    [sym_super] = ACTIONS(1177),
    [sym_true] = ACTIONS(1177),
    [sym_false] = ACTIONS(1177),
    [sym_null] = ACTIONS(1177),
    [sym_undefined] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1177),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(1177),
    [anon_sym_set] = ACTIONS(1177),
    [anon_sym_declare] = ACTIONS(1177),
    [anon_sym_public] = ACTIONS(1177),
    [anon_sym_private] = ACTIONS(1177),
    [anon_sym_protected] = ACTIONS(1177),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_any] = ACTIONS(1177),
    [anon_sym_number] = ACTIONS(1177),
    [anon_sym_boolean] = ACTIONS(1177),
    [anon_sym_string] = ACTIONS(1177),
    [anon_sym_symbol] = ACTIONS(1177),
    [anon_sym_abstract] = ACTIONS(1177),
    [anon_sym_interface] = ACTIONS(1177),
    [anon_sym_enum] = ACTIONS(1177),
    [sym__automatic_semicolon] = ACTIONS(1183),
  },
  [101] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_export] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_type] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(1187),
    [anon_sym_namespace] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_typeof] = ACTIONS(1187),
    [anon_sym_import] = ACTIONS(1187),
    [anon_sym_var] = ACTIONS(1187),
    [anon_sym_let] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_await] = ACTIONS(1187),
    [anon_sym_in] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_try] = ACTIONS(1187),
    [anon_sym_with] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_debugger] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_yield] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_class] = ACTIONS(1187),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1187),
    [anon_sym_QMARK_DOT] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_GT_GT_GT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_QMARK_QMARK] = ACTIONS(1185),
    [anon_sym_instanceof] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_void] = ACTIONS(1187),
    [anon_sym_delete] = ACTIONS(1187),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1185),
    [sym_number] = ACTIONS(1185),
    [sym_this] = ACTIONS(1187),
    [sym_super] = ACTIONS(1187),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [sym_null] = ACTIONS(1187),
    [sym_undefined] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1185),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_readonly] = ACTIONS(1187),
    [anon_sym_get] = ACTIONS(1187),
    [anon_sym_set] = ACTIONS(1187),
    [anon_sym_declare] = ACTIONS(1187),
    [anon_sym_public] = ACTIONS(1187),
    [anon_sym_private] = ACTIONS(1187),
    [anon_sym_protected] = ACTIONS(1187),
    [anon_sym_override] = ACTIONS(1187),
    [anon_sym_module] = ACTIONS(1187),
    [anon_sym_any] = ACTIONS(1187),
    [anon_sym_number] = ACTIONS(1187),
    [anon_sym_boolean] = ACTIONS(1187),
    [anon_sym_string] = ACTIONS(1187),
    [anon_sym_symbol] = ACTIONS(1187),
    [anon_sym_abstract] = ACTIONS(1187),
    [anon_sym_interface] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [sym__automatic_semicolon] = ACTIONS(1185),
  },
  [102] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_as] = ACTIONS(1193),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(1191),
    [anon_sym_var] = ACTIONS(1191),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_in] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_with] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_debugger] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_throw] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_yield] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1191),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_class] = ACTIONS(1191),
    [anon_sym_async] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1191),
    [anon_sym_QMARK_DOT] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_QMARK] = ACTIONS(1193),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_GT_GT] = ACTIONS(1193),
    [anon_sym_GT_GT_GT] = ACTIONS(1195),
    [anon_sym_LT_LT] = ACTIONS(1195),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PERCENT] = ACTIONS(1195),
    [anon_sym_STAR_STAR] = ACTIONS(1195),
    [anon_sym_LT_EQ] = ACTIONS(1195),
    [anon_sym_EQ_EQ] = ACTIONS(1193),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1195),
    [anon_sym_BANG_EQ] = ACTIONS(1193),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1195),
    [anon_sym_GT_EQ] = ACTIONS(1195),
    [anon_sym_QMARK_QMARK] = ACTIONS(1195),
    [anon_sym_instanceof] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1189),
    [sym_number] = ACTIONS(1189),
    [sym_this] = ACTIONS(1191),
    [sym_super] = ACTIONS(1191),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_undefined] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(1189),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(1191),
    [anon_sym_interface] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [sym__automatic_semicolon] = ACTIONS(1197),
  },
  [103] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_type] = ACTIONS(1201),
    [anon_sym_as] = ACTIONS(1203),
    [anon_sym_namespace] = ACTIONS(1201),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_let] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_with] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_debugger] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_QMARK_DOT] = ACTIONS(1205),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_QMARK] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1205),
    [anon_sym_PIPE_PIPE] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1203),
    [anon_sym_GT_GT_GT] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1203),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_STAR_STAR] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_QMARK_QMARK] = ACTIONS(1205),
    [anon_sym_instanceof] = ACTIONS(1203),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1201),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1199),
    [sym_number] = ACTIONS(1199),
    [sym_this] = ACTIONS(1201),
    [sym_super] = ACTIONS(1201),
    [sym_true] = ACTIONS(1201),
    [sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_undefined] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1201),
    [anon_sym_readonly] = ACTIONS(1201),
    [anon_sym_get] = ACTIONS(1201),
    [anon_sym_set] = ACTIONS(1201),
    [anon_sym_declare] = ACTIONS(1201),
    [anon_sym_public] = ACTIONS(1201),
    [anon_sym_private] = ACTIONS(1201),
    [anon_sym_protected] = ACTIONS(1201),
    [anon_sym_override] = ACTIONS(1201),
    [anon_sym_module] = ACTIONS(1201),
    [anon_sym_any] = ACTIONS(1201),
    [anon_sym_number] = ACTIONS(1201),
    [anon_sym_boolean] = ACTIONS(1201),
    [anon_sym_string] = ACTIONS(1201),
    [anon_sym_symbol] = ACTIONS(1201),
    [anon_sym_abstract] = ACTIONS(1201),
    [anon_sym_interface] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [sym__automatic_semicolon] = ACTIONS(1207),
  },
  [104] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_type] = ACTIONS(1211),
    [anon_sym_as] = ACTIONS(1211),
    [anon_sym_namespace] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1211),
    [anon_sym_import] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_let] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_await] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_with] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_throw] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_yield] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1211),
    [anon_sym_GT] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1211),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1211),
    [anon_sym_async] = ACTIONS(1211),
    [anon_sym_function] = ACTIONS(1211),
    [anon_sym_QMARK_DOT] = ACTIONS(1209),
    [anon_sym_new] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_GT_GT_GT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_STAR_STAR] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_QMARK_QMARK] = ACTIONS(1209),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_void] = ACTIONS(1211),
    [anon_sym_delete] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1209),
    [sym_this] = ACTIONS(1211),
    [sym_super] = ACTIONS(1211),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [sym_undefined] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_readonly] = ACTIONS(1211),
    [anon_sym_get] = ACTIONS(1211),
    [anon_sym_set] = ACTIONS(1211),
    [anon_sym_declare] = ACTIONS(1211),
    [anon_sym_public] = ACTIONS(1211),
    [anon_sym_private] = ACTIONS(1211),
    [anon_sym_protected] = ACTIONS(1211),
    [anon_sym_override] = ACTIONS(1211),
    [anon_sym_module] = ACTIONS(1211),
    [anon_sym_any] = ACTIONS(1211),
    [anon_sym_number] = ACTIONS(1211),
    [anon_sym_boolean] = ACTIONS(1211),
    [anon_sym_string] = ACTIONS(1211),
    [anon_sym_symbol] = ACTIONS(1211),
    [anon_sym_abstract] = ACTIONS(1211),
    [anon_sym_interface] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [sym__automatic_semicolon] = ACTIONS(1209),
  },
  [105] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_export] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_type] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(1217),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_typeof] = ACTIONS(1215),
    [anon_sym_import] = ACTIONS(1215),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_await] = ACTIONS(1215),
    [anon_sym_in] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_with] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_debugger] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_yield] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_class] = ACTIONS(1215),
    [anon_sym_async] = ACTIONS(1215),
    [anon_sym_function] = ACTIONS(1215),
    [anon_sym_QMARK_DOT] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_QMARK] = ACTIONS(1217),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1217),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1219),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_QMARK_QMARK] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [sym_number] = ACTIONS(1213),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1215),
    [anon_sym_get] = ACTIONS(1215),
    [anon_sym_set] = ACTIONS(1215),
    [anon_sym_declare] = ACTIONS(1215),
    [anon_sym_public] = ACTIONS(1215),
    [anon_sym_private] = ACTIONS(1215),
    [anon_sym_protected] = ACTIONS(1215),
    [anon_sym_override] = ACTIONS(1215),
    [anon_sym_module] = ACTIONS(1215),
    [anon_sym_any] = ACTIONS(1215),
    [anon_sym_number] = ACTIONS(1215),
    [anon_sym_boolean] = ACTIONS(1215),
    [anon_sym_string] = ACTIONS(1215),
    [anon_sym_symbol] = ACTIONS(1215),
    [anon_sym_abstract] = ACTIONS(1215),
    [anon_sym_interface] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [sym__automatic_semicolon] = ACTIONS(1219),
  },
  [106] = {
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym_identifier] = ACTIONS(1223),
    [anon_sym_export] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_type] = ACTIONS(1223),
    [anon_sym_as] = ACTIONS(1225),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(1223),
    [anon_sym_import] = ACTIONS(1223),
    [anon_sym_var] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1223),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(1223),
    [anon_sym_with] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_debugger] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_throw] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_yield] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1223),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_class] = ACTIONS(1223),
    [anon_sym_async] = ACTIONS(1223),
    [anon_sym_function] = ACTIONS(1223),
    [anon_sym_QMARK_DOT] = ACTIONS(1227),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1227),
    [anon_sym_LT_LT] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1227),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(1227),
    [anon_sym_STAR_STAR] = ACTIONS(1227),
    [anon_sym_LT_EQ] = ACTIONS(1227),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1227),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_QMARK_QMARK] = ACTIONS(1227),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_void] = ACTIONS(1223),
    [anon_sym_delete] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1221),
    [sym_number] = ACTIONS(1221),
    [sym_this] = ACTIONS(1223),
    [sym_super] = ACTIONS(1223),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [sym_null] = ACTIONS(1223),
    [sym_undefined] = ACTIONS(1223),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_readonly] = ACTIONS(1223),
    [anon_sym_get] = ACTIONS(1223),
    [anon_sym_set] = ACTIONS(1223),
    [anon_sym_declare] = ACTIONS(1223),
    [anon_sym_public] = ACTIONS(1223),
    [anon_sym_private] = ACTIONS(1223),
    [anon_sym_protected] = ACTIONS(1223),
    [anon_sym_override] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1223),
    [anon_sym_any] = ACTIONS(1223),
    [anon_sym_number] = ACTIONS(1223),
    [anon_sym_boolean] = ACTIONS(1223),
    [anon_sym_string] = ACTIONS(1223),
    [anon_sym_symbol] = ACTIONS(1223),
    [anon_sym_abstract] = ACTIONS(1223),
    [anon_sym_interface] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [sym__automatic_semicolon] = ACTIONS(1229),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(1231),
    [sym_identifier] = ACTIONS(1233),
    [anon_sym_export] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_type] = ACTIONS(1233),
    [anon_sym_as] = ACTIONS(1235),
    [anon_sym_namespace] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [anon_sym_typeof] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1233),
    [anon_sym_var] = ACTIONS(1233),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_if] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1233),
    [anon_sym_for] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_await] = ACTIONS(1233),
    [anon_sym_in] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1233),
    [anon_sym_do] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1233),
    [anon_sym_with] = ACTIONS(1233),
    [anon_sym_break] = ACTIONS(1233),
    [anon_sym_continue] = ACTIONS(1233),
    [anon_sym_debugger] = ACTIONS(1233),
    [anon_sym_return] = ACTIONS(1233),
    [anon_sym_throw] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_yield] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1235),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_QMARK_DOT] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_QMARK] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_GT_GT_GT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_STAR_STAR] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK] = ACTIONS(1237),
    [anon_sym_instanceof] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(1231),
    [anon_sym_void] = ACTIONS(1233),
    [anon_sym_delete] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(1231),
    [anon_sym_SQUOTE] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1231),
    [sym_number] = ACTIONS(1231),
    [sym_this] = ACTIONS(1233),
    [sym_super] = ACTIONS(1233),
    [sym_true] = ACTIONS(1233),
    [sym_false] = ACTIONS(1233),
    [sym_null] = ACTIONS(1233),
    [sym_undefined] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_readonly] = ACTIONS(1233),
    [anon_sym_get] = ACTIONS(1233),
    [anon_sym_set] = ACTIONS(1233),
    [anon_sym_declare] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_override] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1233),
    [anon_sym_any] = ACTIONS(1233),
    [anon_sym_number] = ACTIONS(1233),
    [anon_sym_boolean] = ACTIONS(1233),
    [anon_sym_string] = ACTIONS(1233),
    [anon_sym_symbol] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [sym__automatic_semicolon] = ACTIONS(1239),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_identifier] = ACTIONS(1243),
    [anon_sym_export] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_type] = ACTIONS(1243),
    [anon_sym_as] = ACTIONS(1245),
    [anon_sym_namespace] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1247),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_typeof] = ACTIONS(1243),
    [anon_sym_import] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1243),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_LPAREN] = ACTIONS(1241),
    [anon_sym_await] = ACTIONS(1243),
    [anon_sym_in] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1243),
    [anon_sym_with] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_debugger] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_throw] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_yield] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1243),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_class] = ACTIONS(1243),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1243),
    [anon_sym_QMARK_DOT] = ACTIONS(1247),
    [anon_sym_new] = ACTIONS(1243),
    [anon_sym_QMARK] = ACTIONS(1245),
    [anon_sym_AMP_AMP] = ACTIONS(1247),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1245),
    [anon_sym_GT_GT_GT] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PERCENT] = ACTIONS(1247),
    [anon_sym_STAR_STAR] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_EQ_EQ] = ACTIONS(1245),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1245),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_QMARK_QMARK] = ACTIONS(1247),
    [anon_sym_instanceof] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_void] = ACTIONS(1243),
    [anon_sym_delete] = ACTIONS(1243),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1241),
    [sym_number] = ACTIONS(1241),
    [sym_this] = ACTIONS(1243),
    [sym_super] = ACTIONS(1243),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [sym_null] = ACTIONS(1243),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(1241),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_readonly] = ACTIONS(1243),
    [anon_sym_get] = ACTIONS(1243),
    [anon_sym_set] = ACTIONS(1243),
    [anon_sym_declare] = ACTIONS(1243),
    [anon_sym_public] = ACTIONS(1243),
    [anon_sym_private] = ACTIONS(1243),
    [anon_sym_protected] = ACTIONS(1243),
    [anon_sym_override] = ACTIONS(1243),
    [anon_sym_module] = ACTIONS(1243),
    [anon_sym_any] = ACTIONS(1243),
    [anon_sym_number] = ACTIONS(1243),
    [anon_sym_boolean] = ACTIONS(1243),
    [anon_sym_string] = ACTIONS(1243),
    [anon_sym_symbol] = ACTIONS(1243),
    [anon_sym_abstract] = ACTIONS(1243),
    [anon_sym_interface] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [sym__automatic_semicolon] = ACTIONS(1249),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(1251),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1253),
    [anon_sym_type] = ACTIONS(1253),
    [anon_sym_as] = ACTIONS(1255),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_COMMA] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1251),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(1253),
    [anon_sym_var] = ACTIONS(1253),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_else] = ACTIONS(1253),
    [anon_sym_if] = ACTIONS(1253),
    [anon_sym_switch] = ACTIONS(1253),
    [anon_sym_for] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1251),
    [anon_sym_await] = ACTIONS(1253),
    [anon_sym_in] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1253),
    [anon_sym_do] = ACTIONS(1253),
    [anon_sym_try] = ACTIONS(1253),
    [anon_sym_with] = ACTIONS(1253),
    [anon_sym_break] = ACTIONS(1253),
    [anon_sym_continue] = ACTIONS(1253),
    [anon_sym_debugger] = ACTIONS(1253),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_throw] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1253),
    [anon_sym_yield] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1251),
    [anon_sym_LT] = ACTIONS(1253),
    [anon_sym_GT] = ACTIONS(1255),
    [anon_sym_SLASH] = ACTIONS(1253),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_class] = ACTIONS(1253),
    [anon_sym_async] = ACTIONS(1253),
    [anon_sym_function] = ACTIONS(1253),
    [anon_sym_QMARK_DOT] = ACTIONS(1257),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_QMARK] = ACTIONS(1255),
    [anon_sym_AMP_AMP] = ACTIONS(1257),
    [anon_sym_PIPE_PIPE] = ACTIONS(1257),
    [anon_sym_GT_GT] = ACTIONS(1255),
    [anon_sym_GT_GT_GT] = ACTIONS(1257),
    [anon_sym_LT_LT] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_PERCENT] = ACTIONS(1257),
    [anon_sym_STAR_STAR] = ACTIONS(1257),
    [anon_sym_LT_EQ] = ACTIONS(1257),
    [anon_sym_EQ_EQ] = ACTIONS(1255),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1257),
    [anon_sym_BANG_EQ] = ACTIONS(1255),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1257),
    [anon_sym_GT_EQ] = ACTIONS(1257),
    [anon_sym_QMARK_QMARK] = ACTIONS(1257),
    [anon_sym_instanceof] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1251),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1251),
    [anon_sym_DQUOTE] = ACTIONS(1251),
    [anon_sym_SQUOTE] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1251),
    [sym_number] = ACTIONS(1251),
    [sym_this] = ACTIONS(1253),
    [sym_super] = ACTIONS(1253),
    [sym_true] = ACTIONS(1253),
    [sym_false] = ACTIONS(1253),
    [sym_null] = ACTIONS(1253),
    [sym_undefined] = ACTIONS(1253),
    [anon_sym_AT] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1253),
    [anon_sym_readonly] = ACTIONS(1253),
    [anon_sym_get] = ACTIONS(1253),
    [anon_sym_set] = ACTIONS(1253),
    [anon_sym_declare] = ACTIONS(1253),
    [anon_sym_public] = ACTIONS(1253),
    [anon_sym_private] = ACTIONS(1253),
    [anon_sym_protected] = ACTIONS(1253),
    [anon_sym_override] = ACTIONS(1253),
    [anon_sym_module] = ACTIONS(1253),
    [anon_sym_any] = ACTIONS(1253),
    [anon_sym_number] = ACTIONS(1253),
    [anon_sym_boolean] = ACTIONS(1253),
    [anon_sym_string] = ACTIONS(1253),
    [anon_sym_symbol] = ACTIONS(1253),
    [anon_sym_abstract] = ACTIONS(1253),
    [anon_sym_interface] = ACTIONS(1253),
    [anon_sym_enum] = ACTIONS(1253),
    [sym__automatic_semicolon] = ACTIONS(1259),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_type] = ACTIONS(1263),
    [anon_sym_as] = ACTIONS(1265),
    [anon_sym_namespace] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_typeof] = ACTIONS(1263),
    [anon_sym_import] = ACTIONS(1263),
    [anon_sym_var] = ACTIONS(1263),
    [anon_sym_let] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_await] = ACTIONS(1263),
    [anon_sym_in] = ACTIONS(1265),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(1263),
    [anon_sym_with] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_debugger] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_throw] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_yield] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1263),
    [anon_sym_GT] = ACTIONS(1265),
    [anon_sym_SLASH] = ACTIONS(1263),
    [anon_sym_DOT] = ACTIONS(1265),
    [anon_sym_class] = ACTIONS(1263),
    [anon_sym_async] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_QMARK_DOT] = ACTIONS(1267),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1265),
    [anon_sym_AMP_AMP] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1265),
    [anon_sym_GT_GT_GT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_CARET] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_STAR_STAR] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ] = ACTIONS(1265),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1267),
    [anon_sym_BANG_EQ] = ACTIONS(1265),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1267),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_QMARK_QMARK] = ACTIONS(1267),
    [anon_sym_instanceof] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_void] = ACTIONS(1263),
    [anon_sym_delete] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1261),
    [sym_number] = ACTIONS(1261),
    [sym_this] = ACTIONS(1263),
    [sym_super] = ACTIONS(1263),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [sym_null] = ACTIONS(1263),
    [sym_undefined] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(1261),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_readonly] = ACTIONS(1263),
    [anon_sym_get] = ACTIONS(1263),
    [anon_sym_set] = ACTIONS(1263),
    [anon_sym_declare] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1263),
    [anon_sym_private] = ACTIONS(1263),
    [anon_sym_protected] = ACTIONS(1263),
    [anon_sym_override] = ACTIONS(1263),
    [anon_sym_module] = ACTIONS(1263),
    [anon_sym_any] = ACTIONS(1263),
    [anon_sym_number] = ACTIONS(1263),
    [anon_sym_boolean] = ACTIONS(1263),
    [anon_sym_string] = ACTIONS(1263),
    [anon_sym_symbol] = ACTIONS(1263),
    [anon_sym_abstract] = ACTIONS(1263),
    [anon_sym_interface] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [sym__automatic_semicolon] = ACTIONS(1269),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [anon_sym_type] = ACTIONS(1273),
    [anon_sym_as] = ACTIONS(1273),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_DOT] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_QMARK_DOT] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_QMARK] = ACTIONS(1273),
    [anon_sym_AMP_AMP] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1273),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1271),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_QMARK_QMARK] = ACTIONS(1271),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1271),
    [anon_sym_SQUOTE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_number] = ACTIONS(1271),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_readonly] = ACTIONS(1273),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
    [anon_sym_declare] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_override] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_any] = ACTIONS(1273),
    [anon_sym_number] = ACTIONS(1273),
    [anon_sym_boolean] = ACTIONS(1273),
    [anon_sym_string] = ACTIONS(1273),
    [anon_sym_symbol] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [sym__automatic_semicolon] = ACTIONS(1271),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1277),
    [anon_sym_export] = ACTIONS(1277),
    [anon_sym_STAR] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1277),
    [anon_sym_type] = ACTIONS(1277),
    [anon_sym_as] = ACTIONS(1279),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_COMMA] = ACTIONS(1281),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [anon_sym_typeof] = ACTIONS(1277),
    [anon_sym_import] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_const] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_switch] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1275),
    [anon_sym_await] = ACTIONS(1277),
    [anon_sym_in] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(1277),
    [anon_sym_with] = ACTIONS(1277),
    [anon_sym_break] = ACTIONS(1277),
    [anon_sym_continue] = ACTIONS(1277),
    [anon_sym_debugger] = ACTIONS(1277),
    [anon_sym_return] = ACTIONS(1277),
    [anon_sym_throw] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1277),
    [anon_sym_yield] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_GT] = ACTIONS(1279),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_class] = ACTIONS(1277),
    [anon_sym_async] = ACTIONS(1277),
    [anon_sym_function] = ACTIONS(1277),
    [anon_sym_QMARK_DOT] = ACTIONS(1281),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1281),
    [anon_sym_PIPE_PIPE] = ACTIONS(1281),
    [anon_sym_GT_GT] = ACTIONS(1279),
    [anon_sym_GT_GT_GT] = ACTIONS(1281),
    [anon_sym_LT_LT] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1279),
    [anon_sym_CARET] = ACTIONS(1281),
    [anon_sym_PIPE] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(1281),
    [anon_sym_STAR_STAR] = ACTIONS(1281),
    [anon_sym_LT_EQ] = ACTIONS(1281),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1281),
    [anon_sym_BANG_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1281),
    [anon_sym_GT_EQ] = ACTIONS(1281),
    [anon_sym_QMARK_QMARK] = ACTIONS(1281),
    [anon_sym_instanceof] = ACTIONS(1279),
    [anon_sym_TILDE] = ACTIONS(1275),
    [anon_sym_void] = ACTIONS(1277),
    [anon_sym_delete] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1275),
    [anon_sym_DQUOTE] = ACTIONS(1275),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1275),
    [sym_number] = ACTIONS(1275),
    [sym_this] = ACTIONS(1277),
    [sym_super] = ACTIONS(1277),
    [sym_true] = ACTIONS(1277),
    [sym_false] = ACTIONS(1277),
    [sym_null] = ACTIONS(1277),
    [sym_undefined] = ACTIONS(1277),
    [anon_sym_AT] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1277),
    [anon_sym_readonly] = ACTIONS(1277),
    [anon_sym_get] = ACTIONS(1277),
    [anon_sym_set] = ACTIONS(1277),
    [anon_sym_declare] = ACTIONS(1277),
    [anon_sym_public] = ACTIONS(1277),
    [anon_sym_private] = ACTIONS(1277),
    [anon_sym_protected] = ACTIONS(1277),
    [anon_sym_override] = ACTIONS(1277),
    [anon_sym_module] = ACTIONS(1277),
    [anon_sym_any] = ACTIONS(1277),
    [anon_sym_number] = ACTIONS(1277),
    [anon_sym_boolean] = ACTIONS(1277),
    [anon_sym_string] = ACTIONS(1277),
    [anon_sym_symbol] = ACTIONS(1277),
    [anon_sym_abstract] = ACTIONS(1277),
    [anon_sym_interface] = ACTIONS(1277),
    [anon_sym_enum] = ACTIONS(1277),
    [sym__automatic_semicolon] = ACTIONS(1283),
  },
  [113] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1287),
    [anon_sym_var] = ACTIONS(1287),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1287),
    [anon_sym_else] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_debugger] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_throw] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_yield] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1287),
    [anon_sym_GT] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1287),
    [anon_sym_QMARK_DOT] = ACTIONS(1285),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1285),
    [anon_sym_PIPE_PIPE] = ACTIONS(1285),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_GT_GT_GT] = ACTIONS(1285),
    [anon_sym_LT_LT] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_CARET] = ACTIONS(1285),
    [anon_sym_PIPE] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [anon_sym_STAR_STAR] = ACTIONS(1285),
    [anon_sym_LT_EQ] = ACTIONS(1285),
    [anon_sym_EQ_EQ] = ACTIONS(1287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1285),
    [anon_sym_BANG_EQ] = ACTIONS(1287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1285),
    [anon_sym_GT_EQ] = ACTIONS(1285),
    [anon_sym_QMARK_QMARK] = ACTIONS(1285),
    [anon_sym_instanceof] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_abstract] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [sym__automatic_semicolon] = ACTIONS(1285),
  },
  [114] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_as] = ACTIONS(1101),
    [anon_sym_namespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_let] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_else] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_in] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_with] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_debugger] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_throw] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1101),
    [anon_sym_class] = ACTIONS(1101),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_QMARK_DOT] = ACTIONS(1099),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_QMARK] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(1099),
    [anon_sym_PIPE_PIPE] = ACTIONS(1099),
    [anon_sym_GT_GT] = ACTIONS(1101),
    [anon_sym_GT_GT_GT] = ACTIONS(1099),
    [anon_sym_LT_LT] = ACTIONS(1099),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_CARET] = ACTIONS(1099),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1099),
    [anon_sym_STAR_STAR] = ACTIONS(1099),
    [anon_sym_LT_EQ] = ACTIONS(1099),
    [anon_sym_EQ_EQ] = ACTIONS(1101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1099),
    [anon_sym_BANG_EQ] = ACTIONS(1101),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1099),
    [anon_sym_GT_EQ] = ACTIONS(1099),
    [anon_sym_QMARK_QMARK] = ACTIONS(1099),
    [anon_sym_instanceof] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_delete] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1099),
    [sym_number] = ACTIONS(1099),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(1101),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1099),
    [anon_sym_static] = ACTIONS(1101),
    [anon_sym_readonly] = ACTIONS(1101),
    [anon_sym_get] = ACTIONS(1101),
    [anon_sym_set] = ACTIONS(1101),
    [anon_sym_declare] = ACTIONS(1101),
    [anon_sym_public] = ACTIONS(1101),
    [anon_sym_private] = ACTIONS(1101),
    [anon_sym_protected] = ACTIONS(1101),
    [anon_sym_override] = ACTIONS(1101),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_any] = ACTIONS(1101),
    [anon_sym_number] = ACTIONS(1101),
    [anon_sym_boolean] = ACTIONS(1101),
    [anon_sym_string] = ACTIONS(1101),
    [anon_sym_symbol] = ACTIONS(1101),
    [anon_sym_abstract] = ACTIONS(1101),
    [anon_sym_interface] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [sym__automatic_semicolon] = ACTIONS(1289),
  },
  [115] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_export] = ACTIONS(1293),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_default] = ACTIONS(1293),
    [anon_sym_type] = ACTIONS(1293),
    [anon_sym_as] = ACTIONS(1293),
    [anon_sym_namespace] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_COMMA] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1293),
    [anon_sym_import] = ACTIONS(1293),
    [anon_sym_var] = ACTIONS(1293),
    [anon_sym_let] = ACTIONS(1293),
    [anon_sym_const] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_await] = ACTIONS(1293),
    [anon_sym_in] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_with] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_debugger] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_LBRACK] = ACTIONS(1291),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_DOT] = ACTIONS(1293),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_async] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(1293),
    [anon_sym_QMARK_DOT] = ACTIONS(1291),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_QMARK] = ACTIONS(1293),
    [anon_sym_AMP_AMP] = ACTIONS(1291),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_GT_GT] = ACTIONS(1293),
    [anon_sym_GT_GT_GT] = ACTIONS(1291),
    [anon_sym_LT_LT] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_PIPE] = ACTIONS(1293),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_PERCENT] = ACTIONS(1291),
    [anon_sym_STAR_STAR] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1293),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1291),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1291),
    [anon_sym_GT_EQ] = ACTIONS(1291),
    [anon_sym_QMARK_QMARK] = ACTIONS(1291),
    [anon_sym_instanceof] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(1293),
    [anon_sym_delete] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [anon_sym_SQUOTE] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1291),
    [sym_this] = ACTIONS(1293),
    [sym_super] = ACTIONS(1293),
    [sym_true] = ACTIONS(1293),
    [sym_false] = ACTIONS(1293),
    [sym_null] = ACTIONS(1293),
    [sym_undefined] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1293),
    [anon_sym_readonly] = ACTIONS(1293),
    [anon_sym_get] = ACTIONS(1293),
    [anon_sym_set] = ACTIONS(1293),
    [anon_sym_declare] = ACTIONS(1293),
    [anon_sym_public] = ACTIONS(1293),
    [anon_sym_private] = ACTIONS(1293),
    [anon_sym_protected] = ACTIONS(1293),
    [anon_sym_override] = ACTIONS(1293),
    [anon_sym_module] = ACTIONS(1293),
    [anon_sym_any] = ACTIONS(1293),
    [anon_sym_number] = ACTIONS(1293),
    [anon_sym_boolean] = ACTIONS(1293),
    [anon_sym_string] = ACTIONS(1293),
    [anon_sym_symbol] = ACTIONS(1293),
    [anon_sym_abstract] = ACTIONS(1293),
    [anon_sym_interface] = ACTIONS(1293),
    [anon_sym_enum] = ACTIONS(1293),
    [sym__automatic_semicolon] = ACTIONS(1291),
  },
  [116] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_as] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1287),
    [anon_sym_var] = ACTIONS(1287),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1287),
    [anon_sym_else] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_debugger] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_throw] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_yield] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1287),
    [anon_sym_GT] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1287),
    [anon_sym_QMARK_DOT] = ACTIONS(1285),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1285),
    [anon_sym_PIPE_PIPE] = ACTIONS(1285),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_GT_GT_GT] = ACTIONS(1285),
    [anon_sym_LT_LT] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_CARET] = ACTIONS(1285),
    [anon_sym_PIPE] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [anon_sym_STAR_STAR] = ACTIONS(1285),
    [anon_sym_LT_EQ] = ACTIONS(1285),
    [anon_sym_EQ_EQ] = ACTIONS(1287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1285),
    [anon_sym_BANG_EQ] = ACTIONS(1287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1285),
    [anon_sym_GT_EQ] = ACTIONS(1285),
    [anon_sym_QMARK_QMARK] = ACTIONS(1285),
    [anon_sym_instanceof] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_abstract] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [sym__automatic_semicolon] = ACTIONS(1295),
  },
  [117] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1312),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3321),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3317),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1301),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [118] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [119] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [120] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3321),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3317),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1309),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [121] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1311),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [122] = {
    [sym_import] = STATE(1602),
    [sym_expression_statement] = STATE(151),
    [sym_variable_declaration] = STATE(151),
    [sym_lexical_declaration] = STATE(151),
    [sym_empty_statement] = STATE(151),
    [sym_parenthesized_expression] = STATE(938),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3264),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3264),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(938),
    [sym_subscript_expression] = STATE(938),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3264),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(938),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_namespace] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1319),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_var] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1329),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
  },
  [123] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_RBRACE] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1331),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_RBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
    [anon_sym_extends] = ACTIONS(1333),
  },
  [124] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [125] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3321),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3317),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1301),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [126] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3369),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3376),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [127] = {
    [sym_import] = STATE(1602),
    [sym_expression_statement] = STATE(147),
    [sym_variable_declaration] = STATE(147),
    [sym_lexical_declaration] = STATE(147),
    [sym_empty_statement] = STATE(147),
    [sym_parenthesized_expression] = STATE(938),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3264),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3264),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(938),
    [sym_subscript_expression] = STATE(938),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3264),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(938),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_namespace] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1319),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_var] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1329),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
  },
  [128] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1741),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3289),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3289),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3289),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_mapped_type_clause] = STATE(3691),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_export] = ACTIONS(1341),
    [anon_sym_type] = ACTIONS(1341),
    [anon_sym_namespace] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_COMMA] = ACTIONS(1347),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_RBRACK] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1353),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_readonly] = ACTIONS(1341),
    [anon_sym_get] = ACTIONS(1341),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_declare] = ACTIONS(1341),
    [anon_sym_public] = ACTIONS(1341),
    [anon_sym_private] = ACTIONS(1341),
    [anon_sym_protected] = ACTIONS(1341),
    [anon_sym_override] = ACTIONS(1341),
    [anon_sym_module] = ACTIONS(1341),
    [anon_sym_any] = ACTIONS(1341),
    [anon_sym_number] = ACTIONS(1341),
    [anon_sym_boolean] = ACTIONS(1341),
    [anon_sym_string] = ACTIONS(1341),
    [anon_sym_symbol] = ACTIONS(1341),
  },
  [129] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_RBRACE] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
    [anon_sym_extends] = ACTIONS(1333),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1331),
    [sym__automatic_semicolon] = ACTIONS(1331),
  },
  [130] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3564),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3250),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3249),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [131] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3564),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3250),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3249),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1358),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [132] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3564),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_spread_element] = STATE(3250),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3249),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [133] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1663),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3289),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3289),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3289),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1366),
    [anon_sym_export] = ACTIONS(1368),
    [anon_sym_type] = ACTIONS(1368),
    [anon_sym_namespace] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_COMMA] = ACTIONS(1347),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_RBRACK] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_readonly] = ACTIONS(1368),
    [anon_sym_get] = ACTIONS(1368),
    [anon_sym_set] = ACTIONS(1368),
    [anon_sym_declare] = ACTIONS(1368),
    [anon_sym_public] = ACTIONS(1368),
    [anon_sym_private] = ACTIONS(1368),
    [anon_sym_protected] = ACTIONS(1368),
    [anon_sym_override] = ACTIONS(1368),
    [anon_sym_module] = ACTIONS(1368),
    [anon_sym_any] = ACTIONS(1368),
    [anon_sym_number] = ACTIONS(1368),
    [anon_sym_boolean] = ACTIONS(1368),
    [anon_sym_string] = ACTIONS(1368),
    [anon_sym_symbol] = ACTIONS(1368),
  },
  [134] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
    [anon_sym_extends] = ACTIONS(1333),
  },
  [135] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1330),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3196),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3187),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1376),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [136] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_extends] = ACTIONS(1333),
  },
  [137] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
    [anon_sym_extends] = ACTIONS(1333),
  },
  [138] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1354),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3177),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3178),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [139] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1365),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3312),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3311),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1382),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [140] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1334),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3377),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3378),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [141] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1345),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3341),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3342),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1386),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [142] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1343),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3257),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [aux_sym_array_repeat1] = STATE(3258),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1388),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [143] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
    [anon_sym_extends] = ACTIONS(1333),
  },
  [144] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_spread_element] = STATE(3250),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1390),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [145] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1533),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_extends] = ACTIONS(1333),
  },
  [146] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(2547),
    [sym_assignment_pattern] = STATE(3634),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(2547),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(2547),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_pattern] = STATE(3184),
    [sym_rest_pattern] = STATE(2548),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(427),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(457),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_public] = ACTIONS(427),
    [anon_sym_private] = ACTIONS(427),
    [anon_sym_protected] = ACTIONS(427),
    [anon_sym_override] = ACTIONS(427),
    [anon_sym_module] = ACTIONS(427),
    [anon_sym_any] = ACTIONS(427),
    [anon_sym_number] = ACTIONS(427),
    [anon_sym_boolean] = ACTIONS(427),
    [anon_sym_string] = ACTIONS(427),
    [anon_sym_symbol] = ACTIONS(427),
  },
  [147] = {
    [sym_import] = STATE(1602),
    [sym_expression_statement] = STATE(165),
    [sym_empty_statement] = STATE(165),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [148] = {
    [sym_export_clause] = STATE(3126),
    [sym_declaration] = STATE(600),
    [sym_namespace_import] = STATE(3413),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1433),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [149] = {
    [sym_export_clause] = STATE(3126),
    [sym_declaration] = STATE(600),
    [sym_namespace_import] = STATE(3413),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1433),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [150] = {
    [sym_export_clause] = STATE(3126),
    [sym_declaration] = STATE(600),
    [sym_namespace_import] = STATE(3413),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1433),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [151] = {
    [sym_import] = STATE(1602),
    [sym_expression_statement] = STATE(164),
    [sym_empty_statement] = STATE(164),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3409),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [152] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1445),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [153] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [154] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1340),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3437),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(1449),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
    [sym__automatic_semicolon] = ACTIONS(1449),
  },
  [155] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1451),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [156] = {
    [sym_import] = STATE(1476),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1453),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [157] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(980),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3251),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3251),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(980),
    [sym_subscript_expression] = STATE(980),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3251),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(980),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1455),
    [anon_sym_export] = ACTIONS(1457),
    [anon_sym_type] = ACTIONS(1457),
    [anon_sym_namespace] = ACTIONS(1459),
    [anon_sym_LBRACE] = ACTIONS(1461),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_var] = ACTIONS(1463),
    [anon_sym_let] = ACTIONS(1463),
    [anon_sym_const] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1467),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(1469),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_get] = ACTIONS(1457),
    [anon_sym_set] = ACTIONS(1457),
    [anon_sym_declare] = ACTIONS(1457),
    [anon_sym_public] = ACTIONS(1457),
    [anon_sym_private] = ACTIONS(1457),
    [anon_sym_protected] = ACTIONS(1457),
    [anon_sym_override] = ACTIONS(1457),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_any] = ACTIONS(1457),
    [anon_sym_number] = ACTIONS(1457),
    [anon_sym_boolean] = ACTIONS(1457),
    [anon_sym_string] = ACTIONS(1457),
    [anon_sym_symbol] = ACTIONS(1457),
  },
  [158] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [159] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [160] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [161] = {
    [sym_import] = STATE(1074),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1477),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [162] = {
    [sym_import] = STATE(1476),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1533),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym__type_query_member_expression] = STATE(2063),
    [sym__type_query_subscript_expression] = STATE(2064),
    [sym__type_query_call_expression] = STATE(2088),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [163] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym__type_query_member_expression] = STATE(2098),
    [sym__type_query_subscript_expression] = STATE(2096),
    [sym__type_query_call_expression] = STATE(2225),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [164] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1447),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3733),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [165] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3821),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_RPAREN] = ACTIONS(1485),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [166] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1296),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1638),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [167] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1736),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1229),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [168] = {
    [sym_export_clause] = STATE(3126),
    [sym_declaration] = STATE(600),
    [sym_namespace_import] = STATE(3413),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1491),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1433),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [169] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1173),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3072),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [170] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1497),
    [anon_sym_type] = ACTIONS(1497),
    [anon_sym_namespace] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1503),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_get] = ACTIONS(1497),
    [anon_sym_set] = ACTIONS(1497),
    [anon_sym_declare] = ACTIONS(1497),
    [anon_sym_public] = ACTIONS(1497),
    [anon_sym_private] = ACTIONS(1497),
    [anon_sym_protected] = ACTIONS(1497),
    [anon_sym_override] = ACTIONS(1497),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_any] = ACTIONS(1497),
    [anon_sym_number] = ACTIONS(1497),
    [anon_sym_boolean] = ACTIONS(1497),
    [anon_sym_string] = ACTIONS(1497),
    [anon_sym_symbol] = ACTIONS(1497),
  },
  [171] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1741),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_mapped_type_clause] = STATE(3691),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1507),
    [anon_sym_type] = ACTIONS(1507),
    [anon_sym_namespace] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1511),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1507),
    [anon_sym_readonly] = ACTIONS(1507),
    [anon_sym_get] = ACTIONS(1507),
    [anon_sym_set] = ACTIONS(1507),
    [anon_sym_declare] = ACTIONS(1507),
    [anon_sym_public] = ACTIONS(1507),
    [anon_sym_private] = ACTIONS(1507),
    [anon_sym_protected] = ACTIONS(1507),
    [anon_sym_override] = ACTIONS(1507),
    [anon_sym_module] = ACTIONS(1507),
    [anon_sym_any] = ACTIONS(1507),
    [anon_sym_number] = ACTIONS(1507),
    [anon_sym_boolean] = ACTIONS(1507),
    [anon_sym_string] = ACTIONS(1507),
    [anon_sym_symbol] = ACTIONS(1507),
  },
  [172] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1235),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1672),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [173] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1666),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1409),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [174] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1195),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [175] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1741),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_mapped_type_clause] = STATE(3852),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_export] = ACTIONS(1517),
    [anon_sym_type] = ACTIONS(1517),
    [anon_sym_namespace] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1521),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(1517),
    [anon_sym_get] = ACTIONS(1517),
    [anon_sym_set] = ACTIONS(1517),
    [anon_sym_declare] = ACTIONS(1517),
    [anon_sym_public] = ACTIONS(1517),
    [anon_sym_private] = ACTIONS(1517),
    [anon_sym_protected] = ACTIONS(1517),
    [anon_sym_override] = ACTIONS(1517),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_any] = ACTIONS(1517),
    [anon_sym_number] = ACTIONS(1517),
    [anon_sym_boolean] = ACTIONS(1517),
    [anon_sym_string] = ACTIONS(1517),
    [anon_sym_symbol] = ACTIONS(1517),
  },
  [176] = {
    [sym_declaration] = STATE(521),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1527),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [177] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1195),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1668),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [178] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1583),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1411),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [179] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1736),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [180] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1277),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1611),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [181] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1302),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1616),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [182] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(957),
    [sym_expression] = STATE(1800),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(957),
    [sym_subscript_expression] = STATE(957),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(957),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_export] = ACTIONS(1533),
    [anon_sym_type] = ACTIONS(1533),
    [anon_sym_namespace] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(1539),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1543),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_get] = ACTIONS(1533),
    [anon_sym_set] = ACTIONS(1533),
    [anon_sym_declare] = ACTIONS(1533),
    [anon_sym_public] = ACTIONS(1533),
    [anon_sym_private] = ACTIONS(1533),
    [anon_sym_protected] = ACTIONS(1533),
    [anon_sym_override] = ACTIONS(1533),
    [anon_sym_module] = ACTIONS(1533),
    [anon_sym_any] = ACTIONS(1533),
    [anon_sym_number] = ACTIONS(1533),
    [anon_sym_boolean] = ACTIONS(1533),
    [anon_sym_string] = ACTIONS(1533),
    [anon_sym_symbol] = ACTIONS(1533),
  },
  [183] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1296),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1617),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [184] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1601),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1491),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [185] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1235),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1145),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [186] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1234),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1698),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [187] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3829),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [188] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1234),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1644),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [189] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(957),
    [sym_expression] = STATE(1800),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(957),
    [sym_subscript_expression] = STATE(957),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2825),
    [sym_non_null_expression] = STATE(957),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1531),
    [anon_sym_export] = ACTIONS(1533),
    [anon_sym_type] = ACTIONS(1533),
    [anon_sym_namespace] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(1539),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1543),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_get] = ACTIONS(1533),
    [anon_sym_set] = ACTIONS(1533),
    [anon_sym_declare] = ACTIONS(1533),
    [anon_sym_public] = ACTIONS(1533),
    [anon_sym_private] = ACTIONS(1533),
    [anon_sym_protected] = ACTIONS(1533),
    [anon_sym_override] = ACTIONS(1533),
    [anon_sym_module] = ACTIONS(1533),
    [anon_sym_any] = ACTIONS(1533),
    [anon_sym_number] = ACTIONS(1533),
    [anon_sym_boolean] = ACTIONS(1533),
    [anon_sym_string] = ACTIONS(1533),
    [anon_sym_symbol] = ACTIONS(1533),
  },
  [190] = {
    [sym_declaration] = STATE(521),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1527),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [191] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1579),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [192] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1302),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1084),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [193] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1302),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1637),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [194] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1296),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1095),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [195] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1523),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3817),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [196] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1521),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3816),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [197] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1609),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1286),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [198] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1392),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3839),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [199] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1195),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1657),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [200] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__formal_parameter] = STATE(3324),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3060),
    [sym_constructor_type] = STATE(3060),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3060),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3060),
    [sym_union_type] = STATE(3060),
    [sym_intersection_type] = STATE(3060),
    [sym_function_type] = STATE(3060),
    [aux_sym_export_statement_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1549),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(1551),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [201] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3811),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [202] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1235),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1375),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [203] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1277),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [204] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__formal_parameter] = STATE(3324),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3113),
    [sym_constructor_type] = STATE(3113),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3113),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3113),
    [sym_union_type] = STATE(3113),
    [sym_intersection_type] = STATE(3113),
    [sym_function_type] = STATE(3113),
    [aux_sym_export_statement_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1549),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(1551),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [205] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1195),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1352),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [206] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1277),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1636),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [207] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1583),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1236),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [208] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1301),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3700),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [209] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1274),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3916),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [210] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2944),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3516),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_export] = ACTIONS(1559),
    [anon_sym_type] = ACTIONS(1559),
    [anon_sym_namespace] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1559),
    [anon_sym_readonly] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1559),
    [anon_sym_set] = ACTIONS(1559),
    [anon_sym_declare] = ACTIONS(1559),
    [anon_sym_public] = ACTIONS(1559),
    [anon_sym_private] = ACTIONS(1559),
    [anon_sym_protected] = ACTIONS(1559),
    [anon_sym_override] = ACTIONS(1559),
    [anon_sym_module] = ACTIONS(1559),
    [anon_sym_any] = ACTIONS(1559),
    [anon_sym_number] = ACTIONS(1559),
    [anon_sym_boolean] = ACTIONS(1559),
    [anon_sym_string] = ACTIONS(1559),
    [anon_sym_symbol] = ACTIONS(1559),
  },
  [211] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1666),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1244),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [212] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2825),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_export] = ACTIONS(1567),
    [anon_sym_type] = ACTIONS(1567),
    [anon_sym_namespace] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1567),
    [anon_sym_get] = ACTIONS(1567),
    [anon_sym_set] = ACTIONS(1567),
    [anon_sym_declare] = ACTIONS(1567),
    [anon_sym_public] = ACTIONS(1567),
    [anon_sym_private] = ACTIONS(1567),
    [anon_sym_protected] = ACTIONS(1567),
    [anon_sym_override] = ACTIONS(1567),
    [anon_sym_module] = ACTIONS(1567),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
  },
  [213] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_export] = ACTIONS(1567),
    [anon_sym_type] = ACTIONS(1567),
    [anon_sym_namespace] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1571),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1567),
    [anon_sym_get] = ACTIONS(1567),
    [anon_sym_set] = ACTIONS(1567),
    [anon_sym_declare] = ACTIONS(1567),
    [anon_sym_public] = ACTIONS(1567),
    [anon_sym_private] = ACTIONS(1567),
    [anon_sym_protected] = ACTIONS(1567),
    [anon_sym_override] = ACTIONS(1567),
    [anon_sym_module] = ACTIONS(1567),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
  },
  [214] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1234),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1141),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [215] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1235),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1631),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [216] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2825),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [217] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2825),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1497),
    [anon_sym_type] = ACTIONS(1497),
    [anon_sym_namespace] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1503),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_get] = ACTIONS(1497),
    [anon_sym_set] = ACTIONS(1497),
    [anon_sym_declare] = ACTIONS(1497),
    [anon_sym_public] = ACTIONS(1497),
    [anon_sym_private] = ACTIONS(1497),
    [anon_sym_protected] = ACTIONS(1497),
    [anon_sym_override] = ACTIONS(1497),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_any] = ACTIONS(1497),
    [anon_sym_number] = ACTIONS(1497),
    [anon_sym_boolean] = ACTIONS(1497),
    [anon_sym_string] = ACTIONS(1497),
    [anon_sym_symbol] = ACTIONS(1497),
  },
  [218] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1601),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1207),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [219] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1609),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1503),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [220] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [221] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_export] = ACTIONS(1559),
    [anon_sym_type] = ACTIONS(1559),
    [anon_sym_namespace] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1559),
    [anon_sym_readonly] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1559),
    [anon_sym_set] = ACTIONS(1559),
    [anon_sym_declare] = ACTIONS(1559),
    [anon_sym_public] = ACTIONS(1559),
    [anon_sym_private] = ACTIONS(1559),
    [anon_sym_protected] = ACTIONS(1559),
    [anon_sym_override] = ACTIONS(1559),
    [anon_sym_module] = ACTIONS(1559),
    [anon_sym_any] = ACTIONS(1559),
    [anon_sym_number] = ACTIONS(1559),
    [anon_sym_boolean] = ACTIONS(1559),
    [anon_sym_string] = ACTIONS(1559),
    [anon_sym_symbol] = ACTIONS(1559),
  },
  [222] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(957),
    [sym_expression] = STATE(1800),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(957),
    [sym_subscript_expression] = STATE(957),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(957),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_export] = ACTIONS(1575),
    [anon_sym_type] = ACTIONS(1575),
    [anon_sym_namespace] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1543),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1575),
    [anon_sym_readonly] = ACTIONS(1575),
    [anon_sym_get] = ACTIONS(1575),
    [anon_sym_set] = ACTIONS(1575),
    [anon_sym_declare] = ACTIONS(1575),
    [anon_sym_public] = ACTIONS(1575),
    [anon_sym_private] = ACTIONS(1575),
    [anon_sym_protected] = ACTIONS(1575),
    [anon_sym_override] = ACTIONS(1575),
    [anon_sym_module] = ACTIONS(1575),
    [anon_sym_any] = ACTIONS(1575),
    [anon_sym_number] = ACTIONS(1575),
    [anon_sym_boolean] = ACTIONS(1575),
    [anon_sym_string] = ACTIONS(1575),
    [anon_sym_symbol] = ACTIONS(1575),
  },
  [223] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2825),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_export] = ACTIONS(1559),
    [anon_sym_type] = ACTIONS(1559),
    [anon_sym_namespace] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(1563),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1559),
    [anon_sym_readonly] = ACTIONS(1559),
    [anon_sym_get] = ACTIONS(1559),
    [anon_sym_set] = ACTIONS(1559),
    [anon_sym_declare] = ACTIONS(1559),
    [anon_sym_public] = ACTIONS(1559),
    [anon_sym_private] = ACTIONS(1559),
    [anon_sym_protected] = ACTIONS(1559),
    [anon_sym_override] = ACTIONS(1559),
    [anon_sym_module] = ACTIONS(1559),
    [anon_sym_any] = ACTIONS(1559),
    [anon_sym_number] = ACTIONS(1559),
    [anon_sym_boolean] = ACTIONS(1559),
    [anon_sym_string] = ACTIONS(1559),
    [anon_sym_symbol] = ACTIONS(1559),
  },
  [224] = {
    [sym_export_clause] = STATE(3126),
    [sym_declaration] = STATE(600),
    [sym_namespace_import] = STATE(3413),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_EQ] = ACTIONS(1491),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1433),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [225] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(957),
    [sym_expression] = STATE(1800),
    [sym_primary_expression] = STATE(1370),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(957),
    [sym_subscript_expression] = STATE(957),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2825),
    [sym_non_null_expression] = STATE(957),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_export] = ACTIONS(1575),
    [anon_sym_type] = ACTIONS(1575),
    [anon_sym_namespace] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1543),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1575),
    [anon_sym_readonly] = ACTIONS(1575),
    [anon_sym_get] = ACTIONS(1575),
    [anon_sym_set] = ACTIONS(1575),
    [anon_sym_declare] = ACTIONS(1575),
    [anon_sym_public] = ACTIONS(1575),
    [anon_sym_private] = ACTIONS(1575),
    [anon_sym_protected] = ACTIONS(1575),
    [anon_sym_override] = ACTIONS(1575),
    [anon_sym_module] = ACTIONS(1575),
    [anon_sym_any] = ACTIONS(1575),
    [anon_sym_number] = ACTIONS(1575),
    [anon_sym_boolean] = ACTIONS(1575),
    [anon_sym_string] = ACTIONS(1575),
    [anon_sym_symbol] = ACTIONS(1575),
  },
  [226] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1342),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3440),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [227] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1563),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3661),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [228] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1383),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3777),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [229] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1321),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_sequence_expression] = STATE(3611),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [230] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1530),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3679),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [231] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1037),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [232] = {
    [sym_declaration] = STATE(521),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1527),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [233] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1277),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [234] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__formal_parameter] = STATE(3324),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3136),
    [sym_constructor_type] = STATE(3136),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3136),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3136),
    [sym_union_type] = STATE(3136),
    [sym_intersection_type] = STATE(3136),
    [sym_function_type] = STATE(3136),
    [aux_sym_export_statement_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1549),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(1551),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [235] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1302),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1319),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [236] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__formal_parameter] = STATE(3324),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3118),
    [sym_constructor_type] = STATE(3118),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3118),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3118),
    [sym_union_type] = STATE(3118),
    [sym_intersection_type] = STATE(3118),
    [sym_function_type] = STATE(3118),
    [aux_sym_export_statement_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1549),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(1551),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [237] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1482),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_sequence_expression] = STATE(3769),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [238] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1296),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1329),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [239] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__formal_parameter] = STATE(3324),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2856),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym_accessibility_modifier] = STATE(1971),
    [sym_override_modifier] = STATE(1994),
    [sym_required_parameter] = STATE(3324),
    [sym_optional_parameter] = STATE(3324),
    [sym__parameter_name] = STATE(2552),
    [sym__type] = STATE(3064),
    [sym_constructor_type] = STATE(3064),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3064),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3064),
    [sym_union_type] = STATE(3064),
    [sym_intersection_type] = STATE(3064),
    [sym_function_type] = STATE(3064),
    [aux_sym_export_statement_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1549),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(1551),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [240] = {
    [sym_import] = STATE(1602),
    [sym_statement_block] = STATE(1671),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1303),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [241] = {
    [sym_import] = STATE(1276),
    [sym_statement_block] = STATE(1234),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1333),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [242] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [243] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [244] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1585),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [245] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [246] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1359),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [247] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1323),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [248] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [249] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [250] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1589),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [251] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1707),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [252] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [253] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3058),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3058),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3058),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1587),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [254] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1332),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [255] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1606),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [256] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1299),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [257] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1337),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [258] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1324),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [259] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1338),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [260] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [261] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1258),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [262] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1339),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [263] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [264] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1364),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [265] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [266] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1278),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [267] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [268] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1683),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [269] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1432),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [270] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1138),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [271] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [272] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1293),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [273] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1669),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [274] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1344),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [275] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1347),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [276] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1598),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [277] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1189),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [278] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1190),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [279] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1191),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [280] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [281] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1200),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [282] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [283] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1202),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [284] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [285] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [286] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1206),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [287] = {
    [sym_object_pattern] = STATE(2548),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1593),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_RBRACK] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1599),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(1601),
    [anon_sym_number] = ACTIONS(1601),
    [anon_sym_boolean] = ACTIONS(1601),
    [anon_sym_string] = ACTIONS(1601),
    [anon_sym_symbol] = ACTIONS(1601),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [288] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1584),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [289] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1348),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [290] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(1603),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [291] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1605),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [292] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1208),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [293] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1213),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [294] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1349),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [295] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1487),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [296] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1514),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [297] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1625),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [298] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1605),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [299] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1607),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [300] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1350),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [301] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1665),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [302] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1351),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [303] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1515),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [304] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1377),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [305] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1697),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [306] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1053),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [307] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1661),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [308] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3290),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3290),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3290),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [309] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [310] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1660),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [311] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1659),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [312] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1378),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [313] = {
    [sym_object_pattern] = STATE(2548),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3179),
    [sym_optional_tuple_parameter] = STATE(3179),
    [sym_optional_type] = STATE(3179),
    [sym_rest_type] = STATE(3179),
    [sym__tuple_type_member] = STATE(3179),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1611),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_RBRACK] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1599),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(1601),
    [anon_sym_number] = ACTIONS(1601),
    [anon_sym_boolean] = ACTIONS(1601),
    [anon_sym_string] = ACTIONS(1601),
    [anon_sym_symbol] = ACTIONS(1601),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [314] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1385),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [315] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1656),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [316] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1514),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(1615),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [317] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1379),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [318] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1376),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [319] = {
    [sym_object_pattern] = STATE(2548),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1593),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1599),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(1601),
    [anon_sym_number] = ACTIONS(1601),
    [anon_sym_boolean] = ACTIONS(1601),
    [anon_sym_string] = ACTIONS(1601),
    [anon_sym_symbol] = ACTIONS(1601),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [320] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1065),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [321] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [322] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1653),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [323] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1314),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [324] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1652),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [325] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1373),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [326] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1586),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [327] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [328] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1144),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [329] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1578),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [330] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1361),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3887),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3887),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3876),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2117),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3887),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(966),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(325),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_export] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_namespace] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(695),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_void] = ACTIONS(711),
    [anon_sym_delete] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_readonly] = ACTIONS(685),
    [anon_sym_get] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(685),
    [anon_sym_declare] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_override] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_any] = ACTIONS(685),
    [anon_sym_number] = ACTIONS(685),
    [anon_sym_boolean] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_symbol] = ACTIONS(685),
  },
  [331] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1699),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [332] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1650),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [333] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1649),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [334] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1146),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [335] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1623),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [336] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1610),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [337] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1619),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [338] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1605),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [339] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1580),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [340] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1196),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [341] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1544),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [342] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1663),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [343] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1148),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [344] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [345] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1619),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [346] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1605),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [347] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1582),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [348] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1629),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [349] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1630),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [350] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1139),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [351] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1153),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [352] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [353] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1648),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [354] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1142),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [355] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1381),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [356] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1701),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [357] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1550),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [358] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1572),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [359] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1646),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [360] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1513),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [361] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1711),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [362] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [363] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1511),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [364] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [365] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1255),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [366] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1510),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [367] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1509),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [368] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1729),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [369] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1507),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [370] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1632),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [371] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1485),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [372] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1182),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(1619),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [373] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1621),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [374] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1265),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [375] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1154),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [376] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1741),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [377] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(889),
    [sym_expression] = STATE(1642),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3897),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3897),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3655),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(889),
    [sym_subscript_expression] = STATE(889),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2123),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3897),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(889),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(242),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(747),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(755),
    [anon_sym_delete] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(757),
    [anon_sym_DASH_DASH] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(731),
    [anon_sym_private] = ACTIONS(731),
    [anon_sym_protected] = ACTIONS(731),
    [anon_sym_override] = ACTIONS(731),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
  },
  [378] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1703),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [379] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1155),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [380] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [381] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1156),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [382] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [383] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1158),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [384] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1164),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [385] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1639),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [386] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1160),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [387] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1072),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [388] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1182),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [389] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1662),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [390] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1180),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [391] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(955),
    [sym_expression] = STATE(1243),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3902),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3902),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3904),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(955),
    [sym_subscript_expression] = STATE(955),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2128),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3902),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(955),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(362),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_namespace] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_readonly] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [anon_sym_declare] = ACTIONS(775),
    [anon_sym_public] = ACTIONS(775),
    [anon_sym_private] = ACTIONS(775),
    [anon_sym_protected] = ACTIONS(775),
    [anon_sym_override] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(775),
    [anon_sym_any] = ACTIONS(775),
    [anon_sym_number] = ACTIONS(775),
    [anon_sym_boolean] = ACTIONS(775),
    [anon_sym_string] = ACTIONS(775),
    [anon_sym_symbol] = ACTIONS(775),
  },
  [392] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1682),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [393] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1171),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [394] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1688),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [395] = {
    [sym_object_pattern] = STATE(2548),
    [sym_assignment_pattern] = STATE(3323),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(3156),
    [sym_rest_pattern] = STATE(2987),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [aux_sym_array_pattern_repeat1] = STATE(3316),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1593),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_RBRACK] = ACTIONS(1623),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1599),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(1601),
    [anon_sym_number] = ACTIONS(1601),
    [anon_sym_boolean] = ACTIONS(1601),
    [anon_sym_string] = ACTIONS(1601),
    [anon_sym_symbol] = ACTIONS(1601),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [396] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1691),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [397] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1177),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [398] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1527),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [399] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1533),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [400] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1737),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [401] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(1625),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [402] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [403] = {
    [sym_import] = STATE(1602),
    [sym_parenthesized_expression] = STATE(973),
    [sym_expression] = STATE(1533),
    [sym_primary_expression] = STATE(1641),
    [sym_yield_expression] = STATE(1643),
    [sym_object] = STATE(1602),
    [sym_object_pattern] = STATE(3772),
    [sym_array] = STATE(1602),
    [sym_array_pattern] = STATE(3772),
    [sym_class] = STATE(1602),
    [sym_function] = STATE(1602),
    [sym_generator_function] = STATE(1602),
    [sym_arrow_function] = STATE(1602),
    [sym__call_signature] = STATE(3770),
    [sym_call_expression] = STATE(1602),
    [sym_new_expression] = STATE(1643),
    [sym_await_expression] = STATE(1643),
    [sym_member_expression] = STATE(973),
    [sym_subscript_expression] = STATE(973),
    [sym_assignment_expression] = STATE(1643),
    [sym__augmented_assignment_lhs] = STATE(2130),
    [sym_augmented_assignment_expression] = STATE(1643),
    [sym__destructuring_pattern] = STATE(3772),
    [sym_ternary_expression] = STATE(1643),
    [sym_binary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_string] = STATE(1602),
    [sym_template_string] = STATE(1602),
    [sym_regex] = STATE(1602),
    [sym_meta_property] = STATE(1602),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(973),
    [sym_type_assertion] = STATE(1643),
    [sym_as_expression] = STATE(1643),
    [sym_internal_module] = STATE(1643),
    [sym_type_arguments] = STATE(269),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3117),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_namespace] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_import] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_void] = ACTIONS(863),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(1603),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
  },
  [404] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(936),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3650),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3650),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3893),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2100),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3650),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(936),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(350),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(667),
    [anon_sym_namespace] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_void] = ACTIONS(475),
    [anon_sym_delete] = ACTIONS(475),
    [anon_sym_PLUS_PLUS] = ACTIONS(477),
    [anon_sym_DASH_DASH] = ACTIONS(477),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_readonly] = ACTIONS(667),
    [anon_sym_get] = ACTIONS(667),
    [anon_sym_set] = ACTIONS(667),
    [anon_sym_declare] = ACTIONS(667),
    [anon_sym_public] = ACTIONS(667),
    [anon_sym_private] = ACTIONS(667),
    [anon_sym_protected] = ACTIONS(667),
    [anon_sym_override] = ACTIONS(667),
    [anon_sym_module] = ACTIONS(667),
    [anon_sym_any] = ACTIONS(667),
    [anon_sym_number] = ACTIONS(667),
    [anon_sym_boolean] = ACTIONS(667),
    [anon_sym_string] = ACTIONS(667),
    [anon_sym_symbol] = ACTIONS(667),
  },
  [405] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1732),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [406] = {
    [sym_import] = STATE(1276),
    [sym_parenthesized_expression] = STATE(981),
    [sym_expression] = STATE(1747),
    [sym_primary_expression] = STATE(1283),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(1276),
    [sym_object_pattern] = STATE(3878),
    [sym_array] = STATE(1276),
    [sym_array_pattern] = STATE(3878),
    [sym_class] = STATE(1276),
    [sym_function] = STATE(1276),
    [sym_generator_function] = STATE(1276),
    [sym_arrow_function] = STATE(1276),
    [sym__call_signature] = STATE(3716),
    [sym_call_expression] = STATE(1276),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(981),
    [sym_subscript_expression] = STATE(981),
    [sym_assignment_expression] = STATE(1289),
    [sym__augmented_assignment_lhs] = STATE(2122),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym__destructuring_pattern] = STATE(3878),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_string] = STATE(1276),
    [sym_template_string] = STATE(1276),
    [sym_regex] = STATE(1276),
    [sym_meta_property] = STATE(1276),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2758),
    [sym_non_null_expression] = STATE(981),
    [sym_type_assertion] = STATE(1289),
    [sym_as_expression] = STATE(1289),
    [sym_internal_module] = STATE(1289),
    [sym_type_arguments] = STATE(348),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_export_statement_repeat1] = STATE(3129),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_typeof] = ACTIONS(915),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(907),
    [anon_sym_function] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(915),
    [anon_sym_DASH] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(901),
    [anon_sym_void] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(917),
    [anon_sym_DASH_DASH] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_null] = ACTIONS(489),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
  },
  [407] = {
    [sym__call_signature] = STATE(3834),
    [sym_string] = STATE(2778),
    [sym_formal_parameters] = STATE(2758),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_export] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1629),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1629),
    [anon_sym_readonly] = ACTIONS(1629),
    [anon_sym_get] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_declare] = ACTIONS(1629),
    [anon_sym_public] = ACTIONS(1629),
    [anon_sym_private] = ACTIONS(1629),
    [anon_sym_protected] = ACTIONS(1629),
    [anon_sym_override] = ACTIONS(1629),
    [anon_sym_module] = ACTIONS(1629),
    [anon_sym_any] = ACTIONS(1629),
    [anon_sym_number] = ACTIONS(1629),
    [anon_sym_boolean] = ACTIONS(1629),
    [anon_sym_string] = ACTIONS(1629),
    [anon_sym_symbol] = ACTIONS(1629),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [408] = {
    [sym__call_signature] = STATE(3834),
    [sym_string] = STATE(2778),
    [sym_formal_parameters] = STATE(2758),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_export] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1629),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1629),
    [anon_sym_readonly] = ACTIONS(1629),
    [anon_sym_get] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_declare] = ACTIONS(1629),
    [anon_sym_public] = ACTIONS(1629),
    [anon_sym_private] = ACTIONS(1629),
    [anon_sym_protected] = ACTIONS(1629),
    [anon_sym_override] = ACTIONS(1629),
    [anon_sym_module] = ACTIONS(1629),
    [anon_sym_any] = ACTIONS(1629),
    [anon_sym_number] = ACTIONS(1629),
    [anon_sym_boolean] = ACTIONS(1629),
    [anon_sym_string] = ACTIONS(1629),
    [anon_sym_symbol] = ACTIONS(1629),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [409] = {
    [sym__call_signature] = STATE(3834),
    [sym_string] = STATE(2778),
    [sym_formal_parameters] = STATE(2758),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [sym_type_parameters] = STATE(3410),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_export] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1629),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1629),
    [anon_sym_readonly] = ACTIONS(1629),
    [anon_sym_get] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_declare] = ACTIONS(1629),
    [anon_sym_public] = ACTIONS(1629),
    [anon_sym_private] = ACTIONS(1629),
    [anon_sym_protected] = ACTIONS(1629),
    [anon_sym_override] = ACTIONS(1629),
    [anon_sym_module] = ACTIONS(1629),
    [anon_sym_any] = ACTIONS(1629),
    [anon_sym_number] = ACTIONS(1629),
    [anon_sym_boolean] = ACTIONS(1629),
    [anon_sym_string] = ACTIONS(1629),
    [anon_sym_symbol] = ACTIONS(1629),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [410] = {
    [sym_declaration] = STATE(521),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1527),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [411] = {
    [sym_declaration] = STATE(521),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1527),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [412] = {
    [sym_declaration] = STATE(3041),
    [sym_variable_declaration] = STATE(3046),
    [sym_lexical_declaration] = STATE(3046),
    [sym_class_declaration] = STATE(3046),
    [sym_function_declaration] = STATE(3046),
    [sym_generator_function_declaration] = STATE(3046),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(3046),
    [sym_ambient_declaration] = STATE(3046),
    [sym_abstract_class_declaration] = STATE(3046),
    [sym_module] = STATE(3046),
    [sym_internal_module] = STATE(3043),
    [sym_import_alias] = STATE(3046),
    [sym_interface_declaration] = STATE(3046),
    [sym_enum_declaration] = STATE(3046),
    [sym_type_alias_declaration] = STATE(3046),
    [aux_sym_export_statement_repeat1] = STATE(2966),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1653),
    [anon_sym_import] = ACTIONS(1655),
    [anon_sym_var] = ACTIONS(1657),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1663),
    [anon_sym_async] = ACTIONS(1665),
    [anon_sym_function] = ACTIONS(1667),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1671),
    [anon_sym_abstract] = ACTIONS(1673),
    [anon_sym_global] = ACTIONS(1675),
    [anon_sym_interface] = ACTIONS(1677),
    [anon_sym_enum] = ACTIONS(1679),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [413] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [sym_override_modifier] = STATE(1999),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1683),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1685),
    [anon_sym_get] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1687),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1689),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [414] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [sym_override_modifier] = STATE(1999),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1683),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1685),
    [anon_sym_get] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1687),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1689),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [415] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [sym_override_modifier] = STATE(1999),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1683),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1685),
    [anon_sym_get] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1687),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1689),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [416] = {
    [sym_declaration] = STATE(521),
    [sym_variable_declaration] = STATE(621),
    [sym_lexical_declaration] = STATE(621),
    [sym_class_declaration] = STATE(621),
    [sym_function_declaration] = STATE(621),
    [sym_generator_function_declaration] = STATE(621),
    [sym_decorator] = STATE(2044),
    [sym_function_signature] = STATE(621),
    [sym_ambient_declaration] = STATE(621),
    [sym_abstract_class_declaration] = STATE(621),
    [sym_module] = STATE(621),
    [sym_internal_module] = STATE(598),
    [sym_import_alias] = STATE(621),
    [sym_interface_declaration] = STATE(621),
    [sym_enum_declaration] = STATE(621),
    [sym_type_alias_declaration] = STATE(621),
    [aux_sym_export_statement_repeat1] = STATE(2821),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1402),
    [anon_sym_import] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1410),
    [anon_sym_let] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_async] = ACTIONS(1427),
    [anon_sym_function] = ACTIONS(1429),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1527),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_interface] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1439),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [417] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1681),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1681),
    [anon_sym_get] = ACTIONS(1681),
    [anon_sym_set] = ACTIONS(1681),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(1691),
    [sym_identifier] = ACTIONS(1693),
    [anon_sym_export] = ACTIONS(1693),
    [anon_sym_default] = ACTIONS(1693),
    [anon_sym_type] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1691),
    [anon_sym_RBRACE] = ACTIONS(1691),
    [anon_sym_typeof] = ACTIONS(1693),
    [anon_sym_import] = ACTIONS(1693),
    [anon_sym_var] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1693),
    [anon_sym_const] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1691),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_switch] = ACTIONS(1693),
    [anon_sym_for] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1691),
    [anon_sym_RPAREN] = ACTIONS(1691),
    [anon_sym_await] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_try] = ACTIONS(1693),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(1693),
    [anon_sym_continue] = ACTIONS(1693),
    [anon_sym_debugger] = ACTIONS(1693),
    [anon_sym_return] = ACTIONS(1693),
    [anon_sym_throw] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1691),
    [anon_sym_COLON] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1693),
    [anon_sym_yield] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1691),
    [anon_sym_RBRACK] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_class] = ACTIONS(1693),
    [anon_sym_async] = ACTIONS(1693),
    [anon_sym_function] = ACTIONS(1693),
    [anon_sym_EQ_GT] = ACTIONS(1691),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1691),
    [anon_sym_void] = ACTIONS(1693),
    [anon_sym_delete] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1691),
    [anon_sym_DQUOTE] = ACTIONS(1691),
    [anon_sym_SQUOTE] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1691),
    [sym_number] = ACTIONS(1691),
    [sym_this] = ACTIONS(1693),
    [sym_super] = ACTIONS(1693),
    [sym_true] = ACTIONS(1693),
    [sym_false] = ACTIONS(1693),
    [sym_null] = ACTIONS(1693),
    [sym_undefined] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1693),
    [anon_sym_readonly] = ACTIONS(1693),
    [anon_sym_get] = ACTIONS(1693),
    [anon_sym_set] = ACTIONS(1693),
    [anon_sym_declare] = ACTIONS(1693),
    [anon_sym_public] = ACTIONS(1693),
    [anon_sym_private] = ACTIONS(1693),
    [anon_sym_protected] = ACTIONS(1693),
    [anon_sym_override] = ACTIONS(1693),
    [anon_sym_module] = ACTIONS(1693),
    [anon_sym_any] = ACTIONS(1693),
    [anon_sym_number] = ACTIONS(1693),
    [anon_sym_boolean] = ACTIONS(1693),
    [anon_sym_string] = ACTIONS(1693),
    [anon_sym_symbol] = ACTIONS(1693),
    [anon_sym_abstract] = ACTIONS(1693),
    [anon_sym_extends] = ACTIONS(1693),
    [anon_sym_interface] = ACTIONS(1693),
    [anon_sym_enum] = ACTIONS(1693),
  },
  [419] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1683),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1681),
    [anon_sym_get] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1687),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [420] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_pattern] = STATE(2994),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_EQ] = ACTIONS(1695),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(657),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(663),
    [anon_sym_number] = ACTIONS(663),
    [anon_sym_boolean] = ACTIONS(663),
    [anon_sym_string] = ACTIONS(663),
    [anon_sym_symbol] = ACTIONS(663),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [sym_identifier] = ACTIONS(1699),
    [anon_sym_export] = ACTIONS(1699),
    [anon_sym_default] = ACTIONS(1699),
    [anon_sym_type] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1699),
    [anon_sym_namespace] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [anon_sym_RBRACE] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym_import] = ACTIONS(1699),
    [anon_sym_var] = ACTIONS(1699),
    [anon_sym_let] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_else] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(1699),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_RPAREN] = ACTIONS(1697),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_while] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_with] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1699),
    [anon_sym_debugger] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1699),
    [anon_sym_throw] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1697),
    [anon_sym_case] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [anon_sym_RBRACK] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_class] = ACTIONS(1699),
    [anon_sym_async] = ACTIONS(1699),
    [anon_sym_function] = ACTIONS(1699),
    [anon_sym_EQ_GT] = ACTIONS(1697),
    [anon_sym_new] = ACTIONS(1699),
    [anon_sym_QMARK] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1699),
    [anon_sym_delete] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1697),
    [sym_number] = ACTIONS(1697),
    [sym_this] = ACTIONS(1699),
    [sym_super] = ACTIONS(1699),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [sym_null] = ACTIONS(1699),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1699),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_get] = ACTIONS(1699),
    [anon_sym_set] = ACTIONS(1699),
    [anon_sym_declare] = ACTIONS(1699),
    [anon_sym_public] = ACTIONS(1699),
    [anon_sym_private] = ACTIONS(1699),
    [anon_sym_protected] = ACTIONS(1699),
    [anon_sym_override] = ACTIONS(1699),
    [anon_sym_module] = ACTIONS(1699),
    [anon_sym_any] = ACTIONS(1699),
    [anon_sym_number] = ACTIONS(1699),
    [anon_sym_boolean] = ACTIONS(1699),
    [anon_sym_string] = ACTIONS(1699),
    [anon_sym_symbol] = ACTIONS(1699),
    [anon_sym_abstract] = ACTIONS(1699),
    [anon_sym_extends] = ACTIONS(1699),
    [anon_sym_interface] = ACTIONS(1699),
    [anon_sym_enum] = ACTIONS(1699),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1703),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_typeof] = ACTIONS(1703),
    [anon_sym_import] = ACTIONS(1703),
    [anon_sym_var] = ACTIONS(1703),
    [anon_sym_let] = ACTIONS(1703),
    [anon_sym_const] = ACTIONS(1703),
    [anon_sym_BANG] = ACTIONS(1701),
    [anon_sym_else] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1703),
    [anon_sym_switch] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [anon_sym_RPAREN] = ACTIONS(1701),
    [anon_sym_await] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1703),
    [anon_sym_try] = ACTIONS(1703),
    [anon_sym_with] = ACTIONS(1703),
    [anon_sym_break] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(1703),
    [anon_sym_debugger] = ACTIONS(1703),
    [anon_sym_return] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_COLON] = ACTIONS(1701),
    [anon_sym_case] = ACTIONS(1703),
    [anon_sym_yield] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1701),
    [anon_sym_GT] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1703),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(1703),
    [anon_sym_EQ_GT] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1703),
    [anon_sym_QMARK] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_void] = ACTIONS(1703),
    [anon_sym_delete] = ACTIONS(1703),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1701),
    [sym_number] = ACTIONS(1701),
    [sym_this] = ACTIONS(1703),
    [sym_super] = ACTIONS(1703),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [sym_null] = ACTIONS(1703),
    [sym_undefined] = ACTIONS(1703),
    [anon_sym_AT] = ACTIONS(1701),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1703),
    [anon_sym_set] = ACTIONS(1703),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [anon_sym_abstract] = ACTIONS(1703),
    [anon_sym_extends] = ACTIONS(1703),
    [anon_sym_interface] = ACTIONS(1703),
    [anon_sym_enum] = ACTIONS(1703),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym_identifier] = ACTIONS(1707),
    [anon_sym_export] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1707),
    [anon_sym_type] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_namespace] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_typeof] = ACTIONS(1707),
    [anon_sym_import] = ACTIONS(1707),
    [anon_sym_var] = ACTIONS(1707),
    [anon_sym_let] = ACTIONS(1707),
    [anon_sym_const] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_switch] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_with] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_debugger] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_throw] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_COLON] = ACTIONS(1705),
    [anon_sym_case] = ACTIONS(1707),
    [anon_sym_yield] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_RBRACK] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_function] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1705),
    [anon_sym_void] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1705),
    [sym_number] = ACTIONS(1705),
    [sym_this] = ACTIONS(1707),
    [sym_super] = ACTIONS(1707),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [sym_null] = ACTIONS(1707),
    [sym_undefined] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1705),
    [anon_sym_static] = ACTIONS(1707),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_get] = ACTIONS(1707),
    [anon_sym_set] = ACTIONS(1707),
    [anon_sym_declare] = ACTIONS(1707),
    [anon_sym_public] = ACTIONS(1707),
    [anon_sym_private] = ACTIONS(1707),
    [anon_sym_protected] = ACTIONS(1707),
    [anon_sym_override] = ACTIONS(1707),
    [anon_sym_module] = ACTIONS(1707),
    [anon_sym_any] = ACTIONS(1707),
    [anon_sym_number] = ACTIONS(1707),
    [anon_sym_boolean] = ACTIONS(1707),
    [anon_sym_string] = ACTIONS(1707),
    [anon_sym_symbol] = ACTIONS(1707),
    [anon_sym_abstract] = ACTIONS(1707),
    [anon_sym_extends] = ACTIONS(1707),
    [anon_sym_interface] = ACTIONS(1707),
    [anon_sym_enum] = ACTIONS(1707),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_export] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_type] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_namespace] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_typeof] = ACTIONS(1187),
    [anon_sym_import] = ACTIONS(1187),
    [anon_sym_var] = ACTIONS(1187),
    [anon_sym_let] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_RPAREN] = ACTIONS(1185),
    [anon_sym_await] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_try] = ACTIONS(1187),
    [anon_sym_with] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_debugger] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_yield] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_RBRACK] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_class] = ACTIONS(1187),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1187),
    [anon_sym_EQ_GT] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_void] = ACTIONS(1187),
    [anon_sym_delete] = ACTIONS(1187),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1185),
    [sym_number] = ACTIONS(1185),
    [sym_this] = ACTIONS(1187),
    [sym_super] = ACTIONS(1187),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [sym_null] = ACTIONS(1187),
    [sym_undefined] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1185),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_readonly] = ACTIONS(1187),
    [anon_sym_get] = ACTIONS(1187),
    [anon_sym_set] = ACTIONS(1187),
    [anon_sym_declare] = ACTIONS(1187),
    [anon_sym_public] = ACTIONS(1187),
    [anon_sym_private] = ACTIONS(1187),
    [anon_sym_protected] = ACTIONS(1187),
    [anon_sym_override] = ACTIONS(1187),
    [anon_sym_module] = ACTIONS(1187),
    [anon_sym_any] = ACTIONS(1187),
    [anon_sym_number] = ACTIONS(1187),
    [anon_sym_boolean] = ACTIONS(1187),
    [anon_sym_string] = ACTIONS(1187),
    [anon_sym_symbol] = ACTIONS(1187),
    [anon_sym_abstract] = ACTIONS(1187),
    [anon_sym_extends] = ACTIONS(1187),
    [anon_sym_interface] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_export] = ACTIONS(1293),
    [anon_sym_default] = ACTIONS(1293),
    [anon_sym_type] = ACTIONS(1293),
    [anon_sym_EQ] = ACTIONS(1293),
    [anon_sym_namespace] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_COMMA] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1293),
    [anon_sym_import] = ACTIONS(1293),
    [anon_sym_var] = ACTIONS(1293),
    [anon_sym_let] = ACTIONS(1293),
    [anon_sym_const] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_RPAREN] = ACTIONS(1291),
    [anon_sym_await] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_with] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_debugger] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_COLON] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_LBRACK] = ACTIONS(1291),
    [anon_sym_RBRACK] = ACTIONS(1291),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_GT] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_async] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(1293),
    [anon_sym_EQ_GT] = ACTIONS(1291),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_QMARK] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1291),
    [anon_sym_PIPE] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_void] = ACTIONS(1293),
    [anon_sym_delete] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [anon_sym_SQUOTE] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1291),
    [sym_this] = ACTIONS(1293),
    [sym_super] = ACTIONS(1293),
    [sym_true] = ACTIONS(1293),
    [sym_false] = ACTIONS(1293),
    [sym_null] = ACTIONS(1293),
    [sym_undefined] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1293),
    [anon_sym_readonly] = ACTIONS(1293),
    [anon_sym_get] = ACTIONS(1293),
    [anon_sym_set] = ACTIONS(1293),
    [anon_sym_declare] = ACTIONS(1293),
    [anon_sym_public] = ACTIONS(1293),
    [anon_sym_private] = ACTIONS(1293),
    [anon_sym_protected] = ACTIONS(1293),
    [anon_sym_override] = ACTIONS(1293),
    [anon_sym_module] = ACTIONS(1293),
    [anon_sym_any] = ACTIONS(1293),
    [anon_sym_number] = ACTIONS(1293),
    [anon_sym_boolean] = ACTIONS(1293),
    [anon_sym_string] = ACTIONS(1293),
    [anon_sym_symbol] = ACTIONS(1293),
    [anon_sym_abstract] = ACTIONS(1293),
    [anon_sym_extends] = ACTIONS(1293),
    [anon_sym_interface] = ACTIONS(1293),
    [anon_sym_enum] = ACTIONS(1293),
  },
  [426] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1683),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1681),
    [anon_sym_get] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1687),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [427] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1681),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1681),
    [anon_sym_get] = ACTIONS(1681),
    [anon_sym_set] = ACTIONS(1681),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [428] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1631),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1683),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1681),
    [anon_sym_get] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1687),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [429] = {
    [sym_string] = STATE(2778),
    [sym__property_name] = STATE(2778),
    [sym_computed_property_name] = STATE(2778),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_export] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1681),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1647),
    [sym_private_property_identifier] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1681),
    [anon_sym_readonly] = ACTIONS(1681),
    [anon_sym_get] = ACTIONS(1681),
    [anon_sym_set] = ACTIONS(1681),
    [anon_sym_declare] = ACTIONS(1681),
    [anon_sym_public] = ACTIONS(1681),
    [anon_sym_private] = ACTIONS(1681),
    [anon_sym_protected] = ACTIONS(1681),
    [anon_sym_override] = ACTIONS(1681),
    [anon_sym_module] = ACTIONS(1681),
    [anon_sym_any] = ACTIONS(1681),
    [anon_sym_number] = ACTIONS(1681),
    [anon_sym_boolean] = ACTIONS(1681),
    [anon_sym_string] = ACTIONS(1681),
    [anon_sym_symbol] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [sym_identifier] = ACTIONS(1711),
    [anon_sym_export] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_type] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_namespace] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_typeof] = ACTIONS(1711),
    [anon_sym_import] = ACTIONS(1711),
    [anon_sym_var] = ACTIONS(1711),
    [anon_sym_let] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_else] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_await] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_try] = ACTIONS(1711),
    [anon_sym_with] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_debugger] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_yield] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_class] = ACTIONS(1711),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_new] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_TILDE] = ACTIONS(1709),
    [anon_sym_void] = ACTIONS(1711),
    [anon_sym_delete] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1709),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1709),
    [sym_number] = ACTIONS(1709),
    [sym_this] = ACTIONS(1711),
    [sym_super] = ACTIONS(1711),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [sym_null] = ACTIONS(1711),
    [sym_undefined] = ACTIONS(1711),
    [anon_sym_AT] = ACTIONS(1709),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_readonly] = ACTIONS(1711),
    [anon_sym_get] = ACTIONS(1711),
    [anon_sym_set] = ACTIONS(1711),
    [anon_sym_declare] = ACTIONS(1711),
    [anon_sym_public] = ACTIONS(1711),
    [anon_sym_private] = ACTIONS(1711),
    [anon_sym_protected] = ACTIONS(1711),
    [anon_sym_override] = ACTIONS(1711),
    [anon_sym_module] = ACTIONS(1711),
    [anon_sym_any] = ACTIONS(1711),
    [anon_sym_number] = ACTIONS(1711),
    [anon_sym_boolean] = ACTIONS(1711),
    [anon_sym_string] = ACTIONS(1711),
    [anon_sym_symbol] = ACTIONS(1711),
    [anon_sym_abstract] = ACTIONS(1711),
    [anon_sym_extends] = ACTIONS(1711),
    [anon_sym_interface] = ACTIONS(1711),
    [anon_sym_enum] = ACTIONS(1711),
  },
  [431] = {
    [sym_object_pattern] = STATE(2548),
    [sym_assignment_pattern] = STATE(3634),
    [sym_array_pattern] = STATE(2548),
    [sym_nested_identifier] = STATE(3658),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_string] = STATE(2352),
    [sym_formal_parameters] = STATE(3675),
    [sym_pattern] = STATE(3184),
    [sym_rest_pattern] = STATE(2548),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2368),
    [sym_constructor_type] = STATE(2368),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2368),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3617),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2368),
    [sym_union_type] = STATE(2368),
    [sym_intersection_type] = STATE(2368),
    [sym_function_type] = STATE(2368),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1715),
    [anon_sym_typeof] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1073),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(1077),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(1721),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(1723),
    [anon_sym_number] = ACTIONS(1723),
    [anon_sym_boolean] = ACTIONS(1723),
    [anon_sym_string] = ACTIONS(1723),
    [anon_sym_symbol] = ACTIONS(1723),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [432] = {
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_type] = ACTIONS(1725),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1725),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1725),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1727),
    [sym_private_property_identifier] = ACTIONS(1727),
    [anon_sym_static] = ACTIONS(1725),
    [anon_sym_readonly] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1725),
    [anon_sym_set] = ACTIONS(1725),
    [anon_sym_declare] = ACTIONS(1725),
    [anon_sym_public] = ACTIONS(1725),
    [anon_sym_private] = ACTIONS(1725),
    [anon_sym_protected] = ACTIONS(1725),
    [anon_sym_override] = ACTIONS(1725),
    [anon_sym_module] = ACTIONS(1725),
    [anon_sym_any] = ACTIONS(1725),
    [anon_sym_number] = ACTIONS(1725),
    [anon_sym_boolean] = ACTIONS(1725),
    [anon_sym_string] = ACTIONS(1725),
    [anon_sym_symbol] = ACTIONS(1725),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [433] = {
    [sym_object_pattern] = STATE(2548),
    [sym_array_pattern] = STATE(2548),
    [sym__destructuring_pattern] = STATE(2548),
    [sym_pattern] = STATE(2994),
    [sym_rest_pattern] = STATE(2548),
    [sym_identifier] = ACTIONS(1729),
    [anon_sym_export] = ACTIONS(611),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(611),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_this] = ACTIONS(1739),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_readonly] = ACTIONS(611),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_declare] = ACTIONS(611),
    [anon_sym_public] = ACTIONS(611),
    [anon_sym_private] = ACTIONS(611),
    [anon_sym_protected] = ACTIONS(611),
    [anon_sym_override] = ACTIONS(611),
    [anon_sym_module] = ACTIONS(611),
    [anon_sym_any] = ACTIONS(611),
    [anon_sym_number] = ACTIONS(611),
    [anon_sym_boolean] = ACTIONS(611),
    [anon_sym_string] = ACTIONS(611),
    [anon_sym_symbol] = ACTIONS(611),
  },
  [434] = {
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1743),
    [sym_private_property_identifier] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [435] = {
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_type] = ACTIONS(1725),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1725),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1725),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1727),
    [sym_private_property_identifier] = ACTIONS(1727),
    [anon_sym_static] = ACTIONS(1725),
    [anon_sym_readonly] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1725),
    [anon_sym_set] = ACTIONS(1725),
    [anon_sym_declare] = ACTIONS(1725),
    [anon_sym_public] = ACTIONS(1725),
    [anon_sym_private] = ACTIONS(1725),
    [anon_sym_protected] = ACTIONS(1725),
    [anon_sym_override] = ACTIONS(1725),
    [anon_sym_module] = ACTIONS(1725),
    [anon_sym_any] = ACTIONS(1725),
    [anon_sym_number] = ACTIONS(1725),
    [anon_sym_boolean] = ACTIONS(1725),
    [anon_sym_string] = ACTIONS(1725),
    [anon_sym_symbol] = ACTIONS(1725),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [436] = {
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1743),
    [sym_private_property_identifier] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [437] = {
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1743),
    [sym_private_property_identifier] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [438] = {
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_type] = ACTIONS(1725),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1725),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1725),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_number] = ACTIONS(1727),
    [sym_private_property_identifier] = ACTIONS(1727),
    [anon_sym_static] = ACTIONS(1725),
    [anon_sym_readonly] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1725),
    [anon_sym_set] = ACTIONS(1725),
    [anon_sym_declare] = ACTIONS(1725),
    [anon_sym_public] = ACTIONS(1725),
    [anon_sym_private] = ACTIONS(1725),
    [anon_sym_protected] = ACTIONS(1725),
    [anon_sym_override] = ACTIONS(1725),
    [anon_sym_module] = ACTIONS(1725),
    [anon_sym_any] = ACTIONS(1725),
    [anon_sym_number] = ACTIONS(1725),
    [anon_sym_boolean] = ACTIONS(1725),
    [anon_sym_string] = ACTIONS(1725),
    [anon_sym_symbol] = ACTIONS(1725),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [439] = {
    [sym__call_signature] = STATE(3925),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1747),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1747),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1747),
    [anon_sym_readonly] = ACTIONS(1747),
    [anon_sym_get] = ACTIONS(1747),
    [anon_sym_set] = ACTIONS(1747),
    [anon_sym_declare] = ACTIONS(1747),
    [anon_sym_public] = ACTIONS(1747),
    [anon_sym_private] = ACTIONS(1747),
    [anon_sym_protected] = ACTIONS(1747),
    [anon_sym_override] = ACTIONS(1747),
    [anon_sym_module] = ACTIONS(1747),
    [anon_sym_any] = ACTIONS(1747),
    [anon_sym_number] = ACTIONS(1747),
    [anon_sym_boolean] = ACTIONS(1747),
    [anon_sym_string] = ACTIONS(1747),
    [anon_sym_symbol] = ACTIONS(1747),
  },
  [440] = {
    [sym__call_signature] = STATE(3925),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1747),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1033),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1747),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1747),
    [anon_sym_readonly] = ACTIONS(1747),
    [anon_sym_get] = ACTIONS(1747),
    [anon_sym_set] = ACTIONS(1747),
    [anon_sym_declare] = ACTIONS(1747),
    [anon_sym_public] = ACTIONS(1747),
    [anon_sym_private] = ACTIONS(1747),
    [anon_sym_protected] = ACTIONS(1747),
    [anon_sym_override] = ACTIONS(1747),
    [anon_sym_module] = ACTIONS(1747),
    [anon_sym_any] = ACTIONS(1747),
    [anon_sym_number] = ACTIONS(1747),
    [anon_sym_boolean] = ACTIONS(1747),
    [anon_sym_string] = ACTIONS(1747),
    [anon_sym_symbol] = ACTIONS(1747),
  },
  [441] = {
    [sym__call_signature] = STATE(3834),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [442] = {
    [sym__call_signature] = STATE(3834),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [443] = {
    [sym__call_signature] = STATE(3834),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [444] = {
    [sym__call_signature] = STATE(3834),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_of] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [445] = {
    [sym__call_signature] = STATE(3834),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [446] = {
    [sym__call_signature] = STATE(3720),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_export] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1774),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(1772),
    [anon_sym_set] = ACTIONS(1772),
    [anon_sym_declare] = ACTIONS(1772),
    [anon_sym_public] = ACTIONS(1772),
    [anon_sym_private] = ACTIONS(1772),
    [anon_sym_protected] = ACTIONS(1772),
    [anon_sym_override] = ACTIONS(1772),
    [anon_sym_module] = ACTIONS(1772),
    [anon_sym_any] = ACTIONS(1772),
    [anon_sym_number] = ACTIONS(1772),
    [anon_sym_boolean] = ACTIONS(1772),
    [anon_sym_string] = ACTIONS(1772),
    [anon_sym_symbol] = ACTIONS(1772),
  },
  [447] = {
    [sym__call_signature] = STATE(3925),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1747),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1747),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1747),
    [anon_sym_readonly] = ACTIONS(1747),
    [anon_sym_get] = ACTIONS(1747),
    [anon_sym_set] = ACTIONS(1747),
    [anon_sym_declare] = ACTIONS(1747),
    [anon_sym_public] = ACTIONS(1747),
    [anon_sym_private] = ACTIONS(1747),
    [anon_sym_protected] = ACTIONS(1747),
    [anon_sym_override] = ACTIONS(1747),
    [anon_sym_module] = ACTIONS(1747),
    [anon_sym_any] = ACTIONS(1747),
    [anon_sym_number] = ACTIONS(1747),
    [anon_sym_boolean] = ACTIONS(1747),
    [anon_sym_string] = ACTIONS(1747),
    [anon_sym_symbol] = ACTIONS(1747),
  },
  [448] = {
    [sym__call_signature] = STATE(3925),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1747),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1747),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1747),
    [anon_sym_readonly] = ACTIONS(1747),
    [anon_sym_get] = ACTIONS(1747),
    [anon_sym_set] = ACTIONS(1747),
    [anon_sym_declare] = ACTIONS(1747),
    [anon_sym_public] = ACTIONS(1747),
    [anon_sym_private] = ACTIONS(1747),
    [anon_sym_protected] = ACTIONS(1747),
    [anon_sym_override] = ACTIONS(1747),
    [anon_sym_module] = ACTIONS(1747),
    [anon_sym_any] = ACTIONS(1747),
    [anon_sym_number] = ACTIONS(1747),
    [anon_sym_boolean] = ACTIONS(1747),
    [anon_sym_string] = ACTIONS(1747),
    [anon_sym_symbol] = ACTIONS(1747),
  },
  [449] = {
    [sym__call_signature] = STATE(3881),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_readonly] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_declare] = ACTIONS(1781),
    [anon_sym_public] = ACTIONS(1781),
    [anon_sym_private] = ACTIONS(1781),
    [anon_sym_protected] = ACTIONS(1781),
    [anon_sym_override] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_any] = ACTIONS(1781),
    [anon_sym_number] = ACTIONS(1781),
    [anon_sym_boolean] = ACTIONS(1781),
    [anon_sym_string] = ACTIONS(1781),
    [anon_sym_symbol] = ACTIONS(1781),
    [anon_sym_implements] = ACTIONS(618),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1287),
    [anon_sym_var] = ACTIONS(1287),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_debugger] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_throw] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_catch] = ACTIONS(1287),
    [anon_sym_finally] = ACTIONS(1287),
    [anon_sym_yield] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1287),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_abstract] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [sym__automatic_semicolon] = ACTIONS(1783),
  },
  [451] = {
    [sym__call_signature] = STATE(3881),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1087),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1089),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_readonly] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_declare] = ACTIONS(1781),
    [anon_sym_public] = ACTIONS(1781),
    [anon_sym_private] = ACTIONS(1781),
    [anon_sym_protected] = ACTIONS(1781),
    [anon_sym_override] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_any] = ACTIONS(1781),
    [anon_sym_number] = ACTIONS(1781),
    [anon_sym_boolean] = ACTIONS(1781),
    [anon_sym_string] = ACTIONS(1781),
    [anon_sym_symbol] = ACTIONS(1781),
    [anon_sym_implements] = ACTIONS(618),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_namespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_let] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_else] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_with] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_debugger] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_throw] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_catch] = ACTIONS(1101),
    [anon_sym_finally] = ACTIONS(1101),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1099),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_class] = ACTIONS(1101),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_delete] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1099),
    [sym_number] = ACTIONS(1099),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(1101),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1099),
    [anon_sym_static] = ACTIONS(1101),
    [anon_sym_readonly] = ACTIONS(1101),
    [anon_sym_get] = ACTIONS(1101),
    [anon_sym_set] = ACTIONS(1101),
    [anon_sym_declare] = ACTIONS(1101),
    [anon_sym_public] = ACTIONS(1101),
    [anon_sym_private] = ACTIONS(1101),
    [anon_sym_protected] = ACTIONS(1101),
    [anon_sym_override] = ACTIONS(1101),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_any] = ACTIONS(1101),
    [anon_sym_number] = ACTIONS(1101),
    [anon_sym_boolean] = ACTIONS(1101),
    [anon_sym_string] = ACTIONS(1101),
    [anon_sym_symbol] = ACTIONS(1101),
    [anon_sym_abstract] = ACTIONS(1101),
    [anon_sym_interface] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [sym__automatic_semicolon] = ACTIONS(1109),
  },
  [453] = {
    [sym_catch_clause] = STATE(473),
    [sym_finally_clause] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1785),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1787),
    [anon_sym_default] = ACTIONS(1787),
    [anon_sym_type] = ACTIONS(1787),
    [anon_sym_namespace] = ACTIONS(1787),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1785),
    [anon_sym_typeof] = ACTIONS(1787),
    [anon_sym_import] = ACTIONS(1787),
    [anon_sym_var] = ACTIONS(1787),
    [anon_sym_let] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_else] = ACTIONS(1787),
    [anon_sym_if] = ACTIONS(1787),
    [anon_sym_switch] = ACTIONS(1787),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1787),
    [anon_sym_while] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1787),
    [anon_sym_try] = ACTIONS(1787),
    [anon_sym_with] = ACTIONS(1787),
    [anon_sym_break] = ACTIONS(1787),
    [anon_sym_continue] = ACTIONS(1787),
    [anon_sym_debugger] = ACTIONS(1787),
    [anon_sym_return] = ACTIONS(1787),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1785),
    [anon_sym_case] = ACTIONS(1787),
    [anon_sym_catch] = ACTIONS(1789),
    [anon_sym_finally] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1787),
    [anon_sym_async] = ACTIONS(1787),
    [anon_sym_function] = ACTIONS(1787),
    [anon_sym_new] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_void] = ACTIONS(1787),
    [anon_sym_delete] = ACTIONS(1787),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_DQUOTE] = ACTIONS(1785),
    [anon_sym_SQUOTE] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [sym_this] = ACTIONS(1787),
    [sym_super] = ACTIONS(1787),
    [sym_true] = ACTIONS(1787),
    [sym_false] = ACTIONS(1787),
    [sym_null] = ACTIONS(1787),
    [sym_undefined] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_static] = ACTIONS(1787),
    [anon_sym_readonly] = ACTIONS(1787),
    [anon_sym_get] = ACTIONS(1787),
    [anon_sym_set] = ACTIONS(1787),
    [anon_sym_declare] = ACTIONS(1787),
    [anon_sym_public] = ACTIONS(1787),
    [anon_sym_private] = ACTIONS(1787),
    [anon_sym_protected] = ACTIONS(1787),
    [anon_sym_override] = ACTIONS(1787),
    [anon_sym_module] = ACTIONS(1787),
    [anon_sym_any] = ACTIONS(1787),
    [anon_sym_number] = ACTIONS(1787),
    [anon_sym_boolean] = ACTIONS(1787),
    [anon_sym_string] = ACTIONS(1787),
    [anon_sym_symbol] = ACTIONS(1787),
    [anon_sym_abstract] = ACTIONS(1787),
    [anon_sym_interface] = ACTIONS(1787),
    [anon_sym_enum] = ACTIONS(1787),
  },
  [454] = {
    [sym__call_signature] = STATE(3785),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_readonly] = ACTIONS(1795),
    [anon_sym_get] = ACTIONS(1795),
    [anon_sym_set] = ACTIONS(1795),
    [anon_sym_declare] = ACTIONS(1795),
    [anon_sym_public] = ACTIONS(1795),
    [anon_sym_private] = ACTIONS(1795),
    [anon_sym_protected] = ACTIONS(1795),
    [anon_sym_override] = ACTIONS(1795),
    [anon_sym_module] = ACTIONS(1795),
    [anon_sym_any] = ACTIONS(1795),
    [anon_sym_number] = ACTIONS(1795),
    [anon_sym_boolean] = ACTIONS(1795),
    [anon_sym_string] = ACTIONS(1795),
    [anon_sym_symbol] = ACTIONS(1795),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [455] = {
    [sym__call_signature] = STATE(3720),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_export] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(1772),
    [anon_sym_set] = ACTIONS(1772),
    [anon_sym_declare] = ACTIONS(1772),
    [anon_sym_public] = ACTIONS(1772),
    [anon_sym_private] = ACTIONS(1772),
    [anon_sym_protected] = ACTIONS(1772),
    [anon_sym_override] = ACTIONS(1772),
    [anon_sym_module] = ACTIONS(1772),
    [anon_sym_any] = ACTIONS(1772),
    [anon_sym_number] = ACTIONS(1772),
    [anon_sym_boolean] = ACTIONS(1772),
    [anon_sym_string] = ACTIONS(1772),
    [anon_sym_symbol] = ACTIONS(1772),
  },
  [456] = {
    [sym__call_signature] = STATE(3785),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_readonly] = ACTIONS(1795),
    [anon_sym_get] = ACTIONS(1795),
    [anon_sym_set] = ACTIONS(1795),
    [anon_sym_declare] = ACTIONS(1795),
    [anon_sym_public] = ACTIONS(1795),
    [anon_sym_private] = ACTIONS(1795),
    [anon_sym_protected] = ACTIONS(1795),
    [anon_sym_override] = ACTIONS(1795),
    [anon_sym_module] = ACTIONS(1795),
    [anon_sym_any] = ACTIONS(1795),
    [anon_sym_number] = ACTIONS(1795),
    [anon_sym_boolean] = ACTIONS(1795),
    [anon_sym_string] = ACTIONS(1795),
    [anon_sym_symbol] = ACTIONS(1795),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1163),
    [anon_sym_export] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_namespace] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_typeof] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1163),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_let] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_await] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_with] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_debugger] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_throw] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_yield] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_class] = ACTIONS(1163),
    [anon_sym_async] = ACTIONS(1163),
    [anon_sym_function] = ACTIONS(1163),
    [anon_sym_new] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_void] = ACTIONS(1163),
    [anon_sym_delete] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1161),
    [sym_number] = ACTIONS(1161),
    [sym_this] = ACTIONS(1163),
    [sym_super] = ACTIONS(1163),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_null] = ACTIONS(1163),
    [sym_undefined] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1163),
    [anon_sym_set] = ACTIONS(1163),
    [anon_sym_declare] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_any] = ACTIONS(1163),
    [anon_sym_number] = ACTIONS(1163),
    [anon_sym_boolean] = ACTIONS(1163),
    [anon_sym_string] = ACTIONS(1163),
    [anon_sym_symbol] = ACTIONS(1163),
    [anon_sym_abstract] = ACTIONS(1163),
    [anon_sym_interface] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1161),
    [sym__automatic_semicolon] = ACTIONS(1161),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1159),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_namespace] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_typeof] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_var] = ACTIONS(1159),
    [anon_sym_let] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_await] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_with] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_debugger] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_yield] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_async] = ACTIONS(1159),
    [anon_sym_function] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_void] = ACTIONS(1159),
    [anon_sym_delete] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1157),
    [sym_number] = ACTIONS(1157),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [anon_sym_declare] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_override] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_any] = ACTIONS(1159),
    [anon_sym_number] = ACTIONS(1159),
    [anon_sym_boolean] = ACTIONS(1159),
    [anon_sym_string] = ACTIONS(1159),
    [anon_sym_symbol] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_interface] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1157),
    [sym__automatic_semicolon] = ACTIONS(1157),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_export] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_namespace] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_let] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_else] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_await] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_with] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_debugger] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_throw] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1099),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_class] = ACTIONS(1101),
    [anon_sym_async] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_void] = ACTIONS(1101),
    [anon_sym_delete] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1099),
    [sym_number] = ACTIONS(1099),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(1101),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1099),
    [anon_sym_static] = ACTIONS(1101),
    [anon_sym_readonly] = ACTIONS(1101),
    [anon_sym_get] = ACTIONS(1101),
    [anon_sym_set] = ACTIONS(1101),
    [anon_sym_declare] = ACTIONS(1101),
    [anon_sym_public] = ACTIONS(1101),
    [anon_sym_private] = ACTIONS(1101),
    [anon_sym_protected] = ACTIONS(1101),
    [anon_sym_override] = ACTIONS(1101),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_any] = ACTIONS(1101),
    [anon_sym_number] = ACTIONS(1101),
    [anon_sym_boolean] = ACTIONS(1101),
    [anon_sym_string] = ACTIONS(1101),
    [anon_sym_symbol] = ACTIONS(1101),
    [anon_sym_abstract] = ACTIONS(1101),
    [anon_sym_interface] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1099),
    [sym__automatic_semicolon] = ACTIONS(1797),
  },
  [460] = {
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1743),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_this] = ACTIONS(1741),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
  },
  [461] = {
    [sym__call_signature] = STATE(3720),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_export] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1774),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(1772),
    [anon_sym_set] = ACTIONS(1772),
    [anon_sym_declare] = ACTIONS(1772),
    [anon_sym_public] = ACTIONS(1772),
    [anon_sym_private] = ACTIONS(1772),
    [anon_sym_protected] = ACTIONS(1772),
    [anon_sym_override] = ACTIONS(1772),
    [anon_sym_module] = ACTIONS(1772),
    [anon_sym_any] = ACTIONS(1772),
    [anon_sym_number] = ACTIONS(1772),
    [anon_sym_boolean] = ACTIONS(1772),
    [anon_sym_string] = ACTIONS(1772),
    [anon_sym_symbol] = ACTIONS(1772),
  },
  [462] = {
    [sym__call_signature] = STATE(3785),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1799),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_readonly] = ACTIONS(1795),
    [anon_sym_get] = ACTIONS(1795),
    [anon_sym_set] = ACTIONS(1795),
    [anon_sym_declare] = ACTIONS(1795),
    [anon_sym_public] = ACTIONS(1795),
    [anon_sym_private] = ACTIONS(1795),
    [anon_sym_protected] = ACTIONS(1795),
    [anon_sym_override] = ACTIONS(1795),
    [anon_sym_module] = ACTIONS(1795),
    [anon_sym_any] = ACTIONS(1795),
    [anon_sym_number] = ACTIONS(1795),
    [anon_sym_boolean] = ACTIONS(1795),
    [anon_sym_string] = ACTIONS(1795),
    [anon_sym_symbol] = ACTIONS(1795),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1287),
    [anon_sym_var] = ACTIONS(1287),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_debugger] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_throw] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_yield] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1287),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_abstract] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1285),
    [sym__automatic_semicolon] = ACTIONS(1801),
  },
  [464] = {
    [sym__call_signature] = STATE(3785),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_readonly] = ACTIONS(1795),
    [anon_sym_get] = ACTIONS(1795),
    [anon_sym_set] = ACTIONS(1795),
    [anon_sym_declare] = ACTIONS(1795),
    [anon_sym_public] = ACTIONS(1795),
    [anon_sym_private] = ACTIONS(1795),
    [anon_sym_protected] = ACTIONS(1795),
    [anon_sym_override] = ACTIONS(1795),
    [anon_sym_module] = ACTIONS(1795),
    [anon_sym_any] = ACTIONS(1795),
    [anon_sym_number] = ACTIONS(1795),
    [anon_sym_boolean] = ACTIONS(1795),
    [anon_sym_string] = ACTIONS(1795),
    [anon_sym_symbol] = ACTIONS(1795),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [465] = {
    [sym_identifier] = ACTIONS(1725),
    [anon_sym_export] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1725),
    [anon_sym_EQ] = ACTIONS(615),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(1725),
    [anon_sym_EQ_GT] = ACTIONS(633),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1727),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym_this] = ACTIONS(1725),
    [anon_sym_static] = ACTIONS(1725),
    [anon_sym_readonly] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1725),
    [anon_sym_set] = ACTIONS(1725),
    [anon_sym_declare] = ACTIONS(1725),
    [anon_sym_public] = ACTIONS(1725),
    [anon_sym_private] = ACTIONS(1725),
    [anon_sym_protected] = ACTIONS(1725),
    [anon_sym_override] = ACTIONS(1725),
    [anon_sym_module] = ACTIONS(1725),
    [anon_sym_any] = ACTIONS(1725),
    [anon_sym_number] = ACTIONS(1725),
    [anon_sym_boolean] = ACTIONS(1725),
    [anon_sym_string] = ACTIONS(1725),
    [anon_sym_symbol] = ACTIONS(1725),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1163),
    [anon_sym_export] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_namespace] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_typeof] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1163),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_let] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_await] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_with] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_debugger] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_throw] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_catch] = ACTIONS(1163),
    [anon_sym_finally] = ACTIONS(1163),
    [anon_sym_yield] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_class] = ACTIONS(1163),
    [anon_sym_async] = ACTIONS(1163),
    [anon_sym_function] = ACTIONS(1163),
    [anon_sym_new] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_void] = ACTIONS(1163),
    [anon_sym_delete] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1161),
    [sym_number] = ACTIONS(1161),
    [sym_this] = ACTIONS(1163),
    [sym_super] = ACTIONS(1163),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_null] = ACTIONS(1163),
    [sym_undefined] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1163),
    [anon_sym_set] = ACTIONS(1163),
    [anon_sym_declare] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_any] = ACTIONS(1163),
    [anon_sym_number] = ACTIONS(1163),
    [anon_sym_boolean] = ACTIONS(1163),
    [anon_sym_string] = ACTIONS(1163),
    [anon_sym_symbol] = ACTIONS(1163),
    [anon_sym_abstract] = ACTIONS(1163),
    [anon_sym_interface] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1287),
    [anon_sym_var] = ACTIONS(1287),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_debugger] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_throw] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_catch] = ACTIONS(1287),
    [anon_sym_finally] = ACTIONS(1287),
    [anon_sym_yield] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1287),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_abstract] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_type] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1287),
    [anon_sym_var] = ACTIONS(1287),
    [anon_sym_let] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_await] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1287),
    [anon_sym_with] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_debugger] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_throw] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_yield] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_async] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1287),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_readonly] = ACTIONS(1287),
    [anon_sym_get] = ACTIONS(1287),
    [anon_sym_set] = ACTIONS(1287),
    [anon_sym_declare] = ACTIONS(1287),
    [anon_sym_public] = ACTIONS(1287),
    [anon_sym_private] = ACTIONS(1287),
    [anon_sym_protected] = ACTIONS(1287),
    [anon_sym_override] = ACTIONS(1287),
    [anon_sym_module] = ACTIONS(1287),
    [anon_sym_any] = ACTIONS(1287),
    [anon_sym_number] = ACTIONS(1287),
    [anon_sym_boolean] = ACTIONS(1287),
    [anon_sym_string] = ACTIONS(1287),
    [anon_sym_symbol] = ACTIONS(1287),
    [anon_sym_abstract] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1285),
    [sym__automatic_semicolon] = ACTIONS(1285),
  },
  [469] = {
    [sym__call_signature] = STATE(3720),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_export] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(1772),
    [anon_sym_set] = ACTIONS(1772),
    [anon_sym_declare] = ACTIONS(1772),
    [anon_sym_public] = ACTIONS(1772),
    [anon_sym_private] = ACTIONS(1772),
    [anon_sym_protected] = ACTIONS(1772),
    [anon_sym_override] = ACTIONS(1772),
    [anon_sym_module] = ACTIONS(1772),
    [anon_sym_any] = ACTIONS(1772),
    [anon_sym_number] = ACTIONS(1772),
    [anon_sym_boolean] = ACTIONS(1772),
    [anon_sym_string] = ACTIONS(1772),
    [anon_sym_symbol] = ACTIONS(1772),
  },
  [470] = {
    [sym__call_signature] = STATE(3785),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1795),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_readonly] = ACTIONS(1795),
    [anon_sym_get] = ACTIONS(1795),
    [anon_sym_set] = ACTIONS(1795),
    [anon_sym_declare] = ACTIONS(1795),
    [anon_sym_public] = ACTIONS(1795),
    [anon_sym_private] = ACTIONS(1795),
    [anon_sym_protected] = ACTIONS(1795),
    [anon_sym_override] = ACTIONS(1795),
    [anon_sym_module] = ACTIONS(1795),
    [anon_sym_any] = ACTIONS(1795),
    [anon_sym_number] = ACTIONS(1795),
    [anon_sym_boolean] = ACTIONS(1795),
    [anon_sym_string] = ACTIONS(1795),
    [anon_sym_symbol] = ACTIONS(1795),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [anon_sym_type] = ACTIONS(1273),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1271),
    [anon_sym_SQUOTE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_number] = ACTIONS(1271),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_readonly] = ACTIONS(1273),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
    [anon_sym_declare] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_override] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_any] = ACTIONS(1273),
    [anon_sym_number] = ACTIONS(1273),
    [anon_sym_boolean] = ACTIONS(1273),
    [anon_sym_string] = ACTIONS(1273),
    [anon_sym_symbol] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1271),
    [sym__automatic_semicolon] = ACTIONS(1271),
  },
  [472] = {
    [sym_statement_block] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [anon_sym_export] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_type] = ACTIONS(1113),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_typeof] = ACTIONS(1113),
    [anon_sym_import] = ACTIONS(1113),
    [anon_sym_var] = ACTIONS(1113),
    [anon_sym_let] = ACTIONS(1113),
    [anon_sym_const] = ACTIONS(1113),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_await] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_with] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_debugger] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_DOT] = ACTIONS(1807),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_async] = ACTIONS(1113),
    [anon_sym_function] = ACTIONS(1113),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_void] = ACTIONS(1113),
    [anon_sym_delete] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1111),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(1113),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_static] = ACTIONS(1113),
    [anon_sym_readonly] = ACTIONS(1113),
    [anon_sym_get] = ACTIONS(1113),
    [anon_sym_set] = ACTIONS(1113),
    [anon_sym_declare] = ACTIONS(1113),
    [anon_sym_public] = ACTIONS(1113),
    [anon_sym_private] = ACTIONS(1113),
    [anon_sym_protected] = ACTIONS(1113),
    [anon_sym_override] = ACTIONS(1113),
    [anon_sym_module] = ACTIONS(1113),
    [anon_sym_any] = ACTIONS(1113),
    [anon_sym_number] = ACTIONS(1113),
    [anon_sym_boolean] = ACTIONS(1113),
    [anon_sym_string] = ACTIONS(1113),
    [anon_sym_symbol] = ACTIONS(1113),
    [anon_sym_abstract] = ACTIONS(1113),
    [anon_sym_interface] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
  },
  [473] = {
    [sym_finally_clause] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1809),
    [sym_identifier] = ACTIONS(1811),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_default] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(1809),
    [anon_sym_RBRACE] = ACTIONS(1809),
    [anon_sym_typeof] = ACTIONS(1811),
    [anon_sym_import] = ACTIONS(1811),
    [anon_sym_var] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_const] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1809),
    [anon_sym_else] = ACTIONS(1811),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_switch] = ACTIONS(1811),
    [anon_sym_for] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [anon_sym_await] = ACTIONS(1811),
    [anon_sym_while] = ACTIONS(1811),
    [anon_sym_do] = ACTIONS(1811),
    [anon_sym_try] = ACTIONS(1811),
    [anon_sym_with] = ACTIONS(1811),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_continue] = ACTIONS(1811),
    [anon_sym_debugger] = ACTIONS(1811),
    [anon_sym_return] = ACTIONS(1811),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1809),
    [anon_sym_case] = ACTIONS(1811),
    [anon_sym_finally] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_class] = ACTIONS(1811),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1811),
    [anon_sym_new] = ACTIONS(1811),
    [anon_sym_PLUS] = ACTIONS(1811),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(1809),
    [anon_sym_void] = ACTIONS(1811),
    [anon_sym_delete] = ACTIONS(1811),
    [anon_sym_PLUS_PLUS] = ACTIONS(1809),
    [anon_sym_DASH_DASH] = ACTIONS(1809),
    [anon_sym_DQUOTE] = ACTIONS(1809),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1809),
    [sym_number] = ACTIONS(1809),
    [sym_this] = ACTIONS(1811),
    [sym_super] = ACTIONS(1811),
    [sym_true] = ACTIONS(1811),
    [sym_false] = ACTIONS(1811),
    [sym_null] = ACTIONS(1811),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(1809),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_abstract] = ACTIONS(1811),
    [anon_sym_interface] = ACTIONS(1811),
    [anon_sym_enum] = ACTIONS(1811),
  },
  [474] = {
    [sym__call_signature] = STATE(3720),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_export] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(1772),
    [anon_sym_set] = ACTIONS(1772),
    [anon_sym_declare] = ACTIONS(1772),
    [anon_sym_public] = ACTIONS(1772),
    [anon_sym_private] = ACTIONS(1772),
    [anon_sym_protected] = ACTIONS(1772),
    [anon_sym_override] = ACTIONS(1772),
    [anon_sym_module] = ACTIONS(1772),
    [anon_sym_any] = ACTIONS(1772),
    [anon_sym_number] = ACTIONS(1772),
    [anon_sym_boolean] = ACTIONS(1772),
    [anon_sym_string] = ACTIONS(1772),
    [anon_sym_symbol] = ACTIONS(1772),
  },
  [475] = {
    [sym__call_signature] = STATE(3646),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1815),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1815),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1097),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1815),
    [anon_sym_readonly] = ACTIONS(1815),
    [anon_sym_get] = ACTIONS(1815),
    [anon_sym_set] = ACTIONS(1815),
    [anon_sym_declare] = ACTIONS(1815),
    [anon_sym_public] = ACTIONS(1815),
    [anon_sym_private] = ACTIONS(1815),
    [anon_sym_protected] = ACTIONS(1815),
    [anon_sym_override] = ACTIONS(1815),
    [anon_sym_module] = ACTIONS(1815),
    [anon_sym_any] = ACTIONS(1815),
    [anon_sym_number] = ACTIONS(1815),
    [anon_sym_boolean] = ACTIONS(1815),
    [anon_sym_string] = ACTIONS(1815),
    [anon_sym_symbol] = ACTIONS(1815),
  },
  [476] = {
    [sym__call_signature] = STATE(3646),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1815),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_of] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1815),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1097),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1815),
    [anon_sym_readonly] = ACTIONS(1815),
    [anon_sym_get] = ACTIONS(1815),
    [anon_sym_set] = ACTIONS(1815),
    [anon_sym_declare] = ACTIONS(1815),
    [anon_sym_public] = ACTIONS(1815),
    [anon_sym_private] = ACTIONS(1815),
    [anon_sym_protected] = ACTIONS(1815),
    [anon_sym_override] = ACTIONS(1815),
    [anon_sym_module] = ACTIONS(1815),
    [anon_sym_any] = ACTIONS(1815),
    [anon_sym_number] = ACTIONS(1815),
    [anon_sym_boolean] = ACTIONS(1815),
    [anon_sym_string] = ACTIONS(1815),
    [anon_sym_symbol] = ACTIONS(1815),
  },
  [477] = {
    [sym__call_signature] = STATE(3720),
    [sym_formal_parameters] = STATE(2758),
    [sym_type_parameters] = STATE(3410),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_export] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_namespace] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1093),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(1772),
    [anon_sym_set] = ACTIONS(1772),
    [anon_sym_declare] = ACTIONS(1772),
    [anon_sym_public] = ACTIONS(1772),
    [anon_sym_private] = ACTIONS(1772),
    [anon_sym_protected] = ACTIONS(1772),
    [anon_sym_override] = ACTIONS(1772),
    [anon_sym_module] = ACTIONS(1772),
    [anon_sym_any] = ACTIONS(1772),
    [anon_sym_number] = ACTIONS(1772),
    [anon_sym_boolean] = ACTIONS(1772),
    [anon_sym_string] = ACTIONS(1772),
    [anon_sym_symbol] = ACTIONS(1772),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym_identifier] = ACTIONS(1223),
    [anon_sym_export] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_type] = ACTIONS(1223),
    [anon_sym_namespace] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(1223),
    [anon_sym_import] = ACTIONS(1223),
    [anon_sym_var] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(1223),
    [anon_sym_with] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_debugger] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_throw] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_yield] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1223),
    [anon_sym_class] = ACTIONS(1223),
    [anon_sym_async] = ACTIONS(1223),
    [anon_sym_function] = ACTIONS(1223),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_void] = ACTIONS(1223),
    [anon_sym_delete] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1221),
    [sym_number] = ACTIONS(1221),
    [sym_this] = ACTIONS(1223),
    [sym_super] = ACTIONS(1223),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [sym_null] = ACTIONS(1223),
    [sym_undefined] = ACTIONS(1223),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_readonly] = ACTIONS(1223),
    [anon_sym_get] = ACTIONS(1223),
    [anon_sym_set] = ACTIONS(1223),
    [anon_sym_declare] = ACTIONS(1223),
    [anon_sym_public] = ACTIONS(1223),
    [anon_sym_private] = ACTIONS(1223),
    [anon_sym_protected] = ACTIONS(1223),
    [anon_sym_override] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1223),
    [anon_sym_any] = ACTIONS(1223),
    [anon_sym_number] = ACTIONS(1223),
    [anon_sym_boolean] = ACTIONS(1223),
    [anon_sym_string] = ACTIONS(1223),
    [anon_sym_symbol] = ACTIONS(1223),
    [anon_sym_abstract] = ACTIONS(1223),
    [anon_sym_interface] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [sym__automatic_semicolon] = ACTIONS(1229),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1129),
    [sym_identifier] = ACTIONS(1131),
    [anon_sym_export] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_type] = ACTIONS(1131),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_RBRACE] = ACTIONS(1129),
    [anon_sym_typeof] = ACTIONS(1131),
    [anon_sym_import] = ACTIONS(1131),
    [anon_sym_var] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1129),
    [anon_sym_await] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_try] = ACTIONS(1131),
    [anon_sym_with] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_debugger] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_throw] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_yield] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(1131),
    [anon_sym_class] = ACTIONS(1131),
    [anon_sym_async] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1131),
    [anon_sym_delete] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1129),
    [sym_number] = ACTIONS(1129),
    [sym_this] = ACTIONS(1131),
    [sym_super] = ACTIONS(1131),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [sym_null] = ACTIONS(1131),
    [sym_undefined] = ACTIONS(1131),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_readonly] = ACTIONS(1131),
    [anon_sym_get] = ACTIONS(1131),
    [anon_sym_set] = ACTIONS(1131),
    [anon_sym_declare] = ACTIONS(1131),
    [anon_sym_public] = ACTIONS(1131),
    [anon_sym_private] = ACTIONS(1131),
    [anon_sym_protected] = ACTIONS(1131),
    [anon_sym_override] = ACTIONS(1131),
    [anon_sym_module] = ACTIONS(1131),
    [anon_sym_any] = ACTIONS(1131),
    [anon_sym_number] = ACTIONS(1131),
    [anon_sym_boolean] = ACTIONS(1131),
    [anon_sym_string] = ACTIONS(1131),
    [anon_sym_symbol] = ACTIONS(1131),
    [anon_sym_abstract] = ACTIONS(1131),
    [anon_sym_interface] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [sym__automatic_semicolon] = ACTIONS(1137),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_type] = ACTIONS(1263),
    [anon_sym_namespace] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_typeof] = ACTIONS(1263),
    [anon_sym_import] = ACTIONS(1263),
    [anon_sym_var] = ACTIONS(1263),
    [anon_sym_let] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_await] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(1263),
    [anon_sym_with] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_debugger] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_throw] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_yield] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(1263),
    [anon_sym_class] = ACTIONS(1263),
    [anon_sym_async] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_void] = ACTIONS(1263),
    [anon_sym_delete] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1261),
    [sym_number] = ACTIONS(1261),
    [sym_this] = ACTIONS(1263),
    [sym_super] = ACTIONS(1263),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [sym_null] = ACTIONS(1263),
    [sym_undefined] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(1261),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_readonly] = ACTIONS(1263),
    [anon_sym_get] = ACTIONS(1263),
    [anon_sym_set] = ACTIONS(1263),
    [anon_sym_declare] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1263),
    [anon_sym_private] = ACTIONS(1263),
    [anon_sym_protected] = ACTIONS(1263),
    [anon_sym_override] = ACTIONS(1263),
    [anon_sym_module] = ACTIONS(1263),
    [anon_sym_any] = ACTIONS(1263),
    [anon_sym_number] = ACTIONS(1263),
    [anon_sym_boolean] = ACTIONS(1263),
    [anon_sym_string] = ACTIONS(1263),
    [anon_sym_symbol] = ACTIONS(1263),
    [anon_sym_abstract] = ACTIONS(1263),
    [anon_sym_interface] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [sym__automatic_semicolon] = ACTIONS(1269),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(1819),
    [anon_sym_export] = ACTIONS(1819),
    [anon_sym_default] = ACTIONS(1819),
    [anon_sym_type] = ACTIONS(1819),
    [anon_sym_namespace] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1817),
    [anon_sym_RBRACE] = ACTIONS(1817),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(1819),
    [anon_sym_var] = ACTIONS(1819),
    [anon_sym_let] = ACTIONS(1819),
    [anon_sym_const] = ACTIONS(1819),
    [anon_sym_BANG] = ACTIONS(1817),
    [anon_sym_else] = ACTIONS(1819),
    [anon_sym_if] = ACTIONS(1819),
    [anon_sym_switch] = ACTIONS(1819),
    [anon_sym_for] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_await] = ACTIONS(1819),
    [anon_sym_while] = ACTIONS(1819),
    [anon_sym_do] = ACTIONS(1819),
    [anon_sym_try] = ACTIONS(1819),
    [anon_sym_with] = ACTIONS(1819),
    [anon_sym_break] = ACTIONS(1819),
    [anon_sym_continue] = ACTIONS(1819),
    [anon_sym_debugger] = ACTIONS(1819),
    [anon_sym_return] = ACTIONS(1819),
    [anon_sym_throw] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_case] = ACTIONS(1819),
    [anon_sym_finally] = ACTIONS(1819),
    [anon_sym_yield] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_class] = ACTIONS(1819),
    [anon_sym_async] = ACTIONS(1819),
    [anon_sym_function] = ACTIONS(1819),
    [anon_sym_new] = ACTIONS(1819),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_TILDE] = ACTIONS(1817),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [anon_sym_SQUOTE] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1817),
    [sym_number] = ACTIONS(1817),
    [sym_this] = ACTIONS(1819),
    [sym_super] = ACTIONS(1819),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [sym_null] = ACTIONS(1819),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(1817),
    [anon_sym_static] = ACTIONS(1819),
    [anon_sym_readonly] = ACTIONS(1819),
    [anon_sym_get] = ACTIONS(1819),
    [anon_sym_set] = ACTIONS(1819),
    [anon_sym_declare] = ACTIONS(1819),
    [anon_sym_public] = ACTIONS(1819),
    [anon_sym_private] = ACTIONS(1819),
    [anon_sym_protected] = ACTIONS(1819),
    [anon_sym_override] = ACTIONS(1819),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_any] = ACTIONS(1819),
    [anon_sym_number] = ACTIONS(1819),
    [anon_sym_boolean] = ACTIONS(1819),
    [anon_sym_string] = ACTIONS(1819),
    [anon_sym_symbol] = ACTIONS(1819),
    [anon_sym_abstract] = ACTIONS(1819),
    [anon_sym_interface] = ACTIONS(1819),
    [anon_sym_enum] = ACTIONS(1819),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1277),
    [anon_sym_export] = ACTIONS(1277),
    [anon_sym_default] = ACTIONS(1277),
    [anon_sym_type] = ACTIONS(1277),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [anon_sym_typeof] = ACTIONS(1277),
    [anon_sym_import] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_const] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1275),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_switch] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1275),
    [anon_sym_await] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(1277),
    [anon_sym_with] = ACTIONS(1277),
    [anon_sym_break] = ACTIONS(1277),
    [anon_sym_continue] = ACTIONS(1277),
    [anon_sym_debugger] = ACTIONS(1277),
    [anon_sym_return] = ACTIONS(1277),
    [anon_sym_throw] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1277),
    [anon_sym_yield] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(1275),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_class] = ACTIONS(1277),
    [anon_sym_async] = ACTIONS(1277),
    [anon_sym_function] = ACTIONS(1277),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1275),
    [anon_sym_void] = ACTIONS(1277),
    [anon_sym_delete] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1275),
    [anon_sym_DQUOTE] = ACTIONS(1275),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1275),
    [sym_number] = ACTIONS(1275),
    [sym_this] = ACTIONS(1277),
    [sym_super] = ACTIONS(1277),
    [sym_true] = ACTIONS(1277),
    [sym_false] = ACTIONS(1277),
    [sym_null] = ACTIONS(1277),
    [sym_undefined] = ACTIONS(1277),
    [anon_sym_AT] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1277),
    [anon_sym_readonly] = ACTIONS(1277),
    [anon_sym_get] = ACTIONS(1277),
    [anon_sym_set] = ACTIONS(1277),
    [anon_sym_declare] = ACTIONS(1277),
    [anon_sym_public] = ACTIONS(1277),
    [anon_sym_private] = ACTIONS(1277),
    [anon_sym_protected] = ACTIONS(1277),
    [anon_sym_override] = ACTIONS(1277),
    [anon_sym_module] = ACTIONS(1277),
    [anon_sym_any] = ACTIONS(1277),
    [anon_sym_number] = ACTIONS(1277),
    [anon_sym_boolean] = ACTIONS(1277),
    [anon_sym_string] = ACTIONS(1277),
    [anon_sym_symbol] = ACTIONS(1277),
    [anon_sym_abstract] = ACTIONS(1277),
    [anon_sym_interface] = ACTIONS(1277),
    [anon_sym_enum] = ACTIONS(1277),
    [sym__automatic_semicolon] = ACTIONS(1283),
  },
  [483] = {
    [sym_else_clause] = STATE(613),
    [ts_builtin_sym_end] = ACTIONS(1821),
    [sym_identifier] = ACTIONS(1823),
    [anon_sym_export] = ACTIONS(1823),
    [anon_sym_default] = ACTIONS(1823),
    [anon_sym_type] = ACTIONS(1823),
    [anon_sym_namespace] = ACTIONS(1823),
    [anon_sym_LBRACE] = ACTIONS(1821),
    [anon_sym_RBRACE] = ACTIONS(1821),
    [anon_sym_typeof] = ACTIONS(1823),
    [anon_sym_import] = ACTIONS(1823),
    [anon_sym_var] = ACTIONS(1823),
    [anon_sym_let] = ACTIONS(1823),
    [anon_sym_const] = ACTIONS(1823),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_else] = ACTIONS(1825),
    [anon_sym_if] = ACTIONS(1823),
    [anon_sym_switch] = ACTIONS(1823),
    [anon_sym_for] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [anon_sym_await] = ACTIONS(1823),
    [anon_sym_while] = ACTIONS(1823),
    [anon_sym_do] = ACTIONS(1823),
    [anon_sym_try] = ACTIONS(1823),
    [anon_sym_with] = ACTIONS(1823),
    [anon_sym_break] = ACTIONS(1823),
    [anon_sym_continue] = ACTIONS(1823),
    [anon_sym_debugger] = ACTIONS(1823),
    [anon_sym_return] = ACTIONS(1823),
    [anon_sym_throw] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [anon_sym_case] = ACTIONS(1823),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_class] = ACTIONS(1823),
    [anon_sym_async] = ACTIONS(1823),
    [anon_sym_function] = ACTIONS(1823),
    [anon_sym_new] = ACTIONS(1823),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_TILDE] = ACTIONS(1821),
    [anon_sym_void] = ACTIONS(1823),
    [anon_sym_delete] = ACTIONS(1823),
    [anon_sym_PLUS_PLUS] = ACTIONS(1821),
    [anon_sym_DASH_DASH] = ACTIONS(1821),
    [anon_sym_DQUOTE] = ACTIONS(1821),
    [anon_sym_SQUOTE] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1821),
    [sym_number] = ACTIONS(1821),
    [sym_this] = ACTIONS(1823),
    [sym_super] = ACTIONS(1823),
    [sym_true] = ACTIONS(1823),
    [sym_false] = ACTIONS(1823),
    [sym_null] = ACTIONS(1823),
    [sym_undefined] = ACTIONS(1823),
    [anon_sym_AT] = ACTIONS(1821),
    [anon_sym_static] = ACTIONS(1823),
    [anon_sym_readonly] = ACTIONS(1823),
    [anon_sym_get] = ACTIONS(1823),
    [anon_sym_set] = ACTIONS(1823),
    [anon_sym_declare] = ACTIONS(1823),
    [anon_sym_public] = ACTIONS(1823),
    [anon_sym_private] = ACTIONS(1823),
    [anon_sym_protected] = ACTIONS(1823),
    [anon_sym_override] = ACTIONS(1823),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_any] = ACTIONS(1823),
    [anon_sym_number] = ACTIONS(1823),
    [anon_sym_boolean] = ACTIONS(1823),
    [anon_sym_string] = ACTIONS(1823),
    [anon_sym_symbol] = ACTIONS(1823),
    [anon_sym_abstract] = ACTIONS(1823),
    [anon_sym_interface] = ACTIONS(1823),
    [anon_sym_enum] = ACTIONS(1823),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1829),
    [anon_sym_default] = ACTIONS(1829),
    [anon_sym_type] = ACTIONS(1829),
    [anon_sym_namespace] = ACTIONS(1829),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [anon_sym_typeof] = ACTIONS(1829),
    [anon_sym_import] = ACTIONS(1829),
    [anon_sym_var] = ACTIONS(1829),
    [anon_sym_let] = ACTIONS(1829),
    [anon_sym_const] = ACTIONS(1829),
    [anon_sym_BANG] = ACTIONS(1827),
    [anon_sym_else] = ACTIONS(1829),
    [anon_sym_if] = ACTIONS(1829),
    [anon_sym_switch] = ACTIONS(1829),
    [anon_sym_for] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_await] = ACTIONS(1829),
    [anon_sym_while] = ACTIONS(1829),
    [anon_sym_do] = ACTIONS(1829),
    [anon_sym_try] = ACTIONS(1829),
    [anon_sym_with] = ACTIONS(1829),
    [anon_sym_break] = ACTIONS(1829),
    [anon_sym_continue] = ACTIONS(1829),
    [anon_sym_debugger] = ACTIONS(1829),
    [anon_sym_return] = ACTIONS(1829),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1827),
    [anon_sym_case] = ACTIONS(1829),
    [anon_sym_finally] = ACTIONS(1829),
    [anon_sym_yield] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1829),
    [anon_sym_async] = ACTIONS(1829),
    [anon_sym_function] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1829),
    [anon_sym_TILDE] = ACTIONS(1827),
    [anon_sym_void] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1829),
    [anon_sym_PLUS_PLUS] = ACTIONS(1827),
    [anon_sym_DASH_DASH] = ACTIONS(1827),
    [anon_sym_DQUOTE] = ACTIONS(1827),
    [anon_sym_SQUOTE] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1827),
    [sym_number] = ACTIONS(1827),
    [sym_this] = ACTIONS(1829),
    [sym_super] = ACTIONS(1829),
    [sym_true] = ACTIONS(1829),
    [sym_false] = ACTIONS(1829),
    [sym_null] = ACTIONS(1829),
    [sym_undefined] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1827),
    [anon_sym_static] = ACTIONS(1829),
    [anon_sym_readonly] = ACTIONS(1829),
    [anon_sym_get] = ACTIONS(1829),
    [anon_sym_set] = ACTIONS(1829),
    [anon_sym_declare] = ACTIONS(1829),
    [anon_sym_public] = ACTIONS(1829),
    [anon_sym_private] = ACTIONS(1829),
    [anon_sym_protected] = ACTIONS(1829),
    [anon_sym_override] = ACTIONS(1829),
    [anon_sym_module] = ACTIONS(1829),
    [anon_sym_any] = ACTIONS(1829),
    [anon_sym_number] = ACTIONS(1829),
    [anon_sym_boolean] = ACTIONS(1829),
    [anon_sym_string] = ACTIONS(1829),
    [anon_sym_symbol] = ACTIONS(1829),
    [anon_sym_abstract] = ACTIONS(1829),
    [anon_sym_interface] = ACTIONS(1829),
    [anon_sym_enum] = ACTIONS(1829),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_identifier] = ACTIONS(1243),
    [anon_sym_export] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_type] = ACTIONS(1243),
    [anon_sym_namespace] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_typeof] = ACTIONS(1243),
    [anon_sym_import] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1243),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_LPAREN] = ACTIONS(1241),
    [anon_sym_await] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1243),
    [anon_sym_with] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_debugger] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_throw] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_yield] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1243),
    [anon_sym_class] = ACTIONS(1243),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1243),
    [anon_sym_new] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_void] = ACTIONS(1243),
    [anon_sym_delete] = ACTIONS(1243),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1241),
    [sym_number] = ACTIONS(1241),
    [sym_this] = ACTIONS(1243),
    [sym_super] = ACTIONS(1243),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [sym_null] = ACTIONS(1243),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(1241),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_readonly] = ACTIONS(1243),
    [anon_sym_get] = ACTIONS(1243),
    [anon_sym_set] = ACTIONS(1243),
    [anon_sym_declare] = ACTIONS(1243),
    [anon_sym_public] = ACTIONS(1243),
    [anon_sym_private] = ACTIONS(1243),
    [anon_sym_protected] = ACTIONS(1243),
    [anon_sym_override] = ACTIONS(1243),
    [anon_sym_module] = ACTIONS(1243),
    [anon_sym_any] = ACTIONS(1243),
    [anon_sym_number] = ACTIONS(1243),
    [anon_sym_boolean] = ACTIONS(1243),
    [anon_sym_string] = ACTIONS(1243),
    [anon_sym_symbol] = ACTIONS(1243),
    [anon_sym_abstract] = ACTIONS(1243),
    [anon_sym_interface] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [sym__automatic_semicolon] = ACTIONS(1249),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1831),
    [sym_identifier] = ACTIONS(1833),
    [anon_sym_export] = ACTIONS(1833),
    [anon_sym_default] = ACTIONS(1833),
    [anon_sym_type] = ACTIONS(1833),
    [anon_sym_namespace] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1831),
    [anon_sym_typeof] = ACTIONS(1833),
    [anon_sym_import] = ACTIONS(1833),
    [anon_sym_var] = ACTIONS(1833),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_const] = ACTIONS(1833),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_else] = ACTIONS(1833),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_switch] = ACTIONS(1833),
    [anon_sym_for] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_await] = ACTIONS(1833),
    [anon_sym_while] = ACTIONS(1833),
    [anon_sym_do] = ACTIONS(1833),
    [anon_sym_try] = ACTIONS(1833),
    [anon_sym_with] = ACTIONS(1833),
    [anon_sym_break] = ACTIONS(1833),
    [anon_sym_continue] = ACTIONS(1833),
    [anon_sym_debugger] = ACTIONS(1833),
    [anon_sym_return] = ACTIONS(1833),
    [anon_sym_throw] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1831),
    [anon_sym_case] = ACTIONS(1833),
    [anon_sym_yield] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_class] = ACTIONS(1833),
    [anon_sym_async] = ACTIONS(1833),
    [anon_sym_function] = ACTIONS(1833),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1831),
    [anon_sym_void] = ACTIONS(1833),
    [anon_sym_delete] = ACTIONS(1833),
    [anon_sym_PLUS_PLUS] = ACTIONS(1831),
    [anon_sym_DASH_DASH] = ACTIONS(1831),
    [anon_sym_DQUOTE] = ACTIONS(1831),
    [anon_sym_SQUOTE] = ACTIONS(1831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1831),
    [sym_number] = ACTIONS(1831),
    [sym_this] = ACTIONS(1833),
    [sym_super] = ACTIONS(1833),
    [sym_true] = ACTIONS(1833),
    [sym_false] = ACTIONS(1833),
    [sym_null] = ACTIONS(1833),
    [sym_undefined] = ACTIONS(1833),
    [anon_sym_AT] = ACTIONS(1831),
    [anon_sym_static] = ACTIONS(1833),
    [anon_sym_readonly] = ACTIONS(1833),
    [anon_sym_get] = ACTIONS(1833),
    [anon_sym_set] = ACTIONS(1833),
    [anon_sym_declare] = ACTIONS(1833),
    [anon_sym_public] = ACTIONS(1833),
    [anon_sym_private] = ACTIONS(1833),
    [anon_sym_protected] = ACTIONS(1833),
    [anon_sym_override] = ACTIONS(1833),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_any] = ACTIONS(1833),
    [anon_sym_number] = ACTIONS(1833),
    [anon_sym_boolean] = ACTIONS(1833),
    [anon_sym_string] = ACTIONS(1833),
    [anon_sym_symbol] = ACTIONS(1833),
    [anon_sym_abstract] = ACTIONS(1833),
    [anon_sym_interface] = ACTIONS(1833),
    [anon_sym_enum] = ACTIONS(1833),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_export] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_type] = ACTIONS(1167),
    [anon_sym_namespace] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_typeof] = ACTIONS(1167),
    [anon_sym_import] = ACTIONS(1167),
    [anon_sym_var] = ACTIONS(1167),
    [anon_sym_let] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_await] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_with] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_debugger] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_throw] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_yield] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1167),
    [anon_sym_class] = ACTIONS(1167),
    [anon_sym_async] = ACTIONS(1167),
    [anon_sym_function] = ACTIONS(1167),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_void] = ACTIONS(1167),
    [anon_sym_delete] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1165),
    [sym_number] = ACTIONS(1165),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(1167),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_null] = ACTIONS(1167),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_readonly] = ACTIONS(1167),
    [anon_sym_get] = ACTIONS(1167),
    [anon_sym_set] = ACTIONS(1167),
    [anon_sym_declare] = ACTIONS(1167),
    [anon_sym_public] = ACTIONS(1167),
    [anon_sym_private] = ACTIONS(1167),
    [anon_sym_protected] = ACTIONS(1167),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1167),
    [anon_sym_any] = ACTIONS(1167),
    [anon_sym_number] = ACTIONS(1167),
    [anon_sym_boolean] = ACTIONS(1167),
    [anon_sym_string] = ACTIONS(1167),
    [anon_sym_symbol] = ACTIONS(1167),
    [anon_sym_abstract] = ACTIONS(1167),
    [anon_sym_interface] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [sym__automatic_semicolon] = ACTIONS(1173),
  },
  [488] = {
    [sym_statement_block] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [anon_sym_export] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_type] = ACTIONS(1113),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_typeof] = ACTIONS(1113),
    [anon_sym_import] = ACTIONS(1113),
    [anon_sym_var] = ACTIONS(1113),
    [anon_sym_let] = ACTIONS(1113),
    [anon_sym_const] = ACTIONS(1113),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_await] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_with] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_debugger] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_async] = ACTIONS(1113),
    [anon_sym_function] = ACTIONS(1113),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_void] = ACTIONS(1113),
    [anon_sym_delete] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1111),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(1113),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_static] = ACTIONS(1113),
    [anon_sym_readonly] = ACTIONS(1113),
    [anon_sym_get] = ACTIONS(1113),
    [anon_sym_set] = ACTIONS(1113),
    [anon_sym_declare] = ACTIONS(1113),
    [anon_sym_public] = ACTIONS(1113),
    [anon_sym_private] = ACTIONS(1113),
    [anon_sym_protected] = ACTIONS(1113),
    [anon_sym_override] = ACTIONS(1113),
    [anon_sym_module] = ACTIONS(1113),
    [anon_sym_any] = ACTIONS(1113),
    [anon_sym_number] = ACTIONS(1113),
    [anon_sym_boolean] = ACTIONS(1113),
    [anon_sym_string] = ACTIONS(1113),
    [anon_sym_symbol] = ACTIONS(1113),
    [anon_sym_abstract] = ACTIONS(1113),
    [anon_sym_interface] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_export] = ACTIONS(1177),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_type] = ACTIONS(1177),
    [anon_sym_namespace] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_typeof] = ACTIONS(1177),
    [anon_sym_import] = ACTIONS(1177),
    [anon_sym_var] = ACTIONS(1177),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_const] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1177),
    [anon_sym_if] = ACTIONS(1177),
    [anon_sym_switch] = ACTIONS(1177),
    [anon_sym_for] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_await] = ACTIONS(1177),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_do] = ACTIONS(1177),
    [anon_sym_try] = ACTIONS(1177),
    [anon_sym_with] = ACTIONS(1177),
    [anon_sym_break] = ACTIONS(1177),
    [anon_sym_continue] = ACTIONS(1177),
    [anon_sym_debugger] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_yield] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_class] = ACTIONS(1177),
    [anon_sym_async] = ACTIONS(1177),
    [anon_sym_function] = ACTIONS(1177),
    [anon_sym_new] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_void] = ACTIONS(1177),
    [anon_sym_delete] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1175),
    [anon_sym_SQUOTE] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [sym_number] = ACTIONS(1175),
    [sym_this] = ACTIONS(1177),
    [sym_super] = ACTIONS(1177),
    [sym_true] = ACTIONS(1177),
    [sym_false] = ACTIONS(1177),
    [sym_null] = ACTIONS(1177),
    [sym_undefined] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1177),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(1177),
    [anon_sym_set] = ACTIONS(1177),
    [anon_sym_declare] = ACTIONS(1177),
    [anon_sym_public] = ACTIONS(1177),
    [anon_sym_private] = ACTIONS(1177),
    [anon_sym_protected] = ACTIONS(1177),
    [anon_sym_override] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_any] = ACTIONS(1177),
    [anon_sym_number] = ACTIONS(1177),
    [anon_sym_boolean] = ACTIONS(1177),
    [anon_sym_string] = ACTIONS(1177),
    [anon_sym_symbol] = ACTIONS(1177),
    [anon_sym_abstract] = ACTIONS(1177),
    [anon_sym_interface] = ACTIONS(1177),
    [anon_sym_enum] = ACTIONS(1177),
    [sym__automatic_semicolon] = ACTIONS(1183),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_type] = ACTIONS(1201),
    [anon_sym_namespace] = ACTIONS(1201),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_let] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_with] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_debugger] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1199),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1201),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1199),
    [sym_number] = ACTIONS(1199),
    [sym_this] = ACTIONS(1201),
    [sym_super] = ACTIONS(1201),
    [sym_true] = ACTIONS(1201),
    [sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_undefined] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1201),
    [anon_sym_readonly] = ACTIONS(1201),
    [anon_sym_get] = ACTIONS(1201),
    [anon_sym_set] = ACTIONS(1201),
    [anon_sym_declare] = ACTIONS(1201),
    [anon_sym_public] = ACTIONS(1201),
    [anon_sym_private] = ACTIONS(1201),
    [anon_sym_protected] = ACTIONS(1201),
    [anon_sym_override] = ACTIONS(1201),
    [anon_sym_module] = ACTIONS(1201),
    [anon_sym_any] = ACTIONS(1201),
    [anon_sym_number] = ACTIONS(1201),
    [anon_sym_boolean] = ACTIONS(1201),
    [anon_sym_string] = ACTIONS(1201),
    [anon_sym_symbol] = ACTIONS(1201),
    [anon_sym_abstract] = ACTIONS(1201),
    [anon_sym_interface] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [sym__automatic_semicolon] = ACTIONS(1207),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_default] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_typeof] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1121),
    [anon_sym_var] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(1121),
    [anon_sym_while] = ACTIONS(1121),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1121),
    [anon_sym_with] = ACTIONS(1121),
    [anon_sym_break] = ACTIONS(1121),
    [anon_sym_continue] = ACTIONS(1121),
    [anon_sym_debugger] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1121),
    [anon_sym_throw] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_case] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1121),
    [anon_sym_LBRACK] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1121),
    [anon_sym_class] = ACTIONS(1121),
    [anon_sym_async] = ACTIONS(1121),
    [anon_sym_function] = ACTIONS(1121),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_void] = ACTIONS(1121),
    [anon_sym_delete] = ACTIONS(1121),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1119),
    [sym_number] = ACTIONS(1119),
    [sym_this] = ACTIONS(1121),
    [sym_super] = ACTIONS(1121),
    [sym_true] = ACTIONS(1121),
    [sym_false] = ACTIONS(1121),
    [sym_null] = ACTIONS(1121),
    [sym_undefined] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1121),
    [anon_sym_private] = ACTIONS(1121),
    [anon_sym_protected] = ACTIONS(1121),
    [anon_sym_override] = ACTIONS(1121),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_abstract] = ACTIONS(1121),
    [anon_sym_interface] = ACTIONS(1121),
    [anon_sym_enum] = ACTIONS(1121),
    [sym__automatic_semicolon] = ACTIONS(1127),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1231),
    [sym_identifier] = ACTIONS(1233),
    [anon_sym_export] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_type] = ACTIONS(1233),
    [anon_sym_namespace] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [anon_sym_typeof] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1233),
    [anon_sym_var] = ACTIONS(1233),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_if] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1233),
    [anon_sym_for] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_await] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1233),
    [anon_sym_do] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1233),
    [anon_sym_with] = ACTIONS(1233),
    [anon_sym_break] = ACTIONS(1233),
    [anon_sym_continue] = ACTIONS(1233),
    [anon_sym_debugger] = ACTIONS(1233),
    [anon_sym_return] = ACTIONS(1233),
    [anon_sym_throw] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_yield] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_LT] = ACTIONS(1231),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1231),
    [anon_sym_void] = ACTIONS(1233),
    [anon_sym_delete] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(1231),
    [anon_sym_SQUOTE] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1231),
    [sym_number] = ACTIONS(1231),
    [sym_this] = ACTIONS(1233),
    [sym_super] = ACTIONS(1233),
    [sym_true] = ACTIONS(1233),
    [sym_false] = ACTIONS(1233),
    [sym_null] = ACTIONS(1233),
    [sym_undefined] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_readonly] = ACTIONS(1233),
    [anon_sym_get] = ACTIONS(1233),
    [anon_sym_set] = ACTIONS(1233),
    [anon_sym_declare] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_override] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1233),
    [anon_sym_any] = ACTIONS(1233),
    [anon_sym_number] = ACTIONS(1233),
    [anon_sym_boolean] = ACTIONS(1233),
    [anon_sym_string] = ACTIONS(1233),
    [anon_sym_symbol] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [sym__automatic_semicolon] = ACTIONS(1239),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1251),
    [sym_identifier] = ACTIONS(1253),
    [anon_sym_export] = ACTIONS(1253),
    [anon_sym_default] = ACTIONS(1253),
    [anon_sym_type] = ACTIONS(1253),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_RBRACE] = ACTIONS(1251),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(1253),
    [anon_sym_var] = ACTIONS(1253),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1253),
    [anon_sym_if] = ACTIONS(1253),
    [anon_sym_switch] = ACTIONS(1253),
    [anon_sym_for] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1251),
    [anon_sym_await] = ACTIONS(1253),
    [anon_sym_while] = ACTIONS(1253),
    [anon_sym_do] = ACTIONS(1253),
    [anon_sym_try] = ACTIONS(1253),
    [anon_sym_with] = ACTIONS(1253),
    [anon_sym_break] = ACTIONS(1253),
    [anon_sym_continue] = ACTIONS(1253),
    [anon_sym_debugger] = ACTIONS(1253),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_throw] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1253),
    [anon_sym_yield] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1251),
    [anon_sym_LT] = ACTIONS(1251),
    [anon_sym_SLASH] = ACTIONS(1253),
    [anon_sym_class] = ACTIONS(1253),
    [anon_sym_async] = ACTIONS(1253),
    [anon_sym_function] = ACTIONS(1253),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1251),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1251),
    [anon_sym_DQUOTE] = ACTIONS(1251),
    [anon_sym_SQUOTE] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1251),
    [sym_number] = ACTIONS(1251),
    [sym_this] = ACTIONS(1253),
    [sym_super] = ACTIONS(1253),
    [sym_true] = ACTIONS(1253),
    [sym_false] = ACTIONS(1253),
    [sym_null] = ACTIONS(1253),
    [sym_undefined] = ACTIONS(1253),
    [anon_sym_AT] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1253),
    [anon_sym_readonly] = ACTIONS(1253),
    [anon_sym_get] = ACTIONS(1253),
    [anon_sym_set] = ACTIONS(1253),
    [anon_sym_declare] = ACTIONS(1253),
    [anon_sym_public] = ACTIONS(1253),
    [anon_sym_private] = ACTIONS(1253),
    [anon_sym_protected] = ACTIONS(1253),
    [anon_sym_override] = ACTIONS(1253),
    [anon_sym_module] = ACTIONS(1253),
    [anon_sym_any] = ACTIONS(1253),
    [anon_sym_number] = ACTIONS(1253),
    [anon_sym_boolean] = ACTIONS(1253),
    [anon_sym_string] = ACTIONS(1253),
    [anon_sym_symbol] = ACTIONS(1253),
    [anon_sym_abstract] = ACTIONS(1253),
    [anon_sym_interface] = ACTIONS(1253),
    [anon_sym_enum] = ACTIONS(1253),
    [sym__automatic_semicolon] = ACTIONS(1259),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(1191),
    [anon_sym_var] = ACTIONS(1191),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_with] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_debugger] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_throw] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_yield] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1191),
    [anon_sym_class] = ACTIONS(1191),
    [anon_sym_async] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1191),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1189),
    [sym_number] = ACTIONS(1189),
    [sym_this] = ACTIONS(1191),
    [sym_super] = ACTIONS(1191),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_undefined] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(1189),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(1191),
    [anon_sym_interface] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [sym__automatic_semicolon] = ACTIONS(1197),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_export] = ACTIONS(1141),
    [anon_sym_default] = ACTIONS(1141),
    [anon_sym_type] = ACTIONS(1141),
    [anon_sym_namespace] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_RBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(1141),
    [anon_sym_var] = ACTIONS(1141),
    [anon_sym_let] = ACTIONS(1141),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1141),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_switch] = ACTIONS(1141),
    [anon_sym_for] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(1141),
    [anon_sym_do] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1141),
    [anon_sym_with] = ACTIONS(1141),
    [anon_sym_break] = ACTIONS(1141),
    [anon_sym_continue] = ACTIONS(1141),
    [anon_sym_debugger] = ACTIONS(1141),
    [anon_sym_return] = ACTIONS(1141),
    [anon_sym_throw] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_class] = ACTIONS(1141),
    [anon_sym_async] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1139),
    [anon_sym_void] = ACTIONS(1141),
    [anon_sym_delete] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1139),
    [anon_sym_DQUOTE] = ACTIONS(1139),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1139),
    [sym_number] = ACTIONS(1139),
    [sym_this] = ACTIONS(1141),
    [sym_super] = ACTIONS(1141),
    [sym_true] = ACTIONS(1141),
    [sym_false] = ACTIONS(1141),
    [sym_null] = ACTIONS(1141),
    [sym_undefined] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1141),
    [anon_sym_readonly] = ACTIONS(1141),
    [anon_sym_get] = ACTIONS(1141),
    [anon_sym_set] = ACTIONS(1141),
    [anon_sym_declare] = ACTIONS(1141),
    [anon_sym_public] = ACTIONS(1141),
    [anon_sym_private] = ACTIONS(1141),
    [anon_sym_protected] = ACTIONS(1141),
    [anon_sym_override] = ACTIONS(1141),
    [anon_sym_module] = ACTIONS(1141),
    [anon_sym_any] = ACTIONS(1141),
    [anon_sym_number] = ACTIONS(1141),
    [anon_sym_boolean] = ACTIONS(1141),
    [anon_sym_string] = ACTIONS(1141),
    [anon_sym_symbol] = ACTIONS(1141),
    [anon_sym_abstract] = ACTIONS(1141),
    [anon_sym_interface] = ACTIONS(1141),
    [anon_sym_enum] = ACTIONS(1141),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1835),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1837),
    [anon_sym_default] = ACTIONS(1837),
    [anon_sym_type] = ACTIONS(1837),
    [anon_sym_namespace] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1835),
    [anon_sym_RBRACE] = ACTIONS(1835),
    [anon_sym_typeof] = ACTIONS(1837),
    [anon_sym_import] = ACTIONS(1837),
    [anon_sym_var] = ACTIONS(1837),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_const] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1837),
    [anon_sym_if] = ACTIONS(1837),
    [anon_sym_switch] = ACTIONS(1837),
    [anon_sym_for] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_await] = ACTIONS(1837),
    [anon_sym_while] = ACTIONS(1837),
    [anon_sym_do] = ACTIONS(1837),
    [anon_sym_try] = ACTIONS(1837),
    [anon_sym_with] = ACTIONS(1837),
    [anon_sym_break] = ACTIONS(1837),
    [anon_sym_continue] = ACTIONS(1837),
    [anon_sym_debugger] = ACTIONS(1837),
    [anon_sym_return] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_case] = ACTIONS(1837),
    [anon_sym_yield] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_SLASH] = ACTIONS(1837),
    [anon_sym_class] = ACTIONS(1837),
    [anon_sym_async] = ACTIONS(1837),
    [anon_sym_function] = ACTIONS(1837),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_TILDE] = ACTIONS(1835),
    [anon_sym_void] = ACTIONS(1837),
    [anon_sym_delete] = ACTIONS(1837),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [anon_sym_DQUOTE] = ACTIONS(1835),
    [anon_sym_SQUOTE] = ACTIONS(1835),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1835),
    [sym_number] = ACTIONS(1835),
    [sym_this] = ACTIONS(1837),
    [sym_super] = ACTIONS(1837),
    [sym_true] = ACTIONS(1837),
    [sym_false] = ACTIONS(1837),
    [sym_null] = ACTIONS(1837),
    [sym_undefined] = ACTIONS(1837),
    [anon_sym_AT] = ACTIONS(1835),
    [anon_sym_static] = ACTIONS(1837),
    [anon_sym_readonly] = ACTIONS(1837),
    [anon_sym_get] = ACTIONS(1837),
    [anon_sym_set] = ACTIONS(1837),
    [anon_sym_declare] = ACTIONS(1837),
    [anon_sym_public] = ACTIONS(1837),
    [anon_sym_private] = ACTIONS(1837),
    [anon_sym_protected] = ACTIONS(1837),
    [anon_sym_override] = ACTIONS(1837),
    [anon_sym_module] = ACTIONS(1837),
    [anon_sym_any] = ACTIONS(1837),
    [anon_sym_number] = ACTIONS(1837),
    [anon_sym_boolean] = ACTIONS(1837),
    [anon_sym_string] = ACTIONS(1837),
    [anon_sym_symbol] = ACTIONS(1837),
    [anon_sym_abstract] = ACTIONS(1837),
    [anon_sym_interface] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1837),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [sym_identifier] = ACTIONS(1841),
    [anon_sym_export] = ACTIONS(1841),
    [anon_sym_default] = ACTIONS(1841),
    [anon_sym_type] = ACTIONS(1841),
    [anon_sym_namespace] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1839),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_typeof] = ACTIONS(1841),
    [anon_sym_import] = ACTIONS(1841),
    [anon_sym_var] = ACTIONS(1841),
    [anon_sym_let] = ACTIONS(1841),
    [anon_sym_const] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1839),
    [anon_sym_else] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_switch] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_try] = ACTIONS(1841),
    [anon_sym_with] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_debugger] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_throw] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_case] = ACTIONS(1841),
    [anon_sym_finally] = ACTIONS(1841),
    [anon_sym_yield] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_function] = ACTIONS(1841),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1839),
    [anon_sym_void] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_DQUOTE] = ACTIONS(1839),
    [anon_sym_SQUOTE] = ACTIONS(1839),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1839),
    [sym_number] = ACTIONS(1839),
    [sym_this] = ACTIONS(1841),
    [sym_super] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_null] = ACTIONS(1841),
    [sym_undefined] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1839),
    [anon_sym_static] = ACTIONS(1841),
    [anon_sym_readonly] = ACTIONS(1841),
    [anon_sym_get] = ACTIONS(1841),
    [anon_sym_set] = ACTIONS(1841),
    [anon_sym_declare] = ACTIONS(1841),
    [anon_sym_public] = ACTIONS(1841),
    [anon_sym_private] = ACTIONS(1841),
    [anon_sym_protected] = ACTIONS(1841),
    [anon_sym_override] = ACTIONS(1841),
    [anon_sym_module] = ACTIONS(1841),
    [anon_sym_any] = ACTIONS(1841),
    [anon_sym_number] = ACTIONS(1841),
    [anon_sym_boolean] = ACTIONS(1841),
    [anon_sym_string] = ACTIONS(1841),
    [anon_sym_symbol] = ACTIONS(1841),
    [anon_sym_abstract] = ACTIONS(1841),
    [anon_sym_interface] = ACTIONS(1841),
    [anon_sym_enum] = ACTIONS(1841),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1853),
    [anon_sym_default] = ACTIONS(1853),
    [anon_sym_type] = ACTIONS(1853),
    [anon_sym_namespace] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_typeof] = ACTIONS(1853),
    [anon_sym_import] = ACTIONS(1853),
    [anon_sym_var] = ACTIONS(1853),
    [anon_sym_let] = ACTIONS(1853),
    [anon_sym_const] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_else] = ACTIONS(1853),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_switch] = ACTIONS(1853),
    [anon_sym_for] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1853),
    [anon_sym_with] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_debugger] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_throw] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_case] = ACTIONS(1853),
    [anon_sym_yield] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_new] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_void] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [sym_this] = ACTIONS(1853),
    [sym_super] = ACTIONS(1853),
    [sym_true] = ACTIONS(1853),
    [sym_false] = ACTIONS(1853),
    [sym_null] = ACTIONS(1853),
    [sym_undefined] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_static] = ACTIONS(1853),
    [anon_sym_readonly] = ACTIONS(1853),
    [anon_sym_get] = ACTIONS(1853),
    [anon_sym_set] = ACTIONS(1853),
    [anon_sym_declare] = ACTIONS(1853),
    [anon_sym_public] = ACTIONS(1853),
    [anon_sym_private] = ACTIONS(1853),
    [anon_sym_protected] = ACTIONS(1853),
    [anon_sym_override] = ACTIONS(1853),
    [anon_sym_module] = ACTIONS(1853),
    [anon_sym_any] = ACTIONS(1853),
    [anon_sym_number] = ACTIONS(1853),
    [anon_sym_boolean] = ACTIONS(1853),
    [anon_sym_string] = ACTIONS(1853),
    [anon_sym_symbol] = ACTIONS(1853),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_interface] = ACTIONS(1853),
    [anon_sym_enum] = ACTIONS(1853),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_export] = ACTIONS(1857),
    [anon_sym_default] = ACTIONS(1857),
    [anon_sym_type] = ACTIONS(1857),
    [anon_sym_namespace] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_typeof] = ACTIONS(1857),
    [anon_sym_import] = ACTIONS(1857),
    [anon_sym_var] = ACTIONS(1857),
    [anon_sym_let] = ACTIONS(1857),
    [anon_sym_const] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_else] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_switch] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1857),
    [anon_sym_with] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_debugger] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1857),
    [anon_sym_yield] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_class] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_void] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_DQUOTE] = ACTIONS(1855),
    [anon_sym_SQUOTE] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [sym_this] = ACTIONS(1857),
    [sym_super] = ACTIONS(1857),
    [sym_true] = ACTIONS(1857),
    [sym_false] = ACTIONS(1857),
    [sym_null] = ACTIONS(1857),
    [sym_undefined] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_static] = ACTIONS(1857),
    [anon_sym_readonly] = ACTIONS(1857),
    [anon_sym_get] = ACTIONS(1857),
    [anon_sym_set] = ACTIONS(1857),
    [anon_sym_declare] = ACTIONS(1857),
    [anon_sym_public] = ACTIONS(1857),
    [anon_sym_private] = ACTIONS(1857),
    [anon_sym_protected] = ACTIONS(1857),
    [anon_sym_override] = ACTIONS(1857),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_any] = ACTIONS(1857),
    [anon_sym_number] = ACTIONS(1857),
    [anon_sym_boolean] = ACTIONS(1857),
    [anon_sym_string] = ACTIONS(1857),
    [anon_sym_symbol] = ACTIONS(1857),
    [anon_sym_abstract] = ACTIONS(1857),
    [anon_sym_interface] = ACTIONS(1857),
    [anon_sym_enum] = ACTIONS(1857),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1861),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_default] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_typeof] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1861),
    [anon_sym_var] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_switch] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_try] = ACTIONS(1861),
    [anon_sym_with] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_debugger] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_throw] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_case] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_function] = ACTIONS(1861),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_void] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [sym_this] = ACTIONS(1861),
    [sym_super] = ACTIONS(1861),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [sym_null] = ACTIONS(1861),
    [sym_undefined] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_abstract] = ACTIONS(1861),
    [anon_sym_interface] = ACTIONS(1861),
    [anon_sym_enum] = ACTIONS(1861),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1865),
    [anon_sym_export] = ACTIONS(1865),
    [anon_sym_default] = ACTIONS(1865),
    [anon_sym_type] = ACTIONS(1865),
    [anon_sym_namespace] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_typeof] = ACTIONS(1865),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1865),
    [anon_sym_let] = ACTIONS(1865),
    [anon_sym_const] = ACTIONS(1865),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_else] = ACTIONS(1865),
    [anon_sym_if] = ACTIONS(1865),
    [anon_sym_switch] = ACTIONS(1865),
    [anon_sym_for] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1865),
    [anon_sym_while] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1865),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_with] = ACTIONS(1865),
    [anon_sym_break] = ACTIONS(1865),
    [anon_sym_continue] = ACTIONS(1865),
    [anon_sym_debugger] = ACTIONS(1865),
    [anon_sym_return] = ACTIONS(1865),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_case] = ACTIONS(1865),
    [anon_sym_yield] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1865),
    [anon_sym_class] = ACTIONS(1865),
    [anon_sym_async] = ACTIONS(1865),
    [anon_sym_function] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_void] = ACTIONS(1865),
    [anon_sym_delete] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_DQUOTE] = ACTIONS(1863),
    [anon_sym_SQUOTE] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [sym_this] = ACTIONS(1865),
    [sym_super] = ACTIONS(1865),
    [sym_true] = ACTIONS(1865),
    [sym_false] = ACTIONS(1865),
    [sym_null] = ACTIONS(1865),
    [sym_undefined] = ACTIONS(1865),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_static] = ACTIONS(1865),
    [anon_sym_readonly] = ACTIONS(1865),
    [anon_sym_get] = ACTIONS(1865),
    [anon_sym_set] = ACTIONS(1865),
    [anon_sym_declare] = ACTIONS(1865),
    [anon_sym_public] = ACTIONS(1865),
    [anon_sym_private] = ACTIONS(1865),
    [anon_sym_protected] = ACTIONS(1865),
    [anon_sym_override] = ACTIONS(1865),
    [anon_sym_module] = ACTIONS(1865),
    [anon_sym_any] = ACTIONS(1865),
    [anon_sym_number] = ACTIONS(1865),
    [anon_sym_boolean] = ACTIONS(1865),
    [anon_sym_string] = ACTIONS(1865),
    [anon_sym_symbol] = ACTIONS(1865),
    [anon_sym_abstract] = ACTIONS(1865),
    [anon_sym_interface] = ACTIONS(1865),
    [anon_sym_enum] = ACTIONS(1865),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_export] = ACTIONS(1869),
    [anon_sym_default] = ACTIONS(1869),
    [anon_sym_type] = ACTIONS(1869),
    [anon_sym_namespace] = ACTIONS(1869),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1867),
    [anon_sym_typeof] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1869),
    [anon_sym_var] = ACTIONS(1869),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_else] = ACTIONS(1869),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_switch] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_do] = ACTIONS(1869),
    [anon_sym_try] = ACTIONS(1869),
    [anon_sym_with] = ACTIONS(1869),
    [anon_sym_break] = ACTIONS(1869),
    [anon_sym_continue] = ACTIONS(1869),
    [anon_sym_debugger] = ACTIONS(1869),
    [anon_sym_return] = ACTIONS(1869),
    [anon_sym_throw] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1869),
    [anon_sym_yield] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_class] = ACTIONS(1869),
    [anon_sym_async] = ACTIONS(1869),
    [anon_sym_function] = ACTIONS(1869),
    [anon_sym_new] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1869),
    [anon_sym_delete] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1867),
    [anon_sym_DASH_DASH] = ACTIONS(1867),
    [anon_sym_DQUOTE] = ACTIONS(1867),
    [anon_sym_SQUOTE] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [sym_this] = ACTIONS(1869),
    [sym_super] = ACTIONS(1869),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_undefined] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_static] = ACTIONS(1869),
    [anon_sym_readonly] = ACTIONS(1869),
    [anon_sym_get] = ACTIONS(1869),
    [anon_sym_set] = ACTIONS(1869),
    [anon_sym_declare] = ACTIONS(1869),
    [anon_sym_public] = ACTIONS(1869),
    [anon_sym_private] = ACTIONS(1869),
    [anon_sym_protected] = ACTIONS(1869),
    [anon_sym_override] = ACTIONS(1869),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_any] = ACTIONS(1869),
    [anon_sym_number] = ACTIONS(1869),
    [anon_sym_boolean] = ACTIONS(1869),
    [anon_sym_string] = ACTIONS(1869),
    [anon_sym_symbol] = ACTIONS(1869),
    [anon_sym_abstract] = ACTIONS(1869),
    [anon_sym_interface] = ACTIONS(1869),
    [anon_sym_enum] = ACTIONS(1869),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1871),
    [sym_identifier] = ACTIONS(1873),
    [anon_sym_export] = ACTIONS(1873),
    [anon_sym_default] = ACTIONS(1873),
    [anon_sym_type] = ACTIONS(1873),
    [anon_sym_namespace] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1871),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_typeof] = ACTIONS(1873),
    [anon_sym_import] = ACTIONS(1873),
    [anon_sym_var] = ACTIONS(1873),
    [anon_sym_let] = ACTIONS(1873),
    [anon_sym_const] = ACTIONS(1873),
    [anon_sym_BANG] = ACTIONS(1871),
    [anon_sym_else] = ACTIONS(1873),
    [anon_sym_if] = ACTIONS(1873),
    [anon_sym_switch] = ACTIONS(1873),
    [anon_sym_for] = ACTIONS(1873),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_await] = ACTIONS(1873),
    [anon_sym_while] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1873),
    [anon_sym_try] = ACTIONS(1873),
    [anon_sym_with] = ACTIONS(1873),
    [anon_sym_break] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1873),
    [anon_sym_debugger] = ACTIONS(1873),
    [anon_sym_return] = ACTIONS(1873),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_case] = ACTIONS(1873),
    [anon_sym_yield] = ACTIONS(1873),
    [anon_sym_LBRACK] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1873),
    [anon_sym_class] = ACTIONS(1873),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1873),
    [anon_sym_new] = ACTIONS(1873),
    [anon_sym_PLUS] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1873),
    [anon_sym_TILDE] = ACTIONS(1871),
    [anon_sym_void] = ACTIONS(1873),
    [anon_sym_delete] = ACTIONS(1873),
    [anon_sym_PLUS_PLUS] = ACTIONS(1871),
    [anon_sym_DASH_DASH] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1871),
    [anon_sym_SQUOTE] = ACTIONS(1871),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1871),
    [sym_number] = ACTIONS(1871),
    [sym_this] = ACTIONS(1873),
    [sym_super] = ACTIONS(1873),
    [sym_true] = ACTIONS(1873),
    [sym_false] = ACTIONS(1873),
    [sym_null] = ACTIONS(1873),
    [sym_undefined] = ACTIONS(1873),
    [anon_sym_AT] = ACTIONS(1871),
    [anon_sym_static] = ACTIONS(1873),
    [anon_sym_readonly] = ACTIONS(1873),
    [anon_sym_get] = ACTIONS(1873),
    [anon_sym_set] = ACTIONS(1873),
    [anon_sym_declare] = ACTIONS(1873),
    [anon_sym_public] = ACTIONS(1873),
    [anon_sym_private] = ACTIONS(1873),
    [anon_sym_protected] = ACTIONS(1873),
    [anon_sym_override] = ACTIONS(1873),
    [anon_sym_module] = ACTIONS(1873),
    [anon_sym_any] = ACTIONS(1873),
    [anon_sym_number] = ACTIONS(1873),
    [anon_sym_boolean] = ACTIONS(1873),
    [anon_sym_string] = ACTIONS(1873),
    [anon_sym_symbol] = ACTIONS(1873),
    [anon_sym_abstract] = ACTIONS(1873),
    [anon_sym_interface] = ACTIONS(1873),
    [anon_sym_enum] = ACTIONS(1873),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1875),
    [sym_identifier] = ACTIONS(1877),
    [anon_sym_export] = ACTIONS(1877),
    [anon_sym_default] = ACTIONS(1877),
    [anon_sym_type] = ACTIONS(1877),
    [anon_sym_namespace] = ACTIONS(1877),
    [anon_sym_LBRACE] = ACTIONS(1875),
    [anon_sym_RBRACE] = ACTIONS(1875),
    [anon_sym_typeof] = ACTIONS(1877),
    [anon_sym_import] = ACTIONS(1877),
    [anon_sym_var] = ACTIONS(1877),
    [anon_sym_let] = ACTIONS(1877),
    [anon_sym_const] = ACTIONS(1877),
    [anon_sym_BANG] = ACTIONS(1875),
    [anon_sym_else] = ACTIONS(1877),
    [anon_sym_if] = ACTIONS(1877),
    [anon_sym_switch] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(1875),
    [anon_sym_await] = ACTIONS(1877),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_do] = ACTIONS(1877),
    [anon_sym_try] = ACTIONS(1877),
    [anon_sym_with] = ACTIONS(1877),
    [anon_sym_break] = ACTIONS(1877),
    [anon_sym_continue] = ACTIONS(1877),
    [anon_sym_debugger] = ACTIONS(1877),
    [anon_sym_return] = ACTIONS(1877),
    [anon_sym_throw] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(1875),
    [anon_sym_case] = ACTIONS(1877),
    [anon_sym_yield] = ACTIONS(1877),
    [anon_sym_LBRACK] = ACTIONS(1875),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_class] = ACTIONS(1877),
    [anon_sym_async] = ACTIONS(1877),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_new] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_TILDE] = ACTIONS(1875),
    [anon_sym_void] = ACTIONS(1877),
    [anon_sym_delete] = ACTIONS(1877),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1875),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1875),
    [sym_number] = ACTIONS(1875),
    [sym_this] = ACTIONS(1877),
    [sym_super] = ACTIONS(1877),
    [sym_true] = ACTIONS(1877),
    [sym_false] = ACTIONS(1877),
    [sym_null] = ACTIONS(1877),
    [sym_undefined] = ACTIONS(1877),
    [anon_sym_AT] = ACTIONS(1875),
    [anon_sym_static] = ACTIONS(1877),
    [anon_sym_readonly] = ACTIONS(1877),
    [anon_sym_get] = ACTIONS(1877),
    [anon_sym_set] = ACTIONS(1877),
    [anon_sym_declare] = ACTIONS(1877),
    [anon_sym_public] = ACTIONS(1877),
    [anon_sym_private] = ACTIONS(1877),
    [anon_sym_protected] = ACTIONS(1877),
    [anon_sym_override] = ACTIONS(1877),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_any] = ACTIONS(1877),
    [anon_sym_number] = ACTIONS(1877),
    [anon_sym_boolean] = ACTIONS(1877),
    [anon_sym_string] = ACTIONS(1877),
    [anon_sym_symbol] = ACTIONS(1877),
    [anon_sym_abstract] = ACTIONS(1877),
    [anon_sym_interface] = ACTIONS(1877),
    [anon_sym_enum] = ACTIONS(1877),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1879),
    [sym_identifier] = ACTIONS(1881),
    [anon_sym_export] = ACTIONS(1881),
    [anon_sym_default] = ACTIONS(1881),
    [anon_sym_type] = ACTIONS(1881),
    [anon_sym_namespace] = ACTIONS(1881),
    [anon_sym_LBRACE] = ACTIONS(1879),
    [anon_sym_RBRACE] = ACTIONS(1879),
    [anon_sym_typeof] = ACTIONS(1881),
    [anon_sym_import] = ACTIONS(1881),
    [anon_sym_var] = ACTIONS(1881),
    [anon_sym_let] = ACTIONS(1881),
    [anon_sym_const] = ACTIONS(1881),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_else] = ACTIONS(1881),
    [anon_sym_if] = ACTIONS(1881),
    [anon_sym_switch] = ACTIONS(1881),
    [anon_sym_for] = ACTIONS(1881),
    [anon_sym_LPAREN] = ACTIONS(1879),
    [anon_sym_await] = ACTIONS(1881),
    [anon_sym_while] = ACTIONS(1881),
    [anon_sym_do] = ACTIONS(1881),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_with] = ACTIONS(1881),
    [anon_sym_break] = ACTIONS(1881),
    [anon_sym_continue] = ACTIONS(1881),
    [anon_sym_debugger] = ACTIONS(1881),
    [anon_sym_return] = ACTIONS(1881),
    [anon_sym_throw] = ACTIONS(1881),
    [anon_sym_SEMI] = ACTIONS(1879),
    [anon_sym_case] = ACTIONS(1881),
    [anon_sym_yield] = ACTIONS(1881),
    [anon_sym_LBRACK] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1881),
    [anon_sym_class] = ACTIONS(1881),
    [anon_sym_async] = ACTIONS(1881),
    [anon_sym_function] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1881),
    [anon_sym_PLUS] = ACTIONS(1881),
    [anon_sym_DASH] = ACTIONS(1881),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_void] = ACTIONS(1881),
    [anon_sym_delete] = ACTIONS(1881),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_DQUOTE] = ACTIONS(1879),
    [anon_sym_SQUOTE] = ACTIONS(1879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1879),
    [sym_number] = ACTIONS(1879),
    [sym_this] = ACTIONS(1881),
    [sym_super] = ACTIONS(1881),
    [sym_true] = ACTIONS(1881),
    [sym_false] = ACTIONS(1881),
    [sym_null] = ACTIONS(1881),
    [sym_undefined] = ACTIONS(1881),
    [anon_sym_AT] = ACTIONS(1879),
    [anon_sym_static] = ACTIONS(1881),
    [anon_sym_readonly] = ACTIONS(1881),
    [anon_sym_get] = ACTIONS(1881),
    [anon_sym_set] = ACTIONS(1881),
    [anon_sym_declare] = ACTIONS(1881),
    [anon_sym_public] = ACTIONS(1881),
    [anon_sym_private] = ACTIONS(1881),
    [anon_sym_protected] = ACTIONS(1881),
    [anon_sym_override] = ACTIONS(1881),
    [anon_sym_module] = ACTIONS(1881),
    [anon_sym_any] = ACTIONS(1881),
    [anon_sym_number] = ACTIONS(1881),
    [anon_sym_boolean] = ACTIONS(1881),
    [anon_sym_string] = ACTIONS(1881),
    [anon_sym_symbol] = ACTIONS(1881),
    [anon_sym_abstract] = ACTIONS(1881),
    [anon_sym_interface] = ACTIONS(1881),
    [anon_sym_enum] = ACTIONS(1881),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1883),
    [sym_identifier] = ACTIONS(1885),
    [anon_sym_export] = ACTIONS(1885),
    [anon_sym_default] = ACTIONS(1885),
    [anon_sym_type] = ACTIONS(1885),
    [anon_sym_namespace] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1883),
    [anon_sym_RBRACE] = ACTIONS(1883),
    [anon_sym_typeof] = ACTIONS(1885),
    [anon_sym_import] = ACTIONS(1885),
    [anon_sym_var] = ACTIONS(1885),
    [anon_sym_let] = ACTIONS(1885),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1883),
    [anon_sym_else] = ACTIONS(1885),
    [anon_sym_if] = ACTIONS(1885),
    [anon_sym_switch] = ACTIONS(1885),
    [anon_sym_for] = ACTIONS(1885),
    [anon_sym_LPAREN] = ACTIONS(1883),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_while] = ACTIONS(1885),
    [anon_sym_do] = ACTIONS(1885),
    [anon_sym_try] = ACTIONS(1885),
    [anon_sym_with] = ACTIONS(1885),
    [anon_sym_break] = ACTIONS(1885),
    [anon_sym_continue] = ACTIONS(1885),
    [anon_sym_debugger] = ACTIONS(1885),
    [anon_sym_return] = ACTIONS(1885),
    [anon_sym_throw] = ACTIONS(1885),
    [anon_sym_SEMI] = ACTIONS(1883),
    [anon_sym_case] = ACTIONS(1885),
    [anon_sym_yield] = ACTIONS(1885),
    [anon_sym_LBRACK] = ACTIONS(1883),
    [anon_sym_LT] = ACTIONS(1883),
    [anon_sym_SLASH] = ACTIONS(1885),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_async] = ACTIONS(1885),
    [anon_sym_function] = ACTIONS(1885),
    [anon_sym_new] = ACTIONS(1885),
    [anon_sym_PLUS] = ACTIONS(1885),
    [anon_sym_DASH] = ACTIONS(1885),
    [anon_sym_TILDE] = ACTIONS(1883),
    [anon_sym_void] = ACTIONS(1885),
    [anon_sym_delete] = ACTIONS(1885),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [anon_sym_DQUOTE] = ACTIONS(1883),
    [anon_sym_SQUOTE] = ACTIONS(1883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1883),
    [sym_number] = ACTIONS(1883),
    [sym_this] = ACTIONS(1885),
    [sym_super] = ACTIONS(1885),
    [sym_true] = ACTIONS(1885),
    [sym_false] = ACTIONS(1885),
    [sym_null] = ACTIONS(1885),
    [sym_undefined] = ACTIONS(1885),
    [anon_sym_AT] = ACTIONS(1883),
    [anon_sym_static] = ACTIONS(1885),
    [anon_sym_readonly] = ACTIONS(1885),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_declare] = ACTIONS(1885),
    [anon_sym_public] = ACTIONS(1885),
    [anon_sym_private] = ACTIONS(1885),
    [anon_sym_protected] = ACTIONS(1885),
    [anon_sym_override] = ACTIONS(1885),
    [anon_sym_module] = ACTIONS(1885),
    [anon_sym_any] = ACTIONS(1885),
    [anon_sym_number] = ACTIONS(1885),
    [anon_sym_boolean] = ACTIONS(1885),
    [anon_sym_string] = ACTIONS(1885),
    [anon_sym_symbol] = ACTIONS(1885),
    [anon_sym_abstract] = ACTIONS(1885),
    [anon_sym_interface] = ACTIONS(1885),
    [anon_sym_enum] = ACTIONS(1885),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_export] = ACTIONS(1889),
    [anon_sym_default] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_RBRACE] = ACTIONS(1887),
    [anon_sym_typeof] = ACTIONS(1889),
    [anon_sym_import] = ACTIONS(1889),
    [anon_sym_var] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1887),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_switch] = ACTIONS(1889),
    [anon_sym_for] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_while] = ACTIONS(1889),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_try] = ACTIONS(1889),
    [anon_sym_with] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_debugger] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1887),
    [anon_sym_case] = ACTIONS(1889),
    [anon_sym_yield] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_SLASH] = ACTIONS(1889),
    [anon_sym_class] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_function] = ACTIONS(1889),
    [anon_sym_new] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_TILDE] = ACTIONS(1887),
    [anon_sym_void] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_DASH_DASH] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [anon_sym_SQUOTE] = ACTIONS(1887),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1887),
    [sym_number] = ACTIONS(1887),
    [sym_this] = ACTIONS(1889),
    [sym_super] = ACTIONS(1889),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [sym_null] = ACTIONS(1889),
    [sym_undefined] = ACTIONS(1889),
    [anon_sym_AT] = ACTIONS(1887),
    [anon_sym_static] = ACTIONS(1889),
    [anon_sym_readonly] = ACTIONS(1889),
    [anon_sym_get] = ACTIONS(1889),
    [anon_sym_set] = ACTIONS(1889),
    [anon_sym_declare] = ACTIONS(1889),
    [anon_sym_public] = ACTIONS(1889),
    [anon_sym_private] = ACTIONS(1889),
    [anon_sym_protected] = ACTIONS(1889),
    [anon_sym_override] = ACTIONS(1889),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1889),
    [anon_sym_number] = ACTIONS(1889),
    [anon_sym_boolean] = ACTIONS(1889),
    [anon_sym_string] = ACTIONS(1889),
    [anon_sym_symbol] = ACTIONS(1889),
    [anon_sym_abstract] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_enum] = ACTIONS(1889),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1891),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_export] = ACTIONS(1893),
    [anon_sym_default] = ACTIONS(1893),
    [anon_sym_type] = ACTIONS(1893),
    [anon_sym_namespace] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_RBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1893),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1893),
    [anon_sym_let] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(1893),
    [anon_sym_BANG] = ACTIONS(1891),
    [anon_sym_else] = ACTIONS(1893),
    [anon_sym_if] = ACTIONS(1893),
    [anon_sym_switch] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1893),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_await] = ACTIONS(1893),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_do] = ACTIONS(1893),
    [anon_sym_try] = ACTIONS(1893),
    [anon_sym_with] = ACTIONS(1893),
    [anon_sym_break] = ACTIONS(1893),
    [anon_sym_continue] = ACTIONS(1893),
    [anon_sym_debugger] = ACTIONS(1893),
    [anon_sym_return] = ACTIONS(1893),
    [anon_sym_throw] = ACTIONS(1893),
    [anon_sym_SEMI] = ACTIONS(1891),
    [anon_sym_case] = ACTIONS(1893),
    [anon_sym_yield] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1891),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(1893),
    [anon_sym_class] = ACTIONS(1893),
    [anon_sym_async] = ACTIONS(1893),
    [anon_sym_function] = ACTIONS(1893),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_TILDE] = ACTIONS(1891),
    [anon_sym_void] = ACTIONS(1893),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [anon_sym_SQUOTE] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1891),
    [sym_number] = ACTIONS(1891),
    [sym_this] = ACTIONS(1893),
    [sym_super] = ACTIONS(1893),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [sym_null] = ACTIONS(1893),
    [sym_undefined] = ACTIONS(1893),
    [anon_sym_AT] = ACTIONS(1891),
    [anon_sym_static] = ACTIONS(1893),
    [anon_sym_readonly] = ACTIONS(1893),
    [anon_sym_get] = ACTIONS(1893),
    [anon_sym_set] = ACTIONS(1893),
    [anon_sym_declare] = ACTIONS(1893),
    [anon_sym_public] = ACTIONS(1893),
    [anon_sym_private] = ACTIONS(1893),
    [anon_sym_protected] = ACTIONS(1893),
    [anon_sym_override] = ACTIONS(1893),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_any] = ACTIONS(1893),
    [anon_sym_number] = ACTIONS(1893),
    [anon_sym_boolean] = ACTIONS(1893),
    [anon_sym_string] = ACTIONS(1893),
    [anon_sym_symbol] = ACTIONS(1893),
    [anon_sym_abstract] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1893),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_export] = ACTIONS(1897),
    [anon_sym_default] = ACTIONS(1897),
    [anon_sym_type] = ACTIONS(1897),
    [anon_sym_namespace] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_RBRACE] = ACTIONS(1895),
    [anon_sym_typeof] = ACTIONS(1897),
    [anon_sym_import] = ACTIONS(1897),
    [anon_sym_var] = ACTIONS(1897),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_else] = ACTIONS(1897),
    [anon_sym_if] = ACTIONS(1897),
    [anon_sym_switch] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_await] = ACTIONS(1897),
    [anon_sym_while] = ACTIONS(1897),
    [anon_sym_do] = ACTIONS(1897),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_with] = ACTIONS(1897),
    [anon_sym_break] = ACTIONS(1897),
    [anon_sym_continue] = ACTIONS(1897),
    [anon_sym_debugger] = ACTIONS(1897),
    [anon_sym_return] = ACTIONS(1897),
    [anon_sym_throw] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1897),
    [anon_sym_yield] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_LT] = ACTIONS(1895),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_class] = ACTIONS(1897),
    [anon_sym_async] = ACTIONS(1897),
    [anon_sym_function] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1895),
    [anon_sym_void] = ACTIONS(1897),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1895),
    [anon_sym_SQUOTE] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1895),
    [sym_number] = ACTIONS(1895),
    [sym_this] = ACTIONS(1897),
    [sym_super] = ACTIONS(1897),
    [sym_true] = ACTIONS(1897),
    [sym_false] = ACTIONS(1897),
    [sym_null] = ACTIONS(1897),
    [sym_undefined] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(1895),
    [anon_sym_static] = ACTIONS(1897),
    [anon_sym_readonly] = ACTIONS(1897),
    [anon_sym_get] = ACTIONS(1897),
    [anon_sym_set] = ACTIONS(1897),
    [anon_sym_declare] = ACTIONS(1897),
    [anon_sym_public] = ACTIONS(1897),
    [anon_sym_private] = ACTIONS(1897),
    [anon_sym_protected] = ACTIONS(1897),
    [anon_sym_override] = ACTIONS(1897),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_any] = ACTIONS(1897),
    [anon_sym_number] = ACTIONS(1897),
    [anon_sym_boolean] = ACTIONS(1897),
    [anon_sym_string] = ACTIONS(1897),
    [anon_sym_symbol] = ACTIONS(1897),
    [anon_sym_abstract] = ACTIONS(1897),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_enum] = ACTIONS(1897),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(1905),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_default] = ACTIONS(1905),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_typeof] = ACTIONS(1905),
    [anon_sym_import] = ACTIONS(1905),
    [anon_sym_var] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1905),
    [anon_sym_const] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1905),
    [anon_sym_switch] = ACTIONS(1905),
    [anon_sym_for] = ACTIONS(1905),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_await] = ACTIONS(1905),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1905),
    [anon_sym_with] = ACTIONS(1905),
    [anon_sym_break] = ACTIONS(1905),
    [anon_sym_continue] = ACTIONS(1905),
    [anon_sym_debugger] = ACTIONS(1905),
    [anon_sym_return] = ACTIONS(1905),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1905),
    [anon_sym_yield] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1905),
    [anon_sym_class] = ACTIONS(1905),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1905),
    [anon_sym_new] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_void] = ACTIONS(1905),
    [anon_sym_delete] = ACTIONS(1905),
    [anon_sym_PLUS_PLUS] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(1903),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [anon_sym_SQUOTE] = ACTIONS(1903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1903),
    [sym_number] = ACTIONS(1903),
    [sym_this] = ACTIONS(1905),
    [sym_super] = ACTIONS(1905),
    [sym_true] = ACTIONS(1905),
    [sym_false] = ACTIONS(1905),
    [sym_null] = ACTIONS(1905),
    [sym_undefined] = ACTIONS(1905),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1905),
    [anon_sym_set] = ACTIONS(1905),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_abstract] = ACTIONS(1905),
    [anon_sym_interface] = ACTIONS(1905),
    [anon_sym_enum] = ACTIONS(1905),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_type] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_typeof] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_var] = ACTIONS(1909),
    [anon_sym_let] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_await] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_with] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_debugger] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_yield] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_async] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_void] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1907),
    [sym_number] = ACTIONS(1907),
    [sym_this] = ACTIONS(1909),
    [sym_super] = ACTIONS(1909),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [sym_null] = ACTIONS(1909),
    [sym_undefined] = ACTIONS(1909),
    [anon_sym_AT] = ACTIONS(1907),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_readonly] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1909),
    [anon_sym_set] = ACTIONS(1909),
    [anon_sym_declare] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_override] = ACTIONS(1909),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_any] = ACTIONS(1909),
    [anon_sym_number] = ACTIONS(1909),
    [anon_sym_boolean] = ACTIONS(1909),
    [anon_sym_string] = ACTIONS(1909),
    [anon_sym_symbol] = ACTIONS(1909),
    [anon_sym_abstract] = ACTIONS(1909),
    [anon_sym_interface] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1143),
    [sym_identifier] = ACTIONS(1145),
    [anon_sym_export] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_type] = ACTIONS(1145),
    [anon_sym_namespace] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_typeof] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_var] = ACTIONS(1145),
    [anon_sym_let] = ACTIONS(1145),
    [anon_sym_const] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_with] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_debugger] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_yield] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1143),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_async] = ACTIONS(1145),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_void] = ACTIONS(1145),
    [anon_sym_delete] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_DQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1143),
    [sym_number] = ACTIONS(1143),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [sym_null] = ACTIONS(1145),
    [sym_undefined] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_readonly] = ACTIONS(1145),
    [anon_sym_get] = ACTIONS(1145),
    [anon_sym_set] = ACTIONS(1145),
    [anon_sym_declare] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_override] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_any] = ACTIONS(1145),
    [anon_sym_number] = ACTIONS(1145),
    [anon_sym_boolean] = ACTIONS(1145),
    [anon_sym_string] = ACTIONS(1145),
    [anon_sym_symbol] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_interface] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_export] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_type] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_typeof] = ACTIONS(1913),
    [anon_sym_import] = ACTIONS(1913),
    [anon_sym_var] = ACTIONS(1913),
    [anon_sym_let] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_await] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_with] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_debugger] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_async] = ACTIONS(1913),
    [anon_sym_function] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_void] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1911),
    [sym_number] = ACTIONS(1911),
    [sym_this] = ACTIONS(1913),
    [sym_super] = ACTIONS(1913),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [sym_null] = ACTIONS(1913),
    [sym_undefined] = ACTIONS(1913),
    [anon_sym_AT] = ACTIONS(1911),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_readonly] = ACTIONS(1913),
    [anon_sym_get] = ACTIONS(1913),
    [anon_sym_set] = ACTIONS(1913),
    [anon_sym_declare] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_any] = ACTIONS(1913),
    [anon_sym_number] = ACTIONS(1913),
    [anon_sym_boolean] = ACTIONS(1913),
    [anon_sym_string] = ACTIONS(1913),
    [anon_sym_symbol] = ACTIONS(1913),
    [anon_sym_abstract] = ACTIONS(1913),
    [anon_sym_interface] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [anon_sym_type] = ACTIONS(1273),
    [anon_sym_namespace] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1271),
    [anon_sym_SQUOTE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_number] = ACTIONS(1271),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_readonly] = ACTIONS(1273),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
    [anon_sym_declare] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_override] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_any] = ACTIONS(1273),
    [anon_sym_number] = ACTIONS(1273),
    [anon_sym_boolean] = ACTIONS(1273),
    [anon_sym_string] = ACTIONS(1273),
    [anon_sym_symbol] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1915),
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_export] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_type] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_typeof] = ACTIONS(1917),
    [anon_sym_import] = ACTIONS(1917),
    [anon_sym_var] = ACTIONS(1917),
    [anon_sym_let] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1915),
    [anon_sym_await] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_with] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_debugger] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_yield] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_async] = ACTIONS(1917),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_void] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1915),
    [sym_number] = ACTIONS(1915),
    [sym_this] = ACTIONS(1917),
    [sym_super] = ACTIONS(1917),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [sym_null] = ACTIONS(1917),
    [sym_undefined] = ACTIONS(1917),
    [anon_sym_AT] = ACTIONS(1915),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_readonly] = ACTIONS(1917),
    [anon_sym_get] = ACTIONS(1917),
    [anon_sym_set] = ACTIONS(1917),
    [anon_sym_declare] = ACTIONS(1917),
    [anon_sym_public] = ACTIONS(1917),
    [anon_sym_private] = ACTIONS(1917),
    [anon_sym_protected] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_any] = ACTIONS(1917),
    [anon_sym_number] = ACTIONS(1917),
    [anon_sym_boolean] = ACTIONS(1917),
    [anon_sym_string] = ACTIONS(1917),
    [anon_sym_symbol] = ACTIONS(1917),
    [anon_sym_abstract] = ACTIONS(1917),
    [anon_sym_interface] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_export] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_type] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_typeof] = ACTIONS(1921),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(1921),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_LPAREN] = ACTIONS(1919),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_with] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_debugger] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_yield] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_LT] = ACTIONS(1919),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_async] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_void] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1919),
    [sym_number] = ACTIONS(1919),
    [sym_this] = ACTIONS(1921),
    [sym_super] = ACTIONS(1921),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [sym_null] = ACTIONS(1921),
    [sym_undefined] = ACTIONS(1921),
    [anon_sym_AT] = ACTIONS(1919),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_readonly] = ACTIONS(1921),
    [anon_sym_get] = ACTIONS(1921),
    [anon_sym_set] = ACTIONS(1921),
    [anon_sym_declare] = ACTIONS(1921),
    [anon_sym_public] = ACTIONS(1921),
    [anon_sym_private] = ACTIONS(1921),
    [anon_sym_protected] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_module] = ACTIONS(1921),
    [anon_sym_any] = ACTIONS(1921),
    [anon_sym_number] = ACTIONS(1921),
    [anon_sym_boolean] = ACTIONS(1921),
    [anon_sym_string] = ACTIONS(1921),
    [anon_sym_symbol] = ACTIONS(1921),
    [anon_sym_abstract] = ACTIONS(1921),
    [anon_sym_interface] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1915),
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_export] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_type] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_typeof] = ACTIONS(1917),
    [anon_sym_import] = ACTIONS(1917),
    [anon_sym_var] = ACTIONS(1917),
    [anon_sym_let] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1915),
    [anon_sym_await] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_with] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_debugger] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_yield] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_async] = ACTIONS(1917),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_void] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1915),
    [sym_number] = ACTIONS(1915),
    [sym_this] = ACTIONS(1917),
    [sym_super] = ACTIONS(1917),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [sym_null] = ACTIONS(1917),
    [sym_undefined] = ACTIONS(1917),
    [anon_sym_AT] = ACTIONS(1915),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_readonly] = ACTIONS(1917),
    [anon_sym_get] = ACTIONS(1917),
    [anon_sym_set] = ACTIONS(1917),
    [anon_sym_declare] = ACTIONS(1917),
    [anon_sym_public] = ACTIONS(1917),
    [anon_sym_private] = ACTIONS(1917),
    [anon_sym_protected] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_any] = ACTIONS(1917),
    [anon_sym_number] = ACTIONS(1917),
    [anon_sym_boolean] = ACTIONS(1917),
    [anon_sym_string] = ACTIONS(1917),
    [anon_sym_symbol] = ACTIONS(1917),
    [anon_sym_abstract] = ACTIONS(1917),
    [anon_sym_interface] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_type] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_typeof] = ACTIONS(1925),
    [anon_sym_import] = ACTIONS(1925),
    [anon_sym_var] = ACTIONS(1925),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_LPAREN] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_with] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_debugger] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_yield] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_void] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1923),
    [sym_number] = ACTIONS(1923),
    [sym_this] = ACTIONS(1925),
    [sym_super] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_undefined] = ACTIONS(1925),
    [anon_sym_AT] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_readonly] = ACTIONS(1925),
    [anon_sym_get] = ACTIONS(1925),
    [anon_sym_set] = ACTIONS(1925),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1925),
    [anon_sym_private] = ACTIONS(1925),
    [anon_sym_protected] = ACTIONS(1925),
    [anon_sym_override] = ACTIONS(1925),
    [anon_sym_module] = ACTIONS(1925),
    [anon_sym_any] = ACTIONS(1925),
    [anon_sym_number] = ACTIONS(1925),
    [anon_sym_boolean] = ACTIONS(1925),
    [anon_sym_string] = ACTIONS(1925),
    [anon_sym_symbol] = ACTIONS(1925),
    [anon_sym_abstract] = ACTIONS(1925),
    [anon_sym_interface] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1929),
    [anon_sym_export] = ACTIONS(1929),
    [anon_sym_default] = ACTIONS(1929),
    [anon_sym_type] = ACTIONS(1929),
    [anon_sym_namespace] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_typeof] = ACTIONS(1929),
    [anon_sym_import] = ACTIONS(1929),
    [anon_sym_var] = ACTIONS(1929),
    [anon_sym_let] = ACTIONS(1929),
    [anon_sym_const] = ACTIONS(1929),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_else] = ACTIONS(1929),
    [anon_sym_if] = ACTIONS(1929),
    [anon_sym_switch] = ACTIONS(1929),
    [anon_sym_for] = ACTIONS(1929),
    [anon_sym_LPAREN] = ACTIONS(1927),
    [anon_sym_await] = ACTIONS(1929),
    [anon_sym_while] = ACTIONS(1929),
    [anon_sym_do] = ACTIONS(1929),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_with] = ACTIONS(1929),
    [anon_sym_break] = ACTIONS(1929),
    [anon_sym_continue] = ACTIONS(1929),
    [anon_sym_debugger] = ACTIONS(1929),
    [anon_sym_return] = ACTIONS(1929),
    [anon_sym_throw] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym_case] = ACTIONS(1929),
    [anon_sym_yield] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1929),
    [anon_sym_class] = ACTIONS(1929),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_function] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(1929),
    [anon_sym_DASH] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_void] = ACTIONS(1929),
    [anon_sym_delete] = ACTIONS(1929),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1927),
    [sym_number] = ACTIONS(1927),
    [sym_this] = ACTIONS(1929),
    [sym_super] = ACTIONS(1929),
    [sym_true] = ACTIONS(1929),
    [sym_false] = ACTIONS(1929),
    [sym_null] = ACTIONS(1929),
    [sym_undefined] = ACTIONS(1929),
    [anon_sym_AT] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1929),
    [anon_sym_readonly] = ACTIONS(1929),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_declare] = ACTIONS(1929),
    [anon_sym_public] = ACTIONS(1929),
    [anon_sym_private] = ACTIONS(1929),
    [anon_sym_protected] = ACTIONS(1929),
    [anon_sym_override] = ACTIONS(1929),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_any] = ACTIONS(1929),
    [anon_sym_number] = ACTIONS(1929),
    [anon_sym_boolean] = ACTIONS(1929),
    [anon_sym_string] = ACTIONS(1929),
    [anon_sym_symbol] = ACTIONS(1929),
    [anon_sym_abstract] = ACTIONS(1929),
    [anon_sym_interface] = ACTIONS(1929),
    [anon_sym_enum] = ACTIONS(1929),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1933),
    [anon_sym_export] = ACTIONS(1933),
    [anon_sym_default] = ACTIONS(1933),
    [anon_sym_type] = ACTIONS(1933),
    [anon_sym_namespace] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(1933),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(1933),
    [anon_sym_let] = ACTIONS(1933),
    [anon_sym_const] = ACTIONS(1933),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_else] = ACTIONS(1933),
    [anon_sym_if] = ACTIONS(1933),
    [anon_sym_switch] = ACTIONS(1933),
    [anon_sym_for] = ACTIONS(1933),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_await] = ACTIONS(1933),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1933),
    [anon_sym_try] = ACTIONS(1933),
    [anon_sym_with] = ACTIONS(1933),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1933),
    [anon_sym_debugger] = ACTIONS(1933),
    [anon_sym_return] = ACTIONS(1933),
    [anon_sym_throw] = ACTIONS(1933),
    [anon_sym_SEMI] = ACTIONS(1931),
    [anon_sym_case] = ACTIONS(1933),
    [anon_sym_yield] = ACTIONS(1933),
    [anon_sym_LBRACK] = ACTIONS(1931),
    [anon_sym_LT] = ACTIONS(1931),
    [anon_sym_SLASH] = ACTIONS(1933),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_void] = ACTIONS(1933),
    [anon_sym_delete] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1931),
    [anon_sym_DASH_DASH] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [anon_sym_SQUOTE] = ACTIONS(1931),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1931),
    [sym_number] = ACTIONS(1931),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_undefined] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(1931),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_readonly] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1933),
    [anon_sym_set] = ACTIONS(1933),
    [anon_sym_declare] = ACTIONS(1933),
    [anon_sym_public] = ACTIONS(1933),
    [anon_sym_private] = ACTIONS(1933),
    [anon_sym_protected] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_module] = ACTIONS(1933),
    [anon_sym_any] = ACTIONS(1933),
    [anon_sym_number] = ACTIONS(1933),
    [anon_sym_boolean] = ACTIONS(1933),
    [anon_sym_string] = ACTIONS(1933),
    [anon_sym_symbol] = ACTIONS(1933),
    [anon_sym_abstract] = ACTIONS(1933),
    [anon_sym_interface] = ACTIONS(1933),
    [anon_sym_enum] = ACTIONS(1933),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_export] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_typeof] = ACTIONS(1937),
    [anon_sym_import] = ACTIONS(1937),
    [anon_sym_var] = ACTIONS(1937),
    [anon_sym_let] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_LPAREN] = ACTIONS(1935),
    [anon_sym_await] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_with] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_debugger] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_yield] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1935),
    [anon_sym_LT] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_void] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1935),
    [sym_number] = ACTIONS(1935),
    [sym_this] = ACTIONS(1937),
    [sym_super] = ACTIONS(1937),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [sym_null] = ACTIONS(1937),
    [sym_undefined] = ACTIONS(1937),
    [anon_sym_AT] = ACTIONS(1935),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_readonly] = ACTIONS(1937),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_declare] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1937),
    [anon_sym_number] = ACTIONS(1937),
    [anon_sym_boolean] = ACTIONS(1937),
    [anon_sym_string] = ACTIONS(1937),
    [anon_sym_symbol] = ACTIONS(1937),
    [anon_sym_abstract] = ACTIONS(1937),
    [anon_sym_interface] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_export] = ACTIONS(1941),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_type] = ACTIONS(1941),
    [anon_sym_namespace] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1939),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(1941),
    [anon_sym_import] = ACTIONS(1941),
    [anon_sym_var] = ACTIONS(1941),
    [anon_sym_let] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1941),
    [anon_sym_if] = ACTIONS(1941),
    [anon_sym_switch] = ACTIONS(1941),
    [anon_sym_for] = ACTIONS(1941),
    [anon_sym_LPAREN] = ACTIONS(1939),
    [anon_sym_await] = ACTIONS(1941),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1941),
    [anon_sym_try] = ACTIONS(1941),
    [anon_sym_with] = ACTIONS(1941),
    [anon_sym_break] = ACTIONS(1941),
    [anon_sym_continue] = ACTIONS(1941),
    [anon_sym_debugger] = ACTIONS(1941),
    [anon_sym_return] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1941),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1941),
    [anon_sym_yield] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_class] = ACTIONS(1941),
    [anon_sym_async] = ACTIONS(1941),
    [anon_sym_function] = ACTIONS(1941),
    [anon_sym_new] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1939),
    [anon_sym_void] = ACTIONS(1941),
    [anon_sym_delete] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_DQUOTE] = ACTIONS(1939),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1939),
    [sym_number] = ACTIONS(1939),
    [sym_this] = ACTIONS(1941),
    [sym_super] = ACTIONS(1941),
    [sym_true] = ACTIONS(1941),
    [sym_false] = ACTIONS(1941),
    [sym_null] = ACTIONS(1941),
    [sym_undefined] = ACTIONS(1941),
    [anon_sym_AT] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1941),
    [anon_sym_readonly] = ACTIONS(1941),
    [anon_sym_get] = ACTIONS(1941),
    [anon_sym_set] = ACTIONS(1941),
    [anon_sym_declare] = ACTIONS(1941),
    [anon_sym_public] = ACTIONS(1941),
    [anon_sym_private] = ACTIONS(1941),
    [anon_sym_protected] = ACTIONS(1941),
    [anon_sym_override] = ACTIONS(1941),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1941),
    [anon_sym_number] = ACTIONS(1941),
    [anon_sym_boolean] = ACTIONS(1941),
    [anon_sym_string] = ACTIONS(1941),
    [anon_sym_symbol] = ACTIONS(1941),
    [anon_sym_abstract] = ACTIONS(1941),
    [anon_sym_interface] = ACTIONS(1941),
    [anon_sym_enum] = ACTIONS(1941),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_export] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_typeof] = ACTIONS(1937),
    [anon_sym_import] = ACTIONS(1937),
    [anon_sym_var] = ACTIONS(1937),
    [anon_sym_let] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_LPAREN] = ACTIONS(1935),
    [anon_sym_await] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_with] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_debugger] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_yield] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1935),
    [anon_sym_LT] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_void] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1935),
    [sym_number] = ACTIONS(1935),
    [sym_this] = ACTIONS(1937),
    [sym_super] = ACTIONS(1937),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [sym_null] = ACTIONS(1937),
    [sym_undefined] = ACTIONS(1937),
    [anon_sym_AT] = ACTIONS(1935),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_readonly] = ACTIONS(1937),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_declare] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1937),
    [anon_sym_number] = ACTIONS(1937),
    [anon_sym_boolean] = ACTIONS(1937),
    [anon_sym_string] = ACTIONS(1937),
    [anon_sym_symbol] = ACTIONS(1937),
    [anon_sym_abstract] = ACTIONS(1937),
    [anon_sym_interface] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_export] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_typeof] = ACTIONS(1937),
    [anon_sym_import] = ACTIONS(1937),
    [anon_sym_var] = ACTIONS(1937),
    [anon_sym_let] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_LPAREN] = ACTIONS(1935),
    [anon_sym_await] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_with] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_debugger] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_yield] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1935),
    [anon_sym_LT] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_void] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1935),
    [sym_number] = ACTIONS(1935),
    [sym_this] = ACTIONS(1937),
    [sym_super] = ACTIONS(1937),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [sym_null] = ACTIONS(1937),
    [sym_undefined] = ACTIONS(1937),
    [anon_sym_AT] = ACTIONS(1935),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_readonly] = ACTIONS(1937),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_declare] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1937),
    [anon_sym_number] = ACTIONS(1937),
    [anon_sym_boolean] = ACTIONS(1937),
    [anon_sym_string] = ACTIONS(1937),
    [anon_sym_symbol] = ACTIONS(1937),
    [anon_sym_abstract] = ACTIONS(1937),
    [anon_sym_interface] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1943),
    [sym_identifier] = ACTIONS(1945),
    [anon_sym_export] = ACTIONS(1945),
    [anon_sym_default] = ACTIONS(1945),
    [anon_sym_type] = ACTIONS(1945),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1943),
    [anon_sym_RBRACE] = ACTIONS(1943),
    [anon_sym_typeof] = ACTIONS(1945),
    [anon_sym_import] = ACTIONS(1945),
    [anon_sym_var] = ACTIONS(1945),
    [anon_sym_let] = ACTIONS(1945),
    [anon_sym_const] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1945),
    [anon_sym_switch] = ACTIONS(1945),
    [anon_sym_for] = ACTIONS(1945),
    [anon_sym_LPAREN] = ACTIONS(1943),
    [anon_sym_await] = ACTIONS(1945),
    [anon_sym_while] = ACTIONS(1945),
    [anon_sym_do] = ACTIONS(1945),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_with] = ACTIONS(1945),
    [anon_sym_break] = ACTIONS(1945),
    [anon_sym_continue] = ACTIONS(1945),
    [anon_sym_debugger] = ACTIONS(1945),
    [anon_sym_return] = ACTIONS(1945),
    [anon_sym_throw] = ACTIONS(1945),
    [anon_sym_SEMI] = ACTIONS(1943),
    [anon_sym_case] = ACTIONS(1945),
    [anon_sym_yield] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1945),
    [anon_sym_class] = ACTIONS(1945),
    [anon_sym_async] = ACTIONS(1945),
    [anon_sym_function] = ACTIONS(1945),
    [anon_sym_new] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1943),
    [anon_sym_void] = ACTIONS(1945),
    [anon_sym_delete] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1943),
    [sym_number] = ACTIONS(1943),
    [sym_this] = ACTIONS(1945),
    [sym_super] = ACTIONS(1945),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [sym_null] = ACTIONS(1945),
    [sym_undefined] = ACTIONS(1945),
    [anon_sym_AT] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1945),
    [anon_sym_readonly] = ACTIONS(1945),
    [anon_sym_get] = ACTIONS(1945),
    [anon_sym_set] = ACTIONS(1945),
    [anon_sym_declare] = ACTIONS(1945),
    [anon_sym_public] = ACTIONS(1945),
    [anon_sym_private] = ACTIONS(1945),
    [anon_sym_protected] = ACTIONS(1945),
    [anon_sym_override] = ACTIONS(1945),
    [anon_sym_module] = ACTIONS(1945),
    [anon_sym_any] = ACTIONS(1945),
    [anon_sym_number] = ACTIONS(1945),
    [anon_sym_boolean] = ACTIONS(1945),
    [anon_sym_string] = ACTIONS(1945),
    [anon_sym_symbol] = ACTIONS(1945),
    [anon_sym_abstract] = ACTIONS(1945),
    [anon_sym_interface] = ACTIONS(1945),
    [anon_sym_enum] = ACTIONS(1945),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1947),
    [sym_identifier] = ACTIONS(1949),
    [anon_sym_export] = ACTIONS(1949),
    [anon_sym_default] = ACTIONS(1949),
    [anon_sym_type] = ACTIONS(1949),
    [anon_sym_namespace] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_RBRACE] = ACTIONS(1947),
    [anon_sym_typeof] = ACTIONS(1949),
    [anon_sym_import] = ACTIONS(1949),
    [anon_sym_var] = ACTIONS(1949),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1949),
    [anon_sym_if] = ACTIONS(1949),
    [anon_sym_switch] = ACTIONS(1949),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_while] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_try] = ACTIONS(1949),
    [anon_sym_with] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_debugger] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_throw] = ACTIONS(1949),
    [anon_sym_SEMI] = ACTIONS(1947),
    [anon_sym_case] = ACTIONS(1949),
    [anon_sym_yield] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1949),
    [anon_sym_class] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_function] = ACTIONS(1949),
    [anon_sym_new] = ACTIONS(1949),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_void] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [anon_sym_SQUOTE] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [sym_this] = ACTIONS(1949),
    [sym_super] = ACTIONS(1949),
    [sym_true] = ACTIONS(1949),
    [sym_false] = ACTIONS(1949),
    [sym_null] = ACTIONS(1949),
    [sym_undefined] = ACTIONS(1949),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1949),
    [anon_sym_readonly] = ACTIONS(1949),
    [anon_sym_get] = ACTIONS(1949),
    [anon_sym_set] = ACTIONS(1949),
    [anon_sym_declare] = ACTIONS(1949),
    [anon_sym_public] = ACTIONS(1949),
    [anon_sym_private] = ACTIONS(1949),
    [anon_sym_protected] = ACTIONS(1949),
    [anon_sym_override] = ACTIONS(1949),
    [anon_sym_module] = ACTIONS(1949),
    [anon_sym_any] = ACTIONS(1949),
    [anon_sym_number] = ACTIONS(1949),
    [anon_sym_boolean] = ACTIONS(1949),
    [anon_sym_string] = ACTIONS(1949),
    [anon_sym_symbol] = ACTIONS(1949),
    [anon_sym_abstract] = ACTIONS(1949),
    [anon_sym_interface] = ACTIONS(1949),
    [anon_sym_enum] = ACTIONS(1949),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1951),
    [sym_identifier] = ACTIONS(1953),
    [anon_sym_export] = ACTIONS(1953),
    [anon_sym_default] = ACTIONS(1953),
    [anon_sym_type] = ACTIONS(1953),
    [anon_sym_namespace] = ACTIONS(1953),
    [anon_sym_LBRACE] = ACTIONS(1951),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_typeof] = ACTIONS(1953),
    [anon_sym_import] = ACTIONS(1953),
    [anon_sym_var] = ACTIONS(1953),
    [anon_sym_let] = ACTIONS(1953),
    [anon_sym_const] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1953),
    [anon_sym_if] = ACTIONS(1953),
    [anon_sym_switch] = ACTIONS(1953),
    [anon_sym_for] = ACTIONS(1953),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_await] = ACTIONS(1953),
    [anon_sym_while] = ACTIONS(1953),
    [anon_sym_do] = ACTIONS(1953),
    [anon_sym_try] = ACTIONS(1953),
    [anon_sym_with] = ACTIONS(1953),
    [anon_sym_break] = ACTIONS(1953),
    [anon_sym_continue] = ACTIONS(1953),
    [anon_sym_debugger] = ACTIONS(1953),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1953),
    [anon_sym_yield] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_class] = ACTIONS(1953),
    [anon_sym_async] = ACTIONS(1953),
    [anon_sym_function] = ACTIONS(1953),
    [anon_sym_new] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_void] = ACTIONS(1953),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_DQUOTE] = ACTIONS(1951),
    [anon_sym_SQUOTE] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1951),
    [sym_number] = ACTIONS(1951),
    [sym_this] = ACTIONS(1953),
    [sym_super] = ACTIONS(1953),
    [sym_true] = ACTIONS(1953),
    [sym_false] = ACTIONS(1953),
    [sym_null] = ACTIONS(1953),
    [sym_undefined] = ACTIONS(1953),
    [anon_sym_AT] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1953),
    [anon_sym_readonly] = ACTIONS(1953),
    [anon_sym_get] = ACTIONS(1953),
    [anon_sym_set] = ACTIONS(1953),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1953),
    [anon_sym_private] = ACTIONS(1953),
    [anon_sym_protected] = ACTIONS(1953),
    [anon_sym_override] = ACTIONS(1953),
    [anon_sym_module] = ACTIONS(1953),
    [anon_sym_any] = ACTIONS(1953),
    [anon_sym_number] = ACTIONS(1953),
    [anon_sym_boolean] = ACTIONS(1953),
    [anon_sym_string] = ACTIONS(1953),
    [anon_sym_symbol] = ACTIONS(1953),
    [anon_sym_abstract] = ACTIONS(1953),
    [anon_sym_interface] = ACTIONS(1953),
    [anon_sym_enum] = ACTIONS(1953),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1955),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_export] = ACTIONS(1957),
    [anon_sym_default] = ACTIONS(1957),
    [anon_sym_type] = ACTIONS(1957),
    [anon_sym_namespace] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1955),
    [anon_sym_RBRACE] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(1957),
    [anon_sym_import] = ACTIONS(1957),
    [anon_sym_var] = ACTIONS(1957),
    [anon_sym_let] = ACTIONS(1957),
    [anon_sym_const] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1957),
    [anon_sym_if] = ACTIONS(1957),
    [anon_sym_switch] = ACTIONS(1957),
    [anon_sym_for] = ACTIONS(1957),
    [anon_sym_LPAREN] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(1957),
    [anon_sym_while] = ACTIONS(1957),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_try] = ACTIONS(1957),
    [anon_sym_with] = ACTIONS(1957),
    [anon_sym_break] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1957),
    [anon_sym_debugger] = ACTIONS(1957),
    [anon_sym_return] = ACTIONS(1957),
    [anon_sym_throw] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1957),
    [anon_sym_yield] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1957),
    [anon_sym_class] = ACTIONS(1957),
    [anon_sym_async] = ACTIONS(1957),
    [anon_sym_function] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1955),
    [anon_sym_void] = ACTIONS(1957),
    [anon_sym_delete] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(1955),
    [anon_sym_SQUOTE] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1955),
    [sym_number] = ACTIONS(1955),
    [sym_this] = ACTIONS(1957),
    [sym_super] = ACTIONS(1957),
    [sym_true] = ACTIONS(1957),
    [sym_false] = ACTIONS(1957),
    [sym_null] = ACTIONS(1957),
    [sym_undefined] = ACTIONS(1957),
    [anon_sym_AT] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1957),
    [anon_sym_readonly] = ACTIONS(1957),
    [anon_sym_get] = ACTIONS(1957),
    [anon_sym_set] = ACTIONS(1957),
    [anon_sym_declare] = ACTIONS(1957),
    [anon_sym_public] = ACTIONS(1957),
    [anon_sym_private] = ACTIONS(1957),
    [anon_sym_protected] = ACTIONS(1957),
    [anon_sym_override] = ACTIONS(1957),
    [anon_sym_module] = ACTIONS(1957),
    [anon_sym_any] = ACTIONS(1957),
    [anon_sym_number] = ACTIONS(1957),
    [anon_sym_boolean] = ACTIONS(1957),
    [anon_sym_string] = ACTIONS(1957),
    [anon_sym_symbol] = ACTIONS(1957),
    [anon_sym_abstract] = ACTIONS(1957),
    [anon_sym_interface] = ACTIONS(1957),
    [anon_sym_enum] = ACTIONS(1957),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1959),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_export] = ACTIONS(1961),
    [anon_sym_default] = ACTIONS(1961),
    [anon_sym_type] = ACTIONS(1961),
    [anon_sym_namespace] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1959),
    [anon_sym_RBRACE] = ACTIONS(1959),
    [anon_sym_typeof] = ACTIONS(1961),
    [anon_sym_import] = ACTIONS(1961),
    [anon_sym_var] = ACTIONS(1961),
    [anon_sym_let] = ACTIONS(1961),
    [anon_sym_const] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_switch] = ACTIONS(1961),
    [anon_sym_for] = ACTIONS(1961),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_await] = ACTIONS(1961),
    [anon_sym_while] = ACTIONS(1961),
    [anon_sym_do] = ACTIONS(1961),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_with] = ACTIONS(1961),
    [anon_sym_break] = ACTIONS(1961),
    [anon_sym_continue] = ACTIONS(1961),
    [anon_sym_debugger] = ACTIONS(1961),
    [anon_sym_return] = ACTIONS(1961),
    [anon_sym_throw] = ACTIONS(1961),
    [anon_sym_SEMI] = ACTIONS(1959),
    [anon_sym_case] = ACTIONS(1961),
    [anon_sym_yield] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_class] = ACTIONS(1961),
    [anon_sym_async] = ACTIONS(1961),
    [anon_sym_function] = ACTIONS(1961),
    [anon_sym_new] = ACTIONS(1961),
    [anon_sym_PLUS] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_void] = ACTIONS(1961),
    [anon_sym_delete] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1959),
    [anon_sym_DQUOTE] = ACTIONS(1959),
    [anon_sym_SQUOTE] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1959),
    [sym_number] = ACTIONS(1959),
    [sym_this] = ACTIONS(1961),
    [sym_super] = ACTIONS(1961),
    [sym_true] = ACTIONS(1961),
    [sym_false] = ACTIONS(1961),
    [sym_null] = ACTIONS(1961),
    [sym_undefined] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1961),
    [anon_sym_readonly] = ACTIONS(1961),
    [anon_sym_get] = ACTIONS(1961),
    [anon_sym_set] = ACTIONS(1961),
    [anon_sym_declare] = ACTIONS(1961),
    [anon_sym_public] = ACTIONS(1961),
    [anon_sym_private] = ACTIONS(1961),
    [anon_sym_protected] = ACTIONS(1961),
    [anon_sym_override] = ACTIONS(1961),
    [anon_sym_module] = ACTIONS(1961),
    [anon_sym_any] = ACTIONS(1961),
    [anon_sym_number] = ACTIONS(1961),
    [anon_sym_boolean] = ACTIONS(1961),
    [anon_sym_string] = ACTIONS(1961),
    [anon_sym_symbol] = ACTIONS(1961),
    [anon_sym_abstract] = ACTIONS(1961),
    [anon_sym_interface] = ACTIONS(1961),
    [anon_sym_enum] = ACTIONS(1961),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1965),
    [anon_sym_default] = ACTIONS(1965),
    [anon_sym_type] = ACTIONS(1965),
    [anon_sym_namespace] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_RBRACE] = ACTIONS(1963),
    [anon_sym_typeof] = ACTIONS(1965),
    [anon_sym_import] = ACTIONS(1965),
    [anon_sym_var] = ACTIONS(1965),
    [anon_sym_let] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(1965),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_switch] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_await] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_do] = ACTIONS(1965),
    [anon_sym_try] = ACTIONS(1965),
    [anon_sym_with] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1965),
    [anon_sym_continue] = ACTIONS(1965),
    [anon_sym_debugger] = ACTIONS(1965),
    [anon_sym_return] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1965),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym_case] = ACTIONS(1965),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_class] = ACTIONS(1965),
    [anon_sym_async] = ACTIONS(1965),
    [anon_sym_function] = ACTIONS(1965),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1963),
    [anon_sym_void] = ACTIONS(1965),
    [anon_sym_delete] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1963),
    [anon_sym_DASH_DASH] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1963),
    [anon_sym_SQUOTE] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1963),
    [sym_number] = ACTIONS(1963),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(1965),
    [sym_true] = ACTIONS(1965),
    [sym_false] = ACTIONS(1965),
    [sym_null] = ACTIONS(1965),
    [sym_undefined] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_static] = ACTIONS(1965),
    [anon_sym_readonly] = ACTIONS(1965),
    [anon_sym_get] = ACTIONS(1965),
    [anon_sym_set] = ACTIONS(1965),
    [anon_sym_declare] = ACTIONS(1965),
    [anon_sym_public] = ACTIONS(1965),
    [anon_sym_private] = ACTIONS(1965),
    [anon_sym_protected] = ACTIONS(1965),
    [anon_sym_override] = ACTIONS(1965),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_any] = ACTIONS(1965),
    [anon_sym_number] = ACTIONS(1965),
    [anon_sym_boolean] = ACTIONS(1965),
    [anon_sym_string] = ACTIONS(1965),
    [anon_sym_symbol] = ACTIONS(1965),
    [anon_sym_abstract] = ACTIONS(1965),
    [anon_sym_interface] = ACTIONS(1965),
    [anon_sym_enum] = ACTIONS(1965),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1967),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_export] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_type] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_typeof] = ACTIONS(1969),
    [anon_sym_import] = ACTIONS(1969),
    [anon_sym_var] = ACTIONS(1969),
    [anon_sym_let] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(1967),
    [anon_sym_await] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_with] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_debugger] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_yield] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_async] = ACTIONS(1969),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_void] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1967),
    [sym_number] = ACTIONS(1967),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(1969),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [sym_null] = ACTIONS(1969),
    [sym_undefined] = ACTIONS(1969),
    [anon_sym_AT] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_readonly] = ACTIONS(1969),
    [anon_sym_get] = ACTIONS(1969),
    [anon_sym_set] = ACTIONS(1969),
    [anon_sym_declare] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_override] = ACTIONS(1969),
    [anon_sym_module] = ACTIONS(1969),
    [anon_sym_any] = ACTIONS(1969),
    [anon_sym_number] = ACTIONS(1969),
    [anon_sym_boolean] = ACTIONS(1969),
    [anon_sym_string] = ACTIONS(1969),
    [anon_sym_symbol] = ACTIONS(1969),
    [anon_sym_abstract] = ACTIONS(1969),
    [anon_sym_interface] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1971),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_typeof] = ACTIONS(1973),
    [anon_sym_import] = ACTIONS(1973),
    [anon_sym_var] = ACTIONS(1973),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1971),
    [anon_sym_await] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_with] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_debugger] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_yield] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_void] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1971),
    [sym_number] = ACTIONS(1971),
    [sym_this] = ACTIONS(1973),
    [sym_super] = ACTIONS(1973),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [sym_null] = ACTIONS(1973),
    [sym_undefined] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1971),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_abstract] = ACTIONS(1973),
    [anon_sym_interface] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1977),
    [anon_sym_type] = ACTIONS(1977),
    [anon_sym_namespace] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1977),
    [anon_sym_var] = ACTIONS(1977),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_const] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_switch] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_with] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_debugger] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1977),
    [anon_sym_yield] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_function] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_this] = ACTIONS(1977),
    [sym_super] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1977),
    [anon_sym_set] = ACTIONS(1977),
    [anon_sym_declare] = ACTIONS(1977),
    [anon_sym_public] = ACTIONS(1977),
    [anon_sym_private] = ACTIONS(1977),
    [anon_sym_protected] = ACTIONS(1977),
    [anon_sym_override] = ACTIONS(1977),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_any] = ACTIONS(1977),
    [anon_sym_number] = ACTIONS(1977),
    [anon_sym_boolean] = ACTIONS(1977),
    [anon_sym_string] = ACTIONS(1977),
    [anon_sym_symbol] = ACTIONS(1977),
    [anon_sym_abstract] = ACTIONS(1977),
    [anon_sym_interface] = ACTIONS(1977),
    [anon_sym_enum] = ACTIONS(1977),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1977),
    [anon_sym_type] = ACTIONS(1977),
    [anon_sym_namespace] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1977),
    [anon_sym_var] = ACTIONS(1977),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_const] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_switch] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_with] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_debugger] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1977),
    [anon_sym_yield] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_function] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_this] = ACTIONS(1977),
    [sym_super] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1977),
    [anon_sym_set] = ACTIONS(1977),
    [anon_sym_declare] = ACTIONS(1977),
    [anon_sym_public] = ACTIONS(1977),
    [anon_sym_private] = ACTIONS(1977),
    [anon_sym_protected] = ACTIONS(1977),
    [anon_sym_override] = ACTIONS(1977),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_any] = ACTIONS(1977),
    [anon_sym_number] = ACTIONS(1977),
    [anon_sym_boolean] = ACTIONS(1977),
    [anon_sym_string] = ACTIONS(1977),
    [anon_sym_symbol] = ACTIONS(1977),
    [anon_sym_abstract] = ACTIONS(1977),
    [anon_sym_interface] = ACTIONS(1977),
    [anon_sym_enum] = ACTIONS(1977),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1977),
    [anon_sym_type] = ACTIONS(1977),
    [anon_sym_namespace] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1977),
    [anon_sym_var] = ACTIONS(1977),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_const] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_switch] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_with] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_debugger] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1977),
    [anon_sym_yield] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_function] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_this] = ACTIONS(1977),
    [sym_super] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1977),
    [anon_sym_set] = ACTIONS(1977),
    [anon_sym_declare] = ACTIONS(1977),
    [anon_sym_public] = ACTIONS(1977),
    [anon_sym_private] = ACTIONS(1977),
    [anon_sym_protected] = ACTIONS(1977),
    [anon_sym_override] = ACTIONS(1977),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_any] = ACTIONS(1977),
    [anon_sym_number] = ACTIONS(1977),
    [anon_sym_boolean] = ACTIONS(1977),
    [anon_sym_string] = ACTIONS(1977),
    [anon_sym_symbol] = ACTIONS(1977),
    [anon_sym_abstract] = ACTIONS(1977),
    [anon_sym_interface] = ACTIONS(1977),
    [anon_sym_enum] = ACTIONS(1977),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1979),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1981),
    [anon_sym_default] = ACTIONS(1981),
    [anon_sym_type] = ACTIONS(1981),
    [anon_sym_namespace] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1979),
    [anon_sym_RBRACE] = ACTIONS(1979),
    [anon_sym_typeof] = ACTIONS(1981),
    [anon_sym_import] = ACTIONS(1981),
    [anon_sym_var] = ACTIONS(1981),
    [anon_sym_let] = ACTIONS(1981),
    [anon_sym_const] = ACTIONS(1981),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_switch] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_await] = ACTIONS(1981),
    [anon_sym_while] = ACTIONS(1981),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_try] = ACTIONS(1981),
    [anon_sym_with] = ACTIONS(1981),
    [anon_sym_break] = ACTIONS(1981),
    [anon_sym_continue] = ACTIONS(1981),
    [anon_sym_debugger] = ACTIONS(1981),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_throw] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1979),
    [anon_sym_case] = ACTIONS(1981),
    [anon_sym_yield] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1981),
    [anon_sym_class] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_function] = ACTIONS(1981),
    [anon_sym_new] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1981),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_void] = ACTIONS(1981),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_PLUS_PLUS] = ACTIONS(1979),
    [anon_sym_DASH_DASH] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [anon_sym_SQUOTE] = ACTIONS(1979),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1979),
    [sym_number] = ACTIONS(1979),
    [sym_this] = ACTIONS(1981),
    [sym_super] = ACTIONS(1981),
    [sym_true] = ACTIONS(1981),
    [sym_false] = ACTIONS(1981),
    [sym_null] = ACTIONS(1981),
    [sym_undefined] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1979),
    [anon_sym_static] = ACTIONS(1981),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_get] = ACTIONS(1981),
    [anon_sym_set] = ACTIONS(1981),
    [anon_sym_declare] = ACTIONS(1981),
    [anon_sym_public] = ACTIONS(1981),
    [anon_sym_private] = ACTIONS(1981),
    [anon_sym_protected] = ACTIONS(1981),
    [anon_sym_override] = ACTIONS(1981),
    [anon_sym_module] = ACTIONS(1981),
    [anon_sym_any] = ACTIONS(1981),
    [anon_sym_number] = ACTIONS(1981),
    [anon_sym_boolean] = ACTIONS(1981),
    [anon_sym_string] = ACTIONS(1981),
    [anon_sym_symbol] = ACTIONS(1981),
    [anon_sym_abstract] = ACTIONS(1981),
    [anon_sym_interface] = ACTIONS(1981),
    [anon_sym_enum] = ACTIONS(1981),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1985),
    [anon_sym_export] = ACTIONS(1985),
    [anon_sym_default] = ACTIONS(1985),
    [anon_sym_type] = ACTIONS(1985),
    [anon_sym_namespace] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1983),
    [anon_sym_RBRACE] = ACTIONS(1983),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(1985),
    [anon_sym_var] = ACTIONS(1985),
    [anon_sym_let] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1983),
    [anon_sym_else] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_switch] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1983),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_with] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_debugger] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1983),
    [anon_sym_case] = ACTIONS(1985),
    [anon_sym_yield] = ACTIONS(1985),
    [anon_sym_LBRACK] = ACTIONS(1983),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_function] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1983),
    [anon_sym_void] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(1983),
    [anon_sym_DQUOTE] = ACTIONS(1983),
    [anon_sym_SQUOTE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1983),
    [sym_number] = ACTIONS(1983),
    [sym_this] = ACTIONS(1985),
    [sym_super] = ACTIONS(1985),
    [sym_true] = ACTIONS(1985),
    [sym_false] = ACTIONS(1985),
    [sym_null] = ACTIONS(1985),
    [sym_undefined] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1985),
    [anon_sym_readonly] = ACTIONS(1985),
    [anon_sym_get] = ACTIONS(1985),
    [anon_sym_set] = ACTIONS(1985),
    [anon_sym_declare] = ACTIONS(1985),
    [anon_sym_public] = ACTIONS(1985),
    [anon_sym_private] = ACTIONS(1985),
    [anon_sym_protected] = ACTIONS(1985),
    [anon_sym_override] = ACTIONS(1985),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_any] = ACTIONS(1985),
    [anon_sym_number] = ACTIONS(1985),
    [anon_sym_boolean] = ACTIONS(1985),
    [anon_sym_string] = ACTIONS(1985),
    [anon_sym_symbol] = ACTIONS(1985),
    [anon_sym_abstract] = ACTIONS(1985),
    [anon_sym_interface] = ACTIONS(1985),
    [anon_sym_enum] = ACTIONS(1985),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1987),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1989),
    [anon_sym_default] = ACTIONS(1989),
    [anon_sym_type] = ACTIONS(1989),
    [anon_sym_namespace] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [anon_sym_RBRACE] = ACTIONS(1987),
    [anon_sym_typeof] = ACTIONS(1989),
    [anon_sym_import] = ACTIONS(1989),
    [anon_sym_var] = ACTIONS(1989),
    [anon_sym_let] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_switch] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_with] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_debugger] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_throw] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1989),
    [anon_sym_yield] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_SLASH] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_function] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1987),
    [anon_sym_void] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1987),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1987),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(1989),
    [sym_super] = ACTIONS(1989),
    [sym_true] = ACTIONS(1989),
    [sym_false] = ACTIONS(1989),
    [sym_null] = ACTIONS(1989),
    [sym_undefined] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1989),
    [anon_sym_readonly] = ACTIONS(1989),
    [anon_sym_get] = ACTIONS(1989),
    [anon_sym_set] = ACTIONS(1989),
    [anon_sym_declare] = ACTIONS(1989),
    [anon_sym_public] = ACTIONS(1989),
    [anon_sym_private] = ACTIONS(1989),
    [anon_sym_protected] = ACTIONS(1989),
    [anon_sym_override] = ACTIONS(1989),
    [anon_sym_module] = ACTIONS(1989),
    [anon_sym_any] = ACTIONS(1989),
    [anon_sym_number] = ACTIONS(1989),
    [anon_sym_boolean] = ACTIONS(1989),
    [anon_sym_string] = ACTIONS(1989),
    [anon_sym_symbol] = ACTIONS(1989),
    [anon_sym_abstract] = ACTIONS(1989),
    [anon_sym_interface] = ACTIONS(1989),
    [anon_sym_enum] = ACTIONS(1989),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_default] = ACTIONS(1993),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_typeof] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1993),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_let] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1993),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_switch] = ACTIONS(1993),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_LPAREN] = ACTIONS(1991),
    [anon_sym_await] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(1993),
    [anon_sym_do] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1993),
    [anon_sym_with] = ACTIONS(1993),
    [anon_sym_break] = ACTIONS(1993),
    [anon_sym_continue] = ACTIONS(1993),
    [anon_sym_debugger] = ACTIONS(1993),
    [anon_sym_return] = ACTIONS(1993),
    [anon_sym_throw] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1993),
    [anon_sym_yield] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_LT] = ACTIONS(1991),
    [anon_sym_SLASH] = ACTIONS(1993),
    [anon_sym_class] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1991),
    [anon_sym_void] = ACTIONS(1993),
    [anon_sym_delete] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1991),
    [sym_number] = ACTIONS(1991),
    [sym_this] = ACTIONS(1993),
    [sym_super] = ACTIONS(1993),
    [sym_true] = ACTIONS(1993),
    [sym_false] = ACTIONS(1993),
    [sym_null] = ACTIONS(1993),
    [sym_undefined] = ACTIONS(1993),
    [anon_sym_AT] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_abstract] = ACTIONS(1993),
    [anon_sym_interface] = ACTIONS(1993),
    [anon_sym_enum] = ACTIONS(1993),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1995),
    [anon_sym_RBRACE] = ACTIONS(1995),
    [anon_sym_typeof] = ACTIONS(1997),
    [anon_sym_import] = ACTIONS(1997),
    [anon_sym_var] = ACTIONS(1997),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_with] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_debugger] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1995),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1995),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_SLASH] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_TILDE] = ACTIONS(1995),
    [anon_sym_void] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1995),
    [anon_sym_DASH_DASH] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1995),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1995),
    [sym_number] = ACTIONS(1995),
    [sym_this] = ACTIONS(1997),
    [sym_super] = ACTIONS(1997),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [sym_null] = ACTIONS(1997),
    [sym_undefined] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1995),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_abstract] = ACTIONS(1997),
    [anon_sym_interface] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1999),
    [sym_identifier] = ACTIONS(2001),
    [anon_sym_export] = ACTIONS(2001),
    [anon_sym_default] = ACTIONS(2001),
    [anon_sym_type] = ACTIONS(2001),
    [anon_sym_namespace] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_RBRACE] = ACTIONS(1999),
    [anon_sym_typeof] = ACTIONS(2001),
    [anon_sym_import] = ACTIONS(2001),
    [anon_sym_var] = ACTIONS(2001),
    [anon_sym_let] = ACTIONS(2001),
    [anon_sym_const] = ACTIONS(2001),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_else] = ACTIONS(2001),
    [anon_sym_if] = ACTIONS(2001),
    [anon_sym_switch] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_await] = ACTIONS(2001),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_do] = ACTIONS(2001),
    [anon_sym_try] = ACTIONS(2001),
    [anon_sym_with] = ACTIONS(2001),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_continue] = ACTIONS(2001),
    [anon_sym_debugger] = ACTIONS(2001),
    [anon_sym_return] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2001),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym_case] = ACTIONS(2001),
    [anon_sym_yield] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [anon_sym_LT] = ACTIONS(1999),
    [anon_sym_SLASH] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2001),
    [anon_sym_async] = ACTIONS(2001),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_PLUS] = ACTIONS(2001),
    [anon_sym_DASH] = ACTIONS(2001),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_void] = ACTIONS(2001),
    [anon_sym_delete] = ACTIONS(2001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(1999),
    [sym_this] = ACTIONS(2001),
    [sym_super] = ACTIONS(2001),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_AT] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2001),
    [anon_sym_get] = ACTIONS(2001),
    [anon_sym_set] = ACTIONS(2001),
    [anon_sym_declare] = ACTIONS(2001),
    [anon_sym_public] = ACTIONS(2001),
    [anon_sym_private] = ACTIONS(2001),
    [anon_sym_protected] = ACTIONS(2001),
    [anon_sym_override] = ACTIONS(2001),
    [anon_sym_module] = ACTIONS(2001),
    [anon_sym_any] = ACTIONS(2001),
    [anon_sym_number] = ACTIONS(2001),
    [anon_sym_boolean] = ACTIONS(2001),
    [anon_sym_string] = ACTIONS(2001),
    [anon_sym_symbol] = ACTIONS(2001),
    [anon_sym_abstract] = ACTIONS(2001),
    [anon_sym_interface] = ACTIONS(2001),
    [anon_sym_enum] = ACTIONS(2001),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(2003),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_default] = ACTIONS(2005),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_typeof] = ACTIONS(2005),
    [anon_sym_import] = ACTIONS(2005),
    [anon_sym_var] = ACTIONS(2005),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2005),
    [anon_sym_if] = ACTIONS(2005),
    [anon_sym_switch] = ACTIONS(2005),
    [anon_sym_for] = ACTIONS(2005),
    [anon_sym_LPAREN] = ACTIONS(2003),
    [anon_sym_await] = ACTIONS(2005),
    [anon_sym_while] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2005),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_with] = ACTIONS(2005),
    [anon_sym_break] = ACTIONS(2005),
    [anon_sym_continue] = ACTIONS(2005),
    [anon_sym_debugger] = ACTIONS(2005),
    [anon_sym_return] = ACTIONS(2005),
    [anon_sym_throw] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2005),
    [anon_sym_yield] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2003),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_class] = ACTIONS(2005),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_function] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2003),
    [anon_sym_void] = ACTIONS(2005),
    [anon_sym_delete] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2003),
    [anon_sym_DQUOTE] = ACTIONS(2003),
    [anon_sym_SQUOTE] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2003),
    [sym_number] = ACTIONS(2003),
    [sym_this] = ACTIONS(2005),
    [sym_super] = ACTIONS(2005),
    [sym_true] = ACTIONS(2005),
    [sym_false] = ACTIONS(2005),
    [sym_null] = ACTIONS(2005),
    [sym_undefined] = ACTIONS(2005),
    [anon_sym_AT] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_abstract] = ACTIONS(2005),
    [anon_sym_interface] = ACTIONS(2005),
    [anon_sym_enum] = ACTIONS(2005),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_export] = ACTIONS(2009),
    [anon_sym_default] = ACTIONS(2009),
    [anon_sym_type] = ACTIONS(2009),
    [anon_sym_namespace] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_typeof] = ACTIONS(2009),
    [anon_sym_import] = ACTIONS(2009),
    [anon_sym_var] = ACTIONS(2009),
    [anon_sym_let] = ACTIONS(2009),
    [anon_sym_const] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2009),
    [anon_sym_if] = ACTIONS(2009),
    [anon_sym_switch] = ACTIONS(2009),
    [anon_sym_for] = ACTIONS(2009),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_while] = ACTIONS(2009),
    [anon_sym_do] = ACTIONS(2009),
    [anon_sym_try] = ACTIONS(2009),
    [anon_sym_with] = ACTIONS(2009),
    [anon_sym_break] = ACTIONS(2009),
    [anon_sym_continue] = ACTIONS(2009),
    [anon_sym_debugger] = ACTIONS(2009),
    [anon_sym_return] = ACTIONS(2009),
    [anon_sym_throw] = ACTIONS(2009),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2009),
    [anon_sym_yield] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2007),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_class] = ACTIONS(2009),
    [anon_sym_async] = ACTIONS(2009),
    [anon_sym_function] = ACTIONS(2009),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_PLUS] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_void] = ACTIONS(2009),
    [anon_sym_delete] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [sym_this] = ACTIONS(2009),
    [sym_super] = ACTIONS(2009),
    [sym_true] = ACTIONS(2009),
    [sym_false] = ACTIONS(2009),
    [sym_null] = ACTIONS(2009),
    [sym_undefined] = ACTIONS(2009),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2009),
    [anon_sym_readonly] = ACTIONS(2009),
    [anon_sym_get] = ACTIONS(2009),
    [anon_sym_set] = ACTIONS(2009),
    [anon_sym_declare] = ACTIONS(2009),
    [anon_sym_public] = ACTIONS(2009),
    [anon_sym_private] = ACTIONS(2009),
    [anon_sym_protected] = ACTIONS(2009),
    [anon_sym_override] = ACTIONS(2009),
    [anon_sym_module] = ACTIONS(2009),
    [anon_sym_any] = ACTIONS(2009),
    [anon_sym_number] = ACTIONS(2009),
    [anon_sym_boolean] = ACTIONS(2009),
    [anon_sym_string] = ACTIONS(2009),
    [anon_sym_symbol] = ACTIONS(2009),
    [anon_sym_abstract] = ACTIONS(2009),
    [anon_sym_interface] = ACTIONS(2009),
    [anon_sym_enum] = ACTIONS(2009),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(2011),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_export] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [anon_sym_type] = ACTIONS(2013),
    [anon_sym_namespace] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2011),
    [anon_sym_RBRACE] = ACTIONS(2011),
    [anon_sym_typeof] = ACTIONS(2013),
    [anon_sym_import] = ACTIONS(2013),
    [anon_sym_var] = ACTIONS(2013),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_else] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2011),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_debugger] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2011),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2011),
    [anon_sym_SLASH] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2011),
    [anon_sym_void] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2011),
    [sym_number] = ACTIONS(2011),
    [sym_this] = ACTIONS(2013),
    [sym_super] = ACTIONS(2013),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [sym_null] = ACTIONS(2013),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2011),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_readonly] = ACTIONS(2013),
    [anon_sym_get] = ACTIONS(2013),
    [anon_sym_set] = ACTIONS(2013),
    [anon_sym_declare] = ACTIONS(2013),
    [anon_sym_public] = ACTIONS(2013),
    [anon_sym_private] = ACTIONS(2013),
    [anon_sym_protected] = ACTIONS(2013),
    [anon_sym_override] = ACTIONS(2013),
    [anon_sym_module] = ACTIONS(2013),
    [anon_sym_any] = ACTIONS(2013),
    [anon_sym_number] = ACTIONS(2013),
    [anon_sym_boolean] = ACTIONS(2013),
    [anon_sym_string] = ACTIONS(2013),
    [anon_sym_symbol] = ACTIONS(2013),
    [anon_sym_abstract] = ACTIONS(2013),
    [anon_sym_interface] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(2015),
    [sym_identifier] = ACTIONS(2017),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_typeof] = ACTIONS(2017),
    [anon_sym_import] = ACTIONS(2017),
    [anon_sym_var] = ACTIONS(2017),
    [anon_sym_let] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_else] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_with] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_debugger] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_yield] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2015),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_void] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2015),
    [sym_number] = ACTIONS(2015),
    [sym_this] = ACTIONS(2017),
    [sym_super] = ACTIONS(2017),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [sym_null] = ACTIONS(2017),
    [sym_undefined] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_abstract] = ACTIONS(2017),
    [anon_sym_interface] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(2019),
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_export] = ACTIONS(2021),
    [anon_sym_default] = ACTIONS(2021),
    [anon_sym_type] = ACTIONS(2021),
    [anon_sym_namespace] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_typeof] = ACTIONS(2021),
    [anon_sym_import] = ACTIONS(2021),
    [anon_sym_var] = ACTIONS(2021),
    [anon_sym_let] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2019),
    [anon_sym_else] = ACTIONS(2021),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_switch] = ACTIONS(2021),
    [anon_sym_for] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_while] = ACTIONS(2021),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_try] = ACTIONS(2021),
    [anon_sym_with] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_debugger] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_case] = ACTIONS(2021),
    [anon_sym_yield] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_function] = ACTIONS(2021),
    [anon_sym_new] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_void] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2019),
    [anon_sym_DASH_DASH] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [anon_sym_SQUOTE] = ACTIONS(2019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2019),
    [sym_number] = ACTIONS(2019),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(2021),
    [sym_true] = ACTIONS(2021),
    [sym_false] = ACTIONS(2021),
    [sym_null] = ACTIONS(2021),
    [sym_undefined] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(2021),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(2021),
    [anon_sym_set] = ACTIONS(2021),
    [anon_sym_declare] = ACTIONS(2021),
    [anon_sym_public] = ACTIONS(2021),
    [anon_sym_private] = ACTIONS(2021),
    [anon_sym_protected] = ACTIONS(2021),
    [anon_sym_override] = ACTIONS(2021),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_any] = ACTIONS(2021),
    [anon_sym_number] = ACTIONS(2021),
    [anon_sym_boolean] = ACTIONS(2021),
    [anon_sym_string] = ACTIONS(2021),
    [anon_sym_symbol] = ACTIONS(2021),
    [anon_sym_abstract] = ACTIONS(2021),
    [anon_sym_interface] = ACTIONS(2021),
    [anon_sym_enum] = ACTIONS(2021),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(2023),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_export] = ACTIONS(2025),
    [anon_sym_default] = ACTIONS(2025),
    [anon_sym_type] = ACTIONS(2025),
    [anon_sym_namespace] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2023),
    [anon_sym_RBRACE] = ACTIONS(2023),
    [anon_sym_typeof] = ACTIONS(2025),
    [anon_sym_import] = ACTIONS(2025),
    [anon_sym_var] = ACTIONS(2025),
    [anon_sym_let] = ACTIONS(2025),
    [anon_sym_const] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_else] = ACTIONS(2025),
    [anon_sym_if] = ACTIONS(2025),
    [anon_sym_switch] = ACTIONS(2025),
    [anon_sym_for] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2023),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_while] = ACTIONS(2025),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_try] = ACTIONS(2025),
    [anon_sym_with] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_debugger] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_throw] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2023),
    [anon_sym_case] = ACTIONS(2025),
    [anon_sym_yield] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2023),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_SLASH] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_function] = ACTIONS(2025),
    [anon_sym_new] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_void] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2023),
    [anon_sym_DASH_DASH] = ACTIONS(2023),
    [anon_sym_DQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2023),
    [sym_number] = ACTIONS(2023),
    [sym_this] = ACTIONS(2025),
    [sym_super] = ACTIONS(2025),
    [sym_true] = ACTIONS(2025),
    [sym_false] = ACTIONS(2025),
    [sym_null] = ACTIONS(2025),
    [sym_undefined] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2023),
    [anon_sym_static] = ACTIONS(2025),
    [anon_sym_readonly] = ACTIONS(2025),
    [anon_sym_get] = ACTIONS(2025),
    [anon_sym_set] = ACTIONS(2025),
    [anon_sym_declare] = ACTIONS(2025),
    [anon_sym_public] = ACTIONS(2025),
    [anon_sym_private] = ACTIONS(2025),
    [anon_sym_protected] = ACTIONS(2025),
    [anon_sym_override] = ACTIONS(2025),
    [anon_sym_module] = ACTIONS(2025),
    [anon_sym_any] = ACTIONS(2025),
    [anon_sym_number] = ACTIONS(2025),
    [anon_sym_boolean] = ACTIONS(2025),
    [anon_sym_string] = ACTIONS(2025),
    [anon_sym_symbol] = ACTIONS(2025),
    [anon_sym_abstract] = ACTIONS(2025),
    [anon_sym_interface] = ACTIONS(2025),
    [anon_sym_enum] = ACTIONS(2025),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(2027),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_export] = ACTIONS(2029),
    [anon_sym_default] = ACTIONS(2029),
    [anon_sym_type] = ACTIONS(2029),
    [anon_sym_namespace] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2027),
    [anon_sym_RBRACE] = ACTIONS(2027),
    [anon_sym_typeof] = ACTIONS(2029),
    [anon_sym_import] = ACTIONS(2029),
    [anon_sym_var] = ACTIONS(2029),
    [anon_sym_let] = ACTIONS(2029),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2027),
    [anon_sym_else] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_switch] = ACTIONS(2029),
    [anon_sym_for] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_try] = ACTIONS(2029),
    [anon_sym_with] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_debugger] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2027),
    [anon_sym_case] = ACTIONS(2029),
    [anon_sym_yield] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2027),
    [anon_sym_LT] = ACTIONS(2027),
    [anon_sym_SLASH] = ACTIONS(2029),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_function] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_void] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2027),
    [anon_sym_DASH_DASH] = ACTIONS(2027),
    [anon_sym_DQUOTE] = ACTIONS(2027),
    [anon_sym_SQUOTE] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2027),
    [sym_number] = ACTIONS(2027),
    [sym_this] = ACTIONS(2029),
    [sym_super] = ACTIONS(2029),
    [sym_true] = ACTIONS(2029),
    [sym_false] = ACTIONS(2029),
    [sym_null] = ACTIONS(2029),
    [sym_undefined] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2027),
    [anon_sym_static] = ACTIONS(2029),
    [anon_sym_readonly] = ACTIONS(2029),
    [anon_sym_get] = ACTIONS(2029),
    [anon_sym_set] = ACTIONS(2029),
    [anon_sym_declare] = ACTIONS(2029),
    [anon_sym_public] = ACTIONS(2029),
    [anon_sym_private] = ACTIONS(2029),
    [anon_sym_protected] = ACTIONS(2029),
    [anon_sym_override] = ACTIONS(2029),
    [anon_sym_module] = ACTIONS(2029),
    [anon_sym_any] = ACTIONS(2029),
    [anon_sym_number] = ACTIONS(2029),
    [anon_sym_boolean] = ACTIONS(2029),
    [anon_sym_string] = ACTIONS(2029),
    [anon_sym_symbol] = ACTIONS(2029),
    [anon_sym_abstract] = ACTIONS(2029),
    [anon_sym_interface] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2029),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(2033),
    [anon_sym_export] = ACTIONS(2033),
    [anon_sym_default] = ACTIONS(2033),
    [anon_sym_type] = ACTIONS(2033),
    [anon_sym_namespace] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2031),
    [anon_sym_RBRACE] = ACTIONS(2031),
    [anon_sym_typeof] = ACTIONS(2033),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_var] = ACTIONS(2033),
    [anon_sym_let] = ACTIONS(2033),
    [anon_sym_const] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_else] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_switch] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2031),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_with] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_debugger] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_throw] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2031),
    [anon_sym_case] = ACTIONS(2033),
    [anon_sym_yield] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_SLASH] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_new] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2031),
    [anon_sym_void] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2031),
    [anon_sym_DASH_DASH] = ACTIONS(2031),
    [anon_sym_DQUOTE] = ACTIONS(2031),
    [anon_sym_SQUOTE] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2031),
    [sym_number] = ACTIONS(2031),
    [sym_this] = ACTIONS(2033),
    [sym_super] = ACTIONS(2033),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_null] = ACTIONS(2033),
    [sym_undefined] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_static] = ACTIONS(2033),
    [anon_sym_readonly] = ACTIONS(2033),
    [anon_sym_get] = ACTIONS(2033),
    [anon_sym_set] = ACTIONS(2033),
    [anon_sym_declare] = ACTIONS(2033),
    [anon_sym_public] = ACTIONS(2033),
    [anon_sym_private] = ACTIONS(2033),
    [anon_sym_protected] = ACTIONS(2033),
    [anon_sym_override] = ACTIONS(2033),
    [anon_sym_module] = ACTIONS(2033),
    [anon_sym_any] = ACTIONS(2033),
    [anon_sym_number] = ACTIONS(2033),
    [anon_sym_boolean] = ACTIONS(2033),
    [anon_sym_string] = ACTIONS(2033),
    [anon_sym_symbol] = ACTIONS(2033),
    [anon_sym_abstract] = ACTIONS(2033),
    [anon_sym_interface] = ACTIONS(2033),
    [anon_sym_enum] = ACTIONS(2033),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(2035),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_export] = ACTIONS(2037),
    [anon_sym_default] = ACTIONS(2037),
    [anon_sym_type] = ACTIONS(2037),
    [anon_sym_namespace] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2035),
    [anon_sym_RBRACE] = ACTIONS(2035),
    [anon_sym_typeof] = ACTIONS(2037),
    [anon_sym_import] = ACTIONS(2037),
    [anon_sym_var] = ACTIONS(2037),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_const] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2035),
    [anon_sym_else] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_switch] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_with] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_debugger] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2035),
    [anon_sym_case] = ACTIONS(2037),
    [anon_sym_yield] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [anon_sym_LT] = ACTIONS(2035),
    [anon_sym_SLASH] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_function] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2035),
    [anon_sym_void] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2035),
    [anon_sym_DASH_DASH] = ACTIONS(2035),
    [anon_sym_DQUOTE] = ACTIONS(2035),
    [anon_sym_SQUOTE] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2035),
    [sym_number] = ACTIONS(2035),
    [sym_this] = ACTIONS(2037),
    [sym_super] = ACTIONS(2037),
    [sym_true] = ACTIONS(2037),
    [sym_false] = ACTIONS(2037),
    [sym_null] = ACTIONS(2037),
    [sym_undefined] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2035),
    [anon_sym_static] = ACTIONS(2037),
    [anon_sym_readonly] = ACTIONS(2037),
    [anon_sym_get] = ACTIONS(2037),
    [anon_sym_set] = ACTIONS(2037),
    [anon_sym_declare] = ACTIONS(2037),
    [anon_sym_public] = ACTIONS(2037),
    [anon_sym_private] = ACTIONS(2037),
    [anon_sym_protected] = ACTIONS(2037),
    [anon_sym_override] = ACTIONS(2037),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_any] = ACTIONS(2037),
    [anon_sym_number] = ACTIONS(2037),
    [anon_sym_boolean] = ACTIONS(2037),
    [anon_sym_string] = ACTIONS(2037),
    [anon_sym_symbol] = ACTIONS(2037),
    [anon_sym_abstract] = ACTIONS(2037),
    [anon_sym_interface] = ACTIONS(2037),
    [anon_sym_enum] = ACTIONS(2037),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(2039),
    [sym_identifier] = ACTIONS(2041),
    [anon_sym_export] = ACTIONS(2041),
    [anon_sym_default] = ACTIONS(2041),
    [anon_sym_type] = ACTIONS(2041),
    [anon_sym_namespace] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2039),
    [anon_sym_RBRACE] = ACTIONS(2039),
    [anon_sym_typeof] = ACTIONS(2041),
    [anon_sym_import] = ACTIONS(2041),
    [anon_sym_var] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2041),
    [anon_sym_const] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2039),
    [anon_sym_else] = ACTIONS(2041),
    [anon_sym_if] = ACTIONS(2041),
    [anon_sym_switch] = ACTIONS(2041),
    [anon_sym_for] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2041),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2041),
    [anon_sym_with] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_debugger] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_throw] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2039),
    [anon_sym_case] = ACTIONS(2041),
    [anon_sym_yield] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2039),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_function] = ACTIONS(2041),
    [anon_sym_new] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2039),
    [anon_sym_void] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2039),
    [anon_sym_DASH_DASH] = ACTIONS(2039),
    [anon_sym_DQUOTE] = ACTIONS(2039),
    [anon_sym_SQUOTE] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2039),
    [sym_number] = ACTIONS(2039),
    [sym_this] = ACTIONS(2041),
    [sym_super] = ACTIONS(2041),
    [sym_true] = ACTIONS(2041),
    [sym_false] = ACTIONS(2041),
    [sym_null] = ACTIONS(2041),
    [sym_undefined] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2039),
    [anon_sym_static] = ACTIONS(2041),
    [anon_sym_readonly] = ACTIONS(2041),
    [anon_sym_get] = ACTIONS(2041),
    [anon_sym_set] = ACTIONS(2041),
    [anon_sym_declare] = ACTIONS(2041),
    [anon_sym_public] = ACTIONS(2041),
    [anon_sym_private] = ACTIONS(2041),
    [anon_sym_protected] = ACTIONS(2041),
    [anon_sym_override] = ACTIONS(2041),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_any] = ACTIONS(2041),
    [anon_sym_number] = ACTIONS(2041),
    [anon_sym_boolean] = ACTIONS(2041),
    [anon_sym_string] = ACTIONS(2041),
    [anon_sym_symbol] = ACTIONS(2041),
    [anon_sym_abstract] = ACTIONS(2041),
    [anon_sym_interface] = ACTIONS(2041),
    [anon_sym_enum] = ACTIONS(2041),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(2047),
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_export] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_type] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2047),
    [anon_sym_RBRACE] = ACTIONS(2047),
    [anon_sym_typeof] = ACTIONS(2049),
    [anon_sym_import] = ACTIONS(2049),
    [anon_sym_var] = ACTIONS(2049),
    [anon_sym_let] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2047),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_with] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_debugger] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2047),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_LT] = ACTIONS(2047),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_function] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2047),
    [anon_sym_void] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [anon_sym_SQUOTE] = ACTIONS(2047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2047),
    [sym_number] = ACTIONS(2047),
    [sym_this] = ACTIONS(2049),
    [sym_super] = ACTIONS(2049),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [sym_null] = ACTIONS(2049),
    [sym_undefined] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2047),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_readonly] = ACTIONS(2049),
    [anon_sym_get] = ACTIONS(2049),
    [anon_sym_set] = ACTIONS(2049),
    [anon_sym_declare] = ACTIONS(2049),
    [anon_sym_public] = ACTIONS(2049),
    [anon_sym_private] = ACTIONS(2049),
    [anon_sym_protected] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_module] = ACTIONS(2049),
    [anon_sym_any] = ACTIONS(2049),
    [anon_sym_number] = ACTIONS(2049),
    [anon_sym_boolean] = ACTIONS(2049),
    [anon_sym_string] = ACTIONS(2049),
    [anon_sym_symbol] = ACTIONS(2049),
    [anon_sym_abstract] = ACTIONS(2049),
    [anon_sym_interface] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(2053),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_default] = ACTIONS(2053),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_typeof] = ACTIONS(2053),
    [anon_sym_import] = ACTIONS(2053),
    [anon_sym_var] = ACTIONS(2053),
    [anon_sym_let] = ACTIONS(2053),
    [anon_sym_const] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_else] = ACTIONS(2053),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_switch] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2051),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(2053),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2053),
    [anon_sym_with] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_debugger] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_throw] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym_case] = ACTIONS(2053),
    [anon_sym_yield] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_LT] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(2053),
    [anon_sym_new] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_void] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2051),
    [sym_number] = ACTIONS(2051),
    [sym_this] = ACTIONS(2053),
    [sym_super] = ACTIONS(2053),
    [sym_true] = ACTIONS(2053),
    [sym_false] = ACTIONS(2053),
    [sym_null] = ACTIONS(2053),
    [sym_undefined] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2051),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_abstract] = ACTIONS(2053),
    [anon_sym_interface] = ACTIONS(2053),
    [anon_sym_enum] = ACTIONS(2053),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_export] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_type] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_typeof] = ACTIONS(1215),
    [anon_sym_import] = ACTIONS(1215),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_await] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_with] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_debugger] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_yield] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1215),
    [anon_sym_async] = ACTIONS(1215),
    [anon_sym_function] = ACTIONS(1215),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [sym_number] = ACTIONS(1213),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1215),
    [anon_sym_get] = ACTIONS(1215),
    [anon_sym_set] = ACTIONS(1215),
    [anon_sym_declare] = ACTIONS(1215),
    [anon_sym_public] = ACTIONS(1215),
    [anon_sym_private] = ACTIONS(1215),
    [anon_sym_protected] = ACTIONS(1215),
    [anon_sym_override] = ACTIONS(1215),
    [anon_sym_module] = ACTIONS(1215),
    [anon_sym_any] = ACTIONS(1215),
    [anon_sym_number] = ACTIONS(1215),
    [anon_sym_boolean] = ACTIONS(1215),
    [anon_sym_string] = ACTIONS(1215),
    [anon_sym_symbol] = ACTIONS(1215),
    [anon_sym_abstract] = ACTIONS(1215),
    [anon_sym_interface] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(2055),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_default] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2057),
    [anon_sym_import] = ACTIONS(2057),
    [anon_sym_var] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_const] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2057),
    [anon_sym_switch] = ACTIONS(2057),
    [anon_sym_for] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2057),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2057),
    [anon_sym_with] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_debugger] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2057),
    [anon_sym_yield] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_this] = ACTIONS(2057),
    [sym_super] = ACTIONS(2057),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [sym_null] = ACTIONS(2057),
    [sym_undefined] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_abstract] = ACTIONS(2057),
    [anon_sym_interface] = ACTIONS(2057),
    [anon_sym_enum] = ACTIONS(2057),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2061),
    [anon_sym_default] = ACTIONS(2061),
    [anon_sym_type] = ACTIONS(2061),
    [anon_sym_namespace] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_RBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(2061),
    [anon_sym_import] = ACTIONS(2061),
    [anon_sym_var] = ACTIONS(2061),
    [anon_sym_let] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2059),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_with] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_debugger] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2059),
    [anon_sym_case] = ACTIONS(2061),
    [anon_sym_yield] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_LT] = ACTIONS(2059),
    [anon_sym_SLASH] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2059),
    [anon_sym_void] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2059),
    [anon_sym_DASH_DASH] = ACTIONS(2059),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2059),
    [sym_number] = ACTIONS(2059),
    [sym_this] = ACTIONS(2061),
    [sym_super] = ACTIONS(2061),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [sym_null] = ACTIONS(2061),
    [sym_undefined] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_readonly] = ACTIONS(2061),
    [anon_sym_get] = ACTIONS(2061),
    [anon_sym_set] = ACTIONS(2061),
    [anon_sym_declare] = ACTIONS(2061),
    [anon_sym_public] = ACTIONS(2061),
    [anon_sym_private] = ACTIONS(2061),
    [anon_sym_protected] = ACTIONS(2061),
    [anon_sym_override] = ACTIONS(2061),
    [anon_sym_module] = ACTIONS(2061),
    [anon_sym_any] = ACTIONS(2061),
    [anon_sym_number] = ACTIONS(2061),
    [anon_sym_boolean] = ACTIONS(2061),
    [anon_sym_string] = ACTIONS(2061),
    [anon_sym_symbol] = ACTIONS(2061),
    [anon_sym_abstract] = ACTIONS(2061),
    [anon_sym_interface] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2063),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_RBRACE] = ACTIONS(2063),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2063),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2063),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2063),
    [sym_number] = ACTIONS(2063),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2063),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2069),
    [anon_sym_export] = ACTIONS(2069),
    [anon_sym_default] = ACTIONS(2069),
    [anon_sym_type] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2069),
    [anon_sym_import] = ACTIONS(2069),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2069),
    [anon_sym_const] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_switch] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_with] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_debugger] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_throw] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2069),
    [anon_sym_yield] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2069),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_function] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_this] = ACTIONS(2069),
    [sym_super] = ACTIONS(2069),
    [sym_true] = ACTIONS(2069),
    [sym_false] = ACTIONS(2069),
    [sym_null] = ACTIONS(2069),
    [sym_undefined] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2069),
    [anon_sym_readonly] = ACTIONS(2069),
    [anon_sym_get] = ACTIONS(2069),
    [anon_sym_set] = ACTIONS(2069),
    [anon_sym_declare] = ACTIONS(2069),
    [anon_sym_public] = ACTIONS(2069),
    [anon_sym_private] = ACTIONS(2069),
    [anon_sym_protected] = ACTIONS(2069),
    [anon_sym_override] = ACTIONS(2069),
    [anon_sym_module] = ACTIONS(2069),
    [anon_sym_any] = ACTIONS(2069),
    [anon_sym_number] = ACTIONS(2069),
    [anon_sym_boolean] = ACTIONS(2069),
    [anon_sym_string] = ACTIONS(2069),
    [anon_sym_symbol] = ACTIONS(2069),
    [anon_sym_abstract] = ACTIONS(2069),
    [anon_sym_interface] = ACTIONS(2069),
    [anon_sym_enum] = ACTIONS(2069),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2071),
    [sym_identifier] = ACTIONS(2073),
    [anon_sym_export] = ACTIONS(2073),
    [anon_sym_default] = ACTIONS(2073),
    [anon_sym_type] = ACTIONS(2073),
    [anon_sym_namespace] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_RBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(2073),
    [anon_sym_import] = ACTIONS(2073),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2073),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2071),
    [anon_sym_else] = ACTIONS(2073),
    [anon_sym_if] = ACTIONS(2073),
    [anon_sym_switch] = ACTIONS(2073),
    [anon_sym_for] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_while] = ACTIONS(2073),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_with] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_debugger] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2071),
    [anon_sym_case] = ACTIONS(2073),
    [anon_sym_yield] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2071),
    [anon_sym_LT] = ACTIONS(2071),
    [anon_sym_SLASH] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_function] = ACTIONS(2073),
    [anon_sym_new] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2071),
    [anon_sym_void] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [anon_sym_SQUOTE] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2071),
    [sym_number] = ACTIONS(2071),
    [sym_this] = ACTIONS(2073),
    [sym_super] = ACTIONS(2073),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [sym_null] = ACTIONS(2073),
    [sym_undefined] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2071),
    [anon_sym_static] = ACTIONS(2073),
    [anon_sym_readonly] = ACTIONS(2073),
    [anon_sym_get] = ACTIONS(2073),
    [anon_sym_set] = ACTIONS(2073),
    [anon_sym_declare] = ACTIONS(2073),
    [anon_sym_public] = ACTIONS(2073),
    [anon_sym_private] = ACTIONS(2073),
    [anon_sym_protected] = ACTIONS(2073),
    [anon_sym_override] = ACTIONS(2073),
    [anon_sym_module] = ACTIONS(2073),
    [anon_sym_any] = ACTIONS(2073),
    [anon_sym_number] = ACTIONS(2073),
    [anon_sym_boolean] = ACTIONS(2073),
    [anon_sym_string] = ACTIONS(2073),
    [anon_sym_symbol] = ACTIONS(2073),
    [anon_sym_abstract] = ACTIONS(2073),
    [anon_sym_interface] = ACTIONS(2073),
    [anon_sym_enum] = ACTIONS(2073),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2075),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_RBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2075),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2075),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2075),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2075),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2075),
    [anon_sym_DASH_DASH] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2075),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2075),
    [sym_number] = ACTIONS(2075),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2075),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2079),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2079),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2079),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2079),
    [anon_sym_DASH_DASH] = ACTIONS(2079),
    [anon_sym_DQUOTE] = ACTIONS(2079),
    [anon_sym_SQUOTE] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2079),
    [sym_number] = ACTIONS(2079),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2079),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2083),
    [anon_sym_RBRACE] = ACTIONS(2083),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2083),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2083),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2083),
    [anon_sym_LT] = ACTIONS(2083),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2083),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [anon_sym_SQUOTE] = ACTIONS(2083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2083),
    [sym_number] = ACTIONS(2083),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2083),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2087),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2087),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2087),
    [anon_sym_DASH_DASH] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [anon_sym_SQUOTE] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2087),
    [sym_number] = ACTIONS(2087),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2087),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2075),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_RBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2075),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2075),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2075),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2075),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2075),
    [anon_sym_DASH_DASH] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2075),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2075),
    [sym_number] = ACTIONS(2075),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2075),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_default] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2095),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2095),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2095),
    [anon_sym_case] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2095),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2095),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2095),
    [anon_sym_DASH_DASH] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [anon_sym_SQUOTE] = ACTIONS(2095),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2095),
    [sym_number] = ACTIONS(2095),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2095),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2099),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2099),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2099),
    [anon_sym_SQUOTE] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2099),
    [sym_number] = ACTIONS(2099),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2103),
    [anon_sym_RBRACE] = ACTIONS(2103),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2103),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2103),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2103),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2103),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2103),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2103),
    [anon_sym_DASH_DASH] = ACTIONS(2103),
    [anon_sym_DQUOTE] = ACTIONS(2103),
    [anon_sym_SQUOTE] = ACTIONS(2103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2103),
    [sym_number] = ACTIONS(2103),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2103),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(2113),
    [anon_sym_export] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_type] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(2113),
    [anon_sym_import] = ACTIONS(2113),
    [anon_sym_var] = ACTIONS(2113),
    [anon_sym_let] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_else] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2111),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_with] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_debugger] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2111),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_yield] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2111),
    [anon_sym_SLASH] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_function] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_void] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2111),
    [anon_sym_DASH_DASH] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2111),
    [anon_sym_SQUOTE] = ACTIONS(2111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2111),
    [sym_number] = ACTIONS(2111),
    [sym_this] = ACTIONS(2113),
    [sym_super] = ACTIONS(2113),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [sym_null] = ACTIONS(2113),
    [sym_undefined] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2111),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_readonly] = ACTIONS(2113),
    [anon_sym_get] = ACTIONS(2113),
    [anon_sym_set] = ACTIONS(2113),
    [anon_sym_declare] = ACTIONS(2113),
    [anon_sym_public] = ACTIONS(2113),
    [anon_sym_private] = ACTIONS(2113),
    [anon_sym_protected] = ACTIONS(2113),
    [anon_sym_override] = ACTIONS(2113),
    [anon_sym_module] = ACTIONS(2113),
    [anon_sym_any] = ACTIONS(2113),
    [anon_sym_number] = ACTIONS(2113),
    [anon_sym_boolean] = ACTIONS(2113),
    [anon_sym_string] = ACTIONS(2113),
    [anon_sym_symbol] = ACTIONS(2113),
    [anon_sym_abstract] = ACTIONS(2113),
    [anon_sym_interface] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1159),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_type] = ACTIONS(1159),
    [anon_sym_namespace] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_typeof] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_var] = ACTIONS(1159),
    [anon_sym_let] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_await] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_with] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_debugger] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_yield] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_async] = ACTIONS(1159),
    [anon_sym_function] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_void] = ACTIONS(1159),
    [anon_sym_delete] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1157),
    [sym_number] = ACTIONS(1157),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [anon_sym_declare] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_override] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_any] = ACTIONS(1159),
    [anon_sym_number] = ACTIONS(1159),
    [anon_sym_boolean] = ACTIONS(1159),
    [anon_sym_string] = ACTIONS(1159),
    [anon_sym_symbol] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_interface] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2115),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2115),
    [anon_sym_LT] = ACTIONS(2115),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2115),
    [sym_number] = ACTIONS(2115),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_type] = ACTIONS(1211),
    [anon_sym_namespace] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1211),
    [anon_sym_import] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_let] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_await] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_with] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_throw] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_yield] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1211),
    [anon_sym_async] = ACTIONS(1211),
    [anon_sym_function] = ACTIONS(1211),
    [anon_sym_new] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_void] = ACTIONS(1211),
    [anon_sym_delete] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1209),
    [sym_this] = ACTIONS(1211),
    [sym_super] = ACTIONS(1211),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [sym_undefined] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_readonly] = ACTIONS(1211),
    [anon_sym_get] = ACTIONS(1211),
    [anon_sym_set] = ACTIONS(1211),
    [anon_sym_declare] = ACTIONS(1211),
    [anon_sym_public] = ACTIONS(1211),
    [anon_sym_private] = ACTIONS(1211),
    [anon_sym_protected] = ACTIONS(1211),
    [anon_sym_override] = ACTIONS(1211),
    [anon_sym_module] = ACTIONS(1211),
    [anon_sym_any] = ACTIONS(1211),
    [anon_sym_number] = ACTIONS(1211),
    [anon_sym_boolean] = ACTIONS(1211),
    [anon_sym_string] = ACTIONS(1211),
    [anon_sym_symbol] = ACTIONS(1211),
    [anon_sym_abstract] = ACTIONS(1211),
    [anon_sym_interface] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_export] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_type] = ACTIONS(1215),
    [anon_sym_namespace] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_typeof] = ACTIONS(1215),
    [anon_sym_import] = ACTIONS(1215),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_await] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_with] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_debugger] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_yield] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1215),
    [anon_sym_async] = ACTIONS(1215),
    [anon_sym_function] = ACTIONS(1215),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [sym_number] = ACTIONS(1213),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_readonly] = ACTIONS(1215),
    [anon_sym_get] = ACTIONS(1215),
    [anon_sym_set] = ACTIONS(1215),
    [anon_sym_declare] = ACTIONS(1215),
    [anon_sym_public] = ACTIONS(1215),
    [anon_sym_private] = ACTIONS(1215),
    [anon_sym_protected] = ACTIONS(1215),
    [anon_sym_override] = ACTIONS(1215),
    [anon_sym_module] = ACTIONS(1215),
    [anon_sym_any] = ACTIONS(1215),
    [anon_sym_number] = ACTIONS(1215),
    [anon_sym_boolean] = ACTIONS(1215),
    [anon_sym_string] = ACTIONS(1215),
    [anon_sym_symbol] = ACTIONS(1215),
    [anon_sym_abstract] = ACTIONS(1215),
    [anon_sym_interface] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2123),
    [sym_identifier] = ACTIONS(2125),
    [anon_sym_export] = ACTIONS(2125),
    [anon_sym_default] = ACTIONS(2125),
    [anon_sym_type] = ACTIONS(2125),
    [anon_sym_namespace] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2123),
    [anon_sym_RBRACE] = ACTIONS(2123),
    [anon_sym_typeof] = ACTIONS(2125),
    [anon_sym_import] = ACTIONS(2125),
    [anon_sym_var] = ACTIONS(2125),
    [anon_sym_let] = ACTIONS(2125),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_switch] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2123),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_with] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_debugger] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_throw] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2125),
    [anon_sym_yield] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_LT] = ACTIONS(2123),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_function] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2123),
    [anon_sym_void] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [anon_sym_SQUOTE] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2123),
    [sym_number] = ACTIONS(2123),
    [sym_this] = ACTIONS(2125),
    [sym_super] = ACTIONS(2125),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [sym_null] = ACTIONS(2125),
    [sym_undefined] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2125),
    [anon_sym_readonly] = ACTIONS(2125),
    [anon_sym_get] = ACTIONS(2125),
    [anon_sym_set] = ACTIONS(2125),
    [anon_sym_declare] = ACTIONS(2125),
    [anon_sym_public] = ACTIONS(2125),
    [anon_sym_private] = ACTIONS(2125),
    [anon_sym_protected] = ACTIONS(2125),
    [anon_sym_override] = ACTIONS(2125),
    [anon_sym_module] = ACTIONS(2125),
    [anon_sym_any] = ACTIONS(2125),
    [anon_sym_number] = ACTIONS(2125),
    [anon_sym_boolean] = ACTIONS(2125),
    [anon_sym_string] = ACTIONS(2125),
    [anon_sym_symbol] = ACTIONS(2125),
    [anon_sym_abstract] = ACTIONS(2125),
    [anon_sym_interface] = ACTIONS(2125),
    [anon_sym_enum] = ACTIONS(2125),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2123),
    [sym_identifier] = ACTIONS(2125),
    [anon_sym_export] = ACTIONS(2125),
    [anon_sym_default] = ACTIONS(2125),
    [anon_sym_type] = ACTIONS(2125),
    [anon_sym_namespace] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2123),
    [anon_sym_RBRACE] = ACTIONS(2123),
    [anon_sym_typeof] = ACTIONS(2125),
    [anon_sym_import] = ACTIONS(2125),
    [anon_sym_var] = ACTIONS(2125),
    [anon_sym_let] = ACTIONS(2125),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_switch] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2123),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_with] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_debugger] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_throw] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2125),
    [anon_sym_yield] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_LT] = ACTIONS(2123),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_function] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2123),
    [anon_sym_void] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [anon_sym_SQUOTE] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2123),
    [sym_number] = ACTIONS(2123),
    [sym_this] = ACTIONS(2125),
    [sym_super] = ACTIONS(2125),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [sym_null] = ACTIONS(2125),
    [sym_undefined] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2125),
    [anon_sym_readonly] = ACTIONS(2125),
    [anon_sym_get] = ACTIONS(2125),
    [anon_sym_set] = ACTIONS(2125),
    [anon_sym_declare] = ACTIONS(2125),
    [anon_sym_public] = ACTIONS(2125),
    [anon_sym_private] = ACTIONS(2125),
    [anon_sym_protected] = ACTIONS(2125),
    [anon_sym_override] = ACTIONS(2125),
    [anon_sym_module] = ACTIONS(2125),
    [anon_sym_any] = ACTIONS(2125),
    [anon_sym_number] = ACTIONS(2125),
    [anon_sym_boolean] = ACTIONS(2125),
    [anon_sym_string] = ACTIONS(2125),
    [anon_sym_symbol] = ACTIONS(2125),
    [anon_sym_abstract] = ACTIONS(2125),
    [anon_sym_interface] = ACTIONS(2125),
    [anon_sym_enum] = ACTIONS(2125),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(2129),
    [anon_sym_export] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2129),
    [anon_sym_import] = ACTIONS(2129),
    [anon_sym_var] = ACTIONS(2129),
    [anon_sym_let] = ACTIONS(2129),
    [anon_sym_const] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_switch] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_with] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_debugger] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2129),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_function] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_this] = ACTIONS(2129),
    [sym_super] = ACTIONS(2129),
    [sym_true] = ACTIONS(2129),
    [sym_false] = ACTIONS(2129),
    [sym_null] = ACTIONS(2129),
    [sym_undefined] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2129),
    [anon_sym_readonly] = ACTIONS(2129),
    [anon_sym_get] = ACTIONS(2129),
    [anon_sym_set] = ACTIONS(2129),
    [anon_sym_declare] = ACTIONS(2129),
    [anon_sym_public] = ACTIONS(2129),
    [anon_sym_private] = ACTIONS(2129),
    [anon_sym_protected] = ACTIONS(2129),
    [anon_sym_override] = ACTIONS(2129),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_any] = ACTIONS(2129),
    [anon_sym_number] = ACTIONS(2129),
    [anon_sym_boolean] = ACTIONS(2129),
    [anon_sym_string] = ACTIONS(2129),
    [anon_sym_symbol] = ACTIONS(2129),
    [anon_sym_abstract] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2129),
    [anon_sym_enum] = ACTIONS(2129),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym_identifier] = ACTIONS(2133),
    [anon_sym_export] = ACTIONS(2133),
    [anon_sym_default] = ACTIONS(2133),
    [anon_sym_type] = ACTIONS(2133),
    [anon_sym_namespace] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2133),
    [anon_sym_import] = ACTIONS(2133),
    [anon_sym_var] = ACTIONS(2133),
    [anon_sym_let] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_switch] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_with] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_debugger] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2133),
    [anon_sym_yield] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_function] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_this] = ACTIONS(2133),
    [sym_super] = ACTIONS(2133),
    [sym_true] = ACTIONS(2133),
    [sym_false] = ACTIONS(2133),
    [sym_null] = ACTIONS(2133),
    [sym_undefined] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2133),
    [anon_sym_readonly] = ACTIONS(2133),
    [anon_sym_get] = ACTIONS(2133),
    [anon_sym_set] = ACTIONS(2133),
    [anon_sym_declare] = ACTIONS(2133),
    [anon_sym_public] = ACTIONS(2133),
    [anon_sym_private] = ACTIONS(2133),
    [anon_sym_protected] = ACTIONS(2133),
    [anon_sym_override] = ACTIONS(2133),
    [anon_sym_module] = ACTIONS(2133),
    [anon_sym_any] = ACTIONS(2133),
    [anon_sym_number] = ACTIONS(2133),
    [anon_sym_boolean] = ACTIONS(2133),
    [anon_sym_string] = ACTIONS(2133),
    [anon_sym_symbol] = ACTIONS(2133),
    [anon_sym_abstract] = ACTIONS(2133),
    [anon_sym_interface] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2133),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_let] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_with] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_debugger] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_function] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_readonly] = ACTIONS(2137),
    [anon_sym_get] = ACTIONS(2137),
    [anon_sym_set] = ACTIONS(2137),
    [anon_sym_declare] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_override] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_any] = ACTIONS(2137),
    [anon_sym_number] = ACTIONS(2137),
    [anon_sym_boolean] = ACTIONS(2137),
    [anon_sym_string] = ACTIONS(2137),
    [anon_sym_symbol] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_let] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_with] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_debugger] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_function] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_readonly] = ACTIONS(2137),
    [anon_sym_get] = ACTIONS(2137),
    [anon_sym_set] = ACTIONS(2137),
    [anon_sym_declare] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_override] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_any] = ACTIONS(2137),
    [anon_sym_number] = ACTIONS(2137),
    [anon_sym_boolean] = ACTIONS(2137),
    [anon_sym_string] = ACTIONS(2137),
    [anon_sym_symbol] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2151),
    [sym_identifier] = ACTIONS(2153),
    [anon_sym_export] = ACTIONS(2153),
    [anon_sym_default] = ACTIONS(2153),
    [anon_sym_type] = ACTIONS(2153),
    [anon_sym_namespace] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2151),
    [anon_sym_typeof] = ACTIONS(2153),
    [anon_sym_import] = ACTIONS(2153),
    [anon_sym_var] = ACTIONS(2153),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_const] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_switch] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2151),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_with] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_debugger] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2153),
    [anon_sym_yield] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2151),
    [anon_sym_SLASH] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_function] = ACTIONS(2153),
    [anon_sym_new] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_void] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(2151),
    [anon_sym_SQUOTE] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2151),
    [sym_number] = ACTIONS(2151),
    [sym_this] = ACTIONS(2153),
    [sym_super] = ACTIONS(2153),
    [sym_true] = ACTIONS(2153),
    [sym_false] = ACTIONS(2153),
    [sym_null] = ACTIONS(2153),
    [sym_undefined] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2153),
    [anon_sym_readonly] = ACTIONS(2153),
    [anon_sym_get] = ACTIONS(2153),
    [anon_sym_set] = ACTIONS(2153),
    [anon_sym_declare] = ACTIONS(2153),
    [anon_sym_public] = ACTIONS(2153),
    [anon_sym_private] = ACTIONS(2153),
    [anon_sym_protected] = ACTIONS(2153),
    [anon_sym_override] = ACTIONS(2153),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_any] = ACTIONS(2153),
    [anon_sym_number] = ACTIONS(2153),
    [anon_sym_boolean] = ACTIONS(2153),
    [anon_sym_string] = ACTIONS(2153),
    [anon_sym_symbol] = ACTIONS(2153),
    [anon_sym_abstract] = ACTIONS(2153),
    [anon_sym_interface] = ACTIONS(2153),
    [anon_sym_enum] = ACTIONS(2153),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2155),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2157),
    [anon_sym_import] = ACTIONS(2157),
    [anon_sym_var] = ACTIONS(2157),
    [anon_sym_let] = ACTIONS(2157),
    [anon_sym_const] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_switch] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_with] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_debugger] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_throw] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2157),
    [anon_sym_yield] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_function] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_this] = ACTIONS(2157),
    [sym_super] = ACTIONS(2157),
    [sym_true] = ACTIONS(2157),
    [sym_false] = ACTIONS(2157),
    [sym_null] = ACTIONS(2157),
    [sym_undefined] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2157),
    [anon_sym_readonly] = ACTIONS(2157),
    [anon_sym_get] = ACTIONS(2157),
    [anon_sym_set] = ACTIONS(2157),
    [anon_sym_declare] = ACTIONS(2157),
    [anon_sym_public] = ACTIONS(2157),
    [anon_sym_private] = ACTIONS(2157),
    [anon_sym_protected] = ACTIONS(2157),
    [anon_sym_override] = ACTIONS(2157),
    [anon_sym_module] = ACTIONS(2157),
    [anon_sym_any] = ACTIONS(2157),
    [anon_sym_number] = ACTIONS(2157),
    [anon_sym_boolean] = ACTIONS(2157),
    [anon_sym_string] = ACTIONS(2157),
    [anon_sym_symbol] = ACTIONS(2157),
    [anon_sym_abstract] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2157),
    [anon_sym_enum] = ACTIONS(2157),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2161),
    [anon_sym_export] = ACTIONS(2161),
    [anon_sym_default] = ACTIONS(2161),
    [anon_sym_type] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2161),
    [anon_sym_import] = ACTIONS(2161),
    [anon_sym_var] = ACTIONS(2161),
    [anon_sym_let] = ACTIONS(2161),
    [anon_sym_const] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_switch] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_with] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_debugger] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_throw] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2161),
    [anon_sym_yield] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_this] = ACTIONS(2161),
    [sym_super] = ACTIONS(2161),
    [sym_true] = ACTIONS(2161),
    [sym_false] = ACTIONS(2161),
    [sym_null] = ACTIONS(2161),
    [sym_undefined] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2161),
    [anon_sym_readonly] = ACTIONS(2161),
    [anon_sym_get] = ACTIONS(2161),
    [anon_sym_set] = ACTIONS(2161),
    [anon_sym_declare] = ACTIONS(2161),
    [anon_sym_public] = ACTIONS(2161),
    [anon_sym_private] = ACTIONS(2161),
    [anon_sym_protected] = ACTIONS(2161),
    [anon_sym_override] = ACTIONS(2161),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_any] = ACTIONS(2161),
    [anon_sym_number] = ACTIONS(2161),
    [anon_sym_boolean] = ACTIONS(2161),
    [anon_sym_string] = ACTIONS(2161),
    [anon_sym_symbol] = ACTIONS(2161),
    [anon_sym_abstract] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2161),
    [anon_sym_enum] = ACTIONS(2161),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2163),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2175),
    [sym_number] = ACTIONS(2175),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2175),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2183),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2183),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_number] = ACTIONS(2183),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2183),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2187),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2187),
    [sym_number] = ACTIONS(2187),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2187),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2191),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2191),
    [sym_number] = ACTIONS(2191),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2191),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2199),
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_export] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_type] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2201),
    [anon_sym_import] = ACTIONS(2201),
    [anon_sym_var] = ACTIONS(2201),
    [anon_sym_let] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_with] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_debugger] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_yield] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_this] = ACTIONS(2201),
    [sym_super] = ACTIONS(2201),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [sym_null] = ACTIONS(2201),
    [sym_undefined] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_readonly] = ACTIONS(2201),
    [anon_sym_get] = ACTIONS(2201),
    [anon_sym_set] = ACTIONS(2201),
    [anon_sym_declare] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_override] = ACTIONS(2201),
    [anon_sym_module] = ACTIONS(2201),
    [anon_sym_any] = ACTIONS(2201),
    [anon_sym_number] = ACTIONS(2201),
    [anon_sym_boolean] = ACTIONS(2201),
    [anon_sym_string] = ACTIONS(2201),
    [anon_sym_symbol] = ACTIONS(2201),
    [anon_sym_abstract] = ACTIONS(2201),
    [anon_sym_interface] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2207),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2207),
    [sym_number] = ACTIONS(2207),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2207),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [anon_sym_LT] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2211),
    [sym_number] = ACTIONS(2211),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2211),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
  },
  [648] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3179),
    [sym_optional_tuple_parameter] = STATE(3179),
    [sym_optional_type] = STATE(3179),
    [sym_rest_type] = STATE(3179),
    [sym__tuple_type_member] = STATE(3179),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(2217),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [649] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3244),
    [sym_optional_tuple_parameter] = STATE(3244),
    [sym_optional_type] = STATE(3244),
    [sym_rest_type] = STATE(3244),
    [sym__tuple_type_member] = STATE(3244),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [650] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3326),
    [sym_optional_tuple_parameter] = STATE(3326),
    [sym_optional_type] = STATE(3326),
    [sym_rest_type] = STATE(3326),
    [sym__tuple_type_member] = STATE(3326),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [651] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2233),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [652] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3246),
    [sym_optional_tuple_parameter] = STATE(3246),
    [sym_optional_type] = STATE(3246),
    [sym_rest_type] = STATE(3246),
    [sym__tuple_type_member] = STATE(3246),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [653] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [654] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [655] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2243),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [656] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2245),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [657] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2247),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [658] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [659] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [660] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [661] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2255),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [662] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2257),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [663] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_rest_pattern] = STATE(3571),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2735),
    [sym_tuple_parameter] = STATE(3427),
    [sym_optional_tuple_parameter] = STATE(3427),
    [sym_optional_type] = STATE(3427),
    [sym_rest_type] = STATE(3427),
    [sym__tuple_type_member] = STATE(3427),
    [sym_constructor_type] = STATE(2735),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2735),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2735),
    [sym_union_type] = STATE(2735),
    [sym_intersection_type] = STATE(2735),
    [sym_function_type] = STATE(2735),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2261),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2263),
    [anon_sym_export] = ACTIONS(2263),
    [anon_sym_type] = ACTIONS(2263),
    [anon_sym_namespace] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_typeof] = ACTIONS(2263),
    [anon_sym_import] = ACTIONS(2263),
    [anon_sym_var] = ACTIONS(2263),
    [anon_sym_let] = ACTIONS(2263),
    [anon_sym_const] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2263),
    [anon_sym_switch] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2263),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2263),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2263),
    [anon_sym_with] = ACTIONS(2263),
    [anon_sym_break] = ACTIONS(2263),
    [anon_sym_continue] = ACTIONS(2263),
    [anon_sym_debugger] = ACTIONS(2263),
    [anon_sym_return] = ACTIONS(2263),
    [anon_sym_throw] = ACTIONS(2263),
    [anon_sym_SEMI] = ACTIONS(2265),
    [anon_sym_yield] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT] = ACTIONS(2265),
    [anon_sym_SLASH] = ACTIONS(2263),
    [anon_sym_class] = ACTIONS(2263),
    [anon_sym_async] = ACTIONS(2263),
    [anon_sym_function] = ACTIONS(2263),
    [anon_sym_new] = ACTIONS(2263),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_void] = ACTIONS(2263),
    [anon_sym_delete] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2265),
    [anon_sym_SQUOTE] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [sym_this] = ACTIONS(2263),
    [sym_super] = ACTIONS(2263),
    [sym_true] = ACTIONS(2263),
    [sym_false] = ACTIONS(2263),
    [sym_null] = ACTIONS(2263),
    [sym_undefined] = ACTIONS(2263),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2263),
    [anon_sym_readonly] = ACTIONS(2263),
    [anon_sym_get] = ACTIONS(2263),
    [anon_sym_set] = ACTIONS(2263),
    [anon_sym_declare] = ACTIONS(2263),
    [anon_sym_public] = ACTIONS(2263),
    [anon_sym_private] = ACTIONS(2263),
    [anon_sym_protected] = ACTIONS(2263),
    [anon_sym_override] = ACTIONS(2263),
    [anon_sym_module] = ACTIONS(2263),
    [anon_sym_any] = ACTIONS(2263),
    [anon_sym_number] = ACTIONS(2263),
    [anon_sym_boolean] = ACTIONS(2263),
    [anon_sym_string] = ACTIONS(2263),
    [anon_sym_symbol] = ACTIONS(2263),
    [anon_sym_abstract] = ACTIONS(2263),
    [anon_sym_interface] = ACTIONS(2263),
    [anon_sym_enum] = ACTIONS(2263),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_export] = ACTIONS(2267),
    [anon_sym_type] = ACTIONS(2267),
    [anon_sym_namespace] = ACTIONS(2267),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_typeof] = ACTIONS(2267),
    [anon_sym_import] = ACTIONS(2267),
    [anon_sym_var] = ACTIONS(2267),
    [anon_sym_let] = ACTIONS(2267),
    [anon_sym_const] = ACTIONS(2267),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2267),
    [anon_sym_switch] = ACTIONS(2267),
    [anon_sym_for] = ACTIONS(2267),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2267),
    [anon_sym_while] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2267),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_with] = ACTIONS(2267),
    [anon_sym_break] = ACTIONS(2267),
    [anon_sym_continue] = ACTIONS(2267),
    [anon_sym_debugger] = ACTIONS(2267),
    [anon_sym_return] = ACTIONS(2267),
    [anon_sym_throw] = ACTIONS(2267),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_yield] = ACTIONS(2267),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_SLASH] = ACTIONS(2267),
    [anon_sym_class] = ACTIONS(2267),
    [anon_sym_async] = ACTIONS(2267),
    [anon_sym_function] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_void] = ACTIONS(2267),
    [anon_sym_delete] = ACTIONS(2267),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_DQUOTE] = ACTIONS(2269),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [sym_this] = ACTIONS(2267),
    [sym_super] = ACTIONS(2267),
    [sym_true] = ACTIONS(2267),
    [sym_false] = ACTIONS(2267),
    [sym_null] = ACTIONS(2267),
    [sym_undefined] = ACTIONS(2267),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_static] = ACTIONS(2267),
    [anon_sym_readonly] = ACTIONS(2267),
    [anon_sym_get] = ACTIONS(2267),
    [anon_sym_set] = ACTIONS(2267),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_public] = ACTIONS(2267),
    [anon_sym_private] = ACTIONS(2267),
    [anon_sym_protected] = ACTIONS(2267),
    [anon_sym_override] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2267),
    [anon_sym_any] = ACTIONS(2267),
    [anon_sym_number] = ACTIONS(2267),
    [anon_sym_boolean] = ACTIONS(2267),
    [anon_sym_string] = ACTIONS(2267),
    [anon_sym_symbol] = ACTIONS(2267),
    [anon_sym_abstract] = ACTIONS(2267),
    [anon_sym_interface] = ACTIONS(2267),
    [anon_sym_enum] = ACTIONS(2267),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_export] = ACTIONS(2271),
    [anon_sym_type] = ACTIONS(2271),
    [anon_sym_namespace] = ACTIONS(2271),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_typeof] = ACTIONS(2271),
    [anon_sym_import] = ACTIONS(2271),
    [anon_sym_var] = ACTIONS(2271),
    [anon_sym_let] = ACTIONS(2271),
    [anon_sym_const] = ACTIONS(2271),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2271),
    [anon_sym_switch] = ACTIONS(2271),
    [anon_sym_for] = ACTIONS(2271),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2271),
    [anon_sym_while] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2271),
    [anon_sym_try] = ACTIONS(2271),
    [anon_sym_with] = ACTIONS(2271),
    [anon_sym_break] = ACTIONS(2271),
    [anon_sym_continue] = ACTIONS(2271),
    [anon_sym_debugger] = ACTIONS(2271),
    [anon_sym_return] = ACTIONS(2271),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_SEMI] = ACTIONS(2273),
    [anon_sym_yield] = ACTIONS(2271),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_class] = ACTIONS(2271),
    [anon_sym_async] = ACTIONS(2271),
    [anon_sym_function] = ACTIONS(2271),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_void] = ACTIONS(2271),
    [anon_sym_delete] = ACTIONS(2271),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2273),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [sym_this] = ACTIONS(2271),
    [sym_super] = ACTIONS(2271),
    [sym_true] = ACTIONS(2271),
    [sym_false] = ACTIONS(2271),
    [sym_null] = ACTIONS(2271),
    [sym_undefined] = ACTIONS(2271),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_static] = ACTIONS(2271),
    [anon_sym_readonly] = ACTIONS(2271),
    [anon_sym_get] = ACTIONS(2271),
    [anon_sym_set] = ACTIONS(2271),
    [anon_sym_declare] = ACTIONS(2271),
    [anon_sym_public] = ACTIONS(2271),
    [anon_sym_private] = ACTIONS(2271),
    [anon_sym_protected] = ACTIONS(2271),
    [anon_sym_override] = ACTIONS(2271),
    [anon_sym_module] = ACTIONS(2271),
    [anon_sym_any] = ACTIONS(2271),
    [anon_sym_number] = ACTIONS(2271),
    [anon_sym_boolean] = ACTIONS(2271),
    [anon_sym_string] = ACTIONS(2271),
    [anon_sym_symbol] = ACTIONS(2271),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_interface] = ACTIONS(2271),
    [anon_sym_enum] = ACTIONS(2271),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2275),
    [anon_sym_export] = ACTIONS(2275),
    [anon_sym_type] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_typeof] = ACTIONS(2275),
    [anon_sym_import] = ACTIONS(2275),
    [anon_sym_var] = ACTIONS(2275),
    [anon_sym_let] = ACTIONS(2275),
    [anon_sym_const] = ACTIONS(2275),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2275),
    [anon_sym_switch] = ACTIONS(2275),
    [anon_sym_for] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2275),
    [anon_sym_while] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2275),
    [anon_sym_with] = ACTIONS(2275),
    [anon_sym_break] = ACTIONS(2275),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_debugger] = ACTIONS(2275),
    [anon_sym_return] = ACTIONS(2275),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym_yield] = ACTIONS(2275),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT] = ACTIONS(2277),
    [anon_sym_SLASH] = ACTIONS(2275),
    [anon_sym_class] = ACTIONS(2275),
    [anon_sym_async] = ACTIONS(2275),
    [anon_sym_function] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_void] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2275),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [sym_this] = ACTIONS(2275),
    [sym_super] = ACTIONS(2275),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [sym_null] = ACTIONS(2275),
    [sym_undefined] = ACTIONS(2275),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_readonly] = ACTIONS(2275),
    [anon_sym_get] = ACTIONS(2275),
    [anon_sym_set] = ACTIONS(2275),
    [anon_sym_declare] = ACTIONS(2275),
    [anon_sym_public] = ACTIONS(2275),
    [anon_sym_private] = ACTIONS(2275),
    [anon_sym_protected] = ACTIONS(2275),
    [anon_sym_override] = ACTIONS(2275),
    [anon_sym_module] = ACTIONS(2275),
    [anon_sym_any] = ACTIONS(2275),
    [anon_sym_number] = ACTIONS(2275),
    [anon_sym_boolean] = ACTIONS(2275),
    [anon_sym_string] = ACTIONS(2275),
    [anon_sym_symbol] = ACTIONS(2275),
    [anon_sym_abstract] = ACTIONS(2275),
    [anon_sym_interface] = ACTIONS(2275),
    [anon_sym_enum] = ACTIONS(2275),
  },
  [669] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2195),
    [sym_constructor_type] = STATE(2195),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2195),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2195),
    [sym_union_type] = STATE(2195),
    [sym_intersection_type] = STATE(2195),
    [sym_function_type] = STATE(2195),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_RPAREN] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [670] = {
    [sym_object_pattern] = STATE(2522),
    [sym_array_pattern] = STATE(2522),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2522),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2947),
    [sym_constructor_type] = STATE(2947),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2947),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2947),
    [sym_union_type] = STATE(2947),
    [sym_intersection_type] = STATE(2947),
    [sym_function_type] = STATE(2947),
    [sym_identifier] = ACTIONS(2279),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [671] = {
    [sym_nested_identifier] = STATE(3658),
    [sym_string] = STATE(2352),
    [sym_formal_parameters] = STATE(3675),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2322),
    [sym_constructor_type] = STATE(2322),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2322),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3617),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2322),
    [sym_union_type] = STATE(2322),
    [sym_intersection_type] = STATE(2322),
    [sym_function_type] = STATE(2322),
    [sym_identifier] = ACTIONS(1047),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_EQ] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_RBRACE] = ACTIONS(1695),
    [anon_sym_typeof] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1073),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(1077),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(605),
    [anon_sym_number] = ACTIONS(605),
    [anon_sym_boolean] = ACTIONS(605),
    [anon_sym_string] = ACTIONS(605),
    [anon_sym_symbol] = ACTIONS(605),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [672] = {
    [sym_object_pattern] = STATE(2522),
    [sym_array_pattern] = STATE(2522),
    [sym_nested_identifier] = STATE(3844),
    [sym__destructuring_pattern] = STATE(2522),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2947),
    [sym_constructor_type] = STATE(2947),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2947),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2947),
    [sym_union_type] = STATE(2947),
    [sym_intersection_type] = STATE(2947),
    [sym_function_type] = STATE(2947),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(2283),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [673] = {
    [sym_nested_identifier] = STATE(89),
    [sym_string] = STATE(90),
    [sym__module] = STATE(104),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [anon_sym_SQUOTE] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [674] = {
    [sym_nested_identifier] = STATE(472),
    [sym_string] = STATE(488),
    [sym__module] = STATE(524),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(2293),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [675] = {
    [sym_nested_identifier] = STATE(89),
    [sym_string] = STATE(90),
    [sym__module] = STATE(104),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [anon_sym_SQUOTE] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [676] = {
    [sym_nested_identifier] = STATE(472),
    [sym_string] = STATE(488),
    [sym__module] = STATE(524),
    [aux_sym_object_repeat1] = STATE(3297),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(2293),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [677] = {
    [sym_nested_identifier] = STATE(3658),
    [sym_string] = STATE(2352),
    [sym_formal_parameters] = STATE(3675),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2368),
    [sym_constructor_type] = STATE(2368),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2368),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_predicate] = STATE(2628),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3617),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2368),
    [sym_union_type] = STATE(2368),
    [sym_intersection_type] = STATE(2368),
    [sym_function_type] = STATE(2368),
    [sym_identifier] = ACTIONS(2295),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_typeof] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1073),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(2297),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(605),
    [anon_sym_number] = ACTIONS(605),
    [anon_sym_boolean] = ACTIONS(605),
    [anon_sym_string] = ACTIONS(605),
    [anon_sym_symbol] = ACTIONS(605),
    [anon_sym_asserts] = ACTIONS(2299),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [678] = {
    [sym_nested_identifier] = STATE(472),
    [sym_string] = STATE(488),
    [sym__module] = STATE(524),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(2293),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [679] = {
    [sym_nested_identifier] = STATE(89),
    [sym_string] = STATE(90),
    [sym__module] = STATE(104),
    [aux_sym_object_repeat1] = STATE(3345),
    [aux_sym_object_pattern_repeat1] = STATE(3166),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_as] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_COLON] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(1045),
    [anon_sym_QMARK_DOT] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_DASH_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_CARET_EQ] = ACTIONS(639),
    [anon_sym_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(639),
    [anon_sym_LT_LT_EQ] = ACTIONS(639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(639),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(639),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(639),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(635),
    [anon_sym_EQ_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(635),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [anon_sym_SQUOTE] = ACTIONS(2291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(635),
  },
  [680] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2476),
    [sym_constructor_type] = STATE(2476),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2476),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_predicate] = STATE(3619),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2476),
    [sym_union_type] = STATE(2476),
    [sym_intersection_type] = STATE(2476),
    [sym_function_type] = STATE(2476),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(2303),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_asserts] = ACTIONS(2305),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [681] = {
    [sym_nested_identifier] = STATE(3759),
    [sym_string] = STATE(2434),
    [sym_formal_parameters] = STATE(3825),
    [sym_nested_type_identifier] = STATE(2310),
    [sym__type] = STATE(2500),
    [sym_constructor_type] = STATE(2500),
    [sym__primary_type] = STATE(2409),
    [sym_template_literal_type] = STATE(2404),
    [sym_infer_type] = STATE(2500),
    [sym_conditional_type] = STATE(2404),
    [sym_generic_type] = STATE(2404),
    [sym_type_predicate] = STATE(2854),
    [sym_type_query] = STATE(2404),
    [sym_index_type_query] = STATE(2404),
    [sym_lookup_type] = STATE(2404),
    [sym_literal_type] = STATE(2404),
    [sym__number] = STATE(2395),
    [sym_existential_type] = STATE(2404),
    [sym_flow_maybe_type] = STATE(2404),
    [sym_parenthesized_type] = STATE(2404),
    [sym_predefined_type] = STATE(2404),
    [sym_object_type] = STATE(2404),
    [sym_type_parameters] = STATE(3543),
    [sym_array_type] = STATE(2404),
    [sym_tuple_type] = STATE(2404),
    [sym_readonly_type] = STATE(2500),
    [sym_union_type] = STATE(2500),
    [sym_intersection_type] = STATE(2500),
    [sym_function_type] = STATE(2500),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_typeof] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2323),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_void] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2335),
    [sym_number] = ACTIONS(2337),
    [sym_this] = ACTIONS(2339),
    [sym_true] = ACTIONS(2341),
    [sym_false] = ACTIONS(2341),
    [sym_null] = ACTIONS(2341),
    [sym_undefined] = ACTIONS(2341),
    [anon_sym_readonly] = ACTIONS(2343),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_asserts] = ACTIONS(2345),
    [anon_sym_infer] = ACTIONS(2347),
    [anon_sym_keyof] = ACTIONS(2349),
    [anon_sym_unknown] = ACTIONS(2329),
    [anon_sym_never] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(2329),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2351),
  },
  [682] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(3088),
    [sym_constructor_type] = STATE(3088),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3088),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3088),
    [sym_union_type] = STATE(3088),
    [sym_intersection_type] = STATE(3088),
    [sym_function_type] = STATE(3088),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [683] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_export] = ACTIONS(2357),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2355),
    [anon_sym_namespace] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2363),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2379),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2383),
    [anon_sym_declare] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2355),
    [anon_sym_any] = ACTIONS(2355),
    [anon_sym_number] = ACTIONS(2355),
    [anon_sym_boolean] = ACTIONS(2355),
    [anon_sym_string] = ACTIONS(2355),
    [anon_sym_symbol] = ACTIONS(2355),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [684] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [685] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [686] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3337),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3337),
    [sym_pair] = STATE(3337),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3333),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2395),
    [anon_sym_export] = ACTIONS(2397),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2395),
    [anon_sym_namespace] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2401),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2405),
    [anon_sym_get] = ACTIONS(2407),
    [anon_sym_set] = ACTIONS(2407),
    [anon_sym_declare] = ACTIONS(2395),
    [anon_sym_public] = ACTIONS(2409),
    [anon_sym_private] = ACTIONS(2409),
    [anon_sym_protected] = ACTIONS(2409),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2395),
    [anon_sym_any] = ACTIONS(2395),
    [anon_sym_number] = ACTIONS(2395),
    [anon_sym_boolean] = ACTIONS(2395),
    [anon_sym_string] = ACTIONS(2395),
    [anon_sym_symbol] = ACTIONS(2395),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [687] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [688] = {
    [sym_nested_identifier] = STATE(3724),
    [sym_string] = STATE(1125),
    [sym_formal_parameters] = STATE(3705),
    [sym_nested_type_identifier] = STATE(1043),
    [sym__type] = STATE(1087),
    [sym_constructor_type] = STATE(1087),
    [sym__primary_type] = STATE(1128),
    [sym_template_literal_type] = STATE(1080),
    [sym_infer_type] = STATE(1087),
    [sym_conditional_type] = STATE(1080),
    [sym_generic_type] = STATE(1080),
    [sym_type_predicate] = STATE(1089),
    [sym_type_query] = STATE(1080),
    [sym_index_type_query] = STATE(1080),
    [sym_lookup_type] = STATE(1080),
    [sym_literal_type] = STATE(1080),
    [sym__number] = STATE(1179),
    [sym_existential_type] = STATE(1080),
    [sym_flow_maybe_type] = STATE(1080),
    [sym_parenthesized_type] = STATE(1080),
    [sym_predefined_type] = STATE(1080),
    [sym_object_type] = STATE(1080),
    [sym_type_parameters] = STATE(3565),
    [sym_array_type] = STATE(1080),
    [sym_tuple_type] = STATE(1080),
    [sym_readonly_type] = STATE(1087),
    [sym_union_type] = STATE(1087),
    [sym_intersection_type] = STATE(1087),
    [sym_function_type] = STATE(1087),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_typeof] = ACTIONS(2421),
    [anon_sym_LPAREN] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_void] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2439),
    [sym_number] = ACTIONS(2441),
    [sym_this] = ACTIONS(2443),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [sym_null] = ACTIONS(2445),
    [sym_undefined] = ACTIONS(2445),
    [anon_sym_readonly] = ACTIONS(2447),
    [anon_sym_any] = ACTIONS(2437),
    [anon_sym_number] = ACTIONS(2437),
    [anon_sym_boolean] = ACTIONS(2437),
    [anon_sym_string] = ACTIONS(2437),
    [anon_sym_symbol] = ACTIONS(2437),
    [anon_sym_infer] = ACTIONS(2449),
    [anon_sym_keyof] = ACTIONS(2451),
    [anon_sym_unknown] = ACTIONS(2437),
    [anon_sym_never] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(2437),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2453),
  },
  [689] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3337),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3337),
    [sym_pair] = STATE(3337),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3333),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2395),
    [anon_sym_export] = ACTIONS(2397),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2395),
    [anon_sym_namespace] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2401),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2405),
    [anon_sym_get] = ACTIONS(2407),
    [anon_sym_set] = ACTIONS(2407),
    [anon_sym_declare] = ACTIONS(2395),
    [anon_sym_public] = ACTIONS(2409),
    [anon_sym_private] = ACTIONS(2409),
    [anon_sym_protected] = ACTIONS(2409),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2395),
    [anon_sym_any] = ACTIONS(2395),
    [anon_sym_number] = ACTIONS(2395),
    [anon_sym_boolean] = ACTIONS(2395),
    [anon_sym_string] = ACTIONS(2395),
    [anon_sym_symbol] = ACTIONS(2395),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [690] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [691] = {
    [sym_nested_identifier] = STATE(3823),
    [sym_string] = STATE(1496),
    [sym_formal_parameters] = STATE(3812),
    [sym_nested_type_identifier] = STATE(1335),
    [sym__type] = STATE(1464),
    [sym_constructor_type] = STATE(1464),
    [sym__primary_type] = STATE(1490),
    [sym_template_literal_type] = STATE(1489),
    [sym_infer_type] = STATE(1464),
    [sym_conditional_type] = STATE(1489),
    [sym_generic_type] = STATE(1489),
    [sym_type_predicate] = STATE(1465),
    [sym_type_query] = STATE(1489),
    [sym_index_type_query] = STATE(1489),
    [sym_lookup_type] = STATE(1489),
    [sym_literal_type] = STATE(1489),
    [sym__number] = STATE(1488),
    [sym_existential_type] = STATE(1489),
    [sym_flow_maybe_type] = STATE(1489),
    [sym_parenthesized_type] = STATE(1489),
    [sym_predefined_type] = STATE(1489),
    [sym_object_type] = STATE(1489),
    [sym_type_parameters] = STATE(3478),
    [sym_array_type] = STATE(1489),
    [sym_tuple_type] = STATE(1489),
    [sym_readonly_type] = STATE(1464),
    [sym_union_type] = STATE(1464),
    [sym_intersection_type] = STATE(1464),
    [sym_function_type] = STATE(1464),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2463),
    [anon_sym_typeof] = ACTIONS(2465),
    [anon_sym_LPAREN] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2469),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_void] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2483),
    [sym_number] = ACTIONS(2485),
    [sym_this] = ACTIONS(2487),
    [sym_true] = ACTIONS(2489),
    [sym_false] = ACTIONS(2489),
    [sym_null] = ACTIONS(2489),
    [sym_undefined] = ACTIONS(2489),
    [anon_sym_readonly] = ACTIONS(2491),
    [anon_sym_any] = ACTIONS(2481),
    [anon_sym_number] = ACTIONS(2481),
    [anon_sym_boolean] = ACTIONS(2481),
    [anon_sym_string] = ACTIONS(2481),
    [anon_sym_symbol] = ACTIONS(2481),
    [anon_sym_infer] = ACTIONS(2493),
    [anon_sym_keyof] = ACTIONS(2495),
    [anon_sym_unknown] = ACTIONS(2481),
    [anon_sym_never] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2497),
  },
  [692] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2214),
    [sym_constructor_type] = STATE(2214),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2214),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_predicate] = STATE(2121),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2214),
    [sym_union_type] = STATE(2214),
    [sym_intersection_type] = STATE(2214),
    [sym_function_type] = STATE(2214),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(2303),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [693] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_EQ] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_RPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_COLON] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_RBRACK] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2503),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_EQ_GT] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_QMARK] = ACTIONS(2503),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_PIPE] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_extends] = ACTIONS(2501),
    [anon_sym_implements] = ACTIONS(2501),
  },
  [695] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(3067),
    [sym_constructor_type] = STATE(3067),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3067),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3067),
    [sym_union_type] = STATE(3067),
    [sym_intersection_type] = STATE(3067),
    [sym_function_type] = STATE(3067),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2507),
    [anon_sym_type] = ACTIONS(2507),
    [anon_sym_EQ] = ACTIONS(2507),
    [anon_sym_namespace] = ACTIONS(2507),
    [anon_sym_LBRACE] = ACTIONS(2509),
    [anon_sym_COMMA] = ACTIONS(2509),
    [anon_sym_RBRACE] = ACTIONS(2509),
    [anon_sym_typeof] = ACTIONS(2507),
    [anon_sym_import] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2509),
    [anon_sym_RPAREN] = ACTIONS(2509),
    [anon_sym_await] = ACTIONS(2507),
    [anon_sym_COLON] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2509),
    [anon_sym_RBRACK] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2507),
    [anon_sym_async] = ACTIONS(2507),
    [anon_sym_function] = ACTIONS(2507),
    [anon_sym_EQ_GT] = ACTIONS(2509),
    [anon_sym_new] = ACTIONS(2507),
    [anon_sym_QMARK] = ACTIONS(2509),
    [anon_sym_AMP] = ACTIONS(2509),
    [anon_sym_PIPE] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2509),
    [anon_sym_void] = ACTIONS(2507),
    [anon_sym_delete] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2509),
    [anon_sym_DASH_DASH] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE] = ACTIONS(2509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2509),
    [sym_number] = ACTIONS(2509),
    [sym_this] = ACTIONS(2507),
    [sym_super] = ACTIONS(2507),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [sym_null] = ACTIONS(2507),
    [sym_undefined] = ACTIONS(2507),
    [anon_sym_AT] = ACTIONS(2509),
    [anon_sym_static] = ACTIONS(2507),
    [anon_sym_readonly] = ACTIONS(2507),
    [anon_sym_get] = ACTIONS(2507),
    [anon_sym_set] = ACTIONS(2507),
    [anon_sym_declare] = ACTIONS(2507),
    [anon_sym_public] = ACTIONS(2507),
    [anon_sym_private] = ACTIONS(2507),
    [anon_sym_protected] = ACTIONS(2507),
    [anon_sym_override] = ACTIONS(2507),
    [anon_sym_module] = ACTIONS(2507),
    [anon_sym_any] = ACTIONS(2507),
    [anon_sym_number] = ACTIONS(2507),
    [anon_sym_boolean] = ACTIONS(2507),
    [anon_sym_string] = ACTIONS(2507),
    [anon_sym_symbol] = ACTIONS(2507),
    [anon_sym_extends] = ACTIONS(2507),
    [anon_sym_implements] = ACTIONS(2507),
  },
  [697] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2519),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2523),
    [anon_sym_set] = ACTIONS(2523),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2527),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [698] = {
    [sym_nested_identifier] = STATE(3658),
    [sym_string] = STATE(2352),
    [sym_formal_parameters] = STATE(3675),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2312),
    [sym_constructor_type] = STATE(2312),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2312),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_predicate] = STATE(2313),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3617),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2312),
    [sym_union_type] = STATE(2312),
    [sym_intersection_type] = STATE(2312),
    [sym_function_type] = STATE(2312),
    [sym_identifier] = ACTIONS(2295),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_typeof] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1073),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(2297),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(605),
    [anon_sym_number] = ACTIONS(605),
    [anon_sym_boolean] = ACTIONS(605),
    [anon_sym_string] = ACTIONS(605),
    [anon_sym_symbol] = ACTIONS(605),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [699] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(3160),
    [sym_constructor_type] = STATE(3160),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3160),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3160),
    [sym_union_type] = STATE(3160),
    [sym_intersection_type] = STATE(3160),
    [sym_function_type] = STATE(3160),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2529),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [700] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2531),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [701] = {
    [sym_export_statement] = STATE(2616),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2616),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2616),
    [sym_property_signature] = STATE(2616),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2616),
    [sym_index_signature] = STATE(2616),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2533),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2519),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2523),
    [anon_sym_set] = ACTIONS(2523),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2527),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2539),
  },
  [702] = {
    [sym_nested_identifier] = STATE(3658),
    [sym_string] = STATE(2352),
    [sym_formal_parameters] = STATE(3675),
    [sym_nested_type_identifier] = STATE(2245),
    [sym__type] = STATE(2320),
    [sym_constructor_type] = STATE(2320),
    [sym__primary_type] = STATE(2354),
    [sym_template_literal_type] = STATE(2355),
    [sym_infer_type] = STATE(2320),
    [sym_conditional_type] = STATE(2355),
    [sym_generic_type] = STATE(2355),
    [sym_type_predicate] = STATE(2329),
    [sym_type_query] = STATE(2355),
    [sym_index_type_query] = STATE(2355),
    [sym_lookup_type] = STATE(2355),
    [sym_literal_type] = STATE(2355),
    [sym__number] = STATE(2358),
    [sym_existential_type] = STATE(2355),
    [sym_flow_maybe_type] = STATE(2355),
    [sym_parenthesized_type] = STATE(2355),
    [sym_predefined_type] = STATE(2355),
    [sym_object_type] = STATE(2355),
    [sym_type_parameters] = STATE(3617),
    [sym_array_type] = STATE(2355),
    [sym_tuple_type] = STATE(2355),
    [sym_readonly_type] = STATE(2320),
    [sym_union_type] = STATE(2320),
    [sym_intersection_type] = STATE(2320),
    [sym_function_type] = STATE(2320),
    [sym_identifier] = ACTIONS(2295),
    [anon_sym_STAR] = ACTIONS(565),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_typeof] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1073),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(2297),
    [sym_true] = ACTIONS(1079),
    [sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(605),
    [anon_sym_number] = ACTIONS(605),
    [anon_sym_boolean] = ACTIONS(605),
    [anon_sym_string] = ACTIONS(605),
    [anon_sym_symbol] = ACTIONS(605),
    [anon_sym_infer] = ACTIONS(601),
    [anon_sym_keyof] = ACTIONS(603),
    [anon_sym_unknown] = ACTIONS(605),
    [anon_sym_never] = ACTIONS(605),
    [anon_sym_object] = ACTIONS(605),
    [anon_sym_LBRACE_PIPE] = ACTIONS(607),
  },
  [703] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2541),
    [anon_sym_export] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2541),
    [anon_sym_namespace] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_readonly] = ACTIONS(2551),
    [anon_sym_get] = ACTIONS(2553),
    [anon_sym_set] = ACTIONS(2553),
    [anon_sym_declare] = ACTIONS(2541),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2557),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_any] = ACTIONS(2541),
    [anon_sym_number] = ACTIONS(2541),
    [anon_sym_boolean] = ACTIONS(2541),
    [anon_sym_string] = ACTIONS(2541),
    [anon_sym_symbol] = ACTIONS(2541),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [704] = {
    [sym_nested_identifier] = STATE(3759),
    [sym_string] = STATE(2434),
    [sym_formal_parameters] = STATE(3825),
    [sym_nested_type_identifier] = STATE(2310),
    [sym__type] = STATE(2402),
    [sym_constructor_type] = STATE(2402),
    [sym__primary_type] = STATE(2409),
    [sym_template_literal_type] = STATE(2404),
    [sym_infer_type] = STATE(2402),
    [sym_conditional_type] = STATE(2404),
    [sym_generic_type] = STATE(2404),
    [sym_type_predicate] = STATE(2410),
    [sym_type_query] = STATE(2404),
    [sym_index_type_query] = STATE(2404),
    [sym_lookup_type] = STATE(2404),
    [sym_literal_type] = STATE(2404),
    [sym__number] = STATE(2395),
    [sym_existential_type] = STATE(2404),
    [sym_flow_maybe_type] = STATE(2404),
    [sym_parenthesized_type] = STATE(2404),
    [sym_predefined_type] = STATE(2404),
    [sym_object_type] = STATE(2404),
    [sym_type_parameters] = STATE(3543),
    [sym_array_type] = STATE(2404),
    [sym_tuple_type] = STATE(2404),
    [sym_readonly_type] = STATE(2402),
    [sym_union_type] = STATE(2402),
    [sym_intersection_type] = STATE(2402),
    [sym_function_type] = STATE(2402),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_typeof] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2323),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_void] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2335),
    [sym_number] = ACTIONS(2337),
    [sym_this] = ACTIONS(2339),
    [sym_true] = ACTIONS(2341),
    [sym_false] = ACTIONS(2341),
    [sym_null] = ACTIONS(2341),
    [sym_undefined] = ACTIONS(2341),
    [anon_sym_readonly] = ACTIONS(2343),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_infer] = ACTIONS(2347),
    [anon_sym_keyof] = ACTIONS(2349),
    [anon_sym_unknown] = ACTIONS(2329),
    [anon_sym_never] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(2329),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2351),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2559),
    [anon_sym_export] = ACTIONS(2559),
    [anon_sym_type] = ACTIONS(2559),
    [anon_sym_EQ] = ACTIONS(2559),
    [anon_sym_namespace] = ACTIONS(2559),
    [anon_sym_LBRACE] = ACTIONS(2561),
    [anon_sym_COMMA] = ACTIONS(2561),
    [anon_sym_RBRACE] = ACTIONS(2561),
    [anon_sym_typeof] = ACTIONS(2559),
    [anon_sym_import] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2561),
    [anon_sym_LPAREN] = ACTIONS(2561),
    [anon_sym_RPAREN] = ACTIONS(2561),
    [anon_sym_await] = ACTIONS(2559),
    [anon_sym_COLON] = ACTIONS(2561),
    [anon_sym_yield] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_RBRACK] = ACTIONS(2561),
    [anon_sym_LT] = ACTIONS(2561),
    [anon_sym_GT] = ACTIONS(2561),
    [anon_sym_SLASH] = ACTIONS(2559),
    [anon_sym_class] = ACTIONS(2559),
    [anon_sym_async] = ACTIONS(2559),
    [anon_sym_function] = ACTIONS(2559),
    [anon_sym_EQ_GT] = ACTIONS(2561),
    [anon_sym_new] = ACTIONS(2559),
    [anon_sym_QMARK] = ACTIONS(2561),
    [anon_sym_AMP] = ACTIONS(2561),
    [anon_sym_PIPE] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2561),
    [anon_sym_void] = ACTIONS(2559),
    [anon_sym_delete] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2561),
    [anon_sym_DASH_DASH] = ACTIONS(2561),
    [anon_sym_DQUOTE] = ACTIONS(2561),
    [anon_sym_SQUOTE] = ACTIONS(2561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2561),
    [sym_number] = ACTIONS(2561),
    [sym_this] = ACTIONS(2559),
    [sym_super] = ACTIONS(2559),
    [sym_true] = ACTIONS(2559),
    [sym_false] = ACTIONS(2559),
    [sym_null] = ACTIONS(2559),
    [sym_undefined] = ACTIONS(2559),
    [anon_sym_AT] = ACTIONS(2561),
    [anon_sym_static] = ACTIONS(2559),
    [anon_sym_readonly] = ACTIONS(2559),
    [anon_sym_get] = ACTIONS(2559),
    [anon_sym_set] = ACTIONS(2559),
    [anon_sym_declare] = ACTIONS(2559),
    [anon_sym_public] = ACTIONS(2559),
    [anon_sym_private] = ACTIONS(2559),
    [anon_sym_protected] = ACTIONS(2559),
    [anon_sym_override] = ACTIONS(2559),
    [anon_sym_module] = ACTIONS(2559),
    [anon_sym_any] = ACTIONS(2559),
    [anon_sym_number] = ACTIONS(2559),
    [anon_sym_boolean] = ACTIONS(2559),
    [anon_sym_string] = ACTIONS(2559),
    [anon_sym_symbol] = ACTIONS(2559),
    [anon_sym_extends] = ACTIONS(2559),
    [anon_sym_implements] = ACTIONS(2559),
  },
  [706] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2541),
    [anon_sym_export] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2541),
    [anon_sym_namespace] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_readonly] = ACTIONS(2551),
    [anon_sym_get] = ACTIONS(2553),
    [anon_sym_set] = ACTIONS(2553),
    [anon_sym_declare] = ACTIONS(2541),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2557),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_any] = ACTIONS(2541),
    [anon_sym_number] = ACTIONS(2541),
    [anon_sym_boolean] = ACTIONS(2541),
    [anon_sym_string] = ACTIONS(2541),
    [anon_sym_symbol] = ACTIONS(2541),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [707] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3822),
    [sym_nested_type_identifier] = STATE(2502),
    [sym__type] = STATE(2656),
    [sym_constructor_type] = STATE(2656),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2656),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_predicate] = STATE(2121),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3509),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2656),
    [sym_union_type] = STATE(2656),
    [sym_intersection_type] = STATE(2656),
    [sym_function_type] = STATE(2656),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_typeof] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_PIPE] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(2581),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(2585),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2587),
  },
  [708] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [709] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2206),
    [sym_constructor_type] = STATE(2206),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2206),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_predicate] = STATE(2107),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2206),
    [sym_union_type] = STATE(2206),
    [sym_intersection_type] = STATE(2206),
    [sym_function_type] = STATE(2206),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(2303),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [710] = {
    [sym_nested_identifier] = STATE(3823),
    [sym_string] = STATE(1496),
    [sym_formal_parameters] = STATE(3812),
    [sym_nested_type_identifier] = STATE(1335),
    [sym__type] = STATE(1400),
    [sym_constructor_type] = STATE(1400),
    [sym__primary_type] = STATE(1490),
    [sym_template_literal_type] = STATE(1489),
    [sym_infer_type] = STATE(1400),
    [sym_conditional_type] = STATE(1489),
    [sym_generic_type] = STATE(1489),
    [sym_type_predicate] = STATE(1401),
    [sym_type_query] = STATE(1489),
    [sym_index_type_query] = STATE(1489),
    [sym_lookup_type] = STATE(1489),
    [sym_literal_type] = STATE(1489),
    [sym__number] = STATE(1488),
    [sym_existential_type] = STATE(1489),
    [sym_flow_maybe_type] = STATE(1489),
    [sym_parenthesized_type] = STATE(1489),
    [sym_predefined_type] = STATE(1489),
    [sym_object_type] = STATE(1489),
    [sym_type_parameters] = STATE(3478),
    [sym_array_type] = STATE(1489),
    [sym_tuple_type] = STATE(1489),
    [sym_readonly_type] = STATE(1400),
    [sym_union_type] = STATE(1400),
    [sym_intersection_type] = STATE(1400),
    [sym_function_type] = STATE(1400),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2463),
    [anon_sym_typeof] = ACTIONS(2465),
    [anon_sym_LPAREN] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2469),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2471),
    [anon_sym_QMARK] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_PIPE] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_void] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2483),
    [sym_number] = ACTIONS(2485),
    [sym_this] = ACTIONS(2487),
    [sym_true] = ACTIONS(2489),
    [sym_false] = ACTIONS(2489),
    [sym_null] = ACTIONS(2489),
    [sym_undefined] = ACTIONS(2489),
    [anon_sym_readonly] = ACTIONS(2491),
    [anon_sym_any] = ACTIONS(2481),
    [anon_sym_number] = ACTIONS(2481),
    [anon_sym_boolean] = ACTIONS(2481),
    [anon_sym_string] = ACTIONS(2481),
    [anon_sym_symbol] = ACTIONS(2481),
    [anon_sym_infer] = ACTIONS(2493),
    [anon_sym_keyof] = ACTIONS(2495),
    [anon_sym_unknown] = ACTIONS(2481),
    [anon_sym_never] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2497),
  },
  [711] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3822),
    [sym_nested_type_identifier] = STATE(2502),
    [sym__type] = STATE(2626),
    [sym_constructor_type] = STATE(2626),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2626),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_predicate] = STATE(2107),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3509),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2626),
    [sym_union_type] = STATE(2626),
    [sym_intersection_type] = STATE(2626),
    [sym_function_type] = STATE(2626),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_typeof] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_QMARK] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(2573),
    [anon_sym_PIPE] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(2581),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(2585),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2587),
  },
  [712] = {
    [sym_nested_identifier] = STATE(3759),
    [sym_string] = STATE(2434),
    [sym_formal_parameters] = STATE(3825),
    [sym_nested_type_identifier] = STATE(2310),
    [sym__type] = STATE(2475),
    [sym_constructor_type] = STATE(2475),
    [sym__primary_type] = STATE(2409),
    [sym_template_literal_type] = STATE(2404),
    [sym_infer_type] = STATE(2475),
    [sym_conditional_type] = STATE(2404),
    [sym_generic_type] = STATE(2404),
    [sym_type_predicate] = STATE(2474),
    [sym_type_query] = STATE(2404),
    [sym_index_type_query] = STATE(2404),
    [sym_lookup_type] = STATE(2404),
    [sym_literal_type] = STATE(2404),
    [sym__number] = STATE(2395),
    [sym_existential_type] = STATE(2404),
    [sym_flow_maybe_type] = STATE(2404),
    [sym_parenthesized_type] = STATE(2404),
    [sym_predefined_type] = STATE(2404),
    [sym_object_type] = STATE(2404),
    [sym_type_parameters] = STATE(3543),
    [sym_array_type] = STATE(2404),
    [sym_tuple_type] = STATE(2404),
    [sym_readonly_type] = STATE(2475),
    [sym_union_type] = STATE(2475),
    [sym_intersection_type] = STATE(2475),
    [sym_function_type] = STATE(2475),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_typeof] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2323),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_void] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2335),
    [sym_number] = ACTIONS(2337),
    [sym_this] = ACTIONS(2339),
    [sym_true] = ACTIONS(2341),
    [sym_false] = ACTIONS(2341),
    [sym_null] = ACTIONS(2341),
    [sym_undefined] = ACTIONS(2341),
    [anon_sym_readonly] = ACTIONS(2343),
    [anon_sym_any] = ACTIONS(2329),
    [anon_sym_number] = ACTIONS(2329),
    [anon_sym_boolean] = ACTIONS(2329),
    [anon_sym_string] = ACTIONS(2329),
    [anon_sym_symbol] = ACTIONS(2329),
    [anon_sym_infer] = ACTIONS(2347),
    [anon_sym_keyof] = ACTIONS(2349),
    [anon_sym_unknown] = ACTIONS(2329),
    [anon_sym_never] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(2329),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2351),
  },
  [713] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [714] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [715] = {
    [sym_nested_identifier] = STATE(3724),
    [sym_string] = STATE(1125),
    [sym_formal_parameters] = STATE(3705),
    [sym_nested_type_identifier] = STATE(1043),
    [sym__type] = STATE(1133),
    [sym_constructor_type] = STATE(1133),
    [sym__primary_type] = STATE(1128),
    [sym_template_literal_type] = STATE(1080),
    [sym_infer_type] = STATE(1133),
    [sym_conditional_type] = STATE(1080),
    [sym_generic_type] = STATE(1080),
    [sym_type_predicate] = STATE(1051),
    [sym_type_query] = STATE(1080),
    [sym_index_type_query] = STATE(1080),
    [sym_lookup_type] = STATE(1080),
    [sym_literal_type] = STATE(1080),
    [sym__number] = STATE(1179),
    [sym_existential_type] = STATE(1080),
    [sym_flow_maybe_type] = STATE(1080),
    [sym_parenthesized_type] = STATE(1080),
    [sym_predefined_type] = STATE(1080),
    [sym_object_type] = STATE(1080),
    [sym_type_parameters] = STATE(3565),
    [sym_array_type] = STATE(1080),
    [sym_tuple_type] = STATE(1080),
    [sym_readonly_type] = STATE(1133),
    [sym_union_type] = STATE(1133),
    [sym_intersection_type] = STATE(1133),
    [sym_function_type] = STATE(1133),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_typeof] = ACTIONS(2421),
    [anon_sym_LPAREN] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_void] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2439),
    [sym_number] = ACTIONS(2441),
    [sym_this] = ACTIONS(2443),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [sym_null] = ACTIONS(2445),
    [sym_undefined] = ACTIONS(2445),
    [anon_sym_readonly] = ACTIONS(2447),
    [anon_sym_any] = ACTIONS(2437),
    [anon_sym_number] = ACTIONS(2437),
    [anon_sym_boolean] = ACTIONS(2437),
    [anon_sym_string] = ACTIONS(2437),
    [anon_sym_symbol] = ACTIONS(2437),
    [anon_sym_infer] = ACTIONS(2449),
    [anon_sym_keyof] = ACTIONS(2451),
    [anon_sym_unknown] = ACTIONS(2437),
    [anon_sym_never] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(2437),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2453),
  },
  [716] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [717] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2511),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2519),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2523),
    [anon_sym_set] = ACTIONS(2523),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2527),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [718] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2541),
    [anon_sym_export] = ACTIONS(2543),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2541),
    [anon_sym_namespace] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_readonly] = ACTIONS(2551),
    [anon_sym_get] = ACTIONS(2553),
    [anon_sym_set] = ACTIONS(2553),
    [anon_sym_declare] = ACTIONS(2541),
    [anon_sym_public] = ACTIONS(2555),
    [anon_sym_private] = ACTIONS(2555),
    [anon_sym_protected] = ACTIONS(2555),
    [anon_sym_override] = ACTIONS(2557),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_any] = ACTIONS(2541),
    [anon_sym_number] = ACTIONS(2541),
    [anon_sym_boolean] = ACTIONS(2541),
    [anon_sym_string] = ACTIONS(2541),
    [anon_sym_symbol] = ACTIONS(2541),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [719] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [720] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2620),
    [sym_constructor_type] = STATE(2620),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2620),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_type_parameter] = STATE(3315),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2620),
    [sym_union_type] = STATE(2620),
    [sym_intersection_type] = STATE(2620),
    [sym_function_type] = STATE(2620),
    [sym_identifier] = ACTIONS(2603),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [721] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(3080),
    [sym_constructor_type] = STATE(3080),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3080),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3080),
    [sym_union_type] = STATE(3080),
    [sym_intersection_type] = STATE(3080),
    [sym_function_type] = STATE(3080),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [722] = {
    [sym_export_statement] = STATE(2737),
    [sym_object_pattern] = STATE(3790),
    [sym_object_assignment_pattern] = STATE(3346),
    [sym_array_pattern] = STATE(3790),
    [sym__call_signature] = STATE(3025),
    [sym__destructuring_pattern] = STATE(3790),
    [sym_spread_element] = STATE(3361),
    [sym_string] = STATE(2229),
    [sym_decorator] = STATE(2044),
    [sym_formal_parameters] = STATE(2364),
    [sym_rest_pattern] = STATE(3346),
    [sym_method_definition] = STATE(3361),
    [sym_pair] = STATE(3361),
    [sym_pair_pattern] = STATE(3346),
    [sym__property_name] = STATE(2229),
    [sym_computed_property_name] = STATE(2229),
    [sym_method_signature] = STATE(2737),
    [sym_accessibility_modifier] = STATE(1972),
    [sym_override_modifier] = STATE(1990),
    [sym_call_signature] = STATE(2737),
    [sym_property_signature] = STATE(2737),
    [sym_type_parameters] = STATE(3408),
    [sym_construct_signature] = STATE(2737),
    [sym_index_signature] = STATE(2737),
    [aux_sym_export_statement_repeat1] = STATE(3121),
    [aux_sym_object_repeat1] = STATE(3363),
    [aux_sym_object_pattern_repeat1] = STATE(3328),
    [sym_identifier] = ACTIONS(2607),
    [anon_sym_export] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2359),
    [anon_sym_type] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(2361),
    [anon_sym_RBRACE] = ACTIONS(2611),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_async] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2373),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_readonly] = ACTIONS(2617),
    [anon_sym_get] = ACTIONS(2619),
    [anon_sym_set] = ACTIONS(2619),
    [anon_sym_declare] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_override] = ACTIONS(2623),
    [anon_sym_module] = ACTIONS(2607),
    [anon_sym_any] = ACTIONS(2607),
    [anon_sym_number] = ACTIONS(2607),
    [anon_sym_boolean] = ACTIONS(2607),
    [anon_sym_string] = ACTIONS(2607),
    [anon_sym_symbol] = ACTIONS(2607),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2389),
  },
  [723] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(2632),
    [sym_constructor_type] = STATE(2632),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(2632),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(2632),
    [sym_union_type] = STATE(2632),
    [sym_intersection_type] = STATE(2632),
    [sym_function_type] = STATE(2632),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
  [724] = {
    [sym_nested_identifier] = STATE(3844),
    [sym_string] = STATE(2115),
    [sym_formal_parameters] = STATE(3843),
    [sym_nested_type_identifier] = STATE(2090),
    [sym__type] = STATE(3135),
    [sym_constructor_type] = STATE(3135),
    [sym__primary_type] = STATE(2120),
    [sym_template_literal_type] = STATE(2109),
    [sym_infer_type] = STATE(3135),
    [sym_conditional_type] = STATE(2109),
    [sym_generic_type] = STATE(2109),
    [sym_type_query] = STATE(2109),
    [sym_index_type_query] = STATE(2109),
    [sym_lookup_type] = STATE(2109),
    [sym_literal_type] = STATE(2109),
    [sym__number] = STATE(2097),
    [sym_existential_type] = STATE(2109),
    [sym_flow_maybe_type] = STATE(2109),
    [sym_parenthesized_type] = STATE(2109),
    [sym_predefined_type] = STATE(2109),
    [sym_object_type] = STATE(2109),
    [sym_type_parameters] = STATE(3459),
    [sym_array_type] = STATE(2109),
    [sym_tuple_type] = STATE(2109),
    [sym_readonly_type] = STATE(3135),
    [sym_union_type] = STATE(3135),
    [sym_intersection_type] = STATE(3135),
    [sym_function_type] = STATE(3135),
    [sym_identifier] = ACTIONS(1031),
    [anon_sym_STAR] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_typeof] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(627),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_RBRACK] = ACTIONS(2627),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_void] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(649),
    [anon_sym_SQUOTE] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(655),
    [sym_this] = ACTIONS(1039),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(1041),
    [anon_sym_any] = ACTIONS(503),
    [anon_sym_number] = ACTIONS(503),
    [anon_sym_boolean] = ACTIONS(503),
    [anon_sym_string] = ACTIONS(503),
    [anon_sym_symbol] = ACTIONS(503),
    [anon_sym_infer] = ACTIONS(499),
    [anon_sym_keyof] = ACTIONS(501),
    [anon_sym_unknown] = ACTIONS(503),
    [anon_sym_never] = ACTIONS(503),
    [anon_sym_object] = ACTIONS(503),
    [anon_sym_LBRACE_PIPE] = ACTIONS(505),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2108), 1,
      sym__primary_type,
    STATE(2115), 1,
      sym_string,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3240), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [131] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3107), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [262] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2640), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [393] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2423), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3392), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [524] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1541), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [655] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2420), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [786] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2093), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [917] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2776), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1048] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3094), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1179] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(1553), 1,
      sym_template_literal_type,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1551), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 13,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1312] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2927), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1443] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3147), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1574] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2419), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1705] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2104), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1836] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2114), 1,
      sym__primary_type,
    STATE(2115), 1,
      sym_string,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3303), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1967] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3093), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2098] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2747), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2229] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2363), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2360] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2405), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2491] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2350), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2622] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2632), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2753] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1054), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2884] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3128), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3015] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1052), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3146] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2432), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3392), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3277] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1576), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3408] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3102), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3539] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2868), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3670] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3101), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3801] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2476), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3932] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3133), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4063] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2464), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4194] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2649), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4325] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2442), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4456] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2426), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4587] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1425), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4718] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3056), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4849] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2341), 1,
      sym__primary_type,
    STATE(2352), 1,
      sym_string,
    STATE(2358), 1,
      sym__number,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3381), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4980] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3140), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5111] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1404), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5242] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1405), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5373] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1174), 1,
      sym_template_literal_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1175), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 13,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5506] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3059), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5637] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2119), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5768] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2721), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5899] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2783), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6030] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2356), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6161] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2322), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6292] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2397), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6423] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2308), 1,
      sym__primary_type,
    STATE(2352), 1,
      sym_string,
    STATE(2358), 1,
      sym__number,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3381), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6554] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6643] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2976), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6774] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3146), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6905] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3104), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7036] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3105), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7167] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2129), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7298] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3145), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7429] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3031), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7560] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2485), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7691] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3087), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7822] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1423), 1,
      sym__primary_type,
    STATE(1488), 1,
      sym__number,
    STATE(1496), 1,
      sym_string,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3374), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7953] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2129), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8084] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1140), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8215] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2195), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8346] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2490), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8477] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2309), 1,
      anon_sym_STAR,
    ACTIONS(2311), 1,
      anon_sym_LBRACE,
    ACTIONS(2313), 1,
      anon_sym_typeof,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(2317), 1,
      anon_sym_LBRACK,
    ACTIONS(2319), 1,
      anon_sym_new,
    ACTIONS(2321), 1,
      anon_sym_QMARK,
    ACTIONS(2323), 1,
      anon_sym_AMP,
    ACTIONS(2325), 1,
      anon_sym_PIPE,
    ACTIONS(2331), 1,
      anon_sym_DQUOTE,
    ACTIONS(2333), 1,
      anon_sym_SQUOTE,
    ACTIONS(2335), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      sym_number,
    ACTIONS(2343), 1,
      anon_sym_readonly,
    ACTIONS(2347), 1,
      anon_sym_infer,
    ACTIONS(2349), 1,
      anon_sym_keyof,
    ACTIONS(2351), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2631), 1,
      sym_identifier,
    ACTIONS(2633), 1,
      sym_this,
    STATE(2310), 1,
      sym_nested_type_identifier,
    STATE(2395), 1,
      sym__number,
    STATE(2409), 1,
      sym__primary_type,
    STATE(2434), 1,
      sym_string,
    STATE(3543), 1,
      sym_type_parameters,
    STATE(3759), 1,
      sym_nested_identifier,
    STATE(3825), 1,
      sym_formal_parameters,
    ACTIONS(2327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2341), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2440), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2329), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2404), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8608] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2489), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8739] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2324), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8870] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2325), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9001] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2104), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9132] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2203), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9263] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2695), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9394] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2644), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9525] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2691), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9656] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1176), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9787] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2642), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9918] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3162), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10049] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2340), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10180] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2093), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10311] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2114), 1,
      sym__primary_type,
    STATE(2115), 1,
      sym_string,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3240), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10442] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2156), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10573] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2108), 1,
      sym__primary_type,
    STATE(2115), 1,
      sym_string,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3303), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10704] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1431), 1,
      sym__primary_type,
    STATE(1488), 1,
      sym__number,
    STATE(1496), 1,
      sym_string,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3374), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10835] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1150), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3388), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10966] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1111), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11097] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3070), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11228] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1430), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11359] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1414), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11490] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2333), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11621] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2914), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11752] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3057), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11883] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2220), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12014] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2119), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12145] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2368), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12276] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1083), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12407] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2348), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12538] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1429), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12669] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2620), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12800] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2630), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12931] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3049), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13062] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(3021), 1,
      sym__primary_type,
    STATE(3063), 1,
      sym_infer_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3240), 6,
      sym__type,
      sym_constructor_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13195] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2205), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13326] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [13415] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      anon_sym_STAR,
    ACTIONS(2463), 1,
      anon_sym_LBRACE,
    ACTIONS(2465), 1,
      anon_sym_typeof,
    ACTIONS(2467), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_new,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2475), 1,
      anon_sym_AMP,
    ACTIONS(2477), 1,
      anon_sym_PIPE,
    ACTIONS(2483), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      sym_number,
    ACTIONS(2491), 1,
      anon_sym_readonly,
    ACTIONS(2493), 1,
      anon_sym_infer,
    ACTIONS(2495), 1,
      anon_sym_keyof,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      sym_this,
    STATE(1335), 1,
      sym_nested_type_identifier,
    STATE(1488), 1,
      sym__number,
    STATE(1490), 1,
      sym__primary_type,
    STATE(1496), 1,
      sym_string,
    STATE(3478), 1,
      sym_type_parameters,
    STATE(3812), 1,
      sym_formal_parameters,
    STATE(3823), 1,
      sym_nested_identifier,
    ACTIONS(2479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2489), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1461), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2481), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1489), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13546] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_STAR,
    ACTIONS(577), 1,
      anon_sym_QMARK,
    ACTIONS(579), 1,
      anon_sym_AMP,
    ACTIONS(581), 1,
      anon_sym_PIPE,
    ACTIONS(601), 1,
      anon_sym_infer,
    ACTIONS(603), 1,
      anon_sym_keyof,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1047), 1,
      sym_identifier,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_typeof,
    ACTIONS(1055), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_new,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1073), 1,
      anon_sym_BQUOTE,
    ACTIONS(1075), 1,
      sym_number,
    ACTIONS(1077), 1,
      sym_this,
    ACTIONS(1081), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2245), 1,
      sym_nested_type_identifier,
    STATE(2352), 1,
      sym_string,
    STATE(2354), 1,
      sym__primary_type,
    STATE(2358), 1,
      sym__number,
    STATE(3617), 1,
      sym_type_parameters,
    STATE(3658), 1,
      sym_nested_identifier,
    STATE(3675), 1,
      sym_formal_parameters,
    ACTIONS(1719), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1079), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2959), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(605), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2355), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13677] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1169), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    STATE(3843), 1,
      sym_formal_parameters,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3388), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13808] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1170), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13939] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1050), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14070] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_typeof,
    ACTIONS(2423), 1,
      anon_sym_LPAREN,
    ACTIONS(2425), 1,
      anon_sym_LBRACK,
    ACTIONS(2427), 1,
      anon_sym_new,
    ACTIONS(2429), 1,
      anon_sym_QMARK,
    ACTIONS(2431), 1,
      anon_sym_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2439), 1,
      anon_sym_BQUOTE,
    ACTIONS(2441), 1,
      sym_number,
    ACTIONS(2447), 1,
      anon_sym_readonly,
    ACTIONS(2449), 1,
      anon_sym_infer,
    ACTIONS(2451), 1,
      anon_sym_keyof,
    ACTIONS(2453), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      sym_this,
    STATE(1043), 1,
      sym_nested_type_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1128), 1,
      sym__primary_type,
    STATE(1179), 1,
      sym__number,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym_formal_parameters,
    STATE(3724), 1,
      sym_nested_identifier,
    ACTIONS(2435), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2445), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1159), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2437), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1080), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14201] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_typeof,
    ACTIONS(2569), 1,
      anon_sym_new,
    ACTIONS(2571), 1,
      anon_sym_QMARK,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_PIPE,
    ACTIONS(2577), 1,
      anon_sym_DQUOTE,
    ACTIONS(2579), 1,
      anon_sym_SQUOTE,
    ACTIONS(2583), 1,
      anon_sym_readonly,
    ACTIONS(2585), 1,
      anon_sym_keyof,
    ACTIONS(2587), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(2502), 1,
      sym_nested_type_identifier,
    STATE(3509), 1,
      sym_type_parameters,
    STATE(3822), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2631), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14332] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_STAR,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(467), 1,
      anon_sym_AMP,
    ACTIONS(469), 1,
      anon_sym_PIPE,
    ACTIONS(499), 1,
      anon_sym_infer,
    ACTIONS(501), 1,
      anon_sym_keyof,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(625), 1,
      anon_sym_typeof,
    ACTIONS(627), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_new,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      sym_number,
    ACTIONS(1031), 1,
      sym_identifier,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      sym_this,
    ACTIONS(1041), 1,
      anon_sym_readonly,
    ACTIONS(1545), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_nested_type_identifier,
    STATE(2097), 1,
      sym__number,
    STATE(2115), 1,
      sym_string,
    STATE(2120), 1,
      sym__primary_type,
    STATE(3459), 1,
      sym_type_parameters,
    STATE(3843), 1,
      sym_formal_parameters,
    STATE(3844), 1,
      sym_nested_identifier,
    ACTIONS(1547), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(659), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2734), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(503), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2109), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14463] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    ACTIONS(2287), 1,
      sym_identifier,
    ACTIONS(2289), 1,
      anon_sym_DQUOTE,
    ACTIONS(2291), 1,
      anon_sym_SQUOTE,
    STATE(89), 1,
      sym_nested_identifier,
    STATE(90), 1,
      sym_string,
    STATE(104), 1,
      sym__module,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14553] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(2645), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_string,
    STATE(1044), 1,
      sym_nested_identifier,
    STATE(1187), 1,
      sym__module,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14641] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1583), 1,
      anon_sym_COLON,
    ACTIONS(2645), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_string,
    STATE(1044), 1,
      sym_nested_identifier,
    STATE(1187), 1,
      sym__module,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14731] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    ACTIONS(2293), 1,
      sym_identifier,
    STATE(472), 1,
      sym_nested_identifier,
    STATE(488), 1,
      sym_string,
    STATE(524), 1,
      sym__module,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14821] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14909] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1765), 1,
      anon_sym_in,
    ACTIONS(1768), 1,
      anon_sym_of,
    ACTIONS(2645), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_string,
    STATE(1044), 1,
      sym_nested_identifier,
    STATE(1187), 1,
      sym__module,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1583), 1,
      anon_sym_COLON,
    ACTIONS(2293), 1,
      sym_identifier,
    STATE(472), 1,
      sym_nested_identifier,
    STATE(488), 1,
      sym_string,
    STATE(524), 1,
      sym__module,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15091] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1736), 1,
      anon_sym_QMARK,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(622), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(635), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15182] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(622), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(635), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15271] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1087), 1,
      anon_sym_EQ,
    ACTIONS(1089), 1,
      anon_sym_EQ_GT,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [15358] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(622), 1,
      anon_sym_RBRACK,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1777), 1,
      anon_sym_COLON,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1089), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [15538] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(1416), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      sym_identifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1422), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15626] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2359), 1,
      anon_sym_STAR,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_export,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2658), 1,
      anon_sym_static,
    ACTIONS(2660), 1,
      anon_sym_readonly,
    ACTIONS(2666), 1,
      anon_sym_override,
    STATE(1972), 1,
      sym_accessibility_modifier,
    STATE(1990), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2662), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2664), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2229), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3502), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3504), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2624), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2649), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15756] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(622), 1,
      anon_sym_RBRACK,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15846] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_SEMI,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2389), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2670), 1,
      anon_sym_export,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    ACTIONS(2678), 1,
      anon_sym_async,
    ACTIONS(2682), 1,
      anon_sym_static,
    ACTIONS(2684), 1,
      anon_sym_readonly,
    ACTIONS(2690), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2686), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2688), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2235), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2737), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2668), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [15982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2287), 1,
      sym_identifier,
    ACTIONS(2289), 1,
      anon_sym_DQUOTE,
    ACTIONS(2291), 1,
      anon_sym_SQUOTE,
    STATE(89), 1,
      sym_nested_identifier,
    STATE(90), 1,
      sym_string,
    STATE(104), 1,
      sym__module,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16068] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2359), 1,
      anon_sym_STAR,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_export,
    ACTIONS(2656), 1,
      anon_sym_async,
    ACTIONS(2658), 1,
      anon_sym_static,
    ACTIONS(2660), 1,
      anon_sym_readonly,
    ACTIONS(2666), 1,
      anon_sym_override,
    STATE(1972), 1,
      sym_accessibility_modifier,
    STATE(1990), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2662), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2664), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2229), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3502), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3504), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2707), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2649), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16198] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16284] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1416), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      sym_identifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1422), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16372] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16460] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2537), 1,
      anon_sym_SEMI,
    ACTIONS(2539), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2670), 1,
      anon_sym_export,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2678), 1,
      anon_sym_async,
    ACTIONS(2682), 1,
      anon_sym_static,
    ACTIONS(2684), 1,
      anon_sym_readonly,
    ACTIONS(2690), 1,
      anon_sym_override,
    ACTIONS(2692), 1,
      anon_sym_COMMA,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2686), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2688), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2235), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2616), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2668), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16596] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      sym_identifier,
    STATE(2492), 1,
      sym_nested_identifier,
    STATE(2517), 1,
      sym_string,
    STATE(3039), 1,
      sym__module,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16682] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_COLON,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16770] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_SEMI,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2389), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2670), 1,
      anon_sym_export,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_async,
    ACTIONS(2682), 1,
      anon_sym_static,
    ACTIONS(2684), 1,
      anon_sym_readonly,
    ACTIONS(2690), 1,
      anon_sym_override,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2686), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2688), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2235), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2737), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2668), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16906] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2645), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_string,
    STATE(1044), 1,
      sym_nested_identifier,
    STATE(1187), 1,
      sym__module,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16992] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2293), 1,
      sym_identifier,
    STATE(472), 1,
      sym_nested_identifier,
    STATE(488), 1,
      sym_string,
    STATE(524), 1,
      sym__module,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17078] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_SEMI,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2389), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2670), 1,
      anon_sym_export,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_async,
    ACTIONS(2682), 1,
      anon_sym_static,
    ACTIONS(2684), 1,
      anon_sym_readonly,
    ACTIONS(2690), 1,
      anon_sym_override,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2686), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2688), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2235), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2737), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2668), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17214] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1416), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    ACTIONS(2647), 1,
      sym_identifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1422), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17302] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2708), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2714), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17387] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(1416), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1422), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17472] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(1097), 1,
      anon_sym_EQ_GT,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 12,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17557] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    ACTIONS(2728), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2731), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2706), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17642] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2740), 1,
      anon_sym_LBRACK,
    ACTIONS(2742), 1,
      anon_sym_DOT,
    ACTIONS(2744), 1,
      anon_sym_QMARK_DOT,
    STATE(2246), 1,
      sym_arguments,
    ACTIONS(2746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2736), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2706), 9,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17729] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2750), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [17881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1416), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1422), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2754), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2758), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18167] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1416), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(1525), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1422), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18252] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2760), 1,
      anon_sym_EQ,
    ACTIONS(2767), 1,
      anon_sym_LT,
    ACTIONS(2770), 1,
      anon_sym_DOT,
    STATE(2319), 1,
      sym_type_arguments,
    ACTIONS(2714), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2724), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2706), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18339] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18426] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18511] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(1097), 1,
      anon_sym_EQ_GT,
    ACTIONS(1765), 1,
      anon_sym_in,
    ACTIONS(1768), 1,
      anon_sym_of,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_nested_identifier,
    STATE(1121), 1,
      sym_string,
    STATE(1284), 1,
      sym__module,
    ACTIONS(635), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2783), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2277), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2787), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18801] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    ACTIONS(2728), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2731), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2706), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18886] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(2726), 1,
      anon_sym_EQ,
    ACTIONS(2728), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2731), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2706), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18971] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2708), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2714), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19055] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2736), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(2706), 11,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_EQ,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(2793), 1,
      anon_sym_QMARK,
    STATE(2103), 1,
      sym_type_arguments,
    STATE(3576), 1,
      sym_type_annotation,
    ACTIONS(2714), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2706), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(2799), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2802), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2802), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1331), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(635), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19461] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 12,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19547] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2809), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_EQ_GT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 11,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    ACTIONS(2647), 1,
      sym_identifier,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [19707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(2799), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2802), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19784] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2815), 1,
      anon_sym_export,
    ACTIONS(2819), 1,
      anon_sym_async,
    ACTIONS(2821), 1,
      anon_sym_static,
    ACTIONS(2823), 1,
      anon_sym_readonly,
    ACTIONS(2829), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2825), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2827), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2235), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3502), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2624), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2813), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [19909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1583), 1,
      anon_sym_COLON,
    ACTIONS(2647), 1,
      sym_identifier,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20055] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    ACTIONS(2833), 1,
      anon_sym_EQ_GT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2708), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2714), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20138] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2841), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2714), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2837), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2706), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    ACTIONS(2833), 1,
      anon_sym_EQ_GT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    ACTIONS(2760), 1,
      anon_sym_EQ,
    ACTIONS(2763), 1,
      anon_sym_RPAREN,
    ACTIONS(2846), 1,
      anon_sym_QMARK,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2714), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2706), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20541] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2815), 1,
      anon_sym_export,
    ACTIONS(2819), 1,
      anon_sym_async,
    ACTIONS(2821), 1,
      anon_sym_static,
    ACTIONS(2823), 1,
      anon_sym_readonly,
    ACTIONS(2829), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2825), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2827), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2235), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3502), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2707), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2813), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [20666] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2809), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_EQ_GT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2714), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 13,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 1,
      anon_sym_COLON,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20892] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2706), 15,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20964] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 9,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21048] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2714), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2787), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21194] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 10,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(1736), 1,
      anon_sym_QMARK,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2805), 1,
      anon_sym_RPAREN,
    ACTIONS(622), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2802), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      anon_sym_EQ,
    ACTIONS(1089), 1,
      anon_sym_EQ_GT,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(2799), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2802), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2754), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2758), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21778] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2724), 1,
      anon_sym_extends,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2708), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(2714), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2855), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2706), 15,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21932] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 10,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2783), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22150] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2717), 1,
      anon_sym_DOT,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2714), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2706), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1765), 1,
      anon_sym_in,
    ACTIONS(2859), 1,
      anon_sym_of,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2802), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2273), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_EQ_GT,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2861), 1,
      anon_sym_in,
    ACTIONS(2864), 1,
      anon_sym_of,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(1045), 1,
      anon_sym_EQ_GT,
    ACTIONS(1583), 1,
      anon_sym_COLON,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2750), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22796] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2736), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2706), 9,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2277), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2861), 1,
      anon_sym_in,
    ACTIONS(2864), 1,
      anon_sym_of,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2802), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2760), 1,
      anon_sym_EQ,
    ACTIONS(2846), 1,
      anon_sym_QMARK,
    ACTIONS(2843), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    ACTIONS(2833), 1,
      anon_sym_EQ_GT,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23300] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(2799), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(2802), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2866), 1,
      sym_identifier,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(1097), 1,
      anon_sym_EQ_GT,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2802), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2647), 1,
      sym_identifier,
    ACTIONS(635), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23592] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(2802), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2799), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(635), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(622), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_RBRACK,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(1777), 1,
      anon_sym_COLON,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      anon_sym_EQ,
    ACTIONS(1089), 1,
      anon_sym_EQ_GT,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(635), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23951] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_RBRACK,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    ACTIONS(2868), 1,
      anon_sym_EQ,
    ACTIONS(2871), 1,
      anon_sym_COMMA,
    ACTIONS(2873), 1,
      anon_sym_in,
    ACTIONS(2875), 1,
      anon_sym_COLON,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24028] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1331), 1,
      anon_sym_extends,
    ACTIONS(2799), 1,
      anon_sym_LBRACK,
    ACTIONS(2805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2802), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(635), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2833), 1,
      anon_sym_EQ_GT,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_EQ,
    ACTIONS(633), 1,
      anon_sym_EQ_GT,
    ACTIONS(1736), 1,
      anon_sym_QMARK,
    ACTIONS(622), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2760), 1,
      anon_sym_EQ,
    ACTIONS(2843), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24452] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_RBRACK,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    ACTIONS(2868), 1,
      anon_sym_EQ,
    ACTIONS(2871), 1,
      anon_sym_COMMA,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_EQ_GT,
    ACTIONS(2706), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    ACTIONS(2873), 1,
      anon_sym_in,
    ACTIONS(2877), 1,
      anon_sym_COLON,
    ACTIONS(2706), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(635), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2879), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_RBRACK,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    ACTIONS(1774), 1,
      anon_sym_EQ,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(635), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2706), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_COLON,
    ACTIONS(635), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25148] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    ACTIONS(2873), 1,
      anon_sym_in,
    ACTIONS(2875), 1,
      anon_sym_COLON,
    ACTIONS(2706), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2879), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_EQ_GT,
    ACTIONS(2706), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(1097), 1,
      anon_sym_EQ_GT,
    ACTIONS(635), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(1097), 1,
      anon_sym_EQ_GT,
    ACTIONS(1765), 1,
      anon_sym_in,
    ACTIONS(2859), 1,
      anon_sym_of,
    ACTIONS(635), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_EQ,
    ACTIONS(2706), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    ACTIONS(2706), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    ACTIONS(2861), 1,
      anon_sym_in,
    ACTIONS(2864), 1,
      anon_sym_of,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_EQ,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(635), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    ACTIONS(2706), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_EQ_GT,
    ACTIONS(1095), 1,
      anon_sym_EQ,
    ACTIONS(635), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(639), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(618), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2853), 1,
      anon_sym_EQ_GT,
    ACTIONS(2706), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2861), 1,
      anon_sym_in,
    ACTIONS(2864), 1,
      anon_sym_of,
    ACTIONS(2706), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2706), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2722), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2702), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26099] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2886), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2888), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2774), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26212] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2906), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2908), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2754), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26325] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2910), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2912), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2733), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26438] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2914), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2916), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2743), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26551] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2539), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2616), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26664] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2367), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2389), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2737), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26777] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(2936), 1,
      anon_sym_module,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26895] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27013] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27131] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27249] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27367] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2950), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27476] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2952), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27585] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2954), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27694] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2956), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27803] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2958), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27912] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2960), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28021] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2962), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28130] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2964), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28239] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2966), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28348] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2968), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28572] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2976), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28681] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2978), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28790] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2980), 1,
      sym_identifier,
    ACTIONS(2982), 1,
      anon_sym_STAR,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    STATE(3425), 1,
      sym_import_clause,
    STATE(3429), 1,
      sym_string,
    STATE(3430), 1,
      sym_import_require_clause,
    ACTIONS(2984), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(3871), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2986), 15,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2990), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28867] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2992), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28976] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2994), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29085] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2996), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29194] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2998), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29303] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3000), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29412] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3002), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29521] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2936), 1,
      anon_sym_module,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29631] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2936), 1,
      anon_sym_module,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29741] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2918), 1,
      anon_sym_STAR,
    ACTIONS(2920), 1,
      anon_sym_default,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2926), 1,
      anon_sym_as,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(3011), 1,
      anon_sym_EQ,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3045), 1,
      sym_declaration,
    STATE(3132), 1,
      sym_export_clause,
    STATE(3457), 1,
      sym_namespace_import,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29849] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2728), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29954] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2764), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30059] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2624), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30164] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2769), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30269] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 20,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3013), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_extends,
  [30429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 20,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3017), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_extends,
  [30484] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2707), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30589] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(2373), 1,
      anon_sym_new,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2672), 1,
      anon_sym_STAR,
    ACTIONS(2884), 1,
      anon_sym_export,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_async,
    ACTIONS(2896), 1,
      anon_sym_static,
    ACTIONS(2898), 1,
      anon_sym_readonly,
    ACTIONS(2904), 1,
      anon_sym_override,
    STATE(1987), 1,
      sym_accessibility_modifier,
    STATE(1992), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3025), 1,
      sym__call_signature,
    STATE(3121), 1,
      aux_sym_export_statement_repeat1,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(2894), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2900), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2236), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2692), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 20,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3021), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_extends,
  [30749] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3027), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3031), 1,
      anon_sym_async,
    ACTIONS(3033), 1,
      anon_sym_static,
    ACTIONS(3035), 1,
      anon_sym_readonly,
    ACTIONS(3041), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3363), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3037), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3039), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3361), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3025), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30847] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    ACTIONS(3047), 1,
      anon_sym_async,
    ACTIONS(3049), 1,
      anon_sym_static,
    ACTIONS(3051), 1,
      anon_sym_readonly,
    ACTIONS(3057), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3363), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3053), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3055), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3361), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3043), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30945] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3063), 1,
      anon_sym_async,
    ACTIONS(3065), 1,
      anon_sym_static,
    ACTIONS(3067), 1,
      anon_sym_readonly,
    ACTIONS(3073), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3363), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3069), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3071), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3361), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3059), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31043] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(3079), 1,
      anon_sym_async,
    ACTIONS(3081), 1,
      anon_sym_static,
    ACTIONS(3083), 1,
      anon_sym_readonly,
    ACTIONS(3089), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3363), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3085), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3087), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3361), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3075), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31141] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    ACTIONS(3095), 1,
      anon_sym_async,
    ACTIONS(3097), 1,
      anon_sym_static,
    ACTIONS(3099), 1,
      anon_sym_readonly,
    ACTIONS(3105), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3333), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3101), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3103), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3337), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3091), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31239] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    ACTIONS(3111), 1,
      anon_sym_async,
    ACTIONS(3113), 1,
      anon_sym_static,
    ACTIONS(3115), 1,
      anon_sym_readonly,
    ACTIONS(3121), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3333), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3117), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3119), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3337), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3107), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31337] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    ACTIONS(3127), 1,
      anon_sym_async,
    ACTIONS(3129), 1,
      anon_sym_static,
    ACTIONS(3131), 1,
      anon_sym_readonly,
    ACTIONS(3137), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3363), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3133), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3135), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3361), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3123), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1291), 31,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1185), 31,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_LT,
    ACTIONS(3143), 1,
      anon_sym_DOT,
    ACTIONS(3145), 1,
      anon_sym_is,
    STATE(1161), 1,
      sym_type_arguments,
    ACTIONS(3139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2724), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [31602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1280), 1,
      sym_statement_block,
    ACTIONS(1113), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1111), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [31658] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_LT,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3159), 1,
      anon_sym_QMARK_DOT,
    STATE(1181), 1,
      sym_type_arguments,
    STATE(1186), 1,
      sym_arguments,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 24,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [31724] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3163), 1,
      anon_sym_async,
    ACTIONS(3165), 1,
      anon_sym_static,
    ACTIONS(3167), 1,
      anon_sym_readonly,
    ACTIONS(3173), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3169), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3171), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3502), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3504), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3161), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_is,
    ACTIONS(3175), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [31868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(3179), 1,
      sym__automatic_semicolon,
    ACTIONS(1101), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [31924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3181), 1,
      anon_sym_LBRACK,
    ACTIONS(3183), 1,
      anon_sym_DOT,
    ACTIONS(3185), 1,
      anon_sym_QMARK_DOT,
    STATE(1106), 1,
      sym_arguments,
    ACTIONS(2746), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2736), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [31986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1705), 1,
      anon_sym_extends,
    ACTIONS(3187), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3190), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1103), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [32046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_LT,
    STATE(1149), 1,
      sym_type_arguments,
    ACTIONS(3193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3195), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    ACTIONS(3197), 1,
      anon_sym_DOT,
    STATE(1280), 1,
      sym_statement_block,
    ACTIONS(1113), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1111), 27,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [32160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3211), 1,
      anon_sym_extends,
    ACTIONS(3205), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3208), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [32220] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      anon_sym_DOT,
    ACTIONS(3221), 1,
      anon_sym_QMARK_DOT,
    STATE(1099), 1,
      sym_arguments,
    ACTIONS(3213), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3215), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_LT,
    ACTIONS(3143), 1,
      anon_sym_DOT,
    STATE(1161), 1,
      sym_type_arguments,
    ACTIONS(3139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2724), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32340] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3229), 1,
      anon_sym_DOT,
    ACTIONS(3231), 1,
      anon_sym_QMARK_DOT,
    STATE(1097), 1,
      sym_arguments,
    ACTIONS(3223), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3225), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    ACTIONS(3233), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3242), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3248), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3252), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32610] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3258), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [32715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3302), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3306), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3310), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3314), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3318), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3322), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3318), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3023), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3322), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3326), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33278] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3332), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3330), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [33345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3337), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_extends,
    ACTIONS(3343), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [33453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3353), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [33508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3357), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33559] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3359), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [33664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3337), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33715] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3365), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3363), 18,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3370), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 27,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [33894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3374), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3370), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3019), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3378), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3374), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3195), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3382), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34251] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3384), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34407] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3390), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34512] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3396), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 19,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3401), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3409), 1,
      anon_sym_extends,
    ACTIONS(3403), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2503), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1709), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3413), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1139), 29,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [34944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3417), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3421), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35046] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3423), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [35151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3431), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2561), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2509), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3443), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3451), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1697), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3459), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3326), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3326), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1691), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    ACTIONS(3467), 1,
      anon_sym_DOT,
    STATE(1247), 1,
      sym_statement_block,
    ACTIONS(1113), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1111), 26,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1247), 1,
      sym_statement_block,
    ACTIONS(1113), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1111), 27,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3199), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3471), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3475), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3477), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3479), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1185), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3485), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3485), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3409), 1,
      anon_sym_extends,
    ACTIONS(3246), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3248), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1103), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym__automatic_semicolon,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1285), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3485), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3357), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37321] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3495), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37426] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 24,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [37487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3501), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37542] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3505), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37647] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3507), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      sym__automatic_semicolon,
    ACTIONS(1101), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37805] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [37904] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3513), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38009] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [38094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1291), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38145] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3515), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 19,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [38214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3520), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3522), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3524), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38318] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3515), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 17,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [38393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1705), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3509), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [38537] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3509), 10,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [38628] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3509), 10,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [38717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3515), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 17,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [38794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3526), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3528), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38845] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [38942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3409), 1,
      anon_sym_extends,
    ACTIONS(3530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3532), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [38999] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [39094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3536), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3349), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3351), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39247] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3540), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_LBRACK,
    ACTIONS(3548), 1,
      anon_sym_DOT,
    ACTIONS(3550), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3542), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3544), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_extends,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3555), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3211), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_extends,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3477), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3566), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3568), 27,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3572), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39682] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 15,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [39763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3015), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39814] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3576), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_extends,
    ACTIONS(3578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3580), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3409), 1,
      anon_sym_extends,
    ACTIONS(3578), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3580), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3409), 1,
      anon_sym_extends,
    ACTIONS(3582), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3584), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40088] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3515), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [40159] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3586), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3590), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40315] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3592), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    STATE(1273), 1,
      sym_arguments,
    ACTIONS(3594), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3596), 27,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40475] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [40579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(3561), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3475), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3650), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3658), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [40837] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1292), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [40931] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 8,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [41025] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 7,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [41121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3678), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3683), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41247] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3672), 1,
      sym_type_annotation,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [41407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3586), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41457] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3540), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [41561] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3509), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [41649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3689), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3691), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1271), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41749] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [41839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 8,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [41931] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3678), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [42005] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3678), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 18,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [42073] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 11,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [42157] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3693), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1219), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42251] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 6,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [42349] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3505), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42453] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3495), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42557] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3695), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1226), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 24,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [42759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3699), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3701), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3330), 20,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [42875] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1238), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43019] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    STATE(1995), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [43101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1195), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43201] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1226), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [43295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1125), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      sym__automatic_semicolon,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1285), 27,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [43397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1171), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3726), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1281), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3730), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43597] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 1,
      anon_sym_STAR,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    ACTIONS(3740), 1,
      anon_sym_LBRACK,
    ACTIONS(3743), 1,
      anon_sym_async,
    ACTIONS(3746), 1,
      anon_sym_DASH,
    ACTIONS(3749), 1,
      anon_sym_DQUOTE,
    ACTIONS(3752), 1,
      anon_sym_SQUOTE,
    ACTIONS(3758), 1,
      anon_sym_AT,
    ACTIONS(3761), 1,
      anon_sym_static,
    ACTIONS(3764), 1,
      anon_sym_readonly,
    ACTIONS(3770), 1,
      anon_sym_declare,
    ACTIONS(3776), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_abstract,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3767), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1226), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3773), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3732), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [43691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1285), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [43741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3610), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [43801] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3423), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3784), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3788), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3792), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3513), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44205] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3390), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3800), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44359] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3802), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1226), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [44453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3806), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1181), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1205), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1237), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44653] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3258), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44757] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3384), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1285), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_LT,
    ACTIONS(3810), 1,
      anon_sym_DOT,
    ACTIONS(3812), 1,
      anon_sym_is,
    STATE(1426), 1,
      sym_type_arguments,
    ACTIONS(3139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2724), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [44969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45019] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3359), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45123] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3814), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1226), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [45217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45267] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1271), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [45425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3823), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3827), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45525] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(3829), 1,
      anon_sym_COMMA,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1139), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3834), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45733] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3836), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3363), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3839), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3841), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(3187), 1,
      anon_sym_LBRACK,
    ACTIONS(3190), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1705), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1103), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3849), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45965] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3851), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1209), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46059] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3205), 1,
      anon_sym_LBRACK,
    ACTIONS(3208), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3211), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3199), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3859), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3861), 1,
      anon_sym_COMMA,
    ACTIONS(3864), 1,
      anon_sym_RBRACE,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1161), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [46327] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46407] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    STATE(1995), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46489] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3737), 1,
      sym_type_annotation,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46599] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    STATE(1995), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46731] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3868), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1249), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [46825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3872), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46875] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3874), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3883), 1,
      sym_type_annotation,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3878), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3384), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47135] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3678), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3884), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [47305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3888), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3892), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3159), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1217), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1219), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47511] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    STATE(1995), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [47593] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3513), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1161), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3896), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1219), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47847] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3898), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 18,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47915] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    STATE(1995), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [47997] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2375), 1,
      anon_sym_DASH,
    ACTIONS(2890), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3660), 1,
      anon_sym_STAR,
    ACTIONS(3664), 1,
      anon_sym_async,
    ACTIONS(3668), 1,
      anon_sym_static,
    ACTIONS(3670), 1,
      anon_sym_readonly,
    ACTIONS(3674), 1,
      anon_sym_declare,
    ACTIONS(3676), 1,
      anon_sym_abstract,
    ACTIONS(3901), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      sym_method_definition,
    STATE(1968), 1,
      sym_accessibility_modifier,
    STATE(1997), 1,
      sym_override_modifier,
    STATE(3092), 1,
      sym_method_signature,
    ACTIONS(3666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3672), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1226), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2173), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3217), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2882), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [48091] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3907), 1,
      anon_sym_COMMA,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(2506), 1,
      sym_type_arguments,
    STATE(3073), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3905), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3943), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3945), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48349] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3949), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2990), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48503] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3592), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3953), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48657] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3955), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3708), 1,
      sym_type_annotation,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3390), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48817] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3586), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 1,
      sym__automatic_semicolon,
    ACTIONS(1101), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 27,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [48973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3552), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3177), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49028] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3961), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49131] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3967), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1109), 1,
      sym__automatic_semicolon,
    ACTIONS(1099), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1103), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49466] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3971), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3248), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49573] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3973), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49676] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3258), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1705), 1,
      anon_sym_extends,
    ACTIONS(3187), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3190), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1103), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49836] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3384), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49939] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3967), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 26,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50063] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3390), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50166] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3967), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50239] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50344] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50449] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3979), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [50552] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3961), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [50655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50730] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3967), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50803] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(2536), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3981), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [50906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50981] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3423), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51084] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3283), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51191] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3331), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51298] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3495), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51401] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3505), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51504] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3987), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3386), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_LT,
    STATE(1421), 1,
      sym_type_arguments,
    ACTIONS(3193), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3195), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [51664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3343), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3349), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3339), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51719] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 5,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [51816] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [51899] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3989), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [51966] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3992), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      anon_sym_is,
    ACTIONS(3175), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [52122] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3610), 1,
      anon_sym_LT,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_QMARK,
    ACTIONS(3618), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3620), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3622), 1,
      anon_sym_GT_GT,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    ACTIONS(3628), 1,
      anon_sym_CARET,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_PERCENT,
    ACTIONS(3636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3644), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3598), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3606), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3632), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3640), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3994), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3638), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52227] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3278), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52334] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 7,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [52425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3998), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3362), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52532] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4000), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3248), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52639] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 8,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [52728] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3509), 8,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [52815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3989), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [52890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 6,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [52985] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 7,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [53078] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3586), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3211), 1,
      anon_sym_extends,
    ACTIONS(3205), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3208), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53238] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3180), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3475), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3561), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53457] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3967), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [53530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4004), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [53597] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4007), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3363), 16,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [53668] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3359), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53771] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4010), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3330), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_implements,
  [53836] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4019), 1,
      anon_sym_readonly,
    STATE(2003), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [53915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [53990] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3989), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [54063] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(3285), 1,
      aux_sym_array_repeat1,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54170] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(4025), 1,
      anon_sym_LBRACK,
    ACTIONS(4027), 1,
      anon_sym_DOT,
    ACTIONS(4029), 1,
      anon_sym_QMARK_DOT,
    STATE(1389), 1,
      sym_arguments,
    ACTIONS(2746), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2736), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(4031), 1,
      anon_sym_LBRACK,
    ACTIONS(4033), 1,
      anon_sym_DOT,
    ACTIONS(4035), 1,
      anon_sym_QMARK_DOT,
    STATE(1391), 1,
      sym_arguments,
    ACTIONS(3213), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3215), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3351), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(4037), 1,
      anon_sym_LBRACK,
    ACTIONS(4039), 1,
      anon_sym_DOT,
    ACTIONS(4041), 1,
      anon_sym_QMARK_DOT,
    STATE(1394), 1,
      sym_arguments,
    ACTIONS(3223), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3225), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54400] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3808), 1,
      anon_sym_LT,
    ACTIONS(4043), 1,
      anon_sym_QMARK_DOT,
    STATE(1528), 1,
      sym_type_arguments,
    STATE(1680), 1,
      sym_arguments,
    ACTIONS(3149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3151), 21,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_LT,
    ACTIONS(3810), 1,
      anon_sym_DOT,
    STATE(1426), 1,
      sym_type_arguments,
    ACTIONS(3139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2724), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_regex_flags,
    ACTIONS(4045), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(4047), 24,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54569] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3911), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 22,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_implements,
  [54628] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3507), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54731] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3513), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54834] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3540), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54937] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [55016] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3989), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [55085] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3911), 1,
      anon_sym_LT,
    ACTIONS(3913), 1,
      anon_sym_QMARK,
    ACTIONS(3915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3917), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3919), 1,
      anon_sym_GT_GT,
    ACTIONS(3923), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_CARET,
    ACTIONS(3927), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_PERCENT,
    ACTIONS(3933), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3941), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3903), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3909), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3921), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3929), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3937), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3939), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3592), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3935), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [55236] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4053), 1,
      anon_sym_LT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55310] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4064), 1,
      anon_sym_SEMI,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4092), 1,
      sym__automatic_semicolon,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55414] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(4096), 1,
      anon_sym_in,
    ACTIONS(4099), 1,
      anon_sym_of,
    ACTIONS(3199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55572] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55674] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4103), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [55744] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [55816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1691), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [55864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3443), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [55912] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56062] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3431), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3421), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3417), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3378), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    ACTIONS(3233), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(3246), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3248), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3248), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2561), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(4115), 1,
      anon_sym_in,
    ACTIONS(4118), 1,
      anon_sym_of,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3252), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(3300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3302), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3306), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__automatic_semicolon,
    ACTIONS(1251), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1255), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym__automatic_semicolon,
    ACTIONS(1231), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1235), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1237), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56962] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57064] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3258), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57166] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3390), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(4120), 1,
      anon_sym_in,
    ACTIONS(4123), 1,
      anon_sym_of,
    ACTIONS(3487), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__automatic_semicolon,
    ACTIONS(1199), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1203), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1205), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(3582), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3584), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57428] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57530] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4125), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57632] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [57700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__automatic_semicolon,
    ACTIONS(1241), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1245), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__automatic_semicolon,
    ACTIONS(1175), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1179), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1181), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2503), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3520), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1103), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_LBRACK,
    ACTIONS(3522), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3524), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3526), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3528), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(3530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3532), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3536), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3349), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3351), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(3240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3242), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3572), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_extends,
    ACTIONS(4127), 1,
      anon_sym_LBRACK,
    ACTIONS(3477), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3566), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3568), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(4066), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 21,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [58456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_extends,
    ACTIONS(3346), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3343), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3339), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3211), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58558] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3205), 1,
      anon_sym_LBRACK,
    ACTIONS(3211), 1,
      anon_sym_extends,
    ACTIONS(3853), 1,
      anon_sym_RPAREN,
    ACTIONS(4096), 1,
      anon_sym_QMARK,
    ACTIONS(3208), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_LBRACK,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(4136), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3542), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3544), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1705), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58722] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1705), 1,
      anon_sym_extends,
    ACTIONS(3187), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 1,
      anon_sym_RPAREN,
    ACTIONS(4115), 1,
      anon_sym_QMARK,
    ACTIONS(3190), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4138), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1103), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_EQ,
    ACTIONS(2861), 1,
      anon_sym_in,
    ACTIONS(2864), 1,
      anon_sym_of,
    ACTIONS(2702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3310), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3314), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3318), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3322), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3561), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3318), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59180] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4141), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3322), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3357), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3337), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3357), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3337), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3370), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3374), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3370), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3374), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59716] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    STATE(1995), 1,
      sym_override_modifier,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3382), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59838] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3023), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2509), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3401), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(3403), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      sym__automatic_semicolon,
    ACTIONS(1275), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1281), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3019), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60300] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [60368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      sym__automatic_semicolon,
    ACTIONS(1165), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1169), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1171), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__automatic_semicolon,
    ACTIONS(1119), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1123), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1125), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      sym_regex_flags,
    ACTIONS(4045), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(4047), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1133), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      sym__automatic_semicolon,
    ACTIONS(1261), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1265), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1225), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1193), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1195), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__automatic_semicolon,
    ACTIONS(1119), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1123), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1125), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      sym__automatic_semicolon,
    ACTIONS(1165), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1169), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1171), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3353), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1281), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_extends,
    ACTIONS(3343), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61036] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61140] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4153), 1,
      anon_sym_SEMI,
    ACTIONS(4155), 1,
      sym__automatic_semicolon,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61244] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4157), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61346] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1179), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1181), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61498] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3590), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3195), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_LBRACK,
    ACTIONS(3477), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3479), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61746] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3351), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3205), 1,
      anon_sym_LBRACK,
    ACTIONS(3211), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3208), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__automatic_semicolon,
    ACTIONS(1189), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1193), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1195), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3475), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62104] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4161), 1,
      anon_sym_static,
    ACTIONS(4163), 1,
      anon_sym_readonly,
    ACTIONS(4165), 1,
      anon_sym_abstract,
    STATE(1980), 1,
      sym_accessibility_modifier,
    STATE(2020), 1,
      sym_override_modifier,
    ACTIONS(4159), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2902), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2438), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62176] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [62244] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(3187), 1,
      anon_sym_LBRACK,
    ACTIONS(1705), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3190), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1103), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4167), 1,
      sym__automatic_semicolon,
    ACTIONS(1199), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1203), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1205), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62450] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1235), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1237), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      sym__automatic_semicolon,
    ACTIONS(1221), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1225), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1255), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62704] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 4,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [62800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3471), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [62930] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4053), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [62996] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4053), 1,
      anon_sym_LT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63068] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_EQ,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 6,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [63214] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63316] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3864), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1709), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3413), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63514] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1217), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1219), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(3187), 1,
      anon_sym_LBRACK,
    ACTIONS(1705), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3190), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1103), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63724] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4171), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63828] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4173), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3330), 18,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [63892] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64044] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64148] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3359), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4180), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3363), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [64320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    STATE(1749), 1,
      sym_arguments,
    ACTIONS(3594), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3596), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1245), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64422] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4183), 1,
      anon_sym_RBRACE,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3427), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3205), 1,
      anon_sym_LBRACK,
    ACTIONS(3211), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3208), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64630] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4185), 1,
      anon_sym_LT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [64696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3447), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3451), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65080] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_extends,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(4188), 1,
      anon_sym_EQ,
    ACTIONS(4193), 1,
      anon_sym_RPAREN,
    ACTIONS(4197), 1,
      anon_sym_QMARK,
    ACTIONS(3555), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4190), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65142] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [65210] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 12,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [65288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3485), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(4138), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1103), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3485), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3485), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(4200), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65536] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3509), 7,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [65622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(3578), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3580), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3326), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_extends,
    ACTIONS(3578), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3580), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3326), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3326), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3015), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(4129), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3199), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66074] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4019), 1,
      anon_sym_readonly,
    STATE(2003), 1,
      sym_override_modifier,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [66148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66244] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      sym__automatic_semicolon,
    ACTIONS(1129), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1133), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3205), 1,
      anon_sym_LBRACK,
    ACTIONS(3211), 1,
      anon_sym_extends,
    ACTIONS(4099), 1,
      anon_sym_COLON,
    ACTIONS(3208), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3199), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_extends,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3555), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3459), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(3959), 1,
      sym__automatic_semicolon,
    ACTIONS(1101), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 24,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__automatic_semicolon,
    ACTIONS(1261), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1265), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1697), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66768] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 7,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [66856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1217), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1219), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1705), 1,
      anon_sym_extends,
    ACTIONS(3187), 1,
      anon_sym_LBRACK,
    ACTIONS(4118), 1,
      anon_sym_COLON,
    ACTIONS(3190), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1103), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66966] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3264), 1,
      anon_sym_LT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3268), 1,
      anon_sym_QMARK,
    ACTIONS(3270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3274), 1,
      anon_sym_GT_GT,
    ACTIONS(3278), 1,
      anon_sym_AMP,
    ACTIONS(3280), 1,
      anon_sym_CARET,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(3286), 1,
      anon_sym_PERCENT,
    ACTIONS(3288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3296), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(4205), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3262), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3292), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3294), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3290), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_AMP,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(3501), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3199), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67172] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67274] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4068), 1,
      anon_sym_QMARK,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4072), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3586), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67376] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4053), 1,
      anon_sym_LT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 5,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [67538] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4058), 1,
      anon_sym_PERCENT,
    ACTIONS(4060), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4066), 1,
      anon_sym_LT,
    ACTIONS(4074), 1,
      anon_sym_GT_GT,
    ACTIONS(4078), 1,
      anon_sym_AMP,
    ACTIONS(4080), 1,
      anon_sym_CARET,
    ACTIONS(4082), 1,
      anon_sym_PIPE,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3646), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4051), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4076), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4086), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4088), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 6,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [67630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3390), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67677] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4207), 1,
      anon_sym_LT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 14,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67744] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3359), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67845] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3363), 14,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67914] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67981] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4249), 1,
      anon_sym_RPAREN,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3202), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68062] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4257), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3330), 17,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [68125] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4260), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 15,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3888), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68237] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 24,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [68367] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3689), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3691), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68479] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4103), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68544] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(535), 1,
      anon_sym_RPAREN,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3324), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68625] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4265), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3784), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3792), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3788), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69008] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3211), 1,
      anon_sym_extends,
    ACTIONS(3205), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3208), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3199), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69063] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3258), 1,
      anon_sym_RBRACK,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69164] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1705), 1,
      anon_sym_extends,
    ACTIONS(3187), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3190), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1103), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69219] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [69298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3513), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69345] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4307), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69446] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3384), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3800), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_COLON,
    ACTIONS(4200), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1195), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1125), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69741] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3390), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69842] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3423), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3884), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69990] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4309), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70091] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4311), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3561), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1171), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70274] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3258), 1,
      anon_sym_COLON,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1281), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70422] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4313), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4315), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(1705), 1,
      anon_sym_extends,
    ACTIONS(3187), 1,
      anon_sym_LBRACK,
    ACTIONS(3843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3190), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1103), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(4271), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 20,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [70765] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3507), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70866] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3513), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70967] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3540), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3859), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3726), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3896), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71209] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3384), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71310] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3390), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71411] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3423), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71512] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3592), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71613] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(4043), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1217), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1219), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71745] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3495), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1219), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71893] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3505), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71994] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72073] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3509), 3,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4319), 1,
      anon_sym_LPAREN,
    ACTIONS(4322), 1,
      anon_sym_COLON,
    ACTIONS(4324), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3697), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3699), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 8,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [72302] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4207), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 15,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72367] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4207), 1,
      anon_sym_LT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 13,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72438] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72517] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 5,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72606] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 6,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [72693] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(4331), 1,
      anon_sym_RBRACE,
    STATE(3328), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4333), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3346), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3751), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4327), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3839), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3841), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72809] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3509), 6,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [72894] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3586), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_COLON,
    ACTIONS(4340), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73048] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4207), 1,
      anon_sym_LT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 13,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73121] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 4,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73214] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 5,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73305] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4343), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 14,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73372] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4346), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_LBRACK,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 11,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3384), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3561), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73705] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3586), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73806] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3592), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73907] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3540), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3586), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74055] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3513), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3177), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3555), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3683), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74256] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3507), 1,
      anon_sym_COLON,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(4216), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 20,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [74414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym_regex_flags,
    ACTIONS(4045), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_implements,
    ACTIONS(4047), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74463] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(4350), 1,
      anon_sym_RBRACE,
    STATE(3364), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4333), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3360), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3751), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4348), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3849), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3658), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74679] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 11,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74756] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4352), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3177), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3555), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75012] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3205), 1,
      anon_sym_LBRACK,
    ACTIONS(3211), 1,
      anon_sym_extends,
    ACTIONS(3853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3208), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3199), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75069] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [75160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3650), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75207] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4354), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 15,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [75272] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 4,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [75365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3361), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3363), 14,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [75434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1181), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1205), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1237), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75622] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3495), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3505), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75824] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3511), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3509), 3,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75919] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4360), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76000] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 8,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [76081] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3359), 1,
      anon_sym_RBRACK,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76182] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4362), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3330), 17,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [76245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3730), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76292] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4365), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76373] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4367), 1,
      anon_sym_STAR,
    ACTIONS(4369), 1,
      anon_sym_async,
    ACTIONS(4373), 1,
      anon_sym_readonly,
    STATE(2009), 1,
      sym_override_modifier,
    ACTIONS(4371), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4375), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2222), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76442] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4377), 1,
      anon_sym_COLON,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3699), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76643] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4379), 1,
      anon_sym_STAR,
    ACTIONS(4381), 1,
      anon_sym_async,
    ACTIONS(4385), 1,
      anon_sym_readonly,
    STATE(1991), 1,
      sym_override_modifier,
    ACTIONS(4383), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4387), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2175), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76712] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4343), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 15,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [76777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(4096), 1,
      anon_sym_QMARK,
    ACTIONS(4129), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3892), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4379), 1,
      anon_sym_STAR,
    ACTIONS(4381), 1,
      anon_sym_async,
    ACTIONS(4389), 1,
      anon_sym_abstract,
    ACTIONS(4383), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4387), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2175), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4019), 1,
      anon_sym_readonly,
    STATE(2003), 1,
      sym_override_modifier,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_EQ,
    ACTIONS(4197), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77111] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(4115), 1,
      anon_sym_QMARK,
    ACTIONS(4138), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3823), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_LBRACK,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77437] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_STAR,
    ACTIONS(4395), 1,
      anon_sym_async,
    ACTIONS(4401), 1,
      anon_sym_abstract,
    ACTIONS(4397), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2207), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3943), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3945), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77616] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3366), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3827), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77744] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4343), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 13,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [77815] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [77904] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_STAR,
    ACTIONS(4395), 1,
      anon_sym_async,
    ACTIONS(4405), 1,
      anon_sym_readonly,
    STATE(2000), 1,
      sym_override_modifier,
    ACTIONS(4397), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2207), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3509), 6,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [78060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3834), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78107] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3967), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(4120), 1,
      anon_sym_QMARK,
    ACTIONS(4200), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3487), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78272] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4343), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3511), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 13,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [78345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2990), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3878), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3561), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78494] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4273), 1,
      anon_sym_QMARK,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4277), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4283), 1,
      anon_sym_AMP,
    ACTIONS(4285), 1,
      anon_sym_CARET,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4301), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4407), 1,
      anon_sym_RBRACK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3953), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4411), 1,
      anon_sym_async,
    ACTIONS(4415), 1,
      anon_sym_readonly,
    STATE(2005), 1,
      sym_override_modifier,
    ACTIONS(4413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2230), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78711] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78792] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3806), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78918] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4271), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_GT_GT,
    ACTIONS(4291), 1,
      anon_sym_PERCENT,
    ACTIONS(4293), 1,
      anon_sym_STAR_STAR,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4267), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4269), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4281), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4289), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4297), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4295), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3511), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3509), 6,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [79003] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(1999), 1,
      sym_override_modifier,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3872), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79129] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4423), 1,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4427), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4429), 1,
      anon_sym_STAR,
    ACTIONS(4431), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4433), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2639), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79249] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79381] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    ACTIONS(4138), 1,
      anon_sym_RBRACK,
    ACTIONS(1103), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4411), 1,
      anon_sym_async,
    ACTIONS(4413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2230), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79681] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4435), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4437), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2678), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_extends,
    ACTIONS(3343), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3346), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3339), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4439), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_async,
    ACTIONS(4443), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4445), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2232), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79997] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_STAR,
    ACTIONS(4447), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4449), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2633), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      sym_identifier,
    ACTIONS(2986), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2990), 21,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80105] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4453), 1,
      anon_sym_STAR,
    ACTIONS(4455), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4457), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2683), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80165] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4429), 1,
      anon_sym_STAR,
    ACTIONS(4459), 1,
      anon_sym_async,
    ACTIONS(4461), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4463), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2241), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [80275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80333] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_STAR,
    ACTIONS(4467), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4469), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2672), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80393] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_async,
    ACTIONS(4473), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4475), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2240), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4367), 1,
      anon_sym_STAR,
    ACTIONS(4477), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80573] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4481), 1,
      anon_sym_STAR,
    ACTIONS(4483), 1,
      anon_sym_async,
    ACTIONS(4485), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4487), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2224), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80635] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_extends,
    ACTIONS(3346), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3343), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3339), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3341), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80757] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80817] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4367), 1,
      anon_sym_STAR,
    ACTIONS(4369), 1,
      anon_sym_async,
    ACTIONS(4371), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4375), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2222), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80879] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80941] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3260), 1,
      anon_sym_BANG,
    ACTIONS(3266), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3138), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1279), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81039] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81109] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4491), 1,
      anon_sym_async,
    ACTIONS(4493), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4495), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2184), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81243] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4497), 1,
      anon_sym_STAR,
    ACTIONS(4499), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4501), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2654), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81375] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4481), 1,
      anon_sym_STAR,
    ACTIONS(4503), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4505), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2643), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81435] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4507), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4509), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81495] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4103), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4423), 1,
      anon_sym_STAR,
    ACTIONS(4511), 1,
      anon_sym_async,
    ACTIONS(4513), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4515), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2178), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_extends,
    ACTIONS(3552), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3555), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    STATE(2246), 1,
      sym_arguments,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_COMMA,
    ACTIONS(4200), 1,
      anon_sym_RBRACK,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_extends,
    ACTIONS(3555), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3552), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4129), 1,
      anon_sym_RBRACK,
    ACTIONS(3199), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82063] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4333), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3502), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3751), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3790), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4517), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_extends,
    ACTIONS(3552), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3555), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82179] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3256), 1,
      anon_sym_as,
    ACTIONS(3602), 1,
      anon_sym_BANG,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4216), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4220), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4224), 1,
      anon_sym_GT_GT,
    ACTIONS(4228), 1,
      anon_sym_AMP,
    ACTIONS(4230), 1,
      anon_sym_CARET,
    ACTIONS(4232), 1,
      anon_sym_PIPE,
    ACTIONS(4236), 1,
      anon_sym_PERCENT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3096), 1,
      sym_type_arguments,
    ACTIONS(3298), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4214), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4226), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4234), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1618), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3561), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82329] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4439), 1,
      anon_sym_STAR,
    ACTIONS(4519), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4521), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2635), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_extends,
    ACTIONS(3561), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4523), 1,
      sym_identifier,
    ACTIONS(2986), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2990), 21,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3351), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2702), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82727] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4525), 1,
      anon_sym_STAR,
    ACTIONS(4527), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4529), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2690), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82835] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82905] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4379), 1,
      anon_sym_STAR,
    ACTIONS(4531), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4533), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2712), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82965] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4253), 1,
      sym_this,
    ACTIONS(4255), 1,
      anon_sym_readonly,
    STATE(1891), 1,
      aux_sym_export_statement_repeat1,
    STATE(1971), 1,
      sym_accessibility_modifier,
    STATE(1994), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(2552), 1,
      sym__parameter_name,
    STATE(2856), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3606), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83043] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4379), 1,
      anon_sym_STAR,
    ACTIONS(4381), 1,
      anon_sym_async,
    ACTIONS(4383), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4387), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2175), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3351), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83355] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4425), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2639), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ,
    ACTIONS(2702), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(4096), 1,
      anon_sym_in,
    ACTIONS(4099), 1,
      anon_sym_of,
    ACTIONS(3199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3203), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_EQ,
    ACTIONS(4120), 1,
      anon_sym_in,
    ACTIONS(4123), 1,
      anon_sym_of,
    ACTIONS(3487), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3491), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83797] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83862] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_EQ,
    ACTIONS(4115), 1,
      anon_sym_in,
    ACTIONS(4118), 1,
      anon_sym_of,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1107), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83978] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84043] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2678), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84163] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2683), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4477), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4527), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2690), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84493] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4467), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2672), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4447), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2633), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4537), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84825] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4503), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2643), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84945] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1378), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4543), 1,
      anon_sym_async,
    ACTIONS(4547), 1,
      anon_sym_static,
    ACTIONS(4549), 1,
      anon_sym_readonly,
    ACTIONS(4555), 1,
      anon_sym_override,
    STATE(1976), 1,
      sym_accessibility_modifier,
    STATE(1988), 1,
      sym_override_modifier,
    ACTIONS(4541), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4545), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4551), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2595), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3504), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4539), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4557), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2727), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_EQ,
    ACTIONS(2861), 1,
      anon_sym_in,
    ACTIONS(2864), 1,
      anon_sym_of,
    ACTIONS(2702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2706), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym_override_modifier,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(4566), 1,
      anon_sym_DOT,
    STATE(1899), 1,
      sym_arguments,
    ACTIONS(4564), 11,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4562), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [85250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2739), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4519), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2635), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4499), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2654), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85415] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4531), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2712), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85585] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 12,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4570), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [85693] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4574), 1,
      anon_sym_abstract,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      anon_sym_readonly,
    STATE(2021), 1,
      sym_override_modifier,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86021] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_readonly,
    STATE(2027), 1,
      sym_override_modifier,
    ACTIONS(4537), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2882), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86081] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym_override_modifier,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4389), 1,
      anon_sym_abstract,
    ACTIONS(4537), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86313] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86368] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86598] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86871] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86981] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87201] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4586), 1,
      anon_sym_class,
    ACTIONS(4588), 1,
      sym_this,
    ACTIONS(4590), 1,
      anon_sym_readonly,
    STATE(1984), 1,
      sym_accessibility_modifier,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(1996), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(3013), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87274] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87331] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4592), 1,
      sym_this,
    STATE(2849), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87387] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      sym_this,
    ACTIONS(4590), 1,
      anon_sym_readonly,
    STATE(1984), 1,
      sym_accessibility_modifier,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(1996), 1,
      sym_override_modifier,
    STATE(2044), 1,
      sym_decorator,
    STATE(3013), 1,
      sym_pattern,
    ACTIONS(1553), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87511] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4594), 1,
      sym_this,
    STATE(2829), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87567] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym_this,
    STATE(2816), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87623] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym_this,
    STATE(2861), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87679] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      sym_this,
    STATE(2835), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87735] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4602), 1,
      sym_this,
    STATE(2850), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 11,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4562), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87833] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(1739), 1,
      sym_this,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 11,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4604), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87978] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1402), 1,
      anon_sym_namespace,
    ACTIONS(1408), 1,
      anon_sym_import,
    ACTIONS(1410), 1,
      anon_sym_var,
    ACTIONS(1412), 1,
      anon_sym_let,
    ACTIONS(1414), 1,
      anon_sym_const,
    ACTIONS(1425), 1,
      anon_sym_class,
    ACTIONS(1427), 1,
      anon_sym_async,
    ACTIONS(1429), 1,
      anon_sym_function,
    ACTIONS(1431), 1,
      anon_sym_declare,
    ACTIONS(1433), 1,
      anon_sym_module,
    ACTIONS(1435), 1,
      anon_sym_abstract,
    ACTIONS(1437), 1,
      anon_sym_interface,
    ACTIONS(1439), 1,
      anon_sym_enum,
    ACTIONS(1523), 1,
      anon_sym_type,
    ACTIONS(4608), 1,
      anon_sym_default,
    STATE(540), 1,
      sym_declaration,
    STATE(598), 1,
      sym_internal_module,
    STATE(2044), 1,
      sym_decorator,
    STATE(2821), 1,
      aux_sym_export_statement_repeat1,
    STATE(621), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [88057] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1651), 1,
      anon_sym_type,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1671), 1,
      anon_sym_module,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1675), 1,
      anon_sym_global,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(3041), 1,
      sym_declaration,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [88136] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1651), 1,
      anon_sym_type,
    ACTIONS(1653), 1,
      anon_sym_namespace,
    ACTIONS(1655), 1,
      anon_sym_import,
    ACTIONS(1657), 1,
      anon_sym_var,
    ACTIONS(1659), 1,
      anon_sym_let,
    ACTIONS(1661), 1,
      anon_sym_const,
    ACTIONS(1663), 1,
      anon_sym_class,
    ACTIONS(1665), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_function,
    ACTIONS(1669), 1,
      anon_sym_declare,
    ACTIONS(1673), 1,
      anon_sym_abstract,
    ACTIONS(1677), 1,
      anon_sym_interface,
    ACTIONS(1679), 1,
      anon_sym_enum,
    ACTIONS(2936), 1,
      anon_sym_module,
    ACTIONS(4610), 1,
      anon_sym_default,
    STATE(2044), 1,
      sym_decorator,
    STATE(2966), 1,
      aux_sym_export_statement_repeat1,
    STATE(2999), 1,
      sym_declaration,
    STATE(3043), 1,
      sym_internal_module,
    STATE(3046), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [88215] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1402), 1,
      anon_sym_namespace,
    ACTIONS(1408), 1,
      anon_sym_import,
    ACTIONS(1410), 1,
      anon_sym_var,
    ACTIONS(1412), 1,
      anon_sym_let,
    ACTIONS(1414), 1,
      anon_sym_const,
    ACTIONS(1425), 1,
      anon_sym_class,
    ACTIONS(1427), 1,
      anon_sym_async,
    ACTIONS(1429), 1,
      anon_sym_function,
    ACTIONS(1431), 1,
      anon_sym_declare,
    ACTIONS(1433), 1,
      anon_sym_module,
    ACTIONS(1435), 1,
      anon_sym_abstract,
    ACTIONS(1437), 1,
      anon_sym_interface,
    ACTIONS(1439), 1,
      anon_sym_enum,
    ACTIONS(1523), 1,
      anon_sym_type,
    ACTIONS(4612), 1,
      anon_sym_default,
    STATE(540), 1,
      sym_declaration,
    STATE(598), 1,
      sym_internal_module,
    STATE(2044), 1,
      sym_decorator,
    STATE(2821), 1,
      aux_sym_export_statement_repeat1,
    STATE(621), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [88294] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1402), 1,
      anon_sym_namespace,
    ACTIONS(1408), 1,
      anon_sym_import,
    ACTIONS(1410), 1,
      anon_sym_var,
    ACTIONS(1412), 1,
      anon_sym_let,
    ACTIONS(1414), 1,
      anon_sym_const,
    ACTIONS(1425), 1,
      anon_sym_class,
    ACTIONS(1427), 1,
      anon_sym_async,
    ACTIONS(1429), 1,
      anon_sym_function,
    ACTIONS(1431), 1,
      anon_sym_declare,
    ACTIONS(1435), 1,
      anon_sym_abstract,
    ACTIONS(1437), 1,
      anon_sym_interface,
    ACTIONS(1439), 1,
      anon_sym_enum,
    ACTIONS(1523), 1,
      anon_sym_type,
    ACTIONS(1527), 1,
      anon_sym_module,
    ACTIONS(1529), 1,
      anon_sym_global,
    STATE(521), 1,
      sym_declaration,
    STATE(598), 1,
      sym_internal_module,
    STATE(2044), 1,
      sym_decorator,
    STATE(2821), 1,
      aux_sym_export_statement_repeat1,
    STATE(621), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [88373] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4614), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_readonly,
    STATE(2002), 1,
      sym_override_modifier,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4622), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88483] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      anon_sym_STAR,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4628), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2720), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4630), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88577] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4634), 1,
      anon_sym_STAR,
    ACTIONS(4636), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4638), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2767), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88631] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_STAR,
    ACTIONS(4642), 1,
      anon_sym_async,
    ACTIONS(4644), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4646), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2653), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88731] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_STAR,
    ACTIONS(4644), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4646), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2653), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1163), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4648), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4652), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4656), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [88945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      anon_sym_EQ_GT,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88997] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4614), 1,
      anon_sym_STAR,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4622), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4614), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_async,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4622), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1743), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1741), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4662), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      sym__automatic_semicolon,
    ACTIONS(1099), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1101), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym__automatic_semicolon,
    ACTIONS(1285), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1287), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4670), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4674), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4678), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4682), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4686), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4656), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4690), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4696), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4694), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4686), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89637] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(1351), 1,
      anon_sym_RBRACK,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    STATE(3156), 1,
      sym_pattern,
    STATE(3316), 1,
      aux_sym_array_pattern_repeat1,
    STATE(3323), 1,
      sym_assignment_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4662), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4682), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4634), 1,
      anon_sym_STAR,
    ACTIONS(4700), 1,
      anon_sym_async,
    ACTIONS(4636), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4638), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2767), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4702), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4652), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4706), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4630), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1287), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4710), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90071] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4714), 1,
      anon_sym_RBRACK,
    STATE(3153), 1,
      sym_pattern,
    STATE(3368), 1,
      sym_assignment_pattern,
    STATE(3387), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4670), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4710), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4467), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2672), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4425), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2655), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4477), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4718), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2693), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90454] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    STATE(3249), 1,
      sym_pattern,
    STATE(3564), 1,
      sym_assignment_pattern,
    ACTIONS(4720), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4503), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2643), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2683), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4722), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2668), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90654] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_COMMA,
    ACTIONS(4724), 1,
      anon_sym_RBRACK,
    STATE(3249), 1,
      sym_pattern,
    STATE(3564), 1,
      sym_assignment_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4531), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2712), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4431), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2639), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2678), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90856] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      anon_sym_COMMA,
    ACTIONS(4727), 1,
      anon_sym_RBRACK,
    STATE(3249), 1,
      sym_pattern,
    STATE(3564), 1,
      sym_assignment_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4527), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2690), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91058] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4499), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2654), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4519), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2635), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2673), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2720), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91254] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_STAR,
    ACTIONS(4395), 1,
      anon_sym_async,
    ACTIONS(4732), 1,
      anon_sym_static,
    ACTIONS(4734), 1,
      anon_sym_readonly,
    ACTIONS(4736), 1,
      anon_sym_abstract,
    STATE(2000), 1,
      sym_override_modifier,
    ACTIONS(4397), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2207), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91317] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4644), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2653), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4636), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2767), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(1739), 1,
      sym_this,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4738), 1,
      anon_sym_readonly,
    STATE(2004), 1,
      sym_override_modifier,
    STATE(2994), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91471] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    ACTIONS(4740), 1,
      anon_sym_static,
    STATE(1995), 1,
      sym_override_modifier,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91531] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4742), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91631] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4748), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91681] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(1689), 1,
      anon_sym_override,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(4750), 1,
      anon_sym_static,
    STATE(1999), 1,
      sym_override_modifier,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91741] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4752), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4754), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91879] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4758), 1,
      anon_sym_static,
    ACTIONS(4760), 1,
      anon_sym_readonly,
    ACTIONS(4762), 1,
      anon_sym_abstract,
    STATE(2027), 1,
      sym_override_modifier,
    ACTIONS(4537), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4764), 1,
      anon_sym_RBRACE,
    STATE(3282), 1,
      sym_enum_assignment,
    ACTIONS(4766), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2977), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4768), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4770), 1,
      anon_sym_RBRACE,
    STATE(3286), 1,
      sym_enum_assignment,
    ACTIONS(4772), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2957), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92085] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1555), 1,
      anon_sym_override,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4774), 1,
      sym_this,
    ACTIONS(4776), 1,
      anon_sym_readonly,
    STATE(2011), 1,
      sym_override_modifier,
    STATE(2841), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4778), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4780), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92241] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2904), 1,
      anon_sym_override,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4019), 1,
      anon_sym_readonly,
    ACTIONS(4782), 1,
      anon_sym_static,
    STATE(2003), 1,
      sym_override_modifier,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92301] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_async,
    ACTIONS(1685), 1,
      anon_sym_readonly,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_STAR,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1687), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1741), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92393] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3712), 1,
      anon_sym_async,
    ACTIONS(3716), 1,
      anon_sym_readonly,
    ACTIONS(3714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3718), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92446] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4491), 1,
      anon_sym_async,
    ACTIONS(4784), 1,
      anon_sym_readonly,
    ACTIONS(4493), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4495), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2184), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92499] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_STAR,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4019), 1,
      anon_sym_readonly,
    ACTIONS(4017), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2227), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_AT,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
    ACTIONS(4788), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4786), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [92595] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(1739), 1,
      sym_this,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4738), 1,
      anon_sym_readonly,
    STATE(2994), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92646] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4367), 1,
      anon_sym_STAR,
    ACTIONS(4369), 1,
      anon_sym_async,
    ACTIONS(4373), 1,
      anon_sym_readonly,
    ACTIONS(4371), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4375), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2222), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4793), 1,
      sym_this,
    ACTIONS(4795), 1,
      anon_sym_readonly,
    STATE(2909), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92750] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4393), 1,
      anon_sym_STAR,
    ACTIONS(4395), 1,
      anon_sym_async,
    ACTIONS(4405), 1,
      anon_sym_readonly,
    ACTIONS(4397), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2207), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92803] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_readonly,
    ACTIONS(4797), 1,
      anon_sym_STAR,
    ACTIONS(4799), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4801), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2208), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4614), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_readonly,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4622), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4379), 1,
      anon_sym_STAR,
    ACTIONS(4381), 1,
      anon_sym_async,
    ACTIONS(4385), 1,
      anon_sym_readonly,
    ACTIONS(4383), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4387), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2175), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1727), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1725), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92999] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      anon_sym_STAR,
    ACTIONS(4642), 1,
      anon_sym_async,
    ACTIONS(4803), 1,
      anon_sym_readonly,
    ACTIONS(4644), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4646), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2653), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93052] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4411), 1,
      anon_sym_async,
    ACTIONS(4415), 1,
      anon_sym_readonly,
    ACTIONS(4413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2230), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93105] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym_this,
    ACTIONS(4805), 1,
      anon_sym_readonly,
    STATE(2816), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93156] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4481), 1,
      anon_sym_STAR,
    ACTIONS(4483), 1,
      anon_sym_async,
    ACTIONS(4807), 1,
      anon_sym_readonly,
    ACTIONS(4485), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4487), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2224), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93209] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    STATE(3184), 1,
      sym_pattern,
    STATE(3634), 1,
      sym_assignment_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1695), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1725), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(3579), 1,
      sym_enum_assignment,
    ACTIONS(4744), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93344] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4439), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_async,
    ACTIONS(4809), 1,
      anon_sym_readonly,
    ACTIONS(4443), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4445), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2232), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4811), 1,
      anon_sym_STAR,
    ACTIONS(4815), 1,
      anon_sym_readonly,
    ACTIONS(4813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2193), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93448] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(4819), 1,
      sym_this,
    ACTIONS(4821), 1,
      anon_sym_readonly,
    STATE(2840), 1,
      sym_pattern,
    STATE(2548), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(611), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93499] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2720), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4718), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2693), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4537), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2739), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93675] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4722), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2668), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4101), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2623), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93763] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4503), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2643), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93851] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_readonly,
    ACTIONS(4537), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93897] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_readonly,
    ACTIONS(4582), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93943] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2639), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2673), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4557), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2727), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4447), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2633), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94163] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      anon_sym_readonly,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2882), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4499), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2654), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94253] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(3965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2617), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2655), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4477), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(1647), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2778), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4519), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2635), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2683), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4425), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4527), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2690), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4531), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2712), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94649] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2662), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4636), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2767), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4644), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2653), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2678), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    ACTIONS(4467), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2672), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1681), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AT,
    ACTIONS(4825), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [94948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      sym_identifier,
    STATE(3779), 1,
      sym_mapped_type_clause,
    ACTIONS(4831), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3326), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3447), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3459), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3463), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3463), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3322), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_EQ,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_is,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3463), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3314), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3326), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3326), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3485), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3485), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3413), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3485), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3337), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3337), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(4839), 1,
      anon_sym_LBRACK,
    ACTIONS(4841), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_DOT,
    STATE(2086), 1,
      sym_arguments,
    ACTIONS(3213), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3215), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(4845), 1,
      anon_sym_LBRACK,
    ACTIONS(4847), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_QMARK_DOT,
    STATE(2089), 1,
      sym_arguments,
    ACTIONS(3223), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3225), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3427), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3370), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3447), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3447), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2746), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(2736), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3357), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3322), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3439), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3439), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3357), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3318), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3439), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3427), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3427), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3310), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3374), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3370), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3374), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [95979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3318), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_EQ,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3443), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3435), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_EQ,
    ACTIONS(3235), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 1,
      anon_sym_LBRACK,
    ACTIONS(4853), 1,
      anon_sym_DOT,
    ACTIONS(4855), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3542), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3544), 12,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3431), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_EQ,
    ACTIONS(4833), 1,
      anon_sym_LT,
    STATE(2105), 1,
      sym_type_arguments,
    ACTIONS(3195), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1185), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_PIPE,
    ACTIONS(1291), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 1,
      anon_sym_EQ,
    ACTIONS(3572), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_EQ,
    ACTIONS(3401), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 1,
      anon_sym_EQ,
    ACTIONS(3382), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(3223), 1,
      anon_sym_PIPE,
    ACTIONS(4857), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_DOT,
    ACTIONS(4861), 1,
      anon_sym_QMARK_DOT,
    STATE(2221), 1,
      sym_arguments,
    ACTIONS(3225), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_EQ,
    ACTIONS(3590), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96370] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(3213), 1,
      anon_sym_PIPE,
    ACTIONS(4863), 1,
      anon_sym_LBRACK,
    ACTIONS(4865), 1,
      anon_sym_DOT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_DOT,
    STATE(2247), 1,
      sym_arguments,
    ACTIONS(3215), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2740), 1,
      anon_sym_LBRACK,
    ACTIONS(2742), 1,
      anon_sym_DOT,
    ACTIONS(2744), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2746), 1,
      anon_sym_PIPE,
    STATE(2246), 1,
      sym_arguments,
    ACTIONS(2736), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4869), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [96457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_EQ,
    ACTIONS(3177), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1331), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_EQ,
    ACTIONS(3536), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_EQ,
    ACTIONS(3388), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3520), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3526), 1,
      anon_sym_EQ,
    ACTIONS(3528), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_EQ,
    ACTIONS(3405), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    ACTIONS(4871), 1,
      anon_sym_LBRACK,
    ACTIONS(3524), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_EQ,
    ACTIONS(3195), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_PIPE,
    ACTIONS(4873), 1,
      anon_sym_LT,
    ACTIONS(4875), 1,
      anon_sym_DOT,
    ACTIONS(4877), 1,
      anon_sym_is,
    STATE(2319), 1,
      sym_type_arguments,
    ACTIONS(2724), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [96697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_EQ,
    ACTIONS(3349), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_EQ,
    ACTIONS(3351), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_EQ,
    ACTIONS(4837), 1,
      anon_sym_is,
    ACTIONS(3177), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_EQ,
    ACTIONS(4871), 1,
      anon_sym_LBRACK,
    ACTIONS(3479), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3568), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [96795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_EQ,
    ACTIONS(3475), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(3211), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4879), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [96862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 1,
      anon_sym_EQ,
    ACTIONS(3306), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_EQ,
    ACTIONS(3252), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(4871), 1,
      anon_sym_LBRACK,
    ACTIONS(3479), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_EQ,
    ACTIONS(3248), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [96956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [96977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [96998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_EQ,
    ACTIONS(3471), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_EQ,
    ACTIONS(3378), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_EQ,
    ACTIONS(3417), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_EQ,
    ACTIONS(3421), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [97111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3455), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [97155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_EQ,
    ACTIONS(3451), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97178] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4891), 1,
      sym_number,
    STATE(3685), 1,
      sym_string,
    STATE(3687), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_PIPE,
    ACTIONS(3326), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4893), 1,
      sym_number,
    STATE(3746), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_PIPE,
    ACTIONS(3463), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_PIPE,
    ACTIONS(3463), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4895), 1,
      sym_number,
    STATE(3855), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    ACTIONS(3459), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4897), 1,
      sym_number,
    STATE(3736), 1,
      sym_predefined_type,
    STATE(3738), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_PIPE,
    ACTIONS(3447), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_PIPE,
    ACTIONS(3447), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4899), 1,
      sym_number,
    STATE(3732), 1,
      sym_predefined_type,
    STATE(3734), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_PIPE,
    ACTIONS(3447), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    ACTIONS(3439), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    ACTIONS(3439), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    ACTIONS(3439), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4901), 1,
      sym_number,
    STATE(3644), 1,
      sym_string,
    STATE(3657), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_PIPE,
    ACTIONS(3427), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_PIPE,
    ACTIONS(3427), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_PIPE,
    ACTIONS(3427), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4903), 1,
      sym_number,
    STATE(3857), 1,
      sym_string,
    STATE(3858), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_PIPE,
    ACTIONS(3413), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_PIPE,
    ACTIONS(3374), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_PIPE,
    ACTIONS(3370), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_PIPE,
    ACTIONS(3374), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(3503), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [97784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_PIPE,
    ACTIONS(3370), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_PIPE,
    ACTIONS(3337), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_PIPE,
    ACTIONS(3357), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4909), 1,
      sym_number,
    STATE(3864), 1,
      sym_string,
    STATE(3865), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [97880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_PIPE,
    ACTIONS(3337), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_PIPE,
    ACTIONS(3357), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_PIPE,
    ACTIONS(3322), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_PIPE,
    ACTIONS(3318), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_PIPE,
    ACTIONS(3322), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [97990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_PIPE,
    ACTIONS(3318), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4911), 1,
      sym_number,
    STATE(3869), 1,
      sym_string,
    STATE(3870), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_PIPE,
    ACTIONS(3314), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 1,
      anon_sym_PIPE,
    ACTIONS(3310), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4913), 1,
      sym_number,
    STATE(3739), 1,
      sym_predefined_type,
    STATE(3741), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4915), 1,
      sym_number,
    STATE(3728), 1,
      sym_predefined_type,
    STATE(3730), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4917), 1,
      sym_number,
    STATE(3745), 1,
      sym_predefined_type,
    STATE(3747), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98176] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4923), 1,
      anon_sym_BANG,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4929), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2634), 1,
      sym__call_signature,
    STATE(3005), 1,
      sym_type_annotation,
    STATE(3255), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(4921), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4931), 1,
      sym_number,
    STATE(3641), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98246] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4935), 1,
      anon_sym_BANG,
    ACTIONS(4937), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2756), 1,
      sym__call_signature,
    STATE(3047), 1,
      sym_type_annotation,
    STATE(3243), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(4933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4939), 1,
      sym_number,
    STATE(3749), 1,
      sym_predefined_type,
    STATE(3752), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_PIPE,
    ACTIONS(3463), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98340] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4943), 1,
      anon_sym_BANG,
    ACTIONS(4945), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2680), 1,
      sym__call_signature,
    STATE(2949), 1,
      sym_type_annotation,
    STATE(3214), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(4941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_PIPE,
    ACTIONS(3326), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4947), 1,
      sym_number,
    STATE(3665), 1,
      sym_string,
    STATE(3669), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_PIPE,
    ACTIONS(3326), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4949), 1,
      sym_number,
    STATE(3676), 1,
      sym_string,
    STATE(3682), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_PIPE,
    ACTIONS(3485), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98508] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4953), 1,
      anon_sym_BANG,
    ACTIONS(4955), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2697), 1,
      sym__call_signature,
    STATE(2814), 1,
      sym_type_annotation,
    STATE(3186), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(4951), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4957), 1,
      sym_number,
    STATE(3885), 1,
      sym_predefined_type,
    STATE(3888), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4959), 1,
      sym_number,
    STATE(3755), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_PIPE,
    ACTIONS(3485), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_PIPE,
    ACTIONS(3485), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4961), 1,
      sym_number,
    STATE(3723), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4963), 1,
      sym_number,
    STATE(3890), 1,
      sym_predefined_type,
    STATE(3891), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4965), 1,
      sym_number,
    STATE(3900), 1,
      sym_predefined_type,
    STATE(3901), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4967), 1,
      sym_number,
    STATE(3912), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98768] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4971), 1,
      anon_sym_BANG,
    ACTIONS(4973), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2932), 1,
      sym_type_annotation,
    STATE(3383), 1,
      sym__initializer,
    STATE(3384), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(4969), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [98810] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4975), 1,
      sym_number,
    STATE(3915), 1,
      sym_predefined_type,
    STATE(3917), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(3532), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [98868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      sym_number,
    STATE(3683), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98896] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4981), 1,
      sym_number,
    STATE(3921), 1,
      sym_predefined_type,
    STATE(3922), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4983), 1,
      sym_number,
    STATE(3924), 1,
      sym_predefined_type,
    STATE(3927), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4985), 1,
      sym_number,
    STATE(3693), 1,
      sym_string,
    STATE(3694), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [98986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      sym_number,
    STATE(3797), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      sym_number,
    STATE(3802), 1,
      sym_string,
    STATE(3805), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99044] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      sym_number,
    STATE(3795), 1,
      sym_string,
    STATE(3799), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(3242), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_extends,
  [99098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4993), 1,
      sym_number,
    STATE(3783), 1,
      sym_string,
    STATE(3786), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(3584), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [99156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(3405), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [99184] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4971), 1,
      anon_sym_BANG,
    ACTIONS(4995), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2719), 1,
      sym__call_signature,
    STATE(2932), 1,
      sym_type_annotation,
    STATE(3372), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(4969), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99226] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4935), 1,
      anon_sym_BANG,
    ACTIONS(4997), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3047), 1,
      sym_type_annotation,
    STATE(3218), 1,
      sym__initializer,
    STATE(3219), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(4933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(4999), 1,
      sym_number,
    STATE(3717), 1,
      sym_predefined_type,
    STATE(3721), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5001), 1,
      sym_number,
    STATE(3697), 1,
      sym_string,
    STATE(3698), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      sym_number,
    STATE(3780), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5005), 1,
      sym_number,
    STATE(3771), 1,
      sym_string,
    STATE(3774), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5007), 1,
      sym_number,
    STATE(3765), 1,
      sym_string,
    STATE(3766), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(3248), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [99444] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5009), 1,
      sym_number,
    STATE(3713), 1,
      sym_predefined_type,
    STATE(3714), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99474] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5011), 1,
      sym_number,
    STATE(3761), 1,
      sym_string,
    STATE(3762), 1,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99504] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5013), 1,
      sym_number,
    STATE(3709), 1,
      sym_predefined_type,
    STATE(3710), 1,
      sym_string,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_PIPE,
    ACTIONS(4873), 1,
      anon_sym_LT,
    ACTIONS(4875), 1,
      anon_sym_DOT,
    STATE(2319), 1,
      sym_type_arguments,
    ACTIONS(2724), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5015), 1,
      sym_number,
    STATE(3753), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(4889), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_EQ,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(3302), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_extends,
  [99614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_PIPE,
    ACTIONS(3431), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5019), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2573), 1,
      sym__call_signature,
    STATE(2962), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5017), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99670] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5023), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2584), 1,
      sym__call_signature,
    STATE(2824), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5021), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99705] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5027), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2799), 1,
      sym__call_signature,
    STATE(2800), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5025), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    ACTIONS(5029), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5033), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3544), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99767] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(5035), 1,
      anon_sym_EQ,
    ACTIONS(5040), 1,
      anon_sym_COLON,
    ACTIONS(5042), 1,
      anon_sym_extends,
    STATE(2103), 1,
      sym_type_arguments,
    STATE(3061), 1,
      sym_constraint,
    STATE(3582), 1,
      sym_default_type,
    ACTIONS(5037), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(2724), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [99804] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5045), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2791), 1,
      sym__call_signature,
    STATE(2824), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5021), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_PIPE,
    ACTIONS(3015), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99860] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5049), 1,
      anon_sym_COLON,
    ACTIONS(5051), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2603), 1,
      sym__call_signature,
    STATE(2943), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5047), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99895] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5053), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2962), 1,
      sym_type_annotation,
    STATE(3018), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5017), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_PIPE,
    ACTIONS(3023), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99951] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5055), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2567), 1,
      sym__call_signature,
    STATE(2800), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5025), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [99986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_LPAREN,
    ACTIONS(5059), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_DOT,
    ACTIONS(5063), 1,
      anon_sym_QMARK_DOT,
    STATE(2330), 1,
      sym_arguments,
    ACTIONS(2736), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100015] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(2871), 1,
      anon_sym_EQ,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(5068), 1,
      anon_sym_QMARK,
    STATE(2103), 1,
      sym_type_arguments,
    STATE(3576), 1,
      sym_type_annotation,
    ACTIONS(5065), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2724), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100050] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_COLON,
    ACTIONS(5073), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2926), 1,
      sym__call_signature,
    STATE(2943), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5047), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100085] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5073), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2926), 1,
      sym__call_signature,
    STATE(2943), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5047), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_PIPE,
    ACTIONS(3235), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_LPAREN,
    ACTIONS(5075), 1,
      anon_sym_LBRACK,
    ACTIONS(5077), 1,
      anon_sym_DOT,
    ACTIONS(5079), 1,
      anon_sym_QMARK_DOT,
    STATE(2323), 1,
      sym_arguments,
    ACTIONS(3225), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_EQ,
    ACTIONS(3139), 1,
      anon_sym_PIPE,
    ACTIONS(4873), 1,
      anon_sym_LT,
    ACTIONS(4875), 1,
      anon_sym_DOT,
    STATE(2319), 1,
      sym_type_arguments,
    ACTIONS(5065), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2724), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100203] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5083), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2887), 1,
      sym__call_signature,
    STATE(2894), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5081), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100238] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5085), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2562), 1,
      sym__call_signature,
    STATE(2894), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5081), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_PIPE,
    ACTIONS(3019), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100294] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_LPAREN,
    ACTIONS(5087), 1,
      anon_sym_LBRACK,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    ACTIONS(5091), 1,
      anon_sym_QMARK_DOT,
    STATE(2327), 1,
      sym_arguments,
    ACTIONS(3215), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LT,
    ACTIONS(5095), 1,
      anon_sym_DOT,
    ACTIONS(5097), 1,
      anon_sym_is,
    STATE(2415), 1,
      sym_type_arguments,
    ACTIONS(2724), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(4873), 1,
      anon_sym_LT,
    STATE(2349), 1,
      sym_type_arguments,
    ACTIONS(3195), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_PIPE,
    ACTIONS(3443), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_PIPE,
    ACTIONS(3435), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100417] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [100445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3413), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100499] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [100527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LT,
    ACTIONS(5095), 1,
      anon_sym_DOT,
    STATE(2415), 1,
      sym_type_arguments,
    ACTIONS(2724), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2881), 1,
      sym__call_signature,
    STATE(2882), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5099), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100619] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2731), 1,
      sym__call_signature,
    STATE(2787), 1,
      sym_type_annotation,
    STATE(3380), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(5101), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2541), 1,
      sym__call_signature,
    STATE(3008), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5103), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [100687] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [100715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2682), 1,
      sym__call_signature,
    STATE(2939), 1,
      sym_type_annotation,
    STATE(3209), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(5105), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100769] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2700), 1,
      sym__call_signature,
    STATE(2805), 1,
      sym_type_annotation,
    STATE(3170), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(5107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100805] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2805), 1,
      sym_type_annotation,
    STATE(3199), 1,
      sym__call_signature,
    STATE(3200), 1,
      sym__initializer,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(5068), 1,
      anon_sym_QMARK,
    STATE(2103), 1,
      sym_type_arguments,
    STATE(3576), 1,
      sym_type_annotation,
    ACTIONS(2724), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [100917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(5065), 1,
      anon_sym_RPAREN,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(2871), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [100945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [100973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [100991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2583), 1,
      sym__call_signature,
    STATE(2817), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5109), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2563), 1,
      sym__call_signature,
    STATE(2882), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5099), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2746), 1,
      sym__call_signature,
    STATE(3053), 1,
      sym_type_annotation,
    STATE(3234), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(5111), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101181] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2666), 1,
      sym__call_signature,
    STATE(3020), 1,
      sym_type_annotation,
    STATE(3233), 1,
      sym__initializer,
    STATE(3592), 1,
      sym_type_parameters,
    ACTIONS(5113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101235] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2568), 1,
      sym__call_signature,
    STATE(2798), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5115), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2963), 1,
      sym__call_signature,
    STATE(2974), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5117), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101479] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3053), 1,
      sym_type_annotation,
    STATE(3223), 1,
      sym__initializer,
    STATE(3224), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5111), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2572), 1,
      sym__call_signature,
    STATE(2974), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5117), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3004), 1,
      sym__call_signature,
    STATE(3008), 1,
      sym_type_annotation,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5103), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2817), 1,
      sym_type_annotation,
    STATE(2818), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5109), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    ACTIONS(4877), 1,
      anon_sym_is,
    ACTIONS(3177), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3459), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101795] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2798), 1,
      sym_type_annotation,
    STATE(2810), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
    ACTIONS(5115), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [101827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_PIPE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(3524), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(1331), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LT,
    STATE(2391), 1,
      sym_type_arguments,
    ACTIONS(3195), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_PIPE,
    ACTIONS(3401), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(3405), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [101948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_PIPE,
    ACTIONS(3405), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_PIPE,
    ACTIONS(3351), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_PIPE,
    ACTIONS(3349), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_COMMA,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [102049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOT,
    ACTIONS(3235), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_PIPE,
    ACTIONS(3536), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(3248), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [102110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_PIPE,
    ACTIONS(1709), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(3532), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [102152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3431), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_PIPE,
    ACTIONS(3252), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(3302), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 1,
      anon_sym_PIPE,
    ACTIONS(3306), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3435), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3526), 1,
      anon_sym_PIPE,
    ACTIONS(3528), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_PIPE,
    ACTIONS(3248), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 1,
      anon_sym_PIPE,
    ACTIONS(2509), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_PIPE,
    ACTIONS(3455), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_PIPE,
    ACTIONS(3211), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1697), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_PIPE,
    ACTIONS(3471), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102431] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2841), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5127), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2724), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 1,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PIPE,
    ACTIONS(3388), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_PIPE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(3479), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(3568), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_PIPE,
    ACTIONS(3378), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_PIPE,
    ACTIONS(2503), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_PIPE,
    ACTIONS(3417), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_PIPE,
    ACTIONS(3421), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_PIPE,
    ACTIONS(1691), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(3503), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_PIPE,
    ACTIONS(3520), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 1,
      anon_sym_PIPE,
    ACTIONS(3572), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_PIPE,
    ACTIONS(1705), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_PIPE,
    ACTIONS(3475), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    ACTIONS(3177), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_PIPE,
    ACTIONS(5119), 1,
      anon_sym_LBRACK,
    ACTIONS(3479), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(3242), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [102825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_PIPE,
    ACTIONS(3590), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [102861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_LBRACK,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3544), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_PIPE,
    ACTIONS(2561), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(3584), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [102943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_COLON,
    STATE(2636), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5136), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_PIPE,
    ACTIONS(4099), 1,
      anon_sym_EQ,
    ACTIONS(5140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3211), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_PIPE,
    ACTIONS(4118), 1,
      anon_sym_EQ,
    ACTIONS(5143), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1705), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [103007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(5146), 1,
      anon_sym_LT,
    ACTIONS(5148), 1,
      anon_sym_is,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5150), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103053] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5152), 1,
      sym_identifier,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    STATE(1237), 1,
      sym_class_body,
    STATE(2579), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3479), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103087] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5160), 1,
      sym_identifier,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_class_body,
    STATE(2554), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3461), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5166), 1,
      anon_sym_BANG,
    STATE(2988), 1,
      sym_type_annotation,
    STATE(3267), 1,
      sym__initializer,
    ACTIONS(5168), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3007), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [103169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 1,
      anon_sym_is,
    ACTIONS(3177), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 1,
      anon_sym_LBRACK,
    ACTIONS(4847), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5170), 1,
      anon_sym_LPAREN,
    STATE(2089), 1,
      sym_arguments,
    ACTIONS(3225), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5172), 1,
      sym_identifier,
    STATE(1612), 1,
      sym_class_body,
    STATE(2571), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3622), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5174), 1,
      sym_identifier,
    STATE(1612), 1,
      sym_class_body,
    STATE(2571), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3622), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(1695), 1,
      anon_sym_EQ,
    ACTIONS(5176), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1331), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [103303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_COLON,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103327] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(5179), 1,
      sym_identifier,
    ACTIONS(5181), 1,
      anon_sym_STAR,
    STATE(3532), 1,
      sym_import_clause,
    STATE(3533), 1,
      sym_string,
    STATE(3534), 1,
      sym_import_require_clause,
    STATE(3871), 2,
      sym_namespace_import,
      sym_named_imports,
  [103359] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5183), 1,
      sym_identifier,
    STATE(1603), 1,
      sym_class_body,
    STATE(2554), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3461), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103393] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    ACTIONS(2779), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5170), 1,
      anon_sym_LPAREN,
    STATE(2085), 1,
      sym_arguments,
    ACTIONS(2736), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5185), 1,
      sym_identifier,
    STATE(1232), 1,
      sym_class_body,
    STATE(2514), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3395), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 1,
      anon_sym_LBRACK,
    ACTIONS(4841), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5170), 1,
      anon_sym_LPAREN,
    STATE(2086), 1,
      sym_arguments,
    ACTIONS(3215), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103479] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5187), 1,
      sym_identifier,
    STATE(1612), 1,
      sym_class_body,
    STATE(2571), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3622), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_COLON,
    STATE(2627), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5189), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(3004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [103553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5191), 1,
      sym_identifier,
    STATE(1603), 1,
      sym_class_body,
    STATE(2554), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3461), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103587] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5193), 1,
      sym_identifier,
    STATE(1603), 1,
      sym_class_body,
    STATE(2554), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3461), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5156), 1,
      anon_sym_extends,
    ACTIONS(5158), 1,
      anon_sym_implements,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5195), 1,
      sym_identifier,
    STATE(1612), 1,
      sym_class_body,
    STATE(2571), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3622), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103655] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1271), 1,
      sym_class_body,
    STATE(2581), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3482), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3520), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [103731] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(100), 1,
      sym_class_body,
    STATE(2509), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3522), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3528), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3388), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [103822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 1,
      anon_sym_LBRACE,
    ACTIONS(2509), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [103839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3401), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103854] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1628), 1,
      sym_class_body,
    STATE(2597), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3630), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(5209), 1,
      anon_sym_PIPE,
    ACTIONS(5211), 1,
      anon_sym_extends,
    ACTIONS(3405), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [103906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(5209), 1,
      anon_sym_PIPE,
    ACTIONS(5211), 1,
      anon_sym_extends,
    ACTIONS(3532), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [103957] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1693), 1,
      sym_class_body,
    STATE(2589), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3490), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [103988] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_class_body,
    STATE(2604), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3542), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_class_body,
    STATE(2608), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3505), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_LBRACK,
    ACTIONS(3479), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [104122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(5146), 1,
      anon_sym_LT,
    STATE(2103), 1,
      sym_type_arguments,
    ACTIONS(2724), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3536), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2988), 1,
      sym_type_annotation,
    STATE(3242), 1,
      sym__initializer,
    ACTIONS(5168), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(3242), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [104245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3572), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104260] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(619), 1,
      sym_class_body,
    STATE(2526), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3404), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 1,
      anon_sym_RPAREN,
    ACTIONS(3177), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5219), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_LBRACK,
    ACTIONS(3479), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3568), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      anon_sym_RPAREN,
    ACTIONS(1331), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(1695), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1406), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [104373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(3302), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [104390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [104420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104435] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1419), 1,
      sym_class_body,
    STATE(2612), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3519), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5226), 1,
      anon_sym_COLON,
    STATE(2852), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5189), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_LBRACK,
    ACTIONS(3524), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104547] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_type_parameters,
    STATE(2935), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3526), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2814), 1,
      sym_type_annotation,
    STATE(3195), 1,
      sym__initializer,
    ACTIONS(4953), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4951), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2932), 1,
      sym_type_annotation,
    STATE(3385), 1,
      sym__initializer,
    ACTIONS(4971), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4969), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(5209), 1,
      anon_sym_PIPE,
    ACTIONS(3503), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
  [104662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104692] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1486), 1,
      sym_class_body,
    STATE(2543), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3638), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2949), 1,
      sym_type_annotation,
    STATE(3213), 1,
      sym__initializer,
    ACTIONS(4943), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    ACTIONS(3177), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5228), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [104782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104797] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1240), 1,
      sym_class_body,
    STATE(2614), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3536), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [104853] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1529), 1,
      sym_class_body,
    STATE(2549), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3614), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [104884] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4421), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [104909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_LBRACE,
    ACTIONS(2561), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [104926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [104951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [104966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3211), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5143), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1705), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3471), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    ACTIONS(3211), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4099), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [105038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    ACTIONS(1705), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4118), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [105057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(3047), 1,
      sym_type_annotation,
    STATE(3228), 1,
      sym__initializer,
    ACTIONS(4935), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(4933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [105097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(3023), 1,
      sym_type_annotation,
    STATE(3232), 1,
      sym__initializer,
    ACTIONS(5237), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105122] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2599), 1,
      sym_type_parameters,
    STATE(2951), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3512), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [105153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(5209), 1,
      anon_sym_PIPE,
    ACTIONS(5211), 1,
      anon_sym_extends,
    ACTIONS(3584), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [105174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5226), 1,
      anon_sym_COLON,
    STATE(2845), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5136), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [105208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105223] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(108), 1,
      sym_class_body,
    STATE(2542), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3595), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [105254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(2503), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [105271] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2580), 1,
      sym_type_parameters,
    STATE(2983), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3484), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [105302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [105332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4317), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3345), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [105357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(5209), 1,
      anon_sym_PIPE,
    ACTIONS(5211), 1,
      anon_sym_extends,
    ACTIONS(3248), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [105393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5241), 1,
      anon_sym_EQ,
    ACTIONS(5150), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [105416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3417), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105446] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2596), 1,
      sym_type_parameters,
    STATE(2900), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3556), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [105477] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1418), 1,
      sym_class_body,
    STATE(2564), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3450), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [105508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3297), 1,
      aux_sym_object_repeat1,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [105548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3378), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105563] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_class_body,
    STATE(2582), 1,
      sym_type_parameters,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3629), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [105594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [105624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5243), 1,
      sym_escape_sequence,
    ACTIONS(5245), 1,
      anon_sym_BQUOTE,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    STATE(2724), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5251), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5123), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5253), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5166), 1,
      anon_sym_BANG,
    STATE(2988), 1,
      sym_type_annotation,
    STATE(3267), 1,
      sym__initializer,
    ACTIONS(5164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    STATE(2839), 1,
      sym_statement_block,
    ACTIONS(1111), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5259), 1,
      sym_escape_sequence,
    ACTIONS(5261), 1,
      anon_sym_BQUOTE,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(2807), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105771] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5259), 1,
      sym_escape_sequence,
    ACTIONS(5263), 1,
      anon_sym_BQUOTE,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      sym_identifier,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5271), 1,
      anon_sym_enum,
    STATE(3112), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [105819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5259), 1,
      sym_escape_sequence,
    ACTIONS(5273), 1,
      anon_sym_BQUOTE,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5243), 1,
      sym_escape_sequence,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5275), 1,
      anon_sym_BQUOTE,
    STATE(2724), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5259), 1,
      sym_escape_sequence,
    ACTIONS(5277), 1,
      anon_sym_BQUOTE,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5259), 1,
      sym_escape_sequence,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [105915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_AMP,
    ACTIONS(5209), 1,
      anon_sym_PIPE,
    ACTIONS(5211), 1,
      anon_sym_extends,
    ACTIONS(5150), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [105935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_LT,
    STATE(2105), 1,
      sym_type_arguments,
    ACTIONS(3195), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_EQ,
    ACTIONS(5176), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1331), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5249), 1,
      sym__template_chars,
    ACTIONS(5259), 1,
      sym_escape_sequence,
    ACTIONS(5281), 1,
      anon_sym_BQUOTE,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [106023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(3907), 1,
      anon_sym_COMMA,
    STATE(3159), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5283), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(1230), 2,
      sym_template_string,
      sym_arguments,
  [106047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106061] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      sym_identifier,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_enum,
    STATE(3142), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(106), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3405), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [106110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_is,
    ACTIONS(3177), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [106163] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5289), 1,
      sym_identifier,
    ACTIONS(5291), 1,
      anon_sym_STAR,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3465), 1,
      sym__call_signature,
  [106188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1282), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3455), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [106213] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5295), 1,
      sym_identifier,
    ACTIONS(5297), 1,
      anon_sym_DOT,
    STATE(2492), 1,
      sym_nested_identifier,
    STATE(2517), 1,
      sym_string,
    STATE(3039), 1,
      sym__module,
  [106238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(5299), 1,
      anon_sym_LT,
    ACTIONS(5301), 1,
      anon_sym_extends,
    STATE(2874), 1,
      sym_type_parameters,
    STATE(3007), 1,
      sym_object_type,
    STATE(3313), 1,
      sym_extends_type_clause,
  [106263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    STATE(2839), 1,
      sym_statement_block,
    ACTIONS(1111), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2805), 1,
      sym_type_annotation,
    STATE(3181), 1,
      sym__initializer,
    ACTIONS(5107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(5303), 1,
      sym_identifier,
    ACTIONS(5305), 1,
      anon_sym_LBRACK,
    ACTIONS(5307), 1,
      sym_private_property_identifier,
    STATE(1600), 1,
      sym_arguments,
    STATE(3615), 1,
      sym_type_arguments,
  [106326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5309), 1,
      sym_identifier,
    ACTIONS(5311), 1,
      anon_sym_DOT,
    STATE(472), 1,
      sym_nested_identifier,
    STATE(488), 1,
      sym_string,
    STATE(524), 1,
      sym__module,
  [106351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(5299), 1,
      anon_sym_LT,
    ACTIONS(5301), 1,
      anon_sym_extends,
    STATE(636), 1,
      sym_object_type,
    STATE(2833), 1,
      sym_type_parameters,
    STATE(3201), 1,
      sym_extends_type_clause,
  [106376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106389] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    ACTIONS(4833), 1,
      anon_sym_LT,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      sym_private_property_identifier,
    STATE(1233), 1,
      sym_arguments,
    STATE(3476), 1,
      sym_type_arguments,
  [106414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5319), 1,
      sym_identifier,
    ACTIONS(5321), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3465), 1,
      sym__call_signature,
  [106439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5323), 1,
      sym_identifier,
    ACTIONS(5325), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3597), 1,
      sym__call_signature,
  [106464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3580), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [106489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [106502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [106528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(3191), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5327), 1,
      sym_identifier,
    ACTIONS(5329), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3597), 1,
      sym__call_signature,
  [106574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5331), 1,
      sym_identifier,
    STATE(3098), 1,
      sym_variable_declarator,
    STATE(2417), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5331), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_variable_declarator,
    STATE(2417), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5333), 1,
      sym_identifier,
    ACTIONS(5335), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3465), 1,
      sym__call_signature,
  [106641] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5337), 1,
      anon_sym_COLON,
    ACTIONS(5339), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3527), 1,
      sym__call_signature,
  [106666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    STATE(1230), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5341), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [106685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(3053), 1,
      sym_type_annotation,
    STATE(3238), 1,
      sym__initializer,
    ACTIONS(5111), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106706] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5343), 1,
      sym_identifier,
    ACTIONS(5345), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3465), 1,
      sym__call_signature,
  [106731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_EQ,
    STATE(3061), 1,
      sym_constraint,
    STATE(3582), 1,
      sym_default_type,
    ACTIONS(5040), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(5347), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [106752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(3098), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [106773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3434), 1,
      sym_statement_block,
    ACTIONS(5349), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(107), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3555), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [106815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1474), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3602), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [106840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2988), 1,
      sym_type_annotation,
    STATE(3242), 1,
      sym__initializer,
    ACTIONS(5164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COLON,
    ACTIONS(3211), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_COLON,
    ACTIONS(1705), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5351), 1,
      anon_sym_EQ,
    ACTIONS(2871), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1504), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3640), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [106944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_type_annotation,
    STATE(3204), 1,
      sym__initializer,
    ACTIONS(5105), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106965] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(5356), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3597), 1,
      sym__call_signature,
  [106990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    ACTIONS(5362), 1,
      anon_sym_QMARK,
    STATE(3071), 1,
      sym_type_annotation,
    STATE(3554), 1,
      sym__initializer,
    ACTIONS(5360), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [107013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [107026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1714), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3596), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(3141), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [107072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_statement_block,
    ACTIONS(5364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3574), 1,
      sym_statement_block,
    ACTIONS(5366), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3584), 1,
      sym_statement_block,
    ACTIONS(5368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACE,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(3142), 1,
      sym_variable_declarator,
    STATE(2544), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [107144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3588), 1,
      sym_statement_block,
    ACTIONS(5370), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3590), 1,
      sym_statement_block,
    ACTIONS(5349), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3443), 1,
      sym_statement_block,
    ACTIONS(5372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3447), 1,
      sym_statement_block,
    ACTIONS(5374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1408), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3507), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_statement_block,
    ACTIONS(5372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3608), 1,
      sym_statement_block,
    ACTIONS(5374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3451), 1,
      sym_statement_block,
    ACTIONS(5376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3462), 1,
      sym_statement_block,
    ACTIONS(5378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_statement_block,
    ACTIONS(5376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_statement_block,
    ACTIONS(5378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1722), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3520), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3463), 1,
      sym_statement_block,
    ACTIONS(5380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3466), 1,
      sym_statement_block,
    ACTIONS(5382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3448), 1,
      sym_statement_block,
    ACTIONS(5382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3445), 1,
      sym_statement_block,
    ACTIONS(5380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(3020), 1,
      sym_type_annotation,
    STATE(3230), 1,
      sym__initializer,
    ACTIONS(5113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107453] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5384), 1,
      sym_identifier,
    ACTIONS(5386), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3597), 1,
      sym__call_signature,
  [107478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2904), 1,
      sym_type_annotation,
    ACTIONS(5388), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1253), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3521), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2936), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3525), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1242), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3528), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107570] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3511), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3495), 1,
      sym_statement_block,
    ACTIONS(5390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3475), 1,
      sym_statement_block,
    ACTIONS(5392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_statement_block,
    ACTIONS(5392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_type_annotation,
    STATE(3237), 1,
      sym__initializer,
    ACTIONS(5394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [107680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      sym_identifier,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3400), 1,
      sym__call_signature,
    STATE(3410), 1,
      sym_type_parameters,
  [107705] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1604), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3453), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [107743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5402), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [107756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4877), 1,
      anon_sym_is,
    ACTIONS(5404), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5406), 1,
      sym_identifier,
    ACTIONS(5408), 1,
      anon_sym_STAR,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3456), 1,
      sym__call_signature,
  [107796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [107809] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5339), 1,
      anon_sym_QMARK,
    ACTIONS(5410), 1,
      anon_sym_COLON,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3527), 1,
      sym__call_signature,
  [107834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2884), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3570), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1695), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3494), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [107897] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2915), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3551), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [107922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [107935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [107948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2787), 1,
      sym_type_annotation,
    STATE(3382), 1,
      sym__initializer,
    ACTIONS(5101), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3631), 1,
      sym_statement_block,
    ACTIONS(5414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [107986] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3416), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [108011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [108037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_LT,
    ACTIONS(5418), 1,
      anon_sym_LBRACE,
    ACTIONS(5420), 1,
      anon_sym_COMMA,
    ACTIONS(5422), 1,
      anon_sym_DOT,
    ACTIONS(5424), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3149), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3339), 1,
      sym_type_arguments,
  [108062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3424), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [108087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(2826), 1,
      sym_type_annotation,
    ACTIONS(5426), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [108130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1505), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3552), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [108155] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3557), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [108180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_extends,
    ACTIONS(5199), 1,
      anon_sym_implements,
    STATE(1217), 1,
      sym_class_body,
    STATE(3314), 1,
      sym_extends_clause,
    STATE(3560), 1,
      sym_class_heritage,
    STATE(3837), 1,
      sym_implements_clause,
  [108205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2718), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5430), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5432), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2585), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5434), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3548), 1,
      sym__call_signature,
  [108277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      anon_sym_default,
    ACTIONS(5438), 1,
      anon_sym_RBRACE,
    ACTIONS(5440), 1,
      anon_sym_case,
    STATE(2657), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [108295] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5442), 1,
      anon_sym_COMMA,
    ACTIONS(5444), 1,
      anon_sym_GT,
    STATE(3235), 1,
      aux_sym_implements_clause_repeat1,
  [108317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(5446), 1,
      sym_identifier,
    STATE(3472), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(5448), 1,
      sym_identifier,
    STATE(3334), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [108353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5450), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2827), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2650), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2964), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2964), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5452), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(5456), 1,
      anon_sym_PIPE,
    ACTIONS(5458), 1,
      anon_sym_extends,
    ACTIONS(3405), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [108425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5464), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2574), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5466), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [108489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(5456), 1,
      anon_sym_PIPE,
    ACTIONS(5458), 1,
      anon_sym_extends,
    ACTIONS(3584), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [108507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5468), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [108525] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(5470), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2709), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [108547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1915), 1,
      sym_statement_block,
    ACTIONS(5414), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5474), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2569), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_LT,
    ACTIONS(5420), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3144), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3335), 1,
      sym_type_arguments,
  [108619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5482), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3508), 1,
      sym__call_signature,
  [108641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5484), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2565), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(5456), 1,
      anon_sym_PIPE,
    ACTIONS(3503), 4,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
  [108679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(5456), 1,
      anon_sym_PIPE,
    ACTIONS(5458), 1,
      anon_sym_extends,
    ACTIONS(3532), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [108709] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2796), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(3242), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [108745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5488), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3460), 1,
      sym__call_signature,
  [108791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [108803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(3302), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [108817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3002), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5492), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3599), 1,
      sym__call_signature,
  [108855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5494), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3449), 1,
      sym__call_signature,
  [108889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5496), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2560), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2557), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [108933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(5456), 1,
      anon_sym_PIPE,
    ACTIONS(5458), 1,
      anon_sym_extends,
    ACTIONS(3248), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [108951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 1,
      anon_sym_default,
    ACTIONS(5503), 1,
      anon_sym_RBRACE,
    ACTIONS(5505), 1,
      anon_sym_case,
    STATE(2657), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [108969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1927), 1,
      sym_statement_block,
    ACTIONS(5364), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      sym_statement_block,
    ACTIONS(5366), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1940), 1,
      sym_statement_block,
    ACTIONS(5368), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3496), 1,
      sym__call_signature,
  [109051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5510), 1,
      anon_sym_export,
    ACTIONS(5512), 1,
      anon_sym_class,
    ACTIONS(5514), 1,
      anon_sym_abstract,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [109073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1936), 1,
      sym_statement_block,
    ACTIONS(5349), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(5516), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2659), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [109147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2954), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5518), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1931), 1,
      sym_statement_block,
    ACTIONS(5370), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_statement_block,
    ACTIONS(5349), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5520), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2880), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [109217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5522), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3051), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [109239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(2878), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(3033), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(3028), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5528), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2903), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [109327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2956), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1945), 1,
      sym_statement_block,
    ACTIONS(5372), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [109371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_statement_block,
    ACTIONS(5374), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(5532), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2670), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [109409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1925), 1,
      sym_statement_block,
    ACTIONS(5372), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1946), 1,
      sym_statement_block,
    ACTIONS(5374), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5537), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(3001), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(2992), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5541), 1,
      anon_sym_import,
    STATE(2063), 1,
      sym__type_query_member_expression,
    STATE(2064), 1,
      sym__type_query_subscript_expression,
    STATE(2088), 1,
      sym__type_query_call_expression,
    STATE(3569), 1,
      sym_import,
  [109515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5543), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2991), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [109537] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5545), 1,
      anon_sym_COMMA,
    ACTIONS(5547), 1,
      anon_sym_GT,
    STATE(3322), 1,
      aux_sym_implements_clause_repeat1,
  [109559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2679), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2954), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5518), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5549), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3586), 1,
      sym__call_signature,
  [109597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_import,
    ACTIONS(5551), 1,
      sym_identifier,
    STATE(2096), 1,
      sym__type_query_subscript_expression,
    STATE(2098), 1,
      sym__type_query_member_expression,
    STATE(2225), 1,
      sym__type_query_call_expression,
    STATE(3610), 1,
      sym_import,
  [109619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5553), 1,
      anon_sym_COMMA,
    ACTIONS(5555), 1,
      anon_sym_GT,
    STATE(3175), 1,
      aux_sym_implements_clause_repeat1,
  [109641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2934), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [109655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_statement_block,
    ACTIONS(5376), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5402), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [109683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [109695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_statement_block,
    ACTIONS(5378), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2684), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [109733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_statement_block,
    ACTIONS(5376), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      sym_statement_block,
    ACTIONS(5378), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109765] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5559), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3599), 1,
      sym__call_signature,
  [109787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2958), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2992), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2722), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2994), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(2865), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1909), 1,
      sym_statement_block,
    ACTIONS(5392), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 1,
      anon_sym_BQUOTE,
    ACTIONS(5572), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5567), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2710), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [109887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5575), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3548), 1,
      sym__call_signature,
  [109909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(5577), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2763), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [109931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LBRACE,
    ACTIONS(4251), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      sym_identifier,
    STATE(2522), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [109949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [109961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(2863), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [109979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_BQUOTE,
    ACTIONS(5583), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5259), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2766), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [109997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(2860), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [110015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2994), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1941), 1,
      sym_statement_block,
    ACTIONS(5392), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5585), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3593), 1,
      sym__call_signature,
  [110069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5587), 1,
      anon_sym_LBRACE,
    ACTIONS(5589), 1,
      anon_sym_COMMA,
    STATE(3261), 1,
      aux_sym_implements_clause_repeat1,
  [110091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2976), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5591), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2968), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5593), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5597), 1,
      anon_sym_BQUOTE,
    ACTIONS(5595), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2710), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [110141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5295), 1,
      sym_identifier,
    STATE(2492), 1,
      sym_nested_identifier,
    STATE(2517), 1,
      sym_string,
    STATE(2837), 1,
      sym__module,
  [110163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5603), 1,
      anon_sym_COMMA,
    ACTIONS(5605), 1,
      anon_sym_RBRACE,
    STATE(3348), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [110183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5607), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3226), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [110205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2705), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2968), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5593), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(5295), 1,
      sym_identifier,
    STATE(2492), 1,
      sym_nested_identifier,
    STATE(2517), 1,
      sym_string,
    STATE(3039), 1,
      sym__module,
  [110243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5609), 1,
      anon_sym_COMMA,
    ACTIONS(5611), 1,
      anon_sym_RBRACE,
    STATE(3271), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [110263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1938), 1,
      sym_statement_block,
    ACTIONS(5390), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [110291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2723), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5615), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5617), 1,
      anon_sym_COMMA,
    ACTIONS(5619), 1,
      anon_sym_GT,
    STATE(3375), 1,
      aux_sym_implements_clause_repeat1,
  [110329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5623), 1,
      anon_sym_QMARK,
    ACTIONS(5621), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_LT,
    ACTIONS(5422), 1,
      anon_sym_DOT,
    ACTIONS(5625), 1,
      anon_sym_LBRACE,
    STATE(3339), 1,
      sym_type_arguments,
    ACTIONS(5627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [110369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2625), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5631), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    STATE(3127), 1,
      sym_type_annotation,
    STATE(3603), 1,
      sym__initializer,
    ACTIONS(5633), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [110405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(5635), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3198), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [110427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2996), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5637), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_import,
    ACTIONS(5639), 1,
      sym_identifier,
    STATE(1046), 1,
      sym__type_query_member_expression,
    STATE(1048), 1,
      sym__type_query_subscript_expression,
    STATE(1165), 1,
      sym__type_query_call_expression,
    STATE(3567), 1,
      sym_import,
  [110465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 1,
      anon_sym_is,
    ACTIONS(5404), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2669), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5643), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5309), 1,
      sym_identifier,
    STATE(472), 1,
      sym_nested_identifier,
    STATE(488), 1,
      sym_string,
    STATE(524), 1,
      sym__module,
  [110517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      anon_sym_default,
    ACTIONS(5440), 1,
      anon_sym_case,
    ACTIONS(5645), 1,
      anon_sym_RBRACE,
    STATE(2619), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [110535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1935), 1,
      sym_statement_block,
    ACTIONS(5380), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5647), 1,
      anon_sym_COMMA,
    ACTIONS(5649), 1,
      anon_sym_GT,
    STATE(3252), 1,
      aux_sym_implements_clause_repeat1,
  [110573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3599), 1,
      sym__call_signature,
  [110595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5653), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3599), 1,
      sym__call_signature,
  [110617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5655), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3548), 1,
      sym__call_signature,
  [110639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5657), 1,
      anon_sym_COMMA,
    ACTIONS(5659), 1,
      anon_sym_RBRACE,
    STATE(3265), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [110671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2952), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5661), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2770), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5665), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5663), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    ACTIONS(5309), 1,
      sym_identifier,
    STATE(472), 1,
      sym_nested_identifier,
    STATE(488), 1,
      sym_string,
    STATE(620), 1,
      sym__module,
  [110725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_statement_block,
    ACTIONS(5382), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110741] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5514), 1,
      anon_sym_abstract,
    ACTIONS(5667), 1,
      anon_sym_export,
    ACTIONS(5669), 1,
      anon_sym_class,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [110763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5136), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(3477), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [110779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_import,
    ACTIONS(5673), 1,
      sym_identifier,
    STATE(2088), 1,
      sym__type_query_call_expression,
    STATE(2374), 1,
      sym__type_query_subscript_expression,
    STATE(2383), 1,
      sym__type_query_member_expression,
    STATE(3513), 1,
      sym_import,
  [110801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5189), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(3621), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [110817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110829] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    ACTIONS(5675), 1,
      anon_sym_QMARK,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2702), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [110851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1917), 1,
      sym_statement_block,
    ACTIONS(5382), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2740), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2952), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5661), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_LBRACE,
    STATE(1922), 1,
      sym_statement_block,
    ACTIONS(5380), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5677), 1,
      anon_sym_BQUOTE,
    ACTIONS(5595), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2710), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [110917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5679), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3637), 1,
      sym__call_signature,
  [110939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5681), 1,
      sym_identifier,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3548), 1,
      sym__call_signature,
  [110961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2706), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2960), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5683), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2960), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5683), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(5524), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5526), 1,
      anon_sym_QMARK_COLON,
    STATE(2801), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [111011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_import,
    ACTIONS(5685), 1,
      sym_identifier,
    STATE(1367), 1,
      sym__type_query_member_expression,
    STATE(1369), 1,
      sym__type_query_subscript_expression,
    STATE(1436), 1,
      sym__type_query_call_expression,
    STATE(3420), 1,
      sym_import,
  [111033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5687), 1,
      anon_sym_BQUOTE,
    ACTIONS(5243), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2724), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [111051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2753), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5691), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5689), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [111079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5693), 1,
      anon_sym_COMMA,
    ACTIONS(5695), 1,
      anon_sym_GT,
    STATE(3336), 1,
      aux_sym_implements_clause_repeat1,
  [111101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_import,
    ACTIONS(5697), 1,
      sym_identifier,
    STATE(2238), 1,
      sym__type_query_subscript_expression,
    STATE(2243), 1,
      sym__type_query_member_expression,
    STATE(2360), 1,
      sym__type_query_call_expression,
    STATE(3464), 1,
      sym_import,
  [111123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    ACTIONS(5699), 1,
      anon_sym_QMARK,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3636), 1,
      sym__call_signature,
  [111145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    ACTIONS(5701), 1,
      anon_sym_SEMI,
    ACTIONS(5703), 1,
      sym__automatic_semicolon,
    ACTIONS(5705), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1469), 1,
      sym_statement_block,
  [111164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    ACTIONS(5707), 1,
      anon_sym_SEMI,
    ACTIONS(5709), 1,
      sym__automatic_semicolon,
    ACTIONS(5711), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3011), 1,
      sym_statement_block,
  [111183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 1,
      anon_sym_BQUOTE,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5717), 1,
      sym__template_chars,
    STATE(2851), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [111200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3499), 1,
      sym__call_signature,
  [111219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5721), 1,
      anon_sym_PIPE,
    ACTIONS(5719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [111236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5723), 1,
      anon_sym_EQ_GT,
    STATE(3621), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [111251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    ACTIONS(5707), 1,
      anon_sym_SEMI,
    ACTIONS(5709), 1,
      sym__automatic_semicolon,
    ACTIONS(5711), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1478), 1,
      sym_statement_block,
  [111270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_SEMI,
    ACTIONS(5728), 1,
      sym__automatic_semicolon,
    ACTIONS(5730), 1,
      sym__function_signature_automatic_semicolon,
    STATE(490), 1,
      sym_statement_block,
  [111289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3222), 1,
      sym__initializer,
    ACTIONS(5732), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3506), 1,
      sym__call_signature,
  [111323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2931), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [111342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2765), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [111361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5734), 1,
      anon_sym_RBRACE,
    STATE(3515), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [111389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2802), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [111408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2867), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [111438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2703), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [111468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    ACTIONS(5742), 1,
      anon_sym_SEMI,
    ACTIONS(5744), 1,
      sym__automatic_semicolon,
    ACTIONS(5746), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1500), 1,
      sym_statement_block,
  [111531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2685), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [111550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5748), 1,
      anon_sym_class,
    ACTIONS(5750), 1,
      anon_sym_abstract,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [111569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3203), 1,
      sym__initializer,
    ACTIONS(5752), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2785), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [111603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5754), 1,
      anon_sym_BQUOTE,
    ACTIONS(5756), 1,
      sym__template_chars,
    STATE(3024), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [111620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3639), 1,
      sym__call_signature,
  [111639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5758), 1,
      anon_sym_EQ_GT,
    STATE(3477), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [111654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3492), 1,
      sym__call_signature,
  [111684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3491), 1,
      sym__call_signature,
  [111703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5761), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [111714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3212), 1,
      sym__initializer,
    ACTIONS(5763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5765), 1,
      anon_sym_RBRACE,
    STATE(3488), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [111746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [111757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3604), 1,
      sym__call_signature,
  [111798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3216), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [111817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5514), 1,
      anon_sym_abstract,
    ACTIONS(5771), 1,
      anon_sym_class,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [111836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3605), 1,
      sym__call_signature,
  [111866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5775), 1,
      anon_sym_EQ_GT,
    STATE(3477), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [111892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [111925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [111936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [111951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_COLON,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(5782), 1,
      anon_sym_RBRACE,
    STATE(3166), 1,
      aux_sym_object_pattern_repeat1,
  [111970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [111981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_extends,
    STATE(562), 1,
      sym_object_type,
    STATE(3273), 1,
      sym_extends_type_clause,
  [112000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2864), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [112019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5756), 1,
      sym__template_chars,
    ACTIONS(5786), 1,
      anon_sym_BQUOTE,
    STATE(3024), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [112047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5788), 1,
      anon_sym_BQUOTE,
    ACTIONS(5790), 1,
      sym__template_chars,
    STATE(2807), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [112130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_SEMI,
    ACTIONS(5728), 1,
      sym__automatic_semicolon,
    ACTIONS(5730), 1,
      sym__function_signature_automatic_semicolon,
    STATE(103), 1,
      sym_statement_block,
  [112171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3589), 1,
      sym__call_signature,
  [112190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5756), 1,
      sym__template_chars,
    ACTIONS(5794), 1,
      anon_sym_BQUOTE,
    STATE(3024), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [112240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3545), 1,
      sym__call_signature,
  [112270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2990), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [112333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5796), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5800), 1,
      anon_sym_BQUOTE,
    ACTIONS(5802), 1,
      sym__template_chars,
    STATE(2836), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [112383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5808), 1,
      anon_sym_BQUOTE,
    ACTIONS(5810), 1,
      sym__template_chars,
    STATE(3027), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [112433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_AMP,
    ACTIONS(5456), 1,
      anon_sym_PIPE,
    ACTIONS(5458), 1,
      anon_sym_extends,
    ACTIONS(5812), 1,
      anon_sym_as,
    ACTIONS(5814), 1,
      anon_sym_RBRACK,
  [112463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    ACTIONS(5726), 1,
      anon_sym_SEMI,
    ACTIONS(5728), 1,
      sym__automatic_semicolon,
    ACTIONS(5730), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1413), 1,
      sym_statement_block,
  [112482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2846), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [112501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2985), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [112542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    ACTIONS(5301), 1,
      anon_sym_extends,
    STATE(2948), 1,
      sym_object_type,
    STATE(3287), 1,
      sym_extends_type_clause,
  [112561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2794), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [112624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2671), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [112852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      anon_sym_EQ_GT,
    STATE(3621), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [112889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5514), 1,
      anon_sym_abstract,
    ACTIONS(5669), 1,
      anon_sym_class,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [112930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2869), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [112960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5827), 1,
      anon_sym_RBRACE,
    STATE(3515), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [112977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [112988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5829), 1,
      anon_sym_RBRACE,
    STATE(3488), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [113005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    ACTIONS(5742), 1,
      anon_sym_SEMI,
    ACTIONS(5744), 1,
      sym__automatic_semicolon,
    ACTIONS(5746), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2973), 1,
      sym_statement_block,
  [113035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5721), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2786), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [113093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3566), 1,
      sym__call_signature,
  [113123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3452), 1,
      sym__call_signature,
  [113153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3446), 1,
      sym__call_signature,
  [113205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5721), 1,
      anon_sym_PIPE,
    ACTIONS(5833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3553), 1,
      sym__call_signature,
  [113263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5512), 1,
      anon_sym_class,
    ACTIONS(5514), 1,
      anon_sym_abstract,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [113282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2912), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [113301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    ACTIONS(5701), 1,
      anon_sym_SEMI,
    ACTIONS(5703), 1,
      sym__automatic_semicolon,
    ACTIONS(5705), 1,
      sym__function_signature_automatic_semicolon,
    STATE(487), 1,
      sym_statement_block,
  [113320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3229), 1,
      sym__initializer,
    ACTIONS(5835), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3422), 1,
      sym__call_signature,
  [113354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3572), 1,
      sym__call_signature,
  [113406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3227), 1,
      sym__initializer,
    ACTIONS(5837), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5839), 1,
      anon_sym_EQ_GT,
    STATE(3621), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [113469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5844), 1,
      anon_sym_EQ_GT,
    STATE(3477), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [113495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5847), 1,
      anon_sym_RBRACE,
    STATE(3515), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [113512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [113540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3231), 1,
      sym__initializer,
    ACTIONS(5851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2779), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [113618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3510), 1,
      sym__call_signature,
  [113637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5853), 1,
      anon_sym_EQ_GT,
    STATE(3621), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [113663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    ACTIONS(5856), 1,
      anon_sym_COMMA,
    ACTIONS(5858), 1,
      anon_sym_RBRACE,
    STATE(3260), 1,
      aux_sym_enum_body_repeat1,
    STATE(3514), 1,
      sym__initializer,
  [113682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_LT,
    ACTIONS(5860), 1,
      anon_sym_LBRACE,
    STATE(3335), 1,
      sym_type_arguments,
    ACTIONS(5862), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [113699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5721), 1,
      anon_sym_PIPE,
    ACTIONS(5864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2780), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [113746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5750), 1,
      anon_sym_abstract,
    ACTIONS(5868), 1,
      anon_sym_class,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [113809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [113831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_RBRACE,
    STATE(3515), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [113859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3632), 1,
      sym__call_signature,
  [113878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3607), 1,
      sym__call_signature,
  [113897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4167), 1,
      sym__automatic_semicolon,
    ACTIONS(1199), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5721), 1,
      anon_sym_PIPE,
    ACTIONS(5876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [113949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    ACTIONS(5878), 1,
      anon_sym_COMMA,
    ACTIONS(5880), 1,
      anon_sym_RBRACE,
    STATE(3390), 1,
      aux_sym_enum_body_repeat1,
    STATE(3514), 1,
      sym__initializer,
  [113968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3529), 1,
      sym__call_signature,
  [113987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3531), 1,
      sym__call_signature,
  [114006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3578), 1,
      sym__call_signature,
  [114025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2187), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_COLON,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(5882), 1,
      anon_sym_RBRACE,
    STATE(3344), 1,
      aux_sym_object_pattern_repeat1,
  [114099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    STATE(3576), 1,
      sym_type_annotation,
    ACTIONS(2871), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [114114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3190), 1,
      sym__initializer,
    ACTIONS(5884), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3034), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(5701), 1,
      anon_sym_SEMI,
    ACTIONS(5703), 1,
      sym__automatic_semicolon,
    ACTIONS(5705), 1,
      sym__function_signature_automatic_semicolon,
    STATE(98), 1,
      sym_statement_block,
  [114167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5370), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3417), 1,
      sym__call_signature,
  [114208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2575), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3550), 1,
      sym__call_signature,
  [114301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(5890), 1,
      anon_sym_EQ_GT,
    STATE(3477), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [114327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3558), 1,
      sym__call_signature,
  [114346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3379), 1,
      sym__initializer,
    ACTIONS(5893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      sym__automatic_semicolon,
    ACTIONS(1165), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__automatic_semicolon,
    ACTIONS(1119), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [114464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2660), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [114483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3197), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [114524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5756), 1,
      sym__template_chars,
    ACTIONS(5901), 1,
      anon_sym_BQUOTE,
    STATE(3024), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3236), 1,
      sym__initializer,
    ACTIONS(5903), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_LBRACK,
    ACTIONS(5905), 1,
      anon_sym_RBRACE,
    ACTIONS(3479), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [114582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5907), 1,
      anon_sym_BQUOTE,
    ACTIONS(5909), 1,
      sym__template_chars,
    STATE(3019), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3239), 1,
      sym__initializer,
    ACTIONS(5911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_BQUOTE,
    ACTIONS(5915), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5918), 1,
      sym__template_chars,
    STATE(3024), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2758), 1,
      sym_formal_parameters,
    STATE(3410), 1,
      sym_type_parameters,
    STATE(3624), 1,
      sym__call_signature,
  [114661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5756), 1,
      sym__template_chars,
    ACTIONS(5923), 1,
      anon_sym_BQUOTE,
    STATE(3024), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [114678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5925), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2570), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_AMP,
    ACTIONS(5125), 1,
      anon_sym_extends,
    ACTIONS(5721), 1,
      anon_sym_PIPE,
    ACTIONS(5927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [114736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      sym__automatic_semicolon,
    ACTIONS(1261), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2199), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2566), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2561), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2558), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(2556), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3176), 1,
      sym__initializer,
    ACTIONS(5931), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_formal_parameters,
    STATE(3032), 1,
      sym__call_signature,
    STATE(3408), 1,
      sym_type_parameters,
  [114969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5933), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [114986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_formal_parameters,
    STATE(2658), 1,
      sym__call_signature,
    STATE(3592), 1,
      sym_type_parameters,
  [115005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5366), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3185), 1,
      sym__initializer,
    ACTIONS(5935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(3241), 1,
      sym__initializer,
    ACTIONS(5937), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115046] = 4,
    ACTIONS(5939), 1,
      anon_sym_DQUOTE,
    ACTIONS(5943), 1,
      sym_comment,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115060] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(5945), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5949), 1,
      anon_sym_COLON,
  [115090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5951), 1,
      anon_sym_QMARK,
  [115106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [115116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5953), 1,
      anon_sym_COLON,
  [115132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5955), 1,
      anon_sym_RPAREN,
  [115148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_EQ,
    STATE(3568), 1,
      sym_default_type,
    ACTIONS(5957), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [115162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2609), 1,
      sym_formal_parameters,
    STATE(3591), 1,
      sym_type_parameters,
  [115178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 1,
      anon_sym_RBRACE,
    ACTIONS(3479), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [115190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5959), 1,
      anon_sym_RPAREN,
  [115206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_COMMA,
    STATE(3065), 1,
      aux_sym_array_repeat1,
    ACTIONS(3973), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [115220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5468), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [115234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5967), 1,
      anon_sym_RBRACK,
  [115250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3562), 1,
      sym_type_parameters,
    STATE(3726), 1,
      sym_formal_parameters,
  [115266] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_SQUOTE,
    STATE(3109), 1,
      aux_sym_string_repeat2,
    ACTIONS(5971), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5973), 1,
      anon_sym_COLON,
  [115296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    STATE(3601), 1,
      sym__initializer,
    ACTIONS(5975), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [115310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [115320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3907), 1,
      anon_sym_COMMA,
    STATE(3158), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5977), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [115334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3130), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [115348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3539), 1,
      sym_type_parameters,
    STATE(3838), 1,
      sym_formal_parameters,
  [115364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3130), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5983), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [115378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(5181), 1,
      anon_sym_STAR,
    STATE(3664), 2,
      sym_namespace_import,
      sym_named_imports,
  [115392] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_DQUOTE,
    STATE(3124), 1,
      aux_sym_string_repeat1,
    ACTIONS(5985), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3143), 1,
      aux_sym_extends_type_clause_repeat1,
  [115422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(5987), 1,
      anon_sym_RBRACK,
  [115438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [115448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5991), 1,
      sym_escape_sequence,
    ACTIONS(5993), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [115460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5996), 1,
      anon_sym_LBRACE,
    ACTIONS(5998), 1,
      anon_sym_COMMA,
    ACTIONS(6001), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3083), 1,
      aux_sym_extends_type_clause_repeat1,
  [115476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    STATE(3514), 1,
      sym__initializer,
    ACTIONS(6003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3501), 1,
      sym_type_parameters,
    STATE(3778), 1,
      sym_formal_parameters,
  [115506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_EQ_GT,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [115518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6007), 1,
      anon_sym_COLON,
  [115534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6009), 1,
      anon_sym_RBRACK,
  [115550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_EQ_GT,
    ACTIONS(2934), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [115562] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_DQUOTE,
    STATE(3110), 1,
      aux_sym_string_repeat1,
    ACTIONS(6013), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115576] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_SQUOTE,
    STATE(3125), 1,
      aux_sym_string_repeat2,
    ACTIONS(6015), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6017), 1,
      anon_sym_QMARK,
  [115616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6019), 1,
      anon_sym_COLON,
  [115632] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_DQUOTE,
    STATE(3054), 1,
      aux_sym_string_repeat1,
    ACTIONS(6023), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    STATE(1599), 2,
      sym_template_string,
      sym_arguments,
  [115660] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    STATE(3111), 1,
      aux_sym_string_repeat2,
    ACTIONS(6025), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3076), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6027), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [115688] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115702] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6031), 1,
      anon_sym_RBRACK,
  [115732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6033), 1,
      anon_sym_RBRACK,
  [115748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3573), 1,
      sym_type_parameters,
    STATE(3703), 1,
      sym_formal_parameters,
  [115764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6035), 1,
      anon_sym_RBRACK,
  [115780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6037), 1,
      anon_sym_RBRACK,
  [115796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3517), 1,
      sym_type_parameters,
    STATE(3867), 1,
      sym_formal_parameters,
  [115812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6039), 1,
      anon_sym_RBRACK,
  [115828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3612), 1,
      sym_type_parameters,
    STATE(3668), 1,
      sym_formal_parameters,
  [115844] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115858] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6043), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115872] = 4,
    ACTIONS(5939), 1,
      anon_sym_SQUOTE,
    ACTIONS(5943), 1,
      sym_comment,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3074), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6045), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [115900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6047), 1,
      anon_sym_RPAREN,
  [115916] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6049), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(6051), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [115930] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(6056), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [115944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      sym_identifier,
    STATE(2637), 1,
      sym_nested_type_identifier,
    STATE(3079), 1,
      sym_generic_type,
    STATE(3743), 1,
      sym_nested_identifier,
  [115960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6061), 1,
      anon_sym_class,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [115976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6063), 1,
      anon_sym_RPAREN,
  [115992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3130), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6065), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3130), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6067), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6069), 1,
      anon_sym_export,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [116036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    STATE(3488), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [116050] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_SQUOTE,
    STATE(3151), 1,
      aux_sym_string_repeat2,
    ACTIONS(6073), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116064] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116078] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6043), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    STATE(3486), 1,
      sym__from_clause,
    ACTIONS(6077), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_EQ,
    STATE(3469), 1,
      sym__initializer,
    ACTIONS(6079), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [116120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6081), 1,
      anon_sym_QMARK,
  [116136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6083), 1,
      anon_sym_class,
    STATE(1993), 1,
      aux_sym_export_statement_repeat1,
    STATE(2044), 1,
      sym_decorator,
  [116152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    STATE(3130), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6088), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116166] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(5945), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    STATE(3412), 1,
      sym__from_clause,
    ACTIONS(6090), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6092), 1,
      anon_sym_QMARK,
  [116210] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_SQUOTE,
    STATE(3055), 1,
      aux_sym_string_repeat2,
    ACTIONS(6096), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6098), 1,
      anon_sym_RBRACK,
  [116240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6100), 1,
      anon_sym_RPAREN,
  [116256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      sym_identifier,
    STATE(3515), 1,
      sym__import_export_specifier,
    ACTIONS(5601), 2,
      anon_sym_type,
      anon_sym_typeof,
  [116270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    STATE(1230), 2,
      sym_template_string,
      sym_arguments,
  [116284] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_DQUOTE,
    STATE(3131), 1,
      aux_sym_string_repeat1,
    ACTIONS(6102), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6104), 1,
      anon_sym_QMARK,
  [116314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3120), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6106), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(3119), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6108), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_COMMA,
    ACTIONS(6110), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3083), 1,
      aux_sym_extends_type_clause_repeat1,
  [116358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_COMMA,
    ACTIONS(6110), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3083), 1,
      aux_sym_extends_type_clause_repeat1,
  [116374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6114), 1,
      anon_sym_QMARK,
  [116390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6116), 1,
      anon_sym_RBRACK,
  [116406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6118), 1,
      anon_sym_RBRACK,
  [116422] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6120), 1,
      anon_sym_SQUOTE,
    STATE(3099), 1,
      aux_sym_string_repeat2,
    ACTIONS(6122), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_COMMA,
    ACTIONS(6124), 1,
      anon_sym_LBRACE,
    ACTIONS(6126), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3083), 1,
      aux_sym_extends_type_clause_repeat1,
  [116452] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6128), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116466] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6130), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116480] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6130), 1,
      anon_sym_DQUOTE,
    STATE(3114), 1,
      aux_sym_string_repeat1,
    ACTIONS(5941), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6132), 1,
      anon_sym_EQ,
    ACTIONS(6134), 1,
      anon_sym_RBRACK,
    STATE(3329), 1,
      aux_sym_array_pattern_repeat1,
  [116510] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6120), 1,
      anon_sym_DQUOTE,
    STATE(3100), 1,
      aux_sym_string_repeat1,
    ACTIONS(6136), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116524] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6128), 1,
      anon_sym_SQUOTE,
    STATE(3115), 1,
      aux_sym_string_repeat2,
    ACTIONS(5947), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6132), 1,
      anon_sym_EQ,
    ACTIONS(6138), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      aux_sym_array_pattern_repeat1,
  [116554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 1,
      sym_identifier,
    STATE(2958), 1,
      sym_nested_type_identifier,
    STATE(3215), 1,
      sym_generic_type,
    STATE(3743), 1,
      sym_nested_identifier,
  [116570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym_COMMA,
    STATE(3158), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6142), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [116584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3907), 1,
      anon_sym_COMMA,
    STATE(3158), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6147), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [116598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6149), 1,
      anon_sym_RBRACK,
  [116614] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE,
    STATE(3152), 1,
      aux_sym_string_repeat1,
    ACTIONS(6151), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
    ACTIONS(6153), 1,
      anon_sym_COLON,
  [116644] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_DQUOTE,
    STATE(3150), 1,
      aux_sym_string_repeat1,
    ACTIONS(6157), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [116658] = 4,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_SQUOTE,
    STATE(3155), 1,
      aux_sym_string_repeat2,
    ACTIONS(6159), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [116672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_COLON,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    ACTIONS(6161), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6163), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [116699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      sym_identifier,
    ACTIONS(6167), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      sym_private_property_identifier,
  [116712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_as,
    ACTIONS(6173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 1,
      sym_identifier,
    ACTIONS(6177), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      sym_private_property_identifier,
  [116736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      sym_identifier,
    ACTIONS(6185), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_private_property_identifier,
  [116758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym_COMMA,
    ACTIONS(6191), 1,
      anon_sym_RBRACE,
    STATE(3291), 1,
      aux_sym_export_clause_repeat1,
  [116771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_RBRACK,
    ACTIONS(6193), 1,
      anon_sym_COMMA,
    STATE(3351), 1,
      aux_sym_tuple_type_repeat1,
  [116784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2848), 1,
      sym_type_predicate,
    ACTIONS(6195), 2,
      sym_identifier,
      sym_this,
  [116795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_GT,
    ACTIONS(6197), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [116808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    STATE(3180), 1,
      aux_sym_array_repeat1,
  [116830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [116843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6201), 1,
      anon_sym_COMMA,
    ACTIONS(6203), 1,
      anon_sym_RBRACK,
    STATE(3173), 1,
      aux_sym_tuple_type_repeat1,
  [116856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [116869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 1,
      sym_identifier,
    ACTIONS(6209), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      sym_private_property_identifier,
  [116891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3523), 1,
      sym_type_predicate,
    ACTIONS(6213), 2,
      sym_identifier,
      sym_this,
  [116902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6132), 1,
      anon_sym_EQ,
    ACTIONS(6215), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [116944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    ACTIONS(6221), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6223), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6088), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    ACTIONS(6227), 1,
      anon_sym_COMMA,
    STATE(3194), 1,
      aux_sym_formal_parameters_repeat1,
  [116995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [117004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 1,
      anon_sym_COMMA,
    ACTIONS(6232), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      aux_sym_formal_parameters_repeat1,
  [117017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    STATE(3283), 1,
      aux_sym_array_repeat1,
  [117039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6236), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_object_type,
  [117088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      anon_sym_COMMA,
    ACTIONS(6240), 1,
      anon_sym_RPAREN,
    STATE(3192), 1,
      aux_sym_formal_parameters_repeat1,
  [117101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      sym_identifier,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      sym_private_property_identifier,
  [117132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym_identifier,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_private_property_identifier,
  [117145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 1,
      sym_identifier,
    ACTIONS(6260), 1,
      anon_sym_LBRACK,
    ACTIONS(6262), 1,
      sym_private_property_identifier,
  [117158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6264), 1,
      sym_identifier,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      sym_private_property_identifier,
  [117171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_COMMA,
    ACTIONS(6272), 1,
      anon_sym_RBRACE,
    STATE(3302), 1,
      aux_sym_named_imports_repeat1,
  [117193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 1,
      anon_sym_COMMA,
    ACTIONS(6277), 1,
      anon_sym_RBRACE,
    STATE(3211), 1,
      aux_sym_enum_body_repeat1,
  [117206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      anon_sym_LBRACE,
    ACTIONS(5862), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [117244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_COMMA,
    ACTIONS(6291), 1,
      anon_sym_GT,
    STATE(3254), 1,
      aux_sym_type_parameters_repeat1,
  [117293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym_GT,
    ACTIONS(6293), 1,
      sym_identifier,
    STATE(3561), 1,
      sym_type_parameter,
  [117306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6299), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_RBRACK,
    ACTIONS(6301), 1,
      anon_sym_COMMA,
    STATE(3351), 1,
      aux_sym_tuple_type_repeat1,
  [117346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6305), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(6313), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [117440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6317), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(4977), 1,
      anon_sym_extends,
  [117489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      anon_sym_COMMA,
    ACTIONS(6327), 1,
      anon_sym_RBRACK,
    STATE(3225), 1,
      aux_sym_tuple_type_repeat1,
  [117529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6329), 1,
      anon_sym_COMMA,
    ACTIONS(6332), 1,
      anon_sym_RBRACK,
    STATE(3245), 1,
      aux_sym_array_pattern_repeat1,
  [117542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_COMMA,
    ACTIONS(6336), 1,
      anon_sym_RBRACK,
    STATE(3274), 1,
      aux_sym_tuple_type_repeat1,
  [117555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6338), 1,
      anon_sym_RBRACK,
    STATE(3245), 1,
      aux_sym_array_pattern_repeat1,
  [117568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6340), 1,
      anon_sym_RBRACK,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [117581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6132), 1,
      anon_sym_EQ,
    ACTIONS(6332), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [117601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6342), 1,
      anon_sym_EQ,
    ACTIONS(2864), 2,
      anon_sym_in,
      anon_sym_of,
  [117612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_GT,
    ACTIONS(6344), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [117625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    ACTIONS(6346), 1,
      anon_sym_GT,
    STATE(3561), 1,
      sym_type_parameter,
  [117638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_COMMA,
    ACTIONS(6351), 1,
      anon_sym_GT,
    STATE(3254), 1,
      aux_sym_type_parameters_repeat1,
  [117651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(6355), 1,
      anon_sym_LPAREN,
    STATE(497), 1,
      sym_statement_block,
  [117673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    STATE(3278), 1,
      aux_sym_array_repeat1,
  [117686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [117699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_COMMA,
    ACTIONS(6359), 1,
      anon_sym_RBRACE,
    STATE(3211), 1,
      aux_sym_enum_body_repeat1,
  [117712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6361), 1,
      anon_sym_COMMA,
    ACTIONS(6363), 1,
      anon_sym_RBRACE,
    STATE(3211), 1,
      aux_sym_enum_body_repeat1,
  [117725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_COMMA,
    ACTIONS(6365), 1,
      anon_sym_LBRACE,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [117738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_RPAREN,
    ACTIONS(6367), 1,
      anon_sym_COMMA,
    STATE(3194), 1,
      aux_sym_formal_parameters_repeat1,
  [117751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [117760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 1,
      anon_sym_EQ,
    ACTIONS(2864), 2,
      anon_sym_in,
      anon_sym_of,
  [117771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 1,
      anon_sym_COMMA,
    ACTIONS(6373), 1,
      anon_sym_RBRACE,
    STATE(3172), 1,
      aux_sym_export_clause_repeat1,
  [117784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 1,
      sym_identifier,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6379), 1,
      sym_private_property_identifier,
  [117797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 1,
      sym_identifier,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6385), 1,
      sym_private_property_identifier,
  [117819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6387), 1,
      sym_identifier,
    ACTIONS(6389), 1,
      anon_sym_require,
    STATE(3188), 1,
      sym_nested_identifier,
  [117832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6391), 1,
      sym_identifier,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 1,
      sym_private_property_identifier,
  [117845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 1,
      anon_sym_COMMA,
    ACTIONS(6399), 1,
      anon_sym_RBRACE,
    STATE(3210), 1,
      aux_sym_named_imports_repeat1,
  [117858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 1,
      sym_identifier,
    ACTIONS(6403), 1,
      anon_sym_LBRACK,
    ACTIONS(6405), 1,
      sym_private_property_identifier,
  [117871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_object_type,
  [117884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_RBRACK,
    ACTIONS(6407), 1,
      anon_sym_COMMA,
    STATE(3351), 1,
      aux_sym_tuple_type_repeat1,
  [117897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_EQ,
    ACTIONS(6411), 1,
      anon_sym_COMMA,
    ACTIONS(6413), 1,
      anon_sym_from,
  [117910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_COMMA,
    ACTIONS(6418), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [117923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 1,
      anon_sym_COMMA,
    ACTIONS(6423), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [117936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6425), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [117949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6429), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [117962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(6431), 1,
      anon_sym_EQ,
    STATE(3793), 1,
      sym_type_parameters,
  [117975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 1,
      anon_sym_LBRACE,
    ACTIONS(5870), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [117986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_COMMA,
    ACTIONS(6437), 1,
      anon_sym_RBRACE,
    STATE(3389), 1,
      aux_sym_enum_body_repeat1,
  [117999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6439), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [118012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6441), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [118025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6443), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [118038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      anon_sym_COMMA,
    ACTIONS(6447), 1,
      anon_sym_RBRACE,
    STATE(3259), 1,
      aux_sym_enum_body_repeat1,
  [118051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    STATE(2913), 1,
      sym_object_type,
  [118064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4837), 1,
      anon_sym_is,
    ACTIONS(5404), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [118075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      anon_sym_EQ,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [118086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym_EQ,
    ACTIONS(2841), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [118097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 1,
      anon_sym_COMMA,
    ACTIONS(6457), 1,
      anon_sym_RBRACE,
    STATE(3291), 1,
      aux_sym_export_clause_repeat1,
  [118110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_while,
    ACTIONS(6459), 1,
      anon_sym_else,
    STATE(613), 1,
      sym_else_clause,
  [118123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    ACTIONS(6461), 1,
      anon_sym_GT,
    STATE(3561), 1,
      sym_type_parameter,
  [118136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACK,
    ACTIONS(6463), 1,
      anon_sym_COMMA,
    STATE(3351), 1,
      aux_sym_tuple_type_repeat1,
  [118149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6465), 1,
      sym_identifier,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      sym_private_property_identifier,
  [118162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 1,
      sym_identifier,
    ACTIONS(6473), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      sym_private_property_identifier,
  [118175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6477), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [118188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym_identifier,
    ACTIONS(6481), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      sym_private_property_identifier,
  [118201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      sym_identifier,
    ACTIONS(6487), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      sym_private_property_identifier,
  [118214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 1,
      anon_sym_LBRACE,
    ACTIONS(5761), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [118225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    ACTIONS(6493), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [118236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      anon_sym_COMMA,
    ACTIONS(6498), 1,
      anon_sym_RBRACE,
    STATE(3302), 1,
      aux_sym_named_imports_repeat1,
  [118249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(5458), 1,
      anon_sym_extends,
  [118262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_DQUOTE,
    ACTIONS(651), 1,
      anon_sym_SQUOTE,
    STATE(3842), 1,
      sym_string,
  [118275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 1,
      anon_sym_COMMA,
    ACTIONS(6502), 1,
      anon_sym_RBRACE,
    STATE(3291), 1,
      aux_sym_export_clause_repeat1,
  [118288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 1,
      anon_sym_as,
    ACTIONS(6506), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [118299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 1,
      anon_sym_LBRACE,
    ACTIONS(5899), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [118310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2648), 1,
      sym_type_predicate,
    ACTIONS(6510), 2,
      sym_identifier,
      sym_this,
  [118321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    STATE(3623), 1,
      sym_string,
  [118334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      sym_identifier,
    ACTIONS(5305), 1,
      anon_sym_LBRACK,
    ACTIONS(5307), 1,
      sym_private_property_identifier,
  [118347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [118360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(3285), 1,
      aux_sym_array_repeat1,
  [118373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1051), 1,
      anon_sym_LBRACE,
    STATE(2950), 1,
      sym_object_type,
  [118386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_implements,
    ACTIONS(6512), 1,
      anon_sym_LBRACE,
    STATE(3688), 1,
      sym_implements_clause,
  [118399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 1,
      anon_sym_COMMA,
    ACTIONS(6516), 1,
      anon_sym_GT,
    STATE(3220), 1,
      aux_sym_type_parameters_repeat1,
  [118412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6138), 1,
      anon_sym_RBRACK,
    STATE(3245), 1,
      aux_sym_array_pattern_repeat1,
  [118425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(4000), 1,
      anon_sym_RBRACK,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [118438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [118447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 1,
      anon_sym_COMMA,
    ACTIONS(6520), 1,
      anon_sym_GT,
    STATE(3254), 1,
      aux_sym_type_parameters_repeat1,
  [118460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    ACTIONS(6520), 1,
      anon_sym_GT,
    STATE(3561), 1,
      sym_type_parameter,
  [118473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(4000), 1,
      anon_sym_RBRACK,
    STATE(3248), 1,
      aux_sym_array_repeat1,
  [118486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_GT,
    ACTIONS(6522), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [118499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6138), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      aux_sym_array_pattern_repeat1,
  [118512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_COMMA,
    ACTIONS(6526), 1,
      anon_sym_RPAREN,
    STATE(3262), 1,
      aux_sym_formal_parameters_repeat1,
  [118525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5402), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [118534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 1,
      anon_sym_COMMA,
    ACTIONS(6530), 1,
      anon_sym_RBRACK,
    STATE(3294), 1,
      aux_sym_tuple_type_repeat1,
  [118547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym_COMMA,
    ACTIONS(6413), 1,
      anon_sym_from,
    ACTIONS(6532), 1,
      anon_sym_EQ,
  [118560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6534), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [118573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6536), 1,
      anon_sym_RBRACK,
    STATE(3245), 1,
      aux_sym_array_pattern_repeat1,
  [118586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      anon_sym_COMMA,
    ACTIONS(6540), 1,
      anon_sym_RBRACK,
    STATE(3358), 1,
      aux_sym_tuple_type_repeat1,
  [118599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6542), 1,
      anon_sym_RBRACK,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [118612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_RPAREN,
    ACTIONS(6544), 1,
      anon_sym_COMMA,
    STATE(3194), 1,
      aux_sym_formal_parameters_repeat1,
  [118625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6546), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [118638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    ACTIONS(6548), 1,
      anon_sym_RPAREN,
    STATE(3827), 1,
      sym_type_annotation,
  [118651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(3520), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [118662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_GT,
    ACTIONS(6550), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [118675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6546), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      aux_sym_object_repeat1,
  [118688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    ACTIONS(6552), 1,
      anon_sym_as,
    STATE(3407), 1,
      sym__from_clause,
  [118701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_LBRACE,
    ACTIONS(3536), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [118712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6554), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [118725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RPAREN,
    STATE(3362), 1,
      aux_sym_array_repeat1,
  [118738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [118751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6556), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [118764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6558), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [118777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6560), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [118790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6534), 1,
      anon_sym_RBRACE,
    STATE(3284), 1,
      aux_sym_object_pattern_repeat1,
  [118803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT,
    ACTIONS(6562), 1,
      anon_sym_EQ,
    STATE(3764), 1,
      sym_type_parameters,
  [118816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 1,
      anon_sym_COMMA,
    ACTIONS(6566), 1,
      anon_sym_RBRACE,
    STATE(3305), 1,
      aux_sym_export_clause_repeat1,
  [118829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      anon_sym_await,
    STATE(27), 1,
      sym__for_header,
  [118842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 1,
      sym_identifier,
    ACTIONS(6574), 1,
      anon_sym_LBRACK,
    ACTIONS(6576), 1,
      sym_private_property_identifier,
  [118855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 1,
      anon_sym_COMMA,
    ACTIONS(6581), 1,
      anon_sym_RBRACK,
    STATE(3351), 1,
      aux_sym_tuple_type_repeat1,
  [118868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 1,
      sym_identifier,
    ACTIONS(6585), 1,
      anon_sym_LBRACK,
    ACTIONS(6587), 1,
      sym_private_property_identifier,
  [118881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [118890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6591), 1,
      sym_identifier,
    ACTIONS(6593), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      sym_private_property_identifier,
  [118903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 1,
      sym_identifier,
    ACTIONS(6599), 1,
      anon_sym_LBRACE,
    STATE(644), 1,
      sym_export_clause,
  [118916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 1,
      sym_identifier,
    ACTIONS(6603), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      sym_private_property_identifier,
  [118929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    ACTIONS(6552), 1,
      anon_sym_as,
    STATE(3480), 1,
      sym__from_clause,
  [118942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 1,
      anon_sym_RBRACK,
    ACTIONS(6607), 1,
      anon_sym_COMMA,
    STATE(3351), 1,
      aux_sym_tuple_type_repeat1,
  [118955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACE,
    ACTIONS(6609), 1,
      sym_identifier,
    STATE(3036), 1,
      sym_export_clause,
  [118968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6611), 1,
      anon_sym_RBRACE,
    STATE(3343), 1,
      aux_sym_object_pattern_repeat1,
  [118981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6613), 1,
      anon_sym_RBRACE,
    STATE(3340), 1,
      aux_sym_object_repeat1,
  [118994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6615), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [119007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_COMMA,
    ACTIONS(6613), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      aux_sym_object_repeat1,
  [119020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_COMMA,
    ACTIONS(6611), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      aux_sym_object_pattern_repeat1,
  [119033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5315), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      sym_private_property_identifier,
  [119046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym_COMMA,
    ACTIONS(6619), 1,
      anon_sym_RPAREN,
    STATE(3332), 1,
      aux_sym_formal_parameters_repeat1,
  [119059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      sym_identifier,
    STATE(1851), 1,
      sym_decorator_member_expression,
    STATE(1897), 1,
      sym_decorator_call_expression,
  [119072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6134), 1,
      anon_sym_RBRACK,
    STATE(3329), 1,
      aux_sym_array_pattern_repeat1,
  [119085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    STATE(3331), 1,
      aux_sym_array_repeat1,
  [119098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 1,
      sym_identifier,
    ACTIONS(6625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      sym_identifier,
    ACTIONS(6629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_await,
    STATE(41), 1,
      sym__for_header,
  [119142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
  [119155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_GT,
    ACTIONS(6637), 1,
      anon_sym_COMMA,
    STATE(3066), 1,
      aux_sym_implements_clause_repeat1,
  [119168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [119181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3987), 1,
      anon_sym_RPAREN,
    STATE(3386), 1,
      aux_sym_array_repeat1,
  [119194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(3987), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [119207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(5125), 1,
      anon_sym_extends,
  [119238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_COMMA,
    ACTIONS(6645), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_array_repeat1,
  [119287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_COMMA,
    ACTIONS(6134), 1,
      anon_sym_RBRACK,
    STATE(3245), 1,
      aux_sym_array_pattern_repeat1,
  [119300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_extends,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
  [119313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_COMMA,
    ACTIONS(6649), 1,
      anon_sym_RBRACE,
    STATE(3211), 1,
      aux_sym_enum_body_repeat1,
  [119326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_COMMA,
    ACTIONS(6653), 1,
      anon_sym_RBRACE,
    STATE(3211), 1,
      aux_sym_enum_body_repeat1,
  [119339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_COMMA,
    ACTIONS(6657), 1,
      anon_sym_GT,
    STATE(3319), 1,
      aux_sym_type_parameters_repeat1,
  [119352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_AMP,
    ACTIONS(4907), 1,
      anon_sym_PIPE,
    ACTIONS(5211), 1,
      anon_sym_extends,
  [119365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6659), 1,
      sym_identifier,
    ACTIONS(6661), 1,
      sym_private_property_identifier,
  [119375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 1,
      sym_identifier,
    ACTIONS(6665), 1,
      sym_private_property_identifier,
  [119385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1198), 1,
      sym_class_body,
  [119395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(3432), 1,
      sym_parenthesized_expression,
  [119405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
  [119415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_statement_block,
  [119425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
  [119435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_statement_block,
  [119445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    STATE(3010), 1,
      sym_statement_block,
  [119463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_LBRACE,
    STATE(3006), 1,
      sym_enum_body,
  [119473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(603), 1,
      sym_class_body,
  [119483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(92), 1,
      sym_class_body,
  [119493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      sym_identifier,
    ACTIONS(5317), 1,
      sym_private_property_identifier,
  [119503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 1,
      anon_sym_SEMI,
    ACTIONS(6675), 1,
      sym__automatic_semicolon,
  [119513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2385), 1,
      sym_formal_parameters,
  [119523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2760), 1,
      sym_formal_parameters,
  [119541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6677), 1,
      sym_identifier,
    ACTIONS(6679), 1,
      anon_sym_STAR,
  [119551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_SEMI,
    ACTIONS(6683), 1,
      sym__automatic_semicolon,
  [119561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    STATE(3487), 1,
      sym__from_clause,
  [119571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_SEMI,
    ACTIONS(6687), 1,
      sym__automatic_semicolon,
  [119581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_LBRACE,
    STATE(2964), 1,
      sym_enum_body,
  [119591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_class_body,
  [119601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    STATE(110), 1,
      sym_statement_block,
  [119611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    STATE(3561), 1,
      sym_type_parameter,
  [119629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    STATE(1389), 1,
      sym_arguments,
  [119639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_statement_block,
  [119657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_class_body,
  [119675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    STATE(3537), 1,
      sym__from_clause,
  [119685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 1,
      sym_identifier,
    ACTIONS(6693), 1,
      sym_private_property_identifier,
  [119695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [119703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [119711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
  [119737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_switch_body,
  [119747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym__for_header,
  [119757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3992), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
  [119799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      sym_identifier,
    ACTIONS(6711), 1,
      sym_private_property_identifier,
  [119809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3994), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(29), 1,
      sym_parenthesized_expression,
  [119827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
  [119837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 1,
      sym_identifier,
    ACTIONS(6576), 1,
      sym_private_property_identifier,
  [119855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_statement_block,
  [119873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_statement_block,
  [119899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1407), 1,
      sym_class_body,
  [119909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_statement_block,
  [119927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1720), 1,
      sym_class_body,
  [119937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    STATE(3315), 1,
      sym_type_parameter,
  [119947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1295), 1,
      sym_class_body,
  [119957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1300), 1,
      sym_statement_block,
  [119967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    STATE(3414), 1,
      sym__from_clause,
  [119977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [119985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3695), 1,
      sym_formal_parameters,
  [119995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_statement_block,
  [120005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_class_body,
  [120015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_LPAREN,
    STATE(2330), 1,
      sym_arguments,
  [120041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1689), 1,
      sym_statement_block,
  [120051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_statement_block,
  [120069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__for_header,
  [120079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6713), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [120087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(632), 1,
      sym_statement_block,
  [120097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6715), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_enum_body,
  [120107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5168), 2,
      anon_sym_in,
      anon_sym_of,
  [120115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    STATE(3391), 1,
      sym_type_parameter,
  [120125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2942), 1,
      sym_formal_parameters,
  [120135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    STATE(1257), 1,
      sym_arguments,
  [120153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [120161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym_formal_parameters,
  [120171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1254), 1,
      sym_class_body,
  [120181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6717), 1,
      anon_sym_SEMI,
    ACTIONS(6719), 1,
      sym__automatic_semicolon,
  [120191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1250), 1,
      sym_class_body,
  [120209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      sym_identifier,
    ACTIONS(6725), 1,
      anon_sym_STAR,
  [120219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_class_body,
  [120229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 1,
      anon_sym_in,
    ACTIONS(6729), 1,
      anon_sym_COLON,
  [120239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_SEMI,
    ACTIONS(6733), 1,
      sym__automatic_semicolon,
  [120249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_SEMI,
    ACTIONS(6737), 1,
      sym__automatic_semicolon,
  [120259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      sym_identifier,
    ACTIONS(5307), 1,
      sym_private_property_identifier,
  [120277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1614), 1,
      sym_class_body,
  [120287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1615), 1,
      sym_statement_block,
  [120297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1622), 1,
      sym_statement_block,
  [120307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      sym_identifier,
    ACTIONS(6489), 1,
      sym_private_property_identifier,
  [120317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1624), 1,
      sym_class_body,
  [120327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3448), 1,
      sym_statement_block,
  [120345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_identifier,
    ACTIONS(6743), 1,
      sym_private_property_identifier,
  [120355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3445), 1,
      sym_statement_block,
  [120373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      sym_identifier,
    ACTIONS(6747), 1,
      sym_private_property_identifier,
  [120383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3740), 1,
      sym_formal_parameters,
  [120393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6418), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6749), 1,
      sym_identifier,
    ACTIONS(6751), 1,
      anon_sym_STAR,
  [120411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_class_body,
  [120429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_statement_block,
  [120439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1466), 1,
      sym_class_body,
  [120449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1239), 1,
      sym_statement_block,
  [120459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3775), 1,
      sym_formal_parameters,
  [120469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1470), 1,
      sym_statement_block,
  [120479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_class_body,
  [120489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2917), 1,
      sym_class_body,
  [120499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 1,
      anon_sym_LPAREN,
    STATE(2085), 1,
      sym_arguments,
  [120509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6753), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2902), 1,
      sym_formal_parameters,
  [120535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3796), 1,
      sym_formal_parameters,
  [120545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6757), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [120553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1494), 1,
      sym_class_body,
  [120563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1704), 1,
      sym_class_body,
  [120573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1225), 1,
      sym_class_body,
  [120583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym_class_body,
  [120593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [120601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6759), 1,
      sym_identifier,
    ACTIONS(6761), 1,
      anon_sym_STAR,
  [120611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2898), 1,
      sym_class_body,
  [120621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2897), 1,
      sym_class_body,
  [120631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3631), 1,
      sym_statement_block,
  [120641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1224), 1,
      sym_class_body,
  [120651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1222), 1,
      sym_statement_block,
  [120661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2784), 1,
      sym_formal_parameters,
  [120671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1220), 1,
      sym_statement_block,
  [120681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_from,
    STATE(3620), 1,
      sym__from_clause,
  [120691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      sym_identifier,
    STATE(3301), 1,
      sym_nested_identifier,
  [120717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_class_body,
  [120727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6769), 1,
      anon_sym_SEMI,
    ACTIONS(6771), 1,
      sym__automatic_semicolon,
  [120737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    STATE(3189), 1,
      sym_type_annotation,
  [120747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3875), 1,
      sym_formal_parameters,
  [120757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      sym_identifier,
    ACTIONS(6775), 1,
      sym_private_property_identifier,
  [120767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 1,
      sym_identifier,
    ACTIONS(6779), 1,
      sym_private_property_identifier,
  [120777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_class_body,
  [120787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3846), 1,
      sym_formal_parameters,
  [120797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6781), 1,
      sym_identifier,
    ACTIONS(6783), 1,
      sym_private_property_identifier,
  [120807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym_statement_block,
  [120817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6715), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_enum_body,
  [120827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 1,
      sym_identifier,
    ACTIONS(6379), 1,
      sym_private_property_identifier,
  [120837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1746), 1,
      sym_statement_block,
  [120847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6785), 1,
      sym_identifier,
    ACTIONS(6787), 1,
      sym_private_property_identifier,
  [120857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_statement_block,
  [120867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2891), 1,
      sym_class_body,
  [120877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_class_body,
  [120887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    STATE(3012), 1,
      sym_statement_block,
  [120897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6789), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [120905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym_class_body,
  [120915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2885), 1,
      sym_class_body,
  [120925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2883), 1,
      sym_class_body,
  [120935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1215), 1,
      sym_statement_block,
  [120945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 1,
      anon_sym_LPAREN,
    STATE(3594), 1,
      sym_parenthesized_expression,
  [120955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_class_body,
  [120965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [120973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3750), 1,
      sym_formal_parameters,
  [120983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_statement_block,
  [120993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [121001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3729), 1,
      sym_formal_parameters,
  [121011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACE,
    STATE(3035), 1,
      sym_statement_block,
  [121021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_LPAREN,
    STATE(1106), 1,
      sym_arguments,
  [121031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6793), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [121039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    STATE(2085), 1,
      sym_arguments,
  [121049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(2871), 1,
      sym_class_body,
  [121059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    STATE(3576), 1,
      sym_type_annotation,
  [121069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(1241), 1,
      sym_statement_block,
  [121079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3702), 1,
      sym_formal_parameters,
  [121089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [121105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [121113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    STATE(3428), 1,
      sym_type_annotation,
  [121123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_statement_block,
  [121133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6799), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      anon_sym_LBRACE,
    STATE(625), 1,
      sym_class_body,
  [121151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6801), 1,
      sym_identifier,
    ACTIONS(6803), 1,
      sym_private_property_identifier,
  [121161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6805), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [121169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6807), 1,
      sym_identifier,
    ACTIONS(6809), 1,
      sym_private_property_identifier,
  [121179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6811), 1,
      sym_identifier,
    ACTIONS(6813), 1,
      sym_private_property_identifier,
  [121197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3574), 1,
      sym_statement_block,
  [121207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      sym_identifier,
    ACTIONS(6250), 1,
      sym_private_property_identifier,
  [121217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3584), 1,
      sym_statement_block,
  [121235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(2578), 1,
      sym_formal_parameters,
  [121253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_LPAREN,
    STATE(2431), 1,
      sym_formal_parameters,
  [121263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3588), 1,
      sym_statement_block,
  [121273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(109), 1,
      sym_class_body,
  [121291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1726), 1,
      sym_class_body,
  [121301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_statement_block,
  [121311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_statement_block,
  [121329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6817), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [121345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1472), 1,
      sym_class_body,
  [121355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [121363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1473), 1,
      sym_statement_block,
  [121373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3608), 1,
      sym_statement_block,
  [121383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6232), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [121391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3590), 1,
      sym_statement_block,
  [121401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    STATE(2246), 1,
      sym_arguments,
  [121427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3645), 1,
      sym_formal_parameters,
  [121445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_formal_parameters,
  [121455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1506), 1,
      sym_class_body,
  [121465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    STATE(1733), 1,
      sym_arguments,
  [121475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 1,
      sym_identifier,
    ACTIONS(6211), 1,
      sym_private_property_identifier,
  [121485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_LPAREN,
    STATE(3666), 1,
      sym_formal_parameters,
  [121495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6821), 1,
      sym_identifier,
    ACTIONS(6823), 1,
      sym_private_property_identifier,
  [121505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [121513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym_SEMI,
    ACTIONS(6827), 1,
      sym__automatic_semicolon,
  [121523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [121531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1728), 1,
      sym_class_body,
  [121541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6829), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1694), 1,
      sym_statement_block,
  [121559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6833), 1,
      sym_identifier,
    ACTIONS(6835), 1,
      sym_private_property_identifier,
  [121577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_statement_block,
  [121587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      sym_identifier,
    STATE(3188), 1,
      sym_nested_identifier,
  [121597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_class_body,
  [121607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1696), 1,
      sym_class_body,
  [121617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3495), 1,
      sym_statement_block,
  [121635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6215), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_statement_block,
  [121669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_statement_block,
  [121679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1475), 1,
      sym_class_body,
  [121689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LBRACE,
    STATE(1477), 1,
      sym_statement_block,
  [121699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACE,
    STATE(1480), 1,
      sym_class_body,
  [121709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_RBRACK,
  [121716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      sym_identifier,
  [121723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6845), 1,
      anon_sym_RBRACK,
  [121730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6847), 1,
      anon_sym_RBRACK,
  [121737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_EQ_GT,
  [121744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 1,
      anon_sym_EQ_GT,
  [121751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 1,
      sym_identifier,
  [121758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym_EQ_GT,
  [121765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_EQ_GT,
  [121772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym_EQ,
  [121779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_from,
  [121786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 1,
      sym_identifier,
  [121793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_require,
  [121800] = 2,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(6865), 1,
      sym_regex_pattern,
  [121807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6867), 1,
      anon_sym_EQ_GT,
  [121814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6869), 1,
      anon_sym_from,
  [121821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6871), 1,
      anon_sym_RBRACK,
  [121828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 1,
      anon_sym_DOT,
  [121835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6873), 1,
      anon_sym_from,
  [121842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6875), 1,
      sym_identifier,
  [121849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_RBRACK,
  [121856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6877), 1,
      anon_sym_RBRACK,
  [121863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      anon_sym_LPAREN,
  [121870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6881), 1,
      anon_sym_from,
  [121877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      anon_sym_RBRACK,
  [121884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6885), 1,
      anon_sym_EQ_GT,
  [121891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 1,
      sym_identifier,
  [121898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6889), 1,
      anon_sym_EQ_GT,
  [121905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_RBRACK,
  [121912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_RBRACK,
  [121919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 1,
      anon_sym_RBRACK,
  [121926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      anon_sym_RPAREN,
  [121933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      sym_identifier,
  [121940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 1,
      anon_sym_SLASH2,
  [121947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      anon_sym_EQ_GT,
  [121954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_RBRACK,
  [121961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6905), 1,
      sym_identifier,
  [121968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      sym_identifier,
  [121975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_RBRACE,
  [121982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      sym_number,
  [121989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6911), 1,
      anon_sym_COLON,
  [121996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6913), 1,
      anon_sym_RBRACK,
  [122003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6915), 1,
      anon_sym_RBRACK,
  [122010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      anon_sym_RBRACK,
  [122017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6919), 1,
      anon_sym_RBRACK,
  [122024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
  [122031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 1,
      anon_sym_RBRACK,
  [122038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      anon_sym_LBRACE,
  [122045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_RBRACK,
  [122052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      sym_identifier,
  [122059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 1,
      anon_sym_RBRACK,
  [122066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_LBRACK,
  [122073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 1,
      anon_sym_RBRACK,
  [122080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_RBRACK,
  [122087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 1,
      anon_sym_EQ_GT,
  [122094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6939), 1,
      anon_sym_RBRACK,
  [122101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_RBRACK,
  [122108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 1,
      anon_sym_RBRACK,
  [122115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      sym_identifier,
  [122122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_RPAREN,
  [122129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6947), 1,
      sym_number,
  [122136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_EQ_GT,
  [122143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      anon_sym_EQ_GT,
  [122150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 1,
      sym_identifier,
  [122157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6955), 1,
      anon_sym_EQ_GT,
  [122164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6327), 1,
      anon_sym_RBRACK,
  [122171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      sym_identifier,
  [122178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 1,
      anon_sym_RPAREN,
  [122185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 1,
      anon_sym_RBRACK,
  [122192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 1,
      anon_sym_RBRACK,
  [122199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym_readonly,
  [122206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6967), 1,
      anon_sym_RBRACK,
  [122213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_RBRACK,
  [122220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      anon_sym_RBRACK,
  [122227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_RBRACK,
  [122234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_EQ_GT,
  [122241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_RBRACK,
  [122248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_EQ_GT,
  [122255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6981), 1,
      anon_sym_EQ_GT,
  [122262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6983), 1,
      anon_sym_EQ_GT,
  [122269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_RBRACK,
  [122276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 1,
      anon_sym_RBRACK,
  [122283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      anon_sym_RBRACK,
  [122290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_DOT,
  [122297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_RBRACK,
  [122304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym_EQ_GT,
  [122311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      sym_identifier,
  [122318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6995), 1,
      anon_sym_RBRACK,
  [122325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym_EQ_GT,
  [122332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_RBRACK,
  [122339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_RBRACK,
  [122346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym_RBRACK,
  [122353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_RPAREN,
  [122360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7005), 1,
      anon_sym_RBRACK,
  [122367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym_RBRACK,
  [122374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7009), 1,
      anon_sym_RBRACK,
  [122381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_RPAREN,
  [122388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 1,
      anon_sym_RBRACK,
  [122395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 1,
      anon_sym_RBRACK,
  [122402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 1,
      anon_sym_EQ_GT,
  [122409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 1,
      anon_sym_RBRACK,
  [122416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 1,
      anon_sym_RBRACK,
  [122423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_DOT,
  [122430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_COLON,
  [122437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym_RBRACK,
  [122444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7027), 1,
      anon_sym_RBRACK,
  [122451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 1,
      anon_sym_RBRACK,
  [122458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7031), 1,
      anon_sym_RBRACK,
  [122465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 1,
      anon_sym_RBRACK,
  [122472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7035), 1,
      anon_sym_EQ_GT,
  [122479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_COLON,
  [122486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7039), 1,
      anon_sym_RBRACK,
  [122493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 1,
      anon_sym_RBRACK,
  [122500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7043), 1,
      anon_sym_RBRACK,
  [122507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      anon_sym_RBRACK,
  [122514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_RBRACK,
  [122521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 1,
      anon_sym_from,
  [122528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_RBRACE,
  [122535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 1,
      anon_sym_DOT,
  [122542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 1,
      sym_identifier,
  [122549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7055), 1,
      anon_sym_RBRACK,
  [122556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_RBRACK,
  [122563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_RBRACK,
  [122570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ,
  [122577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_RBRACK,
  [122584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7065), 1,
      anon_sym_RBRACK,
  [122591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_RBRACK,
  [122598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_class,
  [122605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
  [122612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_EQ_GT,
  [122619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_RBRACK,
  [122626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_EQ,
  [122633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7077), 1,
      anon_sym_namespace,
  [122640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 1,
      anon_sym_RBRACK,
  [122647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      anon_sym_EQ_GT,
  [122654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 1,
      sym_identifier,
  [122661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_RBRACK,
  [122668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7085), 1,
      anon_sym_EQ_GT,
  [122675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      anon_sym_RBRACK,
  [122682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_RBRACK,
  [122689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_RBRACK,
  [122696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7093), 1,
      anon_sym_EQ_GT,
  [122703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_RBRACK,
  [122710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_EQ_GT,
  [122717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_EQ_GT,
  [122724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7101), 1,
      anon_sym_RBRACK,
  [122731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      sym_identifier,
  [122738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_class,
  [122745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      sym_identifier,
  [122752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_EQ,
  [122759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 1,
      anon_sym_EQ,
  [122766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_RBRACK,
  [122773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_EQ,
  [122780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      sym_identifier,
  [122787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      anon_sym_RBRACK,
  [122794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_EQ_GT,
  [122801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 1,
      anon_sym_RBRACK,
  [122808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7123), 1,
      sym_identifier,
  [122815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_RBRACK,
  [122822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7127), 1,
      anon_sym_RBRACK,
  [122829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7129), 1,
      anon_sym_COLON,
  [122836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      anon_sym_RBRACK,
  [122843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_from,
  [122850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 1,
      sym_identifier,
  [122857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_RBRACK,
  [122864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_from,
  [122871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      anon_sym_COLON,
  [122878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      sym_identifier,
  [122885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      sym_identifier,
  [122892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_EQ,
  [122899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_COLON,
  [122906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7147), 1,
      anon_sym_EQ_GT,
  [122913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7149), 1,
      anon_sym_RBRACE,
  [122920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7151), 1,
      sym_identifier,
  [122927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7153), 1,
      sym_identifier,
  [122934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_RPAREN,
  [122941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
  [122948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7155), 1,
      sym_number,
  [122955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_identifier,
  [122962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7159), 1,
      anon_sym_class,
  [122969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
  [122976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_EQ_GT,
  [122983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      anon_sym_DOT,
  [122990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7163), 1,
      sym_identifier,
  [122997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7165), 1,
      anon_sym_EQ_GT,
  [123004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7167), 1,
      sym_identifier,
  [123011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7169), 1,
      anon_sym_RPAREN,
  [123018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 1,
      sym_identifier,
  [123025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_RBRACK,
  [123032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7171), 1,
      sym_identifier,
  [123039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7173), 1,
      anon_sym_target,
  [123046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_identifier,
  [123053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 1,
      anon_sym_RBRACK,
  [123060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 1,
      anon_sym_EQ_GT,
  [123067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_EQ_GT,
  [123074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_EQ_GT,
  [123081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 1,
      anon_sym_LBRACE,
  [123088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7179), 1,
      anon_sym_EQ_GT,
  [123095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
  [123102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_SLASH2,
  [123109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7183), 1,
      sym_identifier,
  [123116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 1,
      anon_sym_RPAREN,
  [123123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7187), 1,
      anon_sym_EQ_GT,
  [123130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_DOT,
  [123137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      sym_identifier,
  [123144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_EQ_GT,
  [123151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7193), 1,
      sym_number,
  [123158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7195), 1,
      sym_identifier,
  [123165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 1,
      anon_sym_from,
  [123172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7199), 1,
      sym_identifier,
  [123179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      sym_identifier,
  [123186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7203), 1,
      anon_sym_RBRACK,
  [123193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7205), 1,
      anon_sym_EQ_GT,
  [123200] = 2,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(7207), 1,
      sym_regex_pattern,
  [123207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_RBRACK,
  [123214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7211), 1,
      anon_sym_RBRACK,
  [123221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7213), 1,
      anon_sym_RBRACK,
  [123228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_RBRACK,
  [123235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7217), 1,
      anon_sym_while,
  [123242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7219), 1,
      anon_sym_RBRACK,
  [123249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_RPAREN,
  [123256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_LPAREN,
  [123263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7221), 1,
      sym_identifier,
  [123270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7223), 1,
      anon_sym_RBRACK,
  [123277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7225), 1,
      anon_sym_RBRACK,
  [123284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      sym_identifier,
  [123291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_EQ_GT,
  [123298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7231), 1,
      anon_sym_RBRACK,
  [123305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7233), 1,
      anon_sym_RBRACK,
  [123312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_RBRACK,
  [123319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      anon_sym_from,
  [123326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7237), 1,
      sym_identifier,
  [123333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_RBRACK,
  [123340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_as,
  [123347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_EQ_GT,
  [123354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_EQ_GT,
  [123361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7243), 1,
      anon_sym_RBRACK,
  [123368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_EQ,
  [123375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_EQ_GT,
  [123382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_EQ_GT,
  [123389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7251), 1,
      anon_sym_EQ_GT,
  [123396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      sym_identifier,
  [123403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7255), 1,
      anon_sym_RPAREN,
  [123410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7257), 1,
      anon_sym_EQ,
  [123417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_RBRACK,
  [123424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      sym_identifier,
  [123431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_EQ,
  [123438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7265), 1,
      anon_sym_RBRACK,
  [123445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_RBRACK,
  [123452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7269), 1,
      anon_sym_RBRACK,
  [123459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_RBRACK,
  [123466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_function,
  [123473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_EQ_GT,
  [123480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      sym_identifier,
  [123487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      sym_identifier,
  [123494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7281), 1,
      anon_sym_namespace,
  [123501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6342), 1,
      anon_sym_EQ,
  [123508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7283), 1,
      anon_sym_RBRACE,
  [123515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_RBRACK,
  [123522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      anon_sym_RBRACK,
  [123529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_RBRACK,
  [123536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 1,
      anon_sym_EQ,
  [123543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_RBRACK,
  [123550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7293), 1,
      anon_sym_EQ_GT,
  [123557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      ts_builtin_sym_end,
  [123564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 1,
      sym_identifier,
  [123571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_function,
  [123578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 1,
      sym_identifier,
  [123585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7303), 1,
      sym_identifier,
  [123592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7305), 1,
      anon_sym_class,
  [123599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 1,
      sym_identifier,
  [123606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7309), 1,
      anon_sym_RBRACK,
  [123613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      sym_identifier,
  [123620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      sym_identifier,
  [123627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7315), 1,
      anon_sym_RBRACK,
  [123634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_RPAREN,
  [123641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_RBRACK,
  [123648] = 2,
    ACTIONS(5943), 1,
      sym_comment,
    ACTIONS(7319), 1,
      sym_regex_pattern,
  [123655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 1,
      anon_sym_RBRACK,
  [123662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_target,
  [123669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_RBRACK,
  [123676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_RBRACK,
  [123683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_RBRACK,
  [123690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_RBRACK,
  [123697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7333), 1,
      anon_sym_EQ_GT,
  [123704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7335), 1,
      anon_sym_EQ_GT,
  [123711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7337), 1,
      anon_sym_RBRACK,
  [123718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7339), 1,
      anon_sym_EQ_GT,
  [123725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7341), 1,
      anon_sym_RBRACK,
  [123732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      anon_sym_SLASH2,
  [123739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      sym_number,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(725)] = 0,
  [SMALL_STATE(726)] = 131,
  [SMALL_STATE(727)] = 262,
  [SMALL_STATE(728)] = 393,
  [SMALL_STATE(729)] = 524,
  [SMALL_STATE(730)] = 655,
  [SMALL_STATE(731)] = 786,
  [SMALL_STATE(732)] = 917,
  [SMALL_STATE(733)] = 1048,
  [SMALL_STATE(734)] = 1179,
  [SMALL_STATE(735)] = 1312,
  [SMALL_STATE(736)] = 1443,
  [SMALL_STATE(737)] = 1574,
  [SMALL_STATE(738)] = 1705,
  [SMALL_STATE(739)] = 1836,
  [SMALL_STATE(740)] = 1967,
  [SMALL_STATE(741)] = 2098,
  [SMALL_STATE(742)] = 2229,
  [SMALL_STATE(743)] = 2360,
  [SMALL_STATE(744)] = 2491,
  [SMALL_STATE(745)] = 2622,
  [SMALL_STATE(746)] = 2753,
  [SMALL_STATE(747)] = 2884,
  [SMALL_STATE(748)] = 3015,
  [SMALL_STATE(749)] = 3146,
  [SMALL_STATE(750)] = 3277,
  [SMALL_STATE(751)] = 3408,
  [SMALL_STATE(752)] = 3539,
  [SMALL_STATE(753)] = 3670,
  [SMALL_STATE(754)] = 3801,
  [SMALL_STATE(755)] = 3932,
  [SMALL_STATE(756)] = 4063,
  [SMALL_STATE(757)] = 4194,
  [SMALL_STATE(758)] = 4325,
  [SMALL_STATE(759)] = 4456,
  [SMALL_STATE(760)] = 4587,
  [SMALL_STATE(761)] = 4718,
  [SMALL_STATE(762)] = 4849,
  [SMALL_STATE(763)] = 4980,
  [SMALL_STATE(764)] = 5111,
  [SMALL_STATE(765)] = 5242,
  [SMALL_STATE(766)] = 5373,
  [SMALL_STATE(767)] = 5506,
  [SMALL_STATE(768)] = 5637,
  [SMALL_STATE(769)] = 5768,
  [SMALL_STATE(770)] = 5899,
  [SMALL_STATE(771)] = 6030,
  [SMALL_STATE(772)] = 6161,
  [SMALL_STATE(773)] = 6292,
  [SMALL_STATE(774)] = 6423,
  [SMALL_STATE(775)] = 6554,
  [SMALL_STATE(776)] = 6643,
  [SMALL_STATE(777)] = 6774,
  [SMALL_STATE(778)] = 6905,
  [SMALL_STATE(779)] = 7036,
  [SMALL_STATE(780)] = 7167,
  [SMALL_STATE(781)] = 7298,
  [SMALL_STATE(782)] = 7429,
  [SMALL_STATE(783)] = 7560,
  [SMALL_STATE(784)] = 7691,
  [SMALL_STATE(785)] = 7822,
  [SMALL_STATE(786)] = 7953,
  [SMALL_STATE(787)] = 8084,
  [SMALL_STATE(788)] = 8215,
  [SMALL_STATE(789)] = 8346,
  [SMALL_STATE(790)] = 8477,
  [SMALL_STATE(791)] = 8608,
  [SMALL_STATE(792)] = 8739,
  [SMALL_STATE(793)] = 8870,
  [SMALL_STATE(794)] = 9001,
  [SMALL_STATE(795)] = 9132,
  [SMALL_STATE(796)] = 9263,
  [SMALL_STATE(797)] = 9394,
  [SMALL_STATE(798)] = 9525,
  [SMALL_STATE(799)] = 9656,
  [SMALL_STATE(800)] = 9787,
  [SMALL_STATE(801)] = 9918,
  [SMALL_STATE(802)] = 10049,
  [SMALL_STATE(803)] = 10180,
  [SMALL_STATE(804)] = 10311,
  [SMALL_STATE(805)] = 10442,
  [SMALL_STATE(806)] = 10573,
  [SMALL_STATE(807)] = 10704,
  [SMALL_STATE(808)] = 10835,
  [SMALL_STATE(809)] = 10966,
  [SMALL_STATE(810)] = 11097,
  [SMALL_STATE(811)] = 11228,
  [SMALL_STATE(812)] = 11359,
  [SMALL_STATE(813)] = 11490,
  [SMALL_STATE(814)] = 11621,
  [SMALL_STATE(815)] = 11752,
  [SMALL_STATE(816)] = 11883,
  [SMALL_STATE(817)] = 12014,
  [SMALL_STATE(818)] = 12145,
  [SMALL_STATE(819)] = 12276,
  [SMALL_STATE(820)] = 12407,
  [SMALL_STATE(821)] = 12538,
  [SMALL_STATE(822)] = 12669,
  [SMALL_STATE(823)] = 12800,
  [SMALL_STATE(824)] = 12931,
  [SMALL_STATE(825)] = 13062,
  [SMALL_STATE(826)] = 13195,
  [SMALL_STATE(827)] = 13326,
  [SMALL_STATE(828)] = 13415,
  [SMALL_STATE(829)] = 13546,
  [SMALL_STATE(830)] = 13677,
  [SMALL_STATE(831)] = 13808,
  [SMALL_STATE(832)] = 13939,
  [SMALL_STATE(833)] = 14070,
  [SMALL_STATE(834)] = 14201,
  [SMALL_STATE(835)] = 14332,
  [SMALL_STATE(836)] = 14463,
  [SMALL_STATE(837)] = 14553,
  [SMALL_STATE(838)] = 14641,
  [SMALL_STATE(839)] = 14731,
  [SMALL_STATE(840)] = 14821,
  [SMALL_STATE(841)] = 14909,
  [SMALL_STATE(842)] = 15001,
  [SMALL_STATE(843)] = 15091,
  [SMALL_STATE(844)] = 15182,
  [SMALL_STATE(845)] = 15271,
  [SMALL_STATE(846)] = 15358,
  [SMALL_STATE(847)] = 15451,
  [SMALL_STATE(848)] = 15538,
  [SMALL_STATE(849)] = 15626,
  [SMALL_STATE(850)] = 15756,
  [SMALL_STATE(851)] = 15846,
  [SMALL_STATE(852)] = 15982,
  [SMALL_STATE(853)] = 16068,
  [SMALL_STATE(854)] = 16198,
  [SMALL_STATE(855)] = 16284,
  [SMALL_STATE(856)] = 16372,
  [SMALL_STATE(857)] = 16460,
  [SMALL_STATE(858)] = 16596,
  [SMALL_STATE(859)] = 16682,
  [SMALL_STATE(860)] = 16770,
  [SMALL_STATE(861)] = 16906,
  [SMALL_STATE(862)] = 16992,
  [SMALL_STATE(863)] = 17078,
  [SMALL_STATE(864)] = 17214,
  [SMALL_STATE(865)] = 17302,
  [SMALL_STATE(866)] = 17387,
  [SMALL_STATE(867)] = 17472,
  [SMALL_STATE(868)] = 17557,
  [SMALL_STATE(869)] = 17642,
  [SMALL_STATE(870)] = 17729,
  [SMALL_STATE(871)] = 17814,
  [SMALL_STATE(872)] = 17881,
  [SMALL_STATE(873)] = 17966,
  [SMALL_STATE(874)] = 18033,
  [SMALL_STATE(875)] = 18100,
  [SMALL_STATE(876)] = 18167,
  [SMALL_STATE(877)] = 18252,
  [SMALL_STATE(878)] = 18339,
  [SMALL_STATE(879)] = 18426,
  [SMALL_STATE(880)] = 18511,
  [SMALL_STATE(881)] = 18600,
  [SMALL_STATE(882)] = 18667,
  [SMALL_STATE(883)] = 18734,
  [SMALL_STATE(884)] = 18801,
  [SMALL_STATE(885)] = 18886,
  [SMALL_STATE(886)] = 18971,
  [SMALL_STATE(887)] = 19055,
  [SMALL_STATE(888)] = 19141,
  [SMALL_STATE(889)] = 19233,
  [SMALL_STATE(890)] = 19303,
  [SMALL_STATE(891)] = 19381,
  [SMALL_STATE(892)] = 19461,
  [SMALL_STATE(893)] = 19547,
  [SMALL_STATE(894)] = 19632,
  [SMALL_STATE(895)] = 19707,
  [SMALL_STATE(896)] = 19784,
  [SMALL_STATE(897)] = 19909,
  [SMALL_STATE(898)] = 19980,
  [SMALL_STATE(899)] = 20055,
  [SMALL_STATE(900)] = 20138,
  [SMALL_STATE(901)] = 20225,
  [SMALL_STATE(902)] = 20296,
  [SMALL_STATE(903)] = 20381,
  [SMALL_STATE(904)] = 20452,
  [SMALL_STATE(905)] = 20541,
  [SMALL_STATE(906)] = 20666,
  [SMALL_STATE(907)] = 20749,
  [SMALL_STATE(908)] = 20820,
  [SMALL_STATE(909)] = 20892,
  [SMALL_STATE(910)] = 20964,
  [SMALL_STATE(911)] = 21048,
  [SMALL_STATE(912)] = 21130,
  [SMALL_STATE(913)] = 21194,
  [SMALL_STATE(914)] = 21278,
  [SMALL_STATE(915)] = 21360,
  [SMALL_STATE(916)] = 21436,
  [SMALL_STATE(917)] = 21508,
  [SMALL_STATE(918)] = 21572,
  [SMALL_STATE(919)] = 21642,
  [SMALL_STATE(920)] = 21706,
  [SMALL_STATE(921)] = 21778,
  [SMALL_STATE(922)] = 21860,
  [SMALL_STATE(923)] = 21932,
  [SMALL_STATE(924)] = 22016,
  [SMALL_STATE(925)] = 22080,
  [SMALL_STATE(926)] = 22150,
  [SMALL_STATE(927)] = 22232,
  [SMALL_STATE(928)] = 22302,
  [SMALL_STATE(929)] = 22372,
  [SMALL_STATE(930)] = 22446,
  [SMALL_STATE(931)] = 22522,
  [SMALL_STATE(932)] = 22586,
  [SMALL_STATE(933)] = 22660,
  [SMALL_STATE(934)] = 22732,
  [SMALL_STATE(935)] = 22796,
  [SMALL_STATE(936)] = 22880,
  [SMALL_STATE(937)] = 22948,
  [SMALL_STATE(938)] = 23012,
  [SMALL_STATE(939)] = 23083,
  [SMALL_STATE(940)] = 23158,
  [SMALL_STATE(941)] = 23231,
  [SMALL_STATE(942)] = 23300,
  [SMALL_STATE(943)] = 23375,
  [SMALL_STATE(944)] = 23446,
  [SMALL_STATE(945)] = 23521,
  [SMALL_STATE(946)] = 23592,
  [SMALL_STATE(947)] = 23667,
  [SMALL_STATE(948)] = 23738,
  [SMALL_STATE(949)] = 23813,
  [SMALL_STATE(950)] = 23882,
  [SMALL_STATE(951)] = 23951,
  [SMALL_STATE(952)] = 24028,
  [SMALL_STATE(953)] = 24105,
  [SMALL_STATE(954)] = 24174,
  [SMALL_STATE(955)] = 24247,
  [SMALL_STATE(956)] = 24314,
  [SMALL_STATE(957)] = 24385,
  [SMALL_STATE(958)] = 24452,
  [SMALL_STATE(959)] = 24524,
  [SMALL_STATE(960)] = 24592,
  [SMALL_STATE(961)] = 24660,
  [SMALL_STATE(962)] = 24732,
  [SMALL_STATE(963)] = 24802,
  [SMALL_STATE(964)] = 24872,
  [SMALL_STATE(965)] = 24944,
  [SMALL_STATE(966)] = 25012,
  [SMALL_STATE(967)] = 25078,
  [SMALL_STATE(968)] = 25148,
  [SMALL_STATE(969)] = 25220,
  [SMALL_STATE(970)] = 25290,
  [SMALL_STATE(971)] = 25358,
  [SMALL_STATE(972)] = 25425,
  [SMALL_STATE(973)] = 25496,
  [SMALL_STATE(974)] = 25561,
  [SMALL_STATE(975)] = 25628,
  [SMALL_STATE(976)] = 25699,
  [SMALL_STATE(977)] = 25766,
  [SMALL_STATE(978)] = 25833,
  [SMALL_STATE(979)] = 25900,
  [SMALL_STATE(980)] = 25967,
  [SMALL_STATE(981)] = 26035,
  [SMALL_STATE(982)] = 26099,
  [SMALL_STATE(983)] = 26212,
  [SMALL_STATE(984)] = 26325,
  [SMALL_STATE(985)] = 26438,
  [SMALL_STATE(986)] = 26551,
  [SMALL_STATE(987)] = 26664,
  [SMALL_STATE(988)] = 26777,
  [SMALL_STATE(989)] = 26895,
  [SMALL_STATE(990)] = 27013,
  [SMALL_STATE(991)] = 27131,
  [SMALL_STATE(992)] = 27249,
  [SMALL_STATE(993)] = 27367,
  [SMALL_STATE(994)] = 27476,
  [SMALL_STATE(995)] = 27585,
  [SMALL_STATE(996)] = 27694,
  [SMALL_STATE(997)] = 27803,
  [SMALL_STATE(998)] = 27912,
  [SMALL_STATE(999)] = 28021,
  [SMALL_STATE(1000)] = 28130,
  [SMALL_STATE(1001)] = 28239,
  [SMALL_STATE(1002)] = 28348,
  [SMALL_STATE(1003)] = 28457,
  [SMALL_STATE(1004)] = 28572,
  [SMALL_STATE(1005)] = 28681,
  [SMALL_STATE(1006)] = 28790,
  [SMALL_STATE(1007)] = 28867,
  [SMALL_STATE(1008)] = 28976,
  [SMALL_STATE(1009)] = 29085,
  [SMALL_STATE(1010)] = 29194,
  [SMALL_STATE(1011)] = 29303,
  [SMALL_STATE(1012)] = 29412,
  [SMALL_STATE(1013)] = 29521,
  [SMALL_STATE(1014)] = 29631,
  [SMALL_STATE(1015)] = 29741,
  [SMALL_STATE(1016)] = 29849,
  [SMALL_STATE(1017)] = 29954,
  [SMALL_STATE(1018)] = 30059,
  [SMALL_STATE(1019)] = 30164,
  [SMALL_STATE(1020)] = 30269,
  [SMALL_STATE(1021)] = 30374,
  [SMALL_STATE(1022)] = 30429,
  [SMALL_STATE(1023)] = 30484,
  [SMALL_STATE(1024)] = 30589,
  [SMALL_STATE(1025)] = 30694,
  [SMALL_STATE(1026)] = 30749,
  [SMALL_STATE(1027)] = 30847,
  [SMALL_STATE(1028)] = 30945,
  [SMALL_STATE(1029)] = 31043,
  [SMALL_STATE(1030)] = 31141,
  [SMALL_STATE(1031)] = 31239,
  [SMALL_STATE(1032)] = 31337,
  [SMALL_STATE(1033)] = 31435,
  [SMALL_STATE(1034)] = 31488,
  [SMALL_STATE(1035)] = 31541,
  [SMALL_STATE(1036)] = 31602,
  [SMALL_STATE(1037)] = 31658,
  [SMALL_STATE(1038)] = 31724,
  [SMALL_STATE(1039)] = 31814,
  [SMALL_STATE(1040)] = 31868,
  [SMALL_STATE(1041)] = 31924,
  [SMALL_STATE(1042)] = 31986,
  [SMALL_STATE(1043)] = 32046,
  [SMALL_STATE(1044)] = 32102,
  [SMALL_STATE(1045)] = 32160,
  [SMALL_STATE(1046)] = 32220,
  [SMALL_STATE(1047)] = 32282,
  [SMALL_STATE(1048)] = 32340,
  [SMALL_STATE(1049)] = 32402,
  [SMALL_STATE(1050)] = 32455,
  [SMALL_STATE(1051)] = 32508,
  [SMALL_STATE(1052)] = 32559,
  [SMALL_STATE(1053)] = 32610,
  [SMALL_STATE(1054)] = 32715,
  [SMALL_STATE(1055)] = 32768,
  [SMALL_STATE(1056)] = 32819,
  [SMALL_STATE(1057)] = 32870,
  [SMALL_STATE(1058)] = 32921,
  [SMALL_STATE(1059)] = 32972,
  [SMALL_STATE(1060)] = 33023,
  [SMALL_STATE(1061)] = 33074,
  [SMALL_STATE(1062)] = 33125,
  [SMALL_STATE(1063)] = 33176,
  [SMALL_STATE(1064)] = 33227,
  [SMALL_STATE(1065)] = 33278,
  [SMALL_STATE(1066)] = 33345,
  [SMALL_STATE(1067)] = 33396,
  [SMALL_STATE(1068)] = 33453,
  [SMALL_STATE(1069)] = 33508,
  [SMALL_STATE(1070)] = 33559,
  [SMALL_STATE(1071)] = 33664,
  [SMALL_STATE(1072)] = 33715,
  [SMALL_STATE(1073)] = 33788,
  [SMALL_STATE(1074)] = 33839,
  [SMALL_STATE(1075)] = 33894,
  [SMALL_STATE(1076)] = 33945,
  [SMALL_STATE(1077)] = 33996,
  [SMALL_STATE(1078)] = 34047,
  [SMALL_STATE(1079)] = 34098,
  [SMALL_STATE(1080)] = 34149,
  [SMALL_STATE(1081)] = 34200,
  [SMALL_STATE(1082)] = 34251,
  [SMALL_STATE(1083)] = 34356,
  [SMALL_STATE(1084)] = 34407,
  [SMALL_STATE(1085)] = 34512,
  [SMALL_STATE(1086)] = 34581,
  [SMALL_STATE(1087)] = 34632,
  [SMALL_STATE(1088)] = 34689,
  [SMALL_STATE(1089)] = 34740,
  [SMALL_STATE(1090)] = 34791,
  [SMALL_STATE(1091)] = 34842,
  [SMALL_STATE(1092)] = 34893,
  [SMALL_STATE(1093)] = 34944,
  [SMALL_STATE(1094)] = 34995,
  [SMALL_STATE(1095)] = 35046,
  [SMALL_STATE(1096)] = 35151,
  [SMALL_STATE(1097)] = 35202,
  [SMALL_STATE(1098)] = 35253,
  [SMALL_STATE(1099)] = 35304,
  [SMALL_STATE(1100)] = 35355,
  [SMALL_STATE(1101)] = 35406,
  [SMALL_STATE(1102)] = 35457,
  [SMALL_STATE(1103)] = 35508,
  [SMALL_STATE(1104)] = 35559,
  [SMALL_STATE(1105)] = 35610,
  [SMALL_STATE(1106)] = 35661,
  [SMALL_STATE(1107)] = 35712,
  [SMALL_STATE(1108)] = 35763,
  [SMALL_STATE(1109)] = 35814,
  [SMALL_STATE(1110)] = 35865,
  [SMALL_STATE(1111)] = 35916,
  [SMALL_STATE(1112)] = 35967,
  [SMALL_STATE(1113)] = 36018,
  [SMALL_STATE(1114)] = 36069,
  [SMALL_STATE(1115)] = 36120,
  [SMALL_STATE(1116)] = 36171,
  [SMALL_STATE(1117)] = 36222,
  [SMALL_STATE(1118)] = 36273,
  [SMALL_STATE(1119)] = 36324,
  [SMALL_STATE(1120)] = 36375,
  [SMALL_STATE(1121)] = 36432,
  [SMALL_STATE(1122)] = 36487,
  [SMALL_STATE(1123)] = 36540,
  [SMALL_STATE(1124)] = 36591,
  [SMALL_STATE(1125)] = 36642,
  [SMALL_STATE(1126)] = 36693,
  [SMALL_STATE(1127)] = 36746,
  [SMALL_STATE(1128)] = 36797,
  [SMALL_STATE(1129)] = 36850,
  [SMALL_STATE(1130)] = 36901,
  [SMALL_STATE(1131)] = 36952,
  [SMALL_STATE(1132)] = 37005,
  [SMALL_STATE(1133)] = 37056,
  [SMALL_STATE(1134)] = 37113,
  [SMALL_STATE(1135)] = 37166,
  [SMALL_STATE(1136)] = 37219,
  [SMALL_STATE(1137)] = 37270,
  [SMALL_STATE(1138)] = 37321,
  [SMALL_STATE(1139)] = 37426,
  [SMALL_STATE(1140)] = 37487,
  [SMALL_STATE(1141)] = 37542,
  [SMALL_STATE(1142)] = 37647,
  [SMALL_STATE(1143)] = 37752,
  [SMALL_STATE(1144)] = 37805,
  [SMALL_STATE(1145)] = 37904,
  [SMALL_STATE(1146)] = 38009,
  [SMALL_STATE(1147)] = 38094,
  [SMALL_STATE(1148)] = 38145,
  [SMALL_STATE(1149)] = 38214,
  [SMALL_STATE(1150)] = 38265,
  [SMALL_STATE(1151)] = 38318,
  [SMALL_STATE(1152)] = 38393,
  [SMALL_STATE(1153)] = 38444,
  [SMALL_STATE(1154)] = 38537,
  [SMALL_STATE(1155)] = 38628,
  [SMALL_STATE(1156)] = 38717,
  [SMALL_STATE(1157)] = 38794,
  [SMALL_STATE(1158)] = 38845,
  [SMALL_STATE(1159)] = 38942,
  [SMALL_STATE(1160)] = 38999,
  [SMALL_STATE(1161)] = 39094,
  [SMALL_STATE(1162)] = 39145,
  [SMALL_STATE(1163)] = 39196,
  [SMALL_STATE(1164)] = 39247,
  [SMALL_STATE(1165)] = 39352,
  [SMALL_STATE(1166)] = 39409,
  [SMALL_STATE(1167)] = 39466,
  [SMALL_STATE(1168)] = 39523,
  [SMALL_STATE(1169)] = 39574,
  [SMALL_STATE(1170)] = 39631,
  [SMALL_STATE(1171)] = 39682,
  [SMALL_STATE(1172)] = 39763,
  [SMALL_STATE(1173)] = 39814,
  [SMALL_STATE(1174)] = 39921,
  [SMALL_STATE(1175)] = 39974,
  [SMALL_STATE(1176)] = 40031,
  [SMALL_STATE(1177)] = 40088,
  [SMALL_STATE(1178)] = 40159,
  [SMALL_STATE(1179)] = 40264,
  [SMALL_STATE(1180)] = 40315,
  [SMALL_STATE(1181)] = 40420,
  [SMALL_STATE(1182)] = 40475,
  [SMALL_STATE(1183)] = 40579,
  [SMALL_STATE(1184)] = 40637,
  [SMALL_STATE(1185)] = 40687,
  [SMALL_STATE(1186)] = 40737,
  [SMALL_STATE(1187)] = 40787,
  [SMALL_STATE(1188)] = 40837,
  [SMALL_STATE(1189)] = 40931,
  [SMALL_STATE(1190)] = 41025,
  [SMALL_STATE(1191)] = 41121,
  [SMALL_STATE(1192)] = 41197,
  [SMALL_STATE(1193)] = 41247,
  [SMALL_STATE(1194)] = 41357,
  [SMALL_STATE(1195)] = 41407,
  [SMALL_STATE(1196)] = 41457,
  [SMALL_STATE(1197)] = 41561,
  [SMALL_STATE(1198)] = 41649,
  [SMALL_STATE(1199)] = 41699,
  [SMALL_STATE(1200)] = 41749,
  [SMALL_STATE(1201)] = 41839,
  [SMALL_STATE(1202)] = 41931,
  [SMALL_STATE(1203)] = 42005,
  [SMALL_STATE(1204)] = 42073,
  [SMALL_STATE(1205)] = 42157,
  [SMALL_STATE(1206)] = 42251,
  [SMALL_STATE(1207)] = 42349,
  [SMALL_STATE(1208)] = 42453,
  [SMALL_STATE(1209)] = 42557,
  [SMALL_STATE(1210)] = 42651,
  [SMALL_STATE(1211)] = 42701,
  [SMALL_STATE(1212)] = 42759,
  [SMALL_STATE(1213)] = 42809,
  [SMALL_STATE(1214)] = 42875,
  [SMALL_STATE(1215)] = 42969,
  [SMALL_STATE(1216)] = 43019,
  [SMALL_STATE(1217)] = 43101,
  [SMALL_STATE(1218)] = 43151,
  [SMALL_STATE(1219)] = 43201,
  [SMALL_STATE(1220)] = 43295,
  [SMALL_STATE(1221)] = 43345,
  [SMALL_STATE(1222)] = 43397,
  [SMALL_STATE(1223)] = 43447,
  [SMALL_STATE(1224)] = 43497,
  [SMALL_STATE(1225)] = 43547,
  [SMALL_STATE(1226)] = 43597,
  [SMALL_STATE(1227)] = 43691,
  [SMALL_STATE(1228)] = 43741,
  [SMALL_STATE(1229)] = 43801,
  [SMALL_STATE(1230)] = 43905,
  [SMALL_STATE(1231)] = 43955,
  [SMALL_STATE(1232)] = 44005,
  [SMALL_STATE(1233)] = 44055,
  [SMALL_STATE(1234)] = 44105,
  [SMALL_STATE(1235)] = 44155,
  [SMALL_STATE(1236)] = 44205,
  [SMALL_STATE(1237)] = 44309,
  [SMALL_STATE(1238)] = 44359,
  [SMALL_STATE(1239)] = 44453,
  [SMALL_STATE(1240)] = 44503,
  [SMALL_STATE(1241)] = 44553,
  [SMALL_STATE(1242)] = 44603,
  [SMALL_STATE(1243)] = 44653,
  [SMALL_STATE(1244)] = 44757,
  [SMALL_STATE(1245)] = 44861,
  [SMALL_STATE(1246)] = 44911,
  [SMALL_STATE(1247)] = 44969,
  [SMALL_STATE(1248)] = 45019,
  [SMALL_STATE(1249)] = 45123,
  [SMALL_STATE(1250)] = 45217,
  [SMALL_STATE(1251)] = 45267,
  [SMALL_STATE(1252)] = 45375,
  [SMALL_STATE(1253)] = 45425,
  [SMALL_STATE(1254)] = 45475,
  [SMALL_STATE(1255)] = 45525,
  [SMALL_STATE(1256)] = 45633,
  [SMALL_STATE(1257)] = 45683,
  [SMALL_STATE(1258)] = 45733,
  [SMALL_STATE(1259)] = 45805,
  [SMALL_STATE(1260)] = 45855,
  [SMALL_STATE(1261)] = 45915,
  [SMALL_STATE(1262)] = 45965,
  [SMALL_STATE(1263)] = 46059,
  [SMALL_STATE(1264)] = 46119,
  [SMALL_STATE(1265)] = 46169,
  [SMALL_STATE(1266)] = 46277,
  [SMALL_STATE(1267)] = 46327,
  [SMALL_STATE(1268)] = 46407,
  [SMALL_STATE(1269)] = 46489,
  [SMALL_STATE(1270)] = 46599,
  [SMALL_STATE(1271)] = 46681,
  [SMALL_STATE(1272)] = 46731,
  [SMALL_STATE(1273)] = 46825,
  [SMALL_STATE(1274)] = 46875,
  [SMALL_STATE(1275)] = 46985,
  [SMALL_STATE(1276)] = 47035,
  [SMALL_STATE(1277)] = 47085,
  [SMALL_STATE(1278)] = 47135,
  [SMALL_STATE(1279)] = 47205,
  [SMALL_STATE(1280)] = 47255,
  [SMALL_STATE(1281)] = 47305,
  [SMALL_STATE(1282)] = 47355,
  [SMALL_STATE(1283)] = 47405,
  [SMALL_STATE(1284)] = 47461,
  [SMALL_STATE(1285)] = 47511,
  [SMALL_STATE(1286)] = 47593,
  [SMALL_STATE(1287)] = 47697,
  [SMALL_STATE(1288)] = 47747,
  [SMALL_STATE(1289)] = 47797,
  [SMALL_STATE(1290)] = 47847,
  [SMALL_STATE(1291)] = 47915,
  [SMALL_STATE(1292)] = 47997,
  [SMALL_STATE(1293)] = 48091,
  [SMALL_STATE(1294)] = 48199,
  [SMALL_STATE(1295)] = 48249,
  [SMALL_STATE(1296)] = 48299,
  [SMALL_STATE(1297)] = 48349,
  [SMALL_STATE(1298)] = 48453,
  [SMALL_STATE(1299)] = 48503,
  [SMALL_STATE(1300)] = 48607,
  [SMALL_STATE(1301)] = 48657,
  [SMALL_STATE(1302)] = 48767,
  [SMALL_STATE(1303)] = 48817,
  [SMALL_STATE(1304)] = 48921,
  [SMALL_STATE(1305)] = 48973,
  [SMALL_STATE(1306)] = 49028,
  [SMALL_STATE(1307)] = 49131,
  [SMALL_STATE(1308)] = 49204,
  [SMALL_STATE(1309)] = 49279,
  [SMALL_STATE(1310)] = 49354,
  [SMALL_STATE(1311)] = 49409,
  [SMALL_STATE(1312)] = 49466,
  [SMALL_STATE(1313)] = 49573,
  [SMALL_STATE(1314)] = 49676,
  [SMALL_STATE(1315)] = 49779,
  [SMALL_STATE(1316)] = 49836,
  [SMALL_STATE(1317)] = 49939,
  [SMALL_STATE(1318)] = 50012,
  [SMALL_STATE(1319)] = 50063,
  [SMALL_STATE(1320)] = 50166,
  [SMALL_STATE(1321)] = 50239,
  [SMALL_STATE(1322)] = 50344,
  [SMALL_STATE(1323)] = 50449,
  [SMALL_STATE(1324)] = 50552,
  [SMALL_STATE(1325)] = 50655,
  [SMALL_STATE(1326)] = 50730,
  [SMALL_STATE(1327)] = 50803,
  [SMALL_STATE(1328)] = 50906,
  [SMALL_STATE(1329)] = 50981,
  [SMALL_STATE(1330)] = 51084,
  [SMALL_STATE(1331)] = 51191,
  [SMALL_STATE(1332)] = 51298,
  [SMALL_STATE(1333)] = 51401,
  [SMALL_STATE(1334)] = 51504,
  [SMALL_STATE(1335)] = 51611,
  [SMALL_STATE(1336)] = 51664,
  [SMALL_STATE(1337)] = 51719,
  [SMALL_STATE(1338)] = 51816,
  [SMALL_STATE(1339)] = 51899,
  [SMALL_STATE(1340)] = 51966,
  [SMALL_STATE(1341)] = 52071,
  [SMALL_STATE(1342)] = 52122,
  [SMALL_STATE(1343)] = 52227,
  [SMALL_STATE(1344)] = 52334,
  [SMALL_STATE(1345)] = 52425,
  [SMALL_STATE(1346)] = 52532,
  [SMALL_STATE(1347)] = 52639,
  [SMALL_STATE(1348)] = 52728,
  [SMALL_STATE(1349)] = 52815,
  [SMALL_STATE(1350)] = 52890,
  [SMALL_STATE(1351)] = 52985,
  [SMALL_STATE(1352)] = 53078,
  [SMALL_STATE(1353)] = 53181,
  [SMALL_STATE(1354)] = 53238,
  [SMALL_STATE(1355)] = 53345,
  [SMALL_STATE(1356)] = 53400,
  [SMALL_STATE(1357)] = 53457,
  [SMALL_STATE(1358)] = 53530,
  [SMALL_STATE(1359)] = 53597,
  [SMALL_STATE(1360)] = 53668,
  [SMALL_STATE(1361)] = 53771,
  [SMALL_STATE(1362)] = 53836,
  [SMALL_STATE(1363)] = 53915,
  [SMALL_STATE(1364)] = 53990,
  [SMALL_STATE(1365)] = 54063,
  [SMALL_STATE(1366)] = 54170,
  [SMALL_STATE(1367)] = 54229,
  [SMALL_STATE(1368)] = 54288,
  [SMALL_STATE(1369)] = 54341,
  [SMALL_STATE(1370)] = 54400,
  [SMALL_STATE(1371)] = 54463,
  [SMALL_STATE(1372)] = 54518,
  [SMALL_STATE(1373)] = 54569,
  [SMALL_STATE(1374)] = 54628,
  [SMALL_STATE(1375)] = 54731,
  [SMALL_STATE(1376)] = 54834,
  [SMALL_STATE(1377)] = 54937,
  [SMALL_STATE(1378)] = 55016,
  [SMALL_STATE(1379)] = 55085,
  [SMALL_STATE(1380)] = 55188,
  [SMALL_STATE(1381)] = 55236,
  [SMALL_STATE(1382)] = 55310,
  [SMALL_STATE(1383)] = 55414,
  [SMALL_STATE(1384)] = 55518,
  [SMALL_STATE(1385)] = 55572,
  [SMALL_STATE(1386)] = 55674,
  [SMALL_STATE(1387)] = 55744,
  [SMALL_STATE(1388)] = 55816,
  [SMALL_STATE(1389)] = 55864,
  [SMALL_STATE(1390)] = 55912,
  [SMALL_STATE(1391)] = 56014,
  [SMALL_STATE(1392)] = 56062,
  [SMALL_STATE(1393)] = 56166,
  [SMALL_STATE(1394)] = 56216,
  [SMALL_STATE(1395)] = 56264,
  [SMALL_STATE(1396)] = 56312,
  [SMALL_STATE(1397)] = 56360,
  [SMALL_STATE(1398)] = 56408,
  [SMALL_STATE(1399)] = 56458,
  [SMALL_STATE(1400)] = 56508,
  [SMALL_STATE(1401)] = 56562,
  [SMALL_STATE(1402)] = 56610,
  [SMALL_STATE(1403)] = 56658,
  [SMALL_STATE(1404)] = 56712,
  [SMALL_STATE(1405)] = 56760,
  [SMALL_STATE(1406)] = 56810,
  [SMALL_STATE(1407)] = 56858,
  [SMALL_STATE(1408)] = 56910,
  [SMALL_STATE(1409)] = 56962,
  [SMALL_STATE(1410)] = 57064,
  [SMALL_STATE(1411)] = 57166,
  [SMALL_STATE(1412)] = 57268,
  [SMALL_STATE(1413)] = 57322,
  [SMALL_STATE(1414)] = 57374,
  [SMALL_STATE(1415)] = 57428,
  [SMALL_STATE(1416)] = 57530,
  [SMALL_STATE(1417)] = 57632,
  [SMALL_STATE(1418)] = 57700,
  [SMALL_STATE(1419)] = 57752,
  [SMALL_STATE(1420)] = 57804,
  [SMALL_STATE(1421)] = 57852,
  [SMALL_STATE(1422)] = 57900,
  [SMALL_STATE(1423)] = 57950,
  [SMALL_STATE(1424)] = 58000,
  [SMALL_STATE(1425)] = 58048,
  [SMALL_STATE(1426)] = 58102,
  [SMALL_STATE(1427)] = 58150,
  [SMALL_STATE(1428)] = 58198,
  [SMALL_STATE(1429)] = 58246,
  [SMALL_STATE(1430)] = 58296,
  [SMALL_STATE(1431)] = 58344,
  [SMALL_STATE(1432)] = 58398,
  [SMALL_STATE(1433)] = 58456,
  [SMALL_STATE(1434)] = 58510,
  [SMALL_STATE(1435)] = 58558,
  [SMALL_STATE(1436)] = 58620,
  [SMALL_STATE(1437)] = 58674,
  [SMALL_STATE(1438)] = 58722,
  [SMALL_STATE(1439)] = 58784,
  [SMALL_STATE(1440)] = 58832,
  [SMALL_STATE(1441)] = 58886,
  [SMALL_STATE(1442)] = 58934,
  [SMALL_STATE(1443)] = 58982,
  [SMALL_STATE(1444)] = 59030,
  [SMALL_STATE(1445)] = 59078,
  [SMALL_STATE(1446)] = 59132,
  [SMALL_STATE(1447)] = 59180,
  [SMALL_STATE(1448)] = 59284,
  [SMALL_STATE(1449)] = 59332,
  [SMALL_STATE(1450)] = 59380,
  [SMALL_STATE(1451)] = 59428,
  [SMALL_STATE(1452)] = 59476,
  [SMALL_STATE(1453)] = 59524,
  [SMALL_STATE(1454)] = 59572,
  [SMALL_STATE(1455)] = 59620,
  [SMALL_STATE(1456)] = 59668,
  [SMALL_STATE(1457)] = 59716,
  [SMALL_STATE(1458)] = 59790,
  [SMALL_STATE(1459)] = 59838,
  [SMALL_STATE(1460)] = 59906,
  [SMALL_STATE(1461)] = 59954,
  [SMALL_STATE(1462)] = 60002,
  [SMALL_STATE(1463)] = 60050,
  [SMALL_STATE(1464)] = 60098,
  [SMALL_STATE(1465)] = 60152,
  [SMALL_STATE(1466)] = 60200,
  [SMALL_STATE(1467)] = 60252,
  [SMALL_STATE(1468)] = 60300,
  [SMALL_STATE(1469)] = 60368,
  [SMALL_STATE(1470)] = 60420,
  [SMALL_STATE(1471)] = 60472,
  [SMALL_STATE(1472)] = 60522,
  [SMALL_STATE(1473)] = 60572,
  [SMALL_STATE(1474)] = 60624,
  [SMALL_STATE(1475)] = 60674,
  [SMALL_STATE(1476)] = 60724,
  [SMALL_STATE(1477)] = 60776,
  [SMALL_STATE(1478)] = 60828,
  [SMALL_STATE(1479)] = 60880,
  [SMALL_STATE(1480)] = 60932,
  [SMALL_STATE(1481)] = 60982,
  [SMALL_STATE(1482)] = 61036,
  [SMALL_STATE(1483)] = 61140,
  [SMALL_STATE(1484)] = 61244,
  [SMALL_STATE(1485)] = 61346,
  [SMALL_STATE(1486)] = 61448,
  [SMALL_STATE(1487)] = 61498,
  [SMALL_STATE(1488)] = 61600,
  [SMALL_STATE(1489)] = 61648,
  [SMALL_STATE(1490)] = 61696,
  [SMALL_STATE(1491)] = 61746,
  [SMALL_STATE(1492)] = 61848,
  [SMALL_STATE(1493)] = 61900,
  [SMALL_STATE(1494)] = 61956,
  [SMALL_STATE(1495)] = 62008,
  [SMALL_STATE(1496)] = 62056,
  [SMALL_STATE(1497)] = 62104,
  [SMALL_STATE(1498)] = 62176,
  [SMALL_STATE(1499)] = 62244,
  [SMALL_STATE(1500)] = 62300,
  [SMALL_STATE(1501)] = 62352,
  [SMALL_STATE(1502)] = 62402,
  [SMALL_STATE(1503)] = 62450,
  [SMALL_STATE(1504)] = 62552,
  [SMALL_STATE(1505)] = 62602,
  [SMALL_STATE(1506)] = 62654,
  [SMALL_STATE(1507)] = 62704,
  [SMALL_STATE(1508)] = 62800,
  [SMALL_STATE(1509)] = 62848,
  [SMALL_STATE(1510)] = 62930,
  [SMALL_STATE(1511)] = 62996,
  [SMALL_STATE(1512)] = 63068,
  [SMALL_STATE(1513)] = 63124,
  [SMALL_STATE(1514)] = 63214,
  [SMALL_STATE(1515)] = 63316,
  [SMALL_STATE(1516)] = 63418,
  [SMALL_STATE(1517)] = 63466,
  [SMALL_STATE(1518)] = 63514,
  [SMALL_STATE(1519)] = 63618,
  [SMALL_STATE(1520)] = 63668,
  [SMALL_STATE(1521)] = 63724,
  [SMALL_STATE(1522)] = 63828,
  [SMALL_STATE(1523)] = 63892,
  [SMALL_STATE(1524)] = 63996,
  [SMALL_STATE(1525)] = 64044,
  [SMALL_STATE(1526)] = 64148,
  [SMALL_STATE(1527)] = 64250,
  [SMALL_STATE(1528)] = 64320,
  [SMALL_STATE(1529)] = 64372,
  [SMALL_STATE(1530)] = 64422,
  [SMALL_STATE(1531)] = 64526,
  [SMALL_STATE(1532)] = 64574,
  [SMALL_STATE(1533)] = 64630,
  [SMALL_STATE(1534)] = 64696,
  [SMALL_STATE(1535)] = 64744,
  [SMALL_STATE(1536)] = 64792,
  [SMALL_STATE(1537)] = 64840,
  [SMALL_STATE(1538)] = 64888,
  [SMALL_STATE(1539)] = 64936,
  [SMALL_STATE(1540)] = 64984,
  [SMALL_STATE(1541)] = 65032,
  [SMALL_STATE(1542)] = 65080,
  [SMALL_STATE(1543)] = 65142,
  [SMALL_STATE(1544)] = 65210,
  [SMALL_STATE(1545)] = 65288,
  [SMALL_STATE(1546)] = 65336,
  [SMALL_STATE(1547)] = 65388,
  [SMALL_STATE(1548)] = 65436,
  [SMALL_STATE(1549)] = 65484,
  [SMALL_STATE(1550)] = 65536,
  [SMALL_STATE(1551)] = 65622,
  [SMALL_STATE(1552)] = 65676,
  [SMALL_STATE(1553)] = 65724,
  [SMALL_STATE(1554)] = 65774,
  [SMALL_STATE(1555)] = 65822,
  [SMALL_STATE(1556)] = 65870,
  [SMALL_STATE(1557)] = 65918,
  [SMALL_STATE(1558)] = 65966,
  [SMALL_STATE(1559)] = 66018,
  [SMALL_STATE(1560)] = 66074,
  [SMALL_STATE(1561)] = 66148,
  [SMALL_STATE(1562)] = 66196,
  [SMALL_STATE(1563)] = 66244,
  [SMALL_STATE(1564)] = 66348,
  [SMALL_STATE(1565)] = 66400,
  [SMALL_STATE(1566)] = 66460,
  [SMALL_STATE(1567)] = 66514,
  [SMALL_STATE(1568)] = 66568,
  [SMALL_STATE(1569)] = 66616,
  [SMALL_STATE(1570)] = 66668,
  [SMALL_STATE(1571)] = 66720,
  [SMALL_STATE(1572)] = 66768,
  [SMALL_STATE(1573)] = 66856,
  [SMALL_STATE(1574)] = 66906,
  [SMALL_STATE(1575)] = 66966,
  [SMALL_STATE(1576)] = 67070,
  [SMALL_STATE(1577)] = 67122,
  [SMALL_STATE(1578)] = 67172,
  [SMALL_STATE(1579)] = 67274,
  [SMALL_STATE(1580)] = 67376,
  [SMALL_STATE(1581)] = 67444,
  [SMALL_STATE(1582)] = 67538,
  [SMALL_STATE(1583)] = 67630,
  [SMALL_STATE(1584)] = 67677,
  [SMALL_STATE(1585)] = 67744,
  [SMALL_STATE(1586)] = 67845,
  [SMALL_STATE(1587)] = 67914,
  [SMALL_STATE(1588)] = 67981,
  [SMALL_STATE(1589)] = 68062,
  [SMALL_STATE(1590)] = 68125,
  [SMALL_STATE(1591)] = 68190,
  [SMALL_STATE(1592)] = 68237,
  [SMALL_STATE(1593)] = 68318,
  [SMALL_STATE(1594)] = 68367,
  [SMALL_STATE(1595)] = 68432,
  [SMALL_STATE(1596)] = 68479,
  [SMALL_STATE(1597)] = 68544,
  [SMALL_STATE(1598)] = 68625,
  [SMALL_STATE(1599)] = 68726,
  [SMALL_STATE(1600)] = 68773,
  [SMALL_STATE(1601)] = 68820,
  [SMALL_STATE(1602)] = 68867,
  [SMALL_STATE(1603)] = 68914,
  [SMALL_STATE(1604)] = 68961,
  [SMALL_STATE(1605)] = 69008,
  [SMALL_STATE(1606)] = 69063,
  [SMALL_STATE(1607)] = 69164,
  [SMALL_STATE(1608)] = 69219,
  [SMALL_STATE(1609)] = 69298,
  [SMALL_STATE(1610)] = 69345,
  [SMALL_STATE(1611)] = 69446,
  [SMALL_STATE(1612)] = 69547,
  [SMALL_STATE(1613)] = 69594,
  [SMALL_STATE(1614)] = 69647,
  [SMALL_STATE(1615)] = 69694,
  [SMALL_STATE(1616)] = 69741,
  [SMALL_STATE(1617)] = 69842,
  [SMALL_STATE(1618)] = 69943,
  [SMALL_STATE(1619)] = 69990,
  [SMALL_STATE(1620)] = 70091,
  [SMALL_STATE(1621)] = 70172,
  [SMALL_STATE(1622)] = 70227,
  [SMALL_STATE(1623)] = 70274,
  [SMALL_STATE(1624)] = 70375,
  [SMALL_STATE(1625)] = 70422,
  [SMALL_STATE(1626)] = 70523,
  [SMALL_STATE(1627)] = 70604,
  [SMALL_STATE(1628)] = 70661,
  [SMALL_STATE(1629)] = 70708,
  [SMALL_STATE(1630)] = 70765,
  [SMALL_STATE(1631)] = 70866,
  [SMALL_STATE(1632)] = 70967,
  [SMALL_STATE(1633)] = 71068,
  [SMALL_STATE(1634)] = 71115,
  [SMALL_STATE(1635)] = 71162,
  [SMALL_STATE(1636)] = 71209,
  [SMALL_STATE(1637)] = 71310,
  [SMALL_STATE(1638)] = 71411,
  [SMALL_STATE(1639)] = 71512,
  [SMALL_STATE(1640)] = 71613,
  [SMALL_STATE(1641)] = 71692,
  [SMALL_STATE(1642)] = 71745,
  [SMALL_STATE(1643)] = 71846,
  [SMALL_STATE(1644)] = 71893,
  [SMALL_STATE(1645)] = 71994,
  [SMALL_STATE(1646)] = 72073,
  [SMALL_STATE(1647)] = 72168,
  [SMALL_STATE(1648)] = 72221,
  [SMALL_STATE(1649)] = 72302,
  [SMALL_STATE(1650)] = 72367,
  [SMALL_STATE(1651)] = 72438,
  [SMALL_STATE(1652)] = 72517,
  [SMALL_STATE(1653)] = 72606,
  [SMALL_STATE(1654)] = 72693,
  [SMALL_STATE(1655)] = 72762,
  [SMALL_STATE(1656)] = 72809,
  [SMALL_STATE(1657)] = 72894,
  [SMALL_STATE(1658)] = 72995,
  [SMALL_STATE(1659)] = 73048,
  [SMALL_STATE(1660)] = 73121,
  [SMALL_STATE(1661)] = 73214,
  [SMALL_STATE(1662)] = 73305,
  [SMALL_STATE(1663)] = 73372,
  [SMALL_STATE(1664)] = 73473,
  [SMALL_STATE(1665)] = 73526,
  [SMALL_STATE(1666)] = 73603,
  [SMALL_STATE(1667)] = 73650,
  [SMALL_STATE(1668)] = 73705,
  [SMALL_STATE(1669)] = 73806,
  [SMALL_STATE(1670)] = 73907,
  [SMALL_STATE(1671)] = 74008,
  [SMALL_STATE(1672)] = 74055,
  [SMALL_STATE(1673)] = 74156,
  [SMALL_STATE(1674)] = 74209,
  [SMALL_STATE(1675)] = 74256,
  [SMALL_STATE(1676)] = 74357,
  [SMALL_STATE(1677)] = 74414,
  [SMALL_STATE(1678)] = 74463,
  [SMALL_STATE(1679)] = 74532,
  [SMALL_STATE(1680)] = 74579,
  [SMALL_STATE(1681)] = 74626,
  [SMALL_STATE(1682)] = 74679,
  [SMALL_STATE(1683)] = 74756,
  [SMALL_STATE(1684)] = 74857,
  [SMALL_STATE(1685)] = 74904,
  [SMALL_STATE(1686)] = 74957,
  [SMALL_STATE(1687)] = 75012,
  [SMALL_STATE(1688)] = 75069,
  [SMALL_STATE(1689)] = 75160,
  [SMALL_STATE(1690)] = 75207,
  [SMALL_STATE(1691)] = 75272,
  [SMALL_STATE(1692)] = 75365,
  [SMALL_STATE(1693)] = 75434,
  [SMALL_STATE(1694)] = 75481,
  [SMALL_STATE(1695)] = 75528,
  [SMALL_STATE(1696)] = 75575,
  [SMALL_STATE(1697)] = 75622,
  [SMALL_STATE(1698)] = 75723,
  [SMALL_STATE(1699)] = 75824,
  [SMALL_STATE(1700)] = 75919,
  [SMALL_STATE(1701)] = 76000,
  [SMALL_STATE(1702)] = 76081,
  [SMALL_STATE(1703)] = 76182,
  [SMALL_STATE(1704)] = 76245,
  [SMALL_STATE(1705)] = 76292,
  [SMALL_STATE(1706)] = 76373,
  [SMALL_STATE(1707)] = 76442,
  [SMALL_STATE(1708)] = 76543,
  [SMALL_STATE(1709)] = 76596,
  [SMALL_STATE(1710)] = 76643,
  [SMALL_STATE(1711)] = 76712,
  [SMALL_STATE(1712)] = 76777,
  [SMALL_STATE(1713)] = 76830,
  [SMALL_STATE(1714)] = 76877,
  [SMALL_STATE(1715)] = 76924,
  [SMALL_STATE(1716)] = 76989,
  [SMALL_STATE(1717)] = 77058,
  [SMALL_STATE(1718)] = 77111,
  [SMALL_STATE(1719)] = 77190,
  [SMALL_STATE(1720)] = 77243,
  [SMALL_STATE(1721)] = 77290,
  [SMALL_STATE(1722)] = 77337,
  [SMALL_STATE(1723)] = 77384,
  [SMALL_STATE(1724)] = 77437,
  [SMALL_STATE(1725)] = 77504,
  [SMALL_STATE(1726)] = 77569,
  [SMALL_STATE(1727)] = 77616,
  [SMALL_STATE(1728)] = 77697,
  [SMALL_STATE(1729)] = 77744,
  [SMALL_STATE(1730)] = 77815,
  [SMALL_STATE(1731)] = 77904,
  [SMALL_STATE(1732)] = 77973,
  [SMALL_STATE(1733)] = 78060,
  [SMALL_STATE(1734)] = 78107,
  [SMALL_STATE(1735)] = 78172,
  [SMALL_STATE(1736)] = 78225,
  [SMALL_STATE(1737)] = 78272,
  [SMALL_STATE(1738)] = 78345,
  [SMALL_STATE(1739)] = 78392,
  [SMALL_STATE(1740)] = 78439,
  [SMALL_STATE(1741)] = 78494,
  [SMALL_STATE(1742)] = 78595,
  [SMALL_STATE(1743)] = 78642,
  [SMALL_STATE(1744)] = 78711,
  [SMALL_STATE(1745)] = 78792,
  [SMALL_STATE(1746)] = 78871,
  [SMALL_STATE(1747)] = 78918,
  [SMALL_STATE(1748)] = 79003,
  [SMALL_STATE(1749)] = 79082,
  [SMALL_STATE(1750)] = 79129,
  [SMALL_STATE(1751)] = 79189,
  [SMALL_STATE(1752)] = 79249,
  [SMALL_STATE(1753)] = 79309,
  [SMALL_STATE(1754)] = 79381,
  [SMALL_STATE(1755)] = 79451,
  [SMALL_STATE(1756)] = 79503,
  [SMALL_STATE(1757)] = 79561,
  [SMALL_STATE(1758)] = 79623,
  [SMALL_STATE(1759)] = 79681,
  [SMALL_STATE(1760)] = 79741,
  [SMALL_STATE(1761)] = 79813,
  [SMALL_STATE(1762)] = 79865,
  [SMALL_STATE(1763)] = 79935,
  [SMALL_STATE(1764)] = 79997,
  [SMALL_STATE(1765)] = 80057,
  [SMALL_STATE(1766)] = 80105,
  [SMALL_STATE(1767)] = 80165,
  [SMALL_STATE(1768)] = 80227,
  [SMALL_STATE(1769)] = 80275,
  [SMALL_STATE(1770)] = 80333,
  [SMALL_STATE(1771)] = 80393,
  [SMALL_STATE(1772)] = 80455,
  [SMALL_STATE(1773)] = 80513,
  [SMALL_STATE(1774)] = 80573,
  [SMALL_STATE(1775)] = 80635,
  [SMALL_STATE(1776)] = 80705,
  [SMALL_STATE(1777)] = 80757,
  [SMALL_STATE(1778)] = 80817,
  [SMALL_STATE(1779)] = 80879,
  [SMALL_STATE(1780)] = 80941,
  [SMALL_STATE(1781)] = 81039,
  [SMALL_STATE(1782)] = 81109,
  [SMALL_STATE(1783)] = 81171,
  [SMALL_STATE(1784)] = 81243,
  [SMALL_STATE(1785)] = 81303,
  [SMALL_STATE(1786)] = 81375,
  [SMALL_STATE(1787)] = 81435,
  [SMALL_STATE(1788)] = 81495,
  [SMALL_STATE(1789)] = 81555,
  [SMALL_STATE(1790)] = 81617,
  [SMALL_STATE(1791)] = 81669,
  [SMALL_STATE(1792)] = 81719,
  [SMALL_STATE(1793)] = 81771,
  [SMALL_STATE(1794)] = 81843,
  [SMALL_STATE(1795)] = 81901,
  [SMALL_STATE(1796)] = 81959,
  [SMALL_STATE(1797)] = 82011,
  [SMALL_STATE(1798)] = 82063,
  [SMALL_STATE(1799)] = 82127,
  [SMALL_STATE(1800)] = 82179,
  [SMALL_STATE(1801)] = 82277,
  [SMALL_STATE(1802)] = 82329,
  [SMALL_STATE(1803)] = 82389,
  [SMALL_STATE(1804)] = 82441,
  [SMALL_STATE(1805)] = 82489,
  [SMALL_STATE(1806)] = 82539,
  [SMALL_STATE(1807)] = 82611,
  [SMALL_STATE(1808)] = 82669,
  [SMALL_STATE(1809)] = 82727,
  [SMALL_STATE(1810)] = 82787,
  [SMALL_STATE(1811)] = 82835,
  [SMALL_STATE(1812)] = 82905,
  [SMALL_STATE(1813)] = 82965,
  [SMALL_STATE(1814)] = 83043,
  [SMALL_STATE(1815)] = 83113,
  [SMALL_STATE(1816)] = 83175,
  [SMALL_STATE(1817)] = 83233,
  [SMALL_STATE(1818)] = 83283,
  [SMALL_STATE(1819)] = 83355,
  [SMALL_STATE(1820)] = 83425,
  [SMALL_STATE(1821)] = 83483,
  [SMALL_STATE(1822)] = 83538,
  [SMALL_STATE(1823)] = 83593,
  [SMALL_STATE(1824)] = 83640,
  [SMALL_STATE(1825)] = 83695,
  [SMALL_STATE(1826)] = 83746,
  [SMALL_STATE(1827)] = 83797,
  [SMALL_STATE(1828)] = 83862,
  [SMALL_STATE(1829)] = 83927,
  [SMALL_STATE(1830)] = 83978,
  [SMALL_STATE(1831)] = 84043,
  [SMALL_STATE(1832)] = 84108,
  [SMALL_STATE(1833)] = 84163,
  [SMALL_STATE(1834)] = 84218,
  [SMALL_STATE(1835)] = 84273,
  [SMALL_STATE(1836)] = 84328,
  [SMALL_STATE(1837)] = 84383,
  [SMALL_STATE(1838)] = 84438,
  [SMALL_STATE(1839)] = 84493,
  [SMALL_STATE(1840)] = 84558,
  [SMALL_STATE(1841)] = 84613,
  [SMALL_STATE(1842)] = 84660,
  [SMALL_STATE(1843)] = 84715,
  [SMALL_STATE(1844)] = 84770,
  [SMALL_STATE(1845)] = 84825,
  [SMALL_STATE(1846)] = 84890,
  [SMALL_STATE(1847)] = 84945,
  [SMALL_STATE(1848)] = 85022,
  [SMALL_STATE(1849)] = 85077,
  [SMALL_STATE(1850)] = 85128,
  [SMALL_STATE(1851)] = 85199,
  [SMALL_STATE(1852)] = 85250,
  [SMALL_STATE(1853)] = 85305,
  [SMALL_STATE(1854)] = 85360,
  [SMALL_STATE(1855)] = 85415,
  [SMALL_STATE(1856)] = 85480,
  [SMALL_STATE(1857)] = 85535,
  [SMALL_STATE(1858)] = 85585,
  [SMALL_STATE(1859)] = 85649,
  [SMALL_STATE(1860)] = 85693,
  [SMALL_STATE(1861)] = 85749,
  [SMALL_STATE(1862)] = 85811,
  [SMALL_STATE(1863)] = 85871,
  [SMALL_STATE(1864)] = 85921,
  [SMALL_STATE(1865)] = 85971,
  [SMALL_STATE(1866)] = 86021,
  [SMALL_STATE(1867)] = 86081,
  [SMALL_STATE(1868)] = 86149,
  [SMALL_STATE(1869)] = 86205,
  [SMALL_STATE(1870)] = 86258,
  [SMALL_STATE(1871)] = 86313,
  [SMALL_STATE(1872)] = 86368,
  [SMALL_STATE(1873)] = 86429,
  [SMALL_STATE(1874)] = 86484,
  [SMALL_STATE(1875)] = 86539,
  [SMALL_STATE(1876)] = 86598,
  [SMALL_STATE(1877)] = 86653,
  [SMALL_STATE(1878)] = 86708,
  [SMALL_STATE(1879)] = 86763,
  [SMALL_STATE(1880)] = 86818,
  [SMALL_STATE(1881)] = 86871,
  [SMALL_STATE(1882)] = 86926,
  [SMALL_STATE(1883)] = 86981,
  [SMALL_STATE(1884)] = 87036,
  [SMALL_STATE(1885)] = 87091,
  [SMALL_STATE(1886)] = 87146,
  [SMALL_STATE(1887)] = 87201,
  [SMALL_STATE(1888)] = 87274,
  [SMALL_STATE(1889)] = 87331,
  [SMALL_STATE(1890)] = 87387,
  [SMALL_STATE(1891)] = 87441,
  [SMALL_STATE(1892)] = 87511,
  [SMALL_STATE(1893)] = 87567,
  [SMALL_STATE(1894)] = 87623,
  [SMALL_STATE(1895)] = 87679,
  [SMALL_STATE(1896)] = 87735,
  [SMALL_STATE(1897)] = 87791,
  [SMALL_STATE(1898)] = 87833,
  [SMALL_STATE(1899)] = 87889,
  [SMALL_STATE(1900)] = 87931,
  [SMALL_STATE(1901)] = 87978,
  [SMALL_STATE(1902)] = 88057,
  [SMALL_STATE(1903)] = 88136,
  [SMALL_STATE(1904)] = 88215,
  [SMALL_STATE(1905)] = 88294,
  [SMALL_STATE(1906)] = 88373,
  [SMALL_STATE(1907)] = 88436,
  [SMALL_STATE(1908)] = 88483,
  [SMALL_STATE(1909)] = 88537,
  [SMALL_STATE(1910)] = 88577,
  [SMALL_STATE(1911)] = 88631,
  [SMALL_STATE(1912)] = 88687,
  [SMALL_STATE(1913)] = 88731,
  [SMALL_STATE(1914)] = 88785,
  [SMALL_STATE(1915)] = 88825,
  [SMALL_STATE(1916)] = 88865,
  [SMALL_STATE(1917)] = 88905,
  [SMALL_STATE(1918)] = 88945,
  [SMALL_STATE(1919)] = 88997,
  [SMALL_STATE(1920)] = 89051,
  [SMALL_STATE(1921)] = 89107,
  [SMALL_STATE(1922)] = 89151,
  [SMALL_STATE(1923)] = 89191,
  [SMALL_STATE(1924)] = 89233,
  [SMALL_STATE(1925)] = 89275,
  [SMALL_STATE(1926)] = 89315,
  [SMALL_STATE(1927)] = 89355,
  [SMALL_STATE(1928)] = 89395,
  [SMALL_STATE(1929)] = 89435,
  [SMALL_STATE(1930)] = 89475,
  [SMALL_STATE(1931)] = 89515,
  [SMALL_STATE(1932)] = 89555,
  [SMALL_STATE(1933)] = 89597,
  [SMALL_STATE(1934)] = 89637,
  [SMALL_STATE(1935)] = 89695,
  [SMALL_STATE(1936)] = 89735,
  [SMALL_STATE(1937)] = 89775,
  [SMALL_STATE(1938)] = 89831,
  [SMALL_STATE(1939)] = 89871,
  [SMALL_STATE(1940)] = 89911,
  [SMALL_STATE(1941)] = 89951,
  [SMALL_STATE(1942)] = 89991,
  [SMALL_STATE(1943)] = 90031,
  [SMALL_STATE(1944)] = 90071,
  [SMALL_STATE(1945)] = 90129,
  [SMALL_STATE(1946)] = 90169,
  [SMALL_STATE(1947)] = 90209,
  [SMALL_STATE(1948)] = 90258,
  [SMALL_STATE(1949)] = 90307,
  [SMALL_STATE(1950)] = 90356,
  [SMALL_STATE(1951)] = 90405,
  [SMALL_STATE(1952)] = 90454,
  [SMALL_STATE(1953)] = 90507,
  [SMALL_STATE(1954)] = 90556,
  [SMALL_STATE(1955)] = 90605,
  [SMALL_STATE(1956)] = 90654,
  [SMALL_STATE(1957)] = 90709,
  [SMALL_STATE(1958)] = 90758,
  [SMALL_STATE(1959)] = 90807,
  [SMALL_STATE(1960)] = 90856,
  [SMALL_STATE(1961)] = 90911,
  [SMALL_STATE(1962)] = 90960,
  [SMALL_STATE(1963)] = 91009,
  [SMALL_STATE(1964)] = 91058,
  [SMALL_STATE(1965)] = 91107,
  [SMALL_STATE(1966)] = 91156,
  [SMALL_STATE(1967)] = 91205,
  [SMALL_STATE(1968)] = 91254,
  [SMALL_STATE(1969)] = 91317,
  [SMALL_STATE(1970)] = 91366,
  [SMALL_STATE(1971)] = 91415,
  [SMALL_STATE(1972)] = 91471,
  [SMALL_STATE(1973)] = 91531,
  [SMALL_STATE(1974)] = 91581,
  [SMALL_STATE(1975)] = 91631,
  [SMALL_STATE(1976)] = 91681,
  [SMALL_STATE(1977)] = 91741,
  [SMALL_STATE(1978)] = 91791,
  [SMALL_STATE(1979)] = 91829,
  [SMALL_STATE(1980)] = 91879,
  [SMALL_STATE(1981)] = 91935,
  [SMALL_STATE(1982)] = 91985,
  [SMALL_STATE(1983)] = 92035,
  [SMALL_STATE(1984)] = 92085,
  [SMALL_STATE(1985)] = 92141,
  [SMALL_STATE(1986)] = 92191,
  [SMALL_STATE(1987)] = 92241,
  [SMALL_STATE(1988)] = 92301,
  [SMALL_STATE(1989)] = 92354,
  [SMALL_STATE(1990)] = 92393,
  [SMALL_STATE(1991)] = 92446,
  [SMALL_STATE(1992)] = 92499,
  [SMALL_STATE(1993)] = 92552,
  [SMALL_STATE(1994)] = 92595,
  [SMALL_STATE(1995)] = 92646,
  [SMALL_STATE(1996)] = 92699,
  [SMALL_STATE(1997)] = 92750,
  [SMALL_STATE(1998)] = 92803,
  [SMALL_STATE(1999)] = 92854,
  [SMALL_STATE(2000)] = 92907,
  [SMALL_STATE(2001)] = 92960,
  [SMALL_STATE(2002)] = 92999,
  [SMALL_STATE(2003)] = 93052,
  [SMALL_STATE(2004)] = 93105,
  [SMALL_STATE(2005)] = 93156,
  [SMALL_STATE(2006)] = 93209,
  [SMALL_STATE(2007)] = 93258,
  [SMALL_STATE(2008)] = 93297,
  [SMALL_STATE(2009)] = 93344,
  [SMALL_STATE(2010)] = 93397,
  [SMALL_STATE(2011)] = 93448,
  [SMALL_STATE(2012)] = 93499,
  [SMALL_STATE(2013)] = 93543,
  [SMALL_STATE(2014)] = 93587,
  [SMALL_STATE(2015)] = 93631,
  [SMALL_STATE(2016)] = 93675,
  [SMALL_STATE(2017)] = 93719,
  [SMALL_STATE(2018)] = 93763,
  [SMALL_STATE(2019)] = 93807,
  [SMALL_STATE(2020)] = 93851,
  [SMALL_STATE(2021)] = 93897,
  [SMALL_STATE(2022)] = 93943,
  [SMALL_STATE(2023)] = 93987,
  [SMALL_STATE(2024)] = 94031,
  [SMALL_STATE(2025)] = 94075,
  [SMALL_STATE(2026)] = 94119,
  [SMALL_STATE(2027)] = 94163,
  [SMALL_STATE(2028)] = 94209,
  [SMALL_STATE(2029)] = 94253,
  [SMALL_STATE(2030)] = 94297,
  [SMALL_STATE(2031)] = 94341,
  [SMALL_STATE(2032)] = 94385,
  [SMALL_STATE(2033)] = 94429,
  [SMALL_STATE(2034)] = 94473,
  [SMALL_STATE(2035)] = 94517,
  [SMALL_STATE(2036)] = 94561,
  [SMALL_STATE(2037)] = 94605,
  [SMALL_STATE(2038)] = 94649,
  [SMALL_STATE(2039)] = 94693,
  [SMALL_STATE(2040)] = 94737,
  [SMALL_STATE(2041)] = 94781,
  [SMALL_STATE(2042)] = 94825,
  [SMALL_STATE(2043)] = 94869,
  [SMALL_STATE(2044)] = 94913,
  [SMALL_STATE(2045)] = 94948,
  [SMALL_STATE(2046)] = 94979,
  [SMALL_STATE(2047)] = 95005,
  [SMALL_STATE(2048)] = 95031,
  [SMALL_STATE(2049)] = 95057,
  [SMALL_STATE(2050)] = 95083,
  [SMALL_STATE(2051)] = 95109,
  [SMALL_STATE(2052)] = 95135,
  [SMALL_STATE(2053)] = 95169,
  [SMALL_STATE(2054)] = 95195,
  [SMALL_STATE(2055)] = 95221,
  [SMALL_STATE(2056)] = 95247,
  [SMALL_STATE(2057)] = 95273,
  [SMALL_STATE(2058)] = 95299,
  [SMALL_STATE(2059)] = 95325,
  [SMALL_STATE(2060)] = 95351,
  [SMALL_STATE(2061)] = 95377,
  [SMALL_STATE(2062)] = 95403,
  [SMALL_STATE(2063)] = 95429,
  [SMALL_STATE(2064)] = 95465,
  [SMALL_STATE(2065)] = 95501,
  [SMALL_STATE(2066)] = 95527,
  [SMALL_STATE(2067)] = 95553,
  [SMALL_STATE(2068)] = 95579,
  [SMALL_STATE(2069)] = 95605,
  [SMALL_STATE(2070)] = 95641,
  [SMALL_STATE(2071)] = 95667,
  [SMALL_STATE(2072)] = 95693,
  [SMALL_STATE(2073)] = 95719,
  [SMALL_STATE(2074)] = 95745,
  [SMALL_STATE(2075)] = 95771,
  [SMALL_STATE(2076)] = 95797,
  [SMALL_STATE(2077)] = 95823,
  [SMALL_STATE(2078)] = 95849,
  [SMALL_STATE(2079)] = 95875,
  [SMALL_STATE(2080)] = 95901,
  [SMALL_STATE(2081)] = 95927,
  [SMALL_STATE(2082)] = 95953,
  [SMALL_STATE(2083)] = 95979,
  [SMALL_STATE(2084)] = 96005,
  [SMALL_STATE(2085)] = 96036,
  [SMALL_STATE(2086)] = 96061,
  [SMALL_STATE(2087)] = 96086,
  [SMALL_STATE(2088)] = 96113,
  [SMALL_STATE(2089)] = 96144,
  [SMALL_STATE(2090)] = 96169,
  [SMALL_STATE(2091)] = 96197,
  [SMALL_STATE(2092)] = 96221,
  [SMALL_STATE(2093)] = 96245,
  [SMALL_STATE(2094)] = 96268,
  [SMALL_STATE(2095)] = 96291,
  [SMALL_STATE(2096)] = 96314,
  [SMALL_STATE(2097)] = 96347,
  [SMALL_STATE(2098)] = 96370,
  [SMALL_STATE(2099)] = 96403,
  [SMALL_STATE(2100)] = 96436,
  [SMALL_STATE(2101)] = 96457,
  [SMALL_STATE(2102)] = 96480,
  [SMALL_STATE(2103)] = 96503,
  [SMALL_STATE(2104)] = 96526,
  [SMALL_STATE(2105)] = 96549,
  [SMALL_STATE(2106)] = 96572,
  [SMALL_STATE(2107)] = 96595,
  [SMALL_STATE(2108)] = 96618,
  [SMALL_STATE(2109)] = 96643,
  [SMALL_STATE(2110)] = 96666,
  [SMALL_STATE(2111)] = 96697,
  [SMALL_STATE(2112)] = 96720,
  [SMALL_STATE(2113)] = 96743,
  [SMALL_STATE(2114)] = 96768,
  [SMALL_STATE(2115)] = 96795,
  [SMALL_STATE(2116)] = 96818,
  [SMALL_STATE(2117)] = 96841,
  [SMALL_STATE(2118)] = 96862,
  [SMALL_STATE(2119)] = 96885,
  [SMALL_STATE(2120)] = 96908,
  [SMALL_STATE(2121)] = 96933,
  [SMALL_STATE(2122)] = 96956,
  [SMALL_STATE(2123)] = 96977,
  [SMALL_STATE(2124)] = 96998,
  [SMALL_STATE(2125)] = 97021,
  [SMALL_STATE(2126)] = 97044,
  [SMALL_STATE(2127)] = 97067,
  [SMALL_STATE(2128)] = 97090,
  [SMALL_STATE(2129)] = 97111,
  [SMALL_STATE(2130)] = 97134,
  [SMALL_STATE(2131)] = 97155,
  [SMALL_STATE(2132)] = 97178,
  [SMALL_STATE(2133)] = 97208,
  [SMALL_STATE(2134)] = 97230,
  [SMALL_STATE(2135)] = 97258,
  [SMALL_STATE(2136)] = 97280,
  [SMALL_STATE(2137)] = 97302,
  [SMALL_STATE(2138)] = 97330,
  [SMALL_STATE(2139)] = 97352,
  [SMALL_STATE(2140)] = 97382,
  [SMALL_STATE(2141)] = 97404,
  [SMALL_STATE(2142)] = 97426,
  [SMALL_STATE(2143)] = 97456,
  [SMALL_STATE(2144)] = 97478,
  [SMALL_STATE(2145)] = 97500,
  [SMALL_STATE(2146)] = 97522,
  [SMALL_STATE(2147)] = 97544,
  [SMALL_STATE(2148)] = 97574,
  [SMALL_STATE(2149)] = 97596,
  [SMALL_STATE(2150)] = 97618,
  [SMALL_STATE(2151)] = 97640,
  [SMALL_STATE(2152)] = 97670,
  [SMALL_STATE(2153)] = 97692,
  [SMALL_STATE(2154)] = 97714,
  [SMALL_STATE(2155)] = 97736,
  [SMALL_STATE(2156)] = 97758,
  [SMALL_STATE(2157)] = 97784,
  [SMALL_STATE(2158)] = 97806,
  [SMALL_STATE(2159)] = 97828,
  [SMALL_STATE(2160)] = 97850,
  [SMALL_STATE(2161)] = 97880,
  [SMALL_STATE(2162)] = 97902,
  [SMALL_STATE(2163)] = 97924,
  [SMALL_STATE(2164)] = 97946,
  [SMALL_STATE(2165)] = 97968,
  [SMALL_STATE(2166)] = 97990,
  [SMALL_STATE(2167)] = 98012,
  [SMALL_STATE(2168)] = 98042,
  [SMALL_STATE(2169)] = 98064,
  [SMALL_STATE(2170)] = 98086,
  [SMALL_STATE(2171)] = 98116,
  [SMALL_STATE(2172)] = 98146,
  [SMALL_STATE(2173)] = 98176,
  [SMALL_STATE(2174)] = 98218,
  [SMALL_STATE(2175)] = 98246,
  [SMALL_STATE(2176)] = 98288,
  [SMALL_STATE(2177)] = 98318,
  [SMALL_STATE(2178)] = 98340,
  [SMALL_STATE(2179)] = 98382,
  [SMALL_STATE(2180)] = 98404,
  [SMALL_STATE(2181)] = 98434,
  [SMALL_STATE(2182)] = 98456,
  [SMALL_STATE(2183)] = 98486,
  [SMALL_STATE(2184)] = 98508,
  [SMALL_STATE(2185)] = 98550,
  [SMALL_STATE(2186)] = 98580,
  [SMALL_STATE(2187)] = 98608,
  [SMALL_STATE(2188)] = 98630,
  [SMALL_STATE(2189)] = 98652,
  [SMALL_STATE(2190)] = 98680,
  [SMALL_STATE(2191)] = 98710,
  [SMALL_STATE(2192)] = 98740,
  [SMALL_STATE(2193)] = 98768,
  [SMALL_STATE(2194)] = 98810,
  [SMALL_STATE(2195)] = 98840,
  [SMALL_STATE(2196)] = 98868,
  [SMALL_STATE(2197)] = 98896,
  [SMALL_STATE(2198)] = 98926,
  [SMALL_STATE(2199)] = 98956,
  [SMALL_STATE(2200)] = 98986,
  [SMALL_STATE(2201)] = 99014,
  [SMALL_STATE(2202)] = 99044,
  [SMALL_STATE(2203)] = 99074,
  [SMALL_STATE(2204)] = 99098,
  [SMALL_STATE(2205)] = 99128,
  [SMALL_STATE(2206)] = 99156,
  [SMALL_STATE(2207)] = 99184,
  [SMALL_STATE(2208)] = 99226,
  [SMALL_STATE(2209)] = 99268,
  [SMALL_STATE(2210)] = 99298,
  [SMALL_STATE(2211)] = 99328,
  [SMALL_STATE(2212)] = 99356,
  [SMALL_STATE(2213)] = 99386,
  [SMALL_STATE(2214)] = 99416,
  [SMALL_STATE(2215)] = 99444,
  [SMALL_STATE(2216)] = 99474,
  [SMALL_STATE(2217)] = 99504,
  [SMALL_STATE(2218)] = 99534,
  [SMALL_STATE(2219)] = 99562,
  [SMALL_STATE(2220)] = 99590,
  [SMALL_STATE(2221)] = 99614,
  [SMALL_STATE(2222)] = 99635,
  [SMALL_STATE(2223)] = 99670,
  [SMALL_STATE(2224)] = 99705,
  [SMALL_STATE(2225)] = 99740,
  [SMALL_STATE(2226)] = 99767,
  [SMALL_STATE(2227)] = 99804,
  [SMALL_STATE(2228)] = 99839,
  [SMALL_STATE(2229)] = 99860,
  [SMALL_STATE(2230)] = 99895,
  [SMALL_STATE(2231)] = 99930,
  [SMALL_STATE(2232)] = 99951,
  [SMALL_STATE(2233)] = 99986,
  [SMALL_STATE(2234)] = 100015,
  [SMALL_STATE(2235)] = 100050,
  [SMALL_STATE(2236)] = 100085,
  [SMALL_STATE(2237)] = 100120,
  [SMALL_STATE(2238)] = 100143,
  [SMALL_STATE(2239)] = 100172,
  [SMALL_STATE(2240)] = 100203,
  [SMALL_STATE(2241)] = 100238,
  [SMALL_STATE(2242)] = 100273,
  [SMALL_STATE(2243)] = 100294,
  [SMALL_STATE(2244)] = 100323,
  [SMALL_STATE(2245)] = 100350,
  [SMALL_STATE(2246)] = 100375,
  [SMALL_STATE(2247)] = 100396,
  [SMALL_STATE(2248)] = 100417,
  [SMALL_STATE(2249)] = 100445,
  [SMALL_STATE(2250)] = 100463,
  [SMALL_STATE(2251)] = 100481,
  [SMALL_STATE(2252)] = 100499,
  [SMALL_STATE(2253)] = 100527,
  [SMALL_STATE(2254)] = 100545,
  [SMALL_STATE(2255)] = 100569,
  [SMALL_STATE(2256)] = 100601,
  [SMALL_STATE(2257)] = 100619,
  [SMALL_STATE(2258)] = 100655,
  [SMALL_STATE(2259)] = 100687,
  [SMALL_STATE(2260)] = 100715,
  [SMALL_STATE(2261)] = 100751,
  [SMALL_STATE(2262)] = 100769,
  [SMALL_STATE(2263)] = 100805,
  [SMALL_STATE(2264)] = 100841,
  [SMALL_STATE(2265)] = 100859,
  [SMALL_STATE(2266)] = 100889,
  [SMALL_STATE(2267)] = 100917,
  [SMALL_STATE(2268)] = 100945,
  [SMALL_STATE(2269)] = 100973,
  [SMALL_STATE(2270)] = 100991,
  [SMALL_STATE(2271)] = 101023,
  [SMALL_STATE(2272)] = 101041,
  [SMALL_STATE(2273)] = 101059,
  [SMALL_STATE(2274)] = 101091,
  [SMALL_STATE(2275)] = 101109,
  [SMALL_STATE(2276)] = 101127,
  [SMALL_STATE(2277)] = 101163,
  [SMALL_STATE(2278)] = 101181,
  [SMALL_STATE(2279)] = 101217,
  [SMALL_STATE(2280)] = 101235,
  [SMALL_STATE(2281)] = 101267,
  [SMALL_STATE(2282)] = 101285,
  [SMALL_STATE(2283)] = 101303,
  [SMALL_STATE(2284)] = 101321,
  [SMALL_STATE(2285)] = 101339,
  [SMALL_STATE(2286)] = 101357,
  [SMALL_STATE(2287)] = 101375,
  [SMALL_STATE(2288)] = 101393,
  [SMALL_STATE(2289)] = 101425,
  [SMALL_STATE(2290)] = 101443,
  [SMALL_STATE(2291)] = 101461,
  [SMALL_STATE(2292)] = 101479,
  [SMALL_STATE(2293)] = 101515,
  [SMALL_STATE(2294)] = 101547,
  [SMALL_STATE(2295)] = 101565,
  [SMALL_STATE(2296)] = 101583,
  [SMALL_STATE(2297)] = 101615,
  [SMALL_STATE(2298)] = 101633,
  [SMALL_STATE(2299)] = 101651,
  [SMALL_STATE(2300)] = 101669,
  [SMALL_STATE(2301)] = 101701,
  [SMALL_STATE(2302)] = 101723,
  [SMALL_STATE(2303)] = 101741,
  [SMALL_STATE(2304)] = 101759,
  [SMALL_STATE(2305)] = 101777,
  [SMALL_STATE(2306)] = 101795,
  [SMALL_STATE(2307)] = 101827,
  [SMALL_STATE(2308)] = 101845,
  [SMALL_STATE(2309)] = 101866,
  [SMALL_STATE(2310)] = 101885,
  [SMALL_STATE(2311)] = 101906,
  [SMALL_STATE(2312)] = 101925,
  [SMALL_STATE(2313)] = 101948,
  [SMALL_STATE(2314)] = 101967,
  [SMALL_STATE(2315)] = 101986,
  [SMALL_STATE(2316)] = 102005,
  [SMALL_STATE(2317)] = 102024,
  [SMALL_STATE(2318)] = 102049,
  [SMALL_STATE(2319)] = 102068,
  [SMALL_STATE(2320)] = 102087,
  [SMALL_STATE(2321)] = 102110,
  [SMALL_STATE(2322)] = 102129,
  [SMALL_STATE(2323)] = 102152,
  [SMALL_STATE(2324)] = 102169,
  [SMALL_STATE(2325)] = 102188,
  [SMALL_STATE(2326)] = 102209,
  [SMALL_STATE(2327)] = 102228,
  [SMALL_STATE(2328)] = 102245,
  [SMALL_STATE(2329)] = 102264,
  [SMALL_STATE(2330)] = 102283,
  [SMALL_STATE(2331)] = 102300,
  [SMALL_STATE(2332)] = 102319,
  [SMALL_STATE(2333)] = 102338,
  [SMALL_STATE(2334)] = 102357,
  [SMALL_STATE(2335)] = 102376,
  [SMALL_STATE(2336)] = 102393,
  [SMALL_STATE(2337)] = 102412,
  [SMALL_STATE(2338)] = 102431,
  [SMALL_STATE(2339)] = 102458,
  [SMALL_STATE(2340)] = 102477,
  [SMALL_STATE(2341)] = 102496,
  [SMALL_STATE(2342)] = 102519,
  [SMALL_STATE(2343)] = 102538,
  [SMALL_STATE(2344)] = 102557,
  [SMALL_STATE(2345)] = 102576,
  [SMALL_STATE(2346)] = 102595,
  [SMALL_STATE(2347)] = 102612,
  [SMALL_STATE(2348)] = 102631,
  [SMALL_STATE(2349)] = 102652,
  [SMALL_STATE(2350)] = 102671,
  [SMALL_STATE(2351)] = 102690,
  [SMALL_STATE(2352)] = 102709,
  [SMALL_STATE(2353)] = 102728,
  [SMALL_STATE(2354)] = 102747,
  [SMALL_STATE(2355)] = 102768,
  [SMALL_STATE(2356)] = 102787,
  [SMALL_STATE(2357)] = 102808,
  [SMALL_STATE(2358)] = 102825,
  [SMALL_STATE(2359)] = 102844,
  [SMALL_STATE(2360)] = 102861,
  [SMALL_STATE(2361)] = 102884,
  [SMALL_STATE(2362)] = 102903,
  [SMALL_STATE(2363)] = 102920,
  [SMALL_STATE(2364)] = 102943,
  [SMALL_STATE(2365)] = 102963,
  [SMALL_STATE(2366)] = 102985,
  [SMALL_STATE(2367)] = 103007,
  [SMALL_STATE(2368)] = 103031,
  [SMALL_STATE(2369)] = 103053,
  [SMALL_STATE(2370)] = 103087,
  [SMALL_STATE(2371)] = 103121,
  [SMALL_STATE(2372)] = 103149,
  [SMALL_STATE(2373)] = 103169,
  [SMALL_STATE(2374)] = 103187,
  [SMALL_STATE(2375)] = 103213,
  [SMALL_STATE(2376)] = 103247,
  [SMALL_STATE(2377)] = 103281,
  [SMALL_STATE(2378)] = 103303,
  [SMALL_STATE(2379)] = 103327,
  [SMALL_STATE(2380)] = 103359,
  [SMALL_STATE(2381)] = 103393,
  [SMALL_STATE(2382)] = 103419,
  [SMALL_STATE(2383)] = 103453,
  [SMALL_STATE(2384)] = 103479,
  [SMALL_STATE(2385)] = 103513,
  [SMALL_STATE(2386)] = 103533,
  [SMALL_STATE(2387)] = 103553,
  [SMALL_STATE(2388)] = 103587,
  [SMALL_STATE(2389)] = 103621,
  [SMALL_STATE(2390)] = 103655,
  [SMALL_STATE(2391)] = 103686,
  [SMALL_STATE(2392)] = 103701,
  [SMALL_STATE(2393)] = 103716,
  [SMALL_STATE(2394)] = 103731,
  [SMALL_STATE(2395)] = 103762,
  [SMALL_STATE(2396)] = 103777,
  [SMALL_STATE(2397)] = 103792,
  [SMALL_STATE(2398)] = 103807,
  [SMALL_STATE(2399)] = 103822,
  [SMALL_STATE(2400)] = 103839,
  [SMALL_STATE(2401)] = 103854,
  [SMALL_STATE(2402)] = 103885,
  [SMALL_STATE(2403)] = 103906,
  [SMALL_STATE(2404)] = 103921,
  [SMALL_STATE(2405)] = 103936,
  [SMALL_STATE(2406)] = 103957,
  [SMALL_STATE(2407)] = 103988,
  [SMALL_STATE(2408)] = 104019,
  [SMALL_STATE(2409)] = 104050,
  [SMALL_STATE(2410)] = 104067,
  [SMALL_STATE(2411)] = 104082,
  [SMALL_STATE(2412)] = 104097,
  [SMALL_STATE(2413)] = 104122,
  [SMALL_STATE(2414)] = 104143,
  [SMALL_STATE(2415)] = 104158,
  [SMALL_STATE(2416)] = 104173,
  [SMALL_STATE(2417)] = 104188,
  [SMALL_STATE(2418)] = 104213,
  [SMALL_STATE(2419)] = 104228,
  [SMALL_STATE(2420)] = 104245,
  [SMALL_STATE(2421)] = 104260,
  [SMALL_STATE(2422)] = 104291,
  [SMALL_STATE(2423)] = 104310,
  [SMALL_STATE(2424)] = 104329,
  [SMALL_STATE(2425)] = 104348,
  [SMALL_STATE(2426)] = 104373,
  [SMALL_STATE(2427)] = 104390,
  [SMALL_STATE(2428)] = 104405,
  [SMALL_STATE(2429)] = 104420,
  [SMALL_STATE(2430)] = 104435,
  [SMALL_STATE(2431)] = 104466,
  [SMALL_STATE(2432)] = 104485,
  [SMALL_STATE(2433)] = 104502,
  [SMALL_STATE(2434)] = 104517,
  [SMALL_STATE(2435)] = 104532,
  [SMALL_STATE(2436)] = 104547,
  [SMALL_STATE(2437)] = 104578,
  [SMALL_STATE(2438)] = 104603,
  [SMALL_STATE(2439)] = 104628,
  [SMALL_STATE(2440)] = 104643,
  [SMALL_STATE(2441)] = 104662,
  [SMALL_STATE(2442)] = 104677,
  [SMALL_STATE(2443)] = 104692,
  [SMALL_STATE(2444)] = 104723,
  [SMALL_STATE(2445)] = 104748,
  [SMALL_STATE(2446)] = 104763,
  [SMALL_STATE(2447)] = 104782,
  [SMALL_STATE(2448)] = 104797,
  [SMALL_STATE(2449)] = 104828,
  [SMALL_STATE(2450)] = 104853,
  [SMALL_STATE(2451)] = 104884,
  [SMALL_STATE(2452)] = 104909,
  [SMALL_STATE(2453)] = 104926,
  [SMALL_STATE(2454)] = 104951,
  [SMALL_STATE(2455)] = 104966,
  [SMALL_STATE(2456)] = 104985,
  [SMALL_STATE(2457)] = 105004,
  [SMALL_STATE(2458)] = 105019,
  [SMALL_STATE(2459)] = 105038,
  [SMALL_STATE(2460)] = 105057,
  [SMALL_STATE(2461)] = 105082,
  [SMALL_STATE(2462)] = 105097,
  [SMALL_STATE(2463)] = 105122,
  [SMALL_STATE(2464)] = 105153,
  [SMALL_STATE(2465)] = 105174,
  [SMALL_STATE(2466)] = 105193,
  [SMALL_STATE(2467)] = 105208,
  [SMALL_STATE(2468)] = 105223,
  [SMALL_STATE(2469)] = 105254,
  [SMALL_STATE(2470)] = 105271,
  [SMALL_STATE(2471)] = 105302,
  [SMALL_STATE(2472)] = 105317,
  [SMALL_STATE(2473)] = 105332,
  [SMALL_STATE(2474)] = 105357,
  [SMALL_STATE(2475)] = 105372,
  [SMALL_STATE(2476)] = 105393,
  [SMALL_STATE(2477)] = 105416,
  [SMALL_STATE(2478)] = 105431,
  [SMALL_STATE(2479)] = 105446,
  [SMALL_STATE(2480)] = 105477,
  [SMALL_STATE(2481)] = 105508,
  [SMALL_STATE(2482)] = 105523,
  [SMALL_STATE(2483)] = 105548,
  [SMALL_STATE(2484)] = 105563,
  [SMALL_STATE(2485)] = 105594,
  [SMALL_STATE(2486)] = 105609,
  [SMALL_STATE(2487)] = 105624,
  [SMALL_STATE(2488)] = 105639,
  [SMALL_STATE(2489)] = 105663,
  [SMALL_STATE(2490)] = 105683,
  [SMALL_STATE(2491)] = 105703,
  [SMALL_STATE(2492)] = 105727,
  [SMALL_STATE(2493)] = 105747,
  [SMALL_STATE(2494)] = 105771,
  [SMALL_STATE(2495)] = 105795,
  [SMALL_STATE(2496)] = 105819,
  [SMALL_STATE(2497)] = 105843,
  [SMALL_STATE(2498)] = 105867,
  [SMALL_STATE(2499)] = 105891,
  [SMALL_STATE(2500)] = 105915,
  [SMALL_STATE(2501)] = 105935,
  [SMALL_STATE(2502)] = 105949,
  [SMALL_STATE(2503)] = 105967,
  [SMALL_STATE(2504)] = 105985,
  [SMALL_STATE(2505)] = 105999,
  [SMALL_STATE(2506)] = 106023,
  [SMALL_STATE(2507)] = 106047,
  [SMALL_STATE(2508)] = 106061,
  [SMALL_STATE(2509)] = 106085,
  [SMALL_STATE(2510)] = 106110,
  [SMALL_STATE(2511)] = 106125,
  [SMALL_STATE(2512)] = 106146,
  [SMALL_STATE(2513)] = 106163,
  [SMALL_STATE(2514)] = 106188,
  [SMALL_STATE(2515)] = 106213,
  [SMALL_STATE(2516)] = 106238,
  [SMALL_STATE(2517)] = 106263,
  [SMALL_STATE(2518)] = 106280,
  [SMALL_STATE(2519)] = 106301,
  [SMALL_STATE(2520)] = 106326,
  [SMALL_STATE(2521)] = 106351,
  [SMALL_STATE(2522)] = 106376,
  [SMALL_STATE(2523)] = 106389,
  [SMALL_STATE(2524)] = 106414,
  [SMALL_STATE(2525)] = 106439,
  [SMALL_STATE(2526)] = 106464,
  [SMALL_STATE(2527)] = 106489,
  [SMALL_STATE(2528)] = 106502,
  [SMALL_STATE(2529)] = 106515,
  [SMALL_STATE(2530)] = 106528,
  [SMALL_STATE(2531)] = 106549,
  [SMALL_STATE(2532)] = 106574,
  [SMALL_STATE(2533)] = 106595,
  [SMALL_STATE(2534)] = 106616,
  [SMALL_STATE(2535)] = 106641,
  [SMALL_STATE(2536)] = 106666,
  [SMALL_STATE(2537)] = 106685,
  [SMALL_STATE(2538)] = 106706,
  [SMALL_STATE(2539)] = 106731,
  [SMALL_STATE(2540)] = 106752,
  [SMALL_STATE(2541)] = 106773,
  [SMALL_STATE(2542)] = 106790,
  [SMALL_STATE(2543)] = 106815,
  [SMALL_STATE(2544)] = 106840,
  [SMALL_STATE(2545)] = 106861,
  [SMALL_STATE(2546)] = 106876,
  [SMALL_STATE(2547)] = 106891,
  [SMALL_STATE(2548)] = 106906,
  [SMALL_STATE(2549)] = 106919,
  [SMALL_STATE(2550)] = 106944,
  [SMALL_STATE(2551)] = 106965,
  [SMALL_STATE(2552)] = 106990,
  [SMALL_STATE(2553)] = 107013,
  [SMALL_STATE(2554)] = 107026,
  [SMALL_STATE(2555)] = 107051,
  [SMALL_STATE(2556)] = 107072,
  [SMALL_STATE(2557)] = 107089,
  [SMALL_STATE(2558)] = 107106,
  [SMALL_STATE(2559)] = 107123,
  [SMALL_STATE(2560)] = 107144,
  [SMALL_STATE(2561)] = 107161,
  [SMALL_STATE(2562)] = 107178,
  [SMALL_STATE(2563)] = 107195,
  [SMALL_STATE(2564)] = 107212,
  [SMALL_STATE(2565)] = 107237,
  [SMALL_STATE(2566)] = 107254,
  [SMALL_STATE(2567)] = 107271,
  [SMALL_STATE(2568)] = 107288,
  [SMALL_STATE(2569)] = 107305,
  [SMALL_STATE(2570)] = 107322,
  [SMALL_STATE(2571)] = 107339,
  [SMALL_STATE(2572)] = 107364,
  [SMALL_STATE(2573)] = 107381,
  [SMALL_STATE(2574)] = 107398,
  [SMALL_STATE(2575)] = 107415,
  [SMALL_STATE(2576)] = 107432,
  [SMALL_STATE(2577)] = 107453,
  [SMALL_STATE(2578)] = 107478,
  [SMALL_STATE(2579)] = 107495,
  [SMALL_STATE(2580)] = 107520,
  [SMALL_STATE(2581)] = 107545,
  [SMALL_STATE(2582)] = 107570,
  [SMALL_STATE(2583)] = 107595,
  [SMALL_STATE(2584)] = 107612,
  [SMALL_STATE(2585)] = 107629,
  [SMALL_STATE(2586)] = 107646,
  [SMALL_STATE(2587)] = 107667,
  [SMALL_STATE(2588)] = 107680,
  [SMALL_STATE(2589)] = 107705,
  [SMALL_STATE(2590)] = 107730,
  [SMALL_STATE(2591)] = 107743,
  [SMALL_STATE(2592)] = 107756,
  [SMALL_STATE(2593)] = 107771,
  [SMALL_STATE(2594)] = 107796,
  [SMALL_STATE(2595)] = 107809,
  [SMALL_STATE(2596)] = 107834,
  [SMALL_STATE(2597)] = 107859,
  [SMALL_STATE(2598)] = 107884,
  [SMALL_STATE(2599)] = 107897,
  [SMALL_STATE(2600)] = 107922,
  [SMALL_STATE(2601)] = 107935,
  [SMALL_STATE(2602)] = 107948,
  [SMALL_STATE(2603)] = 107969,
  [SMALL_STATE(2604)] = 107986,
  [SMALL_STATE(2605)] = 108011,
  [SMALL_STATE(2606)] = 108024,
  [SMALL_STATE(2607)] = 108037,
  [SMALL_STATE(2608)] = 108062,
  [SMALL_STATE(2609)] = 108087,
  [SMALL_STATE(2610)] = 108104,
  [SMALL_STATE(2611)] = 108117,
  [SMALL_STATE(2612)] = 108130,
  [SMALL_STATE(2613)] = 108155,
  [SMALL_STATE(2614)] = 108180,
  [SMALL_STATE(2615)] = 108205,
  [SMALL_STATE(2616)] = 108217,
  [SMALL_STATE(2617)] = 108233,
  [SMALL_STATE(2618)] = 108255,
  [SMALL_STATE(2619)] = 108277,
  [SMALL_STATE(2620)] = 108295,
  [SMALL_STATE(2621)] = 108317,
  [SMALL_STATE(2622)] = 108335,
  [SMALL_STATE(2623)] = 108353,
  [SMALL_STATE(2624)] = 108375,
  [SMALL_STATE(2625)] = 108391,
  [SMALL_STATE(2626)] = 108407,
  [SMALL_STATE(2627)] = 108425,
  [SMALL_STATE(2628)] = 108437,
  [SMALL_STATE(2629)] = 108449,
  [SMALL_STATE(2630)] = 108471,
  [SMALL_STATE(2631)] = 108489,
  [SMALL_STATE(2632)] = 108507,
  [SMALL_STATE(2633)] = 108525,
  [SMALL_STATE(2634)] = 108547,
  [SMALL_STATE(2635)] = 108563,
  [SMALL_STATE(2636)] = 108585,
  [SMALL_STATE(2637)] = 108597,
  [SMALL_STATE(2638)] = 108619,
  [SMALL_STATE(2639)] = 108641,
  [SMALL_STATE(2640)] = 108663,
  [SMALL_STATE(2641)] = 108679,
  [SMALL_STATE(2642)] = 108691,
  [SMALL_STATE(2643)] = 108709,
  [SMALL_STATE(2644)] = 108731,
  [SMALL_STATE(2645)] = 108745,
  [SMALL_STATE(2646)] = 108757,
  [SMALL_STATE(2647)] = 108769,
  [SMALL_STATE(2648)] = 108791,
  [SMALL_STATE(2649)] = 108803,
  [SMALL_STATE(2650)] = 108817,
  [SMALL_STATE(2651)] = 108833,
  [SMALL_STATE(2652)] = 108855,
  [SMALL_STATE(2653)] = 108867,
  [SMALL_STATE(2654)] = 108889,
  [SMALL_STATE(2655)] = 108911,
  [SMALL_STATE(2656)] = 108933,
  [SMALL_STATE(2657)] = 108951,
  [SMALL_STATE(2658)] = 108969,
  [SMALL_STATE(2659)] = 108985,
  [SMALL_STATE(2660)] = 109001,
  [SMALL_STATE(2661)] = 109017,
  [SMALL_STATE(2662)] = 109029,
  [SMALL_STATE(2663)] = 109051,
  [SMALL_STATE(2664)] = 109073,
  [SMALL_STATE(2665)] = 109085,
  [SMALL_STATE(2666)] = 109097,
  [SMALL_STATE(2667)] = 109113,
  [SMALL_STATE(2668)] = 109125,
  [SMALL_STATE(2669)] = 109147,
  [SMALL_STATE(2670)] = 109163,
  [SMALL_STATE(2671)] = 109179,
  [SMALL_STATE(2672)] = 109195,
  [SMALL_STATE(2673)] = 109217,
  [SMALL_STATE(2674)] = 109239,
  [SMALL_STATE(2675)] = 109257,
  [SMALL_STATE(2676)] = 109275,
  [SMALL_STATE(2677)] = 109293,
  [SMALL_STATE(2678)] = 109305,
  [SMALL_STATE(2679)] = 109327,
  [SMALL_STATE(2680)] = 109343,
  [SMALL_STATE(2681)] = 109359,
  [SMALL_STATE(2682)] = 109371,
  [SMALL_STATE(2683)] = 109387,
  [SMALL_STATE(2684)] = 109409,
  [SMALL_STATE(2685)] = 109425,
  [SMALL_STATE(2686)] = 109441,
  [SMALL_STATE(2687)] = 109457,
  [SMALL_STATE(2688)] = 109475,
  [SMALL_STATE(2689)] = 109493,
  [SMALL_STATE(2690)] = 109515,
  [SMALL_STATE(2691)] = 109537,
  [SMALL_STATE(2692)] = 109559,
  [SMALL_STATE(2693)] = 109575,
  [SMALL_STATE(2694)] = 109597,
  [SMALL_STATE(2695)] = 109619,
  [SMALL_STATE(2696)] = 109641,
  [SMALL_STATE(2697)] = 109655,
  [SMALL_STATE(2698)] = 109671,
  [SMALL_STATE(2699)] = 109683,
  [SMALL_STATE(2700)] = 109695,
  [SMALL_STATE(2701)] = 109711,
  [SMALL_STATE(2702)] = 109733,
  [SMALL_STATE(2703)] = 109749,
  [SMALL_STATE(2704)] = 109765,
  [SMALL_STATE(2705)] = 109787,
  [SMALL_STATE(2706)] = 109803,
  [SMALL_STATE(2707)] = 109819,
  [SMALL_STATE(2708)] = 109835,
  [SMALL_STATE(2709)] = 109853,
  [SMALL_STATE(2710)] = 109869,
  [SMALL_STATE(2711)] = 109887,
  [SMALL_STATE(2712)] = 109909,
  [SMALL_STATE(2713)] = 109931,
  [SMALL_STATE(2714)] = 109949,
  [SMALL_STATE(2715)] = 109961,
  [SMALL_STATE(2716)] = 109979,
  [SMALL_STATE(2717)] = 109997,
  [SMALL_STATE(2718)] = 110015,
  [SMALL_STATE(2719)] = 110031,
  [SMALL_STATE(2720)] = 110047,
  [SMALL_STATE(2721)] = 110069,
  [SMALL_STATE(2722)] = 110091,
  [SMALL_STATE(2723)] = 110107,
  [SMALL_STATE(2724)] = 110123,
  [SMALL_STATE(2725)] = 110141,
  [SMALL_STATE(2726)] = 110163,
  [SMALL_STATE(2727)] = 110183,
  [SMALL_STATE(2728)] = 110205,
  [SMALL_STATE(2729)] = 110221,
  [SMALL_STATE(2730)] = 110243,
  [SMALL_STATE(2731)] = 110263,
  [SMALL_STATE(2732)] = 110279,
  [SMALL_STATE(2733)] = 110291,
  [SMALL_STATE(2734)] = 110307,
  [SMALL_STATE(2735)] = 110329,
  [SMALL_STATE(2736)] = 110349,
  [SMALL_STATE(2737)] = 110369,
  [SMALL_STATE(2738)] = 110385,
  [SMALL_STATE(2739)] = 110405,
  [SMALL_STATE(2740)] = 110427,
  [SMALL_STATE(2741)] = 110443,
  [SMALL_STATE(2742)] = 110465,
  [SMALL_STATE(2743)] = 110479,
  [SMALL_STATE(2744)] = 110495,
  [SMALL_STATE(2745)] = 110517,
  [SMALL_STATE(2746)] = 110535,
  [SMALL_STATE(2747)] = 110551,
  [SMALL_STATE(2748)] = 110573,
  [SMALL_STATE(2749)] = 110595,
  [SMALL_STATE(2750)] = 110617,
  [SMALL_STATE(2751)] = 110639,
  [SMALL_STATE(2752)] = 110651,
  [SMALL_STATE(2753)] = 110671,
  [SMALL_STATE(2754)] = 110687,
  [SMALL_STATE(2755)] = 110703,
  [SMALL_STATE(2756)] = 110725,
  [SMALL_STATE(2757)] = 110741,
  [SMALL_STATE(2758)] = 110763,
  [SMALL_STATE(2759)] = 110779,
  [SMALL_STATE(2760)] = 110801,
  [SMALL_STATE(2761)] = 110817,
  [SMALL_STATE(2762)] = 110829,
  [SMALL_STATE(2763)] = 110851,
  [SMALL_STATE(2764)] = 110867,
  [SMALL_STATE(2765)] = 110883,
  [SMALL_STATE(2766)] = 110899,
  [SMALL_STATE(2767)] = 110917,
  [SMALL_STATE(2768)] = 110939,
  [SMALL_STATE(2769)] = 110961,
  [SMALL_STATE(2770)] = 110977,
  [SMALL_STATE(2771)] = 110993,
  [SMALL_STATE(2772)] = 111011,
  [SMALL_STATE(2773)] = 111033,
  [SMALL_STATE(2774)] = 111051,
  [SMALL_STATE(2775)] = 111067,
  [SMALL_STATE(2776)] = 111079,
  [SMALL_STATE(2777)] = 111101,
  [SMALL_STATE(2778)] = 111123,
  [SMALL_STATE(2779)] = 111145,
  [SMALL_STATE(2780)] = 111164,
  [SMALL_STATE(2781)] = 111183,
  [SMALL_STATE(2782)] = 111200,
  [SMALL_STATE(2783)] = 111219,
  [SMALL_STATE(2784)] = 111236,
  [SMALL_STATE(2785)] = 111251,
  [SMALL_STATE(2786)] = 111270,
  [SMALL_STATE(2787)] = 111289,
  [SMALL_STATE(2788)] = 111304,
  [SMALL_STATE(2789)] = 111323,
  [SMALL_STATE(2790)] = 111342,
  [SMALL_STATE(2791)] = 111361,
  [SMALL_STATE(2792)] = 111372,
  [SMALL_STATE(2793)] = 111389,
  [SMALL_STATE(2794)] = 111408,
  [SMALL_STATE(2795)] = 111419,
  [SMALL_STATE(2796)] = 111438,
  [SMALL_STATE(2797)] = 111449,
  [SMALL_STATE(2798)] = 111468,
  [SMALL_STATE(2799)] = 111479,
  [SMALL_STATE(2800)] = 111490,
  [SMALL_STATE(2801)] = 111501,
  [SMALL_STATE(2802)] = 111512,
  [SMALL_STATE(2803)] = 111531,
  [SMALL_STATE(2804)] = 111550,
  [SMALL_STATE(2805)] = 111569,
  [SMALL_STATE(2806)] = 111584,
  [SMALL_STATE(2807)] = 111603,
  [SMALL_STATE(2808)] = 111620,
  [SMALL_STATE(2809)] = 111639,
  [SMALL_STATE(2810)] = 111654,
  [SMALL_STATE(2811)] = 111665,
  [SMALL_STATE(2812)] = 111684,
  [SMALL_STATE(2813)] = 111703,
  [SMALL_STATE(2814)] = 111714,
  [SMALL_STATE(2815)] = 111729,
  [SMALL_STATE(2816)] = 111746,
  [SMALL_STATE(2817)] = 111757,
  [SMALL_STATE(2818)] = 111768,
  [SMALL_STATE(2819)] = 111779,
  [SMALL_STATE(2820)] = 111798,
  [SMALL_STATE(2821)] = 111817,
  [SMALL_STATE(2822)] = 111836,
  [SMALL_STATE(2823)] = 111847,
  [SMALL_STATE(2824)] = 111866,
  [SMALL_STATE(2825)] = 111877,
  [SMALL_STATE(2826)] = 111892,
  [SMALL_STATE(2827)] = 111903,
  [SMALL_STATE(2828)] = 111914,
  [SMALL_STATE(2829)] = 111925,
  [SMALL_STATE(2830)] = 111936,
  [SMALL_STATE(2831)] = 111951,
  [SMALL_STATE(2832)] = 111970,
  [SMALL_STATE(2833)] = 111981,
  [SMALL_STATE(2834)] = 112000,
  [SMALL_STATE(2835)] = 112019,
  [SMALL_STATE(2836)] = 112030,
  [SMALL_STATE(2837)] = 112047,
  [SMALL_STATE(2838)] = 112058,
  [SMALL_STATE(2839)] = 112069,
  [SMALL_STATE(2840)] = 112080,
  [SMALL_STATE(2841)] = 112091,
  [SMALL_STATE(2842)] = 112102,
  [SMALL_STATE(2843)] = 112113,
  [SMALL_STATE(2844)] = 112130,
  [SMALL_STATE(2845)] = 112141,
  [SMALL_STATE(2846)] = 112152,
  [SMALL_STATE(2847)] = 112171,
  [SMALL_STATE(2848)] = 112190,
  [SMALL_STATE(2849)] = 112201,
  [SMALL_STATE(2850)] = 112212,
  [SMALL_STATE(2851)] = 112223,
  [SMALL_STATE(2852)] = 112240,
  [SMALL_STATE(2853)] = 112251,
  [SMALL_STATE(2854)] = 112270,
  [SMALL_STATE(2855)] = 112281,
  [SMALL_STATE(2856)] = 112292,
  [SMALL_STATE(2857)] = 112303,
  [SMALL_STATE(2858)] = 112314,
  [SMALL_STATE(2859)] = 112333,
  [SMALL_STATE(2860)] = 112344,
  [SMALL_STATE(2861)] = 112355,
  [SMALL_STATE(2862)] = 112366,
  [SMALL_STATE(2863)] = 112383,
  [SMALL_STATE(2864)] = 112394,
  [SMALL_STATE(2865)] = 112405,
  [SMALL_STATE(2866)] = 112416,
  [SMALL_STATE(2867)] = 112433,
  [SMALL_STATE(2868)] = 112444,
  [SMALL_STATE(2869)] = 112463,
  [SMALL_STATE(2870)] = 112482,
  [SMALL_STATE(2871)] = 112501,
  [SMALL_STATE(2872)] = 112512,
  [SMALL_STATE(2873)] = 112523,
  [SMALL_STATE(2874)] = 112542,
  [SMALL_STATE(2875)] = 112561,
  [SMALL_STATE(2876)] = 112572,
  [SMALL_STATE(2877)] = 112583,
  [SMALL_STATE(2878)] = 112594,
  [SMALL_STATE(2879)] = 112605,
  [SMALL_STATE(2880)] = 112624,
  [SMALL_STATE(2881)] = 112635,
  [SMALL_STATE(2882)] = 112646,
  [SMALL_STATE(2883)] = 112657,
  [SMALL_STATE(2884)] = 112668,
  [SMALL_STATE(2885)] = 112679,
  [SMALL_STATE(2886)] = 112690,
  [SMALL_STATE(2887)] = 112701,
  [SMALL_STATE(2888)] = 112712,
  [SMALL_STATE(2889)] = 112723,
  [SMALL_STATE(2890)] = 112734,
  [SMALL_STATE(2891)] = 112745,
  [SMALL_STATE(2892)] = 112756,
  [SMALL_STATE(2893)] = 112767,
  [SMALL_STATE(2894)] = 112778,
  [SMALL_STATE(2895)] = 112789,
  [SMALL_STATE(2896)] = 112800,
  [SMALL_STATE(2897)] = 112811,
  [SMALL_STATE(2898)] = 112822,
  [SMALL_STATE(2899)] = 112833,
  [SMALL_STATE(2900)] = 112852,
  [SMALL_STATE(2901)] = 112863,
  [SMALL_STATE(2902)] = 112874,
  [SMALL_STATE(2903)] = 112889,
  [SMALL_STATE(2904)] = 112900,
  [SMALL_STATE(2905)] = 112911,
  [SMALL_STATE(2906)] = 112930,
  [SMALL_STATE(2907)] = 112941,
  [SMALL_STATE(2908)] = 112960,
  [SMALL_STATE(2909)] = 112977,
  [SMALL_STATE(2910)] = 112988,
  [SMALL_STATE(2911)] = 113005,
  [SMALL_STATE(2912)] = 113016,
  [SMALL_STATE(2913)] = 113035,
  [SMALL_STATE(2914)] = 113046,
  [SMALL_STATE(2915)] = 113063,
  [SMALL_STATE(2916)] = 113074,
  [SMALL_STATE(2917)] = 113093,
  [SMALL_STATE(2918)] = 113104,
  [SMALL_STATE(2919)] = 113123,
  [SMALL_STATE(2920)] = 113134,
  [SMALL_STATE(2921)] = 113153,
  [SMALL_STATE(2922)] = 113164,
  [SMALL_STATE(2923)] = 113175,
  [SMALL_STATE(2924)] = 113186,
  [SMALL_STATE(2925)] = 113205,
  [SMALL_STATE(2926)] = 113216,
  [SMALL_STATE(2927)] = 113227,
  [SMALL_STATE(2928)] = 113244,
  [SMALL_STATE(2929)] = 113263,
  [SMALL_STATE(2930)] = 113282,
  [SMALL_STATE(2931)] = 113301,
  [SMALL_STATE(2932)] = 113320,
  [SMALL_STATE(2933)] = 113335,
  [SMALL_STATE(2934)] = 113354,
  [SMALL_STATE(2935)] = 113365,
  [SMALL_STATE(2936)] = 113376,
  [SMALL_STATE(2937)] = 113387,
  [SMALL_STATE(2938)] = 113406,
  [SMALL_STATE(2939)] = 113417,
  [SMALL_STATE(2940)] = 113432,
  [SMALL_STATE(2941)] = 113443,
  [SMALL_STATE(2942)] = 113454,
  [SMALL_STATE(2943)] = 113469,
  [SMALL_STATE(2944)] = 113480,
  [SMALL_STATE(2945)] = 113495,
  [SMALL_STATE(2946)] = 113512,
  [SMALL_STATE(2947)] = 113523,
  [SMALL_STATE(2948)] = 113540,
  [SMALL_STATE(2949)] = 113551,
  [SMALL_STATE(2950)] = 113566,
  [SMALL_STATE(2951)] = 113577,
  [SMALL_STATE(2952)] = 113588,
  [SMALL_STATE(2953)] = 113599,
  [SMALL_STATE(2954)] = 113618,
  [SMALL_STATE(2955)] = 113637,
  [SMALL_STATE(2956)] = 113648,
  [SMALL_STATE(2957)] = 113663,
  [SMALL_STATE(2958)] = 113682,
  [SMALL_STATE(2959)] = 113699,
  [SMALL_STATE(2960)] = 113716,
  [SMALL_STATE(2961)] = 113727,
  [SMALL_STATE(2962)] = 113746,
  [SMALL_STATE(2963)] = 113757,
  [SMALL_STATE(2964)] = 113768,
  [SMALL_STATE(2965)] = 113779,
  [SMALL_STATE(2966)] = 113790,
  [SMALL_STATE(2967)] = 113809,
  [SMALL_STATE(2968)] = 113820,
  [SMALL_STATE(2969)] = 113831,
  [SMALL_STATE(2970)] = 113842,
  [SMALL_STATE(2971)] = 113859,
  [SMALL_STATE(2972)] = 113878,
  [SMALL_STATE(2973)] = 113897,
  [SMALL_STATE(2974)] = 113910,
  [SMALL_STATE(2975)] = 113921,
  [SMALL_STATE(2976)] = 113932,
  [SMALL_STATE(2977)] = 113949,
  [SMALL_STATE(2978)] = 113968,
  [SMALL_STATE(2979)] = 113987,
  [SMALL_STATE(2980)] = 114006,
  [SMALL_STATE(2981)] = 114025,
  [SMALL_STATE(2982)] = 114036,
  [SMALL_STATE(2983)] = 114047,
  [SMALL_STATE(2984)] = 114058,
  [SMALL_STATE(2985)] = 114069,
  [SMALL_STATE(2986)] = 114080,
  [SMALL_STATE(2987)] = 114099,
  [SMALL_STATE(2988)] = 114114,
  [SMALL_STATE(2989)] = 114129,
  [SMALL_STATE(2990)] = 114148,
  [SMALL_STATE(2991)] = 114167,
  [SMALL_STATE(2992)] = 114178,
  [SMALL_STATE(2993)] = 114189,
  [SMALL_STATE(2994)] = 114208,
  [SMALL_STATE(2995)] = 114219,
  [SMALL_STATE(2996)] = 114230,
  [SMALL_STATE(2997)] = 114241,
  [SMALL_STATE(2998)] = 114252,
  [SMALL_STATE(2999)] = 114271,
  [SMALL_STATE(3000)] = 114282,
  [SMALL_STATE(3001)] = 114301,
  [SMALL_STATE(3002)] = 114312,
  [SMALL_STATE(3003)] = 114327,
  [SMALL_STATE(3004)] = 114346,
  [SMALL_STATE(3005)] = 114357,
  [SMALL_STATE(3006)] = 114372,
  [SMALL_STATE(3007)] = 114383,
  [SMALL_STATE(3008)] = 114394,
  [SMALL_STATE(3009)] = 114405,
  [SMALL_STATE(3010)] = 114416,
  [SMALL_STATE(3011)] = 114427,
  [SMALL_STATE(3012)] = 114440,
  [SMALL_STATE(3013)] = 114453,
  [SMALL_STATE(3014)] = 114464,
  [SMALL_STATE(3015)] = 114483,
  [SMALL_STATE(3016)] = 114502,
  [SMALL_STATE(3017)] = 114513,
  [SMALL_STATE(3018)] = 114524,
  [SMALL_STATE(3019)] = 114535,
  [SMALL_STATE(3020)] = 114552,
  [SMALL_STATE(3021)] = 114567,
  [SMALL_STATE(3022)] = 114582,
  [SMALL_STATE(3023)] = 114599,
  [SMALL_STATE(3024)] = 114614,
  [SMALL_STATE(3025)] = 114631,
  [SMALL_STATE(3026)] = 114642,
  [SMALL_STATE(3027)] = 114661,
  [SMALL_STATE(3028)] = 114678,
  [SMALL_STATE(3029)] = 114689,
  [SMALL_STATE(3030)] = 114708,
  [SMALL_STATE(3031)] = 114719,
  [SMALL_STATE(3032)] = 114736,
  [SMALL_STATE(3033)] = 114747,
  [SMALL_STATE(3034)] = 114758,
  [SMALL_STATE(3035)] = 114769,
  [SMALL_STATE(3036)] = 114782,
  [SMALL_STATE(3037)] = 114793,
  [SMALL_STATE(3038)] = 114812,
  [SMALL_STATE(3039)] = 114823,
  [SMALL_STATE(3040)] = 114834,
  [SMALL_STATE(3041)] = 114853,
  [SMALL_STATE(3042)] = 114864,
  [SMALL_STATE(3043)] = 114883,
  [SMALL_STATE(3044)] = 114894,
  [SMALL_STATE(3045)] = 114913,
  [SMALL_STATE(3046)] = 114924,
  [SMALL_STATE(3047)] = 114935,
  [SMALL_STATE(3048)] = 114950,
  [SMALL_STATE(3049)] = 114969,
  [SMALL_STATE(3050)] = 114986,
  [SMALL_STATE(3051)] = 115005,
  [SMALL_STATE(3052)] = 115016,
  [SMALL_STATE(3053)] = 115031,
  [SMALL_STATE(3054)] = 115046,
  [SMALL_STATE(3055)] = 115060,
  [SMALL_STATE(3056)] = 115074,
  [SMALL_STATE(3057)] = 115090,
  [SMALL_STATE(3058)] = 115106,
  [SMALL_STATE(3059)] = 115116,
  [SMALL_STATE(3060)] = 115132,
  [SMALL_STATE(3061)] = 115148,
  [SMALL_STATE(3062)] = 115162,
  [SMALL_STATE(3063)] = 115178,
  [SMALL_STATE(3064)] = 115190,
  [SMALL_STATE(3065)] = 115206,
  [SMALL_STATE(3066)] = 115220,
  [SMALL_STATE(3067)] = 115234,
  [SMALL_STATE(3068)] = 115250,
  [SMALL_STATE(3069)] = 115266,
  [SMALL_STATE(3070)] = 115280,
  [SMALL_STATE(3071)] = 115296,
  [SMALL_STATE(3072)] = 115310,
  [SMALL_STATE(3073)] = 115320,
  [SMALL_STATE(3074)] = 115334,
  [SMALL_STATE(3075)] = 115348,
  [SMALL_STATE(3076)] = 115364,
  [SMALL_STATE(3077)] = 115378,
  [SMALL_STATE(3078)] = 115392,
  [SMALL_STATE(3079)] = 115406,
  [SMALL_STATE(3080)] = 115422,
  [SMALL_STATE(3081)] = 115438,
  [SMALL_STATE(3082)] = 115448,
  [SMALL_STATE(3083)] = 115460,
  [SMALL_STATE(3084)] = 115476,
  [SMALL_STATE(3085)] = 115490,
  [SMALL_STATE(3086)] = 115506,
  [SMALL_STATE(3087)] = 115518,
  [SMALL_STATE(3088)] = 115534,
  [SMALL_STATE(3089)] = 115550,
  [SMALL_STATE(3090)] = 115562,
  [SMALL_STATE(3091)] = 115576,
  [SMALL_STATE(3092)] = 115590,
  [SMALL_STATE(3093)] = 115600,
  [SMALL_STATE(3094)] = 115616,
  [SMALL_STATE(3095)] = 115632,
  [SMALL_STATE(3096)] = 115646,
  [SMALL_STATE(3097)] = 115660,
  [SMALL_STATE(3098)] = 115674,
  [SMALL_STATE(3099)] = 115688,
  [SMALL_STATE(3100)] = 115702,
  [SMALL_STATE(3101)] = 115716,
  [SMALL_STATE(3102)] = 115732,
  [SMALL_STATE(3103)] = 115748,
  [SMALL_STATE(3104)] = 115764,
  [SMALL_STATE(3105)] = 115780,
  [SMALL_STATE(3106)] = 115796,
  [SMALL_STATE(3107)] = 115812,
  [SMALL_STATE(3108)] = 115828,
  [SMALL_STATE(3109)] = 115844,
  [SMALL_STATE(3110)] = 115858,
  [SMALL_STATE(3111)] = 115872,
  [SMALL_STATE(3112)] = 115886,
  [SMALL_STATE(3113)] = 115900,
  [SMALL_STATE(3114)] = 115916,
  [SMALL_STATE(3115)] = 115930,
  [SMALL_STATE(3116)] = 115944,
  [SMALL_STATE(3117)] = 115960,
  [SMALL_STATE(3118)] = 115976,
  [SMALL_STATE(3119)] = 115992,
  [SMALL_STATE(3120)] = 116006,
  [SMALL_STATE(3121)] = 116020,
  [SMALL_STATE(3122)] = 116036,
  [SMALL_STATE(3123)] = 116050,
  [SMALL_STATE(3124)] = 116064,
  [SMALL_STATE(3125)] = 116078,
  [SMALL_STATE(3126)] = 116092,
  [SMALL_STATE(3127)] = 116106,
  [SMALL_STATE(3128)] = 116120,
  [SMALL_STATE(3129)] = 116136,
  [SMALL_STATE(3130)] = 116152,
  [SMALL_STATE(3131)] = 116166,
  [SMALL_STATE(3132)] = 116180,
  [SMALL_STATE(3133)] = 116194,
  [SMALL_STATE(3134)] = 116210,
  [SMALL_STATE(3135)] = 116224,
  [SMALL_STATE(3136)] = 116240,
  [SMALL_STATE(3137)] = 116256,
  [SMALL_STATE(3138)] = 116270,
  [SMALL_STATE(3139)] = 116284,
  [SMALL_STATE(3140)] = 116298,
  [SMALL_STATE(3141)] = 116314,
  [SMALL_STATE(3142)] = 116328,
  [SMALL_STATE(3143)] = 116342,
  [SMALL_STATE(3144)] = 116358,
  [SMALL_STATE(3145)] = 116374,
  [SMALL_STATE(3146)] = 116390,
  [SMALL_STATE(3147)] = 116406,
  [SMALL_STATE(3148)] = 116422,
  [SMALL_STATE(3149)] = 116436,
  [SMALL_STATE(3150)] = 116452,
  [SMALL_STATE(3151)] = 116466,
  [SMALL_STATE(3152)] = 116480,
  [SMALL_STATE(3153)] = 116494,
  [SMALL_STATE(3154)] = 116510,
  [SMALL_STATE(3155)] = 116524,
  [SMALL_STATE(3156)] = 116538,
  [SMALL_STATE(3157)] = 116554,
  [SMALL_STATE(3158)] = 116570,
  [SMALL_STATE(3159)] = 116584,
  [SMALL_STATE(3160)] = 116598,
  [SMALL_STATE(3161)] = 116614,
  [SMALL_STATE(3162)] = 116628,
  [SMALL_STATE(3163)] = 116644,
  [SMALL_STATE(3164)] = 116658,
  [SMALL_STATE(3165)] = 116672,
  [SMALL_STATE(3166)] = 116686,
  [SMALL_STATE(3167)] = 116699,
  [SMALL_STATE(3168)] = 116712,
  [SMALL_STATE(3169)] = 116723,
  [SMALL_STATE(3170)] = 116736,
  [SMALL_STATE(3171)] = 116745,
  [SMALL_STATE(3172)] = 116758,
  [SMALL_STATE(3173)] = 116771,
  [SMALL_STATE(3174)] = 116784,
  [SMALL_STATE(3175)] = 116795,
  [SMALL_STATE(3176)] = 116808,
  [SMALL_STATE(3177)] = 116817,
  [SMALL_STATE(3178)] = 116830,
  [SMALL_STATE(3179)] = 116843,
  [SMALL_STATE(3180)] = 116856,
  [SMALL_STATE(3181)] = 116869,
  [SMALL_STATE(3182)] = 116878,
  [SMALL_STATE(3183)] = 116891,
  [SMALL_STATE(3184)] = 116902,
  [SMALL_STATE(3185)] = 116913,
  [SMALL_STATE(3186)] = 116922,
  [SMALL_STATE(3187)] = 116931,
  [SMALL_STATE(3188)] = 116944,
  [SMALL_STATE(3189)] = 116955,
  [SMALL_STATE(3190)] = 116964,
  [SMALL_STATE(3191)] = 116973,
  [SMALL_STATE(3192)] = 116982,
  [SMALL_STATE(3193)] = 116995,
  [SMALL_STATE(3194)] = 117004,
  [SMALL_STATE(3195)] = 117017,
  [SMALL_STATE(3196)] = 117026,
  [SMALL_STATE(3197)] = 117039,
  [SMALL_STATE(3198)] = 117048,
  [SMALL_STATE(3199)] = 117057,
  [SMALL_STATE(3200)] = 117066,
  [SMALL_STATE(3201)] = 117075,
  [SMALL_STATE(3202)] = 117088,
  [SMALL_STATE(3203)] = 117101,
  [SMALL_STATE(3204)] = 117110,
  [SMALL_STATE(3205)] = 117119,
  [SMALL_STATE(3206)] = 117132,
  [SMALL_STATE(3207)] = 117145,
  [SMALL_STATE(3208)] = 117158,
  [SMALL_STATE(3209)] = 117171,
  [SMALL_STATE(3210)] = 117180,
  [SMALL_STATE(3211)] = 117193,
  [SMALL_STATE(3212)] = 117206,
  [SMALL_STATE(3213)] = 117215,
  [SMALL_STATE(3214)] = 117224,
  [SMALL_STATE(3215)] = 117233,
  [SMALL_STATE(3216)] = 117244,
  [SMALL_STATE(3217)] = 117253,
  [SMALL_STATE(3218)] = 117262,
  [SMALL_STATE(3219)] = 117271,
  [SMALL_STATE(3220)] = 117280,
  [SMALL_STATE(3221)] = 117293,
  [SMALL_STATE(3222)] = 117306,
  [SMALL_STATE(3223)] = 117315,
  [SMALL_STATE(3224)] = 117324,
  [SMALL_STATE(3225)] = 117333,
  [SMALL_STATE(3226)] = 117346,
  [SMALL_STATE(3227)] = 117355,
  [SMALL_STATE(3228)] = 117364,
  [SMALL_STATE(3229)] = 117373,
  [SMALL_STATE(3230)] = 117382,
  [SMALL_STATE(3231)] = 117391,
  [SMALL_STATE(3232)] = 117400,
  [SMALL_STATE(3233)] = 117409,
  [SMALL_STATE(3234)] = 117418,
  [SMALL_STATE(3235)] = 117427,
  [SMALL_STATE(3236)] = 117440,
  [SMALL_STATE(3237)] = 117449,
  [SMALL_STATE(3238)] = 117458,
  [SMALL_STATE(3239)] = 117467,
  [SMALL_STATE(3240)] = 117476,
  [SMALL_STATE(3241)] = 117489,
  [SMALL_STATE(3242)] = 117498,
  [SMALL_STATE(3243)] = 117507,
  [SMALL_STATE(3244)] = 117516,
  [SMALL_STATE(3245)] = 117529,
  [SMALL_STATE(3246)] = 117542,
  [SMALL_STATE(3247)] = 117555,
  [SMALL_STATE(3248)] = 117568,
  [SMALL_STATE(3249)] = 117581,
  [SMALL_STATE(3250)] = 117592,
  [SMALL_STATE(3251)] = 117601,
  [SMALL_STATE(3252)] = 117612,
  [SMALL_STATE(3253)] = 117625,
  [SMALL_STATE(3254)] = 117638,
  [SMALL_STATE(3255)] = 117651,
  [SMALL_STATE(3256)] = 117660,
  [SMALL_STATE(3257)] = 117673,
  [SMALL_STATE(3258)] = 117686,
  [SMALL_STATE(3259)] = 117699,
  [SMALL_STATE(3260)] = 117712,
  [SMALL_STATE(3261)] = 117725,
  [SMALL_STATE(3262)] = 117738,
  [SMALL_STATE(3263)] = 117751,
  [SMALL_STATE(3264)] = 117760,
  [SMALL_STATE(3265)] = 117771,
  [SMALL_STATE(3266)] = 117784,
  [SMALL_STATE(3267)] = 117797,
  [SMALL_STATE(3268)] = 117806,
  [SMALL_STATE(3269)] = 117819,
  [SMALL_STATE(3270)] = 117832,
  [SMALL_STATE(3271)] = 117845,
  [SMALL_STATE(3272)] = 117858,
  [SMALL_STATE(3273)] = 117871,
  [SMALL_STATE(3274)] = 117884,
  [SMALL_STATE(3275)] = 117897,
  [SMALL_STATE(3276)] = 117910,
  [SMALL_STATE(3277)] = 117923,
  [SMALL_STATE(3278)] = 117936,
  [SMALL_STATE(3279)] = 117949,
  [SMALL_STATE(3280)] = 117962,
  [SMALL_STATE(3281)] = 117975,
  [SMALL_STATE(3282)] = 117986,
  [SMALL_STATE(3283)] = 117999,
  [SMALL_STATE(3284)] = 118012,
  [SMALL_STATE(3285)] = 118025,
  [SMALL_STATE(3286)] = 118038,
  [SMALL_STATE(3287)] = 118051,
  [SMALL_STATE(3288)] = 118064,
  [SMALL_STATE(3289)] = 118075,
  [SMALL_STATE(3290)] = 118086,
  [SMALL_STATE(3291)] = 118097,
  [SMALL_STATE(3292)] = 118110,
  [SMALL_STATE(3293)] = 118123,
  [SMALL_STATE(3294)] = 118136,
  [SMALL_STATE(3295)] = 118149,
  [SMALL_STATE(3296)] = 118162,
  [SMALL_STATE(3297)] = 118175,
  [SMALL_STATE(3298)] = 118188,
  [SMALL_STATE(3299)] = 118201,
  [SMALL_STATE(3300)] = 118214,
  [SMALL_STATE(3301)] = 118225,
  [SMALL_STATE(3302)] = 118236,
  [SMALL_STATE(3303)] = 118249,
  [SMALL_STATE(3304)] = 118262,
  [SMALL_STATE(3305)] = 118275,
  [SMALL_STATE(3306)] = 118288,
  [SMALL_STATE(3307)] = 118299,
  [SMALL_STATE(3308)] = 118310,
  [SMALL_STATE(3309)] = 118321,
  [SMALL_STATE(3310)] = 118334,
  [SMALL_STATE(3311)] = 118347,
  [SMALL_STATE(3312)] = 118360,
  [SMALL_STATE(3313)] = 118373,
  [SMALL_STATE(3314)] = 118386,
  [SMALL_STATE(3315)] = 118399,
  [SMALL_STATE(3316)] = 118412,
  [SMALL_STATE(3317)] = 118425,
  [SMALL_STATE(3318)] = 118438,
  [SMALL_STATE(3319)] = 118447,
  [SMALL_STATE(3320)] = 118460,
  [SMALL_STATE(3321)] = 118473,
  [SMALL_STATE(3322)] = 118486,
  [SMALL_STATE(3323)] = 118499,
  [SMALL_STATE(3324)] = 118512,
  [SMALL_STATE(3325)] = 118525,
  [SMALL_STATE(3326)] = 118534,
  [SMALL_STATE(3327)] = 118547,
  [SMALL_STATE(3328)] = 118560,
  [SMALL_STATE(3329)] = 118573,
  [SMALL_STATE(3330)] = 118586,
  [SMALL_STATE(3331)] = 118599,
  [SMALL_STATE(3332)] = 118612,
  [SMALL_STATE(3333)] = 118625,
  [SMALL_STATE(3334)] = 118638,
  [SMALL_STATE(3335)] = 118651,
  [SMALL_STATE(3336)] = 118662,
  [SMALL_STATE(3337)] = 118675,
  [SMALL_STATE(3338)] = 118688,
  [SMALL_STATE(3339)] = 118701,
  [SMALL_STATE(3340)] = 118712,
  [SMALL_STATE(3341)] = 118725,
  [SMALL_STATE(3342)] = 118738,
  [SMALL_STATE(3343)] = 118751,
  [SMALL_STATE(3344)] = 118764,
  [SMALL_STATE(3345)] = 118777,
  [SMALL_STATE(3346)] = 118790,
  [SMALL_STATE(3347)] = 118803,
  [SMALL_STATE(3348)] = 118816,
  [SMALL_STATE(3349)] = 118829,
  [SMALL_STATE(3350)] = 118842,
  [SMALL_STATE(3351)] = 118855,
  [SMALL_STATE(3352)] = 118868,
  [SMALL_STATE(3353)] = 118881,
  [SMALL_STATE(3354)] = 118890,
  [SMALL_STATE(3355)] = 118903,
  [SMALL_STATE(3356)] = 118916,
  [SMALL_STATE(3357)] = 118929,
  [SMALL_STATE(3358)] = 118942,
  [SMALL_STATE(3359)] = 118955,
  [SMALL_STATE(3360)] = 118968,
  [SMALL_STATE(3361)] = 118981,
  [SMALL_STATE(3362)] = 118994,
  [SMALL_STATE(3363)] = 119007,
  [SMALL_STATE(3364)] = 119020,
  [SMALL_STATE(3365)] = 119033,
  [SMALL_STATE(3366)] = 119046,
  [SMALL_STATE(3367)] = 119059,
  [SMALL_STATE(3368)] = 119072,
  [SMALL_STATE(3369)] = 119085,
  [SMALL_STATE(3370)] = 119098,
  [SMALL_STATE(3371)] = 119109,
  [SMALL_STATE(3372)] = 119120,
  [SMALL_STATE(3373)] = 119129,
  [SMALL_STATE(3374)] = 119142,
  [SMALL_STATE(3375)] = 119155,
  [SMALL_STATE(3376)] = 119168,
  [SMALL_STATE(3377)] = 119181,
  [SMALL_STATE(3378)] = 119194,
  [SMALL_STATE(3379)] = 119207,
  [SMALL_STATE(3380)] = 119216,
  [SMALL_STATE(3381)] = 119225,
  [SMALL_STATE(3382)] = 119238,
  [SMALL_STATE(3383)] = 119247,
  [SMALL_STATE(3384)] = 119256,
  [SMALL_STATE(3385)] = 119265,
  [SMALL_STATE(3386)] = 119274,
  [SMALL_STATE(3387)] = 119287,
  [SMALL_STATE(3388)] = 119300,
  [SMALL_STATE(3389)] = 119313,
  [SMALL_STATE(3390)] = 119326,
  [SMALL_STATE(3391)] = 119339,
  [SMALL_STATE(3392)] = 119352,
  [SMALL_STATE(3393)] = 119365,
  [SMALL_STATE(3394)] = 119375,
  [SMALL_STATE(3395)] = 119385,
  [SMALL_STATE(3396)] = 119395,
  [SMALL_STATE(3397)] = 119405,
  [SMALL_STATE(3398)] = 119415,
  [SMALL_STATE(3399)] = 119425,
  [SMALL_STATE(3400)] = 119435,
  [SMALL_STATE(3401)] = 119445,
  [SMALL_STATE(3402)] = 119453,
  [SMALL_STATE(3403)] = 119463,
  [SMALL_STATE(3404)] = 119473,
  [SMALL_STATE(3405)] = 119483,
  [SMALL_STATE(3406)] = 119493,
  [SMALL_STATE(3407)] = 119503,
  [SMALL_STATE(3408)] = 119513,
  [SMALL_STATE(3409)] = 119523,
  [SMALL_STATE(3410)] = 119531,
  [SMALL_STATE(3411)] = 119541,
  [SMALL_STATE(3412)] = 119551,
  [SMALL_STATE(3413)] = 119561,
  [SMALL_STATE(3414)] = 119571,
  [SMALL_STATE(3415)] = 119581,
  [SMALL_STATE(3416)] = 119591,
  [SMALL_STATE(3417)] = 119601,
  [SMALL_STATE(3418)] = 119611,
  [SMALL_STATE(3419)] = 119619,
  [SMALL_STATE(3420)] = 119629,
  [SMALL_STATE(3421)] = 119639,
  [SMALL_STATE(3422)] = 119647,
  [SMALL_STATE(3423)] = 119657,
  [SMALL_STATE(3424)] = 119665,
  [SMALL_STATE(3425)] = 119675,
  [SMALL_STATE(3426)] = 119685,
  [SMALL_STATE(3427)] = 119695,
  [SMALL_STATE(3428)] = 119703,
  [SMALL_STATE(3429)] = 119711,
  [SMALL_STATE(3430)] = 119719,
  [SMALL_STATE(3431)] = 119727,
  [SMALL_STATE(3432)] = 119737,
  [SMALL_STATE(3433)] = 119747,
  [SMALL_STATE(3434)] = 119757,
  [SMALL_STATE(3435)] = 119765,
  [SMALL_STATE(3436)] = 119773,
  [SMALL_STATE(3437)] = 119781,
  [SMALL_STATE(3438)] = 119789,
  [SMALL_STATE(3439)] = 119799,
  [SMALL_STATE(3440)] = 119809,
  [SMALL_STATE(3441)] = 119817,
  [SMALL_STATE(3442)] = 119827,
  [SMALL_STATE(3443)] = 119837,
  [SMALL_STATE(3444)] = 119845,
  [SMALL_STATE(3445)] = 119855,
  [SMALL_STATE(3446)] = 119863,
  [SMALL_STATE(3447)] = 119873,
  [SMALL_STATE(3448)] = 119881,
  [SMALL_STATE(3449)] = 119889,
  [SMALL_STATE(3450)] = 119899,
  [SMALL_STATE(3451)] = 119909,
  [SMALL_STATE(3452)] = 119917,
  [SMALL_STATE(3453)] = 119927,
  [SMALL_STATE(3454)] = 119937,
  [SMALL_STATE(3455)] = 119947,
  [SMALL_STATE(3456)] = 119957,
  [SMALL_STATE(3457)] = 119967,
  [SMALL_STATE(3458)] = 119977,
  [SMALL_STATE(3459)] = 119985,
  [SMALL_STATE(3460)] = 119995,
  [SMALL_STATE(3461)] = 120005,
  [SMALL_STATE(3462)] = 120015,
  [SMALL_STATE(3463)] = 120023,
  [SMALL_STATE(3464)] = 120031,
  [SMALL_STATE(3465)] = 120041,
  [SMALL_STATE(3466)] = 120051,
  [SMALL_STATE(3467)] = 120059,
  [SMALL_STATE(3468)] = 120069,
  [SMALL_STATE(3469)] = 120079,
  [SMALL_STATE(3470)] = 120087,
  [SMALL_STATE(3471)] = 120097,
  [SMALL_STATE(3472)] = 120107,
  [SMALL_STATE(3473)] = 120115,
  [SMALL_STATE(3474)] = 120125,
  [SMALL_STATE(3475)] = 120135,
  [SMALL_STATE(3476)] = 120143,
  [SMALL_STATE(3477)] = 120153,
  [SMALL_STATE(3478)] = 120161,
  [SMALL_STATE(3479)] = 120171,
  [SMALL_STATE(3480)] = 120181,
  [SMALL_STATE(3481)] = 120191,
  [SMALL_STATE(3482)] = 120199,
  [SMALL_STATE(3483)] = 120209,
  [SMALL_STATE(3484)] = 120219,
  [SMALL_STATE(3485)] = 120229,
  [SMALL_STATE(3486)] = 120239,
  [SMALL_STATE(3487)] = 120249,
  [SMALL_STATE(3488)] = 120259,
  [SMALL_STATE(3489)] = 120267,
  [SMALL_STATE(3490)] = 120277,
  [SMALL_STATE(3491)] = 120287,
  [SMALL_STATE(3492)] = 120297,
  [SMALL_STATE(3493)] = 120307,
  [SMALL_STATE(3494)] = 120317,
  [SMALL_STATE(3495)] = 120327,
  [SMALL_STATE(3496)] = 120335,
  [SMALL_STATE(3497)] = 120345,
  [SMALL_STATE(3498)] = 120355,
  [SMALL_STATE(3499)] = 120363,
  [SMALL_STATE(3500)] = 120373,
  [SMALL_STATE(3501)] = 120383,
  [SMALL_STATE(3502)] = 120393,
  [SMALL_STATE(3503)] = 120401,
  [SMALL_STATE(3504)] = 120411,
  [SMALL_STATE(3505)] = 120419,
  [SMALL_STATE(3506)] = 120429,
  [SMALL_STATE(3507)] = 120439,
  [SMALL_STATE(3508)] = 120449,
  [SMALL_STATE(3509)] = 120459,
  [SMALL_STATE(3510)] = 120469,
  [SMALL_STATE(3511)] = 120479,
  [SMALL_STATE(3512)] = 120489,
  [SMALL_STATE(3513)] = 120499,
  [SMALL_STATE(3514)] = 120509,
  [SMALL_STATE(3515)] = 120517,
  [SMALL_STATE(3516)] = 120525,
  [SMALL_STATE(3517)] = 120535,
  [SMALL_STATE(3518)] = 120545,
  [SMALL_STATE(3519)] = 120553,
  [SMALL_STATE(3520)] = 120563,
  [SMALL_STATE(3521)] = 120573,
  [SMALL_STATE(3522)] = 120583,
  [SMALL_STATE(3523)] = 120593,
  [SMALL_STATE(3524)] = 120601,
  [SMALL_STATE(3525)] = 120611,
  [SMALL_STATE(3526)] = 120621,
  [SMALL_STATE(3527)] = 120631,
  [SMALL_STATE(3528)] = 120641,
  [SMALL_STATE(3529)] = 120651,
  [SMALL_STATE(3530)] = 120661,
  [SMALL_STATE(3531)] = 120671,
  [SMALL_STATE(3532)] = 120681,
  [SMALL_STATE(3533)] = 120691,
  [SMALL_STATE(3534)] = 120699,
  [SMALL_STATE(3535)] = 120707,
  [SMALL_STATE(3536)] = 120717,
  [SMALL_STATE(3537)] = 120727,
  [SMALL_STATE(3538)] = 120737,
  [SMALL_STATE(3539)] = 120747,
  [SMALL_STATE(3540)] = 120757,
  [SMALL_STATE(3541)] = 120767,
  [SMALL_STATE(3542)] = 120777,
  [SMALL_STATE(3543)] = 120787,
  [SMALL_STATE(3544)] = 120797,
  [SMALL_STATE(3545)] = 120807,
  [SMALL_STATE(3546)] = 120817,
  [SMALL_STATE(3547)] = 120827,
  [SMALL_STATE(3548)] = 120837,
  [SMALL_STATE(3549)] = 120847,
  [SMALL_STATE(3550)] = 120857,
  [SMALL_STATE(3551)] = 120867,
  [SMALL_STATE(3552)] = 120877,
  [SMALL_STATE(3553)] = 120887,
  [SMALL_STATE(3554)] = 120897,
  [SMALL_STATE(3555)] = 120905,
  [SMALL_STATE(3556)] = 120915,
  [SMALL_STATE(3557)] = 120925,
  [SMALL_STATE(3558)] = 120935,
  [SMALL_STATE(3559)] = 120945,
  [SMALL_STATE(3560)] = 120955,
  [SMALL_STATE(3561)] = 120965,
  [SMALL_STATE(3562)] = 120973,
  [SMALL_STATE(3563)] = 120983,
  [SMALL_STATE(3564)] = 120993,
  [SMALL_STATE(3565)] = 121001,
  [SMALL_STATE(3566)] = 121011,
  [SMALL_STATE(3567)] = 121021,
  [SMALL_STATE(3568)] = 121031,
  [SMALL_STATE(3569)] = 121039,
  [SMALL_STATE(3570)] = 121049,
  [SMALL_STATE(3571)] = 121059,
  [SMALL_STATE(3572)] = 121069,
  [SMALL_STATE(3573)] = 121079,
  [SMALL_STATE(3574)] = 121089,
  [SMALL_STATE(3575)] = 121097,
  [SMALL_STATE(3576)] = 121105,
  [SMALL_STATE(3577)] = 121113,
  [SMALL_STATE(3578)] = 121123,
  [SMALL_STATE(3579)] = 121133,
  [SMALL_STATE(3580)] = 121141,
  [SMALL_STATE(3581)] = 121151,
  [SMALL_STATE(3582)] = 121161,
  [SMALL_STATE(3583)] = 121169,
  [SMALL_STATE(3584)] = 121179,
  [SMALL_STATE(3585)] = 121187,
  [SMALL_STATE(3586)] = 121197,
  [SMALL_STATE(3587)] = 121207,
  [SMALL_STATE(3588)] = 121217,
  [SMALL_STATE(3589)] = 121225,
  [SMALL_STATE(3590)] = 121235,
  [SMALL_STATE(3591)] = 121243,
  [SMALL_STATE(3592)] = 121253,
  [SMALL_STATE(3593)] = 121263,
  [SMALL_STATE(3594)] = 121273,
  [SMALL_STATE(3595)] = 121281,
  [SMALL_STATE(3596)] = 121291,
  [SMALL_STATE(3597)] = 121301,
  [SMALL_STATE(3598)] = 121311,
  [SMALL_STATE(3599)] = 121319,
  [SMALL_STATE(3600)] = 121329,
  [SMALL_STATE(3601)] = 121337,
  [SMALL_STATE(3602)] = 121345,
  [SMALL_STATE(3603)] = 121355,
  [SMALL_STATE(3604)] = 121363,
  [SMALL_STATE(3605)] = 121373,
  [SMALL_STATE(3606)] = 121383,
  [SMALL_STATE(3607)] = 121391,
  [SMALL_STATE(3608)] = 121401,
  [SMALL_STATE(3609)] = 121409,
  [SMALL_STATE(3610)] = 121417,
  [SMALL_STATE(3611)] = 121427,
  [SMALL_STATE(3612)] = 121435,
  [SMALL_STATE(3613)] = 121445,
  [SMALL_STATE(3614)] = 121455,
  [SMALL_STATE(3615)] = 121465,
  [SMALL_STATE(3616)] = 121475,
  [SMALL_STATE(3617)] = 121485,
  [SMALL_STATE(3618)] = 121495,
  [SMALL_STATE(3619)] = 121505,
  [SMALL_STATE(3620)] = 121513,
  [SMALL_STATE(3621)] = 121523,
  [SMALL_STATE(3622)] = 121531,
  [SMALL_STATE(3623)] = 121541,
  [SMALL_STATE(3624)] = 121549,
  [SMALL_STATE(3625)] = 121559,
  [SMALL_STATE(3626)] = 121567,
  [SMALL_STATE(3627)] = 121577,
  [SMALL_STATE(3628)] = 121587,
  [SMALL_STATE(3629)] = 121597,
  [SMALL_STATE(3630)] = 121607,
  [SMALL_STATE(3631)] = 121617,
  [SMALL_STATE(3632)] = 121625,
  [SMALL_STATE(3633)] = 121635,
  [SMALL_STATE(3634)] = 121643,
  [SMALL_STATE(3635)] = 121651,
  [SMALL_STATE(3636)] = 121659,
  [SMALL_STATE(3637)] = 121669,
  [SMALL_STATE(3638)] = 121679,
  [SMALL_STATE(3639)] = 121689,
  [SMALL_STATE(3640)] = 121699,
  [SMALL_STATE(3641)] = 121709,
  [SMALL_STATE(3642)] = 121716,
  [SMALL_STATE(3643)] = 121723,
  [SMALL_STATE(3644)] = 121730,
  [SMALL_STATE(3645)] = 121737,
  [SMALL_STATE(3646)] = 121744,
  [SMALL_STATE(3647)] = 121751,
  [SMALL_STATE(3648)] = 121758,
  [SMALL_STATE(3649)] = 121765,
  [SMALL_STATE(3650)] = 121772,
  [SMALL_STATE(3651)] = 121779,
  [SMALL_STATE(3652)] = 121786,
  [SMALL_STATE(3653)] = 121793,
  [SMALL_STATE(3654)] = 121800,
  [SMALL_STATE(3655)] = 121807,
  [SMALL_STATE(3656)] = 121814,
  [SMALL_STATE(3657)] = 121821,
  [SMALL_STATE(3658)] = 121828,
  [SMALL_STATE(3659)] = 121835,
  [SMALL_STATE(3660)] = 121842,
  [SMALL_STATE(3661)] = 121849,
  [SMALL_STATE(3662)] = 121856,
  [SMALL_STATE(3663)] = 121863,
  [SMALL_STATE(3664)] = 121870,
  [SMALL_STATE(3665)] = 121877,
  [SMALL_STATE(3666)] = 121884,
  [SMALL_STATE(3667)] = 121891,
  [SMALL_STATE(3668)] = 121898,
  [SMALL_STATE(3669)] = 121905,
  [SMALL_STATE(3670)] = 121912,
  [SMALL_STATE(3671)] = 121919,
  [SMALL_STATE(3672)] = 121926,
  [SMALL_STATE(3673)] = 121933,
  [SMALL_STATE(3674)] = 121940,
  [SMALL_STATE(3675)] = 121947,
  [SMALL_STATE(3676)] = 121954,
  [SMALL_STATE(3677)] = 121961,
  [SMALL_STATE(3678)] = 121968,
  [SMALL_STATE(3679)] = 121975,
  [SMALL_STATE(3680)] = 121982,
  [SMALL_STATE(3681)] = 121989,
  [SMALL_STATE(3682)] = 121996,
  [SMALL_STATE(3683)] = 122003,
  [SMALL_STATE(3684)] = 122010,
  [SMALL_STATE(3685)] = 122017,
  [SMALL_STATE(3686)] = 122024,
  [SMALL_STATE(3687)] = 122031,
  [SMALL_STATE(3688)] = 122038,
  [SMALL_STATE(3689)] = 122045,
  [SMALL_STATE(3690)] = 122052,
  [SMALL_STATE(3691)] = 122059,
  [SMALL_STATE(3692)] = 122066,
  [SMALL_STATE(3693)] = 122073,
  [SMALL_STATE(3694)] = 122080,
  [SMALL_STATE(3695)] = 122087,
  [SMALL_STATE(3696)] = 122094,
  [SMALL_STATE(3697)] = 122101,
  [SMALL_STATE(3698)] = 122108,
  [SMALL_STATE(3699)] = 122115,
  [SMALL_STATE(3700)] = 122122,
  [SMALL_STATE(3701)] = 122129,
  [SMALL_STATE(3702)] = 122136,
  [SMALL_STATE(3703)] = 122143,
  [SMALL_STATE(3704)] = 122150,
  [SMALL_STATE(3705)] = 122157,
  [SMALL_STATE(3706)] = 122164,
  [SMALL_STATE(3707)] = 122171,
  [SMALL_STATE(3708)] = 122178,
  [SMALL_STATE(3709)] = 122185,
  [SMALL_STATE(3710)] = 122192,
  [SMALL_STATE(3711)] = 122199,
  [SMALL_STATE(3712)] = 122206,
  [SMALL_STATE(3713)] = 122213,
  [SMALL_STATE(3714)] = 122220,
  [SMALL_STATE(3715)] = 122227,
  [SMALL_STATE(3716)] = 122234,
  [SMALL_STATE(3717)] = 122241,
  [SMALL_STATE(3718)] = 122248,
  [SMALL_STATE(3719)] = 122255,
  [SMALL_STATE(3720)] = 122262,
  [SMALL_STATE(3721)] = 122269,
  [SMALL_STATE(3722)] = 122276,
  [SMALL_STATE(3723)] = 122283,
  [SMALL_STATE(3724)] = 122290,
  [SMALL_STATE(3725)] = 122297,
  [SMALL_STATE(3726)] = 122304,
  [SMALL_STATE(3727)] = 122311,
  [SMALL_STATE(3728)] = 122318,
  [SMALL_STATE(3729)] = 122325,
  [SMALL_STATE(3730)] = 122332,
  [SMALL_STATE(3731)] = 122339,
  [SMALL_STATE(3732)] = 122346,
  [SMALL_STATE(3733)] = 122353,
  [SMALL_STATE(3734)] = 122360,
  [SMALL_STATE(3735)] = 122367,
  [SMALL_STATE(3736)] = 122374,
  [SMALL_STATE(3737)] = 122381,
  [SMALL_STATE(3738)] = 122388,
  [SMALL_STATE(3739)] = 122395,
  [SMALL_STATE(3740)] = 122402,
  [SMALL_STATE(3741)] = 122409,
  [SMALL_STATE(3742)] = 122416,
  [SMALL_STATE(3743)] = 122423,
  [SMALL_STATE(3744)] = 122430,
  [SMALL_STATE(3745)] = 122437,
  [SMALL_STATE(3746)] = 122444,
  [SMALL_STATE(3747)] = 122451,
  [SMALL_STATE(3748)] = 122458,
  [SMALL_STATE(3749)] = 122465,
  [SMALL_STATE(3750)] = 122472,
  [SMALL_STATE(3751)] = 122479,
  [SMALL_STATE(3752)] = 122486,
  [SMALL_STATE(3753)] = 122493,
  [SMALL_STATE(3754)] = 122500,
  [SMALL_STATE(3755)] = 122507,
  [SMALL_STATE(3756)] = 122514,
  [SMALL_STATE(3757)] = 122521,
  [SMALL_STATE(3758)] = 122528,
  [SMALL_STATE(3759)] = 122535,
  [SMALL_STATE(3760)] = 122542,
  [SMALL_STATE(3761)] = 122549,
  [SMALL_STATE(3762)] = 122556,
  [SMALL_STATE(3763)] = 122563,
  [SMALL_STATE(3764)] = 122570,
  [SMALL_STATE(3765)] = 122577,
  [SMALL_STATE(3766)] = 122584,
  [SMALL_STATE(3767)] = 122591,
  [SMALL_STATE(3768)] = 122598,
  [SMALL_STATE(3769)] = 122605,
  [SMALL_STATE(3770)] = 122612,
  [SMALL_STATE(3771)] = 122619,
  [SMALL_STATE(3772)] = 122626,
  [SMALL_STATE(3773)] = 122633,
  [SMALL_STATE(3774)] = 122640,
  [SMALL_STATE(3775)] = 122647,
  [SMALL_STATE(3776)] = 122654,
  [SMALL_STATE(3777)] = 122661,
  [SMALL_STATE(3778)] = 122668,
  [SMALL_STATE(3779)] = 122675,
  [SMALL_STATE(3780)] = 122682,
  [SMALL_STATE(3781)] = 122689,
  [SMALL_STATE(3782)] = 122696,
  [SMALL_STATE(3783)] = 122703,
  [SMALL_STATE(3784)] = 122710,
  [SMALL_STATE(3785)] = 122717,
  [SMALL_STATE(3786)] = 122724,
  [SMALL_STATE(3787)] = 122731,
  [SMALL_STATE(3788)] = 122738,
  [SMALL_STATE(3789)] = 122745,
  [SMALL_STATE(3790)] = 122752,
  [SMALL_STATE(3791)] = 122759,
  [SMALL_STATE(3792)] = 122766,
  [SMALL_STATE(3793)] = 122773,
  [SMALL_STATE(3794)] = 122780,
  [SMALL_STATE(3795)] = 122787,
  [SMALL_STATE(3796)] = 122794,
  [SMALL_STATE(3797)] = 122801,
  [SMALL_STATE(3798)] = 122808,
  [SMALL_STATE(3799)] = 122815,
  [SMALL_STATE(3800)] = 122822,
  [SMALL_STATE(3801)] = 122829,
  [SMALL_STATE(3802)] = 122836,
  [SMALL_STATE(3803)] = 122843,
  [SMALL_STATE(3804)] = 122850,
  [SMALL_STATE(3805)] = 122857,
  [SMALL_STATE(3806)] = 122864,
  [SMALL_STATE(3807)] = 122871,
  [SMALL_STATE(3808)] = 122878,
  [SMALL_STATE(3809)] = 122885,
  [SMALL_STATE(3810)] = 122892,
  [SMALL_STATE(3811)] = 122899,
  [SMALL_STATE(3812)] = 122906,
  [SMALL_STATE(3813)] = 122913,
  [SMALL_STATE(3814)] = 122920,
  [SMALL_STATE(3815)] = 122927,
  [SMALL_STATE(3816)] = 122934,
  [SMALL_STATE(3817)] = 122941,
  [SMALL_STATE(3818)] = 122948,
  [SMALL_STATE(3819)] = 122955,
  [SMALL_STATE(3820)] = 122962,
  [SMALL_STATE(3821)] = 122969,
  [SMALL_STATE(3822)] = 122976,
  [SMALL_STATE(3823)] = 122983,
  [SMALL_STATE(3824)] = 122990,
  [SMALL_STATE(3825)] = 122997,
  [SMALL_STATE(3826)] = 123004,
  [SMALL_STATE(3827)] = 123011,
  [SMALL_STATE(3828)] = 123018,
  [SMALL_STATE(3829)] = 123025,
  [SMALL_STATE(3830)] = 123032,
  [SMALL_STATE(3831)] = 123039,
  [SMALL_STATE(3832)] = 123046,
  [SMALL_STATE(3833)] = 123053,
  [SMALL_STATE(3834)] = 123060,
  [SMALL_STATE(3835)] = 123067,
  [SMALL_STATE(3836)] = 123074,
  [SMALL_STATE(3837)] = 123081,
  [SMALL_STATE(3838)] = 123088,
  [SMALL_STATE(3839)] = 123095,
  [SMALL_STATE(3840)] = 123102,
  [SMALL_STATE(3841)] = 123109,
  [SMALL_STATE(3842)] = 123116,
  [SMALL_STATE(3843)] = 123123,
  [SMALL_STATE(3844)] = 123130,
  [SMALL_STATE(3845)] = 123137,
  [SMALL_STATE(3846)] = 123144,
  [SMALL_STATE(3847)] = 123151,
  [SMALL_STATE(3848)] = 123158,
  [SMALL_STATE(3849)] = 123165,
  [SMALL_STATE(3850)] = 123172,
  [SMALL_STATE(3851)] = 123179,
  [SMALL_STATE(3852)] = 123186,
  [SMALL_STATE(3853)] = 123193,
  [SMALL_STATE(3854)] = 123200,
  [SMALL_STATE(3855)] = 123207,
  [SMALL_STATE(3856)] = 123214,
  [SMALL_STATE(3857)] = 123221,
  [SMALL_STATE(3858)] = 123228,
  [SMALL_STATE(3859)] = 123235,
  [SMALL_STATE(3860)] = 123242,
  [SMALL_STATE(3861)] = 123249,
  [SMALL_STATE(3862)] = 123256,
  [SMALL_STATE(3863)] = 123263,
  [SMALL_STATE(3864)] = 123270,
  [SMALL_STATE(3865)] = 123277,
  [SMALL_STATE(3866)] = 123284,
  [SMALL_STATE(3867)] = 123291,
  [SMALL_STATE(3868)] = 123298,
  [SMALL_STATE(3869)] = 123305,
  [SMALL_STATE(3870)] = 123312,
  [SMALL_STATE(3871)] = 123319,
  [SMALL_STATE(3872)] = 123326,
  [SMALL_STATE(3873)] = 123333,
  [SMALL_STATE(3874)] = 123340,
  [SMALL_STATE(3875)] = 123347,
  [SMALL_STATE(3876)] = 123354,
  [SMALL_STATE(3877)] = 123361,
  [SMALL_STATE(3878)] = 123368,
  [SMALL_STATE(3879)] = 123375,
  [SMALL_STATE(3880)] = 123382,
  [SMALL_STATE(3881)] = 123389,
  [SMALL_STATE(3882)] = 123396,
  [SMALL_STATE(3883)] = 123403,
  [SMALL_STATE(3884)] = 123410,
  [SMALL_STATE(3885)] = 123417,
  [SMALL_STATE(3886)] = 123424,
  [SMALL_STATE(3887)] = 123431,
  [SMALL_STATE(3888)] = 123438,
  [SMALL_STATE(3889)] = 123445,
  [SMALL_STATE(3890)] = 123452,
  [SMALL_STATE(3891)] = 123459,
  [SMALL_STATE(3892)] = 123466,
  [SMALL_STATE(3893)] = 123473,
  [SMALL_STATE(3894)] = 123480,
  [SMALL_STATE(3895)] = 123487,
  [SMALL_STATE(3896)] = 123494,
  [SMALL_STATE(3897)] = 123501,
  [SMALL_STATE(3898)] = 123508,
  [SMALL_STATE(3899)] = 123515,
  [SMALL_STATE(3900)] = 123522,
  [SMALL_STATE(3901)] = 123529,
  [SMALL_STATE(3902)] = 123536,
  [SMALL_STATE(3903)] = 123543,
  [SMALL_STATE(3904)] = 123550,
  [SMALL_STATE(3905)] = 123557,
  [SMALL_STATE(3906)] = 123564,
  [SMALL_STATE(3907)] = 123571,
  [SMALL_STATE(3908)] = 123578,
  [SMALL_STATE(3909)] = 123585,
  [SMALL_STATE(3910)] = 123592,
  [SMALL_STATE(3911)] = 123599,
  [SMALL_STATE(3912)] = 123606,
  [SMALL_STATE(3913)] = 123613,
  [SMALL_STATE(3914)] = 123620,
  [SMALL_STATE(3915)] = 123627,
  [SMALL_STATE(3916)] = 123634,
  [SMALL_STATE(3917)] = 123641,
  [SMALL_STATE(3918)] = 123648,
  [SMALL_STATE(3919)] = 123655,
  [SMALL_STATE(3920)] = 123662,
  [SMALL_STATE(3921)] = 123669,
  [SMALL_STATE(3922)] = 123676,
  [SMALL_STATE(3923)] = 123683,
  [SMALL_STATE(3924)] = 123690,
  [SMALL_STATE(3925)] = 123697,
  [SMALL_STATE(3926)] = 123704,
  [SMALL_STATE(3927)] = 123711,
  [SMALL_STATE(3928)] = 123718,
  [SMALL_STATE(3929)] = 123725,
  [SMALL_STATE(3930)] = 123732,
  [SMALL_STATE(3931)] = 123739,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(920),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(168),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(894),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(836),
  [219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(249),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1006),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2540),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2511),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2495),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(249),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3431),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3396),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3373),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(95),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(261),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3397),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3398),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3399),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3371),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3370),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3401),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(154),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(226),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(496),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(69),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(125),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(720),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3918),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2388),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(445),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2513),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(222),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(293),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3154),
  [315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3148),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2773),
  [321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1602),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1602),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1393),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3367),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(916),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(411),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(839),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3910),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3909),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3908),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 55),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 55),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 56),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, .production_id = 56),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 196),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 196),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(354),
  [618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 151),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 151),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 151),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 151),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 191),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 191),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 191),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 191),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 26),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 26),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 151),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 151),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 151),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 151),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 120),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 120),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 120),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 120),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 159),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 159),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 159),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 159),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 112),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 112),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 112),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 112),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 160),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 160),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 160),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 160),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 103),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 103),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 103),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 103),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 54),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 54),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 54),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 54),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 102),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 102),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 102),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 102),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 185),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 185),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 185),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 185),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 146),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 146),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 146),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 146),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1358] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2126),
  [1362] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2344),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [1419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(30),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(2038),
  [1634] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1597),
  [1638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(342),
  [1641] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3454),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [1693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1934),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [1749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1597),
  [1752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3454),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(196),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(349),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 41),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 41),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 217),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 217),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 33),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 33),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 199),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 199),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 35),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 35),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 86),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 86),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 75),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 75),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 186),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 186),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 44),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 44),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 44),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 44),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 74),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 74),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 43),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 43),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 42),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 42),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 151),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 151),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 40),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 40),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 153),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 153),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 73),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 73),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 54),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 54),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 152),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 152),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 2),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 76),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 4, .production_id = 76),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 151),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 151),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 3),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 111),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 111),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, .production_id = 76),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 3, .production_id = 76),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 191),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 191),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 71),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 71),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 93),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 93),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 146),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 146),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 168),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 168),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 112),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 112),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 150),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 150),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 114),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 114),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 34),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 34),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 102),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 102),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 103),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 103),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 32),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 32),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 146),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 146),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 103),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 103),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 29),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 29),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 102),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 102),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 188),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 188),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 190),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 190),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 159),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 159),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 160),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 160),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 119),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 119),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 192),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 192),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 158),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 158),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 76),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 5, .production_id = 76),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 120),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 120),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 124),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 124),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 85),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 85),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 193),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 193),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 84),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 84),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 32),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 32),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 162),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 162),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 126),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 126),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 214),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 214),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 73),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 73),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 130),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 130),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 75),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 75),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 190),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 190),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 198),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 198),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 54),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 54),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 80),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 80),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 63),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 63),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 188),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 188),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 24),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 24),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 213),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 213),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 185),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 185),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 22),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 22),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 164),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 164),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 166),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 166),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 197),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 197),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 167),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 167),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 87),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 87),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [2559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [2708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 12),
  [2711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(822),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 12),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(3699),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 12),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 156),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 156),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 65),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 65),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 66),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 66),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(390),
  [2763] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 12),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(741),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(3667),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 117),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 117),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2793] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 12), SHIFT(3577),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [2805] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [2837] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 12), REDUCE(sym_rest_pattern, 2),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [2846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(195),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [2868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(385),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [2928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1038),
  [2931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1735),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [2938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1131),
  [2941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1399),
  [2944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1549),
  [2947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1613),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [2970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1798),
  [2973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2472),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [2986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [3007] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [3021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [3023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 12),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 16),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 16),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 14),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 14),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [3187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [3205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [3208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 46),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 46),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 47),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 47),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 98),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 98),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym_nested_type_identifier, 3, .production_id = 98),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 100),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 100),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 157),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 65),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 65),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 66),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 66),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 136),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 136),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 137),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 207),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 207),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(66),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [3343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(66),
  [3368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 140),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 140),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 141),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 141),
  [3376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [3380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 110),
  [3386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 142),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 142),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 109),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(66),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 143),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 143),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 117),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 117),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 107),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 177),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 177),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 97),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 97),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 96),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 96),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 178),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 178),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 18),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 18),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 179),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 179),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 180),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 180),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 156),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 156),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 206),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 206),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [3473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [3477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 208),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 208),
  [3487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 27),
  [3489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 28),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 27),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 64),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 226),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 226),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 69),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 64),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 25),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(66),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 53),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 53),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [3526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 52),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 52),
  [3530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [3534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 49),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 49),
  [3538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [3542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 48),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 48),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 14),
  [3555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 14),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [3561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [3564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [3566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [3568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 61),
  [3578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [3582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 82),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 82),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 62),
  [3588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 15),
  [3590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 15),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 61),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 60),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 60),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 58),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 58),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 59),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 59),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(63),
  [3681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 62),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 56),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 56),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [3701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(63),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [3728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 161),
  [3730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 161),
  [3732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2357),
  [3735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2025),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [3740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(171),
  [3743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1764),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3711),
  [3749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3090),
  [3752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3091),
  [3755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2173),
  [3758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3367),
  [3761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1731),
  [3764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1725),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1843),
  [3770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1497),
  [3773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1768),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1841),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2010),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 67),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 67),
  [3786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [3790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 68),
  [3792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 68),
  [3794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 69),
  [3796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 25),
  [3798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 72),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 72),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 149),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 149),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 77), REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 77),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 122),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 122),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 121),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 121),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 77), REDUCE(sym_assignment_expression, 3, .production_id = 61),
  [3832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 118),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 118),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(63),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 17),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 17),
  [3843] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 27),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 27),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3853] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [3857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 61), REDUCE(sym_assignment_expression, 3, .production_id = 61),
  [3864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 61),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 113),
  [3872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 113),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 108),
  [3878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 108),
  [3880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 110),
  [3882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 18),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 18),
  [3886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [3888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [3890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 57),
  [3892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 57),
  [3894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 101),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 101),
  [3898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(63),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 55),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 106),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 106),
  [3947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 107),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [3951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 108),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 108),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [3957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 109),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 55),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 61),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 55),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [3989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(61),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(61),
  [4007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(61),
  [4010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(61),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 36),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 36),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [4053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(65),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [4120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 27), REDUCE(sym_object_pattern, 3, .production_id = 28),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 28),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 78),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [4138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [4173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(65),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(65),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [4185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(65),
  [4188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4193] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 14),
  [4197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 27), REDUCE(sym_object_pattern, 3, .production_id = 28),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(62),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(62),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(62),
  [4260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(62),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [4324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [4335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [4340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [4343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 64), SHIFT(67),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(67),
  [4357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(67),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [4362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(67),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [4559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [4562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [4570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 65),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 65),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [4604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 18),
  [4606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 18),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [4630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 112),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 112),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [4648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 79),
  [4650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 79),
  [4652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 194),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 194),
  [4656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 151),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 151),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 165),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 165),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 216),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 216),
  [4674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 245),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 245),
  [4678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 254),
  [4680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 254),
  [4682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 232),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 232),
  [4686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 185),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 185),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 233),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 233),
  [4694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [4702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 125),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 125),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 244),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 244),
  [4710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 215),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 215),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [4720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [4724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2344),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2126),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21),
  [4790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3367),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [4825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [4933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 133),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 205),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [4951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 176),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [4969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 75),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 133),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 75),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [5025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 176),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 12), REDUCE(sym_type_parameter, 1, .production_id = 13),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 12), SHIFT(823),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [5065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 12),
  [5068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 12), SHIFT(3577),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [5081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 205),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 176),
  [5101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 205),
  [5105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 176),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 133),
  [5109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [5111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 75),
  [5113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 205),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 133),
  [5117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 75),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [5127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 12), REDUCE(sym_rest_pattern, 2),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [5140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [5164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [5176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [5221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 14),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 28),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 36),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 14), REDUCE(sym__parameter_name, 2, .production_id = 36),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 231),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [5241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [5251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [5253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 104),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 3, .production_id = 104),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [5349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 234),
  [5351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(390),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [5360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [5364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 255),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 249),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 248),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 235),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 223),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 222),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 201),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 200),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 170),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 150),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 132),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 135),
  [5392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 111),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 231),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [5404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 3),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 95),
  [5416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [5418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 115),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [5424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 115),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 94),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 70),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19),
  [5478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 116),
  [5480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 116),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [5500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(3681),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [5505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(201),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [5534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(1020),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [5567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(2710),
  [5570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [5572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(230),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [5587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [5621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 115),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 115),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(786),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 82),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 202),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 203),
  [5740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 204),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 202),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [5758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(692),
  [5761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [5763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 203),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [5767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 88),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 82),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 134),
  [5775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(794),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 131),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 92),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 129),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 169),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 218),
  [5798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 127),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 220),
  [5806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 221),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [5814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 171),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 172),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 224),
  [5820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 225),
  [5822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(813),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 173),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 134),
  [5837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 224),
  [5839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(698),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 31),
  [5844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(802),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [5851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 225),
  [5853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(709),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [5860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 116),
  [5862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 116),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 174),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [5870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [5874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 175),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 31),
  [5886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 236),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 237),
  [5890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(702),
  [5893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 31),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 238),
  [5897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 39),
  [5899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [5903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 238),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [5911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 243),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [5915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(825),
  [5918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(3024),
  [5921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 45),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 246),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 247),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 174),
  [5933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 252),
  [5937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 175),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [5957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 51),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(144),
  [5964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(745),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [5975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 38),
  [5977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 105),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [5996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 187),
  [5998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 187), SHIFT_REPEAT(3157),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 187),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 75),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [6039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 219),
  [6041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [6049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [6051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3114),
  [6054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [6056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(3115),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 90),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(2530),
  [6088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 155),
  [6112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 155),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 154),
  [6126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 154),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [6142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 148),
  [6144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 148), SHIFT_REPEAT(265),
  [6147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 4, .production_id = 147),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [6173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 2, .production_id = 75),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [6181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 209),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [6199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 210),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [6215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 78),
  [6217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 256),
  [6219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 212),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 82),
  [6225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 83),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [6229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(1813),
  [6232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [6234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 200),
  [6236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 201),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [6242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 227),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 228),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [6274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 189), SHIFT_REPEAT(2008),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 189),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 229),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 230),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 222),
  [6285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 181),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 150),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 184),
  [6297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 182),
  [6299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 170),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 239),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 183),
  [6307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 240),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 241),
  [6311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 242),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 250),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 251),
  [6319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 253),
  [6321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 211),
  [6323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 30),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [6329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(1952),
  [6332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [6348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(3419),
  [6351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 30),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [6415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(1798),
  [6418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [6420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(1847),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [6449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(385),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [6454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(3137),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [6491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [6495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(3122),
  [6498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [6506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [6512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [6578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(663),
  [6581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 144),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [6639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 83),
  [6641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 145),
  [6643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 111),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 4, .production_id = 163),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 82),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 128),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [6739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 81),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [6753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 30),
  [6755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 76),
  [6757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 123),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [6789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 37),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [6793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 99),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 31),
  [6799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [6805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 50),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [6817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 91),
  [6819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 89),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 29),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 195),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [6859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 81),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [6881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [7133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 81),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 81),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [7295] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typescript_external_scanner_create(void);
void tree_sitter_typescript_external_scanner_destroy(void *);
bool tree_sitter_typescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typescript_external_scanner_serialize(void *, char *);
void tree_sitter_typescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_typescript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typescript_external_scanner_create,
      tree_sitter_typescript_external_scanner_destroy,
      tree_sitter_typescript_external_scanner_scan,
      tree_sitter_typescript_external_scanner_serialize,
      tree_sitter_typescript_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
